PowerTools MultiTouch for Windows Forms 1.0J

このたびは「MultiTouch for Windows Forms 1.0J (以下、MultiTouch)」をお求めいただき、誠にありがとうございます。

Windows 8の登場によりタッチ環境が普及し始め、業務アプリケーションでもタッチに適した操作性が求められています。しかし、従来の業務アプリケーションは、マウスやキーボードの操作を前提としているため、そのままタッチで使用するにはコントロールのサイズが小さすぎて非常に操作しづらい画面になります。

MultiTouchを使用すると、マルチタッチのピンチ操作でフォーム内のコントロールを拡大または縮小できるので、タッチでの操作性を改善できます。

このズーム機能を使用するために必要な作業は、既存のWindowsフォームアプリケーションにMultiTouchのコンポーネントを配置して、プロジェクトをビルドするだけです。画面レイアウトを修正する必要がないので、最小限の開発工数で、マウスやキーボードとタッチ操作を両立した業務アプリケーションを開発することができます。

このヘルプを十分にご利用いただき、さまざまなアプリケーション開発にMultiTouchをご活用いただけることを願っています。

弊社Webサイトでは、MultiTouchの他にも、PowerTools® for .NETシリーズ各製品のご案内を掲載しております。.NETアプリケーションを構築なさる際は、ぜひ一度ご検討くださいますようお願い申しあげます。

弊社では、ツールライブラリをさらに充実させる計画を進めております。新しい機能やツールについてご意見やご要望がございましたら、弊社Webサイトの [image] フィードバックフォームより、お寄せいただければ幸いです。

Web: http://www.grapecity.com/tools/
メール: http://www.grapecity.com/tools/feedback/

©2013 GrapeCity inc. All rights reserved.


はじめに

はじめに

このセクションでは、本製品のご使用にあたって、はじめにお知りいただきたい内容について説明します。

  • 使用上のご注意
  • 必要システム
  • インストールとアンインストール
  • ライセンス認証
  • アプリケーション開発の手順
  • コンポーネントをプロジェクトに組み込む
  • ライセンスの組み込み
注意
  • 本ヘルプドキュメント以外にも、付属のリリースノート（ReleaseNote_xxx.htm）に以下の情報を記載していますので、そちらもあわせてご覧ください。
    • 必要システム
    • インストール／アンインストール
    • ライセンス認証
    • 制限事項と注意点
    • ソフトウェア使用許諾契約書
    • トライアル版
    • サポートサービス
    • 更新履歴
    ※リリースノートのファイル名（xxxの部分）は、製品のリリース時期によって変化します。
  • リリースノートは、製品をインストールしたフォルダ内にあり、スタートメニューの［PowerTools MultiTouch for Windows Forms 1.0J］－［MultiTouch for Windows Forms 1.0Jリリースノート］からも起動できます。
  • Windows 8以降のスタート画面上にリリースノートのショートカットを表示するには、画面下部のアプリバーで [すべてのアプリ] ボタンをクリックしてください。


使用上のご注意

使用上のご注意

本製品を使うに当たっての基本的な注意事項です。

この内容のほかに、付属のリリースノート（ReleaseNote_xxx.htm）に記載されている 「制限事項と注意点」もあわせてご覧ください。

注意
  • リリースノートのファイル名（xxxの部分）は、製品のリリース時期によって変化します。
  • リリースノートは、製品をインストールしたフォルダ内にあり、スタートメニューの［PowerTools MultiTouch for Windows Forms 1.0J］－［MultiTouch for Windows Forms 1.0J リリースノート］からも起動できます。
  • Windows 8以降のスタート画面上にリリースノートのショートカットを表示するには、画面下部のアプリバーで [すべてのアプリ] ボタンをクリックしてください。

ライセンス認証について
本製品は、ソフトウェアのライセンス認証を導入しています。ライセンス認証はソフトウェアが正規のライセンス数に応じた数のコンピュータにインストールされていることを確認するものです。詳細は、ライセンス認証についてを参照してください。
コントロールの利用範囲
本製品はWindowsフォーム用コントロールであり、Windowsアプリケーション開発においてのみ使用できます。ASP.NETによるWebフォーム上の開発において本製品を利用することはできませんのでご注意ください。
参照
はじめに


必要システム

必要システム

本製品を使用するために必要なシステムについては、付属のリリースノート（ReleaseNote_xxx.htm）に記載されていますので、そちらをご覧ください。

注意
  • リリースノートのファイル名（xxxの部分）は、製品のリリース時期によって変化します。
  • リリースノートは、製品をインストールしたフォルダ内にあり、スタートメニューの［PowerTools MultiTouch for Windows Forms 1.0J］－［MultiTouch for Windows Forms 1.0Jリリースノート］からも起動できます。
  • Windows 8以降のスタート画面上にリリースノートのショートカットを表示するには、画面下部のアプリバーで [すべてのアプリ] ボタンをクリックしてください。

参照
はじめに


インストールとアンインストール

インストールとアンインストール

本製品のインストールおよびアンインストールの方法については、付属のリリースノート（ReleaseNote_xxx.htm）に記載されていますので、そちらをご覧ください。

注意
  • リリースノートのファイル名（xxxの部分）は、製品のリリース時期によって変化します。
  • リリースノートは、製品をインストールしたフォルダ内にあり、スタートメニューの［PowerTools MultiTouch for Windows Forms 1.0J］－［MultiTouch for Windows Forms 1.0J リリースノート］からも起動できます。
  • Windows 8以降のスタート画面上にリリースノートのショートカットを表示するには、画面下部のアプリバーで [すべてのアプリ] ボタンをクリックしてください。

参照
はじめに


ライセンス認証

ライセンス認証

本製品を使用するには、インストール後にライセンス認証の手続きが必要です。また、いったん認証したライセンスを別のマシンで使用するには、ライセンス認証解除の手続きが必要です。

ライセンス認証および認証解除の方法については、弊社Webサイトの「 [image] ライセンス認証」ページ、または製品に付属の「ライセンス認証マネージャー」のヘルプ（SAManager.chm）をご覧ください。

注意

ライセンス認証マネージャーのヘルプは、スタートメニュー（スタート画面）の［PowerTools ライセンス認証］－［PowerTools ライセンス認証マネージャー ヘルプ］から起動できます。

参照
はじめに


アプリケーション開発の手順

アプリケーション開発の手順

本製品を使用したアプリケーション開発の大まかな流れを説明します。各手順の詳細については、リンク先をご覧ください。

  1. インストール後に必要な設定
    本製品のインストールとライセンス認証の手続きを行った後、製品を使用するために必要な設定があります。はじめにこちらの設定を行ってください。
    • コンポーネントをプロジェクトに組み込む
    注意

    本製品のサービスパックを適用した後は、ツールボックスへの登録をしなおす必要があります。
  2. 基本的な使用方法
    本製品の基本的な使用方法について説明します。本製品を初めて使用される方は、こちらをご覧ください。
    • 製品の概要
    • クイックスタート
  3. 応用的な使用方法
    本製品の応用的な使用方法について説明します。各種プロパティやメソッドなどの詳細は、リファレンスをご覧ください。
    • MultiTouchの使い方
    • リファレンス
    注意

    製品に付属のサンプルについては、インストールフォルダ下のSamplesフォルダをご覧ください。

  4. ライセンスの組み込み
    作成するアプリケーションに、本製品のライセンスを組み込む方法について説明します。
    • ライセンスの組み込み
  5. アプリケーションの配布
    作成したアプリケーションの配布方法について説明します。
    • アプリケーションの配布
  6. トラブルシューティング
    何らかの問題が発生した場合に、解決するための方法やヒントを紹介します。
    • よくある質問と回答
    • サポートサービス（弊社Webサイトの「 [image] ナレッジベース」「 [image] E-mailサポート」「 [image] アップデート」ページ）

参照
はじめに


コンポーネントをプロジェクトに組み込む

コンポーネントをプロジェクトに組み込む

MultiTouchのコンポーネントをプロジェクトで使用可能にするためには、以下の手順に従ってツールボックスにコンポーネントを追加します。

ここではVisual Studio 2012を例に解説していますが、Visual Studio 2008およびVisual Studio 2010でも同様です。

ツールボックスへのコンポーネントの追加
ツールボックスにコンポーネントを登録するには、以下の手順で操作します。

  1. ツールボックスウィンドウを右クリックし、コンテキストメニューから［タブの追加(A)］を選択します。
  2. 新しいタブの名前を「MultiTouch for Windows Forms 1.0J」と入力します。（タブの名前は任意に設定できます。）
  3. 新しいタブを右クリックし、コンテキストメニューから「アイテムの選択(I)...」を選択します。
  4. 「ツールボックスアイテムの選択」ダイアログボックスで、 「.NET Framework コンポーネント」タブを選択し、 アセンブリ名「GrapeCity.Win.MultiTouch.v10(1.0.yyyy.mmdd)」の 以下のコンポーネントをチェックします。
    • GcApplicationZoom
    • GcMagnifier
    • GcMultiScaleImage
    • GcTouchEventProvider
    • GcZoom
    • GcZoomPanel
    • GcZoomCommandProvider
  5. 〈OK〉ボタンをクリックします。
  6. ツールボックスに指定したコントロールのアイコンが表示されます。なお、GcZoomCommandProviderコンポーネントのみ、ユーザーコントロールを編集する画面でツールボックスに表示されます。
ツールボックスでのバージョンの区別
アイテムの上にマウスカーソルを移動して数秒間待機するとツールチップを表示し、どのアイテムがどのバージョンに一致するか確認することができます。
フォームへのコンポーネントの配置
フォームへコントロールやコンポーネントを配置するには、以下の手順で操作します。
  1. ツールボックスからフォームに、コントロールまたはコンポーネントをドラッグアンドドロップする。
  2. この操作によりライセンスファイル「licenses.licx」が更新される。
  3. プロジェクトに MultiTouch の アセンブリへの参照が追加される。
詳細な利用手順は「クイックスタート」を参照してください。
参照
はじめに


ライセンスの組み込み

ライセンスの組み込み

作成するアプリケーションに、本製品のライセンスを組み込む方法について説明します。

licenses.licx ファイルの組み込み
設計時にコントロールをフォームに貼り付けるとlicenses.licxファイルが自動的に作成され、プロジェクトに組み込まれます。しかし、実行時にコントロールを生成する場合には、licenses.licxファイルは作成されません。

この場合は、該当するすべてのコントロールの情報を含んだlicenses.licxファイルを作成し、プロジェクトに組み込む必要があります。プロジェクトにlicenses.licxファイルが組み込まれていない場合は、実行時にコントロールが生成されたときに、ライセンスのエラーを示すダイアログが表示されます。

licenses.licxファイルの作成とプロジェクトへの組み込みは、以下の手順で行います。
  1. Visual Studioで新しいプロジェクトを開きます。
  2. MultiTouchの次のコンポーネントを参照設定します。
    コンポーネント名 | バージョン
    GrapeCity.Win.MultiTouch.v10.dll | 1.0.yyyy.mmdd
  3. Visual Basicのプロジェクトの場合は「My Project」フォルダ、C#のプロジェクトの場合は「Properties」フォルダの下に、ファイル名を「licenses.licx」とした空のテキストファイルを作成します。
  4. 作成した「licenses.licx」ファイルを開き、以下の文字列をlicenses.licxに入力します。
    GrapeCity.Win.MultiTouch.GcApplicationZoom, GrapeCity.Win.MultiTouch.v10, Version=1.0.XXXX.XXXX, Culture=neutral, PublicKeyToken=5e531fc0479701e7
GrapeCity.Win.MultiTouch.GcTouchEventProvider, GrapeCity.Win.MultiTouch.v10, Version=1.0.XXXX.XXXX, Culture=neutral, PublicKeyToken=5e531fc0479701e7
GrapeCity.Win.MultiTouch.GcZoom, GrapeCity.Win.MultiTouch.v10, Version=1.0.XXXX.XXXX, Culture=neutral, PublicKeyToken=5e531fc0479701e7
GrapeCity.Win.MultiTouch.GcMultiScaleImage, GrapeCity.Win.MultiTouch.v10, Version=1.0.XXXX.XXXX, Culture=neutral, PublicKeyToken=5e531fc0479701e7
GrapeCity.Win.MultiTouch.GcMagnifier, GrapeCity.Win.MultiTouch.v10, Version=1.0.XXXX.XXXX, Culture=neutral, PublicKeyToken=5e531fc0479701e7
GrapeCity.Win.MultiTouch.GcZoomCommandProvider, GrapeCity.Win.MultiTouch.v10, Version=1.0.XXXX.XXXX, Culture=neutral, PublicKeyToken=5e531fc0479701e7
GrapeCity.Win.MultiTouch.GcZoomPanel, GrapeCity.Win.MultiTouch.v10, Version=1.0.XXXX.XXXX, Culture=neutral, PublicKeyToken=5e531fc0479701e7

    注意

    1.0.XXXX.XXXXは、製品アセンブリバージョンによって変わります。アセンブリバージョンについては、「製品の概要 - アセンブリ」項目をご覧ください。

  5. licenses.licxを保存します。
参照
はじめに


製品の概要

製品の概要

MultiTouchはWindows Formsアプリケーションをタッチで操作しやすくするためのコンポーネント製品です。MultiTouchのコンポーネントをフォームに追加すると、ユーザーが２本の指の間を広げる操作によってそのフォームを拡大して操作できるようになります。
マウスとキーボードを前提にデザインされた密度の高い画面であっても、必要に応じて拡大することでタッチでも操作を続けることができます。この操作は「ピンチアウト」または「ストレッチ」としてタッチ対応のデバイスでよく知られています。さらに、既存の画面レイアウトに変更を加えずに済むため、ユーザーと開発者は最小の負担で既存のWindows Formsアプリケーションをタッチ環境で快適に利用できるようになります。

ここでは、MultiTouchの概要について、以下の項目に分けて説明します。

  • 製品構成
  • 主な特長
  • アセンブリ

参照


製品構成

製品構成

MultiTouchはズーム用のコントロール、サンプル、ヘルプなどから構成されています。

コントロール
呼称 | コントロール名 | 説明
ズームコンポーネント | GcZoom | フォームをタッチ操作でズーム可能にするコンポーネント。
ズームパネルコントロール | GcZoomPanel | 子コントロールをタッチ操作でズーム可能にするコンテナ。
アプリケーションズームコンポーネント | GcApplicationZoom | アプリケーションに含まれるすべてのフォームをズーム可能にするコンポーネント。
ズームコマンドプロバイダーコンポーネント | GcZoomCommandProvider | ユーザーコントロールでコントロールバーのコマンドを実装するためのコンポーネント。
マグニファイアコンポーネント | GcMagnifier | タッチ操作したとき指先に拡大鏡をポップアップするコンポーネント。
マルチスケールイメージコントロール | GcMultiScaleImage | 複数解像度のイメージを保持できるPictureBoxコントロール。
タッチイベントプロバイダーコンポーネント | GcTouchEventProvider | タッチ操作を検出するイベントを提供するコンポーネント。
サンプル
製品の使用例をまとめたプログラム集です。サンプルは、まったく同じプロジェクトがVisual BasicとC#の２種類の言語で作成されています。サンプルの目的や使用方法を説明したサンプルヘルプも付属しています。
製品ヘルプ
今、ご覧いただいているものです。製品をご利用いただくために必要なあらゆる情報が記載されています。
リリースノート
製品をインストールしたフォルダにコピーされています。インストールなどの製品に関する基本事項の説明書ですので、必ず目を通すことをおすすめします。
参照
製品の概要


主な特長

主な特長

MultiTouchには、次のような優れた特長があります。これらの詳細については「MultiTouchの使い方」で解説しています。

コントロール１つでタッチ対応
GcZoomコンポーネントをフォームに配置するだけで、フォーム全体をマルチタッチ操作で拡大、縮小できます。タッチで操作しにくい小さなボタンや、スレートPCの画面では小さく表示されるキャプションを拡大し、操作性を大幅に改善できます。元の画面レイアウトをタッチ操作に合わせて書き換える必要はありません。タッチ対応に伴って画面の操作体系を変える必要がないため、マニュアルの書き直しやエンドユーザーの再教育といった負担を軽減できます。最小のコストで従来のマウス、キーボード操作に加えてタッチやペンに対応できます。
軽快なパフォーマンス
タッチでのズーム操作中は画面をビットマップに置き換えてズーム結果のプレビューを表示しているので、軽快な動作を実現しています。また、ビットマップのプレビューを表示せずにズーム率の文字列を表示することもできるので、さらに軽快なズーム操作を実現できます。
サードパーティコントロールを使っていても安心
MultiTouchのズーム機能は標準コントロールと最新のグレープシティ製品と共にテストされており、最適に使用するための処理が「ズームポリシー」として提供されます。ポリシーファイルには40以上のコントロールに対応するコードが含まれ、開発者が変更することもできます。もちろん、他のコントロールに対応する処理を開発者が自由に作成することもできます。
拡大箇所を把握できるパンウィンドウ
フォーム全体と拡大されている領域をパンウィンドウと呼ばれる別ウィンドウで表示できます。フォームを大きく拡大した状態でも、どの部分が拡大されているのかをユーザーが容易に把握できます。
操作を視覚化できるコントロールバー
コントロールバーを使用すると、フォーム上で利用可能なタッチ操作（拡大、縮小、スクロール）をボタンとして表示し、タッチ操作が可能なことをユーザーに明示できます。
１コントロールで全フォームをタッチ対応
GcApplicationZoomコンポーネントをスタートアップ フォームに配置すると、プロジェクトに含まれる全フォームをマルチタッチ操作でズーム可能にできます。フォームの数が多く、フォームごとの設定の違いが少ない場合にGcZoomコンポーネントの代わりに使える方法です。
画面の一部をタッチ対応
フォームの一部だけをマルチタッチ操作で拡大、縮小できるGcZoomPanelコントロールを提供します。このコントロールはコンテナとして動作するため、標準のPanelコントロールと同じように任意の場所に配置し、コントロールを載せてズーム可能なUIを構築できます。
拡大鏡でタッチ操作を補助
TextBoxコントロールなどでは、テキストを選択するには指でテキストを直接なぞる必要があり、選択している部分が指で隠れてしまいます。GcMagnifierコンポーネントが提供する拡大鏡を使うと、タッチで操作している内容を指先に拡大表示できるので快適に操作できます。
既存コントロールにタッチ対応イベントをプラス
GcTouchEventProviderコンポーネントにより、任意の標準コントロールに16種類のタッチ関連イベントと9種類のジェスチャーの検出を追加できます。マウス操作に対するClickイベントを実装するのと同じように、タッチ操作やペン操作に対してTappedイベントを実装できます。
拡大率に応じた高品位画像を表示
GcMultiScaleImageコントロールは解像度や拡大率に応じて複数のソースを切り替えて表示できます。ズームによって拡大した画面に自動的に高解像度画像を表示することで画面を高い品位で表現できます。GcZoomコンポーネントと併用することで、高解像度に対応した画面デザインを提供できます。
参照
製品の概要


アセンブリ

MultiTouchのバージョン管理ポリシーとアセンブリの関係について説明します。

バージョン管理とアセンブリ
NET Frameworkには、厳密なアセンブリ識別機構が盛り込まれており、Visual Studioで作成した実行ファイルやアセンブリは、それらが依存するアセンブリを名前とバージョンおよびその他の情報を使って判別します。

この仕組みは、DLL Hellを解消するためのもので、間違ったバージョンのアセンブリを参照することによる誤動作を避け、本来のバージョンのアセンブリを確実に参照することを目的としています。この機構により、Visual Studioで作成した実行ファイルやアセンブリは、それらが依存するアセンブリと同名のアセンブリが存在していても、アセンブリバージョンが一致しなければ動作しません。

バージョンの確認

プロジェクトで使用しているアセンブリのアセンブリバージョンとファイルバージョンは以下の手順で確認できます。
  1. Visual Studioを起動し対象となるプロジェクトを開きます。
  2. フォームの［デザイン］ページでGcZoomコンポーネントを選択します。
  3. プロパティウィンドウで [バージョン情報] のリンクをクリックしてください。
  4. 表示されたダイアログの「製品の詳細情報：」にバージョンが表示されます。

アセンブリ

依存関係にあるアセンブリを正しく動作させるには、それらのアセンブリバージョンが互いに適合していることが必要です。たとえば、GrapeCity.Win.MultiTouch.v10.dllとGrapeCity.Win.MultiTouch.Design.v10.dllは、互いに関連しています。そのため、これらのアセンブリバージョンとファイルバージョンは揃える必要があります。
更新日 | ファイル名 | アセンブリ ver. | ファイル ver.
2013年7月31日 | GrapeCity.Win.MultiTouch.v10.dll | 1.0.2013.0731 | 1.0.2013.0731
注意
通常は、アセンブリのバージョンを意識する必要はありませんが、作成したアプリケーションが配布先の環境で動作しない場合や、意図的にアセンブリを入れ替える場合は、プロジェクトが参照しているアセンブリのバージョンを確認してください。
参照
製品の概要


MultiTouchの使い方

MultiTouchの使い方

MultiTouchの使い方について、以下の項目に分けて説明します。

  • クイックスタート
  • GcZoomコンポーネント
  • GcZoomPanelコントロール
  • GcApplicationZoomコンポーネント
  • GcZoomCommandProviderコンポーネント
  • GcMagnifierコンポーネント
  • GcMultiScaleImageコントロール
  • GcTouchEventProviderコンポーネント
  • ズームポリシー
  • アプリケーションの配布


クイックスタート

クイックスタート

ここではMultiTouchの基本的な操作方法を、簡単なアプリケーションの作成を通して紹介します。

MultiTouchの操作方法
  1. Visual Studioで新規にWindowsフォーム アプリケーション プロジェクトを作成するか、または既存のWindowsフォーム アプリケーション プロジェクトを開きます。
  2. ツールボックスから「GcZoom」コンポーネントを選択し、フォームに追加します。GcZoomコンポーネントがツールボックスに存在しない場合、コンポーネントをプロジェクトに組み込むを参照してください。
  3. プロジェクトを実行します。
  4. フォームを２本の指でタッチし、指を画面に触れたまま指と指の間隔を広げます。

    すると、間隔に応じてフォーム内のコントロールが拡大するため、タッチで操作しやすい大きさになったと感じたら、指を止めて画面から指を離します。

  5. 大きくなった状態で他のコントロールを操作するには、画面に指を触れたまま、コントロールを移動したい方向に指を動かします。これはタッチで「パン」と呼ばれる操作です。

  6. 大きくなったコントロールをタッチで操作後、再度２本の指でタッチし、指を画面に触れたまま指と指の間隔を狭くするとコントロールを元の大きさに戻せます。
  7. 以上の操作により、MultiTouchを使って元の画面デザインを保ったままタッチで必要に応じてフォームのコントロールをズームして操作できるようになります。
この操作は一般的なモバイルデバイスでピンチ、ピンチアウトまたはストレッチと呼ばれ、スマートフォンやタブレットデバイスに認知されています。

参考

 | ２本の指を画面に触れたまま指を互いに遠ざける操作 | ２本の指を画面に触れたまま指を互いに近づける操作
操作の結果 | 拡大 | 縮小
Windows 8 | ストレッチ | ピンチ
iOS、Android | ピンチアウト | ピンチイン


GcZoomコンポーネント

GcZoomコンポーネント

GcZoomコンポーネントを任意のフォームに配置するだけで、フォームはタッチによるズームに対応できます。既存の画面デザインを保ったまま、タッチで操作する場合に必要に応じて画面を拡大できるようになります。

ここでは、GcZoomコンポーネントの使用方法について説明します。

  • ズーム
  • スクロール
  • パンウィンドウ
  • フォームのリサイズ
  • ズーム率とフォームサイズを同時に変更する
  • フルスクリーンモード
  • ズームのイベント
  • フォームとの互換性
プロジェクトに含まれるすべてのフォームをズームするには「GcApplicationZoomコンポーネント」を参照してください。


ズーム

ズーム

GcZoomコンポーネントを配置したフォームを２本の指でタッチし、指を画面に触れたまま指と指の間隔を広げるとフォーム上のコントロールをズームできます。

この機能はGcZoom.AllowPinchZoomプロパティがTrueのときに有効です。

コードによるズーム率の設定または取得
GcZoom.ZoomFactorプロパティで設定または取得できます。次のコードはボタンのクリックによってズーム率を200%に変更します。
VB
C#
クリップボードにコピー
Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
    GcZoom1.ZoomFactor = 2.0F
End Sub

private void button1_Click(object sender, EventArgs e)
{
    gcZoom1.ZoomFactor = 2.0f;
}
ズーム率の最大値
GcZoom.MaxZoomFactorプロパティで設定します。ズーム率の最小値は100%で固定です。
VB
C#
クリップボードにコピー
' ズーム率の最大値を400%にする
GcZoom1.MaxZoomFactor = 4.0F

// ズーム率の最大値を400%にする
gcZoom1.MaxZoomFactor = 4.0f;
ダブルタップによるズーム
既定ではダブルタップ（画面をすばやく２回タップする）によるズームが有効です。この機能はGcZoom.AllowDoubleTapZoomプロパティをFalseにすると無効にできます。
VB
C#
クリップボードにコピー
GcZoom1.AllowDoubleTapZoom = False

gcZoom1.AllowDoubleTapZoom = false;
ズーム中のプレビュー表示
既定では、タッチ操作によるズーム中に結果のプレビューが表示されます。このプレビューにより、ユーザーはズーム率によらずにタッチに最適な大きさを目視で決定できます。

パフォーマンスの向上、プレビュー中の制限の回避、他の機能との動作の統一といった要求に合わせてこの機能は無効にできます。GcZoom.ZoomPreviewModeプロパティがNoPreviewのときプレビューを表示しません。また、AlternativeContentのときズーム率またはズーム中を示す文字列を代わりに表示できます。
VB
C#
クリップボードにコピー
GcZoom1.ZoomPreviewMode = GrapeCity.Win.MultiTouch.ZoomPreviewMode.AlternativeContent

gcZoom1.ZoomPreviewMode = GrapeCity.Win.MultiTouch.ZoomPreviewMode.AlternativeContent;
代替コンテンツ
GcZoom.ZoomPreviewModeプロパティがAlternativeContentのとき、ズーム中であることを示す文字列を表示できます。この文字列のフォント、文字色、メッセージはGcZoom.AlternativeContentSettingsプロパティで設定します。AlternativeContentSettings.Formatプロパティの文字列に“{Percentage}”を入力すると、その部分は現在のズーム率を百分率で表示した値に置換されます。“{ZoomFactor}”を入力するとズーム率の倍率に置換します。
VB
C#
クリップボードにコピー
GcZoom1.ZoomPreviewMode = GrapeCity.Win.MultiTouch.ZoomPreviewMode.AlternativeContent
GcZoom1.AlternativeContentSettings.Font = New Font("MS ゴシック", 20.0F)
GcZoom1.AlternativeContentSettings.ForeColor = Color.Blue
GcZoom1.AlternativeContentSettings.Format = "ズーム中 x{ZoomFactor}"

gcZoom1.ZoomPreviewMode = GrapeCity.Win.MultiTouch.ZoomPreviewMode.AlternativeContent;
gcZoom1.AlternativeContentSettings.Font = new Font("MS ゴシック", 20.0f);
gcZoom1.AlternativeContentSettings.ForeColor = Color.Blue;
gcZoom1.AlternativeContentSettings.Format = "ズーム中 x{ZoomFactor}";
スナップポイント
タッチでは大まかな操作が可能なため、ユーザーはタッチ操作で197%や202%といったズーム率を設定できます。これを200%のようにきりのいい値に自動的に揃える仕組みが「スナップ」です。スナップポイントはきりのいい値のコレクションと、スナップを発動する基準となる前後数パーセントの値を指定します。
VB
C#
クリップボードにコピー
Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    GcZoom1.ZoomPreviewMode = GrapeCity.Win.MultiTouch.ZoomPreviewMode.AlternativeContent

    ' 最大ズーム率を400%にする
    GcZoom1.MaxZoomFactor = 4.0F

    ' スナップ間隔を5%にする
    GcZoom1.ZoomSnapDistance = 0.05F

    ' 195%～205%を200%にスナップする
    GcZoom1.ZoomSnapPoints.Add(2.0F)

    ' 295%～305%を300%にスナップする
    GcZoom1.ZoomSnapPoints.Add(3.0F)
End Sub

Private Sub GcZoom1_ZoomFactorChanged(sender As System.Object, e As System.EventArgs) Handles GcZoom1.ZoomFactorChanged
    Me.Text = String.Format("{0:P}", GcZoom1.ZoomFactor)
End Sub

private void Form1_Load(object sender, EventArgs e)
{
    gcZoom1.ZoomPreviewMode = GrapeCity.Win.MultiTouch.ZoomPreviewMode.AlternativeContent;

    // 最大ズーム率を400%にする
    gcZoom1.MaxZoomFactor = 4.0f;

    // スナップ間隔を5%にする
    gcZoom1.ZoomSnapDistance = 0.05f;

    // 195%～205%を200%にスナップする
    gcZoom1.ZoomSnapPoints.Add(2.0f);

    // 295%～305%を300%にスナップする
    gcZoom1.ZoomSnapPoints.Add(3.0f);
}

private void gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
{
    this.Text = string.Format("{0:P}", gcZoom1.ZoomFactor);
}
マウスホイールによるズーム
Ctrlキーを押したままマウスのホイールを前方に回転するとフォームの拡大を実行できます。手前側に回転すると縮小になります。この機能を有効にするには、GcZoom.AllowMouseWheelZoomプロパティをTrueに設定します。
VB
C#
クリップボードにコピー
GcZoom1.AllowMouseWheelZoom = True

gcZoom1.AllowMouseWheelZoom = true;
注意
  • GcZoom.AllowPinchZoomプロパティがFalseの場合であっても、GcZoom.AllowMouseWheelZoomプロパティがTrueの場合にはCtrlキー＋マウスホイールのメッセージによってフォームがズーム可能になります。
  • GcZoomPanel.AllowMouseWheelZoomプロパティをTrueに設定したとき、GcZoomPanelにフォーカスがない場合であってもピンチ操作によってGcZoomPanelがズームします。
ズーム時にコンテンツを中央に表示する
既定では、GcZoomを配置したフォームをマウス操作によってズームするとフォーム上のコントロールが右下に向かって大きくなります。これは、フォーム上のコントロールが既定で左上に固定されているためです（Control.Anchor=TopLeft）。GcZoom.InnerPanelLayoutModeプロパティをMiddleCenterに変更すると、コントロールはその位置を保持したまま中央に向かって拡大します。
VB
C#
クリップボードにコピー
GcZoom1.InnerPanelLayoutMode = GrapeCity.Win.MultiTouch.InnerPanelLayoutMode.MiddleCenter

gcZoom1.InnerPanelLayoutMode = GrapeCity.Win.MultiTouch.InnerPanelLayoutMode.MiddleCenter;
ズーム時に背景を変更する
GcZoomコンポーネントを配置したフォームのサイズを大きくした状態でズーム率を100%にすると、元のコンテンツがない部分に余白が生じます。この余白を背景として背景色または背景イメージを設定できます。

背景色を設定するにはGcZoom.BackColorプロパティを使用します。
VB
C#
クリップボードにコピー
GcZoom1.BackColor = Color.DarkGray

gcZoom1.BackColor = Color.DarkGray;

背景イメージを設定するには、GcZoom.BackgroundImageプロパティおよびGcZoom.BackgroundImageLayoutプロパティを使用します。
VB
C#
クリップボードにコピー
GcZoom1.BackgroundImage = New Bitmap("Background.png")
GcZoom1.BackgroundImageLayout = ImageLayout.Tile

gcZoom1.BackgroundImage = new Bitmap("Background.png");
gcZoom1.BackgroundImageLayout = ImageLayout.Tile;


スクロール

スクロール

ここではスクロールに関連する動作について説明します。

パン
タッチ操作によってフォームを拡大したとき、画面にはフォームの一部のコントロールだけが表示されています。このとき、画面に指を触れたまま、コントロールを移動したい方向に指を動かすことでスクロールできます。これはタッチで「パン」と呼ばれる操作です。

この操作はGcZoom.AllowPanScrollプロパティをFalseにすることで無効にできます。
VB
C#
クリップボードにコピー
GcZoom1.AllowPanScroll = False

gcZoom1.AllowPanScroll = false;
レール
タッチによるスクロール操作では、既定でははじめに指を動かした方向にスクロール先が固定されます。たとえば、はじめに右方向に指を動かして画面をスクロールし、そのまま斜め右下や左下に向けて指を動かしても、画面は斜め方向にはスクロールせず、左右方向にだけスクロールします。同様に、はじめに上下方向にスクロールした状態で指を左右に振っても、上下方向にだけスクロールします。これはレールと呼ばれる、タッチ操作を補助する仕組みです。タッチではマウスよりも大まかな操作が可能になるため、このような仕組みが操作性の改善に役立ちます。

レールを無効にするには、GcZoom.IsHorizontalRailEnabled、GcZoom.IsVerticalRailEnabledプロパティをそれぞれFalseに設定します。
VB
C#
クリップボードにコピー
GcZoom1.IsHorizontalRailEnabled = False
GcZoom1.IsVerticalRailEnabled = False

gcZoom1.IsHorizontalRailEnabled = false;
gcZoom1.IsVerticalRailEnabled = false;
スクロールインジケータ
GcZoomコンポーネントでフォームをズームまたはスクロールしたとき、現在表示している範囲を示すバーが一定時間だけ表示されます。このバーを「スクロールインジケータ」と呼びます。次の図で赤い三角が指し示すバーがスクロールインジケータです。

スクロールインジケータを無効にするには、GcZoom.ScrollIndicatorModeプロパティをNoneに設定します。
VB
C#
クリップボードにコピー
GcZoom1.ScrollIndicatorMode = GrapeCity.Win.MultiTouch.ScrollIndicatorMode.None

gcZoom1.ScrollIndicatorMode = GrapeCity.Win.MultiTouch.ScrollIndicatorMode.None;

スクロールインジケータの代わりにスクロールバーを表示するには、GcZoom.ScrollIndicatorModeプロパティをScrollBarに設定します。
VB
C#
クリップボードにコピー
GcZoom1.ScrollIndicatorMode = GrapeCity.Win.MultiTouch.ScrollIndicatorMode.ScrollBar

gcZoom1.ScrollIndicatorMode = GrapeCity.Win.MultiTouch.ScrollIndicatorMode.ScrollBar;
スクロール限界の視覚化
GcZoom.BoundaryFeedBackModeプロパティがSplitのとき、スクロール操作で画面の終端に到達したときに、画面をバウンドする視覚効果によって画面端に到達したことをユーザーに伝えることができます。

このプロパティをStandardに変更すると、ウィンドウ全体をバウンドします。
VB
C#
クリップボードにコピー
GcZoom1.BoundaryFeedbackMode = GrapeCity.Win.MultiTouch.BoundaryFeedbackMode.Standard

gcZoom1.BoundaryFeedbackMode = GrapeCity.Win.MultiTouch.BoundaryFeedbackMode.Standard;
コントロールの自動表示
GcZoom.AutoShowControlプロパティをTrueに設定すると、コントロールのフォーカスが移動したときやソフトキーボードが表示されたときにアクティブなコントロールが常に表示されるようにフォームを自動的にスクロールすることができます。
VB
C#
クリップボードにコピー
GcZoom1.AutoShowControl = True

gcZoom1.AutoShowControl = true;

個別のコントロールに対して自動スクロールの動作を制御したい場合、GcZoom.ControlAutoShowingイベントを使用します。コントロールが表示されている領域はGcZoom.GetDisplayRectangleメソッドで取得できます。


パンウィンドウ

パンウィンドウ

ここではパンウィンドウについて説明します。

パンウィンドウの概要
パンウィンドウを使うとズーム対象のフォームの全体像を示すポップアップウィンドウが表示され、その中の表示されている範囲が赤枠で強調されます。パンウィンドウを使うと、ユーザーがズームされている場所を把握しやすくなります。

パンウィンドウの表示
パンウィンドウを表示するには、GcZoom.ShowPanWindowメソッドを実行します。ShowPanWindowの引数でパンウィンドウの初期位置と初期サイズを指定できます。
VB
C#
クリップボードにコピー
GcZoom1.ShowPanWindow()

gcZoom1.ShowPanWindow();

パンウィンドウを閉じるにはGcZoom.ClosePanWindowメソッドを実行します。
VB
C#
クリップボードにコピー
GcZoom1.ClosePanWindow()

gcZoom1.ClosePanWindow();

パンウィンドウが表示されているかどうかを知るには、GcZoom.IsPanWindowShownプロパティを参照します。
VB
C#
クリップボードにコピー
Dim displayed As Boolean = GcZoom1.IsPanWindowShown

bool displayed = gcZoom1.IsPanWindowShown;


フォームのリサイズ

フォームのリサイズ

ここではユーザーがフォームのサイズを変更するときの動作について説明します。

アスペクト比の設定
GcZoom.KeepAspectRatioプロパティをTrueに設定すると、ユーザーがフォームをサイズ変更するときの縦横のアスペクト比を維持できます。たとえばユーザーがフォームの幅だけを変更しても、この操作に合わせてフォームの高さが自動的に調整されます。

次のコードは、サイズのアスペクト比を維持します。
VB
C#
クリップボードにコピー
GcZoom1.KeepAspectRatio = True

gcZoom1.KeepAspectRatio = true;

なお、フォームの最小サイズは [image] System.Windows.Forms.Formクラスの [image] MinimumSizeプロパティ、最大サイズは [image] MaximumSizeプロパティで設定できます。


ズーム率とフォームサイズを同時に変更する

ズーム率とフォームサイズを同時に変更する

ここでは、フォーム内のズーム率とフォームサイズを同じ比率で同時に変更する方法について説明します。 GcZoomコンポーネントはフォーム上のコントロールをGcZoomコンポーネントが持つパネルに移動し、そのパネルとコントロールの大きさを変えることでズームを実現します。このため、フォームのいくつかの機能は以下のように変更が必要になります。

フォームサイズにあわせてズーム率を変更する

AllowZoomByResizeプロパティにTrueを設定すると、フォームをリサイズしたときにフォームサイズの変更率に合わせて、フォーム内のコントロールがズームされます。

なお、この機能を有効にするには、InnerPanelLayoutModeプロパティにInnerPanelLayoutMode.MiddleCenterを設定する必要があります。
注意
  • GcZoomクラスのZoomFactorプロパティが最大値（400%）の場合、フォームサイズを大きくしても、フォーム内のコントロールはズームされません。
  • GcZoomクラスのZoomFactorプロパティが最小値（100%）の場合、フォームサイズを小さくしても、フォーム内のコントロールはズームされません。
  • フォームのリサイズ時にフォームの高さと幅の変更率が異なる場合、フォーム内のコントロールは変更率が小さい方に合わせてズームされます。
VB
C#
クリップボードにコピー
GcZoom1.AllowZoomByResize = True
GcZoom1.InnerPanelLayoutMode = GrapeCity.Win.MultiTouch.InnerPanelLayoutMode.MiddleCenter

gcZoom1.AllowZoomByResize = true;
gcZoom1.InnerPanelLayoutMode = GrapeCity.Win.MultiTouch.InnerPanelLayoutMode.MiddleCenter;
ズーム率にあわせてフォームサイズを変更する

AllowResizeByZoomプロパティにTrueを設定すると、フォーム内のコントロールをズームしたときにズーム率に合わせてフォームのサイズが変更されます。

なお、この機能を有効にするには、InnerPanelLayoutModeプロパティにInnerPanelLayoutMode.MiddleCenterを設定する必要があります。
注意
  • この機能はタッチ操作でフォーム内のコントロールをズームした場合に有効です。ズーム率をコードで変更した場合には機能しません。
  • フォームのサイズが画面サイズと同じ場合や、最大サイズに達している場合には、拡大ズームしてもフォームサイズは変更されません。
VB
C#
クリップボードにコピー
GcZoom1.AllowResizeByZoom = True
GcZoom1.InnerPanelLayoutMode = GrapeCity.Win.MultiTouch.InnerPanelLayoutMode.MiddleCenter

gcZoom1.AllowResizeByZoom = true;
gcZoom1.InnerPanelLayoutMode = GrapeCity.Win.MultiTouch.InnerPanelLayoutMode.MiddleCenter;


フルスクリーンモード

フルスクリーンモード

ここでは、アプリケーションを画面全体に表示するフルスクリーンモードについて説明します。

フルスクリーン表示
アプリケーションを画面全体に拡大するには、フルスクリーンモードを使用します。フルスクリーンモードを使用すると、アプリケーションの表示領域を最大化してユーザーが誤ってタイトルバーやタスクバーを操作することを防ぐことができます。

GcZoom.FullScreenModeプロパティをFullScreenにすると、フォームを画面全体に表示します。FullScreenWithTaskBarにすると、Windowsタスクバー領域を除いた画面全体に表示します。
次のコードは、フォームを画面全体に表示します。
VB
C#
クリップボードにコピー
GcZoom1.FullScreenMode = GrapeCity.Win.MultiTouch.FullScreenMode.FullScreen

gcZoom1.FullScreenMode = GrapeCity.Win.MultiTouch.FullScreenMode.FullScreen;
注意
MDI子フォームではフルスクリーンモードは使用できません。


ズームのイベント

ズームのイベント

GcZoomコンポーネントでは、次のイベントを使用してズーム時の処理をカスタマイズできます。
名前 | 説明
ControlAutoShowing | GcZoomコンポーネントがターゲットコントロールの表示を開始する前に発生します。
ControlBoundsZooming | GcZoomコンポーネントがターゲットコントロールの境界のズームを開始する前に発生します。
ControlFontZooming | GcZoomコンポーネントがターゲットコントロールのフォントのズームを開始する前に発生します。
ManipulationStarting | マニピュレーションプロセッサが最初に作成されたときに発生します。
ZoomFactorChanged | ZoomFactorプロパティが変更されたときに発生します。

コントロールが自動スクロールされるときのイベント
GcZoom.ControlAutoShowingイベントを使用すると、GcZoomコンポーネントによってフォームが自動的にスクロールされる際に、コントロールの情報やスクロールが発生した理由によってこれをキャンセルするかどうかを制御できます。たとえば、コントロールが一定サイズ表示されている場合は自動スクロールしない、といった処理が可能です。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub GcZoom1_ControlAutoShowing(sender As System.Object, e As ControlAutoShowingEventArgs) Handles GcZoom1.ControlAutoShowing
    ' コントロールがすべて表示されているときは自動スクロールをしません。
    If GcZoom1.GetDisplayRectangle(e.ShowingControl).Size = e.ShowingControl.Size Then
        e.Cancel = True
    End If

    ' コントロールの一部が表示されているときは自動スクロールをしません。
    If GcZoom1.GetDisplayRectangle(e.ShowingControl).IsEmpty Then
        e.Cancel = True
    End If

    ' コントロールの高さが30ピクセル以上表示されているときは自動スクロールをしません。
    If GcZoom1.GetDisplayRectangle(e.ShowingControl).Size.Height > 30 Then
        e.Cancel = True
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void gcZoom1_ControlAutoShowing(object sender, ControlAutoShowingEventArgs e)
{
    // コントロールがすべて表示されているときは自動スクロールをしません。
    if (gcZoom1.GetDisplayRectangle(e.ShowingControl).Size == e.ShowingControl.Size)
    {
        e.Cancel = true;
    }

    // コントロールの一部が表示されているときは自動スクロールをしません。
    if (!gcZoom1.GetDisplayRectangle(this.button1).IsEmpty)
    {
        e.Cancel = true;
    }

    // コントロールの高さが30ピクセル以上表示されているときは自動スクロールをしません。
    if (gcZoom1.GetDisplayRectangle(this.button1).Size.Height > 30)
    {
        e.Cancel = true;
    }
}
ズームの検出
GcZoom.ControlBoundsZoomingイベントを使用して、コントロールのズームを検出できます。また、GcZoom.ControlFontZoomingイベントを使用してフォントのズームを検出できます。
通常、ユーザー定義のズームの動作を複数のプロジェクト間で共有するにはZoomPolicyが適しています。詳細は「ズームとコントロール」を参照してください。

GcZoom.ControlBoundsZoomingイベントでは、組み込みのズーム処理をキャンセルしてユーザー定義のコードをコントロールに対して実行できます。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub GcZoom1_ControlBoundsZooming(sender As System.Object, e As ControlBoundsZoomingEventArgs) Handles GcZoom1.ControlBoundsZooming
    If e.TargetControl Is Button1 Then
        e.Handled = True
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void gcZoom1_ControlBoundsZooming(object sender, ControlBoundsZoomingEventArgs e)
{
    if (e.TargetControl == button1)
    {
        e.Handled = true;
    }
}

GcZoom.ControlFontZoomingイベントでは組み込みのフォントズームをキャンセルしてユーザー定義のコードを実装できます。このイベントで対象のコントロールのフォントをカスタマイズする場合、対象のコントロールのフォントに明示的にフォントが指定されている必要があります。フォントが指定されていない場合、親コントロールのフォントが使用されます。また、GcZoom.InnerPanelプロパティに一致するコントロールは除外される必要があります。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    Button1.Font = New Font("MS UI Gothic", 9.0F)
End Sub

Private Sub GcZoom1_ControlFontZooming(sender As System.Object, e As ControlFontZoomingEventArgs) Handles GcZoom1.ControlFontZooming
    If e.TargetControl Is Button1 Then
        e.Handled = True
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void Form1_Load(object sender, EventArgs e)
{
    button1.Font = new Font("MS UI Gothic", 9.0f);
}

private void gcZoom1_ControlFontZooming(object sender, ControlFontZoomingEventArgs e)
{
    if (e.TargetControl == button1)
    {
        e.Handled = true;
    }
}
タッチ操作が開始されたときのイベント
GcZoom.ManipulationStartingイベントを使用すると、タッチ操作でズームやスクロール（パン）が開始されたときに、この処理を実行するかどうかを変更できます。たとえば、フォーム画面のスクロールよりもListBoxコントロールのスクロールを優先したい場合、次のようにコーディングします。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub GcZoom1_ManipulationStarting(sender As System.Object, e As ZoomManipulationStartingEventArgs) Handles GcZoom1.ManipulationStarting
    If TypeOf e.TargetControl Is TextBox AndAlso DirectCast(e.TargetControl, TextBox).Text.Length > 0 Then
        e.Mode = ZoomManipulationModes.Zoom
    Else
        e.Mode = ZoomManipulationModes.All
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void gcZoom1_ManipulationStarting(object sender, ZoomManipulationStartingEventArgs e)
{
    if (e.TargetControl is ListBox)
    {
        e.Mode = ZoomManipulationModes.Zoom;
    }
    else
    {
         e.Mode = ZoomManipulationModes.All;
    }
}

TextBoxコントロールに文字列が存在する場合だけ、フォームのスクロールよりもTextBoxコントロール上の操作を優先する、といった細かな組み合わせも実装できます。
VB
C#
クリップボードにコピー
Private Sub GcZoom1_ManipulationStarting(sender As System.Object, e As GrapeCity.Win.MultiTouch.ZoomManipulationStartingEventArgs) Handles GcZoom1.ManipulationStarting
    If TypeOf e.TargetControl Is TextBox AndAlso DirectCast(e.TargetControl, TextBox).Text.Length > 0 Then
        e.Mode = GrapeCity.Win.MultiTouch.ZoomManipulationModes.Zoom
    Else
        e.Mode = GrapeCity.Win.MultiTouch.ZoomManipulationModes.All
    End If
End Sub

private void gcZoom1_ManipulationStarting(object sender, GrapeCity.Win.MultiTouch.ZoomManipulationStartingEventArgs e)
{
    if (e.TargetControl is TextBox && ((TextBox)e.TargetControl).Text.Length > 0)
    {
        e.Mode = GrapeCity.Win.MultiTouch.ZoomManipulationModes.Zoom;
    }
    else
    {
        e.Mode = GrapeCity.Win.MultiTouch.ZoomManipulationModes.All;
    }
}
ズーム率が変わった時のイベント
GcZoom.ZoomFactorChangedイベントを使用すると、ズーム率が変わったときに処理を実行できます。たとえば、次のコードように現在のズーム率をタイトルバーに表示できます。
VB
C#
クリップボードにコピー
Private Sub GcZoom1_ZoomFactorChanged(sender As System.Object, e As System.EventArgs) Handles GcZoom1.ZoomFactorChanged
    Me.Text = String.Format("{0:P}", GcZoom1.ZoomFactor)
End Sub

private void gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
{
    this.Text = string.Format("{0:P}", gcZoom1.ZoomFactor);
}


フォームとの互換性

フォームとの互換性

GcZoomコンポーネントはフォーム上のコントロールをGcZoomコンポーネントが持つパネルに移動し、そのパネルとコントロールの大きさを変えることでズームを実現します。このため、フォームのいくつかの機能は以下のように変更が必要になります。

Form.Captureプロパティ
System.Windows.Forms.Formクラスの [image] Captureプロパティは、GcZoomコンポーネントを配置したフォームでは使用できなくなります。代わりにGcZoom.InnerPanelプロパティが参照するPanelオブジェクトのCaptureプロパティを使用します。
Form.Controlsプロパティ
System.Windows.Forms.Formクラスの [image] Controlsプロパティは、GcZoomコンポーネントを配置したフォームでは使用できなくなります。代わりにGcZoom.ControlsプロパティまたはGcZoom.InnerPanelプロパティが参照するPanelオブジェクトのControlsプロパティを使用します。
コントロールの追加
実行時にコーディングでフォームにコントロールを追加するには、以下のようにコントロールを追加するコードをGcZoom.BeginAddControlsメソッドとGcZoom.EndAddControlsメソッドで囲ってください。
VB
C#
クリップボードにコピー
Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
    GcZoom1.BeginAddControls()

    Dim Button2 As New Button()
    GcZoom1.Controls.Add(Button2)
    Button2.Text = "Button2"
    Button2.Visible = True
    Button2.Left = Button1.Left
    Button2.Top = Button1.Top + Button1.Height + 10

    GcZoom1.EndAddControls()
End Sub

private void button1_Click(object sender, EventArgs e)
{
    gcZoom1.BeginAddControls();

    Button button2 = new Button();
    gcZoom1.Controls.Add(button2);
    button2.Text = "Button2";
    button2.Visible = true;
    button2.Left = button1.Left;
    button2.Top = button1.Top + button1.Height + 10;

    gcZoom1.EndAddControls();
}


GcZoomPanelコントロール

GcZoomPanelコントロール

GcZoomPanelコントロールを使うと、フォームの一部だけをタッチによるズームに対応できます。画面の一部だけをズーム可能にしたい場合や、画面のパーツごとに設定を分けたい場合に便利です。GcZoomPanelコントロールは標準のPanelコントロールと同じように、パネルとして使用できます。

ここでは、GcZoomPanelコントロールの利用方法について、以下の項目に分けて解説しています。

  • 基本的な使い方
  • パネルとの互換性
なお、GcZoomPanelコントロールでは、コントロールバー、パンウィンドウ、フルスクリーンモードおよびアスペクト比の維持は使用できません。また、GcZoomPanelコントロールとGcZoomコンポーネント、GcApplicationZoomコンポーネントは併用できません。

また、以下の機能はGcZoomコンポーネントと共通です。「GcZoomコンポーネント」の以下の解説を参照してください。
  • ズーム
  • スクロール
  • ズームのイベント


基本的な使い方

基本的な使い方

ここでは、GcZoomPanelコントロールの基本的な使い方について解説します。

設定方法
次の例では、メニューバー、ツールバーおよびステータスバーを持つエクスプローラ形式のフォームにおける、ツリービューとリストビューだけをタッチ操作でズーム可能にします。
なお、Visual Studioが提供するテンプレートの制約により、ここではVisual Basicでの用法のみを説明します。
  1. Visual Studioを起動し、新規にVisual Basicの「Windowsフォームアプリケーション」プロジェクトを作成します。
  2. ［プロジェクト］メニューから［新しい項目の追加］を選択し、「エクスプローラー フォーム」をExplorer1.vbという名前で追加します。
  3. ［プロジェクト］メニューから［プロジェクト名のプロパティ］を選択し、「スタートアップ フォーム」をExplorer1に変更します。
  4. Explorer1にツールボックスからGcZoomPanelコンポーネント（GcZoomPanel1）を適当な場所に追加します。
  5. ［表示］メニューから［ドキュメント アウトライン］を選択し、「ドキュメントアウトライン」ウィンドウを表示します。
  6. ドキュメントアウトライン上でGcZoomPanel1を選択し、ToolStripContainer.ContentPanelとSplitContainerの中間に移動します。
  7. ドキュメントアウトライン上でSplitContainerをGcZoomPanel1にドラッグします。
  8. ドキュメントアウトライン上でGcZoomPanel1を選択し、フォーム上のGcZoomPanel1のスマートタグから「親コンテナーにドッキングする」を実行します。
  9. プロジェクトを実行すると、ツリービューとリストビューの部分がズームされることが確認できます。


パネルとの互換性

パネルとの互換性

GcZoomPanelコントロールはPanelコントロール上のコントロールをGcZoomPanelコンポーネントが内部に持つパネルに移動し、そのパネルとコントロールの大きさを変えることでズームを実現します。このため、元のPanelコントロールの以下の機能は変更が必要になります。

コントロールの追加
実行時にコーディングでフォームにコントロールを追加するには、コントロールを追加するコードをGcZoomPanelクラスのBeginAddControlsメソッドとEndAddControlsメソッドで囲います。そしてコントロールを追加するには、GcZoomPanel.Controlsプロパティの代わりにInnerControlsプロパティを使用します。
  1. フォームにGcZoomPanelコントロール（GcZoomPanel1）を追加します。
  2. GcZoomPanel1にButtonコントロール（Button1）を追加します。
  3. Button1.Clickイベントに以下のコードを追加します。
    VB
    C#
    クリップボードにコピー
    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click

    GcZoomPanel1.BeginAddControls()

    Dim button2 As New Button()
    GcZoomPanel1.InnerControls.Add(button2)

    button2.Text = "Button2"
    button2.Visible = True
    button2.Left = Button1.Left
    button2.Top = Button1.Top + Button1.Height + 10

    GcZoomPanel1.EndAddControls()
End Sub

    private void button1_Click(object sender, EventArgs e)
{
    gcZoomPanel1.BeginAddControls();

    Button button2 = new Button();
    gcZoomPanel1.InnerControls.Add(button2);

    button2.Text = "Button2";
    button2.Visible = true;
    button2.Left = button1.Left;
    button2.Top = button1.Top + button1.Height + 10;

    gcZoomPanel1.EndAddControls();
}
  4. プロジェクトを実行し、GcZoomPanelをズームした状態でButton1をクリックし、Button2が適切な位置と大きさで追加されることを確認します。


GcApplicationZoomコンポーネント

GcApplicationZoomコンポーネント

GcApplicationZoomコンポーネントを使用すると、プロジェクトに含まれるすべてのフォームをタッチによるズーム操作に対応できます。GcZoomコンポーネントを使用する場合、すべてのフォームをズーム可能にするにはフォームの数だけGcZoomコンポーネントを配置する必要がありますが、GcApplicationZoomコンポーネントを使用すると、この作業は最初の一度だけですみます。

ここでは、プロジェクトに含まれるすべてのフォームをズーム可能にする方法について、以下の項目に分けて解説しています。

  • 基本的な使い方
  • 特定のフォームの設定
ひとつのフォームのみズーム操作に対応する方法については「GcZoomコンポーネント」を参照してください。


基本的な使い方

基本的な使い方

ここでは、GcApplicationZoomコンポーネントの基本的な使用方法について解説します。

概要
GcApplicationZoomコンポーネントをスタートアップフォームに配置すると、プロジェクトに含まれるすべてのフォームをタッチによるズーム操作に対応できます。

スタートアップフォームとは、Visual Basicではプロジェクトのプロパティで「スタートアップフォーム」のドロップダウンリストで選択されているフォームです。Visual C#ではアプリケーションのメイン エントリポイント、たとえばProgram.cs内のMain関数で、Application.Runメソッドに引数として渡されるフォームです。

GcApplicationZoomコンポーネントは、 [image] System.Windows.Forms.Applicationクラスの [image] OpenFormsプロパティで参照可能なすべてのフォームに、自動的にGcZoomコンポーネントを追加します。すでにGcZoomコンポーネントまたはGcZoomPanelコントロールがそのフォームに配置されている場合には、GcApplicationZoomコンポーネントはそのフォームを除外します。したがって、特定のフォームにカスタマイズしたズーム設定を適用するために引き続きそれらのコントロールを使うことができます。
注意
  • GcApplicationZoomコンポーネントではパンウィンドウは使用できません。
  • MessageBoxやInputBox、コモンダイアログはズームできません。
関連付けられたGcZoomコンポーネント
GcApplicationZoomクラスのGetGcZoomメソッドを使用して、特定のフォームに関連付けられたGcZoomコンポーネントをコードにより取得できます。このメソッドはGcApplicationZoomオブジェクトのインスタンスの有無に関わらず利用できます。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
    Dim subForm As New Form2()

    Dim gcZoom As GcZoom = GcApplicationZoom.GetGcZoom(subForm)

    If gcZoom Is Nothing Then
        MessageBox.Show("Form2にGcZoomコンポーネントはありません。")
    Else
        MessageBox.Show("Form2にGcZoomコンポーネントがあります。")
        gcZoom.AboutBox()
    End If

    subForm.Show()
End Sub

using GrapeCity.Win.MultiTouch;

private void button1_Click(object sender, EventArgs e)
{
    Form2 subForm = new Form2();

    GcZoom gcZoom = GcApplicationZoom.GetGcZoom(subForm);
    if (gcZoom == null)
    {
        MessageBox.Show("Form2にGcZoomコンポーネントはありません。");
    }
    else
    {
        MessageBox.Show("Form2にGcZoomコンポーネントがあります。");
        gcZoom.AboutBox();
    }
    subForm.Show();
}
フォームごとに割り当てられたGcZoomのイベントを使用する
以下の手順では、フォームごとにGcApplicationZoomコンポーネントによって割り当てられたGcZoomコンポーネントのイベントを使って、ズーム時に各フォームのタイトルバーにズーム率を表示します。
  1. Windows Formsプロジェクトを新規に作成します。
  2. フォーム（Form1）にボタン（Button1）を追加します。
  3. 新たにフォーム（Form2）を追加します。
  4. Form2に任意のボタンやチェックボックスコントロールなどを追加します。
  5. Form1のButton1のClickイベントに次のコードを実装し、ボタンクリックによりForm2が表示されるように設定します。
    VB
    C#
    クリップボードにコピー
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
    Dim f2 As New Form2()
    f2.Show()
End Sub

    private void button1_Click(object sender, EventArgs e)
{
    Form2 f2 = new Form2();
    f2.Show();
}
  6. フォーム（Form1）にGcApplicationZoomコンポーネント（GcApplicationZoom1）を追加します。
  7. 次のように実装します。
    VB
    C#
    クリップボードにコピー
    Imports GrapeCity.Win.MultiTouch

Private Sub GcApplicationZoom1_GcZoomAttaching(sender As Object, e As GcZoomAttachingEventArgs) Handles GcApplicationZoom1.GcZoomAttaching
    If TypeOf e.Form Is Form2 Then
        e.GcZoom.ZoomFactor = 2.0F
        AddHandler e.GcZoom.ZoomFactorChanged, AddressOf GcZoom_ZoomFactorChanged
    End If
End Sub

Private Sub GcZoom_ZoomFactorChanged(sender As Object, e As EventArgs)
    Dim gcZoom As GcZoom = DirectCast(sender, GcZoom)
    Form.ActiveForm.Text = String.Format("{0:P}", gcZoom.ZoomFactor)
End Sub

Private Sub GcApplicationZoom1_GcZoomDetached(sender As Object, e As GcZoomDetachedEventArgs) Handles GcApplicationZoom1.GcZoomDetached
    If TypeOf e.Form Is Form2 Then
        RemoveHandler e.GcZoom.ZoomFactorChanged, AddressOf GcZoom_ZoomFactorChanged
    End If
End Sub

    using GrapeCity.Win.MultiTouch;

private void gcApplicationZoom1_GcZoomAttaching(object sender, GcZoomAttachingEventArgs e)
{
    if (e.Form is Form2)
    {
        e.GcZoom.ZoomFactor = 2.0f;
        e.GcZoom.ZoomFactorChanged += new EventHandler(GcZoom_ZoomFactorChanged);
    }
}

private void GcZoom_ZoomFactorChanged(object sender, EventArgs e)
{
    GcZoom gcZoom = sender as GcZoom;
    Form.ActiveForm.Text = string.Format("{0:P}", gcZoom.ZoomFactor);
}

private void gcApplicationZoom1_GcZoomDetached(object sender, GcZoomDetachedEventArgs e)
{
    if (e.Form is Form2)
    {
        e.GcZoom.ZoomFactorChanged -= new EventHandler(GcZoom_ZoomFactorChanged);
    }
}
  8. プロジェクトを実行し、Form1のButton1をクリックし、Form2を表示します。
注意
  • ユーザーが現在操作しているフォームにアクセスするには、 [image] System.Windows.Forms.Formクラスの [image] ActiveFormプロパティを使用します。
  • ユーザーが現在操作しているフォームのGcZoomコンポーネントは、sender引数で参照できます。
  • GcZoomコンポーネントのイベントはGcApplicationZoom.GcZoomDetachedプロパティで削除（解放）する必要があります。


特定のフォームの設定

特定のフォームの設定

ここでは、GcApplicationZoomコンポーネントが配置されたプロジェクトにおいて、特定のフォームを設定する方法について解説します。

特定のフォームをズームの対象外にする
特定のフォームをズームの対象外にするには、GcApplicationZoomコンポーネントにフォームが関連付けられるタイミングでフォームの型に応じてキャンセルします。

以下のコードはプロジェクトに2つのフォーム（Form1、Form2）が存在するとき、Form1に配置したGcApplicationZoomコンポーネントからForm2を除外します。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub GcApplicationZoom1_GcZoomAttaching(sender As System.Object, e As GcZoomAttachingEventArgs) Handles GcApplicationZoom1.GcZoomAttaching
    If TypeOf e.Form Is Form2 Then
        ' Form2はズームの対象外になります
        e.Cancel = True
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void gcApplicationZoom1_Attaching(object sender, GcZoomAttachedEventArgs e)
{
    if(e.Form is Form2)
    {
         // Form2はズームの対象外になります
         e.Cancel = true;
    }
}
特定のフォームの設定を変更する
次のコードは、プロジェクトに2つのフォーム（Form1、Form2）が存在するとき、Form2フォームだけズームの最大値を300%に変更します。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub GcApplicationZoom1_GcZoomAttaching(sender As Object, e As GcZoomAttachingEventArgs) Handles GcApplicationZoom1.GcZoomAttaching
    If TypeOf e.Form Is Form2 Then
        ' Form2だけズームの最大値を300%にします。
        e.GcZoom.MaxZoomFactor = 3.0F
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void ApplicationZoom1_GcZoomAttaching(object sender, GcZoomAttachedEventArgs e)
{
    if(e.Form is Form2)
    {
         // Form2だけズームの最大値を300%にします。
         e.GcZoom.MaxZoomFactor = 3.0f;
    }
}


GcZoomCommandProviderコンポーネント

GcZoomCommandProviderコンポーネント

GcZoomCommandProviderコンポーネントとユーザーコントロールを使用して、タッチ操作を視覚化するコントロールバーを作成することが可能です。GcZoomCommandProviderコンポーネントは、ユーザーコントロール上のコントロールに拡大、縮小、スクロールといったタッチ操作のコマンドを付与します。

ここでは、GcZoomCommandProviderコンポーネントの利用方法について、以下の項目に分けて解説します。

  • 基本的な使い方
  • コントロールバー
注意
GcZoomCommandProviderコンポーネントはユーザーコントロール以外では使用できません。また、ユーザーコントロールを編集するデザイン画面でのみ、ツールボックスに表示されます。


基本的な使い方

基本的な使い方

ここでは、コントロールバーとGcZoomCommandProviderコンポーネントの基本的な使用方法について解説します。

コントロールバー
GcZoomコンポーネントが配置されているフォームでは、ズームやスクロールの操作をエンドユーザーの目に触れる形で提供するコントロールバーを表示することができます。コントロールバーは、ユーザーコントロールで作成され、GcZoom.ControlBarsプロパティが参照するControlBarオブジェクトのコレクションに追加することで定義されます。
ユーザーコントロールに配置されたボタン等に拡大、縮小、スクロールといったタッチ操作のコマンドを設定するには、GcZoomCommandProviderコンポーネントを使用します。

コントロールバーの詳細な作成方法については「コントロールバー」を参照してください。
組み込みのアクション
GcZoomCommandProviderコンポーネントでは、次の組み込みのアクションを提供します。
定義 | 説明
None | どのコマンドも実行しません（デフォルト値）。
ZoomIn | このコマンドを実行すると、10% ズームインします。現在のズーム率が最大ズーム率に達している場合は何もしません。
ZoomOut | このコマンドを実行すると、10% ズームアウトします。現在のズーム率が最小ズーム率に達している場合は何もしません。
ResetZoom | ズーム率を100%にします。
ScrollLeft | フォームコンテンツの幅の 1/3 だけ左にスクロールします。フォームがスクロールの終端に達している場合は何もしません。
ScrollRight | フォームコンテンツの幅の 1/3 だけ右にスクロールします。フォームがスクロールの終端に達している場合は何もしません。
ScrollUp | フォームコンテンツの高さの 1/3 だけ上にスクロールします。フォームがスクロールの終端に達している場合は何もしません。
ScrollDown | フォームコンテンツの高さの 1/3 だけ下にスクロールします。フォームがスクロールの終端に達している場合は何もしません。
SwitchFullScreen | フォームをフルスクリーンに変更します。フォームがすでにフルスクリーンになっている場合は、元に戻します。
ShowOrHidePreviewWindow | パンウィンドウを表示します。パンウィンドウがすでに表示されている場合は、パンウィンドウを閉じます。
SelectNextControl | アクティブなコントロールを次に移動します。
SelectPreviousControl | アクティブなコントロールを前に移動します。
ユーザー定義のアクション
GcZoomCommandProvider.OwnerFormプロパティを通じて、コントロールバーが表示されるフォームにアクセスできます。次のコードはフォームを閉じる処理です。
VB
C#
クリップボードにコピー
GcZoomCommandProvider1.OwnerForm.Close()

gcZoomCommandProvider1.OwnerForm.Close();

GcZoomCommandProvider.OwnerGcZoomプロパティを通じて、コントロールバーが表示されるフォーム上のGcZoomコンポーネントにアクセスできます。次のコードは、ズームしたフォームで右下に向かってスクロールします。
VB
C#
クリップボードにコピー
Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
    Dim currentLocation As Point = GcZoomCommandProvider1.OwnerGcZoom.ScrollLocation
    currentLocation.X -= 100
    currentLocation.Y -= 100
    GcZoomCommandProvider1.OwnerGcZoom.ScrollLocation = currentLocation
End Sub

private void button1_Click(object sender, EventArgs e)
{
    Point currentLocation = gcZoomCommandProvider1.OwnerGcZoom.ScrollLocation;
    currentLocation.X -= 100;
    currentLocation.Y -= 100;
    gcZoomCommandProvider1.OwnerGcZoom.ScrollLocation = currentLocation;
}


コントロールバー

コントロールバー

コントロールバーはズームやスクロールの操作をエンドユーザーの目に触れる形で提供します。コントロールバーはGcZoomコンポーネントのズームから除外されるため、ユーザーの操作に関わらず同じ大きさを保つことができます。

コントロールバーの設定
以下の手順でタッチ可能なフォームに対し、コントロールバーを設定します。
  1. プロジェクトにユーザーコントロールを追加します。（UserControl1）
  2. ユーザーコントロールにコマンドとして使用するButtonコントロールを２つ追加します。（Button1、Button2）
  3. ツールボックスからユーザーコントロールにGcZoomCommandProviderコンポーネントを追加します。
  4. Buttonコントロールのスマートタグアンカーをクリックし、GcZoomCommandsの一覧から「ZoomIn」を選択します。同様に、もう１つのButtonコントロールに同じ手順で「ZoomOut」を選択します。
  5. プロジェクトをビルドします。
  6. フォームにGcZoomコンポーネントを追加します。
  7. フォームに、作成したUserControl1を追加します。
  8. GcZoomコンポーネントを選択し、プロパティウィンドウからGcZoom.ControlBarsプロパティを開きます。
  9. ControlBarコレクションエディターで〈追加〉をクリックし、Contentプロパティで「WindowsFormsApplication1.UserControl1」を選択します。
  10. フォームを実行し、Button1とButton2の操作でフォームをズームできることを確認します。
表示位置
ControlBar.PositionModeプロパティを使って、コントロールバーの表示位置を設定できます。

ControlBar.PositionModeプロパティにPositionMode.Dockを設定している場合、コントロールバーは親フォームにドッキングされます。親フォームがリサイズされた場合、コントロールバーの表示位置は親フォームのサイズに合わせて自動調整されます。

また、ControlBar.DockPositionプロパティで、ドッキングされたコントロールバーの表示位置を指定できます。

次のコードでは、ドッキングされたコントロールバーを親フォームの左下に表示します。
VB
C#
クリップボードにコピー
GcZoom1.ControlBars(0).PositionMode = GrapeCity.Win.MultiTouch.PositionMode.Dock
GcZoom1.ControlBars(0).DockPosition = ContentAlignment.BottomLeft

gcZoom1.ControlBars[0].PositionMode = GrapeCity.Win.MultiTouch.PositionMode.Dock;
gcZoom1.ControlBars[0].DockPosition = ContentAlignment.BottomLeft;

ControlBar.Marginプロパティを使用すると、親フォームの罫線とコントロールバーの間にスペースを入れることができます。
VB
C#
クリップボードにコピー
GcZoom1.ControlBars(0).Margin = New Padding(20, 20, 20, 20)

gcZoom1.ControlBars[0].Margin = new Padding(20, 20, 20, 20);

ControlBar.PositionModeプロパティにPositionMode.Floatingを設定している場合、タッチ操作またはコードでコントロールバーの表示位置を変更できます。

VB
C#
クリップボードにコピー
GcZoom1.ControlBars(0).PositionMode = GrapeCity.Win.MultiTouch.PositionMode.Floating

gcZoom1.ControlBars[0].PositionMode = GrapeCity.Win.MultiTouch.PositionMode.Floating;

ControlBar.PositionModeプロパティにPositionMode.Fixedを設定している場合、コードでコントロールバーの表示位置を変更できます。この場合、コントロールバーの表示位置をタッチ操作で変更することはできません。
VB
C#
クリップボードにコピー
GcZoom1.ControlBars(0).PositionMode = GrapeCity.Win.MultiTouch.PositionMode.Fixed

gcZoom1.ControlBars[0].PositionMode = GrapeCity.Win.MultiTouch.PositionMode.Fixed;
半透明表示
ControlBar.Opacityプロパティを使って、コントロールバーを対象のフォーム上で半透明に表示できます。既定値は50%の透過です。半透明の場合でも、背後にあるフォームのコントロールを操作することはできません。

20% | 50%（既定） | 100%
背景色の透過
ControlBar.TransparentBackgroundプロパティをTrueに設定し、ControlBar.TransparencyKeyプロパティに透過したい色を設定すると、コントロールバーの指定した色を透明できます。このとき、透明の部分を通して背後にあるフォームのコントロールを操作することはできません。


GcMagnifierコンポーネント

GcMagnifierコンポーネント

GcMagnifierコンポーネントを使用すると、ユーザーがタッチ操作を行うときに指先に小さな拡大鏡を表示してユーザーの操作を補助できます。たとえばタッチ操作でTextBoxコントロールの文字列を選択するには、文字そのものを指でなぞる必要があるため、選択中は文字が指で隠れてしまいます。GcMagnifierコンポーネントで拡大鏡を指先に表示すると、ユーザーは画面のどの部分を操作しているのか拡大鏡を通して見ることができるようになります。

既定の設定では、ユーザーが指を画面に一定時間置くと表示されます。

ここでは、GcMagnifierコンポーネントの使用方法について以下の項目に分けて解説します。

  • 基本的な使い方
  • 拡大鏡の外観を変更する
  • 拡大鏡とイベント


基本的な使い方

基本的な使い方

ここでは、GcMagnifierコンポーネントの基本的な使用方法について解説します。

拡大鏡を有効にする
以下の手順で、拡大鏡を有効にできます。
  1. TextBoxコントロール（TextBox1）をフォームに追加します。
  2. GcMagnifierコンポーネント（GcMagnifier1）をフォームに追加します。
  3. TextBox1を選択し、プロパティウィンドウから「GcMagnifier1のEnableMagnifier」プロパティをTrueに設定します。
  4. プロジェクトを実行し、TextBoxコントロール上で数秒間指を置いたままにすると、円形の拡大鏡が表示されます。指を画面に置いたまま動かすと、指の動きに合わせて拡大鏡も移動します。
マウスカーソルの表示
GcMagnifier.ShowCursorプロパティをTrueに設定すると、拡大鏡内にマウスカーソルを表示にできます。既定値はFalseです。
False（既定） | True

次のサンプルコードは拡大鏡内にマウスカーソルを表示する例です。
VB
C#
クリップボードにコピー
GcMagnifier1.ShowCursor = True

gcMagnifier1.ShowCursor = true;
拡大率の変更
拡大鏡の拡大率はGcMagnifier.ZoomFactorプロパティで変更します。既定値は200%です。
200%（既定値） | 300%

次のサンプルコードは、拡大鏡の拡大率を400%に設定します。
VB
C#
クリップボードにコピー
GcMagnifier1.ZoomFactor = 4.0F

gcMagnifier1.ZoomFactor = 4.0f;
表示時間
拡大鏡がポップアップされるまでの時間を設定するには、GcMagnifier.PopupDelayプロパティを使用します。
レール
GcMagnifier.IsHorizontalRailEnabledプロパティまたはGcMagnifier.IsVerticalRailEnabledプロパティを使用して、はじめに指を動かした方向に拡大鏡の移動先を固定するかどうかを設定できます。


拡大鏡の外観を変更する

拡大鏡の外観を変更する

拡大鏡は、以下のような外観を変更することができます。

シェイプ
GcMagnifier.Shapeプロパティを使用すると、拡大鏡の形を円形、四角形または角丸四角形のいずれかに設定できます。既定値は円形です。
Circle（円形） | Rectangle（四角形） | RoundedRectangle（角丸四角形）
サイズ
GcMagnifier.Sizeプロパティを使用して、拡大鏡のサイズを設定できます。既定値は100×100です。
100×100 | 150×150 | 150×100
境界線の太さ
GcMagnifier.BorderWidthプロパティを使用して、拡大鏡の境界線の太さを設定できます。既定値は5ピクセルです。
5ピクセル | 10ピクセル | 1ピクセル
境界線の背景
GcMaginifer.BorderBackgroundModeプロパティを使用して、拡大鏡の境界線の背景を設定できます。既定値はBackGround.Lightです。BackGround.Customを設定した場合、GcMagnifier.BorderBackgroundプロパティに背景イメージを指定します。
Light | Dark | Custom
サンプルコード
次のコードは既定の円形の拡大鏡を四角形に変更し、またサイズや境界線の太さも変更します。
VB
C#
クリップボードにコピー
GcMagnifier1.BorderWidth = 3
GcMagnifier1.Shape = GrapeCity.Win.MultiTouch.MagnifierShape.Rectangle
GcMagnifier1.Size = New Size(300, 100)

gcMagnifier1.BorderWidth = 3;
gcMagnifier1.Shape = GrapeCity.Win.MultiTouch.MagnifierShape.Rectangle;
gcMagnifier1.Size = new Size(300, 100);


拡大鏡とイベント

拡大鏡とイベント

拡大鏡の動作に関連したイベントについて解説します。

対象のコントロールに応じた拡大鏡の設定
GcMagnifier.MagnifierShowingイベントを使用すると、拡大鏡が表示される直前に拡大鏡の設定を変更できます。このイベントにより、対象のコントロールに応じて異なる外観の拡大鏡を表示することも可能です。また、このイベントでイベントパラメータのe.CancelプロパティがTrueのとき拡大鏡の表示をキャンセルできます。

次のコードは、TextBoxコントロールに対して四角形の拡大鏡を表示し、NumericUpDownコントロールに対しては拡大鏡を表示しません。それ以外のコントロールに対して円形の拡大鏡を表示します。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    GcMagnifier1.SetEnableMagnifier(TextBox1, True)
    GcMagnifier1.SetEnableMagnifier(NumericUpDown1, True)
End Sub

Private Sub GcMagnifier1_MagnifierShowing(sender As System.Object, e As GrapeCity.Win.MultiTouch.MagnifierShowingEventArgs) Handles GcMagnifier1.MagnifierShowing
    If e.TargetControl Is TextBox1 Then
        Dim magnifier As GcMagnifier = DirectCast(sender, GcMagnifier)
        magnifier.Shape = MagnifierShape.Rectangle
        magnifier.Size = New Size(200, 30)
    Else If e.TargetControl Is NumericUpDown1 Then
        e.Cancel = True
    Else
        Dim magnifier As GcMagnifier = DirectCast(sender, GcMagnifier)
        magnifier.Shape = MagnifierShape.Circle
        magnifier.Size = New Size(100, 100)
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void Form1_Load(object sender, EventArgs e)
{
    gcMagnifier1.SetEnableMagnifier(textBox1, true);
    gcMagnifier1.SetEnableMagnifier(numericUpDown1, true);
}

private void gcMagnifier1_MagnifierShowing(object sender, MagnifierShowingEventArgs e)
{
    if (e.TargetControl == textBox1)
    {
        GcMagnifier magnifier = sender as GcMagnifier;
        magnifier.Shape = MagnifierShape.Rectangle;
        magnifier.Size = new Size(200, 30);
    }
    else if (e.TargetControl == numericUpDown1)
    {
        e.Cancel = true;
    }
    else
    {
        GcMagnifier magnifier = sender as GcMagnifier;
        magnifier.Shape = MagnifierShape.Circle;
        magnifier.Size = new Size(100, 100);
    }
}
拡大鏡を閉じるときの処理
GcMagnifier.MessageWhenCloseプロパティを使用すると、拡大鏡を閉じるときのコントロールに対するアクションを設定できます。既定値はMessageWhenClose.Noneです。
MessageWhenCloseの値 | 説明
None | なし
LeftClick | 左クリック
RightClick | 右クリック

GcMagnifier.Closedイベントを使用すると、ユーザー定義のアクションを実装できます。次のコードは、拡大鏡が閉じたときにTextBoxコントロールのすべての文字列を選択します。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub GcMagnifier1_Closed(sender As System.Object, e As MagnifierEventArgs) Handles GcMagnifier1.Closed
    If TypeOf e.TargetControl Is TextBox Then
        ' Send Ctrl+a
        SendKeys.Send("^a")
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void gcMagnifier1_Closed(object sender, MagnifierEventArgs e)
{
    if (e.TargetControl is TextBox)
    {
        // Send Ctrl+a
        SendKeys.Send("^a");
    }
}
拡大鏡を動かすときの処理
GcMagnifier.MessageWhenMoveプロパティを使用すると、拡大鏡を動かすときのコントロールに対するアクションを設定できます。既定値はMessageWhenMove.Moveです。
MessageWhenMoveの値 | 説明
None | なし
Move | 指の移動
LeftDown | マウスの左ボタン押下

拡大鏡が移動しているときには、Moveイベントが発生します。


GcMultiScaleImageコントロール

GcMultiScaleImageコントロール

ズーム可能なフォームやパネル上にGcMultiScaleImageコントロールを配置すると、画面のズーム率に応じて最適な解像度の画像を表示できます。たとえば画面が小さいときは小さい解像度の画像を表示し、画面が拡大されて大きく表示されるときは大きい解像度の画像を表示できます。

ここではGcMultiScaleImageコントロールの使用方法について、以下の項目で解説します。

  • 基本的な使い方


基本的な使い方

基本的な使い方

ここではGcMultiScaleImageコントロールの基本的な使い方について説明します。

ズーム率に応じたイメージを追加する
GcMultiScaleImageコントロールに、ズーム率ごとに解像度を最適化したイメージを設定することで、画面がズームされたときにズーム率に応じたイメージが表示されます。

ズーム率ごとのイメージを設定するには、GcMultiScaleImage.Imagesプロパティが参照するImageItemオブジェクトのコレクションに、イメージを追加します。
次のコードは、ズーム率が100％、200％および300％のイメージを設定する例です。
VB
C#
クリップボードにコピー
' ズーム率が100％のイメージを設定します。
GcMultiScaleImage1.Image = Image.FromFile("C:\image100.jpg")
GcMultiScaleImage1.ZoomFactor = 1.0F

' ズーム率が200％のイメージを設定します。
Dim item1 As New GrapeCity.Win.MultiTouch.ImageItem()
item1.Image = Image.FromFile("C:\image200.jpg")
item1.ZoomFactor = 2.0F
GcMultiScaleImage1.Images.Add(item1)

' ズーム率が300％のイメージを設定します。
Dim item2 As New GrapeCity.Win.MultiTouch.ImageItem()
item2.Image = Image.FromFile("C:\image300.jpg")
item2.ZoomFactor = 3.0F
GcMultiScaleImage1.Images.Add(item2)

// ズーム率が100％のイメージを設定します。
gcMultiScaleImage1.Image = Image.FromFile(@"C:\image100.jpg");
gcMultiScaleImage1.ZoomFactor = 1.0f;

// ズーム率が200％のイメージを設定します。
GrapeCity.Win.MultiTouch.ImageItem item1 = new GrapeCity.Win.MultiTouch.ImageItem();
item1.Image = Image.FromFile(@"C:\image200.jpg");
item1.ZoomFactor = 2.0f;
gcMultiScaleImage1.Images.Add(item1);

// ズーム率が300％のイメージを設定します。
GrapeCity.Win.MultiTouch.ImageItem item2 = new GrapeCity.Win.MultiTouch.ImageItem();
item2.Image = Image.FromFile(@"C:\image300.jpg");
item2.ZoomFactor = 3.0f;
gcMultiScaleImage1.Images.Add(item2);
イメージを削除する
GcMultiScaleImageコントロールに設定しているイメージを削除するには、以下のように実装します。
VB
C#
クリップボードにコピー
GcMultiScaleImage1.Image = Nothing
GcMultiScaleImage1.Images.Clear()

gcMultiScaleImage1.Image = null;
gcMultiScaleImage1.Images.Clear();
参照
GcMultiScaleImageコントロール


GcTouchEventProviderコンポーネント

GcTouchEventProviderコンポーネント

GcTouchEventProviderコンポーネントを使用してコントロールごとにタッチやペンのイベントを検出できます。たとえば既定のButtonコントロールではマウスのクリックもタッチのタップでも同じくClickイベントが発生します。GcTouchEventProviderコンポーネントを使用すると、タッチのタップ操作ではClickイベントは発生せず、別のTapイベントが発生します。これにより、マウス用の処理とタッチ用の処理を使い分けることができます。

ここでは、GcZoomCommandProviderコンポーネントの利用方法について、以下の項目に分けて解説します。

  • 基本的な使い方
  • タップ関連イベントの検出
  • ジェスチャイベントの検出
  • ポインタイベントの検出
GcZoomコンポーネント、GcZoomPanelコントロールおよびGcApplicationZoomコンポーネントのイベントは「ズームのイベント」を参照してください。


基本的な使い方

基本的な使い方

ここでは、GcTouchEventProviderコンポーネントの基本的な使用方法について解説します。

イベントの種類
GcTouchEventProviderコンポーネントでは、次のイベントを検出できます。
  • タップ関連イベント
    • DoubleTappedイベント
    • Holdingイベント
    • RightTappedイベント
    • Tappedイベント
  • ジェスチャ関連イベント
    • ManipulationCompletedイベント
    • ManipulationDeltaイベント
    • ManipulationInertiaStartingイベント
    • ManipulationStartedイベント
    • ManipulationStartingイベント
  • ポインタ関連イベント
    • PointerCanceledイベント
    • PointerCaptureLostイベント
    • PointerEnteredイベント
    • PointerExitedイベント
    • PointerMovedイベント
    • PointerPressedイベント
    • PointerReleasedイベント
コントロールへの関連付け
特定のコントロールでタッチやペンのイベントを検出するには、コントロールとGcTouchEventProviderコンポーネントを関連づける必要があります。

TextBoxコントロール（TextBox1）とGcTouchEventProviderコンポーネント（GcTouchEventProvider1）を関連づけるには、以下の手順で設定します。
  1. TextBoxコントロール（TextBox1）およびGcTouchEventProviderコンポーネント（GcTouchEventProvider1）をフォームに追加します。
  2. TextBox1を選択し、プロパティウィンドウから「GcTouchEventProvider1のEnableTouchEvents」プロパティをTrueに設定します。
また、コードから設定するにはGcTouchEventProvider.SetEnableTouchEventsメソッドを使用します。
VB
C#
クリップボードにコピー
GcTouchEventProvider1.SetEnableTouchEvents(TextBox1, True)

gcTouchEventProvider1.SetEnableTouchEvents(TextBox1, true);
ルーティングポリシー
GcTouchEventProviderコンポーネントのすべてのイベントはルーティングイベントです。これはGcTouchEventProviderコンポーネントがコンテナコントロールにアタッチされたとき、コンテナコントロールの子コントロールもGcTouchEventProviderコンポーネントのイベントで処理できることを意味します。

以下の例ではパネル上に３つのボタンがあります。そしてパネルにGcTouchEventProviderコンポーネントがアタッチされています。

パネル上のボタンをタップしたとき、GcTouchEventProvider.Tappedイベントが発生します。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    GcTouchEventProvider1.SetEnableTouchEvents(Panel1, True)
End Sub

Private Sub GcTouchEventProvider1_Tapped(sender As System.Object, e As TappedEventArgs) Handles GcTouchEventProvider1.Tapped
    If Not e.TargetControl Is Nothing Then
        Console.WriteLine(e.TargetControl.Name)
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void Form1_Load(object sender, EventArgs e)
{
    gcTouchEventProvider1.SetEnableTouchEvents(panel1, true);
    gcTouchEventProvider1.Tapped += new EventHandler<TappedEventArgs>(gcTouchEventProvider1_Tapped);
 }

private void gcTouchEventProvider1_Tapped(object sender, TappedEventArgs e)
{
    if (e.TargetControl != null)
        Console.WriteLine(e.TargetControl.Name);
}
ルーティングの方向
ルーティング イベントは親コントロールに対して子コントロールから先に発生します。たとえばPanel1の子コントロールとしてButton1があります。このときButton1とPanel1の両方がGcTouchEventProviderコンポーネントにアタッチされているものとします。タッチのイベントはButton1に対して先に発生し、その後Panel1に対して発生します。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    GcTouchEventProvider1.SetEnableTouchEvents(Button1, True)
    GcTouchEventProvider1.SetEnableTouchEvents(Panel1, True)
End Sub

Private Sub GcTouchEventProvider1_Tapped(sender As System.Object, e As TappedEventArgs) Handles GcTouchEventProvider1.Tapped
    If Not e.TargetControl Is Nothing Then
        Console.WriteLine("{0},{1}", DateTime.Now.ToString(), e.TargetControl.Name)
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void Form1_Load(object sender, EventArgs e)
{
    gcTouchEventProvider1.SetEnableTouchEvents(button1, true);
    gcTouchEventProvider1.SetEnableTouchEvents(panel1, true);
    gcTouchEventProvider1.Tapped += new EventHandler<TappedEventArgs>(gcTouchEventProvider1_Tapped);
}

private void gcTouchEventProvider1_Tapped(object sender, TappedEventArgs e)
{
    if (e.TargetControl != null)
        Console.WriteLine("{0},{1}", DateTime.Now.ToString(), e.TargetControl.Name);
}
ルーティングイベントの情報
GcTouchEventProviderコンポーネントのすべてのイベント引数は、TouchRoutedEventArgsクラスを継承します。TouchRoutedEventArgsクラスを通してTargetControlプロパティとOriginalSourceプロパティを取得できます。TargetControlプロパティは現在のイベントのコントロールを示します。OriginalSourceプロパティはイベントを受け取った最初のコントロールを示します。

たとえばPanel1の子コントロールとしてButton1があります。このときButton1とPanel1の両方がGcTouchEventProviderコンポーネントにアタッチされているものとします。Button1がタッチイベントを受信したとき、TargetControlプロパティは"Button1"、OriginalSourceプロパティも"Button1"になります。Panel1がタッチイベントを受信したとき、TargetControlプロパティは"Panel1"、OriginalSourceプロパティは"Button1"になります。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    GcTouchEventProvider1.SetEnableTouchEvents(Button1, True)
    GcTouchEventProvider1.SetEnableTouchEvents(Panel1, True)
End Sub

Private Sub GcTouchEventProvider1_Tapped(sender As System.Object, e As TappedEventArgs) Handles GcTouchEventProvider1.Tapped
    If Not e.TargetControl Is Nothing Then
        Console.WriteLine("{0},{1},{2}", DateTime.Now.ToString(), e.TargetControl.Name, e.OriginalSource.Name)
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void Form1_Load(object sender, EventArgs e)
{
    this.gcTouchEventProvider1.SetEnableTouchEvents(button1, true);
    this.gcTouchEventProvider1.SetEnableTouchEvents(panel1, true);
    this.gcTouchEventProvider1.Tapped += new EventHandler<TappedEventArgs>(gcTouchEventProvider1_Tapped);
}

private void gcTouchEventProvider1_Tapped(object sender, TappedEventArgs e)
{
    if (e.TargetControl != null)
        Console.WriteLine("{0},{1},{2}", DateTime.Now.ToString(), e.TargetControl.Name, e.OriginalSource.Name);
}
イベントのハンドリング
子コントロールでイベントを処理し、親コントロールでイベントを処理したくない場合、TouchRoutedEventArgs.HandledプロパティにTrueを設定することでイベントをブロックできます。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    GcTouchEventProvider1.SetEnableTouchEvents(Button1, True)
    GcTouchEventProvider1.SetEnableTouchEvents(Panel1, True)
End Sub

Private Sub GcTouchEventProvider1_Tapped(sender As System.Object, e As TappedEventArgs) Handles GcTouchEventProvider1.Tapped
    If Not e.TargetControl Is Nothing Then
        Console.WriteLine("{0},{1},{2}", DateTime.Now.ToString(), e.TargetControl.Name, e.OriginalSource.Name)
        e.Handled = True
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void Form1_Load(object sender, EventArgs e)
{
    this.gcTouchEventProvider1.SetEnableTouchEvents(button1, true);
    this.gcTouchEventProvider1.SetEnableTouchEvents(panel1, true);
    this.gcTouchEventProvider1.Tapped += new EventHandler<TappedEventArgs>(gcTouchEventProvider1_Tapped);
}

private void gcTouchEventProvider1_Tapped(object sender, TappedEventArgs e)
{
    if (e.TargetControl != null)
    {
        Console.WriteLine("{0},{1},{2}", DateTime.Now.ToString(), e.TargetControl.Name, e.OriginalSource.Name);
        e.Handled = true;
    }
}
最大タッチ数の取得
システム上の最大タッチ数を取得するためには、GcTouchEventProvider.MaximunTouchesプロパティを使用します。
以下コードでは、Windows 8またはWindows Server 2012またはより新しいバージョンのWindowsであるかどうかを検出し、マルチタッチがサポートされているかどうかをユーザーに表示する例です。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

' OSがWindows 8またはServer 2012、あるいはより新しいバージョンである場合、Trueを返します。
' それ以外の場合はFalseを返します。
Private Shared Function IsWindows8()
    If Environment.OSVersion.Version.Major >= 6 AndAlso Environment.OSVersion.Version.Minor >= 2 Then
        Return True
    Else
        Return False
    End If
End Function

Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
    If GcTouchEventProvider.MaximunTouches < 2 AndAlso IsWindows8() = False Then
        MessageBox.Show("マルチタッチはサポートされていません。")
    Else
        MessageBox.Show("マルチタッチがサポートされています。")
    End If
End Sub

using GrapeCity.Win.MultiTouch;

// OSがWindows 8またはServer 2012、あるいはより新しいバージョンである場合、trueを返します。
// それ以外の場合はfalseを返します。
private static bool IsWindows8()
{
    if (Environment.OSVersion.Version.Major >= 6 && Environment.OSVersion.Version.Minor >= 2)
    {
        return true;
    }
    else
    {
        return false;
    }
}

private void button1_Click(object sender, EventArgs e)

{
    if (GcTouchEventProvider.MaximunTouches < 2 || IsWindows8() == false)
    {
        MessageBox.Show("マルチタッチはサポートされていません。");
    }
    else
    {
        MessageBox.Show("マルチタッチがサポートされています。");
    }
}


タップ関連イベントの検出

タップ関連イベントの検出

GcTouchEventProviderコンポーネントでは、タップ、ダブルタップ、右タップおよびホールド（長押し）を検出できます。

タップイベントの検出
ここではButtonコントロールでマウスによるクリックと、タッチによるタップを区別する方法を示します。マウスに対応するイベントは、各コントロールのイベント（Control.ClickイベントやControl.MouseDownイベント）を使用します。
  1. Buttonコントロール（Button1）をフォームに追加します。
  2. GcTouchEventProviderコンポーネント（GcTouchEventProvider1）をフォームに追加します。
  3. Button1を選択し、プロパティウィンドウから「GcTouchEventProvider1のEnableTouchEvents」プロパティをTrueに設定します。
  4. Button1を選択し、Clickイベントに下記のコードを追加します。
  5. GcTouchEventProvider1を選択し、Tappedイベントに下記のコードを追加します。
  6. プロジェクトを実行し、Button1をクリックまたはタップします。
VB
C#
クリップボードにコピー
Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
    MessageBox.Show("クリックされました")
End Sub

Private Sub GcTouchEventProvider1_Tapped(sender As Object, e As GrapeCity.Win.MultiTouch.TappedEventArgs) Handles GcTouchEventProvider1.Tapped
    If e.TargetControl Is Button1 Then
        MessageBox.Show("タップされました")
    End If
End Sub

private void button1_Click(object sender, EventArgs e)
{
    MessageBox.Show("クリックされました");
}

private void gcTouchEventProvider1_Tapped(object sender, GrapeCity.Win.MultiTouch.TappedEventArgs e)
{
    if (e.TargetControl == button1)
    {
        MessageBox.Show("タップされました");
    }
}
タップ＆ホールドの検出
Windowsではタッチの長押しが右クリックに変換されます。GcToucheventProvider.EnablePressAndHoldプロパティをFalseに変更すると、GcToucheventProvider.RightTappedイベントが発生しなくなり、長押しを繰り返しのクリック操作として検出できます。たとえばスピンボタンをマウスのボタンで長押しした場合に数値をカウントアップするような操作に割り当てることができます。

以下はNumericUpDownコントロールに対して、スピンボタンの代用となる２つのボタンを実装する例です。
  1. NumericUpDownコントロール（NumericUpDown1）をフォームに追加します。
  2. Buttonコントロールを２つ（Button1、Button2）フォームに追加し、以下のように実装します。
    VB
    C#
    クリップボードにコピー
    Imports GrapeCity.Win.MultiTouch

Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    Button1.Text = "+"
    Button2.Text = "-"
    GcTouchEventProvider1.SetEnableTouchEvents(Button1, True)
    GcTouchEventProvider1.SetEnableTouchEvents(Button2, True)
    GcTouchEventProvider1.EnablePressAndHold = False
End Sub

Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
    If NumericUpDown1.Value < NumericUpDown1.Maximum Then
        NumericUpDown1.Value += 1
    End If
End Sub

Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
    If NumericUpDown1.Value > NumericUpDown1.Minimum Then
        NumericUpDown1.Value -= 1
    End If
End Sub

    using GrapeCity.Win.MultiTouch;

private void Form1_Load(object sender, EventArgs e)
{
    button1.Text = "+";
    button2.Text = "-";
    gcTouchEventProvider1.SetEnableTouchEvents(button1, true);
    gcTouchEventProvider1.SetEnableTouchEvents(button2, true);
    gcTouchEventProvider1.EnablePressAndHold = false;
}

private void button1_Click(object sender, EventArgs e)
{
    if (numericUpDown1.Value < numericUpDown1.Maximum)
    {
        numericUpDown1.Value += 1;
    }
}

private void button2_Click(object sender, EventArgs e)
{
    if (numericUpDown1.Value > numericUpDown1.Minimum)
    {
        numericUpDown1.Value -= 1;
    }
}
  3. プロジェクトを実行し、Button1またはButton2をタッチで長押しします。


ジェスチャイベントの検出

ジェスチャイベントの検出

GcTouchEventProviderコンポーネントでは、回転や拡大といった操作（ジェスチャ）を検出できます。

ジェスチャイベントの検出
ここではLabelコントロール上でマルチタッチ操作によって回転や拡大といった操作（ジェスチャ）を検出する方法を紹介します。
  1. Labelコントロール（Label1）をフォームに追加し、次のようにプロパティを設定します。
    VB
    C#
    クリップボードにコピー
    Label1.AutoSize = False
Label1.BackColor = Color.Cyan
Label1.Size = New Size(300, 300)

    Label1.AutoSize = false;
Label1.BackColor = Color.Cyan;
Label1.Size = new Size(300, 300);
  2. GcTouchEventProviderコンポーネント（GcTouchEventProvider1）をフォームに追加します。
  3. Label1を選択し、プロパティウィンドウから「GcTouchEventProvider1のEnableTouchEvents」プロパティをTrueに設定します。
  4. GcTouchEventProvider1を選択し、ManipulationDeltaイベントに下記のコードを追加します。
    VB
    C#
    クリップボードにコピー
    Private Sub GcTouchEventProvider1_ManipulationDelta(sender As Object, e As GrapeCity.Win.MultiTouch.ManipulationDeltaEventArgs) Handles GcTouchEventProvider1.ManipulationDelta
    If e.TargetControl Is Label1 Then
        Label1.Text = String.Format("拡大：{1}{0}回転：{2}{0}直線的な動き:{3}", Environment.NewLine, e.Delta.Scale, e.Delta.Rotation, e.Delta.Translation)
    End If
End Sub

    private void gcTouchEventProvider1_ManipulationDelta(object sender, GrapeCity.Win.MultiTouch.ManipulationDeltaEventArgs e)
{
    if (e.TargetControl == label1)
    {
        label1.Text = string.Format("拡大：{1}{0}回転：{2}{0}直線的な動き:{3}", Environment.NewLine, e.Delta.Scale, e.Delta.Rotation, e.Delta.Translation);
    }
}
  5. プロジェクトを実行し、タッチ操作で回転や拡大といった操作を実行します。
特定のジェスチャの検出
既定ではすべてのジェスチャの検出が有効です。特定のジェスチャだけを検出するには、GcTouchEventProvider.ManipulationModeプロパティを変更します。たとえば、回転のジェスチャだけを検出するには次のようにコーディングします。
VB
C#
クリップボードにコピー
GcTouchEventProvider1.ManipulationMode = GrapeCity.Win.MultiTouch.ManipulationModes.Rotate

gcTouchEventProvider1.ManipulationMode = GrapeCity.Win.MultiTouch.ManipulationModes.Rotate;

複数のジェスチャを検出できるようにするには、次のようにコーディングします。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

GcTouchEventProvider1.ManipulationMode = ManipulationModes.Rotate Or ManipulationModes.Scale

using GrapeCity.Win.MultiTouch;

gcTouchEventProvider1.ManipulationMode = ManipulationModes.Rotate | ManipulationModes.Scale;


ポインタイベントの検出

ポインタイベントの検出

GcTouchEventProviderコンポーネントでは、指によるタッチやペンといったポインタデバイスによるコントロール領域でのアクションを検出できます。

ポインタデバイスの検出
ポインタ関連イベントでのイベントパラメータのPointerEventArgsクラスのDeviceTypeプロパティを使用することで、イベントを発生させたのが指によるタッチか、ペンかを検出することができます。

次のコードは、TextBoxコントロール（TextBox1）の領域にポインタが入ったときに、ポインタデバイスがタッチかペンかを検出します。
VB
C#
クリップボードにコピー
Imports GrapeCity.Win.MultiTouch

Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    GcTouchEventProvider1.SetEnableTouchEvents(TextBox1, True)
End Sub

Private Sub GcTouchEventProvider1_PointerEntered(sender As Object, e As PointerEventArgs) Handles GcTouchEventProvider1.PointerEntered
    If e.TargetControl Is TextBox1 Then
        If e.DeviceType = PointerDeviceType.Touch Then
            MessageBox.Show("タッチで押されました")
        ElseIf e.DeviceType = PointerDeviceType.Pen Then
            MessageBox.Show("ペンで押されました")
        End If
    End If
End Sub

using GrapeCity.Win.MultiTouch;

private void Form1_Load(object sender, EventArgs e)
{
    gcTouchEventProvider1.SetEnableTouchEvents(this.button1, true);
    gcTouchEventProvider1.PointerEntered += gcTouchEventProvider1_PointerEntered;
}

private void gcTouchEventProvider1_PointerEntered(object sender, PointerEventArgs e)
{
    if (e.TargetControl == TextBox1)
    {
        if (e.DeviceType == PointerDeviceType.Touch)
        {
            MessageBox.Show("タッチで押されました");
        }
        else if (e.DeviceType == PointerDeviceType.Pen)
        {
            MessageBox.Show("ペンで押されました");
        }
    }
}
ペンフリックの抑止
ペンでフリック操作を行った時、Windowsのコントロールパネルの設定に従ってコントロールにスクロールなどのメッセージが送出されることがあります。これは「ペンフリック」と呼ばれる機能です。GcToucheventProvider.EnablePenFlicksプロパティをFalseに設定すると、ペンフリックを抑止できます。

VB
C#
クリップボードにコピー
GcTouchEventProvider1.EnablePenFlicks = False

gcTouchEventProvider1.EnablePenFlicks = false;


ズームポリシー

ズームポリシー

MultiTouchには一部の標準コントロールやサードパーティ製コントロールをサポートするためのズームポリシーが用意されています。
標準コントロールには組み込みのズームポリシーを提供し、サードパーティ製コントロールにはテンプレートでズームポリシーを提供します。このズームポリシーテンプレート（以下、テンプレート）は、Visual Studioの「新しい項目の追加」からプロジェクトに追加することができます。 テンプレートは、C# および Visual Basic のソースコードとして提供されているので、テンプレートのコピーを修正して独自のズームポリシーを実装できます。

注意

動作確認を実施したサードパーティ製品

  • MultiTouchは、グレープシティ製品を使用してズーム機能の動作確認を行っています。動作確認を行った各製品のバージョンについては、付属のリリースノート（ReleaseNote_xxx.htm）に記載されていますので、そちらをご覧ください。
  • 動作確認を行っていないバージョンをサポートするには、ズームポリシーの変更が必要になる場合があります。

ここでは、ズームポリシーについて以下の項目に分けて解説しています。
  • 基本的な使い方
  • 標準コントロール
  • ActiveReports for .NET
  • ComponentOne Studio for WinForms
  • InputMan for Windows Forms
  • LEADTOOLS Imaging Pro
  • MultiRow for Windows Forms
  • PlusPak for Windows Forms
  • SPREAD for Windows Forms
  • Visual Basic Power Packs
  • WPF相互運用機能
  • ユーザー定義のズームポリシー


基本的な使い方

基本的な使い方

ここでは、ズームポリシーについての基本的な使用方法について説明します。

ZoomFactorプロパティを持つコントロールのズーム
ズーム対象のコントロールが "ZoomFactor" という名前のプロパティを持っている場合、GcZoomコンポーネント、GcZoomPanelコントロールあるいはGcApplicationZoomコンポーネントのZoomFactorプロパティが変更されると、変更された値がコントロールのZoomFactorプロパティに設定されます。この動作によって、ZoomFactorプロパティを持つコントロールは、常にMultiTouchのズーム率と同じ値が設定されます。
組み込みのズームポリシー
MultiTouchには、一部の標準コントロールについて最良のズーム結果を得るため、組み込みのズームポリシーが用意されています。これらのズームポリシーは、GcZoomコンポーネント、GcZoomPanelコントロールあるいはGcApplicationZoomコンポーネントのスマートタグから「ズームポリシーの編集...」を選択し、ZoomPolicyコレクションエディターで確認できます。
組み込みのズームポリシーを無効にしたい場合は、該当のコントロールのズームポリシーにおいて、EnabledプロパティをFalseにします。

ズームポリシーテンプレート
グレープシティ製品を含むサードパーティコントロールのズームポリシーテンプレート（以下、テンプレート）を適用するには、以下の手順で行います。
  1. ［プロジェクト］メニューから［新しい項目の追加］を選択します。
  2. 左メニューの「共通項目」から「MultiTouch for Windows Forms」を、中央の項目から該当するズームポリシーのテンプレート名を選択し〈追加〉ボタンをクリックします。
  3. プロジェクトをビルドします。
  4. GcZoomコンポーネント、GcZoomPanelコントロールあるいはGcApplicationZoomコンポーネントのスマートタグから「ズームポリシーの編集...」を選択し、ZoomPolicyコレクションエディターを起動します。
  5. ZoomPolicyコレクションエディターの〈カスタムポリシーの追加〉ボタンを押下し、目的のズームポリシーを追加します。
    このとき、2.で追加したテンプレートに一つのズームポリシーしか含まれていない場合（C1FlexGridZoomPolicyなど）、〈カスタムポリシーの追加〉ボタンを押下するだけで、ズームポリシーが追加されます。

    2.で追加したテンプレートに複数のズームポリシーが含まれている場合（InputManZoomPolicyなど）、〈カスタムポリシーの追加〉のドロップダウンボタンを押下すると、ズームポリシーの一覧がドロップダウン表示されるので、目的のズームポリシーを選択します。
参照
ズームポリシー
標準コントロール
ActiveReports for .NET
ComponentOne Studio for WinForms
InputMan for Windows Forms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
PlusPak for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
WPF相互運用機能
ユーザー定義のズームポリシー


標準コントロール

標準コントロール

MultiTouchには、一部の標準コントロールについて最良のズーム結果を得るため、組み込みのズームポリシーが用意されています。

ComboBoxコントロール
ComboBoxコントロールでは、ズーム操作を行うと、ComboBoxコントロールのテキストが選択状態になります。ComboBoxZoomPolicyを使用すると、この動作が無効になります。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
DataGridViewコントロール
DataGridViewZoomPolicyは、DataGridViewコントロールのズーム操作をサポートします。DataGridViewZoomPolicyにより、ズーム時の列、行、セルのサイズと文字サイズが最適化されます。

DataGridViewコントロールの行数が多い場合、すべての行またはセルのデフォルト値を変更したときにパフォーマンスの問題が生じることがあります。これを避けるには、DataGridViewZoomPolicy.ZoomRowHeightまたはDataGridViewZoomPolicy.ZoomCellStyleFontプロパティの値をFalseに変更してください。
コードでDataGridViewコントロールに新しい行を追加する場合は、GcZoom.BeginAddControlsメソッドとGcZoom.EndAddControlsメソッドを使用します。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
ListBoxコントロール
ListBoxZoomPolicyは、ListBoxコントロールのズーム操作をサポートします。ListBoxZoomPolicyにより、ListBoxコントロールのMultiColumnプロパティがTrueに設定され、ColumnWidthプロパティが0より大きいときに、ズーム時の列幅が最適化されます。
ズーム率100% | ズーム率130%（ズームポリシーなし） | ズーム率130%（ズームポリシーあり）
ListViewコントロール
ListViewZoomPolicyは、ListViewコントロールのズーム操作をサポートします。ListViewZoomPolicyにより、ズーム時の文字のサイズと列幅が最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
MonthCalendarコントロール
MonthCanlendarZoomPolicyは、MonthCalendarコントロールのズーム操作をサポートします。MonthCalendarコントロールのサイズや文字サイズはズームできませんが、MonthCanlendarZoomPolicyによりMonthCalendarコントロールは空白スペースの中央に移動します。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
PictureBoxコントロール
PictureBoxZoomPolicyは、PictureBoxコントロールのズーム操作をサポートします。PictureBoxZoomPolicyを使用すると、PictureBoxコントロールのSizeModeプロパティがZoomではないときに、サイズ比率を維持したままズームします。
下図のPictureBoxコントロールのBackColorプロパティはAliceBlueに設定されています。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
なお、ズーム率に応じた解像度の画像を表示するには、「GcMultiScaleImageコントロール」を使用できます。
TableLayoutPanelコントロール
TableLayoutPanelZoomPolicyは、TableLayoutPanelコントロールのズーム操作をサポートします。TableLayoutPanelZoomPolicyにより、TableLayoutPanelコントロールのColumnStyle.SizeTypeプロパティまたはRowStyle.SizeTypeプロパティの値がAbsoluteに設定されているとき、TableLayoutPanelZoomPolicyによりズーム時の列の幅と行の高さが最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
TreeViewコントロール
TreeViewZoomPolicyは、TreeViewコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、TreeViewZoomPolicyにより、ズーム時の各ノードのインデントや、項目の高さおよび文字サイズが最適化されます。
  • Indent
  • ItemHeight
  • NodeFont

メモ: TreeNode.NodeFontプロパティの値を変更するため、TreeViewZoomPolicyはツリーのすべてのノードを列挙します。ツリーのノード数が多い場合は、これによってパフォーマンスの問題が生じることがあります。この問題を避けるため、TreeViewZoomPolicyクラスのEnabledプロパティをFalseに変更します。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
SplitContainerコントロール
SplitContainerZoomPolicyは、SplitContainerコントロールのズーム操作をサポートします。FixedPanelプロパティにNone以外の値が設定されているとき、SplitContainerZoomPolicyにより、ズーム時の分割線の位置や幅が最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
参照
ズームポリシー
基本的な使い方
ActiveReports for .NET
ComponentOne Studio for WinForms
InputMan for Windows Forms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
PlusPak for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
WPF相互運用機能
ユーザー定義のズームポリシー


ActiveReports for .NET

ActiveReports for .NET

MultiTouchは、ActiveReports for .NET（以下、ActiveReports）のズームを最適化するテンプレートのActiveReportsZoomPolicyを提供しています。
テンプレートの適用方法については「基本的な使い方 － ズームポリシーテンプレート」を参照してください。

ビューワ
ビューワが ActiveReports のコンテンツコントロールである場合、そのコンテンツ領域はズームできませんが、ActiveReportsZoomPolicy を使用すればビューワ内のどの部分でもズームできます。
注意
ビューワのツールバー上のボタンやテキストボックスなどはズームできません。

ズーム率100%
ズーム率150%（ズームポリシーなし） | ズーム率150%（ズームポリシーあり）
参照
ズームポリシー
基本的な使い方
標準コントロール
ComponentOne Studio for WinForms
InputMan for Windows Forms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
PlusPak for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
WPF相互運用機能
ユーザー定義のズームポリシー


ComponentOne Studio for WinForms

ComponentOne Studio for WinForms

MultiTouchは、ComponentOne Studio for WinFormsに搭載されているコントロールのズームを最適化するテンプレートを提供しています。
ここでは、各コントロールについてのズームポリシーについて説明します。

テンプレートの適用方法については「基本的な使い方 － ズームポリシーテンプレート」を参照してください。

注意
MultiTouch for Windows Forms 1.0J 初版では、以下のコントロールのズーム操作をサポートしません。
  • C1GanttView
  • C1Gauge
  • C1TileControl
  • C1SplitContainer

C1Chart3Dコントロール
C1Chart3DZoomPolicyは、C1Chart3Dコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、C1Chart3DZoomPolicyにより、チャートサイズが最適化されます。
  • ChartArea.SizeDefault

ズーム率100% | ズーム率160%（ズームポリシーなし） | ズーム率160%（ズームポリシーあり）
C1Chartコントロール
C1ChartZoomPolicyは、C1Chartコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、C1ChartZoomPolicyにより、ズーム時の文字サイズやチャートサイズが最適化されます。
  • Font
  • Size
  • ChartLabel
  • ChartArea
  • Axis
  • PlotArea

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
C1MainMenu、C1DockingTabコントロール
C1CommandZoomPolicyは、C1MainMenuとC1DockingTabコントロールのズーム動作をサポートします。C1MainMenuとC1DockingTabコントロールのフォントまたはサイズが既定値ではないとき、C1CommandZoomPolicyにより、ズーム時の文字サイズやチャートサイズが最適化されます。

C1MainMenu

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）

C1DockingTab

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
C1FlexGridコントロール
C1FlexGridZoomPolicyは、C1FlexGridコントロールのズーム操作をサポートします。C1FlexGridZoomPolicyにより、ズーム時の列や行、セルのサイズと文字サイズが最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
C1Calendar、C1Scheduleコントロール
C1ScheduleZoomPolicyは、C1CalendarコントロールとC1Scheduleコントロールのズーム動作をサポートします。

C1Calendar

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）

C1Schedule

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
C1PrintPreviewControlコントロール
C1ReportZoomPolicyは、C1PrintPreviewControlコントロールのズーム動作をサポートします。C1ReportZoomPolicyにより、ズーム時にC1PrintPreviewControlコントロールのプレビューのズーム率を保持して、すべての要素が適切に表示されるよう最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
C1Ribbon、C1StatusBarコントロール
C1RibbonZoomPolicyは、C1RibbonコントロールとC1StatusBarコントロールのズーム動作をサポートします。ズーム操作を実行するとき、C1RibbonコントロールとC1StatusBarコントロールの文字はズームできますが、コンテンツのサイズはズームできません。C1RibbonZoomPolicyはこの問題を解決します。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
C1TrueDBGridコントロール
C1TrueDBGridZoomPolicyは、C1TrueDBGridコントロールのズーム動作をサポートします。C1TrueDBGridZoomPolicyによりズーム時のセルの高さや幅が最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
参照
ズームポリシー
基本的な使い方
標準コントロール
ActiveReports for .NET
InputMan for Windows Forms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
PlusPak for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
WPF相互運用機能
ユーザー定義のズームポリシー


InputMan for Windows Forms

InputMan for Windows Forms

MultiTouchは、InputMan for Windows Forms（以下、InputMan）に搭載されているコントロールのズームを最適化するテンプレートInputManZoomPolicyを提供しています。
InputManZoomPolicyには、InputManの各コントロールについての複数のズームポリシーが含まれています。以下では、それぞれのズームポリシーについて説明します。

テンプレートの適用方法については「基本的な使い方 － ズームポリシーテンプレート」を参照してください。

注意
InputManのGcFieldStylerコンポーネントには、実行時にフォーカスが変更されたときにフィールドのフォントを変更する機能があります。この機能はMultiTouchと衝突するため、同じフォームでGcFieldStylerコンポーネントとGcZoomコンポーネントの両方を使用することはできません。

GcCharMaskコントロール
GcCharMaskZoomPolicyは、GcCharMaskコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcCharMaskZoomPolicyにより、ズーム時のボックスのサイズやボックス間の余白、および文字サイズが最適化されます。
  • CharBoxes.Size
  • CharBoxes.Font
  • CharBoxSpacing

下図では、違いをわかりやすくするため、左端のボックスのフォントを変更しています。
ズーム率100% | ズーム率150%（ズームポリシーなし） | ズーム率150%（ズームポリシーあり）
GcComboBoxコントロール
GcComboBoxZoomPolicyは、GcComboBoxコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcComboBoxZoomPolicyにより、ズーム時のサイドボタンの幅やドロップダウンリストのサイズが最適化されます。
  • DropDownMaxHeight
  • DropDown.Height
  • DropDown.Width
  • SideButtons.ButtonWidth

ズーム率100% | ズーム率130%（ズームポリシーなし） | ズーム率130%（ズームポリシーあり）
GcDateTimeコントロール
GcDateTimeZoomPolicyは、GcDateTimeコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcDateTimeZoomPolicyにより、ズーム時のドロップダウンボタンの幅や、ドロップダウンカレンダーのサイズ、文字サイズやヘッダの高さなどが最適化されます。
  • DropDownCalendar.Font

ズーム率100% | ズーム率130%（ズームポリシーなし） | ズーム率130%（ズームポリシーあり）
GcListBoxコントロール
GcListBoxZoomPolicyは、GcListBoxコントロールのズーム操作をサポートします。AutoItemHeightプロパティがFalseに設定されている場合、GcListBoxZoomPolicyによりズーム時の項目の高さが最適化されます。
ズーム率100% | ズーム率110%（ズームポリシーなし） | ズーム率110%（ズームポリシーあり）
GcMaskコントロール
GcMaskZoomPolicyは、GcMaskコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcMaskZoomPolicyにより、ズーム時のサイドボタンの幅や列挙型ドロップダウンフィールドのサイズが最適化されます。
  • SideButtons.ButtonWidth
  • SideButtons.DropDown.Size
  • MaskPatternField.Font

ズーム率100% | ズーム率130%（ズームポリシーなし） | ズーム率130%（ズームポリシーあり）
GcNumberコントロール
GcNumberZoomPolicyは、GcNumberコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcNumberZoomPolicyにより、ズーム時のサイドボタンの幅やドロップダウン電卓のサイズが最適化されます。
  • DisplayFields.Font
  • DropDownCalculator.OutputHeight
  • Fields.Font
  • SideButtons.ButtonWidth
  • PopUpCalculator.Font

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcTextBoxコントロール
GcTextBoxZoomPolicyは、GcTextBoxコントロールのズーム操作をサポートします。MultiLineプロパティがTrueに設定されていて、以下のプロパティが既定値ではないとき、 GcTextBoxZoomPolicyにより、ズーム時のサイドボタンの幅やドロップダウンエディットの文字サイズが最適化されます。
  • DropDownEditor.Font

ズーム率100% | ズーム率130%（ズームポリシーなし） | ズーム率130%（ズームポリシーあり）
GcTimeSpanコントロール
GcTimeSpanZoomPolicyは、GcTimeSpanコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcTimeSpanZoomPolicyにより、ズーム時のサイドボタンの幅や文字サイズが最適化されます。
  • SideButtons.ButtonWidth
  • Fields.Font
  • DisplayFields.Font

ズーム率100% | ズーム率130%（ズームポリシーなし） | ズーム率130%（ズームポリシーあり）
参照
ズームポリシー
基本的な使い方
標準コントロール
ActiveReports for .NET
ComponentOne Studio for WinForms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
PlusPak for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
WPF相互運用機能
ユーザー定義のズームポリシー


LEADTOOLS Imaging Pro

LEADTOOLS Imaging Pro

MultiTouchは、LEADTOOLS Imaging Pro（以下、LEADTOOLS）に搭載されているコントロールのズームを最適化するテンプレートLeadtoolsZoomPolicyを提供しています。
LeadtoolsZoomPolicyには、LEADTOOLSの各コントロールについての複数のズームポリシーが含まれています。以下では、それぞれのズームポリシーについて説明します。

テンプレートの適用方法については「基本的な使い方 － ズームポリシーテンプレート」を参照してください。

RasterImageViewerコントロール
RasterImageViewerZoomPolicyは、RasterImageViewerコントロールのズーム操作をサポートします。RasterImageViewerZoomPolicyにより、ズーム時の画像のサイズが最適化されます。
下図のRasterImageViewerコントロールのDockはFillで、BackColorプロパティはYellowに設定されています。
ズーム率100% | ズーム率150%（ズームポリシーなし） | ズーム率150%（ズームポリシーあり）
RasterImageListコントロール
RasterImageListZoomPolicyは、RasterImageListコントロールのズーム操作をサポートします。RasterImageListZoomPolicyにより、画像のサイズが最適化されます。
ズーム率100% | ズーム率130%（ズームポリシーなし） | ズーム率130%（ズームポリシーあり）
参照
ズームポリシー
基本的な使い方
標準コントロール
ActiveReports for .NET
ComponentOne Studio for WinForms
InputMan for Windows Forms
MultiRow for Windows Forms
PlusPak for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
WPF相互運用機能
ユーザー定義のズームポリシー


MultiRow for Windows Forms

MultiRow for Windows Forms

MultiTouchには、MultiRow for Windows Forms（以下、MultiRow）用のズームポリシーは用意されていません。MultiRowのGcMultiRowコントロールには"ZoomFactor"という名前のプロパティが存在し、GcZoomコンポーネントやGcZoomPanelコンポーネントは GcMultiRowコントロールのズーム率に自動的に同期します。そのため、ズームポリシーによる最適化は必要ありません。

参照
ズームポリシー
基本的な使い方
標準コントロール
ActiveReports for .NET
ComponentOne Studio for WinForms
InputMan for Windows Forms
LEADTOOLS Imaging Pro
PlusPak for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
WPF相互運用機能
ユーザー定義のズームポリシー


PlusPak for Windows Forms

PlusPak for Windows Forms

MultiTouchは、PlusPak for Windows Forms（以下、PlusPak）に搭載されているコントロールのズームを最適化するテンプレートPlusPakZoomPolicyを提供しています。
PlusPakZoomPolicyには、PlusPakの各コントロールについての複数のズームポリシーが含まれています。以下では、それぞれのズームポリシーについて説明します。

テンプレートの適用方法については「基本的な使い方 － ズームポリシーテンプレート」を参照してください。

注意
  • PlusPakのGcResizeコンポーネントは、MultiTouchの機能と衝突するため、同じフォームでGcResizeとGcZoomコンポーネントの両方を使用することはできません。
  • PlusPakのGcStylePlusコンポーネントには、実行時にフォーカスが変更されたときにコントロールのフォントを変更する機能があります。この機能はMultiTouchと衝突するため、同じフォームでGcStylePlusコンポーネントとGcZoomコンポーネントの両方を使用することはできません。

GcAccordionContainerコントロール
GcAccordionContainerZoomPolicyは、GcAccordionContainerコントロールのズーム操作をサポートします。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcBarCodeコントロール
GcBarCodeZoomPolicyは、GcBarCodeコントロールのズーム操作をサポートします。AdjustSizeプロパティの値がFalseに設定されている場合、GcBarCodeZoomPolicyによりズーム時のGcBarCodeコントロールは空白スペースの中央に移動します。
ズーム率100% | ズーム率150%（ズームポリシーなし） | ズーム率150%（ズームポリシーあり）
GcCalculatorコントロール
GcCalculatorZoomPolicyは、GcCalculatorコントロールのズーム操作をサポートします。GcCalculatorコントロールのShowOutputプロパティの値がTrueに設定されていて、以下のプロパティが既定値ではないとき、GcCalculatorZoomPolicyによりズーム時の計算結果の表示領域のサイズが最適化されます。
  • OutputHeight

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcCheckBoxコントロール
GcCheckBoxZoomPolicyは、GcCheckBoxコントロールのズーム操作をサポートします。GcCheckBoxコントロールのStretchSystemCheckMarkプロパティの値がTrueに設定されている場合、GcCheckBoxZoomPolicyによりズーム時のチェックマークのサイズが最適化されます。
ズーム率100% | ズーム率140%（ズームポリシーなし） | ズーム率140%（ズームポリシーあり）
GcCheckedGroupBox、GcRadioGroupBoxコントロール
GcGroupBoxControlBaseZoomPolicyは、GcCheckedGroupBoxコントロールおよびGcRadioGroupBoxコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcGroupBoxControlBaseZoomPolicyにより、ズーム時のチェックマークのサイズや項目間のスペースが最適化されます。
  • ItemSettings.CheckMarkSize
  • LayoutSettings.HorizontalSpace
  • LayoutSettings.VerticalSpace

ズーム率100% | ズーム率140%（ズームポリシーなし） | ズーム率140%（ズームポリシーあり）
GcComboFrameコントロール
GcComboFrameZoomPolicyは、GcComboFrameコントロールのズーム操作をサポートします。GcComboFrameコントロールのDropDownSettings.AutoSizeプロパティの値がFalseに設定されているとき、GcComboFrameZoomPolicyによりズーム時のドロップダウン部分のサイズが最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcContainerコントロール
GcContainerZoomPolicyは、GcContainerコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcContainerZoomPolicyによりズーム時のキャプションの文字サイズが最適化されます。
  • CaptionFormat.Size
  • CaptionFormat.Spacing
  • CaptionFormat.Font

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcDropDownButtonコントロール
GcDropDownButtonBaseZoomPolicyは、GcDropDownButtonコントロールのズーム操作をサポートします。GcDropDownButtonBaseZoomPolicyによりズーム時のドロップダウン部分の文字サイズが最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcFontPickerコントロール
GcFontPickerZoomPolicyは、GcFontPickerコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcFontPickerZoomPolicyによりズーム時のドロップダウン部分の大きさや文字サイズが最適化されます。
  • DropDownSettings.Size
  • ItemStyle.FontSize

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcHeadingContainerコントロール
GcHeadingContainerZoomPolicyは、GcHeadingContainerコントロールのズーム操作をサポートします。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcRadioButtonコントロール
GcRadioButtonZoomPolicyは、GcRadioButtonコントロールのズーム操作をサポートします。GcRadioButtonコントロールのStretchSystemCheckMarkプロパティの値がTrueに設定されているとき、GcRadioButtonZoomPolicyによりズーム時のチェックマークのサイズが最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcSplitButtonコントロール
GcSplitButtonZoomPolicyは、GcSplitButtonコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcSplitButtonZoomPolicyによりズーム時のドロップダウン部分のサイズが最適化されます。
  • DropDownButtonWidth

ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
GcTabControlコントロール
GcTabControlZoomPolicy、GcTabBaseZoomPolicyおよびGcTabPageZoomPolicyは、GcTabControlコントロールのズーム操作をサポートします。以下のプロパティが既定値ではないとき、GcTabControlZoomPolicy、GcTabBaseZoomPolicyおよびGcTabPageZoomPolicyにより、ズーム時のタブやコンテナ上のコントロールの文字サイズが最適化されます。
  • CloseButtonSize
  • TabsHeight
  • TabSpace
  • TabIndentation
  • HotTrackStyle.ItemSizeまたはHotTrackStyle.Font
  • TabStyle.ItemSizeまたはTabStyle.Font
  • TabStyle.ItemSizeまたはTabStyle.Font
  • SelectedStyle.ItemSizeまたはSelectedStyle.Font
  • NavigatorStyle.ItemSizeまたはNavigatorStyle.Font

ズーム率100% | ズーム率140%（ズームポリシーなし） | ズーム率140%（ズームポリシーあり）
GcTableLayoutContainerコントロール
GcTableLayoutContainerZoomPolicyは、GcTableLayoutContainerコントロールのズーム操作をサポートします。GcTableLayoutContainerコントロールのTableColumn.SizeTypeおよびTableRow.SizeTypeプロパティの値がAbsoluteに設定されているとき、GcTableLayoutContainerZoomPolicyによりズーム時の表示位置が最適化されます。
ズーム率100% | ズーム率140%（ズームポリシーなし） | ズーム率140%（ズームポリシーあり）
GcCalendarコントロール
GcCalendarコントロールのズーム操作を最適化するズームポリシーを適用するには、GcCalendarZoomPolicyテンプレートを追加する必要があります。「基本的な使い方 － ズームポリシーテンプレート」での手順により、GcCalendarZoomPolicyテンプレートを追加してください。

GcCalendarZoomPolicyにより、ズーム時のヘッダの高さやナビゲーションのボタンサイズ、曜日や週番号の文字サイズ、日付メモの画像サイズなどが最適化されます。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
参照
ズームポリシー
基本的な使い方
標準コントロール
ActiveReports for .NET
ComponentOne Studio for WinForms
InputMan for Windows Forms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
WPF相互運用機能
ユーザー定義のズームポリシー


SPREAD for Windows Forms

SPREAD for Windows Forms

MultiTouchは、SPREAD for Windows Forms（以下、SPREAD）に搭載されているコントロールのズームを最適化するテンプレートSPREADZoomPolicyを提供しています。

テンプレートの適用方法については「基本的な使い方 － ズームポリシーテンプレート」を参照してください。

SPREADのズームポリシー
Spreadに複数のシートが含まれている場合、現在表示されているシートだけがズームでき、その他のシートは変更されません。SpreadZoomPolicy を使用すると、現在どのシートが表示されているかにかかわらず、すべてのシートをズームできます。
 | ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
シート1 |  |  |
シート2 |  |  |
参照
ズームポリシー
基本的な使い方
標準コントロール
ActiveReports for .NET
ComponentOne Studio for WinForms
InputMan for Windows Forms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
PlusPak for Windows Forms
Visual Basic Power Packs
WPF相互運用機能
ユーザー定義のズームポリシー


Visual Basic Power Packs

Visual Basic Power Packs

MultiTouchは、Visual Basic Power Packsに搭載されているコントロールのズームを最適化するテンプレートShapeContainerZoomPolicyを提供しています。

テンプレートの適用方法については「基本的な使い方 － ズームポリシーテンプレート」を参照してください。

Visual Basic Power Packsのズームポリシー
ShapeContainerZoomPolicyは、Visual Basic Power Packsに含まれる、LineShape、OvalShape、RectangleShapeのズーム操作をサポートします。
ズーム率100% | ズーム率120%（ズームポリシーなし） | ズーム率120%（ズームポリシーあり）
参照
ズームポリシー
基本的な使い方
標準コントロール
ActiveReports for .NET
ComponentOne Studio for WinForms
InputMan for Windows Forms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
PlusPak for Windows Forms
SPREAD for Windows Forms
WPF相互運用機能
ユーザー定義のズームポリシー


WPF相互運用機能

WPF相互運用機能

MultiTouchは、WPF相互運用機能のズームを最適化するテンプレートWPF_ElementHostZoomPolicyを提供しています。

テンプレートの適用方法については「基本的な使い方 － ズームポリシーテンプレート」を参照してください。

ElementHostコントロール
WPF_ElementHostZoomPolicyは、WPFの相互運用機能であるElementHostコントロールのズーム操作をサポートします。
ズーム率100% | ズーム率130%（ズームポリシーなし） | ズーム率130%（ズームポリシーあり）
参照
ズームポリシー
基本的な使い方
標準コントロール
ActiveReports for .NET
ComponentOne Studio for WinForms
InputMan for Windows Forms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
PlusPak for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
ユーザー定義のズームポリシー


ユーザー定義のズームポリシー

ユーザー定義のズームポリシー

任意のコントロールに対して、ユーザー定義のズームポリシーを作成して適用できます。ここでは、Buttonコントロールについて、ズーム時にボタンのサイズを維持し、本来ズームされるボタンの大きさの中央にボタンを配置する方法について説明します。

ズームポリシーを作成する
はじめに、Buttonコントロールに対するズームポリシーを定義したKeepButtonSizeZoomPolicyクラスを次のコードのように作成します。
VB
C#
クリップボードにコピー
' KeepButtonSizeZoomPolicy.vb

Imports GrapeCity.Win.MultiTouch

Public Class KeepButtonSizeZoomPolicy
    Inherits ZoomPolicy

    Public Overrides ReadOnly Property TargetType As System.Type
        Get
            Return GetType(Button)
        End Get
    End Property

    Public Overrides Sub ZoomBounds(control As System.Windows.Forms.Control, infos As GrapeCity.Win.MultiTouchToolkit.ZoomBoundsInfo)
        Dim button As Button = DirectCast(control, Button)
        If Not button Is Nothing Then
            Dim outer As Rectangle = infos.Zoom(infos.CurrentBounds), inner As New Rectangle(Point.Empty, control.Size)
            Dim offsetX As Integer = outer.X - inner.X, offsetY As Integer = outer.Y - inner.Y
            inner.Offset(offsetX, offsetY)
            button.Bounds = inner
        End If
    End Sub
End Class

// KeepButtonSizeZoomPolicy.cs

using System;
using System.Drawing;
using System.Windows.Forms;
using GrapeCity.Win.MultiTouch;

public class KeepButtonSizeZoomPolicy : ZoomPolicy
{
    public override Type TargetType
    {
        get { return typeof(Button); }
    }

    public override void ZoomBounds(Control control, ZoomBoundsInfo infos)
    {
        Button button = control as Button;
        if (button != null)
        {
            Rectangle outer = infos.Zoom(infos.CurrentBounds), inner = new Rectangle(Point.Empty, control.Size);
            int offsetX = outer.X - inner.X, offsetY = outer.Y - inner.Y;
            inner.Offset(offsetX, offsetY);
            button.Bounds = inner;
        }
    }
}

次にKeepButtonSizeZoomPolicyクラスを使用するため、以下の手順を実行します。
  1. FormにButtonコントロール（Button1）を追加します。
  2. FormにGcZoomコンポーネント（GcZoom1）を追加します。
  3. 以下のコードをForm.Loadイベントに追加します。
    VB
    C#
    クリップボードにコピー
    Imports GrapeCity.Win.MultiTouch

Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    Dim myPolicy As New KeepButtonSizeZoomPolicy()
    GcZoom1.ZoomPolicies.Add(myPolicy)
End Sub

    using GrapeCity.Win.MultiTouch;

private void Form1_Load(object sender, EventArgs e)
{
    KeepButtonSizeZoomPolicy myPolicy = new KeepButtonSizeZoomPolicy();
    gcZoom1.ZoomPolicies.Add(myPolicy);
}
プロジェクトを実行し、Formをピンチアウトで拡大すると、Button1が元のサイズを維持しており、かつその位置がズーム後のサイズの中央にあることが確認できます。
参照
ズームポリシー
基本的な使い方
標準コントロール
ActiveReports for .NET
ComponentOne Studio for WinForms
InputMan for Windows Forms
LEADTOOLS Imaging Pro
MultiRow for Windows Forms
PlusPak for Windows Forms
SPREAD for Windows Forms
Visual Basic Power Packs
WPF相互運用機能


アプリケーションの配布

アプリケーションの配布

ここでは、MultiTouchを使ったアプリケーションの配布について説明します。

  • ランタイムファイルの配布について
  • ランタイムファイルの配布方法


ランタイムファイルの配布について

ランタイムファイルの配布について

MultiTouchを使用したアプリケーションを実行するには、実行環境にMultiTouchのランタイム ファイルが必要です。そのため、MultiTouchを使用したアプリケーションを配布する場合、ランタイムファイルをアプリケーションと共に配布する必要があります。

補足：当ドキュメントではランタイム ファイルのことを同じ意味で、ランタイム モジュール、再配布可能ファイルと呼ぶことがあります。

注意
  • 本製品はランタイムフリーではありません。
  • ランタイムファイルを配布する場合、アプリケーションを実行する配布先コンピュータの台数に応じて、必要な数量のランタイムライセンスが必要になります。ランタイムライセンスの詳細は、製品の「ソフトウェア使用許諾契約書」をご確認ください。
  • ランタイム ファイルは、単独で配布することはできません。本製品を用いて開発したアプリケーションとともに配布することのみ許諾されています。
  • 本製品に含まれているファイルのうち下記以外のファイルは配布できません。
  • アプリケーションの運用環境には、製品自体をインストールする必要はありません。

ランタイムファイル
MultiTouchのランタイムファイルは[%製品インストールフォルダ%]\Bin\フォルダにインストールされる次のファイルです。
ファイル名 | 説明
GrapeCity.Win.MultiTouch.v10.dll | MultiTouchの本体ファイル。
本製品のユーザーインタフェースやエラーメッセージを日本語で表示するためには、本体アセンブリファイルと共にサテライトアセンブリファイルを配布する必要があります。本体アセンブリファイルを配布したフォルダに「ja」という名前のフォルダを作成して、サテライトアセンブリファイルをコピーしてください。
ファイル名 | 説明
GrapeCity.Win.MultiTouch.v10.resources.dll | GrapeCity.Win.MultiTouch.v10.dllの日本語リソース。
注意
製品リリース後に提供された修正版、Service Pack 、HotFix等のアップデートに含まれる同名のファイルを配布できます。
ランタイムファイルの配布に関するご注意
上記のファイルは、「ソフトウェア使用許諾契約書」に記載している制限の範囲内において、配布することができます。なお、これらのファイルを配布するにはランタイムライセンスを取得する必要があります。ランタイムライセンスは、アプリケーションを実行する、配布先コンピュータの台数に応じて、必要な数量を取得する必要があります。
本製品に含まれているファイルのうち上記以外のファイルは配布できません。

以下のファイルは開発環境のみに必要なファイルです。配布しないように注意してください。
  • GrapeCity.Win.MultiTouch.v10.xml
  • GrapeCity.Win.MultiTouch.Design.v10.dll
  • GrapeCity.Win.MultiTouch.Design.v10.resources.dll


ランタイムファイルの配布方法

ランタイムファイルの配布方法

ランタイムファイルの配布方法には、製品に付属するWindowsインストーラブートストラッパを使用する方法とランタイムファイルを直接コピーする方法の2種類があります。

ブートストラッパを使用してランタイムファイルを配布する（推奨）
ブートストラッパ（bootstrapper）とは、アプリケーションのインストールの前にそのアプリケーションの実行に必要なランタイムファイルをインストールするインストーラの総称です。MultiTouchがインストールされた開発環境には、MultiTouch専用のランタイムブートストラッパが用意されており、セットアッププロジェクトまたはClickOnceへ簡単に組み込むことが可能です。

インストーラへブートストラッパを組み込む

  1. セットアッププロジェクトをVisual Studioで開き、［プロジェクト］メニューから［プロパティ］を表示します。
  2. 〈必須コンポーネント〉ボタンをクリックし、必須コンポーネントのリストにある「MultiTouch for Windows Forms Runtime 1.0.yyyy.mmdd」にチェックを入れます。
  3. 必須コンポーネントのインストール場所を指定します。「必須コンポーネントをコンポーネントの開発元のWebサイトからダウンロードする」にすると、セットアップ起動時に開発元のWebサイトからランタイムのブートストラッパをダウンロードします。「アプリケーションと同じ場所から必須コンポーネントをダウンロードする」にすると、プロジェクトのビルド時に、ランタイムのブートストラッパがプロジェクト内にコピーされます。
    「アプリケーションと同じ場所から必須コンポーネントをダウンロードする」を指定してビルドを行うと、セットアップ プログラムにブートストラッパが組み込まれます。アプリケーション配信前にランタイムの事前インストールを行いたい場合には、この方法を利用してランタイムファイルのみを配布するインストーラを作成することができます。
  4. これでMultiTouchのランタイムブートストラッパの組み込みは完了です。あとは通常の手順に従ってインストーラを作成します。

ClickOnceへブートストラッパを組み込む

  1. アプリケーションのプロジェクトをVisual Studioで開き、［プロジェクト］メニューから［プロパティ］を表示します。
  2. 「発行」タブにある〈必須コンポーネント〉ボタンをクリックし、セットアッププロジェクトの場合と同様に、必須コンポーネントのリストにある「MultiTouch for Windows Forms Runtime 1.0.yyyy.mmdd」にチェックを入れます。
  3. セットアッププロジェクトの場合と同様に、必須コンポーネントのインストール場所を選択します。
  4. これでMultiTouchのランタイムブートストラッパの組み込みは完了です。あとは［発行ウィザード］あるいは［今すぐ発行］ボタンをクリックして、通常の手順に従ってアプリケーションを発行します。

ブートストラッパの特長ならびに注意点

ブートストラッパによるランタイムの配布には、次に示す特長があります。
特長
  • アプリケーションの動作に必要なファイルを簡単に配布できます。
  • 配布ファイルの過不足やバージョンを管理する負担を軽減できます。
  • ランタイムファイルが圧縮して格納されているため、配布サイズを削減できます。
  • ランタイムファイルをグローバルアセンブリキャッシュ（GAC）へインストールします。
  • GACに既に同じバージョンのアセンブリがインストールされている場合、インストールを自動的にスキップします。
    【制限事項】
    .NET Framework 2.0 がインストールされていない環境では、GACに既に同じバージョンのアセンブリがインストールされていても、ランタイムのインストールはスキップされません。ただし、ランタイムのインストールを続行しても製品の動作に問題はありません。
  • ランタイムファイルを、ユーザーがコントロールパネルからアンインストールすることができます。
補足
  • グローバルアセンブリキャッシュにインストールされるアセンブリはすべてのアプリケーションで共有されるため、特に必要性がない場合はアンインストールする必要はありません。MultiTouchのアップデートにより新しいバージョンのアセンブリをインストールする必要がある場合、新しいバージョンをインストールするためのブートストラッパを追加できます。
  • GACへインストールするため、インストーラの実行には管理者権限が必要になります。
注意
  • ブートストラッパには次のインストール条件が組み込まれていますが、この条件はブートストラッパのmsiファイルを直接実行する場合には適用されないため、直接実行はお勧めしません。
    • 管理者権限の有無を事前にチェックし、ユーザーが管理者でない場合にメッセージを表示する。
    • 同じバージョンのアセンブリがグローバル アセンブリ キャッシュに既にインストールされている場合はインストールをスキップする。
  • 組み込むブートストラッパのバージョンと使用しているランタイム ファイル（本体コンポーネント GrapeCity.Win.MultiTouch.v10.dll）のバージョンは同じである必要があります。
ランタイムファイルを直接コピーする
ブートストラッパを使用せずにランタイムファイルを直接コピーする場合は、以下のフォルダからコピーします。

[%製品インストールフォルダ%]\Bin

MultiTouchの再配布可能なファイルは、「ランタイムファイルの配布について」を参照してください。

GACにランタイムファイルがインストールされている場合や後からGACへランタイム ファイルがインストールされた場合、ローカルにランタイムファイルをコピーしてもアプリケーションはGACにインストールされたアセンブリを優先して参照します


リファレンス

リファレンス

このリファレンスは、次のコンポーネントのメンバについて説明しています。

  • GcZoomコンポーネント
  • GcZoomPanelコントロール
  • GcApplicationZoomコンポーネント
  • GcZoomCommandProviderコンポーネント
  • GcMagnifierコンポーネント
  • GcMultiScaleImageコントロール
  • GcTouchEventProviderコンポーネント


GrapeCity.Win.MultiTouch 名前空間

GrapeCity.Win.MultiTouch 名前空間

MultiTouchに含まれるクラスの一覧です。

クラス
 | クラス | 説明
パブリック クラス | AlternativeContentSettings | ジェスチャズーム中にズーム率を表示する方法を示す設定を表します。
パブリック クラス | AnimationStartingEventArgs | GcZoom.AnimationStarting イベントおよび GcZoomPanel.AnimationStarting イベントのデータを提供します。
パブリック クラス | ComboBoxZoomPolicy | ComboBox 型コントロールのズームポリシーを表します。
パブリック クラス | ControlAutoShowingEventArgs | GcZoom クラスの ControlAutoShowing イベントのデータを提供します。
パブリック クラス | ControlBar | 半透明で表示される、オーナーフォームのフローティングウィンドウを表します。ユーザーはこのウィンドウに任意のコントロールを追加できます。
パブリック クラス | ControlBoundsZoomingEventArgs | GcZoom クラスの ControlBoundsZooming イベントのデータを提供します。
パブリック クラス | ControlFontZoomingEventArgs | GcZoom クラスの ControlFontZooming イベントのデータを提供します。
パブリック クラス | ControlZoomPolicy | コントロールの基本ズームポリシーを表します。
パブリック クラス | DataGridViewZoomPolicy | DataGridView 型コントロールのズームポリシーを表します。
パブリック クラス | DoubleTappedEventArgs | DoubleTapped イベントのデータを提供します。
パブリック クラス | FlowLayoutPanelZoomPolicy | FlowLayoutPanel 型コントロールのズームポリシーを表します。
パブリック クラス | GcApplicationZoom | 任意の既存フォームにアタッチすることで、現在のアプリケーション内のすべてのフォームを 2 本指のタッチでズームできるようにするコンポーネントを表します。
パブリック クラス | GcMagnifier | 任意の既存コントロールにアタッチでき、コントロールを長押ししたときに指の周りの情報を拡大表示する拡大鏡を指の上にポップアップするコンポーネントを表します。
パブリック クラス | GcMultiScaleImage | コントロールのズーム率に応じて異なるイメージを表示できるコントロールを表します。
パブリック クラス | GcTouchEventProvider | 任意のコントロールにアタッチでき、対象のコントロールのポインタイベントとマニピュレーションイベントを提供するコンポーネントを表します。
パブリック クラス | GcZoom | 任意の既存フォームにアタッチすることで、フォームを 2 本指のタッチでズームできるようにするコンポーネントを表します。
パブリック クラス | GcZoomAttachedEventArgs | GcApplicationZoom クラスの GcZoomAttached イベントのデータを提供します。
パブリック クラス | GcZoomAttachingEventArgs | GcApplicationZoom クラスの GcZoomAttaching イベントのデータを提供します。
パブリック クラス | GcZoomCommandProvider | 任意の既存 UserControl にアタッチすることで、現在の UserControl 上にあるすべての IButtonControl で ZoomCommands を実行できるようにするコンポーネントを表します。
パブリック クラス | GcZoomDetachedEventArgs | GcApplicationZoom クラスの GcZoomDetached イベントのデータを提供します。
パブリック クラス | GcZoomPanel | コントロールのコレクションをグループ化し、それらのコントロールを 2 本指のタッチでズームできるようにするコンポーネントを表します。
パブリック クラス | HoldingEventArgs | Holding イベントのデータを提供します。
パブリック クラス | ImageItem | GcMultiScaleImage に表示されるイメージを表します。ZoomFactor がどの程度のときにそのイメージを表示するかを示すプロパティを持ちます。
パブリック クラス | InertiaExpansionBehavior | サイズ変更操作の慣性運動中の減速を制御します。このクラスは継承できません。
パブリック クラス | InertiaRotationBehavior | 回転操作の慣性運動中の減速を制御します。このクラスは継承できません。
パブリック クラス | InertiaTranslationBehavior | 平行移動操作の慣性運動中の減速を制御します。このクラスは継承できません。
パブリック クラス | ListBoxZoomPolicy | ListBox 型コントロールのズームポリシーを表します。
パブリック クラス | ListViewZoomPolicy | ListView 型コントロールのズームポリシーを表します。
パブリック クラス | MagnifierEventArgs | Closed および Move イベントのデータを提供します。
パブリック クラス | MagnifierShowingEventArgs | MagnifierShowing イベントのデータを提供します。
パブリック クラス | ManipulationCompletedEventArgs | ManipulationCompleted イベントのデータを提供します。
パブリック クラス | ManipulationDeltaEventArgs | ManipulationDelta イベントのデータを提供します。
パブリック クラス | ManipulationInertiaStartingEventArgs | ManipulationInertiaStarting イベントのデータを提供します。
パブリック クラス | ManipulationPivot | 単一のユーザー入力ポイントで回転がどのように行われるかを指定します。このクラスは継承できません。
パブリック クラス | ManipulationStartedEventArgs | ManipulationStarted イベントのデータを提供します。
パブリック クラス | ManipulationStartingEventArgs | ManipulationStarting イベントのデータを提供します。
パブリック クラス | ManipulationVelocities | 現在のマニピュレーションにおける累積された変換の速度を格納します。
パブリック クラス | MonthCalendarZoomPolicy | MonthCalendar 型コントロールのズームポリシーを表します。
パブリック クラス | NoZoomFontZoomPolicy | フォントをズームしないコントロールの基本ズームポリシーを表します。このクラスは abstract (Visual Basic では MustInherit) なので、インスタンス化できません。
パブリック クラス | PictureBoxZoomPolicy | PictureBox 型コントロールのズームポリシーを表します。
パブリック クラス | PointerEventArgs | GcTouchEventProvider に関連するポインタメッセージイベント（PointerPressed など）のイベントデータを提供します。
パブリック クラス | PointerPointProperties | PointerEventArgs オブジェクトの拡張プロパティを提供します。
パブリック クラス | PropertyGridZoomPolicy | PropertyGrid 型コントロールのズームポリシーを表します。
パブリック クラス | RightTappedEventArgs | RightTapped イベントのデータを提供します。
パブリック クラス | SplitContainerZoomPolicy | SplitContainer 型コントロールのズームポリシーを表します。
パブリック クラス | TableLayoutPanelZoomPolicy | TableLayoutPanel 型コントロールのズームポリシーを表します。
パブリック クラス | TappedEventArgs | Tapped イベントのデータを提供します。
パブリック クラス | ToolStripZoomPolicy | ToolStrip 型コントロールのズームポリシーを表します。
パブリック クラス | TouchRoutedEventArgs | すべてのポインタイベントおよびマニピュレーションイベント引数の基本ロジックを提供します。このクラスは abstract (Visual Basic では MustInherit) なので、インスタンス化できません。
パブリック クラス | TreeViewZoomPolicy | TreeView 型コントロールのズームポリシーを表します。
パブリック クラス | ZoomBoundsInfo | レイアウトをズームするためのヘルパーを表します。位置やサイズに関する情報を提供します。
パブリック クラス | ZoomFontInfo | フォントをサイズ変更するためのヘルパーを表します。フォントに関する情報を提供します。
パブリック クラス | ZoomManipulationStartingEventArgs | ManipulationStarting イベントのデータを提供します。
パブリック クラス | ZoomPolicy | ズームポリシーの基本クラスを実装します。このクラスは abstract (Visual Basic では MustInherit) なので、インスタンス化できません。
構造体
 | 構造体 | 説明
パブリック構造体 | ManipulationDelta | 現在のマニピュレーションにおける累積された変換を格納します。
列挙型
 | 列挙体 | 説明
パブリック列挙体 | BorderBackground | 拡大鏡の境界線の外観を指定します。
パブリック列挙体 | BoundaryFeedbackMode | スクロールが終端に達したときの視覚的フィードバックの表示方法を指定します。
パブリック列挙体 | FullScreenMode | フォームウィンドウをフルスクリーンモードで表示する方法を指定します。
パブリック列挙体 | HoldingState | Holding イベントの状態を指定します。
パブリック列挙体 | InnerPanelLayoutMode | 内部パネルでのコンテンツのレイアウトを指定します。
パブリック列挙体 | MagnifierShape | 拡大鏡の外観を指定します。
パブリック列挙体 | ManipulationModes | ターゲットコントロールがマニピュレーションイベントをどのように解釈するかを指定します。この列挙体の値を組み合わせて複数のモードを設定できます。
パブリック列挙体 | MessageWhenClose | 拡大鏡を閉じるときのアクションを指定します。
パブリック列挙体 | MessageWhenMove | 拡大鏡を移動するときのアクションを指定します。
パブリック列挙体 | MouseWheelScrollMode | マウスホイールスクロールのタイプを指定します。
パブリック列挙体 | PointerDeviceType | ポインタデバイスのタイプを列挙します。
パブリック列挙体 | PositionMode | ControlBar ウィンドウの位置モードを指定します。
パブリック列挙体 | ScrollIndicatorMode | 現在のスクロール位置を示す方法を指定します。
パブリック列挙体 | ShowingReason | 自動スクロールによっていつコントロールが表示されるかを示す理由を指定します。
パブリック列挙体 | ZoomCommands | GcZoomCommandProvider コンポーネントの組み込みコマンドを指定します。
パブリック列挙体 | ZoomManipulationModes | ターゲットコントロールがマニピュレーションイベントをどのように解釈するかを指定します。この列挙体の値を組み合わせて複数のモードを設定できます。
パブリック列挙体 | ZoomPreviewMode | ジェスチャズーム中にフォームを表示する方法を指定します。


AlternativeContentSettings クラス

AlternativeContentSettings クラス

ジェスチャズーム中にズーム率を表示する方法を示す設定を表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.AlternativeContentSettings

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class AlternativeContentSettings

public class AlternativeContentSettings
解説

この設定は、ZoomPreviewMode プロパティの値が ZoomPreviewMode.AlternativeContent のときにのみ有効です。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


AlternativeContentSettings メンバ

AlternativeContentSettings メンバ

AlternativeContentSettings クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
AlternativeContentSettings | AlternativeContentSettings クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Font | ジェスチャズーム中に表示される代替コンテンツプレビューテキストのフォントを取得または設定します。
パブリック プロパティ | ForeColor | ジェスチャズーム中に表示される代替コンテンツプレビューテキストの色を取得または設定します。
パブリック プロパティ | Format | ジェスチャズーム中に表示される代替コンテンツプレビューテキストの書式を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


AlternativeContentSettings コンストラクタ (GrapeCity.Win.MultiTouch)

AlternativeContentSettings コンストラクタ

AlternativeContentSettings クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public AlternativeContentSettings();

戻り値

なし


AlternativeContentSettings プロパティ

AlternativeContentSettings プロパティ

AlternativeContentSettings クラスのプロパティは以下のとおりです。AlternativeContentSettings クラスの完全なメンバ一覧については、 AlternativeContentSettingsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Font | ジェスチャズーム中に表示される代替コンテンツプレビューテキストのフォントを取得または設定します。
パブリック プロパティ | ForeColor | ジェスチャズーム中に表示される代替コンテンツプレビューテキストの色を取得または設定します。
パブリック プロパティ | Format | ジェスチャズーム中に表示される代替コンテンツプレビューテキストの書式を取得または設定します。


AlternativeContentSettings.Font プロパティ (GrapeCity.Win.MultiTouch)

AlternativeContentSettings.Font プロパティ

ジェスチャズーム中に表示される代替コンテンツプレビューテキストのフォントを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Font As Font

public Font Font { get; set; }

プロパティ値

System.Drawing.Font型

ジェスチャズーム中に表示される代替コンテンツプレビューテキストのフォントを表す Font 値。デフォルトは null 参照 (Visual Basic では Nothing) で、フォームのフォントを使用することを意味します。


AlternativeContentSettings.ForeColor プロパティ (GrapeCity.Win.MultiTouch)

AlternativeContentSettings.ForeColor プロパティ

ジェスチャズーム中に表示される代替コンテンツプレビューテキストの色を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ForeColor As Color

public Color ForeColor { get; set; }

プロパティ値

System.Drawing.Color型

ジェスチャズーム中に表示される代替コンテンツプレビューテキストの色を表す Color 値。デフォルトは Color.Empty で、フォームの前景色を使用することを意味します。


AlternativeContentSettings.Format プロパティ (GrapeCity.Win.MultiTouch)

AlternativeContentSettings.Format プロパティ

ジェスチャズーム中に表示される代替コンテンツプレビューテキストの書式を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Format As String

public string Format { get; set; }

プロパティ値

System.String型

ジェスチャズーム中に表示される代替コンテンツプレビューテキストの書式を表す String 値。

例外
例外の種類 | 条件
System.FormatException | 指定された値が有効な書式文字列ではありません。


AnimationStartingEventArgs クラス

AnimationStartingEventArgs クラス

GcZoom.AnimationStarting イベントおよび GcZoomPanel.AnimationStarting イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.AnimationStartingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class AnimationStartingEventArgs
    Inherits EventArgs

public class AnimationStartingEventArgs : EventArgs
使用例

以下のサンプルコードは、このクラスを使用してアニメーションをカスタマイズする方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Class GcZoomAnimationDemo
        Inherits Form
        Private _scrollLeftBtn As New Button()
        Private _scrollRightBtn As New Button()
        Private _zoomInBtn As New Button()
        Private _zoomOutBtn As New Button()
        Private _customizeDuringChB As New CheckBox()
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            AddHandler _scrollLeftBtn.Click, AddressOf _scrollLeftBtn_Click
            AddHandler _scrollRightBtn.Click, AddressOf _scrollRightBtn_Click
            AddHandler _zoomInBtn.Click, AddressOf _zoomInBtn_Click
            AddHandler _zoomOutBtn.Click, AddressOf _zoomOutBtn_Click

            AddHandler _gcZoom1.AnimationStarting, AddressOf _gcZoom1_AnimationStarting
            AddHandler _gcZoom1.AnimationCompleted, AddressOf _gcZoom1_AnimationCompleted
        End Sub

        Private Sub _zoomOutBtn_Click(sender As Object, e As EventArgs)
            _gcZoom1.SetZoomFactor(1, True)
        End Sub

        Private Sub _zoomInBtn_Click(sender As Object, e As EventArgs)
            _gcZoom1.SetZoomFactor(2, True)
        End Sub

        Private Sub _scrollRightBtn_Click(sender As Object, e As EventArgs)
            _gcZoom1.SetScrollLocation(New Point(-1000, 0), True)
        End Sub

        Private Sub _scrollLeftBtn_Click(sender As Object, e As EventArgs)
            _gcZoom1.SetScrollLocation(New Point(0, 0), True)
        End Sub

        Private Sub _gcZoom1_AnimationStarting(sender As Object, e As AnimationStartingEventArgs)
            If _customizeDuringChB.Checked Then
                ' Make the animation slower.
                ' e.Cancel = true;  // If it is necessary, cancel the animation by this code.
                e.Duration = e.Duration * 4
            End If
            Console.WriteLine("+++ _gcZoom1_AnimationStarting +++")
            Console.WriteLine("CurrentScrollLocation:   " & e.CurrentScrollLocation.ToString())
            Console.WriteLine("CurrentZoomFactor:       " & e.CurrentZoomFactor.ToString())
            Console.WriteLine("TargetScrollLocation:    " & e.TargetScrollLocation.ToString())
            Console.WriteLine("TargetZoomFactor         " & e.TargetZoomFactor.ToString())
        End Sub

        Private Sub _gcZoom1_AnimationCompleted(sender As Object, e As EventArgs)
            Console.WriteLine("+++ _gcZoom1_AnimationCompleted +++")
        End Sub

        Private Sub InitializeComponent()
            Me.Size = New Size(300, 600)

            Me._scrollLeftBtn.Location = New System.Drawing.Point(12, 50)
            Me._scrollLeftBtn.Size = New System.Drawing.Size(260, 30)
            Me._scrollLeftBtn.Text = "Scroll Left"

            Me._scrollRightBtn.Location = New System.Drawing.Point(12, 100)
            Me._scrollRightBtn.Size = New System.Drawing.Size(260, 30)
            Me._scrollRightBtn.Text = "Scroll Right"

            Me._zoomInBtn.Location = New System.Drawing.Point(12, 150)
            Me._zoomInBtn.Size = New System.Drawing.Size(260, 30)
            Me._zoomInBtn.Text = "Zoom In"

            Me._zoomOutBtn.Location = New System.Drawing.Point(12, 200)
            Me._zoomOutBtn.Size = New System.Drawing.Size(260, 30)
            Me._zoomOutBtn.Text = "Zoom Out"

            Me._customizeDuringChB.Location = New System.Drawing.Point(12, 22)
            Me._customizeDuringChB.Size = New System.Drawing.Size(183, 17)
            Me._customizeDuringChB.Text = "Customize animtation during Time"

            Me.Controls.Add(Me._customizeDuringChB)
            Me.Controls.Add(Me._zoomOutBtn)
            Me.Controls.Add(Me._scrollRightBtn)
            Me.Controls.Add(Me._zoomInBtn)
            Me.Controls.Add(Me._scrollLeftBtn)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    class GcZoomAnimationDemo : Form
    {
        private Button _scrollLeftBtn = new Button();
        private Button _scrollRightBtn = new Button();
        private Button _zoomInBtn = new Button();
        private Button _zoomOutBtn = new Button();
        private CheckBox _customizeDuringChB = new CheckBox();
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomAnimationDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            _scrollLeftBtn.Click += _scrollLeftBtn_Click;
            _scrollRightBtn.Click += _scrollRightBtn_Click;
            _zoomInBtn.Click += _zoomInBtn_Click;
            _zoomOutBtn.Click += _zoomOutBtn_Click;

            _gcZoom1.AnimationStarting += _gcZoom1_AnimationStarting;
            _gcZoom1.AnimationCompleted += _gcZoom1_AnimationCompleted;
        }

        void _zoomOutBtn_Click(object sender, EventArgs e)
        {
            _gcZoom1.SetZoomFactor(1, true);
        }

        void _zoomInBtn_Click(object sender, EventArgs e)
        {
            _gcZoom1.SetZoomFactor(2, true);
        }

        void _scrollRightBtn_Click(object sender, EventArgs e)
        {
            _gcZoom1.SetScrollLocation(new Point(-1000, 0), true);
        }

        void _scrollLeftBtn_Click(object sender, EventArgs e)
        {
            _gcZoom1.SetScrollLocation(new Point(0, 0), true);
        }

        void _gcZoom1_AnimationStarting(object sender, AnimationStartingEventArgs e)
        {
            if (_customizeDuringChB.Checked)
            {
                e.Duration = e.Duration * 4; // Make the animation slower.

                // e.Cancel = true;  // If it is necessary, cancel the animation by this code.
            }
            Console.WriteLine("+++ _gcZoom1_AnimationStarting +++");
            Console.WriteLine("CurrentScrollLocation:   " + e.CurrentScrollLocation.ToString());
            Console.WriteLine("CurrentZoomFactor:       " + e.CurrentZoomFactor.ToString());
            Console.WriteLine("TargetScrollLocation:    " + e.TargetScrollLocation.ToString());
            Console.WriteLine("TargetZoomFactor         " + e.TargetZoomFactor.ToString());
        }

        void _gcZoom1_AnimationCompleted(object sender, EventArgs e)
        {
            Console.WriteLine("+++ _gcZoom1_AnimationCompleted +++");
        }

        private void InitializeComponent()
        {
            this.Size = new Size(300, 600);

            this._scrollLeftBtn.Location = new System.Drawing.Point(12, 50);
            this._scrollLeftBtn.Size = new System.Drawing.Size(260, 30);
            this._scrollLeftBtn.Text = "Scroll Left";

            this._scrollRightBtn.Location = new System.Drawing.Point(12, 100);
            this._scrollRightBtn.Size = new System.Drawing.Size(260, 30);
            this._scrollRightBtn.Text = "Scroll Right";

            this._zoomInBtn.Location = new System.Drawing.Point(12, 150);
            this._zoomInBtn.Size = new System.Drawing.Size(260, 30);
            this._zoomInBtn.Text = "Zoom In";

            this._zoomOutBtn.Location = new System.Drawing.Point(12, 200);
            this._zoomOutBtn.Size = new System.Drawing.Size(260, 30);
            this._zoomOutBtn.Text = "Zoom Out";

            this._customizeDuringChB.Location = new System.Drawing.Point(12, 22);
            this._customizeDuringChB.Size = new System.Drawing.Size(183, 17);
            this._customizeDuringChB.Text = "Customize animtation during Time";

            this.Controls.Add(this._customizeDuringChB);
            this.Controls.Add(this._zoomOutBtn);
            this.Controls.Add(this._scrollRightBtn);
            this.Controls.Add(this._zoomInBtn);
            this.Controls.Add(this._scrollLeftBtn);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


AnimationStartingEventArgs メンバ

AnimationStartingEventArgs メンバ

AnimationStartingEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cancel | このアニメーションがキャンセルされるかどうかを示す値を取得または設定します。
パブリック プロパティ | CurrentScrollLocation | 現在のスクロール位置を取得します。
パブリック プロパティ | CurrentZoomFactor | 現在のズーム率を取得します。
パブリック プロパティ | Duration | アニメーションの持続時間を取得または設定します。
パブリック プロパティ | TargetScrollLocation | 目標のスクロール位置を取得します。
パブリック プロパティ | TargetZoomFactor | 目標のズーム率を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


AnimationStartingEventArgs プロパティ

AnimationStartingEventArgs プロパティ

AnimationStartingEventArgs クラスのプロパティは以下のとおりです。AnimationStartingEventArgs クラスの完全なメンバ一覧については、 AnimationStartingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cancel | このアニメーションがキャンセルされるかどうかを示す値を取得または設定します。
パブリック プロパティ | CurrentScrollLocation | 現在のスクロール位置を取得します。
パブリック プロパティ | CurrentZoomFactor | 現在のズーム率を取得します。
パブリック プロパティ | Duration | アニメーションの持続時間を取得または設定します。
パブリック プロパティ | TargetScrollLocation | 目標のスクロール位置を取得します。
パブリック プロパティ | TargetZoomFactor | 目標のズーム率を取得します。


AnimationStartingEventArgs.Cancel プロパティ (GrapeCity.Win.MultiTouch)

AnimationStartingEventArgs.Cancel プロパティ

このアニメーションがキャンセルされるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Cancel As Boolean

public bool Cancel { get; set; }

プロパティ値

System.Boolean型

このアニメーションがキャンセルされる場合は true。それ以外の場合は false。


AnimationStartingEventArgs.CurrentScrollLocation プロパティ (GrapeCity.Win.MultiTouch)

AnimationStartingEventArgs.CurrentScrollLocation プロパティ

現在のスクロール位置を取得します。

構文
VB
C#
クリップボードにコピー
Public Property CurrentScrollLocation As Point

public Point CurrentScrollLocation { get; set; }

プロパティ値

System.Drawing.Point型

現在のスクロール位置。


AnimationStartingEventArgs.CurrentZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

AnimationStartingEventArgs.CurrentZoomFactor プロパティ

現在のズーム率を取得します。

構文
VB
C#
クリップボードにコピー
Public Property CurrentZoomFactor As Single

public float CurrentZoomFactor { get; set; }

プロパティ値

System.Single型

現在のズーム率。


AnimationStartingEventArgs.Duration プロパティ (GrapeCity.Win.MultiTouch)

AnimationStartingEventArgs.Duration プロパティ

アニメーションの持続時間を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Duration As Integer

public int Duration { get; set; }

プロパティ値

System.Int32型

アニメーションの持続時間。


AnimationStartingEventArgs.TargetScrollLocation プロパティ (GrapeCity.Win.MultiTouch)

AnimationStartingEventArgs.TargetScrollLocation プロパティ

目標のスクロール位置を取得します。

構文
VB
C#
クリップボードにコピー
Public Property TargetScrollLocation As Point

public Point TargetScrollLocation { get; set; }

プロパティ値

System.Drawing.Point型

目標のスクロール位置。


AnimationStartingEventArgs.TargetZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

AnimationStartingEventArgs.TargetZoomFactor プロパティ

目標のズーム率を取得します。

構文
VB
C#
クリップボードにコピー
Public Property TargetZoomFactor As Single

public float TargetZoomFactor { get; set; }

プロパティ値

System.Single型

目標のズーム率。


BorderBackground 列挙体

BorderBackground 列挙体

拡大鏡の境界線の外観を指定します。

構文
VB
C#
クリップボードにコピー
Public Enum BorderBackground

public enum BorderBackground
メンバ
メンバ名 | 説明
0 - Light | 境界線の背景色が明るい色になります。
1 - Dark | 境界線の背景色が暗い色になります。
2 - Custom | 指定したイメージを使用して境界線の背景をレンダリングします。GcMagnifier.BorderBackground プロパティを参照してください。
参照
GrapeCity.Win.MultiTouch 名前空間


BoundaryFeedbackMode 列挙体

BoundaryFeedbackMode 列挙体

スクロールが終端に達したときの視覚的フィードバックの表示方法を指定します。

構文
VB
C#
クリップボードにコピー
Public Enum BoundaryFeedbackMode

public enum BoundaryFeedbackMode
メンバ
メンバ名 | 説明
0 - Standard | スクロールが終端に達したとき、オーナーフォームが少し移動してからバウンドして元に戻ります。
1 - Split | スクロールが終端に達したとき、コンテンツ領域がさらに少しスクロールしてからバウンドして元に戻ります。
参照
GrapeCity.Win.MultiTouch 名前空間


ComboBoxZoomPolicy クラス

ComboBoxZoomPolicy クラス

ComboBox 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.ComboBoxZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ComboBoxZoomPolicy
    Inherits ControlZoomPolicy

public class ComboBoxZoomPolicy : ControlZoomPolicy
解説

ComboBox では、フォントおよびサイズが変更されたとき、すべてのテキストが選択されます。このズームポリシーを使用すると、このデフォルトの動作が無効になります。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ComboBoxZoomPolicy メンバ

ComboBoxZoomPolicy メンバ

ComboBoxZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
ComboBoxZoomPolicy | ComboBoxZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


ComboBoxZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

ComboBoxZoomPolicy コンストラクタ

ComboBoxZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public ComboBoxZoomPolicy();

戻り値

なし


ComboBoxZoomPolicy プロパティ

ComboBoxZoomPolicy プロパティ

ComboBoxZoomPolicy クラスのプロパティは以下のとおりです。ComboBoxZoomPolicy クラスの完全なメンバ一覧については、 ComboBoxZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


ComboBoxZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

ComboBoxZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


ComboBoxZoomPolicy メソッド

ComboBoxZoomPolicy メソッド

ComboBoxZoomPolicy クラスのメソッドは以下のとおりです。ComboBoxZoomPolicy クラスの完全なメンバ一覧については、 ComboBoxZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


ComboBoxZoomPolicy.Initialize メソッド (GrapeCity.Win.MultiTouch)

ComboBoxZoomPolicy.Initialize メソッド

ズームアクションが開始する前にコントロールを初期化します。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Initialize( _
   ByVal control As Control _
)

public override void Initialize(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

このメソッドは、コントロールがズームされる前に呼び出されます。コントロールの中には、親コントロールが変更されたときに境界/フォントが変更されるものがあります。ユーザーは親を変更する前にこのメソッドでオリジナルの境界/フォントをキャッシュできます。そして、ZoomBounds および ZoomFont メソッドでこのキャッシュされた値を使用します。

詳細については、ComboBoxZoomPolicy を参照してください。


ComboBoxZoomPolicy.Terminate メソッド (GrapeCity.Win.MultiTouch)

ComboBoxZoomPolicy.Terminate メソッド

ズームアクションが完了した後にコントロールの終了処理を行います。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Terminate( _
   ByVal control As Control _
)

public override void Terminate(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

すべてのキャッシュをクリアし、Initialize メソッドで設定された個別の設定を復元します。

注意に関するメモ 注意

詳細については、ComboBoxZoomPolicy を参照してください。


ComboBoxZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

ComboBoxZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

詳細については、ComboBoxZoomPolicy を参照してください。


ComboBoxZoomPolicy.ZoomFont メソッド (GrapeCity.Win.MultiTouch)

ComboBoxZoomPolicy.ZoomFont メソッド

コントロールのフォントをズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomFont( _
   ByVal control As Control, _
   ByVal infos As ZoomFontInfo _
)

public override void ZoomFont(
   Control control,
   ZoomFontInfo infos
);

パラメータ

control
指定したコントロール。
infos
フォントのズームを支援するために GcZoom によって提供される ZoomFontInfo 型の情報。

戻り値

なし
解説

詳細については、ComboBoxZoomPolicy を参照してください。


ControlAutoShowingEventArgs クラス

ControlAutoShowingEventArgs クラス

GcZoom クラスの ControlAutoShowing イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.ControlAutoShowingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ControlAutoShowingEventArgs
    Inherits EventArgs

public class ControlAutoShowingEventArgs : EventArgs
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ControlAutoShowingEventArgs メンバ

ControlAutoShowingEventArgs メンバ

ControlAutoShowingEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cancel | この GcZoom.ControlAutoShowing イベントがキャンセルされるかどうかを示す値を取得または設定します。
パブリック プロパティ | ShowingControl | 表示しようとしているターゲットコントロールを取得します。
パブリック プロパティ | ShowingReason | コントロールの自動スクロールの理由を示す値を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ControlAutoShowingEventArgs プロパティ

ControlAutoShowingEventArgs プロパティ

ControlAutoShowingEventArgs クラスのプロパティは以下のとおりです。ControlAutoShowingEventArgs クラスの完全なメンバ一覧については、 ControlAutoShowingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cancel | この GcZoom.ControlAutoShowing イベントがキャンセルされるかどうかを示す値を取得または設定します。
パブリック プロパティ | ShowingControl | 表示しようとしているターゲットコントロールを取得します。
パブリック プロパティ | ShowingReason | コントロールの自動スクロールの理由を示す値を取得します。


ControlAutoShowingEventArgs.Cancel プロパティ (GrapeCity.Win.MultiTouch)

ControlAutoShowingEventArgs.Cancel プロパティ

この GcZoom.ControlAutoShowing イベントがキャンセルされるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Cancel As Boolean

public bool Cancel { get; set; }

プロパティ値

System.Boolean型

現在の自動表示操作がキャンセルされる場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlAutoShowing(sender As Object, e As ControlAutoShowingEventArgs)
    Console.WriteLine(e.ShowingControl.ToString())
    Console.WriteLine(e.ShowingReason.ToString())

    ' Do not auto scroll if a control's most part is shown
    If _gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2 Then
        e.Cancel = True
    End If
End Sub

void _gcZoom1_ControlAutoShowing(object sender, ControlAutoShowingEventArgs e)
{
    Console.WriteLine(e.ShowingControl.ToString());
    Console.WriteLine(e.ShowingReason.ToString());

    // Do not auto scroll if a control's most part is shown
    if (_gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2)
    {
        e.Cancel = true;
    }
}


ControlAutoShowingEventArgs.ShowingControl プロパティ (GrapeCity.Win.MultiTouch)

ControlAutoShowingEventArgs.ShowingControl プロパティ

表示しようとしているターゲットコントロールを取得します。

構文
VB
C#
クリップボードにコピー
Public Property ShowingControl As Control

public Control ShowingControl { get; set; }

プロパティ値

System.Windows.Forms.Control型

表示しようとしているターゲットコントロール。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlAutoShowing(sender As Object, e As ControlAutoShowingEventArgs)
    Console.WriteLine(e.ShowingControl.ToString())
    Console.WriteLine(e.ShowingReason.ToString())

    ' Do not auto scroll if a control's most part is shown
    If _gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2 Then
        e.Cancel = True
    End If
End Sub

void _gcZoom1_ControlAutoShowing(object sender, ControlAutoShowingEventArgs e)
{
    Console.WriteLine(e.ShowingControl.ToString());
    Console.WriteLine(e.ShowingReason.ToString());

    // Do not auto scroll if a control's most part is shown
    if (_gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2)
    {
        e.Cancel = true;
    }
}


ControlAutoShowingEventArgs.ShowingReason プロパティ (GrapeCity.Win.MultiTouch)

ControlAutoShowingEventArgs.ShowingReason プロパティ

コントロールの自動スクロールの理由を示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public Property ShowingReason As ShowingReason

public ShowingReason ShowingReason { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ShowingReason型

ShowingReason 値の 1 つ。

ShowingReasonの値 | 説明
0 - FocusChanged | コントロールがフォーカスを取得したときにコントロールを表示します。
1 - ScreenKeyboardShown | システムのタッチキーボードがポップアップしたときにコントロールを表示します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlAutoShowing(sender As Object, e As ControlAutoShowingEventArgs)
    Console.WriteLine(e.ShowingControl.ToString())
    Console.WriteLine(e.ShowingReason.ToString())

    ' Do not auto scroll if a control's most part is shown
    If _gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2 Then
        e.Cancel = True
    End If
End Sub

void _gcZoom1_ControlAutoShowing(object sender, ControlAutoShowingEventArgs e)
{
    Console.WriteLine(e.ShowingControl.ToString());
    Console.WriteLine(e.ShowingReason.ToString());

    // Do not auto scroll if a control's most part is shown
    if (_gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2)
    {
        e.Cancel = true;
    }
}


ControlBar クラス

ControlBar クラス

半透明で表示される、オーナーフォームのフローティングウィンドウを表します。ユーザーはこのウィンドウに任意のコントロールを追加できます。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ControlBar

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ControlBar
    Implements IDisposable

public class ControlBar : IDisposable
使用例

以下のサンプルコードは、ControlBar クラスの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class ControlBarDemo
        Inherits Form
        Private _controlBarButton As Button
        Private _userControl As New MyUserControl()
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' Create ControlBar
            AddControlBar()
        End Sub

        Private Sub AddControlBar()
            Dim controlBar As New ControlBar()

            ' Content should is a Type of UserControl.
            controlBar.Content = _userControl.[GetType]()

            controlBar.PositionMode = PositionMode.Floating

            ' Only take effect when Position Mode is Dock.
            ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
            ' controlBar.Margin = new System.Windows.Forms.Padding();

            ' Only take effect when Position is Fix or Flowing.
            controlBar.Position = New Point(20, 20)

            controlBar.Opacity = 1.0
            controlBar.TransparentBackground = True

            _gcZoom1.ControlBars.Add(controlBar)
        End Sub

        Private Sub InitializeComponent()
            _controlBarButton = New Button()
            _controlBarButton.Text = "This is a Button"
            _controlBarButton.Location = New Point(100, 100)
            _controlBarButton.Size = New Size(120, 30)

            Me.Controls.Add(_controlBarButton)
        End Sub
    End Class

    Public Class MyUserControl
        Inherits UserControl
        Private commands As New GcZoomCommandProvider()
        Private _zoomInButton As Button
        Private _zoomOutButton As Button
        Private _getButton As Button

        Public Sub New()
            InitializeComponent()

            commands.Target = Me
            commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn)
            Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString())

            commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut)
            Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString())

            AddHandler _getButton.Click, AddressOf _getButton_Click
        End Sub

        Private Sub _getButton_Click(sender As Object, e As EventArgs)
            Console.WriteLine(commands.OwnerForm.ToString())
            Console.WriteLine(commands.OwnerGcZoom.ToString())
        End Sub

        Private Sub InitializeComponent()
            _zoomInButton = New Button()
            _zoomInButton.Text = "+"
            _zoomInButton.Size = New Size(40, 40)
            _zoomInButton.Location = New Point(10, 10)

            _zoomOutButton = New Button()
            _zoomOutButton.Text = "_"
            _zoomOutButton.Size = New Size(40, 40)
            _zoomOutButton.Location = New Point(60, 10)

            _getButton = New Button()
            _getButton.Text = "Get"
            _getButton.Size = New Size(40, 40)
            _getButton.Location = New Point(110, 10)

            Me.Size = New Size(160, 60)
            Me.Controls.Add(_zoomInButton)
            Me.Controls.Add(_zoomOutButton)
            Me.Controls.Add(_getButton)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class ControlBarDemo : Form
    {
        private Button _controlBarButton;
        private MyUserControl _userControl = new MyUserControl();
        private GcZoom _gcZoom1 = new GcZoom();

        public ControlBarDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // Create ControlBar
            AddControlBar();
        }

        private void AddControlBar()
        {
            ControlBar controlBar = new ControlBar();

            // Content should is a Type of UserControl.
            controlBar.Content = _userControl.GetType();

            controlBar.PositionMode = PositionMode.Floating;

            // Only take effect when Position Mode is Dock.
            // controlBar.DockPosition = ContentAlignment.MiddleCenter;
            // controlBar.Margin = new System.Windows.Forms.Padding();

            // Only take effect when Position is Fix or Flowing.
            controlBar.Position = new Point(20, 20);

            controlBar.Opacity = 1d;
            controlBar.TransparentBackground = true;

            _gcZoom1.ControlBars.Add(controlBar);
        }

        private void InitializeComponent()
        {
            _controlBarButton = new Button();
            _controlBarButton.Text = "This is a Button";
            _controlBarButton.Location = new Point(100, 100);
            _controlBarButton.Size = new Size(120, 30);

            this.Controls.Add(_controlBarButton);
        }
    }

    public class MyUserControl : UserControl
    {
        private GcZoomCommandProvider commands = new GcZoomCommandProvider();
        private Button _zoomInButton;
        private Button _zoomOutButton;
        private Button _getButton;

        public MyUserControl()
        {
            InitializeComponent();

            commands.Target = this;
            commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn);
            Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString());

            commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut);
            Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString());

            _getButton.Click += _getButton_Click;
        }

        void _getButton_Click(object sender, EventArgs e)
        {
            Console.WriteLine(commands.OwnerForm.ToString());
            Console.WriteLine(commands.OwnerGcZoom.ToString());
        }

        private void InitializeComponent()
        {
            _zoomInButton = new Button();
            _zoomInButton.Text = "+";
            _zoomInButton.Size = new Size(40, 40);
            _zoomInButton.Location = new Point(10, 10);

            _zoomOutButton = new Button();
            _zoomOutButton.Text = "_";
            _zoomOutButton.Size = new Size(40, 40);
            _zoomOutButton.Location = new Point(60, 10);

            _getButton = new Button();
            _getButton.Text = "Get";
            _getButton.Size = new Size(40, 40);
            _getButton.Location = new Point(110, 10);

            this.Size = new Size(160, 60);
            this.Controls.Add(_zoomInButton);
            this.Controls.Add(_zoomOutButton);
            this.Controls.Add(_getButton);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ControlBar メンバ

ControlBar メンバ

ControlBar クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
ControlBar | ControlBar クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Content | ControlBar ウィンドウの UserControl 型オブジェクトを示す値を取得または設定します。
パブリック プロパティ | DockPosition | ControlBar ウィンドウの配置を示す値を取得または設定します。
パブリック プロパティ | Margin | オーナーフォームのクライアント座標を基準とする、ControlBar ウィンドウの外側マージンを示す値を取得または設定します。
パブリック プロパティ | Opacity | ControlBar ウィンドウの不透明度を取得または設定します。
パブリック プロパティ | Position | オーナーフォームのクライアント座標で表された左上隅の位置を表す値を取得または設定します。
パブリック プロパティ | PositionMode | ControlBar ウィンドウの配置モードを取得または設定します。
パブリック プロパティ | TransparencyKey | ControlBar ウィンドウの透明を表す色を取得または設定します。
パブリック プロパティ | TransparentBackground | ControlBar ウィンドウが透明かどうかを示す値を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Dispose | アンマネージリソースを解放します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ControlBar コンストラクタ (GrapeCity.Win.MultiTouch)

ControlBar コンストラクタ

ControlBar クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public ControlBar();

戻り値

なし


ControlBar プロパティ

ControlBar プロパティ

ControlBar クラスのプロパティは以下のとおりです。ControlBar クラスの完全なメンバ一覧については、 ControlBarメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Content | ControlBar ウィンドウの UserControl 型オブジェクトを示す値を取得または設定します。
パブリック プロパティ | DockPosition | ControlBar ウィンドウの配置を示す値を取得または設定します。
パブリック プロパティ | Margin | オーナーフォームのクライアント座標を基準とする、ControlBar ウィンドウの外側マージンを示す値を取得または設定します。
パブリック プロパティ | Opacity | ControlBar ウィンドウの不透明度を取得または設定します。
パブリック プロパティ | Position | オーナーフォームのクライアント座標で表された左上隅の位置を表す値を取得または設定します。
パブリック プロパティ | PositionMode | ControlBar ウィンドウの配置モードを取得または設定します。
パブリック プロパティ | TransparencyKey | ControlBar ウィンドウの透明を表す色を取得または設定します。
パブリック プロパティ | TransparentBackground | ControlBar ウィンドウが透明かどうかを示す値を取得または設定します。


ControlBar.Content プロパティ (GrapeCity.Win.MultiTouch)

ControlBar.Content プロパティ

ControlBar ウィンドウの UserControl 型オブジェクトを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Content As Type

public Type Content { get; set; }

プロパティ値

System.Type型

UserControl オブジェクトを示す Type 値。デフォルトは null です。

例外
例外の種類 | 条件
System.ArgumentException | value には UserControl の Type を指定する必要があります。
System.ArgumentException | UserControl は、パラメーターのないパブリックコンストラクターを持つ必要があります。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ControlBar クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub AddControlBar()
    Dim controlBar As New ControlBar()

    ' Content should is a Type of UserControl.
    controlBar.Content = _userControl.[GetType]()

    controlBar.PositionMode = PositionMode.Floating

    ' Only take effect when Position Mode is Dock.
    ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
    ' controlBar.Margin = new System.Windows.Forms.Padding();

    ' Only take effect when Position is Fix or Flowing.
    controlBar.Position = New Point(20, 20)

    controlBar.Opacity = 1.0
    controlBar.TransparentBackground = True

    _gcZoom1.ControlBars.Add(controlBar)
End Sub

private void AddControlBar()
{
    ControlBar controlBar = new ControlBar();

    // Content should is a Type of UserControl.
    controlBar.Content = _userControl.GetType();

    controlBar.PositionMode = PositionMode.Floating;

    // Only take effect when Position Mode is Dock.
    // controlBar.DockPosition = ContentAlignment.MiddleCenter;
    // controlBar.Margin = new System.Windows.Forms.Padding();

    // Only take effect when Position is Fix or Flowing.
    controlBar.Position = new Point(20, 20);

    controlBar.Opacity = 1d;
    controlBar.TransparentBackground = true;

    _gcZoom1.ControlBars.Add(controlBar);
}


ControlBar.DockPosition プロパティ (GrapeCity.Win.MultiTouch)

ControlBar.DockPosition プロパティ

ControlBar ウィンドウの配置を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property DockPosition As ContentAlignment

public ContentAlignment DockPosition { get; set; }

プロパティ値

System.Drawing.ContentAlignment型

ContentAlignment 値の 1 つ。デフォルトは ContentAlignment.MiddleLeft です。

DockPositionの値 | 説明
1 - TopLeft | コンテンツは上端左寄せに配置されます。
2 - TopCenter | コンテンツは上端中央に配置されます。
4 - TopRight | コンテンツは上端右寄せに配置されます。
16 - MiddleLeft | コンテンツは中段左寄せに配置されます。
32 - MiddleCenter | コンテンツは中段中央に配置されます。
64 - MiddleRight | コンテンツは中段右寄せに配置されます。
256 - BottomLeft | コンテンツは下端左寄せに配置されます。
512 - BottomCenter | コンテンツは下端中央に配置されます。
1024 - BottomRight | コンテンツは下端右寄せに配置されます。
解説

このプロパティは、PositionMode プロパティの値が MultiTouch.PositionMode.Dock のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ControlBar クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub AddControlBar()
    Dim controlBar As New ControlBar()

    ' Content should is a Type of UserControl.
    controlBar.Content = _userControl.[GetType]()

    controlBar.PositionMode = PositionMode.Floating

    ' Only take effect when Position Mode is Dock.
    ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
    ' controlBar.Margin = new System.Windows.Forms.Padding();

    ' Only take effect when Position is Fix or Flowing.
    controlBar.Position = New Point(20, 20)

    controlBar.Opacity = 1.0
    controlBar.TransparentBackground = True

    _gcZoom1.ControlBars.Add(controlBar)
End Sub

private void AddControlBar()
{
    ControlBar controlBar = new ControlBar();

    // Content should is a Type of UserControl.
    controlBar.Content = _userControl.GetType();

    controlBar.PositionMode = PositionMode.Floating;

    // Only take effect when Position Mode is Dock.
    // controlBar.DockPosition = ContentAlignment.MiddleCenter;
    // controlBar.Margin = new System.Windows.Forms.Padding();

    // Only take effect when Position is Fix or Flowing.
    controlBar.Position = new Point(20, 20);

    controlBar.Opacity = 1d;
    controlBar.TransparentBackground = true;

    _gcZoom1.ControlBars.Add(controlBar);
}


ControlBar.Margin プロパティ (GrapeCity.Win.MultiTouch)

ControlBar.Margin プロパティ

オーナーフォームのクライアント座標を基準とする、ControlBar ウィンドウの外側マージンを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Margin As Padding

public Padding Margin { get; set; }

プロパティ値

System.Windows.Forms.Padding型

ControlBar ウィンドウの外側マージン（ピクセル単位）を表す Padding 値。デフォルトは 0 です。

解説

このプロパティは、PositionMode プロパティの値が MultiTouch.PositionMode.Dock のときにのみ有効です。

次の表に、DockPosition の設定に応じてどのプロパティが有効になるかを示します。
DockPosition | Margin
TopLeft | Top、Left
TopCenter | Top
TopRight | Top、Right
MiddleLeft | Left
MiddleCenter | 使用不可
MiddleRight | Right
BottomLeft | Bottom、Left
BottomCenter | Bottom
BottomRight | Bottom、Right

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ControlBar クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub AddControlBar()
    Dim controlBar As New ControlBar()

    ' Content should is a Type of UserControl.
    controlBar.Content = _userControl.[GetType]()

    controlBar.PositionMode = PositionMode.Floating

    ' Only take effect when Position Mode is Dock.
    ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
    ' controlBar.Margin = new System.Windows.Forms.Padding();

    ' Only take effect when Position is Fix or Flowing.
    controlBar.Position = New Point(20, 20)

    controlBar.Opacity = 1.0
    controlBar.TransparentBackground = True

    _gcZoom1.ControlBars.Add(controlBar)
End Sub

private void AddControlBar()
{
    ControlBar controlBar = new ControlBar();

    // Content should is a Type of UserControl.
    controlBar.Content = _userControl.GetType();

    controlBar.PositionMode = PositionMode.Floating;

    // Only take effect when Position Mode is Dock.
    // controlBar.DockPosition = ContentAlignment.MiddleCenter;
    // controlBar.Margin = new System.Windows.Forms.Padding();

    // Only take effect when Position is Fix or Flowing.
    controlBar.Position = new Point(20, 20);

    controlBar.Opacity = 1d;
    controlBar.TransparentBackground = true;

    _gcZoom1.ControlBars.Add(controlBar);
}


ControlBar.Opacity プロパティ (GrapeCity.Win.MultiTouch)

ControlBar.Opacity プロパティ

ControlBar ウィンドウの不透明度を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Opacity As Double

public double Opacity { get; set; }

プロパティ値

System.Double型

ControlBar ウィンドウの不透明度の割合を表す Double 値。デフォルトは 0.5 です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ControlBar クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub AddControlBar()
    Dim controlBar As New ControlBar()

    ' Content should is a Type of UserControl.
    controlBar.Content = _userControl.[GetType]()

    controlBar.PositionMode = PositionMode.Floating

    ' Only take effect when Position Mode is Dock.
    ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
    ' controlBar.Margin = new System.Windows.Forms.Padding();

    ' Only take effect when Position is Fix or Flowing.
    controlBar.Position = New Point(20, 20)

    controlBar.Opacity = 1.0
    controlBar.TransparentBackground = True

    _gcZoom1.ControlBars.Add(controlBar)
End Sub

private void AddControlBar()
{
    ControlBar controlBar = new ControlBar();

    // Content should is a Type of UserControl.
    controlBar.Content = _userControl.GetType();

    controlBar.PositionMode = PositionMode.Floating;

    // Only take effect when Position Mode is Dock.
    // controlBar.DockPosition = ContentAlignment.MiddleCenter;
    // controlBar.Margin = new System.Windows.Forms.Padding();

    // Only take effect when Position is Fix or Flowing.
    controlBar.Position = new Point(20, 20);

    controlBar.Opacity = 1d;
    controlBar.TransparentBackground = true;

    _gcZoom1.ControlBars.Add(controlBar);
}


ControlBar.Position プロパティ (GrapeCity.Win.MultiTouch)

ControlBar.Position プロパティ

オーナーフォームのクライアント座標で表された左上隅の位置を表す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Position As Point

public Point Position { get; set; }

プロパティ値

System.Drawing.Point型

ControlBar ウィンドウの位置（ピクセル単位）を表す Point 値。デフォルトは 0,0 です。

解説

このプロパティは、PositionMode プロパティの値が MultiTouch.PositionMode.Floating または MultiTouch.PositionMode.Fixed のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ControlBar クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub AddControlBar()
    Dim controlBar As New ControlBar()

    ' Content should is a Type of UserControl.
    controlBar.Content = _userControl.[GetType]()

    controlBar.PositionMode = PositionMode.Floating

    ' Only take effect when Position Mode is Dock.
    ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
    ' controlBar.Margin = new System.Windows.Forms.Padding();

    ' Only take effect when Position is Fix or Flowing.
    controlBar.Position = New Point(20, 20)

    controlBar.Opacity = 1.0
    controlBar.TransparentBackground = True

    _gcZoom1.ControlBars.Add(controlBar)
End Sub

private void AddControlBar()
{
    ControlBar controlBar = new ControlBar();

    // Content should is a Type of UserControl.
    controlBar.Content = _userControl.GetType();

    controlBar.PositionMode = PositionMode.Floating;

    // Only take effect when Position Mode is Dock.
    // controlBar.DockPosition = ContentAlignment.MiddleCenter;
    // controlBar.Margin = new System.Windows.Forms.Padding();

    // Only take effect when Position is Fix or Flowing.
    controlBar.Position = new Point(20, 20);

    controlBar.Opacity = 1d;
    controlBar.TransparentBackground = true;

    _gcZoom1.ControlBars.Add(controlBar);
}


ControlBar.PositionMode プロパティ (GrapeCity.Win.MultiTouch)

ControlBar.PositionMode プロパティ

ControlBar ウィンドウの配置モードを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property PositionMode As PositionMode

public PositionMode PositionMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.PositionMode型

PositionMode 値の 1 つ。デフォルトは MultiTouch.PositionMode.Dock です。

PositionModeの値 | 説明
0 - Dock | コントロールバーを親フォームにドッキングします。親フォームのサイズを変更すると、コントロールバーの位置が調整されます。
1 - Floating | ユーザーがプログラムコードまたは UI のドラッグ操作によってコントロールバーの位置を変更できます。
2 - Fixed | プログラムコードによってコントロールバーの位置を変更することは可能ですが、UI のドラッグ操作によって位置を変更することはできません。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ControlBar クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub AddControlBar()
    Dim controlBar As New ControlBar()

    ' Content should is a Type of UserControl.
    controlBar.Content = _userControl.[GetType]()

    controlBar.PositionMode = PositionMode.Floating

    ' Only take effect when Position Mode is Dock.
    ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
    ' controlBar.Margin = new System.Windows.Forms.Padding();

    ' Only take effect when Position is Fix or Flowing.
    controlBar.Position = New Point(20, 20)

    controlBar.Opacity = 1.0
    controlBar.TransparentBackground = True

    _gcZoom1.ControlBars.Add(controlBar)
End Sub

private void AddControlBar()
{
    ControlBar controlBar = new ControlBar();

    // Content should is a Type of UserControl.
    controlBar.Content = _userControl.GetType();

    controlBar.PositionMode = PositionMode.Floating;

    // Only take effect when Position Mode is Dock.
    // controlBar.DockPosition = ContentAlignment.MiddleCenter;
    // controlBar.Margin = new System.Windows.Forms.Padding();

    // Only take effect when Position is Fix or Flowing.
    controlBar.Position = new Point(20, 20);

    controlBar.Opacity = 1d;
    controlBar.TransparentBackground = true;

    _gcZoom1.ControlBars.Add(controlBar);
}


ControlBar.TransparencyKey プロパティ (GrapeCity.Win.MultiTouch)

ControlBar.TransparencyKey プロパティ

ControlBar ウィンドウの透明を表す色を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property TransparencyKey As Color

public Color TransparencyKey { get; set; }

プロパティ値

System.Drawing.Color型

ControlBar ウィンドウに描画されたときに透明になる Color 値。デフォルトは Fuchsia です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ControlBar クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub AddControlBar()
    Dim controlBar As New ControlBar()

    ' Content should is a Type of UserControl.
    controlBar.Content = _userControl.[GetType]()

    controlBar.PositionMode = PositionMode.Floating

    ' Only take effect when Position Mode is Dock.
    ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
    ' controlBar.Margin = new System.Windows.Forms.Padding();

    ' Only take effect when Position is Fix or Flowing.
    controlBar.Position = New Point(20, 20)

    controlBar.Opacity = 1.0
    controlBar.TransparentBackground = True

    _gcZoom1.ControlBars.Add(controlBar)
End Sub

private void AddControlBar()
{
    ControlBar controlBar = new ControlBar();

    // Content should is a Type of UserControl.
    controlBar.Content = _userControl.GetType();

    controlBar.PositionMode = PositionMode.Floating;

    // Only take effect when Position Mode is Dock.
    // controlBar.DockPosition = ContentAlignment.MiddleCenter;
    // controlBar.Margin = new System.Windows.Forms.Padding();

    // Only take effect when Position is Fix or Flowing.
    controlBar.Position = new Point(20, 20);

    controlBar.Opacity = 1d;
    controlBar.TransparentBackground = true;

    _gcZoom1.ControlBars.Add(controlBar);
}


ControlBar.TransparentBackground プロパティ (GrapeCity.Win.MultiTouch)

ControlBar.TransparentBackground プロパティ

ControlBar ウィンドウが透明かどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property TransparentBackground As Boolean

public bool TransparentBackground { get; set; }

プロパティ値

System.Boolean型

ControlBar ウィンドウが透明な場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ControlBar クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub AddControlBar()
    Dim controlBar As New ControlBar()

    ' Content should is a Type of UserControl.
    controlBar.Content = _userControl.[GetType]()

    controlBar.PositionMode = PositionMode.Floating

    ' Only take effect when Position Mode is Dock.
    ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
    ' controlBar.Margin = new System.Windows.Forms.Padding();

    ' Only take effect when Position is Fix or Flowing.
    controlBar.Position = New Point(20, 20)

    controlBar.Opacity = 1.0
    controlBar.TransparentBackground = True

    _gcZoom1.ControlBars.Add(controlBar)
End Sub

private void AddControlBar()
{
    ControlBar controlBar = new ControlBar();

    // Content should is a Type of UserControl.
    controlBar.Content = _userControl.GetType();

    controlBar.PositionMode = PositionMode.Floating;

    // Only take effect when Position Mode is Dock.
    // controlBar.DockPosition = ContentAlignment.MiddleCenter;
    // controlBar.Margin = new System.Windows.Forms.Padding();

    // Only take effect when Position is Fix or Flowing.
    controlBar.Position = new Point(20, 20);

    controlBar.Opacity = 1d;
    controlBar.TransparentBackground = true;

    _gcZoom1.ControlBars.Add(controlBar);
}


ControlBar メソッド

ControlBar メソッド

ControlBar クラスのメソッドは以下のとおりです。ControlBar クラスの完全なメンバ一覧については、 ControlBarメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Dispose | アンマネージリソースを解放します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ControlBar.Dispose メソッド (GrapeCity.Win.MultiTouch)

ControlBar.Dispose メソッド

アンマネージリソースを解放します。

構文
VB
C#
クリップボードにコピー
Public Sub Dispose() _
    Implements IDisposable.Dispose

public void Dispose();

戻り値

なし


ControlBoundsZoomingEventArgs クラス

ControlBoundsZoomingEventArgs クラス

GcZoom クラスの ControlBoundsZooming イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.ControlBoundsZoomingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ControlBoundsZoomingEventArgs
    Inherits EventArgs

public class ControlBoundsZoomingEventArgs : EventArgs
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ControlBoundsZoomingEventArgs メンバ

ControlBoundsZoomingEventArgs メンバ

ControlBoundsZoomingEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | ChildrenHandled | 子コントロールのズームロジックがユーザーによって処理されるかどうかを示す値を取得または設定します。
パブリック プロパティ | Handled | この ControlBoundsZooming イベントがユーザーによって処理されるかどうかを示す値を取得または設定します。
パブリック プロパティ | TargetControl | ズームしようとしているターゲットコントロールを取得します。
パブリック プロパティ | ZoomBoundsInfo | 現在のズームアクションの情報を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ControlBoundsZoomingEventArgs プロパティ

ControlBoundsZoomingEventArgs プロパティ

ControlBoundsZoomingEventArgs クラスのプロパティは以下のとおりです。ControlBoundsZoomingEventArgs クラスの完全なメンバ一覧については、 ControlBoundsZoomingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | ChildrenHandled | 子コントロールのズームロジックがユーザーによって処理されるかどうかを示す値を取得または設定します。
パブリック プロパティ | Handled | この ControlBoundsZooming イベントがユーザーによって処理されるかどうかを示す値を取得または設定します。
パブリック プロパティ | TargetControl | ズームしようとしているターゲットコントロールを取得します。
パブリック プロパティ | ZoomBoundsInfo | 現在のズームアクションの情報を取得します。


ControlBoundsZoomingEventArgs.ChildrenHandled プロパティ (GrapeCity.Win.MultiTouch)

ControlBoundsZoomingEventArgs.ChildrenHandled プロパティ

子コントロールのズームロジックがユーザーによって処理されるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ChildrenHandled As Boolean

public bool ChildrenHandled { get; set; }

プロパティ値

System.Boolean型

子コントロールのズームロジックがユーザーによって処理される場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlBoundsZooming(sender As Object, e As ControlBoundsZoomingEventArgs)
    Dim info As ZoomBoundsInfo = e.ZoomBoundsInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFactor.ToString())
    Console.WriteLine(info.TargetFactor.ToString())

    ' For complex control, user may want to change the control's inner element's size.
    ' User can use ControlBoundsZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlBoundsZooming(object sender, ControlBoundsZoomingEventArgs e)
{
    ZoomBoundsInfo info = e.ZoomBoundsInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFactor.ToString());
    Console.WriteLine(info.TargetFactor.ToString());

    // For complex control, user may want to change the control's inner element's size.
    // User can use ControlBoundsZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlBoundsZoomingEventArgs.Handled プロパティ (GrapeCity.Win.MultiTouch)

ControlBoundsZoomingEventArgs.Handled プロパティ

この ControlBoundsZooming イベントがユーザーによって処理されるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Handled As Boolean

public bool Handled { get; set; }

プロパティ値

System.Boolean型

この ControlBoundsZooming イベントがユーザーによって処理される場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlBoundsZooming(sender As Object, e As ControlBoundsZoomingEventArgs)
    Dim info As ZoomBoundsInfo = e.ZoomBoundsInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFactor.ToString())
    Console.WriteLine(info.TargetFactor.ToString())

    ' For complex control, user may want to change the control's inner element's size.
    ' User can use ControlBoundsZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlBoundsZooming(object sender, ControlBoundsZoomingEventArgs e)
{
    ZoomBoundsInfo info = e.ZoomBoundsInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFactor.ToString());
    Console.WriteLine(info.TargetFactor.ToString());

    // For complex control, user may want to change the control's inner element's size.
    // User can use ControlBoundsZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlBoundsZoomingEventArgs.TargetControl プロパティ (GrapeCity.Win.MultiTouch)

ControlBoundsZoomingEventArgs.TargetControl プロパティ

ズームしようとしているターゲットコントロールを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property TargetControl As Control

public Control TargetControl { get; }

プロパティ値

System.Windows.Forms.Control型

ズームしようとしているターゲットコントロール。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlBoundsZooming(sender As Object, e As ControlBoundsZoomingEventArgs)
    Dim info As ZoomBoundsInfo = e.ZoomBoundsInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFactor.ToString())
    Console.WriteLine(info.TargetFactor.ToString())

    ' For complex control, user may want to change the control's inner element's size.
    ' User can use ControlBoundsZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlBoundsZooming(object sender, ControlBoundsZoomingEventArgs e)
{
    ZoomBoundsInfo info = e.ZoomBoundsInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFactor.ToString());
    Console.WriteLine(info.TargetFactor.ToString());

    // For complex control, user may want to change the control's inner element's size.
    // User can use ControlBoundsZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlBoundsZoomingEventArgs.ZoomBoundsInfo プロパティ (GrapeCity.Win.MultiTouch)

ControlBoundsZoomingEventArgs.ZoomBoundsInfo プロパティ

現在のズームアクションの情報を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomBoundsInfo As ZoomBoundsInfo

public ZoomBoundsInfo ZoomBoundsInfo { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ZoomBoundsInfo型

現在のズームアクションの情報。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlBoundsZooming(sender As Object, e As ControlBoundsZoomingEventArgs)
    Dim info As ZoomBoundsInfo = e.ZoomBoundsInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFactor.ToString())
    Console.WriteLine(info.TargetFactor.ToString())

    ' For complex control, user may want to change the control's inner element's size.
    ' User can use ControlBoundsZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlBoundsZooming(object sender, ControlBoundsZoomingEventArgs e)
{
    ZoomBoundsInfo info = e.ZoomBoundsInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFactor.ToString());
    Console.WriteLine(info.TargetFactor.ToString());

    // For complex control, user may want to change the control's inner element's size.
    // User can use ControlBoundsZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlFontZoomingEventArgs クラス

ControlFontZoomingEventArgs クラス

GcZoom クラスの ControlFontZooming イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.ControlFontZoomingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ControlFontZoomingEventArgs
    Inherits EventArgs

public class ControlFontZoomingEventArgs : EventArgs
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ControlFontZoomingEventArgs メンバ

ControlFontZoomingEventArgs メンバ

ControlFontZoomingEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | ChildrenHandled | 子コントロールのズームロジックがユーザーによって処理されるかどうかを示す値を取得または設定します。
パブリック プロパティ | Handled | この ControlFontZooming イベントがユーザーによって処理されるかどうかを示す値を取得または設定します。
パブリック プロパティ | TargetControl | ズームしようとしているターゲットコントロールを取得します。
パブリック プロパティ | ZoomFontInfo | 現在のズームアクションの情報を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ControlFontZoomingEventArgs プロパティ

ControlFontZoomingEventArgs プロパティ

ControlFontZoomingEventArgs クラスのプロパティは以下のとおりです。ControlFontZoomingEventArgs クラスの完全なメンバ一覧については、 ControlFontZoomingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | ChildrenHandled | 子コントロールのズームロジックがユーザーによって処理されるかどうかを示す値を取得または設定します。
パブリック プロパティ | Handled | この ControlFontZooming イベントがユーザーによって処理されるかどうかを示す値を取得または設定します。
パブリック プロパティ | TargetControl | ズームしようとしているターゲットコントロールを取得します。
パブリック プロパティ | ZoomFontInfo | 現在のズームアクションの情報を取得します。


ControlFontZoomingEventArgs.ChildrenHandled プロパティ (GrapeCity.Win.MultiTouch)

ControlFontZoomingEventArgs.ChildrenHandled プロパティ

子コントロールのズームロジックがユーザーによって処理されるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ChildrenHandled As Boolean

public bool ChildrenHandled { get; set; }

プロパティ値

System.Boolean型

子コントロールのズームロジックがユーザーによって処理される場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlFontZooming(sender As Object, e As ControlFontZoomingEventArgs)
    Dim info As ZoomFontInfo = e.ZoomFontInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFontSize.ToString())

    ' For complex control, user may want to change the control's inner element's font.
    ' User can use ControlFontZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        e.TargetControl.Font = New Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize)

        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlFontZooming(object sender, ControlFontZoomingEventArgs e)
{
    ZoomFontInfo info = e.ZoomFontInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFontSize.ToString());

    // For complex control, user may want to change the control's inner element's font.
    // User can use ControlFontZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        e.TargetControl.Font = new Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize);

        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlFontZoomingEventArgs.Handled プロパティ (GrapeCity.Win.MultiTouch)

ControlFontZoomingEventArgs.Handled プロパティ

この ControlFontZooming イベントがユーザーによって処理されるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Handled As Boolean

public bool Handled { get; set; }

プロパティ値

System.Boolean型

この ControlBoundsZooming イベントがユーザーによって処理される場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlFontZooming(sender As Object, e As ControlFontZoomingEventArgs)
    Dim info As ZoomFontInfo = e.ZoomFontInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFontSize.ToString())

    ' For complex control, user may want to change the control's inner element's font.
    ' User can use ControlFontZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        e.TargetControl.Font = New Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize)

        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlFontZooming(object sender, ControlFontZoomingEventArgs e)
{
    ZoomFontInfo info = e.ZoomFontInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFontSize.ToString());

    // For complex control, user may want to change the control's inner element's font.
    // User can use ControlFontZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        e.TargetControl.Font = new Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize);

        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlFontZoomingEventArgs.TargetControl プロパティ (GrapeCity.Win.MultiTouch)

ControlFontZoomingEventArgs.TargetControl プロパティ

ズームしようとしているターゲットコントロールを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property TargetControl As Control

public Control TargetControl { get; }

プロパティ値

System.Windows.Forms.Control型

ズームしようとしているターゲットコントロール。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlFontZooming(sender As Object, e As ControlFontZoomingEventArgs)
    Dim info As ZoomFontInfo = e.ZoomFontInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFontSize.ToString())

    ' For complex control, user may want to change the control's inner element's font.
    ' User can use ControlFontZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        e.TargetControl.Font = New Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize)

        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlFontZooming(object sender, ControlFontZoomingEventArgs e)
{
    ZoomFontInfo info = e.ZoomFontInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFontSize.ToString());

    // For complex control, user may want to change the control's inner element's font.
    // User can use ControlFontZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        e.TargetControl.Font = new Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize);

        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlFontZoomingEventArgs.ZoomFontInfo プロパティ (GrapeCity.Win.MultiTouch)

ControlFontZoomingEventArgs.ZoomFontInfo プロパティ

現在のズームアクションの情報を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomFontInfo As ZoomFontInfo

public ZoomFontInfo ZoomFontInfo { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ZoomFontInfo型

現在のズームアクションの情報。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlFontZooming(sender As Object, e As ControlFontZoomingEventArgs)
    Dim info As ZoomFontInfo = e.ZoomFontInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFontSize.ToString())

    ' For complex control, user may want to change the control's inner element's font.
    ' User can use ControlFontZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        e.TargetControl.Font = New Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize)

        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlFontZooming(object sender, ControlFontZoomingEventArgs e)
{
    ZoomFontInfo info = e.ZoomFontInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFontSize.ToString());

    // For complex control, user may want to change the control's inner element's font.
    // User can use ControlFontZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        e.TargetControl.Font = new Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize);

        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlZoomPolicy クラス

ControlZoomPolicy クラス

コントロールの基本ズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.ComboBoxZoomPolicy
GrapeCity.Win.MultiTouch.FlowLayoutPanelZoomPolicy
GrapeCity.Win.MultiTouch.ListBoxZoomPolicy
GrapeCity.Win.MultiTouch.MonthCalendarZoomPolicy
GrapeCity.Win.MultiTouch.PictureBoxZoomPolicy
GrapeCity.Win.MultiTouch.PropertyGridZoomPolicy
GrapeCity.Win.MultiTouch.SplitContainerZoomPolicy
GrapeCity.Win.MultiTouch.TableLayoutPanelZoomPolicy
GrapeCity.Win.MultiTouch.TreeViewZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ControlZoomPolicy
    Inherits ZoomPolicy

public class ControlZoomPolicy : ZoomPolicy
解説

このズームポリシーは、"ZoomFactor" という名前（大文字と小文字の違いは無視される）の浮動小数点または倍精度小数点数型のパブリックプロパティを探します。そのようなプロパティが見つかった場合は、その値を GcZoom.ZoomFactor または GcZoomPanel.ZoomFactor に設定しようとします。

コントロールに "ZoomFactor" プロパティがある場合、このズームポリシーは他のズーム操作を実行せず、CanZoomChildren も false を返します。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ControlZoomPolicy メンバ

ControlZoomPolicy メンバ

ControlZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
ControlZoomPolicy | ControlZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


ControlZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

ControlZoomPolicy コンストラクタ

ControlZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public ControlZoomPolicy();

戻り値

なし


ControlZoomPolicy プロパティ

ControlZoomPolicy プロパティ

ControlZoomPolicy クラスのプロパティは以下のとおりです。ControlZoomPolicy クラスの完全なメンバ一覧については、 ControlZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


ControlZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

ControlZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


ControlZoomPolicy メソッド

ControlZoomPolicy メソッド

ControlZoomPolicy クラスのメソッドは以下のとおりです。ControlZoomPolicy クラスの完全なメンバ一覧については、 ControlZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


ControlZoomPolicy.CanZoomChildren メソッド (GrapeCity.Win.MultiTouch)

ControlZoomPolicy.CanZoomChildren メソッド

子コントロールをズームできるかどうかを返します。

構文
VB
C#
クリップボードにコピー
Public Overrides Function CanZoomChildren( _
   ByVal control As Control _
) As Boolean

public override bool CanZoomChildren(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

System.Boolean 型

子コントロールをズームできる場合は true。それ以外の場合は false。

解説

詳細については、ControlZoomPolicy を参照してください。


ControlZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

ControlZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

詳細については、ControlZoomPolicy を参照してください。


ControlZoomPolicy.ZoomFont メソッド (GrapeCity.Win.MultiTouch)

ControlZoomPolicy.ZoomFont メソッド

コントロールのフォントをズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomFont( _
   ByVal control As Control, _
   ByVal infos As ZoomFontInfo _
)

public override void ZoomFont(
   Control control,
   ZoomFontInfo infos
);

パラメータ

control
指定したコントロール。
infos
フォントのズームを支援するために GcZoom によって提供される ZoomFontInfo 型の情報。

戻り値

なし
解説

詳細については、ControlZoomPolicy を参照してください。


DataGridViewZoomPolicy クラス

DataGridViewZoomPolicy クラス

DataGridView 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.DataGridViewZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class DataGridViewZoomPolicy
    Inherits ZoomPolicy

public class DataGridViewZoomPolicy : ZoomPolicy
解説

このズームポリシーは、すべてのフォント、行の高さ、列の幅をズームしようとします。

DataGridView の行数または列数が多い場合、すべてのセルのフォント、行の高さ、または列の幅を変更する処理によってパフォーマンスの問題が生じることがあります。このプロパティの値を false に変更することで、パフォーマンスの問題を解決できます。

使用例

以下のサンプルコードは、DataGridViewZoomPolicy クラスの使用方法を示します。

このコードを既存の Windows Forms アプリケーションにコピーし、サンプルコード内のフォームを開始フォームとして設定します。

このコードの実行時にライセンスエラーが発生した場合は、GcZoom コンポーネントをツールボックスから任意のフォームにドラッグしてみてください。そうすると、ライセンス情報をこのプロジェクトに生成できます。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class DataGridViewZoomPolicyDemo
        Inherits Form
        Private _dataGridView As DataGridView
        Private _enableCheckBox As CheckBox
        Private _fontCheckBox As CheckBox
        Private _columnWidthCheckBox As CheckBox
        Private _rowHeightCheckBox As CheckBox
        Private _targetTypeTextBox As TextBox
        Private _defaultZoomPolicyListBox As ListBox

        Private _gcZoom1 As New GcZoom()
        Private _zoomPolicy As New DataGridViewZoomPolicy()

        Public Sub New()
            InitializeComponent()

            ' DataGridView control should to change default font
            _dataGridView.ColumnHeadersDefaultCellStyle.Font = New Font(Me.Font.FontFamily, Me.Font.Size)
            _dataGridView.RowsDefaultCellStyle.Font = New Font(Me.Font.FontFamily, Me.Font.Size)

            _gcZoom1.Target = Me

            ' Set DataGridView's ZoomPolicy object
            _gcZoom1.ZoomPolicies.Add(_zoomPolicy)

            GetTargetType()
            GetDefaultZoomPolicy()

            AddHandler _enableCheckBox.CheckedChanged, AddressOf _enableCheckBox_CheckedChanged
            AddHandler _fontCheckBox.CheckedChanged, AddressOf _fontCheckBox_CheckedChanged
            AddHandler _columnWidthCheckBox.CheckedChanged, AddressOf _columnWidthCheckBox_CheckedChanged
            AddHandler _rowHeightCheckBox.CheckedChanged, AddressOf _rowHeightCheckBox_CheckedChanged
        End Sub

        Private Sub GetTargetType()
            _targetTypeTextBox.Text = _zoomPolicy.TargetType.Name
        End Sub

        Private Sub GetDefaultZoomPolicy()
            ' Get GcZoom component build in zoompolicy of all
            For Each item As ZoomPolicy In _gcZoom1.DefaultZoomPolicies
                _defaultZoomPolicyListBox.Items.Add(item.ToString())
            Next
        End Sub

        Private Sub _enableCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.ZoomFactor = 1.0F
            _zoomPolicy.Enabled = _enableCheckBox.Checked

            _fontCheckBox.Enabled = _enableCheckBox.Checked
            _columnWidthCheckBox.Enabled = _enableCheckBox.Checked
            _rowHeightCheckBox.Enabled = _enableCheckBox.Checked
        End Sub

        Private Sub _fontCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.ZoomFactor = 1.0F
            _zoomPolicy.ZoomCellStyleFont = _fontCheckBox.Checked
        End Sub

        Private Sub _columnWidthCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.ZoomFactor = 1.0F
            _zoomPolicy.ZoomColumnWidth = _columnWidthCheckBox.Checked
        End Sub

        Private Sub _rowHeightCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.ZoomFactor = 1.0F
            _zoomPolicy.ZoomRowHeight = _rowHeightCheckBox.Checked
        End Sub

        Private Sub InitializeComponent()
            _dataGridView = New DataGridView()
            _dataGridView.Location = New Point(20, 20)
            _dataGridView.Size = New Size(400, 500)

            Dim column1 As New DataGridViewColumn()
            column1.CellTemplate = New DataGridViewTextBoxCell()
            column1.HeaderText = "Column 1"
            _dataGridView.Columns.Add(column1)

            Dim column2 As New DataGridViewColumn()
            column2.CellTemplate = New DataGridViewTextBoxCell()
            column2.HeaderText = "Column 2"
            _dataGridView.Columns.Add(column2)

            Dim column3 As New DataGridViewColumn()
            column3.CellTemplate = New DataGridViewTextBoxCell()
            column3.HeaderText = "Column 3"
            _dataGridView.Columns.Add(column3)

            _enableCheckBox = New CheckBox()
            _enableCheckBox.Text = "Enabled"
            _enableCheckBox.Size = New Size(120, 20)
            _enableCheckBox.Location = New Point(450, 20)
            _enableCheckBox.Checked = True

            _fontCheckBox = New CheckBox()
            _fontCheckBox.Text = "ZoomCellStyleFont"
            _fontCheckBox.Size = New Size(120, 20)
            _fontCheckBox.Location = New Point(450, 50)
            _fontCheckBox.Checked = True

            _columnWidthCheckBox = New CheckBox()
            _columnWidthCheckBox.Text = "ZoomColumnWidth"
            _columnWidthCheckBox.Size = New Size(120, 20)
            _columnWidthCheckBox.Location = New Point(450, 80)
            _columnWidthCheckBox.Checked = True

            _rowHeightCheckBox = New CheckBox()
            _rowHeightCheckBox.Text = "ZoomRowHeight"
            _rowHeightCheckBox.Size = New Size(120, 20)
            _rowHeightCheckBox.Location = New Point(450, 110)
            _rowHeightCheckBox.Checked = True

            _targetTypeTextBox = New TextBox()
            _targetTypeTextBox.[ReadOnly] = True
            _targetTypeTextBox.Size = New Size(120, 20)
            _targetTypeTextBox.Location = New Point(450, 140)

            _defaultZoomPolicyListBox = New ListBox()
            _defaultZoomPolicyListBox.Size = New Size(300, 200)
            _defaultZoomPolicyListBox.Location = New Point(450, 170)

            Me.Controls.Add(_dataGridView)
            Me.Controls.Add(_enableCheckBox)
            Me.Controls.Add(_fontCheckBox)
            Me.Controls.Add(_columnWidthCheckBox)
            Me.Controls.Add(_rowHeightCheckBox)
            Me.Controls.Add(_targetTypeTextBox)
            Me.Controls.Add(_defaultZoomPolicyListBox)
            Me.Size = New Size(800, 600)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class DataGridViewZoomPolicyDemo : Form
    {
        private DataGridView _dataGridView;
        private CheckBox _enableCheckBox;
        private CheckBox _fontCheckBox;
        private CheckBox _columnWidthCheckBox;
        private CheckBox _rowHeightCheckBox;
        private TextBox _targetTypeTextBox;
        private ListBox _defaultZoomPolicyListBox;

        private GcZoom _gcZoom1 = new GcZoom();
        private DataGridViewZoomPolicy _zoomPolicy = new DataGridViewZoomPolicy();

        public DataGridViewZoomPolicyDemo()
        {
            InitializeComponent();

            // DataGridView control should to change default font
            _dataGridView.ColumnHeadersDefaultCellStyle.Font = new Font(this.Font.FontFamily, this.Font.Size);
            _dataGridView.RowsDefaultCellStyle.Font = new Font(this.Font.FontFamily, this.Font.Size);

            _gcZoom1.Target = this;

            // Set DataGridView's ZoomPolicy object
            _gcZoom1.ZoomPolicies.Add(_zoomPolicy);

            GetTargetType();
            GetDefaultZoomPolicy();

            _enableCheckBox.CheckedChanged += _enableCheckBox_CheckedChanged;
            _fontCheckBox.CheckedChanged += _fontCheckBox_CheckedChanged;
            _columnWidthCheckBox.CheckedChanged += _columnWidthCheckBox_CheckedChanged;
            _rowHeightCheckBox.CheckedChanged += _rowHeightCheckBox_CheckedChanged;
        }

        void GetTargetType()
        {
            _targetTypeTextBox.Text = _zoomPolicy.TargetType.Name;
        }

        void GetDefaultZoomPolicy()
        {
            // Get GcZoom component build in zoompolicy of all
            foreach (ZoomPolicy item in _gcZoom1.DefaultZoomPolicies)
            {
                _defaultZoomPolicyListBox.Items.Add(item.ToString());
            }
        }

        void _enableCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.ZoomFactor = 1f;
            _zoomPolicy.Enabled = _enableCheckBox.Checked;

            _fontCheckBox.Enabled = _enableCheckBox.Checked;
            _columnWidthCheckBox.Enabled = _enableCheckBox.Checked;
            _rowHeightCheckBox.Enabled = _enableCheckBox.Checked;
        }

        void _fontCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.ZoomFactor = 1f;
            _zoomPolicy.ZoomCellStyleFont = _fontCheckBox.Checked;
        }

        void _columnWidthCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.ZoomFactor = 1f;
            _zoomPolicy.ZoomColumnWidth = _columnWidthCheckBox.Checked;
        }

        void _rowHeightCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.ZoomFactor = 1f;
            _zoomPolicy.ZoomRowHeight = _rowHeightCheckBox.Checked;
        }

        private void InitializeComponent()
        {
            _dataGridView = new DataGridView();
            _dataGridView.Location = new Point(20, 20);
            _dataGridView.Size = new Size(400, 500);

            DataGridViewColumn column1 = new DataGridViewColumn();
            column1.CellTemplate = new DataGridViewTextBoxCell();
            column1.HeaderText = "Column 1";
            _dataGridView.Columns.Add(column1);

            DataGridViewColumn column2 = new DataGridViewColumn();
            column2.CellTemplate = new DataGridViewTextBoxCell();
            column2.HeaderText = "Column 2";
            _dataGridView.Columns.Add(column2);

            DataGridViewColumn column3 = new DataGridViewColumn();
            column3.CellTemplate = new DataGridViewTextBoxCell();
            column3.HeaderText = "Column 3";
            _dataGridView.Columns.Add(column3);

            _enableCheckBox = new CheckBox();
            _enableCheckBox.Text = "Enabled";
            _enableCheckBox.Size = new Size(120, 20);
            _enableCheckBox.Location = new Point(450, 20);
            _enableCheckBox.Checked = true;

            _fontCheckBox = new CheckBox();
            _fontCheckBox.Text = "ZoomCellStyleFont";
            _fontCheckBox.Size = new Size(120, 20);
            _fontCheckBox.Location = new Point(450, 50);
            _fontCheckBox.Checked = true;

            _columnWidthCheckBox = new CheckBox();
            _columnWidthCheckBox.Text = "ZoomColumnWidth";
            _columnWidthCheckBox.Size = new Size(120, 20);
            _columnWidthCheckBox.Location = new Point(450, 80);
            _columnWidthCheckBox.Checked = true;

            _rowHeightCheckBox = new CheckBox();
            _rowHeightCheckBox.Text = "ZoomRowHeight";
            _rowHeightCheckBox.Size = new Size(120, 20);
            _rowHeightCheckBox.Location = new Point(450, 110);
            _rowHeightCheckBox.Checked = true;

            _targetTypeTextBox = new TextBox();
            _targetTypeTextBox.ReadOnly = true;
            _targetTypeTextBox.Size = new Size(120, 20);
            _targetTypeTextBox.Location = new Point(450, 140);

            _defaultZoomPolicyListBox = new ListBox();
            _defaultZoomPolicyListBox.Size = new Size(300, 200);
            _defaultZoomPolicyListBox.Location = new Point(450, 170);

            this.Controls.Add(_dataGridView);
            this.Controls.Add(_enableCheckBox);
            this.Controls.Add(_fontCheckBox);
            this.Controls.Add(_columnWidthCheckBox);
            this.Controls.Add(_rowHeightCheckBox);
            this.Controls.Add(_targetTypeTextBox);
            this.Controls.Add(_defaultZoomPolicyListBox);
            this.Size = new Size(800, 600);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


DataGridViewZoomPolicy メンバ

DataGridViewZoomPolicy メンバ

DataGridViewZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
DataGridViewZoomPolicy | DataGridViewZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
パブリック プロパティ | ZoomCellStyleFont | セルスタイルのフォントをズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | ZoomColumnWidth | 列の幅をサイズ変更するかどうかを示す値を取得または設定します。
パブリック プロパティ | ZoomRowHeight | 行の高さをサイズ変更するかどうかを示す値を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


DataGridViewZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

DataGridViewZoomPolicy コンストラクタ

DataGridViewZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public DataGridViewZoomPolicy();

戻り値

なし


DataGridViewZoomPolicy プロパティ

DataGridViewZoomPolicy プロパティ

DataGridViewZoomPolicy クラスのプロパティは以下のとおりです。DataGridViewZoomPolicy クラスの完全なメンバ一覧については、 DataGridViewZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
パブリック プロパティ | ZoomCellStyleFont | セルスタイルのフォントをズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | ZoomColumnWidth | 列の幅をサイズ変更するかどうかを示す値を取得または設定します。
パブリック プロパティ | ZoomRowHeight | 行の高さをサイズ変更するかどうかを示す値を取得または設定します。


DataGridViewZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

DataGridViewZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub GetTargetType()
    _targetTypeTextBox.Text = _zoomPolicy.TargetType.Name
End Sub

void GetTargetType()
{
    _targetTypeTextBox.Text = _zoomPolicy.TargetType.Name;
}


DataGridViewZoomPolicy.ZoomCellStyleFont プロパティ (GrapeCity.Win.MultiTouch)

DataGridViewZoomPolicy.ZoomCellStyleFont プロパティ

セルスタイルのフォントをズームするかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomCellStyleFont As Boolean

public bool ZoomCellStyleFont { get; set; }

プロパティ値

System.Boolean型

セルスタイルのフォントをズームする場合は true。それ以外の場合は false。デフォルトは true です。

解説

このプロパティを true に設定した場合、DataGridView の AlternatingRowsDefaultCellStyle、ColumnHeadersDefaultCellStyle、DefaultCellStyle、RowHeadersDefaultCellStyle、RowsDefaultCellStyle の各プロパティのフォントプロパティが変更され、すべての行/列/セルのフォントが変更されます。

パフォーマンスの問題を解決する場合は、DataGridViewZoomPolicy を参照してください。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _fontCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.ZoomFactor = 1.0F
    _zoomPolicy.ZoomCellStyleFont = _fontCheckBox.Checked
End Sub

void _fontCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.ZoomFactor = 1f;
    _zoomPolicy.ZoomCellStyleFont = _fontCheckBox.Checked;
}


DataGridViewZoomPolicy.ZoomColumnWidth プロパティ (GrapeCity.Win.MultiTouch)

DataGridViewZoomPolicy.ZoomColumnWidth プロパティ

列の幅をサイズ変更するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomColumnWidth As Boolean

public bool ZoomColumnWidth { get; set; }

プロパティ値

System.Boolean型

列の幅をサイズ変更する場合は true。それ以外の場合は false。

解説

パフォーマンスの問題を解決する場合は、DataGridViewZoomPolicy を参照してください。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _columnWidthCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.ZoomFactor = 1.0F
    _zoomPolicy.ZoomColumnWidth = _columnWidthCheckBox.Checked
End Sub

void _columnWidthCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.ZoomFactor = 1f;
    _zoomPolicy.ZoomColumnWidth = _columnWidthCheckBox.Checked;
}


DataGridViewZoomPolicy.ZoomRowHeight プロパティ (GrapeCity.Win.MultiTouch)

DataGridViewZoomPolicy.ZoomRowHeight プロパティ

行の高さをサイズ変更するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomRowHeight As Boolean

public bool ZoomRowHeight { get; set; }

プロパティ値

System.Boolean型

行の高さをサイズ変更する場合は true。それ以外の場合は false。

解説

パフォーマンスの問題を解決する場合は、DataGridViewZoomPolicy を参照してください。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _rowHeightCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.ZoomFactor = 1.0F
    _zoomPolicy.ZoomRowHeight = _rowHeightCheckBox.Checked
End Sub

void _rowHeightCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.ZoomFactor = 1f;
    _zoomPolicy.ZoomRowHeight = _rowHeightCheckBox.Checked;
}


DataGridViewZoomPolicy メソッド

DataGridViewZoomPolicy メソッド

DataGridViewZoomPolicy クラスのメソッドは以下のとおりです。DataGridViewZoomPolicy クラスの完全なメンバ一覧については、 DataGridViewZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


DataGridViewZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

DataGridViewZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし


DataGridViewZoomPolicy.ZoomFont メソッド (GrapeCity.Win.MultiTouch)

DataGridViewZoomPolicy.ZoomFont メソッド

コントロールのフォントをズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomFont( _
   ByVal control As Control, _
   ByVal infos As ZoomFontInfo _
)

public override void ZoomFont(
   Control control,
   ZoomFontInfo infos
);

パラメータ

control
指定したコントロール。
infos
フォントのズームを支援するために GcZoom によって提供される ZoomFontInfo 型の情報。

戻り値

なし


DoubleTappedEventArgs クラス

DoubleTappedEventArgs クラス

DoubleTapped イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.DoubleTappedEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class DoubleTappedEventArgs
    Inherits TouchRoutedEventArgs

public class DoubleTappedEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、DoubleTappedEventArgs クラスの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_DoubleTapped(sender As Object, e As DoubleTappedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: DoubleTapped" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_DoubleTapped(object sender, DoubleTappedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: DoubleTapped" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


DoubleTappedEventArgs メンバ

DoubleTappedEventArgs メンバ

DoubleTappedEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | 対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | ポインタ位置の x および y 座標（コントロール座標）を返します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


DoubleTappedEventArgs プロパティ

DoubleTappedEventArgs プロパティ

DoubleTappedEventArgs クラスのプロパティは以下のとおりです。DoubleTappedEventArgs クラスの完全なメンバ一覧については、 DoubleTappedEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | 対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | ポインタ位置の x および y 座標（コントロール座標）を返します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)


DoubleTappedEventArgs.PointerDeviceType プロパティ (GrapeCity.Win.MultiTouch)

DoubleTappedEventArgs.PointerDeviceType プロパティ

対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public Property PointerDeviceType As PointerDeviceType

public PointerDeviceType PointerDeviceType { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

PointerDeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


DoubleTappedEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

DoubleTappedEventArgs.Position プロパティ

ポインタ位置の x および y 座標（コントロール座標）を返します。

構文
VB
C#
クリップボードにコピー
Public Property Position As Point

public Point Position { get; set; }

プロパティ値

System.Drawing.Point型

ポインタ位置の x および y 座標（コントロール座標）。


FlowLayoutPanelZoomPolicy クラス

FlowLayoutPanelZoomPolicy クラス

FlowLayoutPanel 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.FlowLayoutPanelZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class FlowLayoutPanelZoomPolicy
    Inherits ControlZoomPolicy

public class FlowLayoutPanelZoomPolicy : ControlZoomPolicy
解説

ズーム後も FlowLayoutPanel のレイアウトを維持するため、このズームポリシーは Initialize メソッド内で SuspendLayout メソッドを呼び出し、Terminate メソッド内で ResumeLayout メソッドを呼び出します。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


FlowLayoutPanelZoomPolicy メンバ

FlowLayoutPanelZoomPolicy メンバ

FlowLayoutPanelZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
FlowLayoutPanelZoomPolicy | FlowLayoutPanelZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。 (ControlZoomPolicy から継承されます)
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


FlowLayoutPanelZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

FlowLayoutPanelZoomPolicy コンストラクタ

FlowLayoutPanelZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public FlowLayoutPanelZoomPolicy();

戻り値

なし


FlowLayoutPanelZoomPolicy プロパティ

FlowLayoutPanelZoomPolicy プロパティ

FlowLayoutPanelZoomPolicy クラスのプロパティは以下のとおりです。FlowLayoutPanelZoomPolicy クラスの完全なメンバ一覧については、 FlowLayoutPanelZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


FlowLayoutPanelZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

FlowLayoutPanelZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


FlowLayoutPanelZoomPolicy メソッド

FlowLayoutPanelZoomPolicy メソッド

FlowLayoutPanelZoomPolicy クラスのメソッドは以下のとおりです。FlowLayoutPanelZoomPolicy クラスの完全なメンバ一覧については、 FlowLayoutPanelZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。 (ControlZoomPolicy から継承されます)
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


FlowLayoutPanelZoomPolicy.Initialize メソッド (GrapeCity.Win.MultiTouch)

FlowLayoutPanelZoomPolicy.Initialize メソッド

ズームアクションが開始する前にコントロールを初期化します。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Initialize( _
   ByVal control As Control _
)

public override void Initialize(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

このメソッドは、コントロールがズームされる前に呼び出されます。コントロールの中には、親コントロールが変更されたときに境界/フォントが変更されるものがあります。ユーザーは親を変更する前にこのメソッドでオリジナルの境界/フォントをキャッシュできます。そして、ZoomBounds および ZoomFont メソッドでこのキャッシュされた値を使用します。

詳細については、FlowLayoutPanelZoomPolicy を参照してください。


FlowLayoutPanelZoomPolicy.Terminate メソッド (GrapeCity.Win.MultiTouch)

FlowLayoutPanelZoomPolicy.Terminate メソッド

ズームアクションが完了した後にコントロールの終了処理を行います。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Terminate( _
   ByVal control As Control _
)

public override void Terminate(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

すべてのキャッシュをクリアし、Initialize メソッドで設定された個別の設定を復元します。

詳細については、FlowLayoutPanelZoomPolicy を参照してください。

注意に関するメモ 注意

このメソッドは、コントロールがズームされた後に呼び出されます。


FullScreenMode 列挙体

FullScreenMode 列挙体

フォームウィンドウをフルスクリーンモードで表示する方法を指定します。

構文
VB
C#
クリップボードにコピー
Public Enum FullScreenMode

public enum FullScreenMode
メンバ
メンバ名 | 説明
0 - None | フォームはフルスクリーンではありません。
1 - FullScreen | フォームはフルスクリーンで、タスクバーも表示されません。
2 - FullScreenWithTaskBar | フォームはフルスクリーンですが、タスクバーは引き続き表示されます。
参照
GrapeCity.Win.MultiTouch 名前空間


GcApplicationZoom クラス

GcApplicationZoom クラス

任意の既存フォームにアタッチすることで、現在のアプリケーション内のすべてのフォームを 2 本指のタッチでズームできるようにするコンポーネントを表します。

継承階層
System.Object
System.MarshalByRefObject
System.ComponentModel.Component
GrapeCity.Win.MultiTouch.GcApplicationZoom

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcApplicationZoom
    Inherits Component

public class GcApplicationZoom : Component
解説

GcApplicationZoom は、現在のアプリケーションに含まれるすべてのフォームを検索し、見つかったフォームに GcZoom コンポーネントをアタッチします。アタッチする前に、GcApplicationZoom はその固有の設定によって GcZoom の設定を初期化します。その後で、GcZoomAttaching イベントと GcZoomAttached イベントを発生させます。ユーザーはこのイベントのイベントハンドラで初期値を変更できます。また、GcZoomAttachingEventArgs の Cancel プロパティを true に設定することにより、GcZoomAttaching イベントでアタッチをキャンセルすることもできます。

フォームにすでに GcZoom がアタッチされている場合、GcApplicationZoom は GcZoom を再度アタッチしません。

GcApplicationZoom は、ツールチップ、コンテキストメニュー、コモンダイアログにジェスチャズーム機能を与えることはできません。

使用例

以下のサンプルコードは、GcApplicationZoom コンポーネントの使用方法を示します。

このコードを既存の Windows Forms アプリケーションにコピーし、サンプルコード内のフォームを開始フォームとして設定します。

このコードの実行時にライセンスエラーが発生した場合は、GcApplicationZoom コンポーネントをツールボックスから任意のフォームにドラッグしてみてください。そうすると、ライセンス情報をこのプロジェクトに生成できます。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcApplicationZoomDemo
        Inherits Form
        Private _showFormButton As Button
        Private _showForm2Button As Button
        Private _gcApplicationZoom As GcApplicationZoom

        Public Sub New()
            InitializeComponent()

            AddHandler _showFormButton.Click, AddressOf _showFormButton_Click
            AddHandler _showForm2Button.Click, AddressOf _showForm2Button_Click
            AddHandler _gcApplicationZoom.GcZoomAttaching, AddressOf _gcApplicationZoom_GcZoomAttaching
            AddHandler _gcApplicationZoom.GcZoomAttached, AddressOf _gcApplicationZoom_GcZoomAttached
            AddHandler _gcApplicationZoom.GcZoomDetached, AddressOf _gcApplicationZoom_GcZoomDetached
        End Sub

        Private Sub _gcApplicationZoom_GcZoomAttaching(sender As Object, e As GcZoomAttachingEventArgs)
            ' May be some forms should not be zoom.
            If TypeOf e.Form Is NormalForm Then
                e.Cancel = True
            Else
                e.GcZoom.AutoShowControl = True
            End If
        End Sub

        Private Sub _gcApplicationZoom_GcZoomAttached(sender As Object, e As GcZoomAttachedEventArgs)
            ' If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
            ' GcZoomAttaching or GcZoomAttached event.
            e.GcZoom.MaxZoomFactor = 4.0F

            If TypeOf e.Form Is ZoomForm Then
                AddHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
            End If
        End Sub

        Private Sub _gcApplicationZoom_GcZoomDetached(sender As Object, e As GcZoomDetachedEventArgs)
            If TypeOf e.Form Is ZoomForm Then
                RemoveHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
            End If
        End Sub

        Private Sub _showFormButton_Click(sender As Object, e As EventArgs)
            Dim form As Form = New ZoomForm()
            form.Show()
        End Sub

        Private Sub _showForm2Button_Click(sender As Object, e As EventArgs)
            Dim form As Form = New NormalForm()
            form.Show()
        End Sub

        Private Sub InitializeComponent()
            _gcApplicationZoom = New GcApplicationZoom()

            _showFormButton = New Button()
            _showFormButton.Text = "Click to open ZoomForm"
            _showFormButton.Location = New Point(20, 20)
            _showFormButton.Size = New Size(200, 40)

            _showForm2Button = New Button()
            _showForm2Button.Text = "Click to open NormalForm"
            _showForm2Button.Location = New Point(20, 80)
            _showForm2Button.Size = New Size(200, 40)

            Me.Controls.Add(_showFormButton)
            Me.Controls.Add(_showForm2Button)
            Me.Text = "GcApplicationZoomDemo"
            Me.Size = New Size(400, 300)
        End Sub
    End Class

    Friend Class ZoomForm
        Inherits Form
        Private _showFormButton As Button

        Public Sub New()
            InitializeComponent()

            AddHandler _showFormButton.Click, AddressOf _showFormButton_Click
        End Sub

        Public Sub ZoomFactorChangeProc(sender As Object, e As EventArgs)
            Console.WriteLine(GcApplicationZoom.GetGcZoom(Me).ZoomFactor.ToString())
        End Sub

        Private Sub _showFormButton_Click(sender As Object, e As EventArgs)
            Dim form As Form = New ZoomForm()
            form.Show()
        End Sub

        Private Sub InitializeComponent()
            _showFormButton = New Button()
            _showFormButton.Text = "Click to open a new form"
            _showFormButton.Location = New Point(20, 20)
            _showFormButton.Size = New Size(200, 40)

            Me.Controls.Add(_showFormButton)
            Me.Text = "ZoomForm"
        End Sub
    End Class

    Friend Class NormalForm
        Inherits Form
        Private _showFormButton As Button

        Public Sub New()
            InitializeComponent()

            AddHandler _showFormButton.Click, AddressOf _showFormButton_Click
        End Sub

        Private Sub _showFormButton_Click(sender As Object, e As EventArgs)
            Dim form As Form = New NormalForm()
            form.Show()
        End Sub

        Private Sub InitializeComponent()
            _showFormButton = New Button()
            _showFormButton.Text = "Click to open a new form"
            _showFormButton.Location = New Point(20, 20)
            _showFormButton.Size = New Size(200, 40)

            Me.Controls.Add(_showFormButton)
            Me.Text = "NormalForm"
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcApplicationZoomDemo : Form
    {
        private Button _showFormButton;
        private Button _showForm2Button;
        private GcApplicationZoom _gcApplicationZoom;

        public GcApplicationZoomDemo()
        {
            InitializeComponent();

            _showFormButton.Click += _showFormButton_Click;
            _showForm2Button.Click += _showForm2Button_Click;
            _gcApplicationZoom.GcZoomAttaching += _gcApplicationZoom_GcZoomAttaching;
            _gcApplicationZoom.GcZoomAttached += _gcApplicationZoom_GcZoomAttached;
            _gcApplicationZoom.GcZoomDetached += _gcApplicationZoom_GcZoomDetached;
        }

        void _gcApplicationZoom_GcZoomAttaching(object sender, GcZoomAttachingEventArgs e)
        {
            // May be some forms should not be zoom.
            if (e.Form is NormalForm)
            {
                e.Cancel = true;
            }
            else
            {
                e.GcZoom.AutoShowControl = true;
            }
        }

        void _gcApplicationZoom_GcZoomAttached(object sender, GcZoomAttachedEventArgs e)
        {
            // If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
            // GcZoomAttaching or GcZoomAttached event.
            e.GcZoom.MaxZoomFactor = 4f;

            if (e.Form is ZoomForm)
            {
                e.GcZoom.ZoomFactorChanged += (e.Form as ZoomForm).ZoomFactorChangeProc;
            }
        }

        void _gcApplicationZoom_GcZoomDetached(object sender, GcZoomDetachedEventArgs e)
        {
            if (e.Form is ZoomForm)
            {
                e.GcZoom.ZoomFactorChanged -= (e.Form as ZoomForm).ZoomFactorChangeProc;
            }
        }

        void _showFormButton_Click(object sender, EventArgs e)
        {
            Form form = new ZoomForm();
            form.Show();
        }

        void _showForm2Button_Click(object sender, EventArgs e)
        {
            Form form = new NormalForm();
            form.Show();
        }

        private void InitializeComponent()
        {
            _gcApplicationZoom = new GcApplicationZoom();

            _showFormButton = new Button();
            _showFormButton.Text = "Click to open ZoomForm";
            _showFormButton.Location = new Point(20, 20);
            _showFormButton.Size = new Size(200, 40);

            _showForm2Button = new Button();
            _showForm2Button.Text = "Click to open NormalForm";
            _showForm2Button.Location = new Point(20, 80);
            _showForm2Button.Size = new Size(200, 40);

            this.Controls.Add(_showFormButton);
            this.Controls.Add(_showForm2Button);
            this.Text = "GcApplicationZoomDemo";
            this.Size = new Size(400, 300);
        }
    }

    internal class ZoomForm : Form
    {
        private Button _showFormButton;

        public ZoomForm()
        {
            InitializeComponent();

            _showFormButton.Click += _showFormButton_Click;
        }

        public void ZoomFactorChangeProc(object sender, EventArgs e)
        {
            Console.WriteLine(GcApplicationZoom.GetGcZoom(this).ZoomFactor.ToString());
        }

        private void _showFormButton_Click(object sender, EventArgs e)
        {
            Form form = new ZoomForm();
            form.Show();
        }

        private void InitializeComponent()
        {
            _showFormButton = new Button();
            _showFormButton.Text = "Click to open a new form";
            _showFormButton.Location = new Point(20, 20);
            _showFormButton.Size = new Size(200, 40);

            this.Controls.Add(_showFormButton);
            this.Text = "ZoomForm";
        }
    }

    internal class NormalForm : Form
    {
        private Button _showFormButton;

        public NormalForm()
        {
            InitializeComponent();

            _showFormButton.Click += _showFormButton_Click;
        }

        void _showFormButton_Click(object sender, EventArgs e)
        {
            Form form = new NormalForm();
            form.Show();
        }

        private void InitializeComponent()
        {
            _showFormButton = new Button();
            _showFormButton.Text = "Click to open a new form";
            _showFormButton.Location = new Point(20, 20);
            _showFormButton.Size = new Size(200, 40);

            this.Controls.Add(_showFormButton);
            this.Text = "NormalForm";
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcApplicationZoom メンバ

GcApplicationZoom メンバ

GcApplicationZoom クラス 概要

コンストラクタ
表示：継承 プロテクト
 | 名前 | 説明
パブリック コンストラクタ | GcApplicationZoom | オーバーロード。 GcApplicationZoom クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | AllowDoubleTapZoom | ダブルタップによってズームできるかどうかを示す値を取得または設定します。ダブルタップされる前に ZoomFactor が 2f より小さい場合、ZoomFactor は 2f または MaxZoomFactor に変更されます。それ以外の場合は 1f に変更されます。
パブリック プロパティ | AllowMouseWheelScroll | 実行できるマウスホイールスクロールのタイプを取得または設定します。
パブリック プロパティ | AllowMouseWheelZoom | ［Ctrl］キーを押しながらマウスホイールを回すことによってズームできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPanScroll | パンジェスチャによってフォームをスクロールできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPinchZoom | フォームがジェスチャズームを実行できるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowResizeByZoom | フォームをズームするときにフォームをサイズ変更するかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowZoomByResize | フォームをサイズ変更するときにフォームをズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | AlternativeContentSettings | ジェスチャズーム中にズーム率を表示する方法を示す設定を取得します。
パブリック プロパティ | AutoShowControl | フォーカスを取得したとき、またはタッチキーボードがポップアップしたときにコントロールを自動表示するかどうかを示す値を取得または設定します。
パブリック プロパティ | BackColor | ズームおよびスクロールするときのフォームの空白領域の背景色を取得または設定します。
パブリック プロパティ | BackgroundImage | ズームおよびスクロールするときにフォームの空白領域に表示される背景イメージを取得または設定します。
パブリック プロパティ | BackgroundImageLayout | ImageLayout 列挙体で定義された背景イメージレイアウトを取得または設定します。
パブリック プロパティ | BoundaryFeedbackMode | スクロールが終端に達したときの視覚的フィードバックの表示方法を示す値を取得または設定します。
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
パブリック プロパティ | ControlBars | GcZoom に含まれる ControlBar のコレクションを取得します。
パブリック プロパティ | DefaultZoomPolicies | デフォルトのズームポリシーを取得します。
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | FullScreenMode | オーナーフォームによって使用されるフルスクリーンモードを取得または設定します。
パブリック プロパティ | InnerPanelLayoutMode | InnerPanel のレイアウトモードを取得または設定します。
パブリック プロパティ | IsHorizontalRailEnabled | 水平方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | IsVerticalRailEnabled | 垂直方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | KeepAspectRatio | フォームをサイズ変更するときにアスペクト比を維持するかどうかを示す値を取得または設定します。
パブリック プロパティ | MaxZoomFactor | フォームの最大ズーム率を取得または設定します。
パブリック プロパティ | ScrollIndicatorMode | 現在のスクロール位置を示すモードを示す値を取得または設定します。
パブリック プロパティ | Site | Component の ISite を取得または設定します。 (Component から継承されます)
パブリック プロパティ | ZoomPolicies | カスタムズームポリシーを取得します。GcZoom はこのリストでズームポリシーを検索します。
パブリック プロパティ | ZoomPreviewMode | ジェスチャズーム中にフォームをプレビューする方法を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapDistance | 現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapPoints | ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
 | GetGcZoom | 指定したフォームに関連付けられた GcZoom を取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | OnGcZoomAttached | GcZoomAttached イベントを発生させます。
プロテクト メソッド | OnGcZoomAttaching | GcZoomAttaching イベントを発生させます。
プロテクト メソッド | OnGcZoomDetached | GcZoomDetached イベントを発生させます。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)
イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | GcZoomAttached | GcZoom コンポーネントが Form にアタッチされたときに発生します。
パブリック イベント | GcZoomAttaching | GcZoom コンポーネントが Form にアタッチされようとしているときに発生します。
パブリック イベント | GcZoomDetached | GcZoom コンポーネントが Form からデタッチされたときに発生します。


GcApplicationZoom コンストラクタ (GrapeCity.Win.MultiTouch)

GcApplicationZoom コンストラクタ

GcApplicationZoom クラスの新しいインスタンスを初期化します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | GcApplicationZoom() | GcApplicationZoom クラスの新しいインスタンスを初期化します。
パブリック メソッド | GcApplicationZoom(IContainer) | GcApplicationZoom クラスの新しいインスタンスを初期化します。


GcApplicationZoom コンストラクタ () (GrapeCity.Win.MultiTouch)

GcApplicationZoom コンストラクタ ()

GcApplicationZoom クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public GcApplicationZoom();

戻り値

なし


GcApplicationZoom コンストラクタ (IContainer) (GrapeCity.Win.MultiTouch)

GcApplicationZoom コンストラクタ (IContainer)

GcApplicationZoom クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New( _
   ByVal container As IContainer _
)

public GcApplicationZoom(
   IContainer container
);

パラメータ

container
GcApplicationZoom のコンテナーを表す IContainer。

戻り値

なし


GcApplicationZoom プロパティ

GcApplicationZoom プロパティ

GcApplicationZoom クラスのプロパティは以下のとおりです。GcApplicationZoom クラスの完全なメンバ一覧については、 GcApplicationZoomメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | AllowDoubleTapZoom | ダブルタップによってズームできるかどうかを示す値を取得または設定します。ダブルタップされる前に ZoomFactor が 2f より小さい場合、ZoomFactor は 2f または MaxZoomFactor に変更されます。それ以外の場合は 1f に変更されます。
パブリック プロパティ | AllowMouseWheelScroll | 実行できるマウスホイールスクロールのタイプを取得または設定します。
パブリック プロパティ | AllowMouseWheelZoom | ［Ctrl］キーを押しながらマウスホイールを回すことによってズームできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPanScroll | パンジェスチャによってフォームをスクロールできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPinchZoom | フォームがジェスチャズームを実行できるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowResizeByZoom | フォームをズームするときにフォームをサイズ変更するかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowZoomByResize | フォームをサイズ変更するときにフォームをズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | AlternativeContentSettings | ジェスチャズーム中にズーム率を表示する方法を示す設定を取得します。
パブリック プロパティ | AutoShowControl | フォーカスを取得したとき、またはタッチキーボードがポップアップしたときにコントロールを自動表示するかどうかを示す値を取得または設定します。
パブリック プロパティ | BackColor | ズームおよびスクロールするときのフォームの空白領域の背景色を取得または設定します。
パブリック プロパティ | BackgroundImage | ズームおよびスクロールするときにフォームの空白領域に表示される背景イメージを取得または設定します。
パブリック プロパティ | BackgroundImageLayout | ImageLayout 列挙体で定義された背景イメージレイアウトを取得または設定します。
パブリック プロパティ | BoundaryFeedbackMode | スクロールが終端に達したときの視覚的フィードバックの表示方法を示す値を取得または設定します。
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
パブリック プロパティ | ControlBars | GcZoom に含まれる ControlBar のコレクションを取得します。
パブリック プロパティ | DefaultZoomPolicies | デフォルトのズームポリシーを取得します。
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | FullScreenMode | オーナーフォームによって使用されるフルスクリーンモードを取得または設定します。
パブリック プロパティ | InnerPanelLayoutMode | InnerPanel のレイアウトモードを取得または設定します。
パブリック プロパティ | IsHorizontalRailEnabled | 水平方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | IsVerticalRailEnabled | 垂直方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | KeepAspectRatio | フォームをサイズ変更するときにアスペクト比を維持するかどうかを示す値を取得または設定します。
パブリック プロパティ | MaxZoomFactor | フォームの最大ズーム率を取得または設定します。
パブリック プロパティ | ScrollIndicatorMode | 現在のスクロール位置を示すモードを示す値を取得または設定します。
パブリック プロパティ | Site | Component の ISite を取得または設定します。 (Component から継承されます)
パブリック プロパティ | ZoomPolicies | カスタムズームポリシーを取得します。GcZoom はこのリストでズームポリシーを検索します。
パブリック プロパティ | ZoomPreviewMode | ジェスチャズーム中にフォームをプレビューする方法を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapDistance | 現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapPoints | ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを取得します。


GcApplicationZoom.AllowDoubleTapZoom プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AllowDoubleTapZoom プロパティ

ダブルタップによってズームできるかどうかを示す値を取得または設定します。ダブルタップされる前に ZoomFactor が 2f より小さい場合、ZoomFactor は 2f または MaxZoomFactor に変更されます。それ以外の場合は 1f に変更されます。

構文
VB
C#
クリップボードにコピー
Public Property AllowDoubleTapZoom As Boolean

public bool AllowDoubleTapZoom { get; set; }

プロパティ値

System.Boolean型

ダブルタップによってズームできる場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowDoubleTapZoomCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowDoubleTapZoom = _allowDoubleTapZoomCheckBox.Checked
End Sub

void _allowDoubleTapZoomCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowDoubleTapZoom = _allowDoubleTapZoomCheckBox.Checked;
}


GcApplicationZoom.AllowMouseWheelScroll プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AllowMouseWheelScroll プロパティ

実行できるマウスホイールスクロールのタイプを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowMouseWheelScroll As MouseWheelScrollMode

public MouseWheelScrollMode AllowMouseWheelScroll { get; set; }


GcApplicationZoom.AllowMouseWheelZoom プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AllowMouseWheelZoom プロパティ

［Ctrl］キーを押しながらマウスホイールを回すことによってズームできるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowMouseWheelZoom As Boolean

public bool AllowMouseWheelZoom { get; set; }

プロパティ値

System.Boolean型

ユーザーがマウスホイールによってズームできる場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowMouseWheelCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowMouseWheelZoom = _allowMouseWheelCheckBox.Checked
End Sub

void _allowMouseWheelCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowMouseWheelZoom = _allowMouseWheelCheckBox.Checked;
}


GcApplicationZoom.AllowPanScroll プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AllowPanScroll プロパティ

パンジェスチャによってフォームをスクロールできるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowPanScroll As Boolean

public bool AllowPanScroll { get; set; }

プロパティ値

System.Boolean型

パンジェスチャによってフォームをスクロールできる場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ScrollIndicatorMode プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowPanScrollCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowPanScroll = _allowPanScrollCheckBox.Checked
End Sub

void _allowPanScrollCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowPanScroll = _allowPanScrollCheckBox.Checked;
}


GcApplicationZoom.AllowPinchZoom プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AllowPinchZoom プロパティ

フォームがジェスチャズームを実行できるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowPinchZoom As Boolean

public bool AllowPinchZoom { get; set; }

プロパティ値

System.Boolean型

フォームがジェスチャズームを実行できる場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、ジェスチャズームを有効または無効にする方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowPinchZoomCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowPinchZoom = _allowPinchZoomCheckBox.Checked
End Sub

void _allowPinchZoomCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowPinchZoom = _allowPinchZoomCheckBox.Checked;
}


GcApplicationZoom.AllowResizeByZoom プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AllowResizeByZoom プロパティ

フォームをズームするときにフォームをサイズ変更するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowResizeByZoom As Boolean

public bool AllowResizeByZoom { get; set; }

プロパティ値

System.Boolean型

フォームをズームするときにフォームをサイズ変更する場合は true。それ以外の場合は false。デフォルトは false です。

解説

GcZoom.AllowResizeByZoom が true であっても、以下の場合にはフォームをズームしても、フォームのサイズは変更されません。

GcZoom.InnerPanelLayoutMode に None が設定されています。

GcZoom.ZoomPreviewMode に NoPreview が設定されています。

GcZoom.ZoomPreviewMode が AlternativeContent の場合にピンチズームされています。

GcZoom.ZoomFactor によって GcZoom.SetZoomFactor(float,false) が設定されています。

オーナーフォームの IsMdiContainer に true が設定されています。


GcApplicationZoom.AllowZoomByResize プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AllowZoomByResize プロパティ

フォームをサイズ変更するときにフォームをズームするかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowZoomByResize As Boolean

public bool AllowZoomByResize { get; set; }

プロパティ値

System.Boolean型

フォームをサイズ変更するときにフォームをズームする場合は true。それ以外の場合は false。デフォルトは true です。

解説

サイズ変更によるフォームのズームは、GcZoom.InnerPanelLayoutMode が MiddleCenter のときにのみ機能します。


GcApplicationZoom.AlternativeContentSettings プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AlternativeContentSettings プロパティ

ジェスチャズーム中にズーム率を表示する方法を示す設定を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property AlternativeContentSettings As AlternativeContentSettings

public AlternativeContentSettings AlternativeContentSettings { get; }

プロパティ値

GrapeCity.Win.MultiTouch.AlternativeContentSettings型

ジェスチャズーム中にズーム率を表示する方法を示す AlternativeContentSettings 型の値。

解説

GcZoom.AllowZoomByResize が true であっても、以下の場合にはフォームのサイズを変更しても、フォーム内はズームされません。

GcZoom.InnerPanelLayoutMode に None が設定されています。

オーナーフォームの IsMdiContainer に true が設定されています。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub previewModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
    Select Case _previewModeComboBox.Text
        Case "Bitmap"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap
            Exit Select

        Case "AlternativeContent"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%"

            Exit Select

        Case "NoPreview"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void previewModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
{
    switch (_previewModeComboBox.Text)
    {
        case "Bitmap":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;
            break;

        case "AlternativeContent":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent;

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark;
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%";

            break;

        case "NoPreview":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview;
            break;

        default:
            break;
    }
}


GcApplicationZoom.AutoShowControl プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AutoShowControl プロパティ

フォーカスを取得したとき、またはタッチキーボードがポップアップしたときにコントロールを自動表示するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AutoShowControl As Boolean

public bool AutoShowControl { get; set; }

プロパティ値

System.Boolean型

コントロールを自動表示する場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _autoShowControlCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AutoShowControl = _autoShowControlCheckBox.Checked
End Sub

void _autoShowControlCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AutoShowControl = _autoShowControlCheckBox.Checked;
}


GcApplicationZoom.BackColor プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.BackColor プロパティ

ズームおよびスクロールするときのフォームの空白領域の背景色を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BackColor As Color

public Color BackColor { get; set; }

プロパティ値

System.Drawing.Color型

ズームおよびスクロールするときのフォームの空白領域の背景色を表す Color 値。デフォルトは Color.Empty で、フォームの背景色を使用することを意味します。

解説

BackColor プロパティでは透明色はサポートされていません。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomBackColorDemo
        Inherits Form
        Private _backColorButton As Button
        Private _backImageButton As Button
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            AddHandler _backColorButton.Click, AddressOf _backColorButton_Click
            AddHandler _backImageButton.Click, AddressOf _backImageButton_Click
        End Sub

        Private Sub _backColorButton_Click(sender As Object, e As EventArgs)
            Me._gcZoom1.BackColor = SystemColors.ControlDarkDark
        End Sub

        Private Sub _backImageButton_Click(sender As Object, e As EventArgs)
            Me._gcZoom1.BackgroundImage = Image.FromFile("c:\backimage.jpg")
            Me._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch
        End Sub

        Private Sub InitializeComponent()
            _backColorButton = New Button()
            _backColorButton.Text = "BackColor"
            _backColorButton.Location = New Point(20, 20)
            _backColorButton.Size = New Size(120, 25)

            _backImageButton = New Button()
            _backImageButton.Text = "BackImage"
            _backImageButton.Location = New Point(20, 50)
            _backImageButton.Size = New Size(120, 25)

            Me.Controls.Add(_backColorButton)
            Me.Controls.Add(_backImageButton)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomBackColorDemo : Form
    {
        private Button _backColorButton;
        private Button _backImageButton;
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomBackColorDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            _backColorButton.Click += _backColorButton_Click;
            _backImageButton.Click += _backImageButton_Click;
        }

        void _backColorButton_Click(object sender, EventArgs e)
        {
            this._gcZoom1.BackColor = SystemColors.ControlDarkDark;
        }

        void _backImageButton_Click(object sender, EventArgs e)
        {
            this._gcZoom1.BackgroundImage = Image.FromFile(@"c:\backimage.jpg");
            this._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch;
        }

        private void InitializeComponent()
        {
            _backColorButton = new Button();
            _backColorButton.Text = "BackColor";
            _backColorButton.Location = new Point(20, 20);
            _backColorButton.Size = new Size(120, 25);

            _backImageButton = new Button();
            _backImageButton.Text = "BackImage";
            _backImageButton.Location = new Point(20, 50);
            _backImageButton.Size = new Size(120, 25);

            this.Controls.Add(_backColorButton);
            this.Controls.Add(_backImageButton);
        }
    }
}


GcApplicationZoom.BackgroundImage プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.BackgroundImage プロパティ

ズームおよびスクロールするときにフォームの空白領域に表示される背景イメージを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BackgroundImage As Image

public Image BackgroundImage { get; set; }

プロパティ値

System.Drawing.Image型

ズームおよびスクロールするときにフォームの空白領域に表示するイメージを表す Image 値。デフォルトは null 参照 (Visual Basic では Nothing) です。

解説

半透明色または透明色を含むイメージは、Windows Forms コントロールの背景イメージとしてサポートされていません。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、BackColor プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _backImageButton_Click(sender As Object, e As EventArgs)
    Me._gcZoom1.BackgroundImage = Image.FromFile("c:\backimage.jpg")
    Me._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch
End Sub

void _backImageButton_Click(object sender, EventArgs e)
{
    this._gcZoom1.BackgroundImage = Image.FromFile(@"c:\backimage.jpg");
    this._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch;
}


GcApplicationZoom.BackgroundImageLayout プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.BackgroundImageLayout プロパティ

ImageLayout 列挙体で定義された背景イメージレイアウトを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BackgroundImageLayout As ImageLayout

public ImageLayout BackgroundImageLayout { get; set; }

プロパティ値

System.Windows.Forms.ImageLayout型

ImageLayout の値の 1 つ（Center、None、Stretch、Tile、Zoom のいずれか）。デフォルト値は Tile です。

BackgroundImageLayoutの値 | 説明
0 - None | イメージがコントロールのクライアント領域の四角形の上部で左寄せに配置されます。
1 - Tile | イメージがコントロールのクライアント領域の四角形全体に並べて表示されます。
2 - Center | イメージがコントロールのクライアント領域の四角形の中央に配置されます。
3 - Stretch | イメージがコントロールのクライアント領域の四角形全体に伸縮されます。
4 - Zoom | イメージがコントロールのクライアント領域の四角形内で拡大されます。
解説

BackgroundImageLayout プロパティは、ズームおよびスクロールするときにフォームの空白領域に配置するイメージの位置と動作を指定する場合に使用します。BackgroundImageLayout は、BackgroundImage プロパティが設定されている場合にのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、BackColor プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _backImageButton_Click(sender As Object, e As EventArgs)
    Me._gcZoom1.BackgroundImage = Image.FromFile("c:\backimage.jpg")
    Me._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch
End Sub

void _backImageButton_Click(object sender, EventArgs e)
{
    this._gcZoom1.BackgroundImage = Image.FromFile(@"c:\backimage.jpg");
    this._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch;
}


GcApplicationZoom.BoundaryFeedbackMode プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.BoundaryFeedbackMode プロパティ

スクロールが終端に達したときの視覚的フィードバックの表示方法を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BoundaryFeedbackMode As BoundaryFeedbackMode

public BoundaryFeedbackMode BoundaryFeedbackMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.BoundaryFeedbackMode型

BoundaryFeedbackMode 値の 1 つ。デフォルトは Split です。

BoundaryFeedbackModeの値 | 説明
0 - Standard | スクロールが終端に達したとき、オーナーフォームが少し移動してからバウンドして元に戻ります。
1 - Split | スクロールが終端に達したとき、コンテンツ領域がさらに少しスクロールしてからバウンドして元に戻ります。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub boundaryFeedbackModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
    Select Case _boundaryFeedbackModeComboBox.Text
        Case "Split"
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Split
            Exit Select

        Case "Standard"
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Standard
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void boundaryFeedbackModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
{
    switch (_boundaryFeedbackModeComboBox.Text)
    {
        case "Split":
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Split;
            break;

        case "Standard":
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Standard;
            break;

        default:
            break;
    }
}


GcApplicationZoom.ControlBars プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.ControlBars プロパティ

GcZoom に含まれる ControlBar のコレクションを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ControlBars As List(Of ControlBar)

public List<ControlBar> ControlBars { get; }

プロパティ値

System.Collections.Generic.List<ControlBar>型

GcZoom に含まれる ControlBar のコレクションを表す ControlBar 値のリスト。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class ControlBarDemo
        Inherits Form
        Private _controlBarButton As Button
        Private _userControl As New MyUserControl()
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' Create ControlBar
            AddControlBar()
        End Sub

        Private Sub AddControlBar()
            Dim controlBar As New ControlBar()

            ' Content should is a Type of UserControl.
            controlBar.Content = _userControl.[GetType]()

            controlBar.PositionMode = PositionMode.Floating

            ' Only take effect when Position Mode is Dock.
            ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
            ' controlBar.Margin = new System.Windows.Forms.Padding();

            ' Only take effect when Position is Fix or Flowing.
            controlBar.Position = New Point(20, 20)

            controlBar.Opacity = 1.0
            controlBar.TransparentBackground = True

            _gcZoom1.ControlBars.Add(controlBar)
        End Sub

        Private Sub InitializeComponent()
            _controlBarButton = New Button()
            _controlBarButton.Text = "This is a Button"
            _controlBarButton.Location = New Point(100, 100)
            _controlBarButton.Size = New Size(120, 30)

            Me.Controls.Add(_controlBarButton)
        End Sub
    End Class

    Public Class MyUserControl
        Inherits UserControl
        Private commands As New GcZoomCommandProvider()
        Private _zoomInButton As Button
        Private _zoomOutButton As Button
        Private _getButton As Button

        Public Sub New()
            InitializeComponent()

            commands.Target = Me
            commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn)
            Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString())

            commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut)
            Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString())

            AddHandler _getButton.Click, AddressOf _getButton_Click
        End Sub

        Private Sub _getButton_Click(sender As Object, e As EventArgs)
            Console.WriteLine(commands.OwnerForm.ToString())
            Console.WriteLine(commands.OwnerGcZoom.ToString())
        End Sub

        Private Sub InitializeComponent()
            _zoomInButton = New Button()
            _zoomInButton.Text = "+"
            _zoomInButton.Size = New Size(40, 40)
            _zoomInButton.Location = New Point(10, 10)

            _zoomOutButton = New Button()
            _zoomOutButton.Text = "_"
            _zoomOutButton.Size = New Size(40, 40)
            _zoomOutButton.Location = New Point(60, 10)

            _getButton = New Button()
            _getButton.Text = "Get"
            _getButton.Size = New Size(40, 40)
            _getButton.Location = New Point(110, 10)

            Me.Size = New Size(160, 60)
            Me.Controls.Add(_zoomInButton)
            Me.Controls.Add(_zoomOutButton)
            Me.Controls.Add(_getButton)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class ControlBarDemo : Form
    {
        private Button _controlBarButton;
        private MyUserControl _userControl = new MyUserControl();
        private GcZoom _gcZoom1 = new GcZoom();

        public ControlBarDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // Create ControlBar
            AddControlBar();
        }

        private void AddControlBar()
        {
            ControlBar controlBar = new ControlBar();

            // Content should is a Type of UserControl.
            controlBar.Content = _userControl.GetType();

            controlBar.PositionMode = PositionMode.Floating;

            // Only take effect when Position Mode is Dock.
            // controlBar.DockPosition = ContentAlignment.MiddleCenter;
            // controlBar.Margin = new System.Windows.Forms.Padding();

            // Only take effect when Position is Fix or Flowing.
            controlBar.Position = new Point(20, 20);

            controlBar.Opacity = 1d;
            controlBar.TransparentBackground = true;

            _gcZoom1.ControlBars.Add(controlBar);
        }

        private void InitializeComponent()
        {
            _controlBarButton = new Button();
            _controlBarButton.Text = "This is a Button";
            _controlBarButton.Location = new Point(100, 100);
            _controlBarButton.Size = new Size(120, 30);

            this.Controls.Add(_controlBarButton);
        }
    }

    public class MyUserControl : UserControl
    {
        private GcZoomCommandProvider commands = new GcZoomCommandProvider();
        private Button _zoomInButton;
        private Button _zoomOutButton;
        private Button _getButton;

        public MyUserControl()
        {
            InitializeComponent();

            commands.Target = this;
            commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn);
            Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString());

            commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut);
            Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString());

            _getButton.Click += _getButton_Click;
        }

        void _getButton_Click(object sender, EventArgs e)
        {
            Console.WriteLine(commands.OwnerForm.ToString());
            Console.WriteLine(commands.OwnerGcZoom.ToString());
        }

        private void InitializeComponent()
        {
            _zoomInButton = new Button();
            _zoomInButton.Text = "+";
            _zoomInButton.Size = new Size(40, 40);
            _zoomInButton.Location = new Point(10, 10);

            _zoomOutButton = new Button();
            _zoomOutButton.Text = "_";
            _zoomOutButton.Size = new Size(40, 40);
            _zoomOutButton.Location = new Point(60, 10);

            _getButton = new Button();
            _getButton.Text = "Get";
            _getButton.Size = new Size(40, 40);
            _getButton.Location = new Point(110, 10);

            this.Size = new Size(160, 60);
            this.Controls.Add(_zoomInButton);
            this.Controls.Add(_zoomOutButton);
            this.Controls.Add(_getButton);
        }
    }
}


GcApplicationZoom.DefaultZoomPolicies プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.DefaultZoomPolicies プロパティ

デフォルトのズームポリシーを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property DefaultZoomPolicies As ReadOnlyCollection(Of ZoomPolicy)

public ReadOnlyCollection<ZoomPolicy> DefaultZoomPolicies { get; }

プロパティ値

System.Collections.ObjectModel.ReadOnlyCollection<ZoomPolicy>型

デフォルトのズームポリシー。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub GetDefaultZoomPolicy()
    ' Get GcZoom component build in zoompolicy of all
    For Each item As ZoomPolicy In _gcZoom1.DefaultZoomPolicies
        _defaultZoomPolicyListBox.Items.Add(item.ToString())
    Next
End Sub

void GetDefaultZoomPolicy()
{
    // Get GcZoom component build in zoompolicy of all
    foreach (ZoomPolicy item in _gcZoom1.DefaultZoomPolicies)
    {
        _defaultZoomPolicyListBox.Items.Add(item.ToString());
    }
}


GcApplicationZoom.FullScreenMode プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.FullScreenMode プロパティ

オーナーフォームによって使用されるフルスクリーンモードを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property FullScreenMode As FullScreenMode

public FullScreenMode FullScreenMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.FullScreenMode型

FullScreenMode 値の 1 つ。デフォルトは None です。

FullScreenModeの値 | 説明
0 - None | フォームはフルスクリーンではありません。
1 - FullScreen | フォームはフルスクリーンで、タスクバーも表示されません。
2 - FullScreenWithTaskBar | フォームはフルスクリーンですが、タスクバーは引き続き表示されます。
例外
例外の種類 | 条件
System.InvalidOperationException | オーナーフォームの IsMdiChild が true の場合、FullScreenMode は変更できません。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _fullScreenModeCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    If _fullScreenModeCheckBox.Checked Then
        '_gcZoom1.FullScreenMode = FullScreenMode.FullScreenWithTaskBar;
        _gcZoom1.FullScreenMode = FullScreenMode.FullScreen
    Else
        _gcZoom1.FullScreenMode = FullScreenMode.None
    End If
End Sub

void _fullScreenModeCheckBox_CheckedChanged(object sender, EventArgs e)
{
    if (_fullScreenModeCheckBox.Checked)
    {
        //_gcZoom1.FullScreenMode = FullScreenMode.FullScreenWithTaskBar;
        _gcZoom1.FullScreenMode = FullScreenMode.FullScreen;
    }
    else
    {
        _gcZoom1.FullScreenMode = FullScreenMode.None;
    }
}


GcApplicationZoom.InnerPanelLayoutMode プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.InnerPanelLayoutMode プロパティ

InnerPanel のレイアウトモードを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property InnerPanelLayoutMode As InnerPanelLayoutMode

public InnerPanelLayoutMode InnerPanelLayoutMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.InnerPanelLayoutMode型

InnerPanelLayoutMode 値の 1 つ。デフォルトは None です。

InnerPanelLayoutModeの値 | 説明
0 - None | フォームのサイズがコンテンツのサイズより大きい場合、コンテンツを左上に維持します。
1 - MiddleCenter | フォームのサイズがコンテンツのサイズより大きい場合、コンテンツを中央に維持します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _innerPanelLayoutModeComboBox_TextChanged(sender As Object, e As EventArgs)
    If _innerPanelLayoutModeComboBox.Text = "None" Then
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.None
    ElseIf _innerPanelLayoutModeComboBox.Text = "MiddleCenter" Then
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter
    End If
End Sub

void _innerPanelLayoutModeComboBox_TextChanged(object sender, EventArgs e)
{
    if (_innerPanelLayoutModeComboBox.Text == "None")
    {
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.None;
    }
    else if (_innerPanelLayoutModeComboBox.Text == "MiddleCenter")
    {
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter;
    }
}


GcApplicationZoom.IsHorizontalRailEnabled プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.IsHorizontalRailEnabled プロパティ

水平方向のスクロールレールが有効かどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property IsHorizontalRailEnabled As Boolean

public bool IsHorizontalRailEnabled { get; set; }

プロパティ値

System.Boolean型

水平方向のスクロールレールを有効にする場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _isHorizontalRailEnabledCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.IsHorizontalRailEnabled = _isHorizontalRailEnabledCheckBox.Checked
End Sub

void _isHorizontalRailEnabledCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.IsHorizontalRailEnabled = _isHorizontalRailEnabledCheckBox.Checked;
}


GcApplicationZoom.IsVerticalRailEnabled プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.IsVerticalRailEnabled プロパティ

垂直方向のスクロールレールが有効かどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property IsVerticalRailEnabled As Boolean

public bool IsVerticalRailEnabled { get; set; }

プロパティ値

System.Boolean型

垂直方向のスクロールレールを有効にする場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _isVerticalRailEnabledCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.IsVerticalRailEnabled = _isVerticalRailEnabledCheckBox.Checked
End Sub

void _isVerticalRailEnabledCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.IsVerticalRailEnabled = _isVerticalRailEnabledCheckBox.Checked;
}


GcApplicationZoom.KeepAspectRatio プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.KeepAspectRatio プロパティ

フォームをサイズ変更するときにアスペクト比を維持するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property KeepAspectRatio As Boolean

public bool KeepAspectRatio { get; set; }

プロパティ値

System.Boolean型

フォームをサイズ変更するときにアスペクト比を維持する場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、フォームをサイズ変更するときにアスペクト比を維持するかどうかを設定する方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _keepAspectRatioCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.KeepAspectRatio = _keepAspectRatioCheckBox.Checked
End Sub

void _keepAspectRatioCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.KeepAspectRatio = _keepAspectRatioCheckBox.Checked;
}


GcApplicationZoom.MaxZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.MaxZoomFactor プロパティ

フォームの最大ズーム率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property MaxZoomFactor As Single

public float MaxZoomFactor { get; set; }

プロパティ値

System.Single型

フォームの最大ズーム率を表す Single 値。デフォルトは 4f です。

例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | 指定された値が 1f 未満か、4f を超えています。
使用例

以下のサンプルコードは、ズーム率の最大値を設定する方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub maxZoomFactorTextBox_TextChanged(sender As Object, e As EventArgs)
    Dim value As String = _maxZoomFactorTextBox.Text.Trim()

    Try
        Dim maxFactor As Single = CSng(Convert.ToDouble(value))
        _gcZoom1.MaxZoomFactor = maxFactor
    Catch
        _gcZoom1.MaxZoomFactor = 2.0F
    End Try
End Sub

void maxZoomFactorTextBox_TextChanged(object sender, EventArgs e)
{
    string value = _maxZoomFactorTextBox.Text.Trim();

    try
    {
        float maxFactor = (float)Convert.ToDouble(value);
        _gcZoom1.MaxZoomFactor = maxFactor;
    }
    catch
    {
        _gcZoom1.MaxZoomFactor = 2f;
    }
}


GcApplicationZoom.ScrollIndicatorMode プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.ScrollIndicatorMode プロパティ

現在のスクロール位置を示すモードを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ScrollIndicatorMode As ScrollIndicatorMode

public ScrollIndicatorMode ScrollIndicatorMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ScrollIndicatorMode型

ScrollIndicatorMode 値の 1 つ。デフォルトは ScrollIndicator です。

ScrollIndicatorModeの値 | 説明
0 - None | 現在のスクロール位置を示すために何も使用しません。
1 - ScrollBar | スクロールバーを使用して現在のスクロール位置を示します。
2 - ScrollIndicator | スクロールインジケーターを使用して現在のスクロール位置を示します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ScrollIndicatorMode プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _scrollIndicatorModeComboBox_TextChanged(sender As Object, e As EventArgs)
    Select Case _scrollIndicatorModeComboBox.Text
        Case "None"
            Me._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.None
            Exit Select

        Case "ScrollBar"
            Me._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollBar
            Exit Select

        Case "ScrollIndicator"
            Me._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollIndicator
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void _scrollIndicatorModeComboBox_TextChanged(object sender, EventArgs e)
{
    switch (_scrollIndicatorModeComboBox.Text)
    {
        case "None":
            this._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.None;
            break;

        case "ScrollBar":
            this._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollBar;
            break;

        case "ScrollIndicator":
            this._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollIndicator;
            break;

        default:
            break;
    }
}


GcApplicationZoom.ZoomPolicies プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.ZoomPolicies プロパティ

カスタムズームポリシーを取得します。GcZoom はこのリストでズームポリシーを検索します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomPolicies As List(Of ZoomPolicy)

public List<ZoomPolicy> ZoomPolicies { get; }

プロパティ値

System.Collections.Generic.List<ZoomPolicy>型

カスタム ZoomPolicy のリスト。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' DataGridView control should to change default font
    _dataGridView.ColumnHeadersDefaultCellStyle.Font = New Font(Me.Font.FontFamily, Me.Font.Size)
    _dataGridView.RowsDefaultCellStyle.Font = New Font(Me.Font.FontFamily, Me.Font.Size)

    _gcZoom1.Target = Me

    ' Set DataGridView's ZoomPolicy object
    _gcZoom1.ZoomPolicies.Add(_zoomPolicy)

    GetTargetType()
    GetDefaultZoomPolicy()

    AddHandler _enableCheckBox.CheckedChanged, AddressOf _enableCheckBox_CheckedChanged
    AddHandler _fontCheckBox.CheckedChanged, AddressOf _fontCheckBox_CheckedChanged
    AddHandler _columnWidthCheckBox.CheckedChanged, AddressOf _columnWidthCheckBox_CheckedChanged
    AddHandler _rowHeightCheckBox.CheckedChanged, AddressOf _rowHeightCheckBox_CheckedChanged
End Sub

public DataGridViewZoomPolicyDemo()
{
    InitializeComponent();

    // DataGridView control should to change default font
    _dataGridView.ColumnHeadersDefaultCellStyle.Font = new Font(this.Font.FontFamily, this.Font.Size);
    _dataGridView.RowsDefaultCellStyle.Font = new Font(this.Font.FontFamily, this.Font.Size);

    _gcZoom1.Target = this;

    // Set DataGridView's ZoomPolicy object
    _gcZoom1.ZoomPolicies.Add(_zoomPolicy);

    GetTargetType();
    GetDefaultZoomPolicy();

    _enableCheckBox.CheckedChanged += _enableCheckBox_CheckedChanged;
    _fontCheckBox.CheckedChanged += _fontCheckBox_CheckedChanged;
    _columnWidthCheckBox.CheckedChanged += _columnWidthCheckBox_CheckedChanged;
    _rowHeightCheckBox.CheckedChanged += _rowHeightCheckBox_CheckedChanged;
}


GcApplicationZoom.ZoomPreviewMode プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.ZoomPreviewMode プロパティ

ジェスチャズーム中にフォームをプレビューする方法を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomPreviewMode As ZoomPreviewMode

public ZoomPreviewMode ZoomPreviewMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ZoomPreviewMode型

ZoomPreviewMode 値の 1 つ。デフォルトは ZoomPreviewMode.Bitmap です。

ZoomPreviewModeの値 | 説明
0 - Bitmap | ズーム中にビットマッププレビューを使用します。
1 - NoPreview | ズーム中にプレビューを表示しません。
2 - AlternativeContent | ズーム中に代替コンテンツプレビューを使用します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub previewModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
    Select Case _previewModeComboBox.Text
        Case "Bitmap"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap
            Exit Select

        Case "AlternativeContent"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%"

            Exit Select

        Case "NoPreview"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void previewModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
{
    switch (_previewModeComboBox.Text)
    {
        case "Bitmap":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;
            break;

        case "AlternativeContent":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent;

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark;
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%";

            break;

        case "NoPreview":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview;
            break;

        default:
            break;
    }
}


GcApplicationZoom.ZoomSnapDistance プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.ZoomSnapDistance プロパティ

現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomSnapDistance As Single

public float ZoomSnapDistance { get; set; }

プロパティ値

System.Single型

現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を表す Single 値。

解説

このプロパティは、ZoomPreviewMode プロパティの値が ZoomPreviewMode.Bitmap または ZoomPreviewMode.AlternativeContent のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomSnapPointDemo
        Inherits Form
        Private _zoomSnapTextBox As TextBox
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            ' property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            Me._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap

            _gcZoom1.ZoomSnapPoints.Add(1.0F)
            _gcZoom1.ZoomSnapPoints.Add(1.25F)
            _gcZoom1.ZoomSnapPoints.Add(1.5F)
            _gcZoom1.ZoomSnapPoints.Add(1.75F)
            _gcZoom1.ZoomSnapPoints.Add(2.0F)

            _gcZoom1.ZoomSnapDistance = 0.25F

            AddHandler _gcZoom1.ZoomFactorChanged, AddressOf _gcZoom1_ZoomFactorChanged
        End Sub

        Private Sub _gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString()
        End Sub

        Private Sub InitializeComponent()
            _zoomSnapTextBox = New TextBox()
            _zoomSnapTextBox.Location = New Point(100, 100)
            Me.Controls.Add(_zoomSnapTextBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomSnapPointDemo : Form
    {
        private TextBox _zoomSnapTextBox;
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomSnapPointDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            // property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            this._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;

            _gcZoom1.ZoomSnapPoints.Add(1f);
            _gcZoom1.ZoomSnapPoints.Add(1.25f);
            _gcZoom1.ZoomSnapPoints.Add(1.5f);
            _gcZoom1.ZoomSnapPoints.Add(1.75f);
            _gcZoom1.ZoomSnapPoints.Add(2f);

            _gcZoom1.ZoomSnapDistance = 0.25f;

            _gcZoom1.ZoomFactorChanged += _gcZoom1_ZoomFactorChanged;
        }

        void _gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
        {
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString();
        }

        private void InitializeComponent()
        {
            _zoomSnapTextBox = new TextBox();
            _zoomSnapTextBox.Location = new Point(100, 100);
            this.Controls.Add(_zoomSnapTextBox);
        }
    }
}


GcApplicationZoom.ZoomSnapPoints プロパティ (GrapeCity.Win.MultiTouch)

GcApplicationZoom.ZoomSnapPoints プロパティ

ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomSnapPoints As List(Of Single)

public List<Single> ZoomSnapPoints { get; }

プロパティ値

System.Collections.Generic.List<Single>型

ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを表す Single 値のリスト。

解説

このプロパティは、ZoomPreviewMode プロパティの値が ZoomPreviewMode.Bitmap または ZoomPreviewMode.AlternativeContent のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomSnapPointDemo
        Inherits Form
        Private _zoomSnapTextBox As TextBox
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            ' property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            Me._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap

            _gcZoom1.ZoomSnapPoints.Add(1.0F)
            _gcZoom1.ZoomSnapPoints.Add(1.25F)
            _gcZoom1.ZoomSnapPoints.Add(1.5F)
            _gcZoom1.ZoomSnapPoints.Add(1.75F)
            _gcZoom1.ZoomSnapPoints.Add(2.0F)

            _gcZoom1.ZoomSnapDistance = 0.25F

            AddHandler _gcZoom1.ZoomFactorChanged, AddressOf _gcZoom1_ZoomFactorChanged
        End Sub

        Private Sub _gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString()
        End Sub

        Private Sub InitializeComponent()
            _zoomSnapTextBox = New TextBox()
            _zoomSnapTextBox.Location = New Point(100, 100)
            Me.Controls.Add(_zoomSnapTextBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomSnapPointDemo : Form
    {
        private TextBox _zoomSnapTextBox;
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomSnapPointDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            // property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            this._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;

            _gcZoom1.ZoomSnapPoints.Add(1f);
            _gcZoom1.ZoomSnapPoints.Add(1.25f);
            _gcZoom1.ZoomSnapPoints.Add(1.5f);
            _gcZoom1.ZoomSnapPoints.Add(1.75f);
            _gcZoom1.ZoomSnapPoints.Add(2f);

            _gcZoom1.ZoomSnapDistance = 0.25f;

            _gcZoom1.ZoomFactorChanged += _gcZoom1_ZoomFactorChanged;
        }

        void _gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
        {
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString();
        }

        private void InitializeComponent()
        {
            _zoomSnapTextBox = new TextBox();
            _zoomSnapTextBox.Location = new Point(100, 100);
            this.Controls.Add(_zoomSnapTextBox);
        }
    }
}


GcApplicationZoom メソッド

GcApplicationZoom メソッド

GcApplicationZoom クラスのメソッドは以下のとおりです。GcApplicationZoom クラスの完全なメンバ一覧については、 GcApplicationZoomメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
 | GetGcZoom | 指定したフォームに関連付けられた GcZoom を取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | OnGcZoomAttached | GcZoomAttached イベントを発生させます。
プロテクト メソッド | OnGcZoomAttaching | GcZoomAttaching イベントを発生させます。
プロテクト メソッド | OnGcZoomDetached | GcZoomDetached イベントを発生させます。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)


GcApplicationZoom.AboutBox メソッド (GrapeCity.Win.MultiTouch)

GcApplicationZoom.AboutBox メソッド

製品情報ウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Sub AboutBox()

public void AboutBox();

戻り値

なし
解説

このメソッドが呼び出された後、製品情報を含むウィンドウが表示されます。


GcApplicationZoom.Dispose メソッド (GrapeCity.Win.MultiTouch)

GcApplicationZoom.Dispose メソッド

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | Dispose() | Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
プロテクト メソッド | Dispose(Boolean) | Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。


GcApplicationZoom.Dispose メソッド (Boolean) (GrapeCity.Win.MultiTouch)

GcApplicationZoom.Dispose メソッド (Boolean)

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

構文
VB
C#
クリップボードにコピー
Protected Overrides Sub Dispose( _
   ByVal disposing As Boolean _
)

protected override void Dispose(
   bool disposing
);

パラメータ

disposing
マネージリソースとアンマネージリソースを両方とも解放する場合は true。アンマネージリソースのみを解放する場合は false。

戻り値

なし


GcApplicationZoom.GetGcZoom メソッド (GrapeCity.Win.MultiTouch)

GcApplicationZoom.GetGcZoom メソッド

指定したフォームに関連付けられた GcZoom を取得します。

構文
VB
C#
クリップボードにコピー
Public Shared Function GetGcZoom( _
   ByVal form As Form _
) As GcZoom

public static GcZoom GetGcZoom(
   Form form
);

パラメータ

form
フォーム。

戻り値

GrapeCity.Win.MultiTouch.GcZoom 型

指定したフォームに関連付けられた GcZoom 値。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub ZoomFactorChangeProc(sender As Object, e As EventArgs)
    Console.WriteLine(GcApplicationZoom.GetGcZoom(Me).ZoomFactor.ToString())
End Sub

public void ZoomFactorChangeProc(object sender, EventArgs e)
{
    Console.WriteLine(GcApplicationZoom.GetGcZoom(this).ZoomFactor.ToString());
}


GcApplicationZoom.OnGcZoomAttached メソッド (GrapeCity.Win.MultiTouch)

GcApplicationZoom.OnGcZoomAttached メソッド

GcZoomAttached イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnGcZoomAttached( _
   ByVal e As GcZoomAttachedEventArgs _
)

protected virtual void OnGcZoomAttached(
   GcZoomAttachedEventArgs e
);

パラメータ

e
イベントデータを含む GcZoomAttachedEventArgs インスタンス。

戻り値

なし


GcApplicationZoom.OnGcZoomAttaching メソッド (GrapeCity.Win.MultiTouch)

GcApplicationZoom.OnGcZoomAttaching メソッド

GcZoomAttaching イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnGcZoomAttaching( _
   ByVal e As GcZoomAttachingEventArgs _
)

protected virtual void OnGcZoomAttaching(
   GcZoomAttachingEventArgs e
);

パラメータ

e
イベントデータを含む GcZoomAttachingEventArgs インスタンス。

戻り値

なし


GcApplicationZoom.OnGcZoomDetached メソッド (GrapeCity.Win.MultiTouch)

GcApplicationZoom.OnGcZoomDetached メソッド

GcZoomDetached イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnGcZoomDetached( _
   ByVal e As GcZoomDetachedEventArgs _
)

protected virtual void OnGcZoomDetached(
   GcZoomDetachedEventArgs e
);

パラメータ

e
イベントデータを含む GcZoomDetachedEventArgs インスタンス。

戻り値

なし


GcApplicationZoom イベント

GcApplicationZoom イベント

GcApplicationZoom クラスのイベントは以下のとおりです。GcApplicationZoom クラスの完全なメンバ一覧については、 GcApplicationZoomメンバのトピックを参照してください。

イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | GcZoomAttached | GcZoom コンポーネントが Form にアタッチされたときに発生します。
パブリック イベント | GcZoomAttaching | GcZoom コンポーネントが Form にアタッチされようとしているときに発生します。
パブリック イベント | GcZoomDetached | GcZoom コンポーネントが Form からデタッチされたときに発生します。


GcZoomAttached イベント

GcApplicationZoom.GcZoomAttached イベント

GcZoom コンポーネントが Form にアタッチされたときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event GcZoomAttached As GcZoomAttachedEventArgs

public event GcZoomAttachedEventArgs GcZoomAttached;
解説

このイベントのイベントハンドラで GcZoom コンポーネントの初期設定を変更できます。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomAttached(sender As Object, e As GcZoomAttachedEventArgs)
    ' If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
    ' GcZoomAttaching or GcZoomAttached event.
    e.GcZoom.MaxZoomFactor = 4.0F

    If TypeOf e.Form Is ZoomForm Then
        AddHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
    End If
End Sub

void _gcApplicationZoom_GcZoomAttached(object sender, GcZoomAttachedEventArgs e)
{
    // If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
    // GcZoomAttaching or GcZoomAttached event.
    e.GcZoom.MaxZoomFactor = 4f;

    if (e.Form is ZoomForm)
    {
        e.GcZoom.ZoomFactorChanged += (e.Form as ZoomForm).ZoomFactorChangeProc;
    }
}


GcZoomAttaching イベント

GcApplicationZoom.GcZoomAttaching イベント

GcZoom コンポーネントが Form にアタッチされようとしているときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event GcZoomAttaching As GcZoomAttachingEventArgs

public event GcZoomAttachingEventArgs GcZoomAttaching;
解説

このイベントのイベントハンドラで GcZoom コンポーネントの初期設定を変更できます。

GcZoomAttachingEventArgs.Cancel プロパティを true に設定することで、現在のアタッチ操作をキャンセルできます。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomAttaching(sender As Object, e As GcZoomAttachingEventArgs)
    ' May be some forms should not be zoom.
    If TypeOf e.Form Is NormalForm Then
        e.Cancel = True
    Else
        e.GcZoom.AutoShowControl = True
    End If
End Sub

void _gcApplicationZoom_GcZoomAttaching(object sender, GcZoomAttachingEventArgs e)
{
    // May be some forms should not be zoom.
    if (e.Form is NormalForm)
    {
        e.Cancel = true;
    }
    else
    {
        e.GcZoom.AutoShowControl = true;
    }
}


GcZoomDetached イベント

GcApplicationZoom.GcZoomDetached イベント

GcZoom コンポーネントが Form からデタッチされたときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event GcZoomDetached As GcZoomDetachedEventArgs

public event GcZoomDetachedEventArgs GcZoomDetached;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomDetached(sender As Object, e As GcZoomDetachedEventArgs)
    If TypeOf e.Form Is ZoomForm Then
        RemoveHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
    End If
End Sub

void _gcApplicationZoom_GcZoomDetached(object sender, GcZoomDetachedEventArgs e)
{
    if (e.Form is ZoomForm)
    {
        e.GcZoom.ZoomFactorChanged -= (e.Form as ZoomForm).ZoomFactorChangeProc;
    }
}


GcMagnifier クラス

GcMagnifier クラス

任意の既存コントロールにアタッチでき、コントロールを長押ししたときに指の周りの情報を拡大表示する拡大鏡を指の上にポップアップするコンポーネントを表します。

継承階層
System.Object
System.MarshalByRefObject
System.ComponentModel.Component
GrapeCity.Win.MultiTouch.GcMagnifier

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcMagnifier
    Inherits Component
    Implements IExtenderProvider

public class GcMagnifier : Component, IExtenderProvider
解説

1 つのフォームに複数の GcMagnifier コンポーネントをアタッチできます。対象のコントロールを 2 本以上の指で長押しした場合、最初の拡大鏡だけがポップアップします。

使用例

以下のサンプルコードは、GcMagnifier コンポーネントの使用方法を示します。

このコードを既存の Windows Forms アプリケーションにコピーし、サンプルコード内のフォームを開始フォームとして設定します。

このコードの実行時にライセンスエラーが発生した場合は、GcMagnifier コンポーネントをツールボックスから任意のフォームにドラッグしてみてください。そうすると、ライセンス情報をこのプロジェクトに生成できます。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcMagnifierDemo
        Inherits Form
        Private _magnifierTextBox As TextBox

        Private _gcMagnifierObj As New GcMagnifier()

        Public Sub New()
            InitializeComponent()

            ' Enable GcMagnifier component to _firstTextBox.
            _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, True)
            Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString())

            ' Set magnifier property
            SetGcMagnifier()
        End Sub

        Public Sub SetGcMagnifier()
            ' Set the duration from finger press to magnifier popup in millisecond
            _gcMagnifierObj.PopupDelay = 500

            ' Mouse right click message will be posted to the _firstTextBox when magnifier close
            _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

            ' Mouse move message will be posted to the _firstTextBox when magnifier close
            _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

            ' Magnifier display the system cursor
            _gcMagnifierObj.ShowCursor = True

            ' Magnifier size in pixels
            _gcMagnifierObj.Size = New Size(100, 100)

            ' Magnifier appearance
            _gcMagnifierObj.Shape = MagnifierShape.Rectangle

            ' Magnifier border width in pixels
            _gcMagnifierObj.BorderWidth = 10

            ' Magnifier background mode. If property value is BorderBackground.Custom,
            ' user can to use BorderBackground property to set the background image.
            _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

            ' Magnifier zoom factor
            _gcMagnifierObj.ZoomFactor = 2.0F

            ' The magnifier will lock the move direction vertically and horizontally.
            _gcMagnifierObj.IsHorizontalRailEnabled = True
            _gcMagnifierObj.IsVerticalRailEnabled = True
        End Sub

        Private Sub InitializeComponent()
            _magnifierTextBox = New TextBox()
            _magnifierTextBox.Text = "This is a TextBox"
            _magnifierTextBox.Location = New Point(20, 20)
            _magnifierTextBox.Size = New Size(160, 20)

            Me.Controls.Add(_magnifierTextBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcMagnifierDemo : Form
    {
        private TextBox _magnifierTextBox;

        private GcMagnifier _gcMagnifierObj = new GcMagnifier();

        public GcMagnifierDemo()
        {
            InitializeComponent();

            // Enable GcMagnifier component to _firstTextBox.
            _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, true);
            Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString());

            // Set magnifier property
            SetGcMagnifier();
        }

        public void SetGcMagnifier()
        {
            // Set the duration from finger press to magnifier popup in millisecond
            _gcMagnifierObj.PopupDelay = 500;

            // Mouse right click message will be posted to the _firstTextBox when magnifier close
            _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

            // Mouse move message will be posted to the _firstTextBox when magnifier close
            _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

            // Magnifier display the system cursor
            _gcMagnifierObj.ShowCursor = true;

            // Magnifier size in pixels
            _gcMagnifierObj.Size = new Size(100, 100);

            // Magnifier appearance
            _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

            // Magnifier border width in pixels
            _gcMagnifierObj.BorderWidth = 10;

            // Magnifier background mode. If property value is BorderBackground.Custom,
            // user can to use BorderBackground property to set the background image.
            _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

            // Magnifier zoom factor
            _gcMagnifierObj.ZoomFactor = 2f;

            // The magnifier will lock the move direction vertically and horizontally.
            _gcMagnifierObj.IsHorizontalRailEnabled = true;
            _gcMagnifierObj.IsVerticalRailEnabled = true;
        }

        private void InitializeComponent()
        {
            _magnifierTextBox = new TextBox();
            _magnifierTextBox.Text = "This is a TextBox";
            _magnifierTextBox.Location = new Point(20, 20);
            _magnifierTextBox.Size = new Size(160, 20);

            this.Controls.Add(_magnifierTextBox);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcMagnifier メンバ

GcMagnifier メンバ

GcMagnifier クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
GcMagnifier | GcMagnifier クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | BorderBackground | 拡大鏡の境界線に使用される背景イメージを示す値を取得または設定します。
パブリック プロパティ | BorderBackgroundMode | 拡大鏡の境界線に使用される背景モードを示す値を取得または設定します。
パブリック プロパティ | BorderWidth | 拡大鏡の境界線の幅（ピクセル単位）を示す値を取得または設定します。
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | IsHorizontalRailEnabled | 拡大鏡の移動方向を水平に固定するかどうかを示す値を取得または設定します。
パブリック プロパティ | IsVerticalRailEnabled | 拡大鏡の移動方向を垂直に固定するかどうかを示す値を取得または設定します。
パブリック プロパティ | MessageWhenClose | 拡大鏡が閉じたときにアタッチコントロールに送信されるメッセージを示す値を取得または設定します。
パブリック プロパティ | MessageWhenMove | 拡大鏡が移動しているときにアタッチコントロールに送信されるメッセージを示す値を取得または設定します。
パブリック プロパティ | PopupDelay | 指でタッチしてから拡大鏡がポップアップするまでの時間（ミリ秒単位）を示す値を取得または設定します。
パブリック プロパティ | Shape | 拡大鏡の外観を示す値を取得または設定します。
パブリック プロパティ | ShowCursor | 拡大鏡にシステムカーソルが表示されるかどうかを示す値を取得または設定します。
パブリック プロパティ | Site | Component の ISite を取得または設定します。 (Component から継承されます)
パブリック プロパティ | Size | 拡大鏡のサイズ（ピクセル単位）を示す値を取得または設定します。
パブリック プロパティ | ZoomFactor | 拡大鏡のズーム率を示す値を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | CanExtend | このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できるかどうかを示します。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | GetEnableMagnifier | 指定したコントロールに GcMagnifier が関連付けられているかどうかを取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | OnClosed | Closed イベントを発生させます。
プロテクト メソッド | OnMagnifierShowing | MagnifierShowing イベントを発生させます。
プロテクト メソッド | OnMove | Move イベントを発生させます。
パブリック メソッド | SetEnableMagnifier | 指定したコントロールに GcMagnifier を関連付けます。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)
イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | Closed | 拡大鏡が閉じたときに発生します。
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | MagnifierShowing | 拡大鏡が開くときに発生します。
パブリック イベント | Move | 拡大鏡が移動しているときに発生します。


GcMagnifier コンストラクタ (GrapeCity.Win.MultiTouch)

GcMagnifier コンストラクタ

GcMagnifier クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public GcMagnifier();

戻り値

なし


GcMagnifier プロパティ

GcMagnifier プロパティ

GcMagnifier クラスのプロパティは以下のとおりです。GcMagnifier クラスの完全なメンバ一覧については、 GcMagnifierメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | BorderBackground | 拡大鏡の境界線に使用される背景イメージを示す値を取得または設定します。
パブリック プロパティ | BorderBackgroundMode | 拡大鏡の境界線に使用される背景モードを示す値を取得または設定します。
パブリック プロパティ | BorderWidth | 拡大鏡の境界線の幅（ピクセル単位）を示す値を取得または設定します。
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | IsHorizontalRailEnabled | 拡大鏡の移動方向を水平に固定するかどうかを示す値を取得または設定します。
パブリック プロパティ | IsVerticalRailEnabled | 拡大鏡の移動方向を垂直に固定するかどうかを示す値を取得または設定します。
パブリック プロパティ | MessageWhenClose | 拡大鏡が閉じたときにアタッチコントロールに送信されるメッセージを示す値を取得または設定します。
パブリック プロパティ | MessageWhenMove | 拡大鏡が移動しているときにアタッチコントロールに送信されるメッセージを示す値を取得または設定します。
パブリック プロパティ | PopupDelay | 指でタッチしてから拡大鏡がポップアップするまでの時間（ミリ秒単位）を示す値を取得または設定します。
パブリック プロパティ | Shape | 拡大鏡の外観を示す値を取得または設定します。
パブリック プロパティ | ShowCursor | 拡大鏡にシステムカーソルが表示されるかどうかを示す値を取得または設定します。
パブリック プロパティ | Site | Component の ISite を取得または設定します。 (Component から継承されます)
パブリック プロパティ | Size | 拡大鏡のサイズ（ピクセル単位）を示す値を取得または設定します。
パブリック プロパティ | ZoomFactor | 拡大鏡のズーム率を示す値を取得または設定します。


GcMagnifier.BorderBackground プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.BorderBackground プロパティ

拡大鏡の境界線に使用される背景イメージを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BorderBackground As Image

public Image BorderBackground { get; set; }

プロパティ値

System.Drawing.Image型

拡大鏡に使用される背景イメージを表す Image 値。デフォルトは null 参照 (Visual Basic では Nothing) です。

解説

このプロパティは、BorderBackgroundMode プロパティの値が BorderBackground.Custom のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.BorderBackgroundMode プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.BorderBackgroundMode プロパティ

拡大鏡の境界線に使用される背景モードを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BorderBackgroundMode As BorderBackground

public BorderBackground BorderBackgroundMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.BorderBackground型

BorderBackground 値の 1 つ。デフォルトは MultiTouch.BorderBackground.Light です。

BorderBackgroundModeの値 | 説明
0 - Light | 境界線の背景色が明るい色になります。
1 - Dark | 境界線の背景色が暗い色になります。
2 - Custom | 指定したイメージを使用して境界線の背景をレンダリングします。GcMagnifier.BorderBackground プロパティを参照してください。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.BorderWidth プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.BorderWidth プロパティ

拡大鏡の境界線の幅（ピクセル単位）を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BorderWidth As Integer

public int BorderWidth { get; set; }

プロパティ値

System.Int32型

拡大鏡の境界線の幅（ピクセル単位）を表す Int32 値。デフォルトは 5 です。

解説

このプロパティの最小値には制限があります。1 未満にすることはできません。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.IsHorizontalRailEnabled プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.IsHorizontalRailEnabled プロパティ

拡大鏡の移動方向を水平に固定するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property IsHorizontalRailEnabled As Boolean

public bool IsHorizontalRailEnabled { get; set; }

プロパティ値

System.Boolean型

拡大鏡の移動方向を水平に固定する場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.IsVerticalRailEnabled プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.IsVerticalRailEnabled プロパティ

拡大鏡の移動方向を垂直に固定するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property IsVerticalRailEnabled As Boolean

public bool IsVerticalRailEnabled { get; set; }

プロパティ値

System.Boolean型

拡大鏡の移動方向を垂直に固定する場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.MessageWhenClose プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.MessageWhenClose プロパティ

拡大鏡が閉じたときにアタッチコントロールに送信されるメッセージを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property MessageWhenClose As MessageWhenClose

public MessageWhenClose MessageWhenClose { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.MessageWhenClose型

MessageWhenClose 値の 1 つ。デフォルトは MessageWhenClose.None です。

MessageWhenCloseの値 | 説明
0 - None | 追加メッセージを生成しません。
1 - LeftClick | ターゲットコントロールの左クリックを生成します。
2 - RightClick | ターゲットコントロールの右クリックを生成します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.MessageWhenMove プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.MessageWhenMove プロパティ

拡大鏡が移動しているときにアタッチコントロールに送信されるメッセージを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property MessageWhenMove As MessageWhenMove

public MessageWhenMove MessageWhenMove { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.MessageWhenMove型

MessageWhenMove 値の 1 つ。デフォルトは MessageWhenMove.Move です。

MessageWhenMoveの値 | 説明
0 - None | 追加メッセージを生成しません。GcMagnifier はデフォルトの移動メッセージをブロックします。
1 - Move | 指が動いたときにマウス移動メッセージを連続的にコントロールに送信します。
2 - LeftDown | GcMagnifier はデフォルトのマウス移動メッセージをブロックし、マウスダウンメッセージを連続的にターゲットコントロールに送信します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.PopupDelay プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.PopupDelay プロパティ

指でタッチしてから拡大鏡がポップアップするまでの時間（ミリ秒単位）を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property PopupDelay As Integer

public int PopupDelay { get; set; }

プロパティ値

System.Int32型

指でタッチしてから拡大鏡がポップアップするまでの時間（ミリ秒単位）を表す Int32 値。デフォルトは 500 です。

解説

このプロパティの最小値には制限があります。1 未満にすることはできません。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.Shape プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.Shape プロパティ

拡大鏡の外観を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Shape As MagnifierShape

public MagnifierShape Shape { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.MagnifierShape型

MagnifierShape 値の 1 つ。デフォルトは MagnifierShape.Circle です。

Shapeの値 | 説明
0 - Circle | 拡大鏡の形状が円形になります。
1 - Rectangle | 拡大鏡の形状が四角形になります。
2 - RoundedRectangle | 拡大鏡の形状が角丸四角形になります。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.ShowCursor プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.ShowCursor プロパティ

拡大鏡にシステムカーソルが表示されるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ShowCursor As Boolean

public bool ShowCursor { get; set; }

プロパティ値

System.Boolean型

拡大鏡にシステムカーソルが表示される場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.Size プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.Size プロパティ

拡大鏡のサイズ（ピクセル単位）を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Size As Size

public Size Size { get; set; }

プロパティ値

System.Drawing.Size型

拡大鏡のサイズ（ピクセル単位）を表す Size 値。デフォルトは 100,100 です。

解説

このプロパティの範囲には制限があります。1,1 から 1024,768 までの値を指定する必要があります。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier.ZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

GcMagnifier.ZoomFactor プロパティ

拡大鏡のズーム率を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomFactor As Single

public float ZoomFactor { get; set; }

プロパティ値

System.Single型

拡大鏡のズーム率を表す Single 値。デフォルトは 2f です。

解説

このプロパティの範囲には制限があります。2f から 4f までの値を指定する必要があります。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub SetGcMagnifier()
    ' Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500

    ' Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick

    ' Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move

    ' Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = True

    ' Magnifier size in pixels
    _gcMagnifierObj.Size = New Size(100, 100)

    ' Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle

    ' Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10

    ' Magnifier background mode. If property value is BorderBackground.Custom,
    ' user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark

    ' Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2.0F

    ' The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = True
    _gcMagnifierObj.IsVerticalRailEnabled = True
End Sub

public void SetGcMagnifier()
{
    // Set the duration from finger press to magnifier popup in millisecond
    _gcMagnifierObj.PopupDelay = 500;

    // Mouse right click message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenClose = MessageWhenClose.RightClick;

    // Mouse move message will be posted to the _firstTextBox when magnifier close
    _gcMagnifierObj.MessageWhenMove = MessageWhenMove.Move;

    // Magnifier display the system cursor
    _gcMagnifierObj.ShowCursor = true;

    // Magnifier size in pixels
    _gcMagnifierObj.Size = new Size(100, 100);

    // Magnifier appearance
    _gcMagnifierObj.Shape = MagnifierShape.Rectangle;

    // Magnifier border width in pixels
    _gcMagnifierObj.BorderWidth = 10;

    // Magnifier background mode. If property value is BorderBackground.Custom,
    // user can to use BorderBackground property to set the background image.
    _gcMagnifierObj.BorderBackgroundMode = BorderBackground.Dark;

    // Magnifier zoom factor
    _gcMagnifierObj.ZoomFactor = 2f;

    // The magnifier will lock the move direction vertically and horizontally.
    _gcMagnifierObj.IsHorizontalRailEnabled = true;
    _gcMagnifierObj.IsVerticalRailEnabled = true;
}


GcMagnifier メソッド

GcMagnifier メソッド

GcMagnifier クラスのメソッドは以下のとおりです。GcMagnifier クラスの完全なメンバ一覧については、 GcMagnifierメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | CanExtend | このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できるかどうかを示します。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | GetEnableMagnifier | 指定したコントロールに GcMagnifier が関連付けられているかどうかを取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | OnClosed | Closed イベントを発生させます。
プロテクト メソッド | OnMagnifierShowing | MagnifierShowing イベントを発生させます。
プロテクト メソッド | OnMove | Move イベントを発生させます。
パブリック メソッド | SetEnableMagnifier | 指定したコントロールに GcMagnifier を関連付けます。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)


GcMagnifier.AboutBox メソッド (GrapeCity.Win.MultiTouch)

GcMagnifier.AboutBox メソッド

製品情報ウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Sub AboutBox()

public void AboutBox();

戻り値

なし
解説

このメソッドが呼び出された後、製品情報を含むウィンドウが表示されます。


GcMagnifier.CanExtend メソッド (GrapeCity.Win.MultiTouch)

GcMagnifier.CanExtend メソッド

このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できるかどうかを示します。

構文
VB
C#
クリップボードにコピー
Public Function CanExtend( _
   ByVal extendee As Object _
) _
    Implements IExtenderProvider.CanExtend As Boolean

public bool CanExtend(
   object extendee
);

パラメータ

extendee
エクステンダープロパティを受け取る Object。

戻り値

System.Boolean 型

このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できる場合は true。それ以外の場合は false。


GcMagnifier.Dispose メソッド (GrapeCity.Win.MultiTouch)

GcMagnifier.Dispose メソッド

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | Dispose() | Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
プロテクト メソッド | Dispose(Boolean) | Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。


GcMagnifier.Dispose メソッド (Boolean) (GrapeCity.Win.MultiTouch)

GcMagnifier.Dispose メソッド (Boolean)

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

構文
VB
C#
クリップボードにコピー
Protected Overrides Sub Dispose( _
   ByVal disposing As Boolean _
)

protected override void Dispose(
   bool disposing
);

パラメータ

disposing
マネージリソースとアンマネージリソースを両方とも解放する場合は true。アンマネージリソースのみを解放する場合は false。

戻り値

なし


GcMagnifier.GetEnableMagnifier メソッド (GrapeCity.Win.MultiTouch)

GcMagnifier.GetEnableMagnifier メソッド

指定したコントロールに GcMagnifier が関連付けられているかどうかを取得します。

構文
VB
C#
クリップボードにコピー
Public Function GetEnableMagnifier( _
   ByVal control As Control _
) As Boolean

public bool GetEnableMagnifier(
   Control control
);

パラメータ

control
GcMagnifier を取得する対象の Control。

戻り値

System.Boolean 型

指定したコントロールを長押ししたときに拡大鏡が表示される場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Enable GcMagnifier component to _firstTextBox.
    _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, True)
    Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString())

    ' Set magnifier property
    SetGcMagnifier()
End Sub

public GcMagnifierDemo()
{
    InitializeComponent();

    // Enable GcMagnifier component to _firstTextBox.
    _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, true);
    Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString());

    // Set magnifier property
    SetGcMagnifier();
}


GcMagnifier.OnClosed メソッド (GrapeCity.Win.MultiTouch)

GcMagnifier.OnClosed メソッド

Closed イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnClosed( _
   ByVal e As MagnifierEventArgs _
)

protected internal virtual void OnClosed(
   MagnifierEventArgs e
);

パラメータ

e
イベントデータを含む MagnifierEventArgs インスタンス。

戻り値

なし


GcMagnifier.OnMagnifierShowing メソッド (GrapeCity.Win.MultiTouch)

GcMagnifier.OnMagnifierShowing メソッド

MagnifierShowing イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnMagnifierShowing( _
   ByVal e As MagnifierShowingEventArgs _
)

protected internal virtual void OnMagnifierShowing(
   MagnifierShowingEventArgs e
);

パラメータ

e
イベントデータを含む MagnifierShowingEventArgs インスタンス。

戻り値

なし


GcMagnifier.OnMove メソッド (GrapeCity.Win.MultiTouch)

GcMagnifier.OnMove メソッド

Move イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnMove( _
   ByVal e As MagnifierEventArgs _
)

protected internal virtual void OnMove(
   MagnifierEventArgs e
);

パラメータ

e
イベントデータを含む MagnifierEventArgs インスタンス。

戻り値

なし


GcMagnifier.SetEnableMagnifier メソッド (GrapeCity.Win.MultiTouch)

GcMagnifier.SetEnableMagnifier メソッド

指定したコントロールに GcMagnifier を関連付けます。

構文
VB
C#
クリップボードにコピー
Public Sub SetEnableMagnifier( _
   ByVal control As Control, _
   ByVal value As Boolean _
)

public void SetEnableMagnifier(
   Control control,
   bool value
);

パラメータ

control
GcMagnifier を関連付ける Control。
value
指定したコントロールに GcMagnifier を関連付ける場合は true。それ以外の場合は false。

戻り値

なし
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMagnifier クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Enable GcMagnifier component to _firstTextBox.
    _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, True)
    Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString())

    ' Set magnifier property
    SetGcMagnifier()
End Sub

public GcMagnifierDemo()
{
    InitializeComponent();

    // Enable GcMagnifier component to _firstTextBox.
    _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, true);
    Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString());

    // Set magnifier property
    SetGcMagnifier();
}


GcMagnifier イベント

GcMagnifier イベント

GcMagnifier クラスのイベントは以下のとおりです。GcMagnifier クラスの完全なメンバ一覧については、 GcMagnifierメンバのトピックを参照してください。

イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | Closed | 拡大鏡が閉じたときに発生します。
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | MagnifierShowing | 拡大鏡が開くときに発生します。
パブリック イベント | Move | 拡大鏡が移動しているときに発生します。


Closed イベント

GcMagnifier.Closed イベント

拡大鏡が閉じたときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event Closed As MagnifierEventArgs

public event MagnifierEventArgs Closed;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、Move イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcMagnifierObj_Closed(sender As Object, e As MagnifierEventArgs)
    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(e.Position.ToString())
End Sub

void _gcMagnifierObj_Closed(object sender, MagnifierEventArgs e)
{
    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(e.Position.ToString());
}


MagnifierShowing イベント

GcMagnifier.MagnifierShowing イベント

拡大鏡が開くときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event MagnifierShowing As MagnifierShowingEventArgs

public event MagnifierShowingEventArgs MagnifierShowing;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、Move イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcMagnifierObj_MagnifierShowing(sender As Object, e As MagnifierEventArgs)
    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(e.Position.ToString())
End Sub

void _gcMagnifierObj_MagnifierShowing(object sender, MagnifierEventArgs e)
{
    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(e.Position.ToString());
}


Move イベント

GcMagnifier.Move イベント

拡大鏡が移動しているときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event Move As MagnifierEventArgs

public event MagnifierEventArgs Move;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcMagnifierEventDemo
        Inherits Form
        Private _magnifierTextBox As TextBox
        Private _gcMagnifierObj As New GcMagnifier()

        Public Sub New()
            InitializeComponent()

            _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, True)
            AddHandler _gcMagnifierObj.Move, AddressOf _gcMagnifierObj_Move
            AddHandler _gcMagnifierObj.Closed, AddressOf _gcMagnifierObj_Closed
            AddHandler _gcMagnifierObj.MagnifierShowing, AddressOf _gcMagnifierObj_MagnifierShowing
        End Sub

        Private Sub _gcMagnifierObj_Move(sender As Object, e As MagnifierEventArgs)
            Console.WriteLine(e.TargetControl.ToString())
            Console.WriteLine(e.Position.ToString())
        End Sub

        Private Sub _gcMagnifierObj_Closed(sender As Object, e As MagnifierEventArgs)
            Console.WriteLine(e.TargetControl.ToString())
            Console.WriteLine(e.Position.ToString())
        End Sub

        Private Sub _gcMagnifierObj_MagnifierShowing(sender As Object, e As MagnifierEventArgs)
            Console.WriteLine(e.TargetControl.ToString())
            Console.WriteLine(e.Position.ToString())
        End Sub

        Private Sub InitializeComponent()
            _magnifierTextBox = New TextBox()
            _magnifierTextBox.Text = "This is a TextBox"
            _magnifierTextBox.Location = New Point(20, 20)
            _magnifierTextBox.Size = New Size(160, 20)

            Me.Controls.Add(_magnifierTextBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcMagnifierEventDemo : Form
    {
        private TextBox _magnifierTextBox;
        private GcMagnifier _gcMagnifierObj = new GcMagnifier();

        public GcMagnifierEventDemo()
        {
            InitializeComponent();

            _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, true);
            _gcMagnifierObj.Move += _gcMagnifierObj_Move;
            _gcMagnifierObj.Closed += _gcMagnifierObj_Closed;
            _gcMagnifierObj.MagnifierShowing += _gcMagnifierObj_MagnifierShowing;
        }

        void _gcMagnifierObj_Move(object sender, MagnifierEventArgs e)
        {
            Console.WriteLine(e.TargetControl.ToString());
            Console.WriteLine(e.Position.ToString());
        }

        void _gcMagnifierObj_Closed(object sender, MagnifierEventArgs e)
        {
            Console.WriteLine(e.TargetControl.ToString());
            Console.WriteLine(e.Position.ToString());
        }

        void _gcMagnifierObj_MagnifierShowing(object sender, MagnifierEventArgs e)
        {
            Console.WriteLine(e.TargetControl.ToString());
            Console.WriteLine(e.Position.ToString());
        }

        private void InitializeComponent()
        {
            _magnifierTextBox = new TextBox();
            _magnifierTextBox.Text = "This is a TextBox";
            _magnifierTextBox.Location = new Point(20, 20);
            _magnifierTextBox.Size = new Size(160, 20);

            this.Controls.Add(_magnifierTextBox);
        }
    }
}


GcMultiScaleImage クラス

GcMultiScaleImage クラス

コントロールのズーム率に応じて異なるイメージを表示できるコントロールを表します。

継承階層
System.Object
System.MarshalByRefObject
System.ComponentModel.Component
System.Windows.Forms.Control
System.Windows.Forms.PictureBox
GrapeCity.Win.MultiTouch.GcMultiScaleImage

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcMultiScaleImage
    Inherits PictureBox

public class GcMultiScaleImage : PictureBox
使用例

以下のサンプルコードは、GcMultiScaleImage コンポーネントの使用方法を示します。

このコードを既存の Windows Forms アプリケーションにコピーし、サンプルコード内のフォームを開始フォームとして設定します。

このコードの実行時にライセンスエラーが発生した場合は、GcMultiScaleImage コンポーネントをツールボックスから任意のフォームにドラッグしてみてください。そうすると、ライセンス情報をこのプロジェクトに生成できます。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcMultiScaleImageDemo
        Inherits Form
        Private _gcZoomObj As GcZoom
        Private _gcmultiScaleImage As GcMultiScaleImage

        Public Sub New()
            InitializeComponent()

            _gcZoomObj = New GcZoom()
            _gcZoomObj.Target = Me
        End Sub

        Private Sub InitializeComponent()
            Dim item1 As New ImageItem()
            item1.Image = Image.FromFile("C:\image1.jpg")
            item1.ZoomFactor = 1.5F

            Dim item2 As New ImageItem()
            item2.Image = Image.FromFile("C:\image2.jpg")
            item2.ZoomFactor = 2.0F

            _gcmultiScaleImage = New GcMultiScaleImage()
            _gcmultiScaleImage.Location = New Point(20, 20)
            _gcmultiScaleImage.Size = New Size(100, 100)
            _gcmultiScaleImage.BackColor = Color.Red

            _gcmultiScaleImage.ZoomFactor = 1.0F
            _gcmultiScaleImage.Image = Image.FromFile("C:\image.jpg")
            _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage

            _gcmultiScaleImage.Images.Add(item1)
            _gcmultiScaleImage.Images.Add(item2)

            Me.Controls.Add(_gcmultiScaleImage)
            Me.Size = New Size(300, 300)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcMultiScaleImageDemo : Form
    {
        private GcZoom _gcZoomObj;
        private GcMultiScaleImage _gcmultiScaleImage;

        public GcMultiScaleImageDemo()
        {
            InitializeComponent();

            _gcZoomObj = new GcZoom();
            _gcZoomObj.Target = this;
        }

        private void InitializeComponent()
        {
            ImageItem item1 = new ImageItem();
            item1.Image = Image.FromFile(@"C:\image1.jpg");
            item1.ZoomFactor = 1.5f;

            ImageItem item2 = new ImageItem();
            item2.Image = Image.FromFile(@"C:\image2.jpg");
            item2.ZoomFactor = 2f;

            _gcmultiScaleImage = new GcMultiScaleImage();
            _gcmultiScaleImage.Location = new Point(20, 20);
            _gcmultiScaleImage.Size = new Size(100, 100);
            _gcmultiScaleImage.BackColor = Color.Red;

            _gcmultiScaleImage.ZoomFactor = 1f;
            _gcmultiScaleImage.Image = Image.FromFile(@"C:\image.jpg");
            _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage;

            _gcmultiScaleImage.Images.Add(item1);
            _gcmultiScaleImage.Images.Add(item2);

            this.Controls.Add(_gcmultiScaleImage);
            this.Size = new Size(300, 300);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcMultiScaleImage メンバ

GcMultiScaleImage メンバ

GcMultiScaleImage クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
GcMultiScaleImage | GcMultiScaleImage クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | AccessibilityObject | コントロールに割り当てられた AccessibleObject を取得します。 (Control から継承されます)
パブリック プロパティ | AccessibleDefaultActionDescription | ユーザー補助クライアント アプリケーションによって使用される、コントロールの既定のアクションの説明を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleDescription | ユーザー補助クライアント アプリケーションによって使用される、コントロールの説明を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleName | ユーザー補助クライアント アプリケーションによって使用されるコントロールの名前を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleRole | コントロールのアクセスできる役割を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Anchor | コントロールがバインドされるコンテナーの端を取得または設定し、親のサイズ変更時に、コントロールのサイズがどのように変化するかを決定します。 (Control から継承されます)
パブリック プロパティ | AutoScrollOffset | ScrollControlIntoView でのこのコントロールのスクロール先を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackColor | コントロールの背景色を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackgroundImage | コントロールに表示される背景イメージを取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackgroundImageLayout | ImageLayout 列挙体で定義される背景イメージのレイアウトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | BindingContext | コントロールの BindingContext を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BorderStyle | コントロールの境界線スタイルを示します。 (PictureBox から継承されます)
パブリック プロパティ | Bottom | コントロールの下端とコンテナーのクライアント領域の上端の間の距離をピクセルで取得します。 (Control から継承されます)
パブリック プロパティ | Bounds | クライアント以外の要素を含むコントロールの、親コントロールに対する相対的なサイズおよび位置をピクセル単位で取得または設定します。 (Control から継承されます)
プロテクト プロパティ | CanEnableIme | ImeMode プロパティをアクティブな値に設定して、IME サポートを有効にできるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | CanFocus | コントロールがフォーカスを受け取ることができるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | CanRaiseEvents | コントロールでイベントが発生するかどうかを決定します。 (Control から継承されます)
パブリック プロパティ | CanSelect | コントロールを選択できるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Capture | コントロールがマウスをキャプチャしたかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ClientRectangle | コントロールのクライアント領域を表す四角形を取得します。 (Control から継承されます)
パブリック プロパティ | ClientSize | コントロールのクライアント領域の高さと幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | CompanyName | コントロールを含んでいるアプリケーションの会社または作成者の名前を取得します。 (Control から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
パブリック プロパティ | ContainsFocus | コントロール、またはその子コントロールの 1 つに、現在入力フォーカスがあるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | ContextMenu | コントロールに関連付けられたショートカット メニューを取得または設定します。 (Control から継承されます)
パブリック プロパティ | ContextMenuStrip | このコントロールに関連付けられている ContextMenuStrip を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Controls | コントロール内に格納されているコントロールのコレクションを取得します。 (Control から継承されます)
パブリック プロパティ | Created | コントロールが作成されているかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | CreateParams | CreateParams プロパティをオーバーライドします。 (PictureBox から継承されます)
パブリック プロパティ | Cursor | マウス ポインターがコントロールの上にあるときに表示されるカーソルを取得または設定します。 (Control から継承されます)
パブリック プロパティ | DataBindings | コントロールのデータ連結を取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultCursor | コントロールの既定のカーソルを取得または設定します。 (Control から継承されます)
プロテクト プロパティ | DefaultImeMode | PictureBox の IME (Input Method Editor) のモードを示す値を取得します。 (PictureBox から継承されます)
プロテクト プロパティ | DefaultMargin | コントロール間に既定で指定されている空白をピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMaximumSize | コントロールの既定の最大サイズとして指定されている長さおよび高さをピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMinimumSize | コントロールの既定の最小サイズとして指定されている長さおよび高さをピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultPadding | コントロールの内容の内部間隔をピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultSize | (PictureBox から継承されます)
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | DisplayRectangle | コントロールの表示領域を表す四角形を取得します。 (Control から継承されます)
パブリック プロパティ | Disposing | 基本 Control クラスが破棄処理中かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Dock | コントロールの境界のうち、親コントロールにドッキングする境界を取得または設定します。また、コントロールのサイズが親コントロール内でどのように変化するかを決定します。 (Control から継承されます)
プロテクト プロパティ | DoubleBuffered | ちらつきを軽減または回避するために、2 次バッファーを使用してコントロールの表面を再描画するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Enabled | コントロールがユーザーとの対話に応答できるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ErrorImage | イメージの読み込み処理中にエラーが発生した場合、またはイメージの読み込みがキャンセルされた場合に表示するイメージを取得または設定します。 (PictureBox から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | Focused | コントロールに入力フォーカスがあるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | FontHeight | コントロールのフォントの高さを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Handle | コントロールのバインド先のウィンドウ ハンドルを取得します。 (Control から継承されます)
パブリック プロパティ | HasChildren | コントロールに 1 つ以上の子コントロールが格納されているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Height | コントロールの高さを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Image | PictureBox によって表示されるイメージを取得または設定します。 (PictureBox から継承されます)
パブリック プロパティ | ImageLocation | PictureBox に表示するイメージのパスまはた URL を取得または設定します。 (PictureBox から継承されます)
パブリック プロパティ | Images | 特定のズーム率のときに表示されるイメージを含む ImageItem のグループを取得します。
プロテクト プロパティ | ImeModeBase | コントロールの IME モードを取得または設定します。 (Control から継承されます)
パブリック プロパティ | InitialImage | メイン イメージの読み込み時に PictureBox コントロールに表示するイメージを取得または設定します。 (PictureBox から継承されます)
パブリック プロパティ | InvokeRequired | 呼び出し元がコントロールの作成されたスレッドと異なるスレッド上にあるため、コントロールに対してメソッドの呼び出しを実行するときに、呼び出し元で invoke メソッドを呼び出す必要があるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsAccessible | コントロールがユーザー補助アプリケーションに表示されるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | IsDisposed | コントロールが破棄されているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsHandleCreated | コントロールにハンドルが関連付けられているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsMirrored | コントロールがミラー化されるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | LayoutEngine | コントロールのレイアウト エンジンのキャッシュ インスタンスを取得します。 (Control から継承されます)
パブリック プロパティ | Left | コントロールの左端とコンテナーのクライアント領域の左端の間の距離をピクセルで取得または設定します。 (Control から継承されます)
パブリック プロパティ | Location | コンテナーの左上隅に対する相対座標として、コントロールの左上隅の座標を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Margin | コントロール間の空白を取得または設定します。 (Control から継承されます)
パブリック プロパティ | MaximumSize | GetPreferredSize が指定できる上限のサイズを取得または設定します。 (Control から継承されます)
パブリック プロパティ | MinimumSize | GetPreferredSize が指定できる下限のサイズを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Name | コントロールの名前を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Padding | コントロールの埋め込みを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Parent | コントロールの親コンテナーを取得または設定します。 (Control から継承されます)
パブリック プロパティ | PreferredSize | コントロールが適合する四角形領域のサイズを取得します。 (Control から継承されます)
パブリック プロパティ | ProductName | コントロールを格納しているアセンブリの製品名を取得します。 (Control から継承されます)
パブリック プロパティ | ProductVersion | コントロールを格納しているアセンブリのバージョンを取得します。 (Control から継承されます)
パブリック プロパティ | RecreatingHandle | コントロールが現在そのコントロールのハンドルを再作成中かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Region | コントロールに関連付けられたウィンドウ領域を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | RenderRightToLeft | Obsolete. このプロパティは使用されなくなりました。 (Control から継承されます)
プロテクト プロパティ | ResizeRedraw | サイズが変更されたときに、コントロールがコントロール自体を再描画するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Right | コントロールの右端とコンテナーのクライアント領域の左端の間の距離をピクセルで取得します。 (Control から継承されます)
プロテクト プロパティ | ScaleChildren | 子コントロールのスケーリングを決定する値を取得します。 (Control から継承されます)
プロテクト プロパティ | ShowFocusCues | コントロールがフォーカスを示す四角形を表示する必要があるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | ShowKeyboardCues | ユーザー インターフェイスがキーボード アクセラレータを表示または非表示にする適切な状態かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Site | コントロールのサイトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Size | コントロールの高さと幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | SizeMode | イメージの表示方法を示します。 (PictureBox から継承されます)
パブリック プロパティ | Tag | コントロールに関するデータを格納するオブジェクトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Top | コントロールの上端とコンテナーのクライアント領域の上端の間の距離をピクセル単位で取得または設定します。 (Control から継承されます)
パブリック プロパティ | TopLevelControl | 別の Windows フォーム コントロールを親として持たない親コントロールを取得します。 一般的に、これは、コントロールを格納している、最も外側の Form です。 (Control から継承されます)
パブリック プロパティ | UseWaitCursor | 現在のコントロールおよびすべての子コントロールに待機カーソルを使用するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Visible | コントロールとそのすべての子コントロールが表示されているかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | WaitOnLoad | イメージが同期的に読み込まれるかどうかを示す値を取得または設定します。 (PictureBox から継承されます)
パブリック プロパティ | Width | コントロールの幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ZoomFactor | コントロールのズーム率を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
プロテクト メソッド | AccessibilityNotifyClients | オーバーロード。 指定した子コントロールの指定した AccessibleEvents をユーザー補助クライアント アプリケーションに通知します。 (Control から継承されます)
プロテクト メソッド | AccessibilityNotifyClients | オーバーロード。 指定した子コントロールの指定した AccessibleEvents をユーザー補助クライアント アプリケーションに通知します。 (Control から継承されます)
パブリック メソッド | BeginInvoke | オーバーロード。 コントロールの基になるハンドルが作成されたスレッド上で、指定したデリゲートを非同期的に実行します。 (Control から継承されます)
パブリック メソッド | BringToFront | コントロールを z オーダーの最前面へ移動します。 (Control から継承されます)
パブリック メソッド | CancelAsync | イメージの非同期読み込みをキャンセルします。 (PictureBox から継承されます)
パブリック メソッド | Contains | 指定したコントロールが、コントロールの子かどうかを示す値を取得します。 (Control から継承されます)
プロテクト メソッド | CreateAccessibilityInstance | コントロールの新しいユーザー補助オブジェクトを作成します。 (Control から継承されます)
パブリック メソッド | CreateControl | ハンドルおよび子コントロールの作成を含めて、強制的に表示子コントロールを作成します。 (Control から継承されます)
プロテクト メソッド | CreateControlsInstance | コントロールのコントロール コレクションの新しいインスタンスを作成します。 (Control から継承されます)
パブリック メソッド | CreateGraphics | コントロールの Graphics を作成します。 (Control から継承されます)
プロテクト メソッド | CreateHandle | コントロールのハンドルを作成します。 (Control から継承されます)
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | DefWndProc | 指定したメッセージを既定のウィンドウ プロシージャに送信します。 (Control から継承されます)
プロテクト メソッド | DestroyHandle | コントロールに関連付けられたハンドルを破棄します。 (Control から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 PictureBox によって使用されているアンマネージ リソースを解放し、オプションでマネージ リソースも解放します。 (PictureBox から継承されます)
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | DoDragDrop | ドラッグ アンド ドロップ操作を開始します。 (Control から継承されます)
パブリック メソッド | DrawToBitmap | 指定したビットマップへのレンダリングをサポートします。 (Control から継承されます)
パブリック メソッド | EndInvoke | 渡された IAsyncResult によって表される、非同期操作の戻り値を取得します。 (Control から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | FindForm | コントロールがあるフォームを取得します。 (Control から継承されます)
パブリック メソッド | Focus | コントロールに入力フォーカスを設定します。 (Control から継承されます)
プロテクト メソッド | GetAccessibilityObjectById | 指定した AccessibleObject を取得します。 (Control から継承されます)
プロテクト メソッド | GetAutoSizeMode | AutoSize プロパティが有効なときのコントロールの動作を示す値を取得します。 (Control から継承されます)
パブリック メソッド | GetChildAtPoint | オーバーロード。 特定の種類の子コントロールを無視するかどうかを指定して、指定した座標にある子コントロールを取得します。 (Control から継承されます)
パブリック メソッド | GetContainerControl | コントロールの親チェインの 1 つ上の ContainerControl を返します。 (Control から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
パブリック メソッド | GetNextControl | 子コントロールのタブ オーダー内の 1 つ前または 1 つ後ろのコントロールを取得します。 (Control から継承されます)
パブリック メソッド | GetPreferredSize | コントロールが収まる四角形の領域のサイズを取得します。 (Control から継承されます)
プロテクト メソッド | GetScaledBounds | コントロールのスケールが設定される境界を取得します。 (Control から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
プロテクト メソッド | GetStyle | コントロールの指定したコントロール スタイル ビットの値を取得します。 (Control から継承されます)
プロテクト メソッド | GetTopLevel | コントロールがトップレベル コントロールかどうかを判断します。 (Control から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Hide | コントロールをユーザーに対して非表示にします。 (Control から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | InitLayout | コントロールが別のコンテナーに追加された後、呼び出されます。 (Control から継承されます)
パブリック メソッド | Invalidate | オーバーロード。 コントロールの指定した領域を無効にし (そのコントロールの次の描画操作で再描画される領域を示す更新領域に追加し)、描画メッセージがそのコントロールに送信されるようにします。 (Control から継承されます)
パブリック メソッド | Invoke | オーバーロード。 コントロールの基になるウィンドウ ハンドルを所有するスレッド上で、指定したデリゲートを実行します。 (Control から継承されます)
プロテクト メソッド | InvokeGotFocus | 指定したコントロールの GotFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokeLostFocus | 指定したコントロールの LostFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokeOnClick | 指定したコントロールの Click イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokePaint | 指定したコントロールの Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokePaintBackground | 指定したコントロールの PaintBackground イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | IsInputChar | 文字が、コントロールによって認識される入力文字かどうかを判断します。 (Control から継承されます)
プロテクト メソッド | IsInputKey | 指定されているキーが、通常の入力キーであるか、またはプリプロセスを必要とする特殊なキーであるかを確認します。 (Control から継承されます)
パブリック メソッド | Load | オーバーロード。 PictureBox の ImageLocation プロパティで指定されるイメージを表示します。 (PictureBox から継承されます)
パブリック メソッド | LoadAsync | オーバーロード。 イメージを非同期的に読み込みます。 (PictureBox から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | NotifyInvalidate | 無効化するコントロールの領域を指定して、Invalidated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnAutoSizeChanged | AutoSizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackColorChanged | BackColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackgroundImageChanged | BackgroundImageChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackgroundImageLayoutChanged | BackgroundImageLayoutChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBindingContextChanged | BindingContextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCausesValidationChanged | CausesValidationChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnChangeUICues | ChangeUICues イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnClick | Click イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnClientSizeChanged | ClientSizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnContextMenuChanged | ContextMenuChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnContextMenuStripChanged | ContextMenuStripChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnControlAdded | ControlAdded イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnControlRemoved | ControlRemoved イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCreateControl | CreateControl メソッドを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCursorChanged | CursorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDockChanged | DockChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDoubleClick | DoubleClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragDrop | DragDrop イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragEnter | DragEnter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragLeave | DragLeave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragOver | DragOver イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnEnabledChanged | オーバーライド。 (PictureBox から継承されます)
プロテクト メソッド | OnEnter | Enter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnFontChanged | FontChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnForeColorChanged | ForeColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnGiveFeedback | GiveFeedback イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnGotFocus | GotFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnHandleCreated | オーバーライド。 HandleCreated イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnHandleDestroyed | オーバーライド。 HandleDestroyed イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnHelpRequested | HelpRequested イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnImeModeChanged | ImeModeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnInvalidated | Invalidated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyDown | KeyDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyPress | KeyPress イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyUp | KeyUp イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLayout | Layout イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLeave | Leave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLoadCompleted | LoadCompleted イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnLoadProgressChanged | LoadProgressChanged イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnLocationChanged | LocationChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLostFocus | LostFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMarginChanged | MarginChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseCaptureChanged | MouseCaptureChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseClick | MouseClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseDoubleClick | MouseDoubleClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseDown | MouseDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseEnter | MouseEnter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseHover | MouseHover イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseLeave | MouseLeave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseMove | MouseMove イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseUp | MouseUp イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseWheel | MouseWheel イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMove | Move イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnNotifyMessage | コントロールに Windows メッセージを通知します。 (Control から継承されます)
プロテクト メソッド | OnPaddingChanged | PaddingChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPaint | オーバーライド。 Paint イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnPaintBackground | コントロールの背景を描画します。 (Control から継承されます)
プロテクト メソッド | OnParentBackColorChanged | コントロールのコンテナーの BackColor プロパティ値が変更された場合に、BackColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentBackgroundImageChanged | コントロールのコンテナーの BackgroundImage プロパティ値が変更された場合に、BackgroundImageChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentBindingContextChanged | コントロールのコンテナーの BindingContext プロパティ値が変更された場合に、BindingContextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentChanged | オーバーライド。 (PictureBox から継承されます)
プロテクト メソッド | OnParentCursorChanged | CursorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentEnabledChanged | コントロールのコンテナーの Enabled プロパティ値が変更された場合に、EnabledChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentFontChanged | コントロールのコンテナーの Font プロパティ値が変更された場合に、FontChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentForeColorChanged | コントロールのコンテナーの ForeColor プロパティ値が変更された場合に、ForeColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentRightToLeftChanged | コントロールのコンテナーの RightToLeft プロパティ値が変更された場合に、RightToLeftChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentVisibleChanged | コントロールのコンテナーの Visible プロパティ値が変更された場合に、VisibleChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPreviewKeyDown | PreviewKeyDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPrint | Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnQueryContinueDrag | QueryContinueDrag イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnRegionChanged | RegionChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnResize | オーバーライド。 Resize イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnRightToLeftChanged | RightToLeftChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnSizeChanged | SizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnSizeModeChanged | SizeModeChanged イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnStyleChanged | StyleChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnSystemColorsChanged | SystemColorsChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTabIndexChanged | TabIndexChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTabStopChanged | TabStopChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTextChanged | TextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnValidated | Validated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnValidating | Validating イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnVisibleChanged | オーバーライド。 (PictureBox から継承されます)
パブリック メソッド | PerformLayout | オーバーロード。 コントロールがレイアウト ロジックをすべての子コントロールに適用するように強制します。 (Control から継承されます)
パブリック メソッド | PointToClient | 指定した画面上のポイントを計算してクライアント座標を算出します。 (Control から継承されます)
パブリック メソッド | PointToScreen | 指定したクライアント ポイントを計算して画面座標を算出します。 (Control から継承されます)
パブリック メソッド | PreProcessControlMessage | キーボード メッセージまたは入力メッセージがディスパッチされる前に、メッセージ ループ内の入力メッセージを前処理します。 (Control から継承されます)
パブリック メソッド | PreProcessMessage | キーボード メッセージまたは入力メッセージがディスパッチされる前に、メッセージ ループ内の入力メッセージを前処理します。 (Control から継承されます)
プロテクト メソッド | ProcessCmdKey | コマンド キーを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessDialogChar | ダイアログ文字を処理します。 (Control から継承されます)
プロテクト メソッド | ProcessDialogKey | ダイアログ キーを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyEventArgs | キー メッセージを処理し、適切なコントロール イベントを生成します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyMessage | キーボード メッセージを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyPreview | キーボード メッセージをプレビューします。 (Control から継承されます)
プロテクト メソッド | ProcessMnemonic | ニーモニック文字を処理します。 (Control から継承されます)
プロテクト メソッド | RaiseDragEvent | 適切なドラッグ イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaiseKeyEvent | 適切なキー イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaiseMouseEvent | 適切なマウス イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaisePaintEvent | 適切な描画イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RecreateHandle | 強制的にコントロールのハンドルを再作成します。 (Control から継承されます)
パブリック メソッド | RectangleToClient | 指定した画面上の四角形のサイズと位置をクライアント座標で算出します。 (Control から継承されます)
パブリック メソッド | RectangleToScreen | 指定したクライアント領域の四角形のサイズと位置を画面座標で算出します。 (Control から継承されます)
パブリック メソッド | Refresh | 強制的に、コントロールがクライアント領域を無効化し、直後にそのコントロール自体とその子コントロールを再描画するようにします。 (Control から継承されます)
プロテクト メソッド | ResetMouseEventArgs | MouseLeave イベントを処理するためのコントロールをリセットします。 (Control から継承されます)
パブリック メソッド | ResetText | Text プロパティを既定値にリセットします。 (Control から継承されます)
パブリック メソッド | ResumeLayout | オーバーロード。 通常のレイアウト ロジックを再開します。 (Control から継承されます)
プロテクト メソッド | RtlTranslateAlignment | オーバーロード。 指定した HorizontalAlignment を適切な HorizontalAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateContent | 指定した ContentAlignment を適切な ContentAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateHorizontal | 指定した HorizontalAlignment を適切な HorizontalAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateLeftRight | 指定した LeftRightAlignment を適切な LeftRightAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
パブリック メソッド | Scale | 指定されたスケール ファクターによってコントロールおよびすべての子コントロールのスケールを設定します。 (Control から継承されます)
プロテクト メソッド | ScaleControl | コントロールの位置、サイズ、埋め込み、およびマージンのスケールを設定します。 (Control から継承されます)
パブリック メソッド | Select | オーバーロード。 コントロールをアクティブにします。 (Control から継承されます)
プロテクト メソッド | Select | オーバーロード。 子コントロールをアクティブにします。 オプションとして、タブ オーダーでコントロールを選択するときの方向を指定します。 (Control から継承されます)
パブリック メソッド | SelectNextControl | 次のコントロールをアクティブにします。 (Control から継承されます)
パブリック メソッド | SendToBack | コントロールを z オーダーの背面に移動します。 (Control から継承されます)
プロテクト メソッド | SetAutoSizeMode | AutoSize プロパティが有効なときのコントロールの動作を示す値を設定します。 (Control から継承されます)
パブリック メソッド | SetBounds | オーバーロード。 コントロールの範囲を指定した位置とサイズに設定します。 (Control から継承されます)
プロテクト メソッド | SetBoundsCore | このコントロールの指定した境界を設定する作業を実行します。 (Control から継承されます)
プロテクト メソッド | SetClientSizeCore | コントロールのクライアント領域のサイズを設定します。 (Control から継承されます)
プロテクト メソッド | SetStyle | 指定した ControlStyles フラグを true または false に設定します。 (Control から継承されます)
プロテクト メソッド | SetTopLevel | コントロールをトップレベル コントロールとして設定します。 (Control から継承されます)
プロテクト メソッド | SetVisibleCore | コントロールを指定した表示状態に設定します。 (Control から継承されます)
パブリック メソッド | Show | コントロールをユーザーに対して表示します。 (Control から継承されます)
プロテクト メソッド | SizeFromClientSize | クライアント領域の高さおよび幅からコントロール全体のサイズを決定します。 (Control から継承されます)
パブリック メソッド | SuspendLayout | コントロールのレイアウト ロジックを一時的に中断します。 (Control から継承されます)
パブリック メソッド | ToString | オーバーライド。 現在の PictureBox コントロールを表す文字列を返します。 (PictureBox から継承されます)
パブリック メソッド | Update | コントロールによって、クライアント領域内の無効化された領域が再描画されます。 (Control から継承されます)
プロテクト メソッド | UpdateBounds | オーバーロード。 コントロールの範囲を現在のサイズと位置で更新します。 (Control から継承されます)
プロテクト メソッド | UpdateBounds | オーバーロード。 コントロールの範囲を指定したサイズと位置で更新します。 (Control から継承されます)
プロテクト メソッド | UpdateStyles | 割り当て済みのスタイルを強制的にコントロールに再適用します。 (Control から継承されます)
プロテクト メソッド | UpdateZOrder | コントロールを親の z オーダーで更新します。 (Control から継承されます)
プロテクト メソッド | WndProc | Windows メッセージを処理します。 (Control から継承されます)
イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | BackColorChanged | BackColor プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | BackgroundImageChanged | BackgroundImage プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | BackgroundImageLayoutChanged | BackgroundImageLayout プロパティが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | BindingContextChanged | BindingContext プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ChangeUICues | フォーカス四角形またはキーボード インターフェイス (UI) キューが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | Click | コントロールがクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | ClientSizeChanged | ClientSize プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ContextMenuChanged | ContextMenu プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ContextMenuStripChanged | ContextMenuStrip プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ControlAdded | 新しいコントロールが ControlCollection に追加されたときに発生します。 (Control から継承されます)
パブリック イベント | ControlRemoved | ControlCollection からコントロールが削除されたときに発生します。 (Control から継承されます)
パブリック イベント | CursorChanged | Cursor プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | DockChanged | Dock プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | DoubleClick | コントロールがダブルクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | DragDrop | ドラッグ アンド ドロップ操作が完了したときに発生します。 (Control から継承されます)
パブリック イベント | DragEnter | オブジェクトがコントロールの境界内にドラッグされると発生します。 (Control から継承されます)
パブリック イベント | DragLeave | オブジェクトがコントロールの境界の外へドラッグされると発生します。 (Control から継承されます)
パブリック イベント | DragOver | オブジェクトがコントロールの境界を超えてドラッグされると発生します。 (Control から継承されます)
パブリック イベント | EnabledChanged | Enabled プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | GiveFeedback | ドラッグ操作中に発生します。 (Control から継承されます)
パブリック イベント | GotFocus | コントロールがフォーカスを受け取ると発生します。 (Control から継承されます)
パブリック イベント | HandleCreated | コントロールに対してハンドルが作成されると発生します。 (Control から継承されます)
パブリック イベント | HandleDestroyed | コントロールのハンドルが破棄されているときに発生します。 (Control から継承されます)
パブリック イベント | HelpRequested | ユーザーがコントロールのヘルプを要求すると発生します。 (Control から継承されます)
パブリック イベント | Invalidated | コントロールの表示で再描画が必要なときに発生します。 (Control から継承されます)
パブリック イベント | Layout | コントロールの子コントロールの位置を変更する必要があるときに発生します。 (Control から継承されます)
パブリック イベント | LoadCompleted | 非同期のイメージ読み込み操作が完了したとき、キャンセルされたとき、または、例外を生成したときに発生します。 (PictureBox から継承されます)
パブリック イベント | LoadProgressChanged | 非同期のイメージ読み込み操作の進行状況が変化したときに発生します。 (PictureBox から継承されます)
パブリック イベント | LocationChanged | Location プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | LostFocus | コントロールにフォーカスがなくなると発生します。 (Control から継承されます)
パブリック イベント | MarginChanged | コントロールのマージンが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | MouseCaptureChanged | コントロールがマウスのキャプチャを失うと発生します。 (Control から継承されます)
パブリック イベント | MouseClick | コントロールがマウスでクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | MouseDoubleClick | コントロールがマウスでダブルクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | MouseDown | マウス ポインターがコントロール上にあり、マウス ボタンがクリックされると発生します。 (Control から継承されます)
パブリック イベント | MouseEnter | マウス ポインターによってコントロールが入力されると発生します。 (Control から継承されます)
パブリック イベント | MouseHover | マウス ポインターをコントロールの上に重ねると発生します。 (Control から継承されます)
パブリック イベント | MouseLeave | マウス ポインターがコントロールを離れると発生します。 (Control から継承されます)
パブリック イベント | MouseMove | マウス ポインターがコントロール上を移動すると発生します。 (Control から継承されます)
パブリック イベント | MouseUp | マウス ポインターがコントロール上にあり、マウス ボタンが離されると発生します。 (Control から継承されます)
パブリック イベント | MouseWheel | コントロールにフォーカスがあるときにマウス ホイールが動くと発生します。 (Control から継承されます)
パブリック イベント | Move | コントロールが移動されると発生します。 (Control から継承されます)
パブリック イベント | PaddingChanged | コントロールの埋め込みが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | Paint | コントロールが再描画されると発生します。 (Control から継承されます)
パブリック イベント | ParentChanged | Parent プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | PreviewKeyDown | このコントロールにフォーカスがあるときにキーが押された場合、KeyDown イベントの前に発生します。 (Control から継承されます)
パブリック イベント | QueryAccessibilityHelp | AccessibleObject がユーザー補助アプリケーションにヘルプを提供したときに発生します。 (Control から継承されます)
パブリック イベント | QueryContinueDrag | ドラッグ アンド ドロップ操作中に発生し、ドラッグ ソースがドラッグ アンド ドロップ操作をキャンセルする必要があるかどうかを決定できるようにします。 (Control から継承されます)
パブリック イベント | RegionChanged | Region プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | Resize | コントロールのサイズが変更されると発生します。 (Control から継承されます)
パブリック イベント | SizeChanged | Size プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | SizeModeChanged | SizeMode が変化すると発生します。 (PictureBox から継承されます)
パブリック イベント | StyleChanged | コントロール スタイルが変更されると発生します。 (Control から継承されます)
パブリック イベント | SystemColorsChanged | システム カラーが変更されると発生します。 (Control から継承されます)
パブリック イベント | Validated | コントロールの検証が終了すると発生します。 (Control から継承されます)
パブリック イベント | Validating | コントロールが検証を行っているときに発生します。 (Control から継承されます)
パブリック イベント | VisibleChanged | Visible プロパティの値が変更された場合に発生します。 (Control から継承されます)


GcMultiScaleImage コンストラクタ (GrapeCity.Win.MultiTouch)

GcMultiScaleImage コンストラクタ

GcMultiScaleImage クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public GcMultiScaleImage();

戻り値

なし


GcMultiScaleImage プロパティ

GcMultiScaleImage プロパティ

GcMultiScaleImage クラスのプロパティは以下のとおりです。GcMultiScaleImage クラスの完全なメンバ一覧については、 GcMultiScaleImageメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | AccessibilityObject | コントロールに割り当てられた AccessibleObject を取得します。 (Control から継承されます)
パブリック プロパティ | AccessibleDefaultActionDescription | ユーザー補助クライアント アプリケーションによって使用される、コントロールの既定のアクションの説明を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleDescription | ユーザー補助クライアント アプリケーションによって使用される、コントロールの説明を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleName | ユーザー補助クライアント アプリケーションによって使用されるコントロールの名前を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleRole | コントロールのアクセスできる役割を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Anchor | コントロールがバインドされるコンテナーの端を取得または設定し、親のサイズ変更時に、コントロールのサイズがどのように変化するかを決定します。 (Control から継承されます)
パブリック プロパティ | AutoScrollOffset | ScrollControlIntoView でのこのコントロールのスクロール先を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackColor | コントロールの背景色を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackgroundImage | コントロールに表示される背景イメージを取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackgroundImageLayout | ImageLayout 列挙体で定義される背景イメージのレイアウトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | BindingContext | コントロールの BindingContext を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BorderStyle | コントロールの境界線スタイルを示します。 (PictureBox から継承されます)
パブリック プロパティ | Bottom | コントロールの下端とコンテナーのクライアント領域の上端の間の距離をピクセルで取得します。 (Control から継承されます)
パブリック プロパティ | Bounds | クライアント以外の要素を含むコントロールの、親コントロールに対する相対的なサイズおよび位置をピクセル単位で取得または設定します。 (Control から継承されます)
プロテクト プロパティ | CanEnableIme | ImeMode プロパティをアクティブな値に設定して、IME サポートを有効にできるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | CanFocus | コントロールがフォーカスを受け取ることができるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | CanRaiseEvents | コントロールでイベントが発生するかどうかを決定します。 (Control から継承されます)
パブリック プロパティ | CanSelect | コントロールを選択できるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Capture | コントロールがマウスをキャプチャしたかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ClientRectangle | コントロールのクライアント領域を表す四角形を取得します。 (Control から継承されます)
パブリック プロパティ | ClientSize | コントロールのクライアント領域の高さと幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | CompanyName | コントロールを含んでいるアプリケーションの会社または作成者の名前を取得します。 (Control から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
パブリック プロパティ | ContainsFocus | コントロール、またはその子コントロールの 1 つに、現在入力フォーカスがあるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | ContextMenu | コントロールに関連付けられたショートカット メニューを取得または設定します。 (Control から継承されます)
パブリック プロパティ | ContextMenuStrip | このコントロールに関連付けられている ContextMenuStrip を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Controls | コントロール内に格納されているコントロールのコレクションを取得します。 (Control から継承されます)
パブリック プロパティ | Created | コントロールが作成されているかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | CreateParams | CreateParams プロパティをオーバーライドします。 (PictureBox から継承されます)
パブリック プロパティ | Cursor | マウス ポインターがコントロールの上にあるときに表示されるカーソルを取得または設定します。 (Control から継承されます)
パブリック プロパティ | DataBindings | コントロールのデータ連結を取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultCursor | コントロールの既定のカーソルを取得または設定します。 (Control から継承されます)
プロテクト プロパティ | DefaultImeMode | PictureBox の IME (Input Method Editor) のモードを示す値を取得します。 (PictureBox から継承されます)
プロテクト プロパティ | DefaultMargin | コントロール間に既定で指定されている空白をピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMaximumSize | コントロールの既定の最大サイズとして指定されている長さおよび高さをピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMinimumSize | コントロールの既定の最小サイズとして指定されている長さおよび高さをピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultPadding | コントロールの内容の内部間隔をピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultSize | (PictureBox から継承されます)
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | DisplayRectangle | コントロールの表示領域を表す四角形を取得します。 (Control から継承されます)
パブリック プロパティ | Disposing | 基本 Control クラスが破棄処理中かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Dock | コントロールの境界のうち、親コントロールにドッキングする境界を取得または設定します。また、コントロールのサイズが親コントロール内でどのように変化するかを決定します。 (Control から継承されます)
プロテクト プロパティ | DoubleBuffered | ちらつきを軽減または回避するために、2 次バッファーを使用してコントロールの表面を再描画するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Enabled | コントロールがユーザーとの対話に応答できるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ErrorImage | イメージの読み込み処理中にエラーが発生した場合、またはイメージの読み込みがキャンセルされた場合に表示するイメージを取得または設定します。 (PictureBox から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | Focused | コントロールに入力フォーカスがあるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | FontHeight | コントロールのフォントの高さを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Handle | コントロールのバインド先のウィンドウ ハンドルを取得します。 (Control から継承されます)
パブリック プロパティ | HasChildren | コントロールに 1 つ以上の子コントロールが格納されているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Height | コントロールの高さを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Image | PictureBox によって表示されるイメージを取得または設定します。 (PictureBox から継承されます)
パブリック プロパティ | ImageLocation | PictureBox に表示するイメージのパスまはた URL を取得または設定します。 (PictureBox から継承されます)
パブリック プロパティ | Images | 特定のズーム率のときに表示されるイメージを含む ImageItem のグループを取得します。
プロテクト プロパティ | ImeModeBase | コントロールの IME モードを取得または設定します。 (Control から継承されます)
パブリック プロパティ | InitialImage | メイン イメージの読み込み時に PictureBox コントロールに表示するイメージを取得または設定します。 (PictureBox から継承されます)
パブリック プロパティ | InvokeRequired | 呼び出し元がコントロールの作成されたスレッドと異なるスレッド上にあるため、コントロールに対してメソッドの呼び出しを実行するときに、呼び出し元で invoke メソッドを呼び出す必要があるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsAccessible | コントロールがユーザー補助アプリケーションに表示されるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | IsDisposed | コントロールが破棄されているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsHandleCreated | コントロールにハンドルが関連付けられているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsMirrored | コントロールがミラー化されるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | LayoutEngine | コントロールのレイアウト エンジンのキャッシュ インスタンスを取得します。 (Control から継承されます)
パブリック プロパティ | Left | コントロールの左端とコンテナーのクライアント領域の左端の間の距離をピクセルで取得または設定します。 (Control から継承されます)
パブリック プロパティ | Location | コンテナーの左上隅に対する相対座標として、コントロールの左上隅の座標を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Margin | コントロール間の空白を取得または設定します。 (Control から継承されます)
パブリック プロパティ | MaximumSize | GetPreferredSize が指定できる上限のサイズを取得または設定します。 (Control から継承されます)
パブリック プロパティ | MinimumSize | GetPreferredSize が指定できる下限のサイズを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Name | コントロールの名前を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Padding | コントロールの埋め込みを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Parent | コントロールの親コンテナーを取得または設定します。 (Control から継承されます)
パブリック プロパティ | PreferredSize | コントロールが適合する四角形領域のサイズを取得します。 (Control から継承されます)
パブリック プロパティ | ProductName | コントロールを格納しているアセンブリの製品名を取得します。 (Control から継承されます)
パブリック プロパティ | ProductVersion | コントロールを格納しているアセンブリのバージョンを取得します。 (Control から継承されます)
パブリック プロパティ | RecreatingHandle | コントロールが現在そのコントロールのハンドルを再作成中かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Region | コントロールに関連付けられたウィンドウ領域を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | RenderRightToLeft | Obsolete. このプロパティは使用されなくなりました。 (Control から継承されます)
プロテクト プロパティ | ResizeRedraw | サイズが変更されたときに、コントロールがコントロール自体を再描画するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Right | コントロールの右端とコンテナーのクライアント領域の左端の間の距離をピクセルで取得します。 (Control から継承されます)
プロテクト プロパティ | ScaleChildren | 子コントロールのスケーリングを決定する値を取得します。 (Control から継承されます)
プロテクト プロパティ | ShowFocusCues | コントロールがフォーカスを示す四角形を表示する必要があるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | ShowKeyboardCues | ユーザー インターフェイスがキーボード アクセラレータを表示または非表示にする適切な状態かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Site | コントロールのサイトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Size | コントロールの高さと幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | SizeMode | イメージの表示方法を示します。 (PictureBox から継承されます)
パブリック プロパティ | Tag | コントロールに関するデータを格納するオブジェクトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Top | コントロールの上端とコンテナーのクライアント領域の上端の間の距離をピクセル単位で取得または設定します。 (Control から継承されます)
パブリック プロパティ | TopLevelControl | 別の Windows フォーム コントロールを親として持たない親コントロールを取得します。 一般的に、これは、コントロールを格納している、最も外側の Form です。 (Control から継承されます)
パブリック プロパティ | UseWaitCursor | 現在のコントロールおよびすべての子コントロールに待機カーソルを使用するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Visible | コントロールとそのすべての子コントロールが表示されているかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | WaitOnLoad | イメージが同期的に読み込まれるかどうかを示す値を取得または設定します。 (PictureBox から継承されます)
パブリック プロパティ | Width | コントロールの幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ZoomFactor | コントロールのズーム率を取得または設定します。


GcMultiScaleImage.Images プロパティ (GrapeCity.Win.MultiTouch)

GcMultiScaleImage.Images プロパティ

特定のズーム率のときに表示されるイメージを含む ImageItem のグループを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Images As List(Of ImageItem)

public List<ImageItem> Images { get; }

プロパティ値

System.Collections.Generic.List<ImageItem>型

ImageItem のグループを表す IList 値。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMultiScaleImage クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub InitializeComponent()
    Dim item1 As New ImageItem()
    item1.Image = Image.FromFile("C:\image1.jpg")
    item1.ZoomFactor = 1.5F

    Dim item2 As New ImageItem()
    item2.Image = Image.FromFile("C:\image2.jpg")
    item2.ZoomFactor = 2.0F

    _gcmultiScaleImage = New GcMultiScaleImage()
    _gcmultiScaleImage.Location = New Point(20, 20)
    _gcmultiScaleImage.Size = New Size(100, 100)
    _gcmultiScaleImage.BackColor = Color.Red

    _gcmultiScaleImage.ZoomFactor = 1.0F
    _gcmultiScaleImage.Image = Image.FromFile("C:\image.jpg")
    _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage

    _gcmultiScaleImage.Images.Add(item1)
    _gcmultiScaleImage.Images.Add(item2)

    Me.Controls.Add(_gcmultiScaleImage)
    Me.Size = New Size(300, 300)
End Sub

private void InitializeComponent()
{
    ImageItem item1 = new ImageItem();
    item1.Image = Image.FromFile(@"C:\image1.jpg");
    item1.ZoomFactor = 1.5f;

    ImageItem item2 = new ImageItem();
    item2.Image = Image.FromFile(@"C:\image2.jpg");
    item2.ZoomFactor = 2f;

    _gcmultiScaleImage = new GcMultiScaleImage();
    _gcmultiScaleImage.Location = new Point(20, 20);
    _gcmultiScaleImage.Size = new Size(100, 100);
    _gcmultiScaleImage.BackColor = Color.Red;

    _gcmultiScaleImage.ZoomFactor = 1f;
    _gcmultiScaleImage.Image = Image.FromFile(@"C:\image.jpg");
    _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage;

    _gcmultiScaleImage.Images.Add(item1);
    _gcmultiScaleImage.Images.Add(item2);

    this.Controls.Add(_gcmultiScaleImage);
    this.Size = new Size(300, 300);
}


GcMultiScaleImage.ZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

GcMultiScaleImage.ZoomFactor プロパティ

コントロールのズーム率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomFactor As Single

public float ZoomFactor { get; set; }

プロパティ値

System.Single型

コントロールのズーム率を表す Single 値。デフォルトは 1f です。

例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | 指定された値が 1 未満です。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcMultiScaleImage クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub InitializeComponent()
    Dim item1 As New ImageItem()
    item1.Image = Image.FromFile("C:\image1.jpg")
    item1.ZoomFactor = 1.5F

    Dim item2 As New ImageItem()
    item2.Image = Image.FromFile("C:\image2.jpg")
    item2.ZoomFactor = 2.0F

    _gcmultiScaleImage = New GcMultiScaleImage()
    _gcmultiScaleImage.Location = New Point(20, 20)
    _gcmultiScaleImage.Size = New Size(100, 100)
    _gcmultiScaleImage.BackColor = Color.Red

    _gcmultiScaleImage.ZoomFactor = 1.0F
    _gcmultiScaleImage.Image = Image.FromFile("C:\image.jpg")
    _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage

    _gcmultiScaleImage.Images.Add(item1)
    _gcmultiScaleImage.Images.Add(item2)

    Me.Controls.Add(_gcmultiScaleImage)
    Me.Size = New Size(300, 300)
End Sub

private void InitializeComponent()
{
    ImageItem item1 = new ImageItem();
    item1.Image = Image.FromFile(@"C:\image1.jpg");
    item1.ZoomFactor = 1.5f;

    ImageItem item2 = new ImageItem();
    item2.Image = Image.FromFile(@"C:\image2.jpg");
    item2.ZoomFactor = 2f;

    _gcmultiScaleImage = new GcMultiScaleImage();
    _gcmultiScaleImage.Location = new Point(20, 20);
    _gcmultiScaleImage.Size = new Size(100, 100);
    _gcmultiScaleImage.BackColor = Color.Red;

    _gcmultiScaleImage.ZoomFactor = 1f;
    _gcmultiScaleImage.Image = Image.FromFile(@"C:\image.jpg");
    _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage;

    _gcmultiScaleImage.Images.Add(item1);
    _gcmultiScaleImage.Images.Add(item2);

    this.Controls.Add(_gcmultiScaleImage);
    this.Size = new Size(300, 300);
}


GcMultiScaleImage メソッド

GcMultiScaleImage メソッド

GcMultiScaleImage クラスのメソッドは以下のとおりです。GcMultiScaleImage クラスの完全なメンバ一覧については、 GcMultiScaleImageメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
プロテクト メソッド | AccessibilityNotifyClients | オーバーロード。 指定した子コントロールの指定した AccessibleEvents をユーザー補助クライアント アプリケーションに通知します。 (Control から継承されます)
プロテクト メソッド | AccessibilityNotifyClients | オーバーロード。 指定した子コントロールの指定した AccessibleEvents をユーザー補助クライアント アプリケーションに通知します。 (Control から継承されます)
パブリック メソッド | BeginInvoke | オーバーロード。 コントロールの基になるハンドルが作成されたスレッド上で、指定したデリゲートを非同期的に実行します。 (Control から継承されます)
パブリック メソッド | BringToFront | コントロールを z オーダーの最前面へ移動します。 (Control から継承されます)
パブリック メソッド | CancelAsync | イメージの非同期読み込みをキャンセルします。 (PictureBox から継承されます)
パブリック メソッド | Contains | 指定したコントロールが、コントロールの子かどうかを示す値を取得します。 (Control から継承されます)
プロテクト メソッド | CreateAccessibilityInstance | コントロールの新しいユーザー補助オブジェクトを作成します。 (Control から継承されます)
パブリック メソッド | CreateControl | ハンドルおよび子コントロールの作成を含めて、強制的に表示子コントロールを作成します。 (Control から継承されます)
プロテクト メソッド | CreateControlsInstance | コントロールのコントロール コレクションの新しいインスタンスを作成します。 (Control から継承されます)
パブリック メソッド | CreateGraphics | コントロールの Graphics を作成します。 (Control から継承されます)
プロテクト メソッド | CreateHandle | コントロールのハンドルを作成します。 (Control から継承されます)
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | DefWndProc | 指定したメッセージを既定のウィンドウ プロシージャに送信します。 (Control から継承されます)
プロテクト メソッド | DestroyHandle | コントロールに関連付けられたハンドルを破棄します。 (Control から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 PictureBox によって使用されているアンマネージ リソースを解放し、オプションでマネージ リソースも解放します。 (PictureBox から継承されます)
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | DoDragDrop | ドラッグ アンド ドロップ操作を開始します。 (Control から継承されます)
パブリック メソッド | DrawToBitmap | 指定したビットマップへのレンダリングをサポートします。 (Control から継承されます)
パブリック メソッド | EndInvoke | 渡された IAsyncResult によって表される、非同期操作の戻り値を取得します。 (Control から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | FindForm | コントロールがあるフォームを取得します。 (Control から継承されます)
パブリック メソッド | Focus | コントロールに入力フォーカスを設定します。 (Control から継承されます)
プロテクト メソッド | GetAccessibilityObjectById | 指定した AccessibleObject を取得します。 (Control から継承されます)
プロテクト メソッド | GetAutoSizeMode | AutoSize プロパティが有効なときのコントロールの動作を示す値を取得します。 (Control から継承されます)
パブリック メソッド | GetChildAtPoint | オーバーロード。 特定の種類の子コントロールを無視するかどうかを指定して、指定した座標にある子コントロールを取得します。 (Control から継承されます)
パブリック メソッド | GetContainerControl | コントロールの親チェインの 1 つ上の ContainerControl を返します。 (Control から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
パブリック メソッド | GetNextControl | 子コントロールのタブ オーダー内の 1 つ前または 1 つ後ろのコントロールを取得します。 (Control から継承されます)
パブリック メソッド | GetPreferredSize | コントロールが収まる四角形の領域のサイズを取得します。 (Control から継承されます)
プロテクト メソッド | GetScaledBounds | コントロールのスケールが設定される境界を取得します。 (Control から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
プロテクト メソッド | GetStyle | コントロールの指定したコントロール スタイル ビットの値を取得します。 (Control から継承されます)
プロテクト メソッド | GetTopLevel | コントロールがトップレベル コントロールかどうかを判断します。 (Control から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Hide | コントロールをユーザーに対して非表示にします。 (Control から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | InitLayout | コントロールが別のコンテナーに追加された後、呼び出されます。 (Control から継承されます)
パブリック メソッド | Invalidate | オーバーロード。 コントロールの指定した領域を無効にし (そのコントロールの次の描画操作で再描画される領域を示す更新領域に追加し)、描画メッセージがそのコントロールに送信されるようにします。 (Control から継承されます)
パブリック メソッド | Invoke | オーバーロード。 コントロールの基になるウィンドウ ハンドルを所有するスレッド上で、指定したデリゲートを実行します。 (Control から継承されます)
プロテクト メソッド | InvokeGotFocus | 指定したコントロールの GotFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokeLostFocus | 指定したコントロールの LostFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokeOnClick | 指定したコントロールの Click イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokePaint | 指定したコントロールの Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokePaintBackground | 指定したコントロールの PaintBackground イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | IsInputChar | 文字が、コントロールによって認識される入力文字かどうかを判断します。 (Control から継承されます)
プロテクト メソッド | IsInputKey | 指定されているキーが、通常の入力キーであるか、またはプリプロセスを必要とする特殊なキーであるかを確認します。 (Control から継承されます)
パブリック メソッド | Load | オーバーロード。 PictureBox の ImageLocation プロパティで指定されるイメージを表示します。 (PictureBox から継承されます)
パブリック メソッド | LoadAsync | オーバーロード。 イメージを非同期的に読み込みます。 (PictureBox から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | NotifyInvalidate | 無効化するコントロールの領域を指定して、Invalidated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnAutoSizeChanged | AutoSizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackColorChanged | BackColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackgroundImageChanged | BackgroundImageChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackgroundImageLayoutChanged | BackgroundImageLayoutChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBindingContextChanged | BindingContextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCausesValidationChanged | CausesValidationChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnChangeUICues | ChangeUICues イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnClick | Click イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnClientSizeChanged | ClientSizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnContextMenuChanged | ContextMenuChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnContextMenuStripChanged | ContextMenuStripChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnControlAdded | ControlAdded イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnControlRemoved | ControlRemoved イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCreateControl | CreateControl メソッドを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCursorChanged | CursorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDockChanged | DockChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDoubleClick | DoubleClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragDrop | DragDrop イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragEnter | DragEnter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragLeave | DragLeave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragOver | DragOver イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnEnabledChanged | オーバーライド。 (PictureBox から継承されます)
プロテクト メソッド | OnEnter | Enter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnFontChanged | FontChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnForeColorChanged | ForeColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnGiveFeedback | GiveFeedback イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnGotFocus | GotFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnHandleCreated | オーバーライド。 HandleCreated イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnHandleDestroyed | オーバーライド。 HandleDestroyed イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnHelpRequested | HelpRequested イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnImeModeChanged | ImeModeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnInvalidated | Invalidated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyDown | KeyDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyPress | KeyPress イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyUp | KeyUp イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLayout | Layout イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLeave | Leave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLoadCompleted | LoadCompleted イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnLoadProgressChanged | LoadProgressChanged イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnLocationChanged | LocationChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLostFocus | LostFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMarginChanged | MarginChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseCaptureChanged | MouseCaptureChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseClick | MouseClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseDoubleClick | MouseDoubleClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseDown | MouseDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseEnter | MouseEnter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseHover | MouseHover イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseLeave | MouseLeave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseMove | MouseMove イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseUp | MouseUp イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseWheel | MouseWheel イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMove | Move イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnNotifyMessage | コントロールに Windows メッセージを通知します。 (Control から継承されます)
プロテクト メソッド | OnPaddingChanged | PaddingChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPaint | オーバーライド。 Paint イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnPaintBackground | コントロールの背景を描画します。 (Control から継承されます)
プロテクト メソッド | OnParentBackColorChanged | コントロールのコンテナーの BackColor プロパティ値が変更された場合に、BackColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentBackgroundImageChanged | コントロールのコンテナーの BackgroundImage プロパティ値が変更された場合に、BackgroundImageChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentBindingContextChanged | コントロールのコンテナーの BindingContext プロパティ値が変更された場合に、BindingContextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentChanged | オーバーライド。 (PictureBox から継承されます)
プロテクト メソッド | OnParentCursorChanged | CursorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentEnabledChanged | コントロールのコンテナーの Enabled プロパティ値が変更された場合に、EnabledChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentFontChanged | コントロールのコンテナーの Font プロパティ値が変更された場合に、FontChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentForeColorChanged | コントロールのコンテナーの ForeColor プロパティ値が変更された場合に、ForeColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentRightToLeftChanged | コントロールのコンテナーの RightToLeft プロパティ値が変更された場合に、RightToLeftChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentVisibleChanged | コントロールのコンテナーの Visible プロパティ値が変更された場合に、VisibleChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPreviewKeyDown | PreviewKeyDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPrint | Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnQueryContinueDrag | QueryContinueDrag イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnRegionChanged | RegionChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnResize | オーバーライド。 Resize イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnRightToLeftChanged | RightToLeftChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnSizeChanged | SizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnSizeModeChanged | SizeModeChanged イベントを発生させます。 (PictureBox から継承されます)
プロテクト メソッド | OnStyleChanged | StyleChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnSystemColorsChanged | SystemColorsChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTabIndexChanged | TabIndexChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTabStopChanged | TabStopChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTextChanged | TextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnValidated | Validated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnValidating | Validating イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnVisibleChanged | オーバーライド。 (PictureBox から継承されます)
パブリック メソッド | PerformLayout | オーバーロード。 コントロールがレイアウト ロジックをすべての子コントロールに適用するように強制します。 (Control から継承されます)
パブリック メソッド | PointToClient | 指定した画面上のポイントを計算してクライアント座標を算出します。 (Control から継承されます)
パブリック メソッド | PointToScreen | 指定したクライアント ポイントを計算して画面座標を算出します。 (Control から継承されます)
パブリック メソッド | PreProcessControlMessage | キーボード メッセージまたは入力メッセージがディスパッチされる前に、メッセージ ループ内の入力メッセージを前処理します。 (Control から継承されます)
パブリック メソッド | PreProcessMessage | キーボード メッセージまたは入力メッセージがディスパッチされる前に、メッセージ ループ内の入力メッセージを前処理します。 (Control から継承されます)
プロテクト メソッド | ProcessCmdKey | コマンド キーを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessDialogChar | ダイアログ文字を処理します。 (Control から継承されます)
プロテクト メソッド | ProcessDialogKey | ダイアログ キーを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyEventArgs | キー メッセージを処理し、適切なコントロール イベントを生成します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyMessage | キーボード メッセージを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyPreview | キーボード メッセージをプレビューします。 (Control から継承されます)
プロテクト メソッド | ProcessMnemonic | ニーモニック文字を処理します。 (Control から継承されます)
プロテクト メソッド | RaiseDragEvent | 適切なドラッグ イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaiseKeyEvent | 適切なキー イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaiseMouseEvent | 適切なマウス イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaisePaintEvent | 適切な描画イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RecreateHandle | 強制的にコントロールのハンドルを再作成します。 (Control から継承されます)
パブリック メソッド | RectangleToClient | 指定した画面上の四角形のサイズと位置をクライアント座標で算出します。 (Control から継承されます)
パブリック メソッド | RectangleToScreen | 指定したクライアント領域の四角形のサイズと位置を画面座標で算出します。 (Control から継承されます)
パブリック メソッド | Refresh | 強制的に、コントロールがクライアント領域を無効化し、直後にそのコントロール自体とその子コントロールを再描画するようにします。 (Control から継承されます)
プロテクト メソッド | ResetMouseEventArgs | MouseLeave イベントを処理するためのコントロールをリセットします。 (Control から継承されます)
パブリック メソッド | ResetText | Text プロパティを既定値にリセットします。 (Control から継承されます)
パブリック メソッド | ResumeLayout | オーバーロード。 通常のレイアウト ロジックを再開します。 (Control から継承されます)
プロテクト メソッド | RtlTranslateAlignment | オーバーロード。 指定した HorizontalAlignment を適切な HorizontalAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateContent | 指定した ContentAlignment を適切な ContentAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateHorizontal | 指定した HorizontalAlignment を適切な HorizontalAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateLeftRight | 指定した LeftRightAlignment を適切な LeftRightAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
パブリック メソッド | Scale | 指定されたスケール ファクターによってコントロールおよびすべての子コントロールのスケールを設定します。 (Control から継承されます)
プロテクト メソッド | ScaleControl | コントロールの位置、サイズ、埋め込み、およびマージンのスケールを設定します。 (Control から継承されます)
パブリック メソッド | Select | オーバーロード。 コントロールをアクティブにします。 (Control から継承されます)
プロテクト メソッド | Select | オーバーロード。 子コントロールをアクティブにします。 オプションとして、タブ オーダーでコントロールを選択するときの方向を指定します。 (Control から継承されます)
パブリック メソッド | SelectNextControl | 次のコントロールをアクティブにします。 (Control から継承されます)
パブリック メソッド | SendToBack | コントロールを z オーダーの背面に移動します。 (Control から継承されます)
プロテクト メソッド | SetAutoSizeMode | AutoSize プロパティが有効なときのコントロールの動作を示す値を設定します。 (Control から継承されます)
パブリック メソッド | SetBounds | オーバーロード。 コントロールの範囲を指定した位置とサイズに設定します。 (Control から継承されます)
プロテクト メソッド | SetBoundsCore | このコントロールの指定した境界を設定する作業を実行します。 (Control から継承されます)
プロテクト メソッド | SetClientSizeCore | コントロールのクライアント領域のサイズを設定します。 (Control から継承されます)
プロテクト メソッド | SetStyle | 指定した ControlStyles フラグを true または false に設定します。 (Control から継承されます)
プロテクト メソッド | SetTopLevel | コントロールをトップレベル コントロールとして設定します。 (Control から継承されます)
プロテクト メソッド | SetVisibleCore | コントロールを指定した表示状態に設定します。 (Control から継承されます)
パブリック メソッド | Show | コントロールをユーザーに対して表示します。 (Control から継承されます)
プロテクト メソッド | SizeFromClientSize | クライアント領域の高さおよび幅からコントロール全体のサイズを決定します。 (Control から継承されます)
パブリック メソッド | SuspendLayout | コントロールのレイアウト ロジックを一時的に中断します。 (Control から継承されます)
パブリック メソッド | ToString | オーバーライド。 現在の PictureBox コントロールを表す文字列を返します。 (PictureBox から継承されます)
パブリック メソッド | Update | コントロールによって、クライアント領域内の無効化された領域が再描画されます。 (Control から継承されます)
プロテクト メソッド | UpdateBounds | オーバーロード。 コントロールの範囲を現在のサイズと位置で更新します。 (Control から継承されます)
プロテクト メソッド | UpdateBounds | オーバーロード。 コントロールの範囲を指定したサイズと位置で更新します。 (Control から継承されます)
プロテクト メソッド | UpdateStyles | 割り当て済みのスタイルを強制的にコントロールに再適用します。 (Control から継承されます)
プロテクト メソッド | UpdateZOrder | コントロールを親の z オーダーで更新します。 (Control から継承されます)
プロテクト メソッド | WndProc | Windows メッセージを処理します。 (Control から継承されます)


GcMultiScaleImage.AboutBox メソッド (GrapeCity.Win.MultiTouch)

GcMultiScaleImage.AboutBox メソッド

製品情報ウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Sub AboutBox()

public void AboutBox();

戻り値

なし
解説

このメソッドが呼び出された後、製品情報を含むウィンドウが表示されます。


GcTouchEventProvider クラス

GcTouchEventProvider クラス

任意のコントロールにアタッチでき、対象のコントロールのポインタイベントとマニピュレーションイベントを提供するコンポーネントを表します。

継承階層
System.Object
System.MarshalByRefObject
System.ComponentModel.Component
GrapeCity.Win.MultiTouch.GcTouchEventProvider

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcTouchEventProvider
    Inherits Component
    Implements IExtenderProvider

public class GcTouchEventProvider : Component, IExtenderProvider
使用例

以下のサンプルコードは、GcTouchEventProvider コンポーネントの使用方法を示します。

このコードを既存の Windows Forms アプリケーションにコピーし、サンプルコード内のフォームを開始フォームとして設定します。

このコードの実行時にライセンスエラーが発生した場合は、GcTouchEventProvider コンポーネントをツールボックスから任意のフォームにドラッグしてみてください。そうすると、ライセンス情報をこのプロジェクトに生成できます。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcTouchEventProviderDemo
        Inherits Form
        Private _bluePanel As Panel
        Private _redPanel As Panel
        Private _clearButton As Button
        Private _messageListBox As ListBox

        Private _gcTouchEventProvider As New GcTouchEventProvider()

        Public Sub New()
            InitializeComponent()

            ' Enable all manipulation interaction modes.
            _gcTouchEventProvider.ManipulationMode = ManipulationModes.All

            ' EnablePressAndHold and EnablePenFlicks property default value is True;

            ' Attach GcTouchEventprovider to Panel.
            _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, True)
            _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, True)
            Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString())
            Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString())

            AddHandler _clearButton.Click, AddressOf _clearButton_Click

            AddHandler _gcTouchEventProvider.Tapped, AddressOf _gcTouchEventProvider_Tapped
            AddHandler _gcTouchEventProvider.DoubleTapped, AddressOf _gcTouchEventProvider_DoubleTapped
            AddHandler _gcTouchEventProvider.Holding, AddressOf _gcTouchEventProvider_Holding
            AddHandler _gcTouchEventProvider.ManipulationStarting, AddressOf _gcTouchEventProvider_ManipulationStarting
            AddHandler _gcTouchEventProvider.ManipulationStarted, AddressOf _gcTouchEventProvider_ManipulationStarted
            AddHandler _gcTouchEventProvider.ManipulationDelta, AddressOf _gcTouchEventProvider_ManipulationDelta
            AddHandler _gcTouchEventProvider.ManipulationInertiaStarting, AddressOf _gcTouchEventProvider_ManipulationInertiaStarting
            AddHandler _gcTouchEventProvider.ManipulationCompleted, AddressOf _gcTouchEventProvider_ManipulationCompleted
            AddHandler _gcTouchEventProvider.RightTapped, AddressOf _gcTouchEventProvider_RightTapped
        End Sub

        Private Sub _gcTouchEventProvider_Tapped(sender As Object, e As TappedEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: Tapped" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_DoubleTapped(sender As Object, e As DoubleTappedEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: DoubleTapped" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_Holding(sender As Object, e As HoldingEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: Holding" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_ManipulationStarting(sender As Object, e As ManipulationStartingEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationStarting" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_ManipulationStarted(sender As Object, e As ManipulationStartedEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationStarted" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_ManipulationDelta(sender As Object, e As ManipulationDeltaEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationDelta" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_ManipulationInertiaStarting(sender As Object, e As ManipulationInertiaStartingEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationInertiaStarting" & "  Velocities: " & e.Velocities.Linear.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_ManipulationCompleted(sender As Object, e As ManipulationCompletedEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationCompleted" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_RightTapped(sender As Object, e As RightTappedEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: RightTapped" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _clearButton_Click(sender As Object, e As EventArgs)
            _messageListBox.Items.Clear()
        End Sub

        Private Sub InitializeComponent()
            _bluePanel = New Panel()
            _bluePanel.Name = "Blue"
            _bluePanel.BackColor = Color.Blue
            _bluePanel.Size = New Size(200, 200)
            _bluePanel.Location = New Point(20, 20)

            _redPanel = New Panel()
            _redPanel.Name = "Red"
            _redPanel.BackColor = Color.Red
            _redPanel.Size = New Size(200, 200)
            _redPanel.Location = New Point(240, 20)

            _clearButton = New Button()
            _clearButton.Text = "Clear List"
            _clearButton.Location = New Point(460, 200)

            _messageListBox = New ListBox()
            _messageListBox.Size = New Size(750, 310)
            _messageListBox.Location = New Point(20, 240)

            Me.Controls.Add(_bluePanel)
            Me.Controls.Add(_redPanel)
            Me.Controls.Add(_clearButton)
            Me.Controls.Add(_messageListBox)
            Me.Size = New Size(800, 600)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcTouchEventProviderDemo : Form
    {
        private Panel _bluePanel;
        private Panel _redPanel;
        private Button _clearButton;
        private ListBox _messageListBox;

        private GcTouchEventProvider _gcTouchEventProvider = new GcTouchEventProvider();

        public GcTouchEventProviderDemo()
        {
            InitializeComponent();

            // Enable all manipulation interaction modes.
            _gcTouchEventProvider.ManipulationMode = ManipulationModes.All;

            // EnablePressAndHold and EnablePenFlicks property default value is True;

            // Attach GcTouchEventprovider to Panel.
            _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, true);
            _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, true);
            Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString());
            Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString());

            _clearButton.Click += _clearButton_Click;

            _gcTouchEventProvider.Tapped += _gcTouchEventProvider_Tapped;
            _gcTouchEventProvider.DoubleTapped += _gcTouchEventProvider_DoubleTapped;
            _gcTouchEventProvider.Holding += _gcTouchEventProvider_Holding;
            _gcTouchEventProvider.ManipulationStarting += _gcTouchEventProvider_ManipulationStarting;
            _gcTouchEventProvider.ManipulationStarted += _gcTouchEventProvider_ManipulationStarted;
            _gcTouchEventProvider.ManipulationDelta += _gcTouchEventProvider_ManipulationDelta;
            _gcTouchEventProvider.ManipulationInertiaStarting += _gcTouchEventProvider_ManipulationInertiaStarting;
            _gcTouchEventProvider.ManipulationCompleted += _gcTouchEventProvider_ManipulationCompleted;
            _gcTouchEventProvider.RightTapped += _gcTouchEventProvider_RightTapped;
        }

        private void _gcTouchEventProvider_Tapped(object sender, TappedEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: Tapped" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_DoubleTapped(object sender, DoubleTappedEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: DoubleTapped" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_Holding(object sender, HoldingEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: Holding" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_ManipulationStarting(object sender, ManipulationStartingEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: ManipulationStarting" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_ManipulationStarted(object sender, ManipulationStartedEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: ManipulationStarted" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_ManipulationDelta(object sender, ManipulationDeltaEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: ManipulationDelta" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_ManipulationInertiaStarting(object sender, ManipulationInertiaStartingEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: ManipulationInertiaStarting" + "  Velocities: " + e.Velocities.Linear.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_ManipulationCompleted(object sender, ManipulationCompletedEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: ManipulationCompleted" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_RightTapped(object sender, RightTappedEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: RightTapped" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _clearButton_Click(object sender, EventArgs e)
        {
            _messageListBox.Items.Clear();
        }

        private void InitializeComponent()
        {
            _bluePanel = new Panel();
            _bluePanel.Name = "Blue";
            _bluePanel.BackColor = Color.Blue;
            _bluePanel.Size = new Size(200, 200);
            _bluePanel.Location = new Point(20, 20);

            _redPanel = new Panel();
            _redPanel.Name = "Red";
            _redPanel.BackColor = Color.Red;
            _redPanel.Size = new Size(200, 200);
            _redPanel.Location = new Point(240, 20);

            _clearButton = new Button();
            _clearButton.Text = "Clear List";
            _clearButton.Location = new Point(460, 200);

            _messageListBox = new ListBox();
            _messageListBox.Size = new Size(750, 310);
            _messageListBox.Location = new Point(20, 240);

            this.Controls.Add(_bluePanel);
            this.Controls.Add(_redPanel);
            this.Controls.Add(_clearButton);
            this.Controls.Add(_messageListBox);
            this.Size = new Size(800, 600);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcTouchEventProvider メンバ

GcTouchEventProvider メンバ

GcTouchEventProvider クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
GcTouchEventProvider | GcTouchEventProvider クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | EnablePenFlicks | コントロールがペンフリックジェスチャをサポートするかどうかを示す値を取得または設定します。
パブリック プロパティ | EnablePressAndHold | コントロールが長押し（右クリック）ジェスチャをサポートするかどうかを示す値を取得または設定します。
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | ManipulationMode | ジェスチャに対する Control の動作やインタラクションに使用される ManipulationModes 値を取得または設定します。
 | MaximunTouches | システム上のすべてのデジタイザーによってサポートされている接触点の最大数を取得します。
パブリック プロパティ | Site | Component の ISite を取得または設定します。 (Component から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | CanExtend | このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できるかどうかを示します。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | GetEnableTouchEvents | 指定したコントロールに GcTouchEventProvider が関連付けられているかどうかを取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | OnDoubleTapped | DoubleTapped イベントを発生させます。
プロテクト メソッド | OnHolding | Holding イベントを発生させます。
プロテクト メソッド | OnManipulationCompleted | ManipulationCompleted イベントを発生させます。
プロテクト メソッド | OnManipulationDelta | ManipulationDelta イベントを発生させます。
プロテクト メソッド | OnManipulationInertiaStarting | ManipulationInertiaStarting イベントを発生させます。
プロテクト メソッド | OnManipulationStarted | ManipulationStarted イベントを発生させます。
プロテクト メソッド | OnManipulationStarting | ManipulationStarting イベントを発生させます。
プロテクト メソッド | OnPointerCanceled | PointerCanceled イベントを発生させます。
プロテクト メソッド | OnPointerCaptureLost | PointerCaptureLost イベントを発生させます。
プロテクト メソッド | OnPointerEntered | PointerEntered イベントを発生させます。
プロテクト メソッド | OnPointerExited | PointerExited イベントを発生させます。
プロテクト メソッド | OnPointerMoved | PointerMoved イベントを発生させます。
プロテクト メソッド | OnPointerPressed | PointerPressed イベントを発生させます。
プロテクト メソッド | OnPointerReleased | PointerReleased イベントを発生させます。
プロテクト メソッド | OnRightTapped | RightTapped イベントを発生させます。
プロテクト メソッド | OnTapped | Tapped イベントを発生させます。
パブリック メソッド | SetEnableTouchEvents | 指定したコントロールに GcTouchEventProvider を関連付けます。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)
イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | DoubleTapped | 他の方法では処理されないダブルタップ操作が特定のコントロールのヒットテスト領域で起こったときに発生します。
パブリック イベント | Holding | 他の方法では処理されないホールド操作が特定のコントロールのヒットテスト領域で起こったときに発生します。
パブリック イベント | ManipulationCompleted | 特定のコントロールに対するマニピュレーションが完了したときに発生します。
パブリック イベント | ManipulationDelta | 操作中に入力デバイスの位置が変わったときに発生します。
パブリック イベント | ManipulationInertiaStarting | 操作中に特定のコントロールに接触していた入力デバイスが離れて慣性運動が開始したときに発生します。
パブリック イベント | ManipulationStarted | 入力デバイスが特定のコントロールに対するマニピュレーションを開始したときに発生します。
パブリック イベント | ManipulationStarting | マニピュレーションプロセッサが最初に作成されたときに発生します。
パブリック イベント | PointerCanceled | 接触していたポインタが異常な離れ方をしたときに発生します。
パブリック イベント | PointerCaptureLost | 特定のコントロールがそれまで保持していたポインタのキャプチャが別のコントロールまたは他の場所に移動したときに発生します。
パブリック イベント | PointerEntered | ポインタが特定のコントロールのヒットテスト領域に入ったときに発生します。
パブリック イベント | PointerExited | ポインタが特定のコントロールのヒットテスト領域から出たときに発生します。
パブリック イベント | PointerMoved | ポインタが特定のコントロールのヒットテスト領域内で移動したときに発生します。
パブリック イベント | PointerPressed | ポインタデバイスが特定のコントロール内でプレスアクションを開始したときに発生します。
パブリック イベント | PointerReleased | 直前にプレスアクションを開始したポインタデバイスが、特定のコントロール内にとどまったまま、離されたときに発生します。プレスアクションの最後に PointerReleased イベントが発生することは保証されていない点に注意してください。代わりに他のイベントが発生する場合があります。詳細については、「解説」を参照してください。
パブリック イベント | RightTapped | ポインタが特定のコントロールの上にあるときに右タップの入力が起こったときに発生します。
パブリック イベント | Tapped | 他の方法では処理されないタップ操作が特定のコントロールのヒットテスト領域で起こったときに発生します。


GcTouchEventProvider コンストラクタ (GrapeCity.Win.MultiTouch)

GcTouchEventProvider コンストラクタ

GcTouchEventProvider クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public GcTouchEventProvider();

戻り値

なし


GcTouchEventProvider プロパティ

GcTouchEventProvider プロパティ

GcTouchEventProvider クラスのプロパティは以下のとおりです。GcTouchEventProvider クラスの完全なメンバ一覧については、 GcTouchEventProviderメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | EnablePenFlicks | コントロールがペンフリックジェスチャをサポートするかどうかを示す値を取得または設定します。
パブリック プロパティ | EnablePressAndHold | コントロールが長押し（右クリック）ジェスチャをサポートするかどうかを示す値を取得または設定します。
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | ManipulationMode | ジェスチャに対する Control の動作やインタラクションに使用される ManipulationModes 値を取得または設定します。
 | MaximunTouches | システム上のすべてのデジタイザーによってサポートされている接触点の最大数を取得します。
パブリック プロパティ | Site | Component の ISite を取得または設定します。 (Component から継承されます)


GcTouchEventProvider.EnablePenFlicks プロパティ (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.EnablePenFlicks プロパティ

コントロールがペンフリックジェスチャをサポートするかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property EnablePenFlicks As Boolean

public bool EnablePenFlicks { get; set; }

プロパティ値

System.Boolean型

ペンフリックジェスチャを許可する場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All

    ' EnablePressAndHold and EnablePenFlicks property default value is True;

    ' Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, True)
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, True)
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString())
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString())

    AddHandler _clearButton.Click, AddressOf _clearButton_Click

    AddHandler _gcTouchEventProvider.Tapped, AddressOf _gcTouchEventProvider_Tapped
    AddHandler _gcTouchEventProvider.DoubleTapped, AddressOf _gcTouchEventProvider_DoubleTapped
    AddHandler _gcTouchEventProvider.Holding, AddressOf _gcTouchEventProvider_Holding
    AddHandler _gcTouchEventProvider.ManipulationStarting, AddressOf _gcTouchEventProvider_ManipulationStarting
    AddHandler _gcTouchEventProvider.ManipulationStarted, AddressOf _gcTouchEventProvider_ManipulationStarted
    AddHandler _gcTouchEventProvider.ManipulationDelta, AddressOf _gcTouchEventProvider_ManipulationDelta
    AddHandler _gcTouchEventProvider.ManipulationInertiaStarting, AddressOf _gcTouchEventProvider_ManipulationInertiaStarting
    AddHandler _gcTouchEventProvider.ManipulationCompleted, AddressOf _gcTouchEventProvider_ManipulationCompleted
    AddHandler _gcTouchEventProvider.RightTapped, AddressOf _gcTouchEventProvider_RightTapped
End Sub

public GcTouchEventProviderDemo()
{
    InitializeComponent();

    // Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All;

    // EnablePressAndHold and EnablePenFlicks property default value is True;

    // Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, true);
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, true);
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString());
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString());

    _clearButton.Click += _clearButton_Click;

    _gcTouchEventProvider.Tapped += _gcTouchEventProvider_Tapped;
    _gcTouchEventProvider.DoubleTapped += _gcTouchEventProvider_DoubleTapped;
    _gcTouchEventProvider.Holding += _gcTouchEventProvider_Holding;
    _gcTouchEventProvider.ManipulationStarting += _gcTouchEventProvider_ManipulationStarting;
    _gcTouchEventProvider.ManipulationStarted += _gcTouchEventProvider_ManipulationStarted;
    _gcTouchEventProvider.ManipulationDelta += _gcTouchEventProvider_ManipulationDelta;
    _gcTouchEventProvider.ManipulationInertiaStarting += _gcTouchEventProvider_ManipulationInertiaStarting;
    _gcTouchEventProvider.ManipulationCompleted += _gcTouchEventProvider_ManipulationCompleted;
    _gcTouchEventProvider.RightTapped += _gcTouchEventProvider_RightTapped;
}


GcTouchEventProvider.EnablePressAndHold プロパティ (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.EnablePressAndHold プロパティ

コントロールが長押し（右クリック）ジェスチャをサポートするかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property EnablePressAndHold As Boolean

public bool EnablePressAndHold { get; set; }

プロパティ値

System.Boolean型

長押し（右クリック）ジェスチャを許可する場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All

    ' EnablePressAndHold and EnablePenFlicks property default value is True;

    ' Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, True)
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, True)
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString())
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString())

    AddHandler _clearButton.Click, AddressOf _clearButton_Click

    AddHandler _gcTouchEventProvider.Tapped, AddressOf _gcTouchEventProvider_Tapped
    AddHandler _gcTouchEventProvider.DoubleTapped, AddressOf _gcTouchEventProvider_DoubleTapped
    AddHandler _gcTouchEventProvider.Holding, AddressOf _gcTouchEventProvider_Holding
    AddHandler _gcTouchEventProvider.ManipulationStarting, AddressOf _gcTouchEventProvider_ManipulationStarting
    AddHandler _gcTouchEventProvider.ManipulationStarted, AddressOf _gcTouchEventProvider_ManipulationStarted
    AddHandler _gcTouchEventProvider.ManipulationDelta, AddressOf _gcTouchEventProvider_ManipulationDelta
    AddHandler _gcTouchEventProvider.ManipulationInertiaStarting, AddressOf _gcTouchEventProvider_ManipulationInertiaStarting
    AddHandler _gcTouchEventProvider.ManipulationCompleted, AddressOf _gcTouchEventProvider_ManipulationCompleted
    AddHandler _gcTouchEventProvider.RightTapped, AddressOf _gcTouchEventProvider_RightTapped
End Sub

public GcTouchEventProviderDemo()
{
    InitializeComponent();

    // Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All;

    // EnablePressAndHold and EnablePenFlicks property default value is True;

    // Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, true);
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, true);
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString());
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString());

    _clearButton.Click += _clearButton_Click;

    _gcTouchEventProvider.Tapped += _gcTouchEventProvider_Tapped;
    _gcTouchEventProvider.DoubleTapped += _gcTouchEventProvider_DoubleTapped;
    _gcTouchEventProvider.Holding += _gcTouchEventProvider_Holding;
    _gcTouchEventProvider.ManipulationStarting += _gcTouchEventProvider_ManipulationStarting;
    _gcTouchEventProvider.ManipulationStarted += _gcTouchEventProvider_ManipulationStarted;
    _gcTouchEventProvider.ManipulationDelta += _gcTouchEventProvider_ManipulationDelta;
    _gcTouchEventProvider.ManipulationInertiaStarting += _gcTouchEventProvider_ManipulationInertiaStarting;
    _gcTouchEventProvider.ManipulationCompleted += _gcTouchEventProvider_ManipulationCompleted;
    _gcTouchEventProvider.RightTapped += _gcTouchEventProvider_RightTapped;
}


GcTouchEventProvider.ManipulationMode プロパティ (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.ManipulationMode プロパティ

ジェスチャに対する Control の動作やインタラクションに使用される ManipulationModes 値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ManipulationMode As ManipulationModes

public ManipulationModes ManipulationMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationModes型

ManipulationModes 値の 1 つ。デフォルトは All です。

ManipulationModeの値 | 説明
511 - All | すべてのマニピュレーションモードを有効にします。
0 - None | マニピュレーションイベントによるグラフィック操作を行いません。
1 - TranslateX | ターゲットを X 軸方向に平行移動するマニピュレーションアクションを許可します。
2 - TranslateY | ターゲットを Y 軸方向に平行移動するマニピュレーションアクションを許可します。
4 - TranslateRailsX | レールモードを使用してターゲットを X 軸方向に平行移動するマニピュレーションアクションを許可します。
8 - TranslateRailsY | レールモードを使用してターゲットを Y 軸方向に平行移動するマニピュレーションアクションを許可します。
16 - Rotate | ターゲットを回転させるマニピュレーションアクションを許可します。
32 - Scale | ターゲットを拡大/縮小するマニピュレーションアクションを許可します。
64 - TranslateInertia | 平行移動アクションに慣性を適用します。
128 - RotateInertia | 回転アクションに慣性を適用します。
256 - ScaleInertia | 拡大/縮小アクションに慣性を適用します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All

    ' EnablePressAndHold and EnablePenFlicks property default value is True;

    ' Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, True)
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, True)
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString())
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString())

    AddHandler _clearButton.Click, AddressOf _clearButton_Click

    AddHandler _gcTouchEventProvider.Tapped, AddressOf _gcTouchEventProvider_Tapped
    AddHandler _gcTouchEventProvider.DoubleTapped, AddressOf _gcTouchEventProvider_DoubleTapped
    AddHandler _gcTouchEventProvider.Holding, AddressOf _gcTouchEventProvider_Holding
    AddHandler _gcTouchEventProvider.ManipulationStarting, AddressOf _gcTouchEventProvider_ManipulationStarting
    AddHandler _gcTouchEventProvider.ManipulationStarted, AddressOf _gcTouchEventProvider_ManipulationStarted
    AddHandler _gcTouchEventProvider.ManipulationDelta, AddressOf _gcTouchEventProvider_ManipulationDelta
    AddHandler _gcTouchEventProvider.ManipulationInertiaStarting, AddressOf _gcTouchEventProvider_ManipulationInertiaStarting
    AddHandler _gcTouchEventProvider.ManipulationCompleted, AddressOf _gcTouchEventProvider_ManipulationCompleted
    AddHandler _gcTouchEventProvider.RightTapped, AddressOf _gcTouchEventProvider_RightTapped
End Sub

public GcTouchEventProviderDemo()
{
    InitializeComponent();

    // Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All;

    // EnablePressAndHold and EnablePenFlicks property default value is True;

    // Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, true);
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, true);
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString());
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString());

    _clearButton.Click += _clearButton_Click;

    _gcTouchEventProvider.Tapped += _gcTouchEventProvider_Tapped;
    _gcTouchEventProvider.DoubleTapped += _gcTouchEventProvider_DoubleTapped;
    _gcTouchEventProvider.Holding += _gcTouchEventProvider_Holding;
    _gcTouchEventProvider.ManipulationStarting += _gcTouchEventProvider_ManipulationStarting;
    _gcTouchEventProvider.ManipulationStarted += _gcTouchEventProvider_ManipulationStarted;
    _gcTouchEventProvider.ManipulationDelta += _gcTouchEventProvider_ManipulationDelta;
    _gcTouchEventProvider.ManipulationInertiaStarting += _gcTouchEventProvider_ManipulationInertiaStarting;
    _gcTouchEventProvider.ManipulationCompleted += _gcTouchEventProvider_ManipulationCompleted;
    _gcTouchEventProvider.RightTapped += _gcTouchEventProvider_RightTapped;
}


GcTouchEventProvider.MaximunTouches プロパティ (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.MaximunTouches プロパティ

システム上のすべてのデジタイザーによってサポートされている接触点の最大数を取得します。

構文
VB
C#
クリップボードにコピー
Public Shared ReadOnly Property MaximunTouches As Integer

public static int MaximunTouches { get; }

プロパティ値

System.Int32型

システム上のすべてのデジタイザーによってサポートされている接触点の最大数を示す Int32 値。

解説

シングルタッチデジタイザーだけがシステムに装備されている場合、戻り値は 1 です。マルチタッチデジタイザーがシステムに装備されている場合は、そのハードウェアが提供できる同時接触点の数が返されます。


GcTouchEventProvider メソッド

GcTouchEventProvider メソッド

GcTouchEventProvider クラスのメソッドは以下のとおりです。GcTouchEventProvider クラスの完全なメンバ一覧については、 GcTouchEventProviderメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | CanExtend | このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できるかどうかを示します。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | GetEnableTouchEvents | 指定したコントロールに GcTouchEventProvider が関連付けられているかどうかを取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | OnDoubleTapped | DoubleTapped イベントを発生させます。
プロテクト メソッド | OnHolding | Holding イベントを発生させます。
プロテクト メソッド | OnManipulationCompleted | ManipulationCompleted イベントを発生させます。
プロテクト メソッド | OnManipulationDelta | ManipulationDelta イベントを発生させます。
プロテクト メソッド | OnManipulationInertiaStarting | ManipulationInertiaStarting イベントを発生させます。
プロテクト メソッド | OnManipulationStarted | ManipulationStarted イベントを発生させます。
プロテクト メソッド | OnManipulationStarting | ManipulationStarting イベントを発生させます。
プロテクト メソッド | OnPointerCanceled | PointerCanceled イベントを発生させます。
プロテクト メソッド | OnPointerCaptureLost | PointerCaptureLost イベントを発生させます。
プロテクト メソッド | OnPointerEntered | PointerEntered イベントを発生させます。
プロテクト メソッド | OnPointerExited | PointerExited イベントを発生させます。
プロテクト メソッド | OnPointerMoved | PointerMoved イベントを発生させます。
プロテクト メソッド | OnPointerPressed | PointerPressed イベントを発生させます。
プロテクト メソッド | OnPointerReleased | PointerReleased イベントを発生させます。
プロテクト メソッド | OnRightTapped | RightTapped イベントを発生させます。
プロテクト メソッド | OnTapped | Tapped イベントを発生させます。
パブリック メソッド | SetEnableTouchEvents | 指定したコントロールに GcTouchEventProvider を関連付けます。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)


GcTouchEventProvider.AboutBox メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.AboutBox メソッド

製品情報ウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Sub AboutBox()

public void AboutBox();

戻り値

なし
解説

このメソッドが呼び出された後、製品情報を含むウィンドウが表示されます。


GcTouchEventProvider.CanExtend メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.CanExtend メソッド

このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できるかどうかを示します。

構文
VB
C#
クリップボードにコピー
Public Function CanExtend( _
   ByVal extendee As Object _
) _
    Implements IExtenderProvider.CanExtend As Boolean

public bool CanExtend(
   object extendee
);

パラメータ

extendee
エクステンダープロパティを受け取る Object。

戻り値

System.Boolean 型

このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できる場合は true。それ以外の場合は false。


GcTouchEventProvider.Dispose メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.Dispose メソッド

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | Dispose() | Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
プロテクト メソッド | Dispose(Boolean) | Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。


GcTouchEventProvider.Dispose メソッド (Boolean) (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.Dispose メソッド (Boolean)

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

構文
VB
C#
クリップボードにコピー
Protected Overrides Sub Dispose( _
   ByVal disposing As Boolean _
)

protected override void Dispose(
   bool disposing
);

パラメータ

disposing
マネージリソースとアンマネージリソースを両方とも解放する場合は true。アンマネージリソースのみを解放する場合は false。

戻り値

なし


GcTouchEventProvider.GetEnableTouchEvents メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.GetEnableTouchEvents メソッド

指定したコントロールに GcTouchEventProvider が関連付けられているかどうかを取得します。

構文
VB
C#
クリップボードにコピー
Public Function GetEnableTouchEvents( _
   ByVal control As Control _
) As Boolean

public bool GetEnableTouchEvents(
   Control control
);

パラメータ

control
GcTouchEventProvider を取得する対象の Control。

戻り値

System.Boolean 型

指定したコントロールがポインタイベントまたはマニピュレーションイベントを受け取る場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All

    ' EnablePressAndHold and EnablePenFlicks property default value is True;

    ' Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, True)
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, True)
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString())
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString())

    AddHandler _clearButton.Click, AddressOf _clearButton_Click

    AddHandler _gcTouchEventProvider.Tapped, AddressOf _gcTouchEventProvider_Tapped
    AddHandler _gcTouchEventProvider.DoubleTapped, AddressOf _gcTouchEventProvider_DoubleTapped
    AddHandler _gcTouchEventProvider.Holding, AddressOf _gcTouchEventProvider_Holding
    AddHandler _gcTouchEventProvider.ManipulationStarting, AddressOf _gcTouchEventProvider_ManipulationStarting
    AddHandler _gcTouchEventProvider.ManipulationStarted, AddressOf _gcTouchEventProvider_ManipulationStarted
    AddHandler _gcTouchEventProvider.ManipulationDelta, AddressOf _gcTouchEventProvider_ManipulationDelta
    AddHandler _gcTouchEventProvider.ManipulationInertiaStarting, AddressOf _gcTouchEventProvider_ManipulationInertiaStarting
    AddHandler _gcTouchEventProvider.ManipulationCompleted, AddressOf _gcTouchEventProvider_ManipulationCompleted
    AddHandler _gcTouchEventProvider.RightTapped, AddressOf _gcTouchEventProvider_RightTapped
End Sub

public GcTouchEventProviderDemo()
{
    InitializeComponent();

    // Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All;

    // EnablePressAndHold and EnablePenFlicks property default value is True;

    // Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, true);
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, true);
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString());
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString());

    _clearButton.Click += _clearButton_Click;

    _gcTouchEventProvider.Tapped += _gcTouchEventProvider_Tapped;
    _gcTouchEventProvider.DoubleTapped += _gcTouchEventProvider_DoubleTapped;
    _gcTouchEventProvider.Holding += _gcTouchEventProvider_Holding;
    _gcTouchEventProvider.ManipulationStarting += _gcTouchEventProvider_ManipulationStarting;
    _gcTouchEventProvider.ManipulationStarted += _gcTouchEventProvider_ManipulationStarted;
    _gcTouchEventProvider.ManipulationDelta += _gcTouchEventProvider_ManipulationDelta;
    _gcTouchEventProvider.ManipulationInertiaStarting += _gcTouchEventProvider_ManipulationInertiaStarting;
    _gcTouchEventProvider.ManipulationCompleted += _gcTouchEventProvider_ManipulationCompleted;
    _gcTouchEventProvider.RightTapped += _gcTouchEventProvider_RightTapped;
}


GcTouchEventProvider.OnDoubleTapped メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnDoubleTapped メソッド

DoubleTapped イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnDoubleTapped( _
   ByVal e As DoubleTappedEventArgs _
)

protected internal virtual void OnDoubleTapped(
   DoubleTappedEventArgs e
);

パラメータ

e
イベントデータを含む DoubleTappedEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnHolding メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnHolding メソッド

Holding イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnHolding( _
   ByVal e As HoldingEventArgs _
)

protected internal virtual void OnHolding(
   HoldingEventArgs e
);

パラメータ

e
イベントデータを含む HoldingEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnManipulationCompleted メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnManipulationCompleted メソッド

ManipulationCompleted イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnManipulationCompleted( _
   ByVal e As ManipulationCompletedEventArgs _
)

protected internal virtual void OnManipulationCompleted(
   ManipulationCompletedEventArgs e
);

パラメータ

e
イベントデータを含む ManipulationCompletedEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnManipulationDelta メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnManipulationDelta メソッド

ManipulationDelta イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnManipulationDelta( _
   ByVal e As ManipulationDeltaEventArgs _
)

protected internal virtual void OnManipulationDelta(
   ManipulationDeltaEventArgs e
);

パラメータ

e
イベントデータを含む ManipulationDeltaEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnManipulationInertiaStarting メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnManipulationInertiaStarting メソッド

ManipulationInertiaStarting イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnManipulationInertiaStarting( _
   ByVal e As ManipulationInertiaStartingEventArgs _
)

protected internal virtual void OnManipulationInertiaStarting(
   ManipulationInertiaStartingEventArgs e
);

パラメータ

e
イベントデータを含む ManipulationInertiaStartingEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnManipulationStarted メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnManipulationStarted メソッド

ManipulationStarted イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnManipulationStarted( _
   ByVal e As ManipulationStartedEventArgs _
)

protected internal virtual void OnManipulationStarted(
   ManipulationStartedEventArgs e
);

パラメータ

e
イベントデータを含む ManipulationStartedEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnManipulationStarting メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnManipulationStarting メソッド

ManipulationStarting イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnManipulationStarting( _
   ByVal e As ManipulationStartingEventArgs _
)

protected internal virtual void OnManipulationStarting(
   ManipulationStartingEventArgs e
);

パラメータ

e
イベントデータを含む ManipulationStartingEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnPointerCanceled メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnPointerCanceled メソッド

PointerCanceled イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnPointerCanceled( _
   ByVal e As PointerEventArgs _
)

protected internal virtual void OnPointerCanceled(
   PointerEventArgs e
);

パラメータ

e
イベントデータを含む PointerEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnPointerCaptureLost メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnPointerCaptureLost メソッド

PointerCaptureLost イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnPointerCaptureLost( _
   ByVal e As PointerEventArgs _
)

protected internal virtual void OnPointerCaptureLost(
   PointerEventArgs e
);

パラメータ

e
イベントデータを含む PointerEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnPointerEntered メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnPointerEntered メソッド

PointerEntered イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnPointerEntered( _
   ByVal e As PointerEventArgs _
)

protected internal virtual void OnPointerEntered(
   PointerEventArgs e
);

パラメータ

e
イベントデータを含む PointerEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnPointerExited メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnPointerExited メソッド

PointerExited イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnPointerExited( _
   ByVal e As PointerEventArgs _
)

protected internal virtual void OnPointerExited(
   PointerEventArgs e
);

パラメータ

e
イベントデータを含む PointerEventArgs インスタンス。

戻り値

なし
解説

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、PointerEventArgs.Handled を設定します。


GcTouchEventProvider.OnPointerMoved メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnPointerMoved メソッド

PointerMoved イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnPointerMoved( _
   ByVal e As PointerEventArgs _
)

protected internal virtual void OnPointerMoved(
   PointerEventArgs e
);

パラメータ

e
イベントデータを含む PointerEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnPointerPressed メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnPointerPressed メソッド

PointerPressed イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnPointerPressed( _
   ByVal e As PointerEventArgs _
)

protected internal virtual void OnPointerPressed(
   PointerEventArgs e
);

パラメータ

e
イベントデータを含む PointerEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnPointerReleased メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnPointerReleased メソッド

PointerReleased イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnPointerReleased( _
   ByVal e As PointerEventArgs _
)

protected internal virtual void OnPointerReleased(
   PointerEventArgs e
);

パラメータ

e
イベントデータを含む PointerEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnRightTapped メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnRightTapped メソッド

RightTapped イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnRightTapped( _
   ByVal e As RightTappedEventArgs _
)

protected internal virtual void OnRightTapped(
   RightTappedEventArgs e
);

パラメータ

e
イベントデータを含む RightTappedEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.OnTapped メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.OnTapped メソッド

Tapped イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnTapped( _
   ByVal e As TappedEventArgs _
)

protected internal virtual void OnTapped(
   TappedEventArgs e
);

パラメータ

e
イベントデータを含む TappedEventArgs インスタンス。

戻り値

なし


GcTouchEventProvider.SetEnableTouchEvents メソッド (GrapeCity.Win.MultiTouch)

GcTouchEventProvider.SetEnableTouchEvents メソッド

指定したコントロールに GcTouchEventProvider を関連付けます。

構文
VB
C#
クリップボードにコピー
Public Sub SetEnableTouchEvents( _
   ByVal control As Control, _
   ByVal value As Boolean _
)

public void SetEnableTouchEvents(
   Control control,
   bool value
);

パラメータ

control
GcTouchEventProvider を関連付ける Control。
value
指定したコントロールに GcTouchEventProvider を関連付ける場合は true。それ以外の場合は false。

戻り値

なし
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All

    ' EnablePressAndHold and EnablePenFlicks property default value is True;

    ' Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, True)
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, True)
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString())
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString())

    AddHandler _clearButton.Click, AddressOf _clearButton_Click

    AddHandler _gcTouchEventProvider.Tapped, AddressOf _gcTouchEventProvider_Tapped
    AddHandler _gcTouchEventProvider.DoubleTapped, AddressOf _gcTouchEventProvider_DoubleTapped
    AddHandler _gcTouchEventProvider.Holding, AddressOf _gcTouchEventProvider_Holding
    AddHandler _gcTouchEventProvider.ManipulationStarting, AddressOf _gcTouchEventProvider_ManipulationStarting
    AddHandler _gcTouchEventProvider.ManipulationStarted, AddressOf _gcTouchEventProvider_ManipulationStarted
    AddHandler _gcTouchEventProvider.ManipulationDelta, AddressOf _gcTouchEventProvider_ManipulationDelta
    AddHandler _gcTouchEventProvider.ManipulationInertiaStarting, AddressOf _gcTouchEventProvider_ManipulationInertiaStarting
    AddHandler _gcTouchEventProvider.ManipulationCompleted, AddressOf _gcTouchEventProvider_ManipulationCompleted
    AddHandler _gcTouchEventProvider.RightTapped, AddressOf _gcTouchEventProvider_RightTapped
End Sub

public GcTouchEventProviderDemo()
{
    InitializeComponent();

    // Enable all manipulation interaction modes.
    _gcTouchEventProvider.ManipulationMode = ManipulationModes.All;

    // EnablePressAndHold and EnablePenFlicks property default value is True;

    // Attach GcTouchEventprovider to Panel.
    _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, true);
    _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, true);
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_bluePanel).ToString());
    Console.WriteLine(_gcTouchEventProvider.GetEnableTouchEvents(_redPanel).ToString());

    _clearButton.Click += _clearButton_Click;

    _gcTouchEventProvider.Tapped += _gcTouchEventProvider_Tapped;
    _gcTouchEventProvider.DoubleTapped += _gcTouchEventProvider_DoubleTapped;
    _gcTouchEventProvider.Holding += _gcTouchEventProvider_Holding;
    _gcTouchEventProvider.ManipulationStarting += _gcTouchEventProvider_ManipulationStarting;
    _gcTouchEventProvider.ManipulationStarted += _gcTouchEventProvider_ManipulationStarted;
    _gcTouchEventProvider.ManipulationDelta += _gcTouchEventProvider_ManipulationDelta;
    _gcTouchEventProvider.ManipulationInertiaStarting += _gcTouchEventProvider_ManipulationInertiaStarting;
    _gcTouchEventProvider.ManipulationCompleted += _gcTouchEventProvider_ManipulationCompleted;
    _gcTouchEventProvider.RightTapped += _gcTouchEventProvider_RightTapped;
}


GcTouchEventProvider イベント

GcTouchEventProvider イベント

GcTouchEventProvider クラスのイベントは以下のとおりです。GcTouchEventProvider クラスの完全なメンバ一覧については、 GcTouchEventProviderメンバのトピックを参照してください。

イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | DoubleTapped | 他の方法では処理されないダブルタップ操作が特定のコントロールのヒットテスト領域で起こったときに発生します。
パブリック イベント | Holding | 他の方法では処理されないホールド操作が特定のコントロールのヒットテスト領域で起こったときに発生します。
パブリック イベント | ManipulationCompleted | 特定のコントロールに対するマニピュレーションが完了したときに発生します。
パブリック イベント | ManipulationDelta | 操作中に入力デバイスの位置が変わったときに発生します。
パブリック イベント | ManipulationInertiaStarting | 操作中に特定のコントロールに接触していた入力デバイスが離れて慣性運動が開始したときに発生します。
パブリック イベント | ManipulationStarted | 入力デバイスが特定のコントロールに対するマニピュレーションを開始したときに発生します。
パブリック イベント | ManipulationStarting | マニピュレーションプロセッサが最初に作成されたときに発生します。
パブリック イベント | PointerCanceled | 接触していたポインタが異常な離れ方をしたときに発生します。
パブリック イベント | PointerCaptureLost | 特定のコントロールがそれまで保持していたポインタのキャプチャが別のコントロールまたは他の場所に移動したときに発生します。
パブリック イベント | PointerEntered | ポインタが特定のコントロールのヒットテスト領域に入ったときに発生します。
パブリック イベント | PointerExited | ポインタが特定のコントロールのヒットテスト領域から出たときに発生します。
パブリック イベント | PointerMoved | ポインタが特定のコントロールのヒットテスト領域内で移動したときに発生します。
パブリック イベント | PointerPressed | ポインタデバイスが特定のコントロール内でプレスアクションを開始したときに発生します。
パブリック イベント | PointerReleased | 直前にプレスアクションを開始したポインタデバイスが、特定のコントロール内にとどまったまま、離されたときに発生します。プレスアクションの最後に PointerReleased イベントが発生することは保証されていない点に注意してください。代わりに他のイベントが発生する場合があります。詳細については、「解説」を参照してください。
パブリック イベント | RightTapped | ポインタが特定のコントロールの上にあるときに右タップの入力が起こったときに発生します。
パブリック イベント | Tapped | 他の方法では処理されないタップ操作が特定のコントロールのヒットテスト領域で起こったときに発生します。


DoubleTapped イベント

GcTouchEventProvider.DoubleTapped イベント

他の方法では処理されないダブルタップ操作が特定のコントロールのヒットテスト領域で起こったときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event DoubleTapped As DoubleTappedEventArgs

public event DoubleTappedEventArgs DoubleTapped;
解説

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、DoubleTappedEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_DoubleTapped(sender As Object, e As DoubleTappedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: DoubleTapped" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_DoubleTapped(object sender, DoubleTappedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: DoubleTapped" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


Holding イベント

GcTouchEventProvider.Holding イベント

他の方法では処理されないホールド操作が特定のコントロールのヒットテスト領域で起こったときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event Holding As HoldingEventArgs

public event HoldingEventArgs Holding;
解説

Tapped、DoubleTapped、RightTapped の各イベントはタッチポイントが離れた後にのみ発生しますが、Holding イベントはタッチポイントがまだ接触している間に発生します。このイベントは、タッチポイントが一定時間ほぼ同じ位置にとどまっている場合に発生します。

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、HoldingEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_Holding(sender As Object, e As HoldingEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: Holding" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_Holding(object sender, HoldingEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: Holding" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


ManipulationCompleted イベント

GcTouchEventProvider.ManipulationCompleted イベント

特定のコントロールに対するマニピュレーションが完了したときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event ManipulationCompleted As ManipulationCompletedEventArgs

public event ManipulationCompletedEventArgs ManipulationCompleted;
解説

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、ManipulationCompletedEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationCompleted(sender As Object, e As ManipulationCompletedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationCompleted" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationCompleted(object sender, ManipulationCompletedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationCompleted" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


ManipulationDelta イベント

GcTouchEventProvider.ManipulationDelta イベント

操作中に入力デバイスの位置が変わったときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event ManipulationDelta As ManipulationDeltaEventArgs

public event ManipulationDeltaEventArgs ManipulationDelta;
解説

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、ManipulationDeltaEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationDelta(sender As Object, e As ManipulationDeltaEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationDelta" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationDelta(object sender, ManipulationDeltaEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationDelta" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


ManipulationInertiaStarting イベント

GcTouchEventProvider.ManipulationInertiaStarting イベント

操作中に特定のコントロールに接触していた入力デバイスが離れて慣性運動が開始したときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event ManipulationInertiaStarting As ManipulationInertiaStartingEventArgs

public event ManipulationInertiaStartingEventArgs ManipulationInertiaStarting;
解説

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、ManipulationInertiaStartingEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationInertiaStarting(sender As Object, e As ManipulationInertiaStartingEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationInertiaStarting" & "  Velocities: " & e.Velocities.Linear.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationInertiaStarting(object sender, ManipulationInertiaStartingEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationInertiaStarting" + "  Velocities: " + e.Velocities.Linear.ToString();
    _messageListBox.Items.Add(log);
}


ManipulationStarted イベント

GcTouchEventProvider.ManipulationStarted イベント

入力デバイスが特定のコントロールに対するマニピュレーションを開始したときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event ManipulationStarted As ManipulationStartedEventArgs

public event ManipulationStartedEventArgs ManipulationStarted;
解説

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、ManipulationStartedEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationStarted(sender As Object, e As ManipulationStartedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationStarted" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationStarted(object sender, ManipulationStartedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationStarted" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


ManipulationStarting イベント

GcTouchEventProvider.ManipulationStarting イベント

マニピュレーションプロセッサが最初に作成されたときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event ManipulationStarting As ManipulationStartingEventArgs

public event ManipulationStartingEventArgs ManipulationStarting;
解説

このイベントはルーティングイベントです。マニピュレーションイベントのソースとなるためには、GcTouchEventProvider の ManipulationMode が None 以外に設定されている必要があります。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationStarting(sender As Object, e As ManipulationStartingEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationStarting" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationStarting(object sender, ManipulationStartingEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationStarting" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


PointerCanceled イベント

GcTouchEventProvider.PointerCanceled イベント

接触していたポインタが異常な離れ方をしたときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event PointerCanceled As PointerEventArgs

public event PointerEventArgs PointerCanceled;
解説

メモ PointerCanceled は PointerReleased の代わりに発生する場合があります。PointerPressed イベントと PointerReleased イベントは常にペアで発生するとは想定しないでください。アプリケーションを正しく機能させるには、プレスアクションの最後に発生する可能性のあるすべてのイベント（PointerCanceled を含む）をアプリケーションでリッスンし、処理する必要があります。PointerCanceled が発生する理由としては、以下のようなものが考えられます。

  • ユーザーアクションによって表示領域の関係が変わった（たとえば、解像度やモニタの設定が変更された）
  • スタイラスなどの入力操作が、前のタッチアクションと同じサーフェイスにタッチした

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、PointerEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、PointerPressed イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_PointerCanceled(sender As Object, e As PointerEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerCanceled" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_PointerCanceled(object sender, PointerEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: PointerCanceled" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


PointerCaptureLost イベント

GcTouchEventProvider.PointerCaptureLost イベント

特定のコントロールがそれまで保持していたポインタのキャプチャが別のコントロールまたは他の場所に移動したときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event PointerCaptureLost As PointerEventArgs

public event PointerEventArgs PointerCaptureLost;
解説

メモ PointerCaptureLost は PointerReleased の代わりに発生する場合があります。PointerPressed イベントと PointerReleased イベントは常にペアで発生するとは想定しないでください。アプリケーションを正しく機能させるには、プレスアクションの最後に発生する可能性のあるすべてのイベント（PointerCaptureLost を含む）をアプリケーションでリッスンし、処理する必要があります。

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、PointerEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、PointerPressed イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_PointerCaptureLost(sender As Object, e As PointerEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerCaptureLost" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_PointerCaptureLost(object sender, PointerEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: PointerCaptureLost" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


PointerEntered イベント

GcTouchEventProvider.PointerEntered イベント

ポインタが特定のコントロールのヒットテスト領域に入ったときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event PointerEntered As PointerEventArgs

public event PointerEventArgs PointerEntered;
解説

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、PointerEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、PointerPressed イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_PointerEntered(sender As Object, e As PointerEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerEntered" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_PointerEntered(object sender, PointerEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: PointerEntered" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


PointerExited イベント

GcTouchEventProvider.PointerExited イベント

ポインタが特定のコントロールのヒットテスト領域から出たときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event PointerExited As PointerEventArgs

public event PointerEventArgs PointerExited;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、PointerPressed イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_PointerExited(sender As Object, e As PointerEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerExited" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_PointerExited(object sender, PointerEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: PointerExited" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


PointerMoved イベント

GcTouchEventProvider.PointerMoved イベント

ポインタが特定のコントロールのヒットテスト領域内で移動したときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event PointerMoved As PointerEventArgs

public event PointerEventArgs PointerMoved;
解説

一部の UI シナリオでは、このイベントは頻繁に発生します。このハンドラに配置するコードのパフォーマンスプロファイルに注意し、ロジックの実際の実行回数を調整できる独自のフラグまた許容範囲を使用する方法を検討してください。

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、PointerEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、PointerPressed イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_PointerMoved(sender As Object, e As PointerEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerMoved" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_PointerMoved(object sender, PointerEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: PointerMoved" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


PointerPressed イベント

GcTouchEventProvider.PointerPressed イベント

ポインタデバイスが特定のコントロール内でプレスアクションを開始したときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event PointerPressed As PointerEventArgs

public event PointerEventArgs PointerPressed;
解説

メモ: アクションの最後に PointerReleased ではなく他のイベント（たとえば、PointerCanceled や PointerCaptureLost など）が発生する場合があります。PointerPressed イベントと PointerReleased イベントは常にペアで発生するとは想定しないでください。アプリケーションを正しく機能させるには、プレスアクションの最後に発生する可能性のあるすべてのイベントをアプリケーションでリッスンし、処理する必要があります。PointerReleased が発生しない理由としては、以下のようなものが考えられます。

  • 特定のハードウェアでのタッチアクションとプレスアクションの処理方法に違いがある
  • ユーザーアクションによって表示領域の関係が変わった（たとえば、解像度やモニタの設定が変更された）
  • スタイラスなどの入力操作が、前のタッチアクションと同じサーフェイスにタッチした

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、PointerEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcTouchEventProviderPointerDemo
        Inherits Form
        Private _bluePanel As Panel
        Private _redPanel As Panel
        Private _clearButton As Button
        Private _messageListBox As ListBox

        Private _gcTouchEventProvider As New GcTouchEventProvider()

        Public Sub New()
            InitializeComponent()

            _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, True)
            _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, True)

            AddHandler _clearButton.Click, AddressOf _clearButton_Click

            AddHandler _gcTouchEventProvider.PointerCaptureLost, AddressOf _gcTouchEventProvider_PointerCaptureLost
            AddHandler _gcTouchEventProvider.PointerCanceled, AddressOf _gcTouchEventProvider_PointerCanceled
            AddHandler _gcTouchEventProvider.PointerEntered, AddressOf _gcTouchEventProvider_PointerEntered
            AddHandler _gcTouchEventProvider.PointerExited, AddressOf _gcTouchEventProvider_PointerExited
            AddHandler _gcTouchEventProvider.PointerPressed, AddressOf _gcTouchEventProvider_PointerPressed
            AddHandler _gcTouchEventProvider.PointerMoved, AddressOf _gcTouchEventProvider_PointerMoved
            AddHandler _gcTouchEventProvider.PointerReleased, AddressOf _gcTouchEventProvider_PointerReleased
        End Sub

        Private Sub _gcTouchEventProvider_PointerCaptureLost(sender As Object, e As PointerEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerCaptureLost" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_PointerCanceled(sender As Object, e As PointerEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerCanceled" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_PointerEntered(sender As Object, e As PointerEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerEntered" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_PointerExited(sender As Object, e As PointerEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerExited" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_PointerPressed(sender As Object, e As PointerEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerPressed" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_PointerMoved(sender As Object, e As PointerEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerMoved" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _gcTouchEventProvider_PointerReleased(sender As Object, e As PointerEventArgs)
            Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerReleased" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
            _messageListBox.Items.Add(log)
        End Sub

        Private Sub _clearButton_Click(sender As Object, e As EventArgs)
            _messageListBox.Items.Clear()
        End Sub

        Private Sub InitializeComponent()
            _bluePanel = New Panel()
            _bluePanel.Name = "Blue"
            _bluePanel.BackColor = Color.Blue
            _bluePanel.Size = New Size(200, 200)
            _bluePanel.Location = New Point(20, 20)

            _redPanel = New Panel()
            _redPanel.Name = "Red"
            _redPanel.BackColor = Color.Red
            _redPanel.Size = New Size(200, 200)
            _redPanel.Location = New Point(240, 20)

            _clearButton = New Button()
            _clearButton.Text = "Clear List"
            _clearButton.Location = New Point(460, 200)

            _messageListBox = New ListBox()
            _messageListBox.Size = New Size(750, 310)
            _messageListBox.Location = New Point(20, 240)

            Me.Controls.Add(_bluePanel)
            Me.Controls.Add(_redPanel)
            Me.Controls.Add(_clearButton)
            Me.Controls.Add(_messageListBox)
            Me.Size = New Size(800, 600)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcTouchEventProviderPointerDemo : Form
    {
        private Panel _bluePanel;
        private Panel _redPanel;
        private Button _clearButton;
        private ListBox _messageListBox;

        private GcTouchEventProvider _gcTouchEventProvider = new GcTouchEventProvider();

        public GcTouchEventProviderPointerDemo()
        {
            InitializeComponent();

            _gcTouchEventProvider.SetEnableTouchEvents(_bluePanel, true);
            _gcTouchEventProvider.SetEnableTouchEvents(_redPanel, true);

            _clearButton.Click += _clearButton_Click;

            _gcTouchEventProvider.PointerCaptureLost += _gcTouchEventProvider_PointerCaptureLost;
            _gcTouchEventProvider.PointerCanceled += _gcTouchEventProvider_PointerCanceled;
            _gcTouchEventProvider.PointerEntered += _gcTouchEventProvider_PointerEntered;
            _gcTouchEventProvider.PointerExited += _gcTouchEventProvider_PointerExited;
            _gcTouchEventProvider.PointerPressed += _gcTouchEventProvider_PointerPressed;
            _gcTouchEventProvider.PointerMoved += _gcTouchEventProvider_PointerMoved;
            _gcTouchEventProvider.PointerReleased += _gcTouchEventProvider_PointerReleased;
        }

        private void _gcTouchEventProvider_PointerCaptureLost(object sender, PointerEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: PointerCaptureLost" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_PointerCanceled(object sender, PointerEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: PointerCanceled" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_PointerEntered(object sender, PointerEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: PointerEntered" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_PointerExited(object sender, PointerEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: PointerExited" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_PointerPressed(object sender, PointerEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: PointerPressed" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_PointerMoved(object sender, PointerEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: PointerMoved" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _gcTouchEventProvider_PointerReleased(object sender, PointerEventArgs e)
        {
            string log = "Target: " + e.TargetControl.Name + " Event: PointerReleased" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
            _messageListBox.Items.Add(log);
        }

        private void _clearButton_Click(object sender, EventArgs e)
        {
            _messageListBox.Items.Clear();
        }

        private void InitializeComponent()
        {
            _bluePanel = new Panel();
            _bluePanel.Name = "Blue";
            _bluePanel.BackColor = Color.Blue;
            _bluePanel.Size = new Size(200, 200);
            _bluePanel.Location = new Point(20, 20);

            _redPanel = new Panel();
            _redPanel.Name = "Red";
            _redPanel.BackColor = Color.Red;
            _redPanel.Size = new Size(200, 200);
            _redPanel.Location = new Point(240, 20);

            _clearButton = new Button();
            _clearButton.Text = "Clear List";
            _clearButton.Location = new Point(460, 200);

            _messageListBox = new ListBox();
            _messageListBox.Size = new Size(750, 310);
            _messageListBox.Location = new Point(20, 240);

            this.Controls.Add(_bluePanel);
            this.Controls.Add(_redPanel);
            this.Controls.Add(_clearButton);
            this.Controls.Add(_messageListBox);
            this.Size = new Size(800, 600);
        }
    }
}


PointerReleased イベント

GcTouchEventProvider.PointerReleased イベント

直前にプレスアクションを開始したポインタデバイスが、特定のコントロール内にとどまったまま、離されたときに発生します。プレスアクションの最後に PointerReleased イベントが発生することは保証されていない点に注意してください。代わりに他のイベントが発生する場合があります。詳細については、「解説」を参照してください。

構文
VB
C#
クリップボードにコピー
Public Event PointerReleased As PointerEventArgs

public event PointerEventArgs PointerReleased;
解説

メモ: アクションの最後に PointerReleased ではなく他のイベント（たとえば、PointerCanceled や PointerCaptureLost など）が発生する場合があります。PointerPressed イベントと PointerReleased イベントは常にペアで発生するとは想定しないでください。アプリケーションを正しく機能させるには、プレスアクションの最後に発生する可能性のあるすべてのイベントをアプリケーションでリッスンし、処理する必要があります。PointerReleased が発生しない理由としては、以下のようなものが考えられます。

  • 特定のハードウェアでのタッチアクションとプレスアクションの処理方法に違いがある
  • ユーザーアクションによって表示領域の関係が変わった（たとえば、解像度やモニタの設定が変更された）
  • スタイラスなどの入力操作が、前のタッチアクションと同じサーフェイスにタッチした

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、PointerEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、PointerPressed イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_PointerReleased(sender As Object, e As PointerEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerReleased" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_PointerReleased(object sender, PointerEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: PointerReleased" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


RightTapped イベント

GcTouchEventProvider.RightTapped イベント

ポインタが特定のコントロールの上にあるときに右タップの入力が起こったときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event RightTapped As RightTappedEventArgs

public event RightTappedEventArgs RightTapped;
解説

タッチアクションの RightTapped は、ある一定時間 1 か所にとどまった Tapped アクションを処理することから発生します。このイベントより前に同じコントロールから Holding イベントが発生する場合がありますが、RightTapped はタッチポイントが離されるまでは発生しません。

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、RightTappedEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_RightTapped(sender As Object, e As RightTappedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: RightTapped" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_RightTapped(object sender, RightTappedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: RightTapped" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


Tapped イベント

GcTouchEventProvider.Tapped イベント

他の方法では処理されないタップ操作が特定のコントロールのヒットテスト領域で起こったときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event Tapped As TappedEventArgs

public event TappedEventArgs Tapped;
解説

このイベントはルーティングイベントです。親コントロールがこのイベントを受け取らないようにする場合は、TappedEventArgs.Handled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_Tapped(sender As Object, e As TappedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: Tapped" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_Tapped(object sender, TappedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: Tapped" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}


GcZoom クラス

GcZoom クラス

任意の既存フォームにアタッチすることで、フォームを 2 本指のタッチでズームできるようにするコンポーネントを表します。

継承階層
System.Object
System.MarshalByRefObject
System.ComponentModel.Component
GrapeCity.Win.MultiTouch.GcZoom

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcZoom
    Inherits Component

public class GcZoom : Component
解説

フォームのロード時に、GcZoom はすべてのフォームの子コントロールを内部パネルに変更します。そのため、フォームがロードされた後に Form.Controls プロパティによって子コントロールにアクセスすることはできません。その代わりに、GcZoom.Controls プロパティを使用してください。

GcZoomPanel が含まれているフォームに GcZoom をアタッチすることはできません。

1 つのフォームに複数の GcZoom コンポーネントをアタッチすることはできません。

GcZoom は、ツールチップ、コンテキストメニュー、コモンダイアログのフォントとサイズを変更できません。

使用例

以下のサンプルコードは、異なるズーム効果が得られるように GcZoom コンポーネントを設定する方法を示します。

このコードを既存の Windows Forms アプリケーションにコピーし、サンプルコード内のフォームを開始フォームとして設定します。

このコードの実行時にライセンスエラーが発生した場合は、GcZoom コンポーネントをツールボックスから任意のフォームにドラッグしてみてください。そうすると、ライセンス情報をこのプロジェクトに生成できます。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomDemo
        Inherits Form
        Private _label1 As Label
        Private _previewModeComboBox As ComboBox
        Private _label2 As Label
        Private _boundaryFeedbackModeComboBox As ComboBox
        Private _label3 As Label
        Private _maxZoomFactorTextBox As TextBox
        Private _label4 As Label
        Private _zoomFactorTextBox As TextBox
        Private _zoomFactor2TextBox As TextBox

        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            SetGcZoomTarget()

            AddHandler _previewModeComboBox.SelectedIndexChanged, AddressOf previewModeComboBox_SelectedIndexChanged
            AddHandler _boundaryFeedbackModeComboBox.SelectedIndexChanged, AddressOf boundaryFeedbackModeComboBox_SelectedIndexChanged
            AddHandler _maxZoomFactorTextBox.TextChanged, AddressOf maxZoomFactorTextBox_TextChanged
            AddHandler _zoomFactorTextBox.TextChanged, AddressOf zoomFactorTextBox_TextChanged

            ' GcZoom's ZoomFactor changed event
            AddHandler _gcZoom1.ZoomFactorChanged, AddressOf gcZoom1_ZoomFactorChanged
        End Sub

        Private Sub boundaryFeedbackModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
            Select Case _boundaryFeedbackModeComboBox.Text
                Case "Split"
                    _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Split
                    Exit Select

                Case "Standard"
                    _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Standard
                    Exit Select
                Case Else

                    Exit Select
            End Select
        End Sub

        Private Sub previewModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
            Select Case _previewModeComboBox.Text
                Case "Bitmap"
                    _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap
                    Exit Select

                Case "AlternativeContent"
                    _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent

                    _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark
                    _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%"

                    Exit Select

                Case "NoPreview"
                    _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview
                    Exit Select
                Case Else

                    Exit Select
            End Select
        End Sub

        Private Sub SetGcZoomTarget()
            _gcZoom1.Target = Me
        End Sub

        Private Sub maxZoomFactorTextBox_TextChanged(sender As Object, e As EventArgs)
            Dim value As String = _maxZoomFactorTextBox.Text.Trim()

            Try
                Dim maxFactor As Single = CSng(Convert.ToDouble(value))
                _gcZoom1.MaxZoomFactor = maxFactor
            Catch
                _gcZoom1.MaxZoomFactor = 2.0F
            End Try
        End Sub

        Private Sub zoomFactorTextBox_TextChanged(sender As Object, e As EventArgs)
            Dim value As String = _zoomFactorTextBox.Text.Trim()

            Try
                Dim zoomFactor As Single = CSng(Convert.ToDouble(value))
                _gcZoom1.ZoomFactor = zoomFactor
            Catch
                Console.WriteLine(e.ToString())
                _gcZoom1.ZoomFactor = 1.0F
            End Try
        End Sub

        Private Sub gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
            _zoomFactor2TextBox.Text = _gcZoom1.ZoomFactor.ToString()
        End Sub

        '[STAThreadAttribute()]
        'public static void Main()
        '{
        '    Application.EnableVisualStyles();
        '    Application.Run(new GcZoomDemo());
        '}

        Private Sub InitializeComponent()
            _label1 = New Label()
            _label1.Text = "ZoomPreviewMode"
            _label1.Location = New Point(20, 20)
            _label1.Size = New Size(140, 20)

            _previewModeComboBox = New ComboBox()
            _previewModeComboBox.Items.AddRange(New Object() {"Bitmap", "AlternativeContent", "NoPreview"})
            _previewModeComboBox.Location = New Point(160, 20)

            _label2 = New Label()
            _label2.Text = "BoundaryFeedbackMode"
            _label2.Location = New Point(20, 50)
            _label2.Size = New Size(140, 20)

            _boundaryFeedbackModeComboBox = New ComboBox()
            _boundaryFeedbackModeComboBox.Items.AddRange(New Object() {"Split", "Standard"})
            _boundaryFeedbackModeComboBox.Location = New Point(160, 50)

            _label3 = New Label()
            _label3.Text = "MaxZoomFactor"
            _label3.Location = New Point(20, 80)
            _label3.Size = New Size(140, 20)

            _maxZoomFactorTextBox = New TextBox()
            _maxZoomFactorTextBox.Location = New Point(160, 80)

            _label4 = New Label()
            _label4.Text = "ZoomFactor"
            _label4.Location = New Point(20, 110)
            _label4.Size = New Size(140, 20)

            _zoomFactorTextBox = New TextBox()
            _zoomFactorTextBox.Location = New Point(160, 110)

            _zoomFactor2TextBox = New TextBox()
            _zoomFactor2TextBox.Text = "1"
            _zoomFactor2TextBox.[ReadOnly] = True
            _zoomFactor2TextBox.Location = New Point(160, 135)

            Me.Controls.Add(_label1)
            Me.Controls.Add(_previewModeComboBox)
            Me.Controls.Add(_label2)
            Me.Controls.Add(_boundaryFeedbackModeComboBox)
            Me.Controls.Add(_label3)
            Me.Controls.Add(_maxZoomFactorTextBox)
            Me.Controls.Add(_label4)
            Me.Controls.Add(_zoomFactorTextBox)
            Me.Controls.Add(_zoomFactor2TextBox)
            Me.Size = New Size(340, 300)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomDemo : Form
    {
        private Label _label1;
        private ComboBox _previewModeComboBox;
        private Label _label2;
        private ComboBox _boundaryFeedbackModeComboBox;
        private Label _label3;
        private TextBox _maxZoomFactorTextBox;
        private Label _label4;
        private TextBox _zoomFactorTextBox;
        private TextBox _zoomFactor2TextBox;

        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomDemo()
        {
            InitializeComponent();

            SetGcZoomTarget();

            _previewModeComboBox.SelectedIndexChanged += previewModeComboBox_SelectedIndexChanged;
            _boundaryFeedbackModeComboBox.SelectedIndexChanged += boundaryFeedbackModeComboBox_SelectedIndexChanged;
            _maxZoomFactorTextBox.TextChanged += maxZoomFactorTextBox_TextChanged;
            _zoomFactorTextBox.TextChanged += zoomFactorTextBox_TextChanged;

            // GcZoom's ZoomFactor changed event
            _gcZoom1.ZoomFactorChanged += gcZoom1_ZoomFactorChanged;
        }

        void boundaryFeedbackModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (_boundaryFeedbackModeComboBox.Text)
            {
                case "Split":
                    _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Split;
                    break;

                case "Standard":
                    _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Standard;
                    break;

                default:
                    break;
            }
        }

        void previewModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (_previewModeComboBox.Text)
            {
                case "Bitmap":
                    _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;
                    break;

                case "AlternativeContent":
                    _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent;

                    _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark;
                    _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%";

                    break;

                case "NoPreview":
                    _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview;
                    break;

                default:
                    break;
            }
        }

        void SetGcZoomTarget()
        {
            _gcZoom1.Target = this;
        }

        void maxZoomFactorTextBox_TextChanged(object sender, EventArgs e)
        {
            string value = _maxZoomFactorTextBox.Text.Trim();

            try
            {
                float maxFactor = (float)Convert.ToDouble(value);
                _gcZoom1.MaxZoomFactor = maxFactor;
            }
            catch
            {
                _gcZoom1.MaxZoomFactor = 2f;
            }
        }

        void zoomFactorTextBox_TextChanged(object sender, EventArgs e)
        {
            string value = _zoomFactorTextBox.Text.Trim();

            try
            {
                float zoomFactor = (float)Convert.ToDouble(value);
                _gcZoom1.ZoomFactor = zoomFactor;
            }
            catch
            {
                Console.WriteLine(e.ToString());
                _gcZoom1.ZoomFactor = 1f;
            }
        }

        void gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
        {
            _zoomFactor2TextBox.Text = _gcZoom1.ZoomFactor.ToString();
        }

        private void InitializeComponent()
        {
            _label1 = new Label();
            _label1.Text = "ZoomPreviewMode";
            _label1.Location = new Point(20, 20);
            _label1.Size = new Size(140, 20);

            _previewModeComboBox = new ComboBox();
            _previewModeComboBox.Items.AddRange(new object[] {
            "Bitmap",
            "AlternativeContent",
            "NoPreview"});
            _previewModeComboBox.Location = new Point(160, 20);

            _label2 = new Label();
            _label2.Text = "BoundaryFeedbackMode";
            _label2.Location = new Point(20, 50);
            _label2.Size = new Size(140, 20);

            _boundaryFeedbackModeComboBox = new ComboBox();
            _boundaryFeedbackModeComboBox.Items.AddRange(new object[] {
            "Split",
            "Standard"});
            _boundaryFeedbackModeComboBox.Location = new Point(160, 50);

            _label3 = new Label();
            _label3.Text = "MaxZoomFactor";
            _label3.Location = new Point(20, 80);
            _label3.Size = new Size(140, 20);

            _maxZoomFactorTextBox = new TextBox();
            _maxZoomFactorTextBox.Location = new Point(160, 80);

            _label4 = new Label();
            _label4.Text = "ZoomFactor";
            _label4.Location = new Point(20, 110);
            _label4.Size = new Size(140, 20);

            _zoomFactorTextBox = new TextBox();
            _zoomFactorTextBox.Location = new Point(160, 110);

            _zoomFactor2TextBox = new TextBox();
            _zoomFactor2TextBox.Text = "1";
            _zoomFactor2TextBox.ReadOnly = true;
            _zoomFactor2TextBox.Location = new Point(160, 135);

            this.Controls.Add(_label1);
            this.Controls.Add(_previewModeComboBox);
            this.Controls.Add(_label2);
            this.Controls.Add(_boundaryFeedbackModeComboBox);
            this.Controls.Add(_label3);
            this.Controls.Add(_maxZoomFactorTextBox);
            this.Controls.Add(_label4);
            this.Controls.Add(_zoomFactorTextBox);
            this.Controls.Add(_zoomFactor2TextBox);
            this.Size = new Size(340, 300);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcZoom メンバ

GcZoom メンバ

GcZoom クラス 概要

コンストラクタ
表示：継承 プロテクト
 | 名前 | 説明
パブリック コンストラクタ | GcZoom | オーバーロード。 GcZoom クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | AllowDoubleTapZoom | ダブルタップによってズームできるかどうかを示す値を取得または設定します。ダブルタップされる前に ZoomFactor が 2f より小さい場合、ZoomFactor は 2f または MaxZoomFactor に変更されます。それ以外の場合は 1f に変更されます。
パブリック プロパティ | AllowMouseWheelScroll | 実行できるマウスホイールスクロールのタイプを取得または設定します。
パブリック プロパティ | AllowMouseWheelZoom | ［Ctrl］キーを押しながらマウスホイールを回すことによってズームできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPanScroll | パンジェスチャによってフォームをスクロールできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPinchZoom | フォームがジェスチャズームを実行できるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowResizeByZoom | フォームをズームするときにフォームをサイズ変更するかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowZoomByResize | フォームをサイズ変更するときにフォームをズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | AlternativeContentSettings | ジェスチャズーム中にズーム率を表示する方法を示す設定を取得します。
パブリック プロパティ | AutoShowControl | フォーカスを取得したとき、またはタッチキーボードがポップアップしたときにコントロールを自動表示するかどうかを示す値を取得または設定します。
パブリック プロパティ | BackColor | ズームおよびスクロールするときのフォームの空白領域の背景色を取得または設定します。
パブリック プロパティ | BackgroundImage | ズームおよびスクロールするときにフォームの空白領域に表示される背景イメージを取得または設定します。
パブリック プロパティ | BackgroundImageLayout | ImageLayout 列挙体で定義された背景イメージレイアウトを取得または設定します。
パブリック プロパティ | BoundaryFeedbackMode | スクロールが終端に達したときの視覚的フィードバックの表示方法を示す値を取得または設定します。
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
パブリック プロパティ | ControlBars | GcZoom に含まれる ControlBar のコレクションを取得します。
パブリック プロパティ | Controls | オーナーフォームの子コントロールを取得します。
パブリック プロパティ | DefaultZoomPolicies | デフォルトのズームポリシーを取得します。
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | FullScreenMode | オーナーフォームによって使用されるフルスクリーンモードを取得または設定します。
パブリック プロパティ | InnerPanel | ターゲットフォームの子コントロールを含む内部パネルを取得します。
パブリック プロパティ | InnerPanelLayoutMode | フォームを拡大した後の InnerPanel のレイアウトを取得または設定します。
パブリック プロパティ | IsHorizontalRailEnabled | 水平方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | IsPanWindowShown | パンウィンドウが表示されているかどうかを示す値を取得します。
パブリック プロパティ | IsVerticalRailEnabled | 垂直方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | KeepAspectRatio | フォームをサイズ変更するときにアスペクト比を維持するかどうかを示す値を取得または設定します。
パブリック プロパティ | MaxZoomFactor | フォームの最大ズーム率を取得または設定します。
パブリック プロパティ | ScrollIndicatorMode | 現在のスクロール位置を示すモードを示す値を取得または設定します。
パブリック プロパティ | ScrollLocation | フォームのスクロール位置を取得または設定します。
パブリック プロパティ | Site | オーバーライド。 Component の ISite を取得または設定します。
パブリック プロパティ | ZoomFactor | フォームのズーム率を取得または設定します。
パブリック プロパティ | ZoomPolicies | カスタムズームポリシーを取得します。GcZoom はこのリストでズームポリシーを検索します。
パブリック プロパティ | ZoomPreviewMode | ジェスチャズーム中にフォームをプレビューする方法を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapDistance | 現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapPoints | ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを取得します。
パブリック プロパティ | ZoomTargets | ズームジェスチャメッセージを受け取ることができるコントロールのコレクションを取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | BeginAddControls | このメソッドは、子コントロールコレクションを変更する前に呼び出します。
パブリック メソッド | ClosePanWindow | パンウィンドウを閉じます。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | EndAddControls | このメソッドは、子コントロールコレクションを変更した後に呼び出します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | GetDisplayRectangle | コントロールの表示矩形を取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | OnAnimationCompleted | AnimationCompleted イベントを発生させます。
プロテクト メソッド | OnAnimationStarting | AnimationStarting イベントを発生させます。
プロテクト メソッド | OnControlAutoShowing | ControlAutoShowing イベントを発生させます。
プロテクト メソッド | OnControlBoundsZooming | ControlBoundsZooming イベントを発生させます。
プロテクト メソッド | OnControlFontZooming | ControlFontZooming イベントを発生させます。
プロテクト メソッド | OnManipulationStarting | ManipulationStarting イベントを発生させます。
プロテクト メソッド | OnZoomFactorChanged | ZoomFactorChanged イベントを発生させます。
パブリック メソッド | SetScrollLocation | ScrollLocation を設定します。ScrollLocation を変更するときにアニメーションを使用するかどうかを指定できます。
パブリック メソッド | SetZoomFactor | ZoomFactor を設定します。ZoomFactor を変更するときにアニメーションを使用するかどうかを指定できます。
パブリック メソッド | ShowPanWindow | オーバーロード。 パンウィンドウを表示します。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)
イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | AnimationCompleted | アニメーションが完了したときに発生します。
パブリック イベント | AnimationStarting | GcZoom がアニメーションを開始する前に発生します。
パブリック イベント | ControlAutoShowing | GcZoom がターゲットコントロールの表示を開始する前に発生します。
パブリック イベント | ControlBoundsZooming | GcZoom がターゲットコントロールの境界のズームを開始する前に発生します。
パブリック イベント | ControlFontZooming | GcZoom がターゲットコントロールのフォントのズームを開始する前に発生します。
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | ManipulationStarting | マニピュレーションプロセッサが最初に作成されたときに発生します。
パブリック イベント | ZoomFactorChanged | ZoomFactor が変更されたときに発生します。


GcZoom コンストラクタ (GrapeCity.Win.MultiTouch)

GcZoom コンストラクタ

GcZoom クラスの新しいインスタンスを初期化します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | GcZoom() | GcZoom クラスの新しいインスタンスを初期化します。
パブリック メソッド | GcZoom(IContainer) | 指定したコンテナーを使用して、GcZoom クラスの新しいインスタンスを初期化します。


GcZoom コンストラクタ () (GrapeCity.Win.MultiTouch)

GcZoom コンストラクタ ()

GcZoom クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public GcZoom();

戻り値

なし


GcZoom コンストラクタ (IContainer) (GrapeCity.Win.MultiTouch)

GcZoom コンストラクタ (IContainer)

指定したコンテナーを使用して、GcZoom クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New( _
   ByVal container As IContainer _
)

public GcZoom(
   IContainer container
);

パラメータ

container
GcZoom のコンテナーを表す IContainer。

戻り値

なし


GcZoom プロパティ

GcZoom プロパティ

GcZoom クラスのプロパティは以下のとおりです。GcZoom クラスの完全なメンバ一覧については、 GcZoomメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | AllowDoubleTapZoom | ダブルタップによってズームできるかどうかを示す値を取得または設定します。ダブルタップされる前に ZoomFactor が 2f より小さい場合、ZoomFactor は 2f または MaxZoomFactor に変更されます。それ以外の場合は 1f に変更されます。
パブリック プロパティ | AllowMouseWheelScroll | 実行できるマウスホイールスクロールのタイプを取得または設定します。
パブリック プロパティ | AllowMouseWheelZoom | ［Ctrl］キーを押しながらマウスホイールを回すことによってズームできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPanScroll | パンジェスチャによってフォームをスクロールできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPinchZoom | フォームがジェスチャズームを実行できるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowResizeByZoom | フォームをズームするときにフォームをサイズ変更するかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowZoomByResize | フォームをサイズ変更するときにフォームをズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | AlternativeContentSettings | ジェスチャズーム中にズーム率を表示する方法を示す設定を取得します。
パブリック プロパティ | AutoShowControl | フォーカスを取得したとき、またはタッチキーボードがポップアップしたときにコントロールを自動表示するかどうかを示す値を取得または設定します。
パブリック プロパティ | BackColor | ズームおよびスクロールするときのフォームの空白領域の背景色を取得または設定します。
パブリック プロパティ | BackgroundImage | ズームおよびスクロールするときにフォームの空白領域に表示される背景イメージを取得または設定します。
パブリック プロパティ | BackgroundImageLayout | ImageLayout 列挙体で定義された背景イメージレイアウトを取得または設定します。
パブリック プロパティ | BoundaryFeedbackMode | スクロールが終端に達したときの視覚的フィードバックの表示方法を示す値を取得または設定します。
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
パブリック プロパティ | ControlBars | GcZoom に含まれる ControlBar のコレクションを取得します。
パブリック プロパティ | Controls | オーナーフォームの子コントロールを取得します。
パブリック プロパティ | DefaultZoomPolicies | デフォルトのズームポリシーを取得します。
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | FullScreenMode | オーナーフォームによって使用されるフルスクリーンモードを取得または設定します。
パブリック プロパティ | InnerPanel | ターゲットフォームの子コントロールを含む内部パネルを取得します。
パブリック プロパティ | InnerPanelLayoutMode | フォームを拡大した後の InnerPanel のレイアウトを取得または設定します。
パブリック プロパティ | IsHorizontalRailEnabled | 水平方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | IsPanWindowShown | パンウィンドウが表示されているかどうかを示す値を取得します。
パブリック プロパティ | IsVerticalRailEnabled | 垂直方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | KeepAspectRatio | フォームをサイズ変更するときにアスペクト比を維持するかどうかを示す値を取得または設定します。
パブリック プロパティ | MaxZoomFactor | フォームの最大ズーム率を取得または設定します。
パブリック プロパティ | ScrollIndicatorMode | 現在のスクロール位置を示すモードを示す値を取得または設定します。
パブリック プロパティ | ScrollLocation | フォームのスクロール位置を取得または設定します。
パブリック プロパティ | Site | オーバーライド。 Component の ISite を取得または設定します。
パブリック プロパティ | ZoomFactor | フォームのズーム率を取得または設定します。
パブリック プロパティ | ZoomPolicies | カスタムズームポリシーを取得します。GcZoom はこのリストでズームポリシーを検索します。
パブリック プロパティ | ZoomPreviewMode | ジェスチャズーム中にフォームをプレビューする方法を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapDistance | 現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapPoints | ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを取得します。
パブリック プロパティ | ZoomTargets | ズームジェスチャメッセージを受け取ることができるコントロールのコレクションを取得します。


GcZoom.AllowDoubleTapZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.AllowDoubleTapZoom プロパティ

ダブルタップによってズームできるかどうかを示す値を取得または設定します。ダブルタップされる前に ZoomFactor が 2f より小さい場合、ZoomFactor は 2f または MaxZoomFactor に変更されます。それ以外の場合は 1f に変更されます。

構文
VB
C#
クリップボードにコピー
Public Property AllowDoubleTapZoom As Boolean

public bool AllowDoubleTapZoom { get; set; }

プロパティ値

System.Boolean型

ダブルタップによってズームできる場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowDoubleTapZoomCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowDoubleTapZoom = _allowDoubleTapZoomCheckBox.Checked
End Sub

void _allowDoubleTapZoomCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowDoubleTapZoom = _allowDoubleTapZoomCheckBox.Checked;
}


GcZoom.AllowMouseWheelScroll プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.AllowMouseWheelScroll プロパティ

実行できるマウスホイールスクロールのタイプを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowMouseWheelScroll As MouseWheelScrollMode

public MouseWheelScrollMode AllowMouseWheelScroll { get; set; }


GcZoom.AllowMouseWheelZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.AllowMouseWheelZoom プロパティ

［Ctrl］キーを押しながらマウスホイールを回すことによってズームできるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowMouseWheelZoom As Boolean

public bool AllowMouseWheelZoom { get; set; }

プロパティ値

System.Boolean型

ユーザーがマウスホイールによってズームできる場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowMouseWheelCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowMouseWheelZoom = _allowMouseWheelCheckBox.Checked
End Sub

void _allowMouseWheelCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowMouseWheelZoom = _allowMouseWheelCheckBox.Checked;
}


GcZoom.AllowPanScroll プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.AllowPanScroll プロパティ

パンジェスチャによってフォームをスクロールできるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowPanScroll As Boolean

public bool AllowPanScroll { get; set; }

プロパティ値

System.Boolean型

パンジェスチャによってフォームをスクロールできる場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ScrollIndicatorMode プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowPanScrollCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowPanScroll = _allowPanScrollCheckBox.Checked
End Sub

void _allowPanScrollCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowPanScroll = _allowPanScrollCheckBox.Checked;
}


GcZoom.AllowPinchZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.AllowPinchZoom プロパティ

フォームがジェスチャズームを実行できるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowPinchZoom As Boolean

public bool AllowPinchZoom { get; set; }

プロパティ値

System.Boolean型

フォームがジェスチャズームを実行できる場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、ジェスチャズームを有効または無効にする方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomMiscDemo
        Inherits Form
        Private _allowDoubleTapZoomCheckBox As CheckBox
        Private _fullScreenModeCheckBox As CheckBox
        Private _isVerticalRailEnabledCheckBox As CheckBox
        Private _isHorizontalRailEnabledCheckBox As CheckBox
        Private _keepAspectRatioCheckBox As CheckBox
        Private _allowMouseWheelCheckBox As CheckBox
        Private _allowPinchZoomCheckBox As CheckBox
        Private _allowZoomByResizeCheckBox As CheckBox
        Private _allowResizeByZoomCheckBox As CheckBox

        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            AddHandler _allowDoubleTapZoomCheckBox.CheckedChanged, AddressOf _allowDoubleTapZoomCheckBox_CheckedChanged
            AddHandler _fullScreenModeCheckBox.CheckedChanged, AddressOf _fullScreenModeCheckBox_CheckedChanged
            AddHandler _isVerticalRailEnabledCheckBox.CheckedChanged, AddressOf _isVerticalRailEnabledCheckBox_CheckedChanged
            AddHandler _isHorizontalRailEnabledCheckBox.CheckedChanged, AddressOf _isHorizontalRailEnabledCheckBox_CheckedChanged
            AddHandler _keepAspectRatioCheckBox.CheckedChanged, AddressOf _keepAspectRatioCheckBox_CheckedChanged
            AddHandler _allowMouseWheelCheckBox.CheckedChanged, AddressOf _allowMouseWheelCheckBox_CheckedChanged
            AddHandler _allowPinchZoomCheckBox.CheckedChanged, AddressOf _allowPinchZoomCheckBox_CheckedChanged
            AddHandler _allowZoomByResizeCheckBox.CheckedChanged, AddressOf _allowZoomByResizeCheckBox_CheckedChanged
            AddHandler _allowResizeByZoomCheckBox.CheckedChanged, AddressOf _allowResizeByZoomCheckBox_CheckedChanged
        End Sub

        Private Sub _allowPinchZoomCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.AllowPinchZoom = _allowPinchZoomCheckBox.Checked
        End Sub

        Private Sub _allowMouseWheelCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.AllowMouseWheelZoom = _allowMouseWheelCheckBox.Checked
        End Sub

        Private Sub _keepAspectRatioCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.KeepAspectRatio = _keepAspectRatioCheckBox.Checked
        End Sub

        Private Sub _isHorizontalRailEnabledCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.IsHorizontalRailEnabled = _isHorizontalRailEnabledCheckBox.Checked
        End Sub

        Private Sub _isVerticalRailEnabledCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.IsVerticalRailEnabled = _isVerticalRailEnabledCheckBox.Checked
        End Sub

        Private Sub _fullScreenModeCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            If _fullScreenModeCheckBox.Checked Then
                '_gcZoom1.FullScreenMode = FullScreenMode.FullScreenWithTaskBar;
                _gcZoom1.FullScreenMode = FullScreenMode.FullScreen
            Else
                _gcZoom1.FullScreenMode = FullScreenMode.None
            End If
        End Sub

        Private Sub _allowDoubleTapZoomCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.AllowDoubleTapZoom = _allowDoubleTapZoomCheckBox.Checked
        End Sub

        Private Sub _allowZoomByResizeCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            ' The AllowZoomByResize only work when InnerPanelLayoutMode property is MiddleCenter
            _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter
            _gcZoom1.AllowZoomByResize = _allowZoomByResizeCheckBox.Checked
        End Sub

        Private Sub _allowResizeByZoomCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            ' The AllowResizeByZoom only work when InnerPanelLayoutMode property is MiddleCenter
            _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter
            _gcZoom1.AllowResizeByZoom = _allowResizeByZoomCheckBox.Checked
        End Sub

        Private Sub InitializeComponent()
            Me.Size = New Size(350, 350)
            _allowMouseWheelCheckBox = New CheckBox()
            _allowMouseWheelCheckBox.Text = "AllowMouseWheel"
            _allowMouseWheelCheckBox.Location = New Point(20, 20)
            _allowMouseWheelCheckBox.Size = New Size(200, 20)
            Me.Controls.Add(_allowMouseWheelCheckBox)

            _allowPinchZoomCheckBox = New CheckBox()
            _allowPinchZoomCheckBox.Text = "AllowPinchZoom"
            _allowPinchZoomCheckBox.Location = New Point(20, 50)
            _allowPinchZoomCheckBox.Size = New Size(200, 20)
            Me.Controls.Add(_allowPinchZoomCheckBox)

            _allowDoubleTapZoomCheckBox = New CheckBox()
            _allowDoubleTapZoomCheckBox.Text = "AllowDoubleTapZoom"
            _allowDoubleTapZoomCheckBox.Location = New Point(20, 80)
            _allowDoubleTapZoomCheckBox.Size = New Size(200, 20)
            Me.Controls.Add(_allowDoubleTapZoomCheckBox)

            _fullScreenModeCheckBox = New CheckBox()
            _fullScreenModeCheckBox.Text = "FullScreenMode"
            _fullScreenModeCheckBox.Location = New Point(20, 110)
            _fullScreenModeCheckBox.Size = New Size(200, 20)
            Me.Controls.Add(_fullScreenModeCheckBox)

            _isVerticalRailEnabledCheckBox = New CheckBox()
            _isVerticalRailEnabledCheckBox.Text = "VerticalRailEnabled"
            _isVerticalRailEnabledCheckBox.Location = New Point(20, 140)
            _isVerticalRailEnabledCheckBox.Size = New Size(200, 20)
            Me.Controls.Add(_isVerticalRailEnabledCheckBox)

            _isHorizontalRailEnabledCheckBox = New CheckBox()
            _isHorizontalRailEnabledCheckBox.Text = "HorizontalRailEnabled"
            _isHorizontalRailEnabledCheckBox.Location = New Point(20, 170)
            _isHorizontalRailEnabledCheckBox.Size = New Size(200, 20)
            Me.Controls.Add(_isHorizontalRailEnabledCheckBox)

            _keepAspectRatioCheckBox = New CheckBox()
            _keepAspectRatioCheckBox.Text = "KeepAspectRatio"
            _keepAspectRatioCheckBox.Location = New Point(20, 200)
            _keepAspectRatioCheckBox.Size = New Size(200, 20)
            Me.Controls.Add(_keepAspectRatioCheckBox)

            _allowZoomByResizeCheckBox = New CheckBox()
            _allowZoomByResizeCheckBox.Text = "AllowZoomByResize"
            _allowZoomByResizeCheckBox.Location = New Point(20, 230)
            _allowZoomByResizeCheckBox.Size = New Size(200, 20)
            Me.Controls.Add(_allowZoomByResizeCheckBox)

            _allowResizeByZoomCheckBox = New CheckBox()
            _allowResizeByZoomCheckBox.Text = "AllowZoomByResize"
            _allowResizeByZoomCheckBox.Location = New Point(20, 260)
            _allowResizeByZoomCheckBox.Size = New Size(200, 20)
            Me.Controls.Add(_allowResizeByZoomCheckBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomMiscDemo : Form
    {
        private CheckBox _allowDoubleTapZoomCheckBox;
        private CheckBox _fullScreenModeCheckBox;
        private CheckBox _isVerticalRailEnabledCheckBox;
        private CheckBox _isHorizontalRailEnabledCheckBox;
        private CheckBox _keepAspectRatioCheckBox;
        private CheckBox _allowMouseWheelCheckBox;
        private CheckBox _allowPinchZoomCheckBox;
        private CheckBox _allowZoomByResizeCheckBox;
        private CheckBox _allowResizeByZoomCheckBox;

        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomMiscDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            _allowDoubleTapZoomCheckBox.CheckedChanged += _allowDoubleTapZoomCheckBox_CheckedChanged;
            _fullScreenModeCheckBox.CheckedChanged += _fullScreenModeCheckBox_CheckedChanged;
            _isVerticalRailEnabledCheckBox.CheckedChanged += _isVerticalRailEnabledCheckBox_CheckedChanged;
            _isHorizontalRailEnabledCheckBox.CheckedChanged += _isHorizontalRailEnabledCheckBox_CheckedChanged;
            _keepAspectRatioCheckBox.CheckedChanged += _keepAspectRatioCheckBox_CheckedChanged;
            _allowMouseWheelCheckBox.CheckedChanged += _allowMouseWheelCheckBox_CheckedChanged;
            _allowPinchZoomCheckBox.CheckedChanged += _allowPinchZoomCheckBox_CheckedChanged;
            _allowZoomByResizeCheckBox.CheckedChanged += _allowZoomByResizeCheckBox_CheckedChanged;
            _allowResizeByZoomCheckBox.CheckedChanged += _allowResizeByZoomCheckBox_CheckedChanged;
        }

        void _allowPinchZoomCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.AllowPinchZoom = _allowPinchZoomCheckBox.Checked;
        }

        void _allowMouseWheelCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.AllowMouseWheelZoom = _allowMouseWheelCheckBox.Checked;
        }

        void _keepAspectRatioCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.KeepAspectRatio = _keepAspectRatioCheckBox.Checked;
        }

        void _isHorizontalRailEnabledCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.IsHorizontalRailEnabled = _isHorizontalRailEnabledCheckBox.Checked;
        }

        void _isVerticalRailEnabledCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.IsVerticalRailEnabled = _isVerticalRailEnabledCheckBox.Checked;
        }

        void _fullScreenModeCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            if (_fullScreenModeCheckBox.Checked)
            {
                //_gcZoom1.FullScreenMode = FullScreenMode.FullScreenWithTaskBar;
                _gcZoom1.FullScreenMode = FullScreenMode.FullScreen;
            }
            else
            {
                _gcZoom1.FullScreenMode = FullScreenMode.None;
            }
        }

        void _allowDoubleTapZoomCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.AllowDoubleTapZoom = _allowDoubleTapZoomCheckBox.Checked;
        }

        void _allowZoomByResizeCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            // The AllowZoomByResize only work when InnerPanelLayoutMode property is MiddleCenter
            _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter;
            _gcZoom1.AllowZoomByResize = _allowZoomByResizeCheckBox.Checked;
        }

        void _allowResizeByZoomCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            // The AllowResizeByZoom only work when InnerPanelLayoutMode property is MiddleCenter
            _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter;
            _gcZoom1.AllowResizeByZoom = _allowResizeByZoomCheckBox.Checked;
        }

        private void InitializeComponent()
        {
            this.Size = new Size(350, 350);
            _allowMouseWheelCheckBox = new CheckBox();
            _allowMouseWheelCheckBox.Text = "AllowMouseWheel";
            _allowMouseWheelCheckBox.Location = new Point(20, 20);
            _allowMouseWheelCheckBox.Size = new Size(200, 20);
            this.Controls.Add(_allowMouseWheelCheckBox);

            _allowPinchZoomCheckBox = new CheckBox();
            _allowPinchZoomCheckBox.Text = "AllowPinchZoom";
            _allowPinchZoomCheckBox.Location = new Point(20, 50);
            _allowPinchZoomCheckBox.Size = new Size(200, 20);
            this.Controls.Add(_allowPinchZoomCheckBox);

            _allowDoubleTapZoomCheckBox = new CheckBox();
            _allowDoubleTapZoomCheckBox.Text = "AllowDoubleTapZoom";
            _allowDoubleTapZoomCheckBox.Location = new Point(20, 80);
            _allowDoubleTapZoomCheckBox.Size = new Size(200, 20);
            this.Controls.Add(_allowDoubleTapZoomCheckBox);

            _fullScreenModeCheckBox = new CheckBox();
            _fullScreenModeCheckBox.Text = "FullScreenMode";
            _fullScreenModeCheckBox.Location = new Point(20, 110);
            _fullScreenModeCheckBox.Size = new Size(200, 20);
            this.Controls.Add(_fullScreenModeCheckBox);

            _isVerticalRailEnabledCheckBox = new CheckBox();
            _isVerticalRailEnabledCheckBox.Text = "VerticalRailEnabled";
            _isVerticalRailEnabledCheckBox.Location = new Point(20, 140);
            _isVerticalRailEnabledCheckBox.Size = new Size(200, 20);
            this.Controls.Add(_isVerticalRailEnabledCheckBox);

            _isHorizontalRailEnabledCheckBox = new CheckBox();
            _isHorizontalRailEnabledCheckBox.Text = "HorizontalRailEnabled";
            _isHorizontalRailEnabledCheckBox.Location = new Point(20, 170);
            _isHorizontalRailEnabledCheckBox.Size = new Size(200, 20);
            this.Controls.Add(_isHorizontalRailEnabledCheckBox);

            _keepAspectRatioCheckBox = new CheckBox();
            _keepAspectRatioCheckBox.Text = "KeepAspectRatio";
            _keepAspectRatioCheckBox.Location = new Point(20, 200);
            _keepAspectRatioCheckBox.Size = new Size(200, 20);
            this.Controls.Add(_keepAspectRatioCheckBox);

            _allowZoomByResizeCheckBox = new CheckBox();
            _allowZoomByResizeCheckBox.Text = "AllowZoomByResize";
            _allowZoomByResizeCheckBox.Location = new Point(20, 230);
            _allowZoomByResizeCheckBox.Size = new Size(200, 20);
            this.Controls.Add(_allowZoomByResizeCheckBox);

            _allowResizeByZoomCheckBox = new CheckBox();
            _allowResizeByZoomCheckBox.Text = "AllowZoomByResize";
            _allowResizeByZoomCheckBox.Location = new Point(20, 260);
            _allowResizeByZoomCheckBox.Size = new Size(200, 20);
            this.Controls.Add(_allowResizeByZoomCheckBox);
        }
    }
}


GcZoom.AllowResizeByZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.AllowResizeByZoom プロパティ

フォームをズームするときにフォームをサイズ変更するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowResizeByZoom As Boolean

public bool AllowResizeByZoom { get; set; }

プロパティ値

System.Boolean型

フォームをズームするときにフォームをサイズ変更する場合は true。それ以外の場合は false。デフォルトは false です。

解説

AllowResizeByZoom は true であっても、以下の場合にはフォームをズームしても、フォームのサイズは変更されません。

InnerPanelLayoutMode に None が設定されています。

ZoomPreviewMode に NoPreview が設定されています。

ZoomPreviewMode が AlternativeContent の場合にピンチズームされています。

ZoomFactor によって SetZoomFactor(float,false) が設定されています。

オーナーフォームの IsMdiContainer に true が設定されています。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowResizeByZoomCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    ' The AllowResizeByZoom only work when InnerPanelLayoutMode property is MiddleCenter
    _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter
    _gcZoom1.AllowResizeByZoom = _allowResizeByZoomCheckBox.Checked
End Sub

void _allowResizeByZoomCheckBox_CheckedChanged(object sender, EventArgs e)
{
    // The AllowResizeByZoom only work when InnerPanelLayoutMode property is MiddleCenter
    _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter;
    _gcZoom1.AllowResizeByZoom = _allowResizeByZoomCheckBox.Checked;
}


GcZoom.AllowZoomByResize プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.AllowZoomByResize プロパティ

フォームをサイズ変更するときにフォームをズームするかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowZoomByResize As Boolean

public bool AllowZoomByResize { get; set; }

プロパティ値

System.Boolean型

フォームをサイズ変更するときにフォームをズームする場合は true。それ以外の場合は false。デフォルトは true です。

解説

AllowZoomByResize は true であっても、以下の場合にはフォームのサイズを変更しても、フォーム内はズームされません。

InnerPanelLayoutMode に None が設定されています。

オーナーフォームの IsMdiContainer に true が設定されています。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowZoomByResizeCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    ' The AllowZoomByResize only work when InnerPanelLayoutMode property is MiddleCenter
    _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter
    _gcZoom1.AllowZoomByResize = _allowZoomByResizeCheckBox.Checked
End Sub

void _allowZoomByResizeCheckBox_CheckedChanged(object sender, EventArgs e)
{
    // The AllowZoomByResize only work when InnerPanelLayoutMode property is MiddleCenter
    _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter;
    _gcZoom1.AllowZoomByResize = _allowZoomByResizeCheckBox.Checked;
}


GcZoom.AlternativeContentSettings プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.AlternativeContentSettings プロパティ

ジェスチャズーム中にズーム率を表示する方法を示す設定を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property AlternativeContentSettings As AlternativeContentSettings

public AlternativeContentSettings AlternativeContentSettings { get; }

プロパティ値

GrapeCity.Win.MultiTouch.AlternativeContentSettings型

ジェスチャズーム中にズーム率を表示する方法を示す AlternativeContentSettings 型の値。

解説

この設定は、ZoomPreviewMode プロパティの値が ZoomPreviewMode.AlternativeContent のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub previewModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
    Select Case _previewModeComboBox.Text
        Case "Bitmap"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap
            Exit Select

        Case "AlternativeContent"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%"

            Exit Select

        Case "NoPreview"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void previewModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
{
    switch (_previewModeComboBox.Text)
    {
        case "Bitmap":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;
            break;

        case "AlternativeContent":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent;

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark;
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%";

            break;

        case "NoPreview":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview;
            break;

        default:
            break;
    }
}


GcZoom.AutoShowControl プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.AutoShowControl プロパティ

フォーカスを取得したとき、またはタッチキーボードがポップアップしたときにコントロールを自動表示するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AutoShowControl As Boolean

public bool AutoShowControl { get; set; }

プロパティ値

System.Boolean型

コントロールを自動表示する場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _autoShowControlCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AutoShowControl = _autoShowControlCheckBox.Checked
End Sub

void _autoShowControlCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AutoShowControl = _autoShowControlCheckBox.Checked;
}


GcZoom.BackColor プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.BackColor プロパティ

ズームおよびスクロールするときのフォームの空白領域の背景色を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BackColor As Color

public Color BackColor { get; set; }

プロパティ値

System.Drawing.Color型

ズームおよびスクロールするときのフォームの空白領域の背景色を表す Color 値。デフォルトは Color.Empty で、フォームの背景色を使用することを意味します。

例外
例外の種類 | 条件
System.ArgumentException | BackColor プロパティでは透明色はサポートされていません。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomBackColorDemo
        Inherits Form
        Private _backColorButton As Button
        Private _backImageButton As Button
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            AddHandler _backColorButton.Click, AddressOf _backColorButton_Click
            AddHandler _backImageButton.Click, AddressOf _backImageButton_Click
        End Sub

        Private Sub _backColorButton_Click(sender As Object, e As EventArgs)
            Me._gcZoom1.BackColor = SystemColors.ControlDarkDark
        End Sub

        Private Sub _backImageButton_Click(sender As Object, e As EventArgs)
            Me._gcZoom1.BackgroundImage = Image.FromFile("c:\backimage.jpg")
            Me._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch
        End Sub

        Private Sub InitializeComponent()
            _backColorButton = New Button()
            _backColorButton.Text = "BackColor"
            _backColorButton.Location = New Point(20, 20)
            _backColorButton.Size = New Size(120, 25)

            _backImageButton = New Button()
            _backImageButton.Text = "BackImage"
            _backImageButton.Location = New Point(20, 50)
            _backImageButton.Size = New Size(120, 25)

            Me.Controls.Add(_backColorButton)
            Me.Controls.Add(_backImageButton)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomBackColorDemo : Form
    {
        private Button _backColorButton;
        private Button _backImageButton;
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomBackColorDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            _backColorButton.Click += _backColorButton_Click;
            _backImageButton.Click += _backImageButton_Click;
        }

        void _backColorButton_Click(object sender, EventArgs e)
        {
            this._gcZoom1.BackColor = SystemColors.ControlDarkDark;
        }

        void _backImageButton_Click(object sender, EventArgs e)
        {
            this._gcZoom1.BackgroundImage = Image.FromFile(@"c:\backimage.jpg");
            this._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch;
        }

        private void InitializeComponent()
        {
            _backColorButton = new Button();
            _backColorButton.Text = "BackColor";
            _backColorButton.Location = new Point(20, 20);
            _backColorButton.Size = new Size(120, 25);

            _backImageButton = new Button();
            _backImageButton.Text = "BackImage";
            _backImageButton.Location = new Point(20, 50);
            _backImageButton.Size = new Size(120, 25);

            this.Controls.Add(_backColorButton);
            this.Controls.Add(_backImageButton);
        }
    }
}


GcZoom.BackgroundImage プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.BackgroundImage プロパティ

ズームおよびスクロールするときにフォームの空白領域に表示される背景イメージを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BackgroundImage As Image

public Image BackgroundImage { get; set; }

プロパティ値

System.Drawing.Image型

ズームおよびスクロールするときにフォームの空白領域に表示するイメージを表す Image 値。デフォルトは null 参照 (Visual Basic では Nothing) です。

解説

半透明色または透明色を含むイメージは、Windows Forms コントロールの背景イメージとしてサポートされていません。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、BackColor プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _backImageButton_Click(sender As Object, e As EventArgs)
    Me._gcZoom1.BackgroundImage = Image.FromFile("c:\backimage.jpg")
    Me._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch
End Sub

void _backImageButton_Click(object sender, EventArgs e)
{
    this._gcZoom1.BackgroundImage = Image.FromFile(@"c:\backimage.jpg");
    this._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch;
}


GcZoom.BackgroundImageLayout プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.BackgroundImageLayout プロパティ

ImageLayout 列挙体で定義された背景イメージレイアウトを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BackgroundImageLayout As ImageLayout

public ImageLayout BackgroundImageLayout { get; set; }

プロパティ値

System.Windows.Forms.ImageLayout型

ImageLayout の値の 1 つ（Center、None、Stretch、Tile、Zoom のいずれか）。デフォルト値は Tile です。

BackgroundImageLayoutの値 | 説明
0 - None | イメージがコントロールのクライアント領域の四角形の上部で左寄せに配置されます。
1 - Tile | イメージがコントロールのクライアント領域の四角形全体に並べて表示されます。
2 - Center | イメージがコントロールのクライアント領域の四角形の中央に配置されます。
3 - Stretch | イメージがコントロールのクライアント領域の四角形全体に伸縮されます。
4 - Zoom | イメージがコントロールのクライアント領域の四角形内で拡大されます。
解説

BackgroundImageLayout プロパティは、ズームおよびスクロールするときにフォームの空白領域に配置するイメージの位置と動作を指定する場合に使用します。BackgroundImageLayout は、BackgroundImage プロパティが設定されている場合にのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、BackColor プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _backImageButton_Click(sender As Object, e As EventArgs)
    Me._gcZoom1.BackgroundImage = Image.FromFile("c:\backimage.jpg")
    Me._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch
End Sub

void _backImageButton_Click(object sender, EventArgs e)
{
    this._gcZoom1.BackgroundImage = Image.FromFile(@"c:\backimage.jpg");
    this._gcZoom1.BackgroundImageLayout = ImageLayout.Stretch;
}


GcZoom.BoundaryFeedbackMode プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.BoundaryFeedbackMode プロパティ

スクロールが終端に達したときの視覚的フィードバックの表示方法を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BoundaryFeedbackMode As BoundaryFeedbackMode

public BoundaryFeedbackMode BoundaryFeedbackMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.BoundaryFeedbackMode型

BoundaryFeedbackMode 値の 1 つ。デフォルトは Split です。

BoundaryFeedbackModeの値 | 説明
0 - Standard | スクロールが終端に達したとき、オーナーフォームが少し移動してからバウンドして元に戻ります。
1 - Split | スクロールが終端に達したとき、コンテンツ領域がさらに少しスクロールしてからバウンドして元に戻ります。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。サンプルコードを実行し、BoundaryFeedbackMode ComboBox の値を切り替えながらタッチによるズームとパンを試してみて、ZoomPreviewMode の違いを確認してください。

VB
C#
クリップボードにコピー
Private Sub boundaryFeedbackModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
    Select Case _boundaryFeedbackModeComboBox.Text
        Case "Split"
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Split
            Exit Select

        Case "Standard"
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Standard
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void boundaryFeedbackModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
{
    switch (_boundaryFeedbackModeComboBox.Text)
    {
        case "Split":
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Split;
            break;

        case "Standard":
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Standard;
            break;

        default:
            break;
    }
}


GcZoom.ControlBars プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.ControlBars プロパティ

GcZoom に含まれる ControlBar のコレクションを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ControlBars As List(Of ControlBar)

public List<ControlBar> ControlBars { get; }

プロパティ値

System.Collections.Generic.List<ControlBar>型

GcZoom に含まれる ControlBar のコレクションを表す ControlBar 値のリスト。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class ControlBarDemo
        Inherits Form
        Private _controlBarButton As Button
        Private _userControl As New MyUserControl()
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' Create ControlBar
            AddControlBar()
        End Sub

        Private Sub AddControlBar()
            Dim controlBar As New ControlBar()

            ' Content should is a Type of UserControl.
            controlBar.Content = _userControl.[GetType]()

            controlBar.PositionMode = PositionMode.Floating

            ' Only take effect when Position Mode is Dock.
            ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
            ' controlBar.Margin = new System.Windows.Forms.Padding();

            ' Only take effect when Position is Fix or Flowing.
            controlBar.Position = New Point(20, 20)

            controlBar.Opacity = 1.0
            controlBar.TransparentBackground = True

            _gcZoom1.ControlBars.Add(controlBar)
        End Sub

        Private Sub InitializeComponent()
            _controlBarButton = New Button()
            _controlBarButton.Text = "This is a Button"
            _controlBarButton.Location = New Point(100, 100)
            _controlBarButton.Size = New Size(120, 30)

            Me.Controls.Add(_controlBarButton)
        End Sub
    End Class

    Public Class MyUserControl
        Inherits UserControl
        Private commands As New GcZoomCommandProvider()
        Private _zoomInButton As Button
        Private _zoomOutButton As Button
        Private _getButton As Button

        Public Sub New()
            InitializeComponent()

            commands.Target = Me
            commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn)
            Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString())

            commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut)
            Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString())

            AddHandler _getButton.Click, AddressOf _getButton_Click
        End Sub

        Private Sub _getButton_Click(sender As Object, e As EventArgs)
            Console.WriteLine(commands.OwnerForm.ToString())
            Console.WriteLine(commands.OwnerGcZoom.ToString())
        End Sub

        Private Sub InitializeComponent()
            _zoomInButton = New Button()
            _zoomInButton.Text = "+"
            _zoomInButton.Size = New Size(40, 40)
            _zoomInButton.Location = New Point(10, 10)

            _zoomOutButton = New Button()
            _zoomOutButton.Text = "_"
            _zoomOutButton.Size = New Size(40, 40)
            _zoomOutButton.Location = New Point(60, 10)

            _getButton = New Button()
            _getButton.Text = "Get"
            _getButton.Size = New Size(40, 40)
            _getButton.Location = New Point(110, 10)

            Me.Size = New Size(160, 60)
            Me.Controls.Add(_zoomInButton)
            Me.Controls.Add(_zoomOutButton)
            Me.Controls.Add(_getButton)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class ControlBarDemo : Form
    {
        private Button _controlBarButton;
        private MyUserControl _userControl = new MyUserControl();
        private GcZoom _gcZoom1 = new GcZoom();

        public ControlBarDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // Create ControlBar
            AddControlBar();
        }

        private void AddControlBar()
        {
            ControlBar controlBar = new ControlBar();

            // Content should is a Type of UserControl.
            controlBar.Content = _userControl.GetType();

            controlBar.PositionMode = PositionMode.Floating;

            // Only take effect when Position Mode is Dock.
            // controlBar.DockPosition = ContentAlignment.MiddleCenter;
            // controlBar.Margin = new System.Windows.Forms.Padding();

            // Only take effect when Position is Fix or Flowing.
            controlBar.Position = new Point(20, 20);

            controlBar.Opacity = 1d;
            controlBar.TransparentBackground = true;

            _gcZoom1.ControlBars.Add(controlBar);
        }

        private void InitializeComponent()
        {
            _controlBarButton = new Button();
            _controlBarButton.Text = "This is a Button";
            _controlBarButton.Location = new Point(100, 100);
            _controlBarButton.Size = new Size(120, 30);

            this.Controls.Add(_controlBarButton);
        }
    }

    public class MyUserControl : UserControl
    {
        private GcZoomCommandProvider commands = new GcZoomCommandProvider();
        private Button _zoomInButton;
        private Button _zoomOutButton;
        private Button _getButton;

        public MyUserControl()
        {
            InitializeComponent();

            commands.Target = this;
            commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn);
            Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString());

            commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut);
            Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString());

            _getButton.Click += _getButton_Click;
        }

        void _getButton_Click(object sender, EventArgs e)
        {
            Console.WriteLine(commands.OwnerForm.ToString());
            Console.WriteLine(commands.OwnerGcZoom.ToString());
        }

        private void InitializeComponent()
        {
            _zoomInButton = new Button();
            _zoomInButton.Text = "+";
            _zoomInButton.Size = new Size(40, 40);
            _zoomInButton.Location = new Point(10, 10);

            _zoomOutButton = new Button();
            _zoomOutButton.Text = "_";
            _zoomOutButton.Size = new Size(40, 40);
            _zoomOutButton.Location = new Point(60, 10);

            _getButton = new Button();
            _getButton.Text = "Get";
            _getButton.Size = new Size(40, 40);
            _getButton.Location = new Point(110, 10);

            this.Size = new Size(160, 60);
            this.Controls.Add(_zoomInButton);
            this.Controls.Add(_zoomOutButton);
            this.Controls.Add(_getButton);
        }
    }
}


GcZoom.Controls プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.Controls プロパティ

オーナーフォームの子コントロールを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Controls As ControlCollection

public ControlCollection Controls { get; }

プロパティ値

System.Windows.Forms.Control.ControlCollection型

オーナーフォームの子コントロールを表す ControlCollection 値。

解説

フォームがロードされた後、GcZoom はフォームのすべての子コントロールを内部パネルに変更します。そのため、GcZoom がアタッチされたフォームでは、Form.Controls プロパティの代わりに GcZoom.Controls プロパティを使用してください。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomControlsDemo
        Inherits Form
        Private _gcZoom1 As New GcZoom()

        Private _label1 As Label
        Private _innerPanelLayoutModeComboBox As ComboBox
        Private _autoShowControlCheckBox As CheckBox
        Private _controlsButton As Button
        Private _innerPanelButton As Button
        Private _changeChildControlButton As Button
        Private _zoomTargetsButton As Button
        Private _getDisplayRectangleButton As Button

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            AddHandler _innerPanelLayoutModeComboBox.TextChanged, AddressOf _innerPanelLayoutModeComboBox_TextChanged
            AddHandler _autoShowControlCheckBox.CheckedChanged, AddressOf _autoShowControlCheckBox_CheckedChanged

            AddHandler _controlsButton.Click, AddressOf _controlsButton_Click
            AddHandler _innerPanelButton.Click, AddressOf _innerPanelButton_Click
            AddHandler _changeChildControlButton.Click, AddressOf _changeChildControlButton_Click
            AddHandler _zoomTargetsButton.Click, AddressOf _zoomTargetsButton_Click
            AddHandler _getDisplayRectangleButton.Click, AddressOf _getDisplayRectangleButton_Click
        End Sub

        Private Sub _innerPanelLayoutModeComboBox_TextChanged(sender As Object, e As EventArgs)
            If _innerPanelLayoutModeComboBox.Text = "None" Then
                _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.None
            ElseIf _innerPanelLayoutModeComboBox.Text = "MiddleCenter" Then
                _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter
            End If
        End Sub

        Private Sub _autoShowControlCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.AutoShowControl = _autoShowControlCheckBox.Checked
        End Sub

        Private Sub _controlsButton_Click(sender As Object, e As EventArgs)
            For Each item As Control In _gcZoom1.Controls
                Console.WriteLine(item.ToString())
            Next
        End Sub

        Private Sub _innerPanelButton_Click(sender As Object, e As EventArgs)
            Console.WriteLine(_gcZoom1.InnerPanel.ToString())
        End Sub

        Private Sub _changeChildControlButton_Click(sender As Object, e As EventArgs)
            Dim newButton As New Button()
            newButton.Text = "New Button"
            newButton.Location = New Point(100, 100)
            newButton.Size = New Size(Me.Size.Width \ 2, Me.Size.Height \ 2)

            _gcZoom1.BeginAddControls()
            _gcZoom1.Controls.Add(newButton)
            _gcZoom1.EndAddControls()
        End Sub

        Private Sub _zoomTargetsButton_Click(sender As Object, e As EventArgs)
            For Each item As Control In _gcZoom1.ZoomTargets
                Console.WriteLine(item.ToString())
            Next
        End Sub

        Private Sub _getDisplayRectangleButton_Click(sender As Object, e As EventArgs)
            Console.WriteLine(_gcZoom1.GetDisplayRectangle(_getDisplayRectangleButton).ToString())
        End Sub

        Private Sub InitializeComponent()
            _label1 = New Label()
            _label1.Text = "LayoutMode"
            _label1.Location = New Point(20, 20)

            _innerPanelLayoutModeComboBox = New System.Windows.Forms.ComboBox()
            _innerPanelLayoutModeComboBox.Items.AddRange(New Object() {"None", "MiddleCenter"})
            _innerPanelLayoutModeComboBox.Location = New Point(120, 20)

            _autoShowControlCheckBox = New CheckBox()
            _autoShowControlCheckBox.Text = "AutoShowControl"
            _autoShowControlCheckBox.Location = New Point(20, 70)
            _autoShowControlCheckBox.Size = New Size(120, 20)

            _controlsButton = New Button()
            _controlsButton.Text = "Controls"
            _controlsButton.Location = New Point(20, 130)
            _controlsButton.Size = New Size(120, 25)

            _innerPanelButton = New Button()
            _innerPanelButton.Text = "InnerPanel"
            _innerPanelButton.Location = New Point(20, 160)
            _innerPanelButton.Size = New Size(120, 25)

            _changeChildControlButton = New Button()
            _changeChildControlButton.Text = "ChangeChildControl"
            _changeChildControlButton.Location = New Point(20, 190)
            _changeChildControlButton.Size = New Size(120, 25)

            _zoomTargetsButton = New Button()
            _zoomTargetsButton.Text = "ZoomTargets"
            _zoomTargetsButton.Location = New Point(20, 220)
            _zoomTargetsButton.Size = New Size(120, 25)

            _getDisplayRectangleButton = New Button()
            _getDisplayRectangleButton.Text = "GetDisplayRectangle"
            _getDisplayRectangleButton.Location = New Point(20, 250)
            _getDisplayRectangleButton.Size = New Size(120, 25)

            Me.Controls.Add(_label1)
            Me.Controls.Add(_innerPanelLayoutModeComboBox)
            Me.Controls.Add(_autoShowControlCheckBox)
            Me.Controls.Add(_controlsButton)
            Me.Controls.Add(_innerPanelButton)
            Me.Controls.Add(_changeChildControlButton)
            Me.Controls.Add(_zoomTargetsButton)
            Me.Controls.Add(_getDisplayRectangleButton)
            Me.Size = New Size(300, 400)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomControlsDemo : Form
    {
        private GcZoom _gcZoom1 = new GcZoom();

        private Label _label1;
        private ComboBox _innerPanelLayoutModeComboBox;
        private CheckBox _autoShowControlCheckBox;
        private Button _controlsButton;
        private Button _innerPanelButton;
        private Button _changeChildControlButton;
        private Button _zoomTargetsButton;
        private Button _getDisplayRectangleButton;

        public GcZoomControlsDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            _innerPanelLayoutModeComboBox.TextChanged += _innerPanelLayoutModeComboBox_TextChanged;
            _autoShowControlCheckBox.CheckedChanged += _autoShowControlCheckBox_CheckedChanged;

            _controlsButton.Click += _controlsButton_Click;
            _innerPanelButton.Click += _innerPanelButton_Click;
            _changeChildControlButton.Click += _changeChildControlButton_Click;
            _zoomTargetsButton.Click += _zoomTargetsButton_Click;
            _getDisplayRectangleButton.Click += _getDisplayRectangleButton_Click;
        }

        void _innerPanelLayoutModeComboBox_TextChanged(object sender, EventArgs e)
        {
            if (_innerPanelLayoutModeComboBox.Text == "None")
            {
                _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.None;
            }
            else if (_innerPanelLayoutModeComboBox.Text == "MiddleCenter")
            {
                _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter;
            }
        }

        void _autoShowControlCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.AutoShowControl = _autoShowControlCheckBox.Checked;
        }

        void _controlsButton_Click(object sender, EventArgs e)
        {
            foreach (Control item in _gcZoom1.Controls)
            {
                Console.WriteLine(item.ToString());
            }
        }

        void _innerPanelButton_Click(object sender, EventArgs e)
        {
            Console.WriteLine(_gcZoom1.InnerPanel.ToString());
        }

        void _changeChildControlButton_Click(object sender, EventArgs e)
        {
            Button newButton = new Button();
            newButton.Text = "New Button";
            newButton.Location = new Point(100, 100);
            newButton.Size = new Size(this.Size.Width / 2, this.Size.Height / 2);

            _gcZoom1.BeginAddControls();
            _gcZoom1.Controls.Add(newButton);
            _gcZoom1.EndAddControls();
        }

        void _zoomTargetsButton_Click(object sender, EventArgs e)
        {
            foreach (Control item in _gcZoom1.ZoomTargets)
            {
                Console.WriteLine(item.ToString());
            }
        }

        void _getDisplayRectangleButton_Click(object sender, EventArgs e)
        {
            Console.WriteLine(_gcZoom1.GetDisplayRectangle(_getDisplayRectangleButton).ToString());
        }

        private void InitializeComponent()
        {
            _label1 = new Label();
            _label1.Text = "LayoutMode";
            _label1.Location = new Point(20, 20);

            _innerPanelLayoutModeComboBox = new System.Windows.Forms.ComboBox();
            _innerPanelLayoutModeComboBox.Items.AddRange(new object[] {
            "None",
            "MiddleCenter"});
            _innerPanelLayoutModeComboBox.Location = new Point(120, 20);

            _autoShowControlCheckBox = new CheckBox();
            _autoShowControlCheckBox.Text = "AutoShowControl";
            _autoShowControlCheckBox.Location = new Point(20, 70);
            _autoShowControlCheckBox.Size = new Size(120, 20);

            _controlsButton = new Button();
            _controlsButton.Text = "Controls";
            _controlsButton.Location = new Point(20, 130);
            _controlsButton.Size = new Size(120, 25);

            _innerPanelButton = new Button();
            _innerPanelButton.Text = "InnerPanel";
            _innerPanelButton.Location = new Point(20, 160);
            _innerPanelButton.Size = new Size(120, 25);

            _changeChildControlButton = new Button();
            _changeChildControlButton.Text = "ChangeChildControl";
            _changeChildControlButton.Location = new Point(20, 190);
            _changeChildControlButton.Size = new Size(120, 25);

            _zoomTargetsButton = new Button();
            _zoomTargetsButton.Text = "ZoomTargets";
            _zoomTargetsButton.Location = new Point(20, 220);
            _zoomTargetsButton.Size = new Size(120, 25);

            _getDisplayRectangleButton = new Button();
            _getDisplayRectangleButton.Text = "GetDisplayRectangle";
            _getDisplayRectangleButton.Location = new Point(20, 250);
            _getDisplayRectangleButton.Size = new Size(120, 25);

            this.Controls.Add(_label1);
            this.Controls.Add(_innerPanelLayoutModeComboBox);
            this.Controls.Add(_autoShowControlCheckBox);
            this.Controls.Add(_controlsButton);
            this.Controls.Add(_innerPanelButton);
            this.Controls.Add(_changeChildControlButton);
            this.Controls.Add(_zoomTargetsButton);
            this.Controls.Add(_getDisplayRectangleButton);
            this.Size = new Size(300, 400);
        }
    }
}


GcZoom.DefaultZoomPolicies プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.DefaultZoomPolicies プロパティ

デフォルトのズームポリシーを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property DefaultZoomPolicies As ReadOnlyCollection(Of ZoomPolicy)

public ReadOnlyCollection<ZoomPolicy> DefaultZoomPolicies { get; }

プロパティ値

System.Collections.ObjectModel.ReadOnlyCollection<ZoomPolicy>型

デフォルトのズームポリシー。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub GetDefaultZoomPolicy()
    ' Get GcZoom component build in zoompolicy of all
    For Each item As ZoomPolicy In _gcZoom1.DefaultZoomPolicies
        _defaultZoomPolicyListBox.Items.Add(item.ToString())
    Next
End Sub

void GetDefaultZoomPolicy()
{
    // Get GcZoom component build in zoompolicy of all
    foreach (ZoomPolicy item in _gcZoom1.DefaultZoomPolicies)
    {
        _defaultZoomPolicyListBox.Items.Add(item.ToString());
    }
}


GcZoom.FullScreenMode プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.FullScreenMode プロパティ

オーナーフォームによって使用されるフルスクリーンモードを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property FullScreenMode As FullScreenMode

public FullScreenMode FullScreenMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.FullScreenMode型

FullScreenMode 値の 1 つ。デフォルトは None です。

FullScreenModeの値 | 説明
0 - None | フォームはフルスクリーンではありません。
1 - FullScreen | フォームはフルスクリーンで、タスクバーも表示されません。
2 - FullScreenWithTaskBar | フォームはフルスクリーンですが、タスクバーは引き続き表示されます。
例外
例外の種類 | 条件
System.InvalidOperationException | オーナーフォームの IsMdiChild が true の場合、FullScreenMode は変更できません。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _fullScreenModeCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    If _fullScreenModeCheckBox.Checked Then
        '_gcZoom1.FullScreenMode = FullScreenMode.FullScreenWithTaskBar;
        _gcZoom1.FullScreenMode = FullScreenMode.FullScreen
    Else
        _gcZoom1.FullScreenMode = FullScreenMode.None
    End If
End Sub

void _fullScreenModeCheckBox_CheckedChanged(object sender, EventArgs e)
{
    if (_fullScreenModeCheckBox.Checked)
    {
        //_gcZoom1.FullScreenMode = FullScreenMode.FullScreenWithTaskBar;
        _gcZoom1.FullScreenMode = FullScreenMode.FullScreen;
    }
    else
    {
        _gcZoom1.FullScreenMode = FullScreenMode.None;
    }
}


GcZoom.InnerPanel プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.InnerPanel プロパティ

ターゲットフォームの子コントロールを含む内部パネルを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property InnerPanel As Panel

public Panel InnerPanel { get; }
解説

ターゲットフォームに GcZoom がアタッチされた後は、この内部パネルがフォームを取り扱います。そのため、ターゲットフォームの Capture プロパティの値は正しくなくなります。代わりにこの内部パネルの Capture プロパティを使用してください。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _innerPanelButton_Click(sender As Object, e As EventArgs)
    Console.WriteLine(_gcZoom1.InnerPanel.ToString())
End Sub

void _innerPanelButton_Click(object sender, EventArgs e)
{
    Console.WriteLine(_gcZoom1.InnerPanel.ToString());
}


GcZoom.InnerPanelLayoutMode プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.InnerPanelLayoutMode プロパティ

フォームを拡大した後の InnerPanel のレイアウトを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property InnerPanelLayoutMode As InnerPanelLayoutMode

public InnerPanelLayoutMode InnerPanelLayoutMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.InnerPanelLayoutMode型

InnerPanelLayoutMode 値の 1 つ。デフォルトは None です。

InnerPanelLayoutModeの値 | 説明
0 - None | フォームのサイズがコンテンツのサイズより大きい場合、コンテンツを左上に維持します。
1 - MiddleCenter | フォームのサイズがコンテンツのサイズより大きい場合、コンテンツを中央に維持します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _innerPanelLayoutModeComboBox_TextChanged(sender As Object, e As EventArgs)
    If _innerPanelLayoutModeComboBox.Text = "None" Then
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.None
    ElseIf _innerPanelLayoutModeComboBox.Text = "MiddleCenter" Then
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter
    End If
End Sub

void _innerPanelLayoutModeComboBox_TextChanged(object sender, EventArgs e)
{
    if (_innerPanelLayoutModeComboBox.Text == "None")
    {
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.None;
    }
    else if (_innerPanelLayoutModeComboBox.Text == "MiddleCenter")
    {
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter;
    }
}


GcZoom.IsHorizontalRailEnabled プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.IsHorizontalRailEnabled プロパティ

水平方向のスクロールレールが有効かどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property IsHorizontalRailEnabled As Boolean

public bool IsHorizontalRailEnabled { get; set; }

プロパティ値

System.Boolean型

水平方向のスクロールレールを有効にする場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _isHorizontalRailEnabledCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.IsHorizontalRailEnabled = _isHorizontalRailEnabledCheckBox.Checked
End Sub

void _isHorizontalRailEnabledCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.IsHorizontalRailEnabled = _isHorizontalRailEnabledCheckBox.Checked;
}


GcZoom.IsPanWindowShown プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.IsPanWindowShown プロパティ

パンウィンドウが表示されているかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsPanWindowShown As Boolean

public bool IsPanWindowShown { get; }

プロパティ値

System.Boolean型

パンウィンドウが表示されている場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ShowPanWindow メソッドに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _isShowPanWindowButton_Click(sender As Object, e As EventArgs)
    If _gcZoom1.IsPanWindowShown Then
        Console.WriteLine("PanWindow is Shown")
    Else
        Console.WriteLine("PanWindow is Closed")
    End If
End Sub

void _isShowPanWindowButton_Click(object sender, EventArgs e)
{
    if (_gcZoom1.IsPanWindowShown)
    {
        Console.WriteLine("PanWindow is Shown");
    }
    else
    {
        Console.WriteLine("PanWindow is Closed");
    }
}


GcZoom.IsVerticalRailEnabled プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.IsVerticalRailEnabled プロパティ

垂直方向のスクロールレールが有効かどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property IsVerticalRailEnabled As Boolean

public bool IsVerticalRailEnabled { get; set; }

プロパティ値

System.Boolean型

垂直方向のスクロールレールを有効にする場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _isVerticalRailEnabledCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.IsVerticalRailEnabled = _isVerticalRailEnabledCheckBox.Checked
End Sub

void _isVerticalRailEnabledCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.IsVerticalRailEnabled = _isVerticalRailEnabledCheckBox.Checked;
}


GcZoom.KeepAspectRatio プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.KeepAspectRatio プロパティ

フォームをサイズ変更するときにアスペクト比を維持するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property KeepAspectRatio As Boolean

public bool KeepAspectRatio { get; set; }

プロパティ値

System.Boolean型

フォームをサイズ変更するときにアスペクト比を維持する場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、フォームをサイズ変更するときにアスペクト比を維持するかどうかを設定する方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _keepAspectRatioCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.KeepAspectRatio = _keepAspectRatioCheckBox.Checked
End Sub

void _keepAspectRatioCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.KeepAspectRatio = _keepAspectRatioCheckBox.Checked;
}


GcZoom.MaxZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.MaxZoomFactor プロパティ

フォームの最大ズーム率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property MaxZoomFactor As Single

public float MaxZoomFactor { get; set; }

プロパティ値

System.Single型

フォームの最大ズーム率を表す Single 値。デフォルトは 4f です。

例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | 指定された値が 1f 未満か、4f を超えています。
使用例

以下のサンプルコードは、ズーム率の最大値を設定する方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub maxZoomFactorTextBox_TextChanged(sender As Object, e As EventArgs)
    Dim value As String = _maxZoomFactorTextBox.Text.Trim()

    Try
        Dim maxFactor As Single = CSng(Convert.ToDouble(value))
        _gcZoom1.MaxZoomFactor = maxFactor
    Catch
        _gcZoom1.MaxZoomFactor = 2.0F
    End Try
End Sub

void maxZoomFactorTextBox_TextChanged(object sender, EventArgs e)
{
    string value = _maxZoomFactorTextBox.Text.Trim();

    try
    {
        float maxFactor = (float)Convert.ToDouble(value);
        _gcZoom1.MaxZoomFactor = maxFactor;
    }
    catch
    {
        _gcZoom1.MaxZoomFactor = 2f;
    }
}


GcZoom.ScrollIndicatorMode プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.ScrollIndicatorMode プロパティ

現在のスクロール位置を示すモードを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ScrollIndicatorMode As ScrollIndicatorMode

public ScrollIndicatorMode ScrollIndicatorMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ScrollIndicatorMode型

ScrollIndicatorMode 値の 1 つ。デフォルトは ScrollIndicator です。

ScrollIndicatorModeの値 | 説明
0 - None | 現在のスクロール位置を示すために何も使用しません。
1 - ScrollBar | スクロールバーを使用して現在のスクロール位置を示します。
2 - ScrollIndicator | スクロールインジケーターを使用して現在のスクロール位置を示します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomScrollDemo
        Inherits Form
        Private _label1 As Label
        Private _scrollIndicatorModeComboBox As ComboBox
        Private _scrollButton As Button
        Private _allowPanScrollCheckBox As CheckBox
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            AddHandler _scrollIndicatorModeComboBox.TextChanged, AddressOf _scrollIndicatorModeComboBox_TextChanged
            AddHandler _allowPanScrollCheckBox.CheckedChanged, AddressOf _allowPanScrollCheckBox_CheckedChanged
            AddHandler _scrollButton.Click, AddressOf _scrollButton_Click
        End Sub

        Private Sub _scrollIndicatorModeComboBox_TextChanged(sender As Object, e As EventArgs)
            Select Case _scrollIndicatorModeComboBox.Text
                Case "None"
                    Me._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.None
                    Exit Select

                Case "ScrollBar"
                    Me._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollBar
                    Exit Select

                Case "ScrollIndicator"
                    Me._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollIndicator
                    Exit Select
                Case Else

                    Exit Select
            End Select
        End Sub

        Private Sub _scrollButton_Click(sender As Object, e As EventArgs)
            _gcZoom1.ScrollLocation = New Point(0, 0)
        End Sub

        Private Sub _allowPanScrollCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.AllowPanScroll = _allowPanScrollCheckBox.Checked
        End Sub

        Private Sub InitializeComponent()
            _label1 = New Label()
            _label1.Text = "IndicatorMode"
            _label1.Location = New Point(20, 20)
            _scrollIndicatorModeComboBox = New System.Windows.Forms.ComboBox()
            _scrollIndicatorModeComboBox.Items.AddRange(New Object() {"None", "ScrollBar", "ScrollIndicator"})
            _scrollIndicatorModeComboBox.Location = New Point(120, 20)

            _allowPanScrollCheckBox = New CheckBox()
            _allowPanScrollCheckBox.Text = "AllowPanScroll"
            _allowPanScrollCheckBox.Location = New Point(20, 80)

            _scrollButton = New Button()
            _scrollButton.Size = New Size(200, 25)
            _scrollButton.Text = "Scroll to (0, 0)"
            _scrollButton.Location = New Point(20, 110)

            Me.Controls.Add(_label1)
            Me.Controls.Add(_scrollIndicatorModeComboBox)
            Me.Controls.Add(_scrollButton)
            Me.Controls.Add(_allowPanScrollCheckBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomScrollDemo : Form
    {
        private Label _label1;
        private ComboBox _scrollIndicatorModeComboBox;
        private Button _scrollButton;
        private CheckBox _allowPanScrollCheckBox;
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomScrollDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            _scrollIndicatorModeComboBox.TextChanged += _scrollIndicatorModeComboBox_TextChanged;
            _allowPanScrollCheckBox.CheckedChanged += _allowPanScrollCheckBox_CheckedChanged;
            _scrollButton.Click += _scrollButton_Click;
        }

        void _scrollIndicatorModeComboBox_TextChanged(object sender, EventArgs e)
        {
            switch (_scrollIndicatorModeComboBox.Text)
            {
                case "None":
                    this._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.None;
                    break;

                case "ScrollBar":
                    this._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollBar;
                    break;

                case "ScrollIndicator":
                    this._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollIndicator;
                    break;

                default:
                    break;
            }
        }

        void _scrollButton_Click(object sender, EventArgs e)
        {
            _gcZoom1.ScrollLocation = new Point(0, 0);
        }

        void _allowPanScrollCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.AllowPanScroll = _allowPanScrollCheckBox.Checked;
        }

        private void InitializeComponent()
        {
            _label1 = new Label();
            _label1.Text = "IndicatorMode";
            _label1.Location = new Point(20, 20);
            _scrollIndicatorModeComboBox = new System.Windows.Forms.ComboBox();
            _scrollIndicatorModeComboBox.Items.AddRange(new object[] {
            "None",
            "ScrollBar",
            "ScrollIndicator"});
            _scrollIndicatorModeComboBox.Location = new Point(120, 20);

            _allowPanScrollCheckBox = new CheckBox();
            _allowPanScrollCheckBox.Text = "AllowPanScroll";
            _allowPanScrollCheckBox.Location = new Point(20, 80);

            _scrollButton = new Button();
            _scrollButton.Size = new Size(200, 25);
            _scrollButton.Text = "Scroll to (0, 0)";
            _scrollButton.Location = new Point(20, 110);

            this.Controls.Add(_label1);
            this.Controls.Add(_scrollIndicatorModeComboBox);
            this.Controls.Add(_scrollButton);
            this.Controls.Add(_allowPanScrollCheckBox);
        }
    }
}


GcZoom.ScrollLocation プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.ScrollLocation プロパティ

フォームのスクロール位置を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ScrollLocation As Point

public Point ScrollLocation { get; set; }

プロパティ値

System.Drawing.Point型

フォームのスクロール位置（ピクセル単位）を表す Point 値。

解説

ScrollLocation プロパティは、フォームの現在画面に表示されている部分の位置を表します。このプロパティを使用して、コントロールの表示されている部分を変更できます。

注意に関するメモ 注意

コントロールがスクロールされて開始位置 (0,0) から離れている場合、取得される X および Y 座標の値は負になります。このプロパティを設定するときは常に、開始位置からのスクロール位置を示す正の X および Y の値を指定する必要があります。たとえば、水平スクロールバーがある場合に x および y を 200 に設定すると、200 ピクセル右にスクロールします。続いて x および y を 100 に設定すると、100 ピクセル左にジャンプしたように見えます。これはスクロール位置を開始位置から 100 ピクセル離れた位置に設定したためです。最初のケースでは、ScrollLocation は {-200, 0} を返し、2 番目のケースでは {-100,0} を返します。

スクロール可能な最大値よりも大きい値を設定した場合、ScrollLocation は自動的に最大値に調整されます。同様に、スクロール可能な最小値よりも小さい値を設定した場合、ScrollLocation は自動的に最小値に調整されます。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ScrollIndicatorMode プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _scrollButton_Click(sender As Object, e As EventArgs)
    _gcZoom1.ScrollLocation = New Point(0, 0)
End Sub

void _scrollButton_Click(object sender, EventArgs e)
{
    _gcZoom1.ScrollLocation = new Point(0, 0);
}


GcZoom.Site プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.Site プロパティ

Component の ISite を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Overrides WriteOnly Property Site As ISite _
    Implements IComponent.Site

public override ISite Site { set; }

プロパティ値

System.ComponentModel.ISite型

Component に関連付けられた ISite。Component が IContainer にカプセル化されていない場合、Component に ISite が関連付けられていない場合、または Component がその IContainer から除去された場合は null。

実装

IComponent.Site
例外
例外の種類 | 条件
System.InvalidOperationException | このコンポーネントは Form にのみ追加できます。 または 1 つのフォームに複数の GcZoom コンポーネントをアタッチすることはできません。 または GcZoom と GcZoomPanel を同時に使用することはできません。


GcZoom.ZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.ZoomFactor プロパティ

フォームのズーム率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomFactor As Single

public float ZoomFactor { get; set; }

プロパティ値

System.Single型

フォームのズーム率を表す Single 値。デフォルトは 1f です。

例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | 指定された値が 1 未満か、MaxZoomFactor を超えています。
解説

ZoomFactor の範囲は 1 ～ MaxZoomFactor です。

AllowPinchZoom プロパティが true の場合、ユーザーはジェスチャによって ZoomFactor を変更できます。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub zoomFactorTextBox_TextChanged(sender As Object, e As EventArgs)
    Dim value As String = _zoomFactorTextBox.Text.Trim()

    Try
        Dim zoomFactor As Single = CSng(Convert.ToDouble(value))
        _gcZoom1.ZoomFactor = zoomFactor
    Catch
        Console.WriteLine(e.ToString())
        _gcZoom1.ZoomFactor = 1.0F
    End Try
End Sub

Private Sub gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
    _zoomFactor2TextBox.Text = _gcZoom1.ZoomFactor.ToString()
End Sub

void zoomFactorTextBox_TextChanged(object sender, EventArgs e)
{
    string value = _zoomFactorTextBox.Text.Trim();

    try
    {
        float zoomFactor = (float)Convert.ToDouble(value);
        _gcZoom1.ZoomFactor = zoomFactor;
    }
    catch
    {
        Console.WriteLine(e.ToString());
        _gcZoom1.ZoomFactor = 1f;
    }
}

void gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
{
    _zoomFactor2TextBox.Text = _gcZoom1.ZoomFactor.ToString();
}


GcZoom.ZoomPolicies プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.ZoomPolicies プロパティ

カスタムズームポリシーを取得します。GcZoom はこのリストでズームポリシーを検索します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomPolicies As List(Of ZoomPolicy)

public List<ZoomPolicy> ZoomPolicies { get; }

プロパティ値

System.Collections.Generic.List<ZoomPolicy>型

カスタム ZoomPolicy のリスト。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' DataGridView control should to change default font
    _dataGridView.ColumnHeadersDefaultCellStyle.Font = New Font(Me.Font.FontFamily, Me.Font.Size)
    _dataGridView.RowsDefaultCellStyle.Font = New Font(Me.Font.FontFamily, Me.Font.Size)

    _gcZoom1.Target = Me

    ' Set DataGridView's ZoomPolicy object
    _gcZoom1.ZoomPolicies.Add(_zoomPolicy)

    GetTargetType()
    GetDefaultZoomPolicy()

    AddHandler _enableCheckBox.CheckedChanged, AddressOf _enableCheckBox_CheckedChanged
    AddHandler _fontCheckBox.CheckedChanged, AddressOf _fontCheckBox_CheckedChanged
    AddHandler _columnWidthCheckBox.CheckedChanged, AddressOf _columnWidthCheckBox_CheckedChanged
    AddHandler _rowHeightCheckBox.CheckedChanged, AddressOf _rowHeightCheckBox_CheckedChanged
End Sub

public DataGridViewZoomPolicyDemo()
{
    InitializeComponent();

    // DataGridView control should to change default font
    _dataGridView.ColumnHeadersDefaultCellStyle.Font = new Font(this.Font.FontFamily, this.Font.Size);
    _dataGridView.RowsDefaultCellStyle.Font = new Font(this.Font.FontFamily, this.Font.Size);

    _gcZoom1.Target = this;

    // Set DataGridView's ZoomPolicy object
    _gcZoom1.ZoomPolicies.Add(_zoomPolicy);

    GetTargetType();
    GetDefaultZoomPolicy();

    _enableCheckBox.CheckedChanged += _enableCheckBox_CheckedChanged;
    _fontCheckBox.CheckedChanged += _fontCheckBox_CheckedChanged;
    _columnWidthCheckBox.CheckedChanged += _columnWidthCheckBox_CheckedChanged;
    _rowHeightCheckBox.CheckedChanged += _rowHeightCheckBox_CheckedChanged;
}


GcZoom.ZoomPreviewMode プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.ZoomPreviewMode プロパティ

ジェスチャズーム中にフォームをプレビューする方法を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomPreviewMode As ZoomPreviewMode

public ZoomPreviewMode ZoomPreviewMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ZoomPreviewMode型

ZoomPreviewMode 値の 1 つ。デフォルトは ZoomPreviewMode.Bitmap です。

ZoomPreviewModeの値 | 説明
0 - Bitmap | ズーム中にビットマッププレビューを使用します。
1 - NoPreview | ズーム中にプレビューを表示しません。
2 - AlternativeContent | ズーム中に代替コンテンツプレビューを使用します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。サンプルコードを実行し、ZoomPreviewMode ComboBox の値を切り替えながらタッチによるズームとパンを試してみて、ZoomPreviewMode の違いを確認してください。

VB
C#
クリップボードにコピー
Private Sub previewModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
    Select Case _previewModeComboBox.Text
        Case "Bitmap"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap
            Exit Select

        Case "AlternativeContent"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%"

            Exit Select

        Case "NoPreview"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void previewModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
{
    switch (_previewModeComboBox.Text)
    {
        case "Bitmap":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;
            break;

        case "AlternativeContent":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent;

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark;
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%";

            break;

        case "NoPreview":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview;
            break;

        default:
            break;
    }
}


GcZoom.ZoomSnapDistance プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.ZoomSnapDistance プロパティ

現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomSnapDistance As Single

public float ZoomSnapDistance { get; set; }

プロパティ値

System.Single型

現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を表す Single 値。

解説

このプロパティは、ZoomPreviewMode プロパティの値が ZoomPreviewMode.Bitmap または ZoomPreviewMode.AlternativeContent のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomSnapPointDemo
        Inherits Form
        Private _zoomSnapTextBox As TextBox
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            ' property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            Me._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap

            _gcZoom1.ZoomSnapPoints.Add(1.0F)
            _gcZoom1.ZoomSnapPoints.Add(1.25F)
            _gcZoom1.ZoomSnapPoints.Add(1.5F)
            _gcZoom1.ZoomSnapPoints.Add(1.75F)
            _gcZoom1.ZoomSnapPoints.Add(2.0F)

            _gcZoom1.ZoomSnapDistance = 0.25F

            AddHandler _gcZoom1.ZoomFactorChanged, AddressOf _gcZoom1_ZoomFactorChanged
        End Sub

        Private Sub _gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString()
        End Sub

        Private Sub InitializeComponent()
            _zoomSnapTextBox = New TextBox()
            _zoomSnapTextBox.Location = New Point(100, 100)
            Me.Controls.Add(_zoomSnapTextBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomSnapPointDemo : Form
    {
        private TextBox _zoomSnapTextBox;
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomSnapPointDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            // property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            this._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;

            _gcZoom1.ZoomSnapPoints.Add(1f);
            _gcZoom1.ZoomSnapPoints.Add(1.25f);
            _gcZoom1.ZoomSnapPoints.Add(1.5f);
            _gcZoom1.ZoomSnapPoints.Add(1.75f);
            _gcZoom1.ZoomSnapPoints.Add(2f);

            _gcZoom1.ZoomSnapDistance = 0.25f;

            _gcZoom1.ZoomFactorChanged += _gcZoom1_ZoomFactorChanged;
        }

        void _gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
        {
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString();
        }

        private void InitializeComponent()
        {
            _zoomSnapTextBox = new TextBox();
            _zoomSnapTextBox.Location = new Point(100, 100);
            this.Controls.Add(_zoomSnapTextBox);
        }
    }
}


GcZoom.ZoomSnapPoints プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.ZoomSnapPoints プロパティ

ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomSnapPoints As List(Of Single)

public List<Single> ZoomSnapPoints { get; }

プロパティ値

System.Collections.Generic.List<Single>型

ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを表す Single 値のリスト。

解説

このプロパティは、ZoomPreviewMode プロパティの値が ZoomPreviewMode.Bitmap または ZoomPreviewMode.AlternativeContent のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomSnapPointDemo
        Inherits Form
        Private _zoomSnapTextBox As TextBox
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            ' property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            Me._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap

            _gcZoom1.ZoomSnapPoints.Add(1.0F)
            _gcZoom1.ZoomSnapPoints.Add(1.25F)
            _gcZoom1.ZoomSnapPoints.Add(1.5F)
            _gcZoom1.ZoomSnapPoints.Add(1.75F)
            _gcZoom1.ZoomSnapPoints.Add(2.0F)

            _gcZoom1.ZoomSnapDistance = 0.25F

            AddHandler _gcZoom1.ZoomFactorChanged, AddressOf _gcZoom1_ZoomFactorChanged
        End Sub

        Private Sub _gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString()
        End Sub

        Private Sub InitializeComponent()
            _zoomSnapTextBox = New TextBox()
            _zoomSnapTextBox.Location = New Point(100, 100)
            Me.Controls.Add(_zoomSnapTextBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomSnapPointDemo : Form
    {
        private TextBox _zoomSnapTextBox;
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomSnapPointDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            // property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            this._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;

            _gcZoom1.ZoomSnapPoints.Add(1f);
            _gcZoom1.ZoomSnapPoints.Add(1.25f);
            _gcZoom1.ZoomSnapPoints.Add(1.5f);
            _gcZoom1.ZoomSnapPoints.Add(1.75f);
            _gcZoom1.ZoomSnapPoints.Add(2f);

            _gcZoom1.ZoomSnapDistance = 0.25f;

            _gcZoom1.ZoomFactorChanged += _gcZoom1_ZoomFactorChanged;
        }

        void _gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
        {
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString();
        }

        private void InitializeComponent()
        {
            _zoomSnapTextBox = new TextBox();
            _zoomSnapTextBox.Location = new Point(100, 100);
            this.Controls.Add(_zoomSnapTextBox);
        }
    }
}


GcZoom.ZoomTargets プロパティ (GrapeCity.Win.MultiTouch)

GcZoom.ZoomTargets プロパティ

ズームジェスチャメッセージを受け取ることができるコントロールのコレクションを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomTargets As List(Of Control)

public List<Control> ZoomTargets { get; }

プロパティ値

System.Collections.Generic.List<Control>型

ズームジェスチャメッセージを受け取ることができるコントロールのコレクション。

解説

ユーザーがこのコレクションのコントロールでズームジェスチャを実行した場合、GcZoom は何もしません。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _zoomTargetsButton_Click(sender As Object, e As EventArgs)
    For Each item As Control In _gcZoom1.ZoomTargets
        Console.WriteLine(item.ToString())
    Next
End Sub

void _zoomTargetsButton_Click(object sender, EventArgs e)
{
    foreach (Control item in _gcZoom1.ZoomTargets)
    {
        Console.WriteLine(item.ToString());
    }
}


GcZoom メソッド

GcZoom メソッド

GcZoom クラスのメソッドは以下のとおりです。GcZoom クラスの完全なメンバ一覧については、 GcZoomメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | BeginAddControls | このメソッドは、子コントロールコレクションを変更する前に呼び出します。
パブリック メソッド | ClosePanWindow | パンウィンドウを閉じます。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | EndAddControls | このメソッドは、子コントロールコレクションを変更した後に呼び出します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | GetDisplayRectangle | コントロールの表示矩形を取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | OnAnimationCompleted | AnimationCompleted イベントを発生させます。
プロテクト メソッド | OnAnimationStarting | AnimationStarting イベントを発生させます。
プロテクト メソッド | OnControlAutoShowing | ControlAutoShowing イベントを発生させます。
プロテクト メソッド | OnControlBoundsZooming | ControlBoundsZooming イベントを発生させます。
プロテクト メソッド | OnControlFontZooming | ControlFontZooming イベントを発生させます。
プロテクト メソッド | OnManipulationStarting | ManipulationStarting イベントを発生させます。
プロテクト メソッド | OnZoomFactorChanged | ZoomFactorChanged イベントを発生させます。
パブリック メソッド | SetScrollLocation | ScrollLocation を設定します。ScrollLocation を変更するときにアニメーションを使用するかどうかを指定できます。
パブリック メソッド | SetZoomFactor | ZoomFactor を設定します。ZoomFactor を変更するときにアニメーションを使用するかどうかを指定できます。
パブリック メソッド | ShowPanWindow | オーバーロード。 パンウィンドウを表示します。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)


GcZoom.AboutBox メソッド (GrapeCity.Win.MultiTouch)

GcZoom.AboutBox メソッド

製品情報ウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Sub AboutBox()

public void AboutBox();

戻り値

なし
解説

このメソッドが呼び出された後、製品情報を含むウィンドウが表示されます。


GcZoom.BeginAddControls メソッド (GrapeCity.Win.MultiTouch)

GcZoom.BeginAddControls メソッド

このメソッドは、子コントロールコレクションを変更する前に呼び出します。

構文
VB
C#
クリップボードにコピー
Public Sub BeginAddControls()

public void BeginAddControls();

戻り値

なし
使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _changeChildControlButton_Click(sender As Object, e As EventArgs)
    Dim newButton As New Button()
    newButton.Text = "New Button"
    newButton.Location = New Point(100, 100)
    newButton.Size = New Size(Me.Size.Width \ 2, Me.Size.Height \ 2)

    _gcZoom1.BeginAddControls()
    _gcZoom1.Controls.Add(newButton)
    _gcZoom1.EndAddControls()
End Sub

void _changeChildControlButton_Click(object sender, EventArgs e)
{
    Button newButton = new Button();
    newButton.Text = "New Button";
    newButton.Location = new Point(100, 100);
    newButton.Size = new Size(this.Size.Width / 2, this.Size.Height / 2);

    _gcZoom1.BeginAddControls();
    _gcZoom1.Controls.Add(newButton);
    _gcZoom1.EndAddControls();
}


GcZoom.ClosePanWindow メソッド (GrapeCity.Win.MultiTouch)

GcZoom.ClosePanWindow メソッド

パンウィンドウを閉じます。

構文
VB
C#
クリップボードにコピー
Public Sub ClosePanWindow()

public void ClosePanWindow();

戻り値

なし
解説

パンウィンドウがすでに閉じている場合、このメソッドを呼び出しても何も起こりません。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、ShowPanWindow メソッドに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _closePanWindowButton_Click(sender As Object, e As EventArgs)
    _gcZoom1.ClosePanWindow()
End Sub

void _closePanWindowButton_Click(object sender, EventArgs e)
{
    _gcZoom1.ClosePanWindow();
}


GcZoom.Dispose メソッド (GrapeCity.Win.MultiTouch)

GcZoom.Dispose メソッド

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | Dispose() | Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
プロテクト メソッド | Dispose(Boolean) | Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。


GcZoom.Dispose メソッド (Boolean) (GrapeCity.Win.MultiTouch)

GcZoom.Dispose メソッド (Boolean)

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

構文
VB
C#
クリップボードにコピー
Protected Overrides Sub Dispose( _
   ByVal disposing As Boolean _
)

protected override void Dispose(
   bool disposing
);

パラメータ

disposing
マネージリソースとアンマネージリソースを両方とも解放する場合は true。アンマネージリソースのみを解放する場合は false。

戻り値

なし


GcZoom.EndAddControls メソッド (GrapeCity.Win.MultiTouch)

GcZoom.EndAddControls メソッド

このメソッドは、子コントロールコレクションを変更した後に呼び出します。

構文
VB
C#
クリップボードにコピー
Public Sub EndAddControls()

public void EndAddControls();

戻り値

なし
使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _changeChildControlButton_Click(sender As Object, e As EventArgs)
    Dim newButton As New Button()
    newButton.Text = "New Button"
    newButton.Location = New Point(100, 100)
    newButton.Size = New Size(Me.Size.Width \ 2, Me.Size.Height \ 2)

    _gcZoom1.BeginAddControls()
    _gcZoom1.Controls.Add(newButton)
    _gcZoom1.EndAddControls()
End Sub

void _changeChildControlButton_Click(object sender, EventArgs e)
{
    Button newButton = new Button();
    newButton.Text = "New Button";
    newButton.Location = new Point(100, 100);
    newButton.Size = new Size(this.Size.Width / 2, this.Size.Height / 2);

    _gcZoom1.BeginAddControls();
    _gcZoom1.Controls.Add(newButton);
    _gcZoom1.EndAddControls();
}


GcZoom.GetDisplayRectangle メソッド (GrapeCity.Win.MultiTouch)

GcZoom.GetDisplayRectangle メソッド

コントロールの表示矩形を取得します。

構文
VB
C#
クリップボードにコピー
Public Function GetDisplayRectangle( _
   ByVal control As Control _
) As Rectangle

public Rectangle GetDisplayRectangle(
   Control control
);

パラメータ

control
ターゲットコントロール。

戻り値

System.Drawing.Rectangle 型

コントロールの表示矩形を表す Rectangle 値。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _getDisplayRectangleButton_Click(sender As Object, e As EventArgs)
    Console.WriteLine(_gcZoom1.GetDisplayRectangle(_getDisplayRectangleButton).ToString())
End Sub

void _getDisplayRectangleButton_Click(object sender, EventArgs e)
{
    Console.WriteLine(_gcZoom1.GetDisplayRectangle(_getDisplayRectangleButton).ToString());
}


GcZoom.OnAnimationCompleted メソッド (GrapeCity.Win.MultiTouch)

GcZoom.OnAnimationCompleted メソッド

AnimationCompleted イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnAnimationCompleted( _
   ByVal e As EventArgs _
)

protected virtual void OnAnimationCompleted(
   EventArgs e
);

パラメータ

e
イベントデータを含む EventArgs インスタンス。

戻り値

なし


GcZoom.OnAnimationStarting メソッド (GrapeCity.Win.MultiTouch)

GcZoom.OnAnimationStarting メソッド

AnimationStarting イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnAnimationStarting( _
   ByVal e As AnimationStartingEventArgs _
)

protected virtual void OnAnimationStarting(
   AnimationStartingEventArgs e
);

パラメータ

e
イベントデータを含む AnimationStartingEventArgs インスタンス。

戻り値

なし


GcZoom.OnControlAutoShowing メソッド (GrapeCity.Win.MultiTouch)

GcZoom.OnControlAutoShowing メソッド

ControlAutoShowing イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnControlAutoShowing( _
   ByVal e As ControlAutoShowingEventArgs _
)

protected virtual void OnControlAutoShowing(
   ControlAutoShowingEventArgs e
);

パラメータ

e
イベントデータを含む ControlAutoShowingEventArgs インスタンス。

戻り値

なし


GcZoom.OnControlBoundsZooming メソッド (GrapeCity.Win.MultiTouch)

GcZoom.OnControlBoundsZooming メソッド

ControlBoundsZooming イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnControlBoundsZooming( _
   ByVal e As ControlBoundsZoomingEventArgs _
)

protected virtual void OnControlBoundsZooming(
   ControlBoundsZoomingEventArgs e
);

パラメータ

e
イベントデータを含む ControlBoundsZoomingEventArgs インスタンス。

戻り値

なし


GcZoom.OnControlFontZooming メソッド (GrapeCity.Win.MultiTouch)

GcZoom.OnControlFontZooming メソッド

ControlFontZooming イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnControlFontZooming( _
   ByVal e As ControlFontZoomingEventArgs _
)

protected virtual void OnControlFontZooming(
   ControlFontZoomingEventArgs e
);

パラメータ

e
イベントデータを含む ControlFontZoomingEventArgs インスタンス。

戻り値

なし


GcZoom.OnManipulationStarting メソッド (GrapeCity.Win.MultiTouch)

GcZoom.OnManipulationStarting メソッド

ManipulationStarting イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnManipulationStarting( _
   ByVal e As ZoomManipulationStartingEventArgs _
)

protected internal virtual void OnManipulationStarting(
   ZoomManipulationStartingEventArgs e
);

パラメータ

e
イベントデータを含む ZoomManipulationStartingEventArgs インスタンス。

戻り値

なし


GcZoom.OnZoomFactorChanged メソッド (GrapeCity.Win.MultiTouch)

GcZoom.OnZoomFactorChanged メソッド

ZoomFactorChanged イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnZoomFactorChanged( _
   ByVal e As EventArgs _
)

protected virtual void OnZoomFactorChanged(
   EventArgs e
);

パラメータ

e
イベントデータを含む EventArgs インスタンス。

戻り値

なし


GcZoom.SetScrollLocation メソッド (GrapeCity.Win.MultiTouch)

GcZoom.SetScrollLocation メソッド

ScrollLocation を設定します。ScrollLocation を変更するときにアニメーションを使用するかどうかを指定できます。

構文
VB
C#
クリップボードにコピー
Public Sub SetScrollLocation( _
   ByVal scrollLocation As Point, _
   Optional ByVal useAnimation As Boolean = False _
)

public void SetScrollLocation(
   Point scrollLocation,
   bool useAnimation
);

パラメータ

scrollLocation
スクロール位置。
useAnimation
アニメーションを使用する場合は true。それ以外の場合は false。

戻り値

なし
使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、AnimationStartingEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _scrollRightBtn_Click(sender As Object, e As EventArgs)
    _gcZoom1.SetScrollLocation(New Point(-1000, 0), True)
End Sub

void _scrollRightBtn_Click(object sender, EventArgs e)
{
    _gcZoom1.SetScrollLocation(new Point(-1000, 0), true);
}


GcZoom.SetZoomFactor メソッド (GrapeCity.Win.MultiTouch)

GcZoom.SetZoomFactor メソッド

ZoomFactor を設定します。ZoomFactor を変更するときにアニメーションを使用するかどうかを指定できます。

構文
VB
C#
クリップボードにコピー
Public Sub SetZoomFactor( _
   ByVal zoomFactor As Single, _
   Optional ByVal useAnimation As Boolean = False _
)

public void SetZoomFactor(
   float zoomFactor,
   bool useAnimation
);

パラメータ

zoomFactor
新しいズーム率。
useAnimation
アニメーションを使用する場合は true。それ以外の場合は false。

戻り値

なし
例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | 指定された値が 1 未満か、MaxZoomFactor を超えています。
使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、AnimationStartingEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _zoomOutBtn_Click(sender As Object, e As EventArgs)
    _gcZoom1.SetZoomFactor(1, True)
End Sub

void _zoomOutBtn_Click(object sender, EventArgs e)
{
    _gcZoom1.SetZoomFactor(1, true);
}


GcZoom.ShowPanWindow メソッド (GrapeCity.Win.MultiTouch)

GcZoom.ShowPanWindow メソッド

パンウィンドウを表示します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | ShowPanWindow() | パンウィンドウを表示します。
パブリック メソッド | ShowPanWindow(Point) | 指定した位置でパンウィンドウを表示します。
パブリック メソッド | ShowPanWindow(Point, Size) | 指定した位置とサイズでパンウィンドウを表示します。
パブリック メソッド | ShowPanWindow(FormStartPosition) | 指定した開始位置でパンウィンドウを表示します。
パブリック メソッド | ShowPanWindow(FormStartPosition, Size) | 指定した開始位置とサイズでパンウィンドウを表示します。


GcZoom.ShowPanWindow メソッド () (GrapeCity.Win.MultiTouch)

GcZoom.ShowPanWindow メソッド ()

パンウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Function ShowPanWindow() As Form

public Form ShowPanWindow();

戻り値

System.Windows.Forms.Form 型

パンウィンドウを表す Form 値。

解説

パンウィンドウはオーナーフォームがロードされているときにのみ表示されます。オーナーフォームを閉じるとパンウィンドウも閉じます。

パンウィンドウがすでに表示されている場合、このメソッドを呼び出しても何も起こりません。

このメソッドによって表示されたパンウィンドウは、オーナーフォームが移動するとそれに伴って移動します。

パンウィンドウがこのメソッドによって表示された場合、パンウィンドウの StartPosition は Manual になり、その Size と Location はオーナーフォームに依存します。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class PanWindowDemo
        Inherits Form
        Private _showPanWindowButton As Button
        Private _closePanWindowButton As Button
        Private _isShowPanWindowButton As Button
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            AddHandler _showPanWindowButton.Click, AddressOf _showPanWindowButton_Click
            AddHandler _closePanWindowButton.Click, AddressOf _closePanWindowButton_Click
            AddHandler _isShowPanWindowButton.Click, AddressOf _isShowPanWindowButton_Click
        End Sub

        Private Sub _showPanWindowButton_Click(sender As Object, e As EventArgs)
            _gcZoom1.ShowPanWindow()
        End Sub

        Private Sub _isShowPanWindowButton_Click(sender As Object, e As EventArgs)
            If _gcZoom1.IsPanWindowShown Then
                Console.WriteLine("PanWindow is Shown")
            Else
                Console.WriteLine("PanWindow is Closed")
            End If
        End Sub

        Private Sub _closePanWindowButton_Click(sender As Object, e As EventArgs)
            _gcZoom1.ClosePanWindow()
        End Sub

        Private Sub InitializeComponent()
            _showPanWindowButton = New Button()
            _showPanWindowButton.Text = "ShowPanWindow"
            _showPanWindowButton.Location = New Point(20, 20)
            _showPanWindowButton.Size = New Size(120, 25)

            _isShowPanWindowButton = New Button()
            _isShowPanWindowButton.Text = "IsPanWindowShown"
            _isShowPanWindowButton.Location = New Point(20, 50)
            _isShowPanWindowButton.Size = New Size(120, 25)

            _closePanWindowButton = New Button()
            _closePanWindowButton.Text = "ClosePanWindow"
            _closePanWindowButton.Location = New Point(20, 80)
            _closePanWindowButton.Size = New Size(120, 25)

            Me.Controls.Add(_showPanWindowButton)
            Me.Controls.Add(_isShowPanWindowButton)
            Me.Controls.Add(_closePanWindowButton)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class PanWindowDemo : Form
    {
        private Button _showPanWindowButton;
        private Button _closePanWindowButton;
        private Button _isShowPanWindowButton;
        private GcZoom _gcZoom1 = new GcZoom();

        public PanWindowDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            _showPanWindowButton.Click += _showPanWindowButton_Click;
            _closePanWindowButton.Click += _closePanWindowButton_Click;
            _isShowPanWindowButton.Click += _isShowPanWindowButton_Click;
        }

        void _showPanWindowButton_Click(object sender, EventArgs e)
        {
            _gcZoom1.ShowPanWindow();
        }

        void _isShowPanWindowButton_Click(object sender, EventArgs e)
        {
            if (_gcZoom1.IsPanWindowShown)
            {
                Console.WriteLine("PanWindow is Shown");
            }
            else
            {
                Console.WriteLine("PanWindow is Closed");
            }
        }

        void _closePanWindowButton_Click(object sender, EventArgs e)
        {
            _gcZoom1.ClosePanWindow();
        }

        private void InitializeComponent()
        {
            _showPanWindowButton = new Button();
            _showPanWindowButton.Text = "ShowPanWindow";
            _showPanWindowButton.Location = new Point(20, 20);
            _showPanWindowButton.Size = new Size(120, 25);

            _isShowPanWindowButton = new Button();
            _isShowPanWindowButton.Text = "IsPanWindowShown";
            _isShowPanWindowButton.Location = new Point(20, 50);
            _isShowPanWindowButton.Size = new Size(120, 25);

            _closePanWindowButton = new Button();
            _closePanWindowButton.Text = "ClosePanWindow";
            _closePanWindowButton.Location = new Point(20, 80);
            _closePanWindowButton.Size = new Size(120, 25);

            this.Controls.Add(_showPanWindowButton);
            this.Controls.Add(_isShowPanWindowButton);
            this.Controls.Add(_closePanWindowButton);
        }
    }
}


GcZoom.ShowPanWindow メソッド (Point) (GrapeCity.Win.MultiTouch)

GcZoom.ShowPanWindow メソッド (Point)

指定した位置でパンウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Function ShowPanWindow( _
   ByVal location As Point _
) As Form

public Form ShowPanWindow(
   Point location
);

パラメータ

location
パンウィンドウの位置。

戻り値

System.Windows.Forms.Form 型

パンウィンドウを表す Form 値。

解説

パンウィンドウはオーナーフォームがロードされているときにのみ表示されます。オーナーフォームを閉じるとパンウィンドウも閉じます。

パンウィンドウがすでに表示されている場合、このメソッドを呼び出しても何も起こりません。

このメソッドによって表示されたパンウィンドウは、オーナーフォームが移動してもそれに伴って移動しません。

このメソッドによって表示されたパンウィンドウの StartPosition は Manual になります。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、ShowPanWindow メソッドに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _showPanWindowButton_Click(sender As Object, e As EventArgs)
    _gcZoom1.ShowPanWindow()
End Sub

void _showPanWindowButton_Click(object sender, EventArgs e)
{
    _gcZoom1.ShowPanWindow();
}


GcZoom.ShowPanWindow メソッド (Point, Size) (GrapeCity.Win.MultiTouch)

GcZoom.ShowPanWindow メソッド (Point, Size)

指定した位置とサイズでパンウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Function ShowPanWindow( _
   ByVal location As Point, _
   ByVal size As Size _
) As Form

public Form ShowPanWindow(
   Point location,
   Size size
);

パラメータ

location
パンウィンドウの位置。
size
パンウィンドウのサイズ。

戻り値

System.Windows.Forms.Form 型

パンウィンドウを表す Form 値。

解説

パンウィンドウはオーナーフォームがロードされているときにのみ表示されます。オーナーフォームを閉じるとパンウィンドウも閉じます。

パンウィンドウがすでに表示されている場合、このメソッドを呼び出しても何も起こりません。

このメソッドによって表示されたパンウィンドウは、オーナーフォームが移動してもそれに伴って移動しません。

このメソッドによって表示されたパンウィンドウの StartPosition は Manual になります。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、ShowPanWindow メソッドに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _showPanWindowButton_Click(sender As Object, e As EventArgs)
    _gcZoom1.ShowPanWindow()
End Sub

void _showPanWindowButton_Click(object sender, EventArgs e)
{
    _gcZoom1.ShowPanWindow();
}


GcZoom.ShowPanWindow メソッド (FormStartPosition) (GrapeCity.Win.MultiTouch)

GcZoom.ShowPanWindow メソッド (FormStartPosition)

指定した開始位置でパンウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Function ShowPanWindow( _
   ByVal startPosition As FormStartPosition _
) As Form

public Form ShowPanWindow(
   FormStartPosition startPosition
);

パラメータ

startPosition
パンウィンドウの開始位置。

戻り値

System.Windows.Forms.Form 型

パンウィンドウを表す Form 値。

解説

パンウィンドウはオーナーフォームがロードされているときにのみ表示されます。オーナーフォームを閉じるとパンウィンドウも閉じます。

パンウィンドウがすでに表示されている場合、このメソッドを呼び出しても何も起こりません。

このメソッドによって表示されたパンウィンドウは、オーナーフォームが移動してもそれに伴って移動しません。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、ShowPanWindow メソッドに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _showPanWindowButton_Click(sender As Object, e As EventArgs)
    _gcZoom1.ShowPanWindow()
End Sub

void _showPanWindowButton_Click(object sender, EventArgs e)
{
    _gcZoom1.ShowPanWindow();
}


GcZoom.ShowPanWindow メソッド (FormStartPosition, Size) (GrapeCity.Win.MultiTouch)

GcZoom.ShowPanWindow メソッド (FormStartPosition, Size)

指定した開始位置とサイズでパンウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Function ShowPanWindow( _
   ByVal startPosition As FormStartPosition, _
   ByVal size As Size _
) As Form

public Form ShowPanWindow(
   FormStartPosition startPosition,
   Size size
);

パラメータ

startPosition
パンウィンドウの開始位置。
size
パンウィンドウのサイズ。

戻り値

System.Windows.Forms.Form 型

パンウィンドウを表す Form 値。

解説

パンウィンドウはオーナーフォームがロードされているときにのみ表示されます。オーナーフォームを閉じるとパンウィンドウも閉じます。

パンウィンドウがすでに表示されている場合、このメソッドを呼び出しても何も起こりません。

このメソッドによって表示されたパンウィンドウは、オーナーフォームが移動してもそれに伴って移動しません。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、ShowPanWindow メソッドに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _showPanWindowButton_Click(sender As Object, e As EventArgs)
    _gcZoom1.ShowPanWindow()
End Sub

void _showPanWindowButton_Click(object sender, EventArgs e)
{
    _gcZoom1.ShowPanWindow();
}


GcZoom イベント

GcZoom イベント

GcZoom クラスのイベントは以下のとおりです。GcZoom クラスの完全なメンバ一覧については、 GcZoomメンバのトピックを参照してください。

イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | AnimationCompleted | アニメーションが完了したときに発生します。
パブリック イベント | AnimationStarting | GcZoom がアニメーションを開始する前に発生します。
パブリック イベント | ControlAutoShowing | GcZoom がターゲットコントロールの表示を開始する前に発生します。
パブリック イベント | ControlBoundsZooming | GcZoom がターゲットコントロールの境界のズームを開始する前に発生します。
パブリック イベント | ControlFontZooming | GcZoom がターゲットコントロールのフォントのズームを開始する前に発生します。
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | ManipulationStarting | マニピュレーションプロセッサが最初に作成されたときに発生します。
パブリック イベント | ZoomFactorChanged | ZoomFactor が変更されたときに発生します。


AnimationCompleted イベント

GcZoom.AnimationCompleted イベント

アニメーションが完了したときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event AnimationCompleted As EventHandler

public event EventHandler AnimationCompleted;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、AnimationStartingEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_AnimationCompleted(sender As Object, e As EventArgs)
    Console.WriteLine("+++ _gcZoom1_AnimationCompleted +++")
End Sub

void _gcZoom1_AnimationCompleted(object sender, EventArgs e)
{
    Console.WriteLine("+++ _gcZoom1_AnimationCompleted +++");
}


AnimationStarting イベント

GcZoom.AnimationStarting イベント

GcZoom がアニメーションを開始する前に発生します。

構文
VB
C#
クリップボードにコピー
Public Event AnimationStarting As AnimationStartingEventArgs

public event AnimationStartingEventArgs AnimationStarting;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、AnimationStartingEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_AnimationStarting(sender As Object, e As AnimationStartingEventArgs)
    If _customizeDuringChB.Checked Then
        ' Make the animation slower.
        ' e.Cancel = true;  // If it is necessary, cancel the animation by this code.
        e.Duration = e.Duration * 4
    End If
    Console.WriteLine("+++ _gcZoom1_AnimationStarting +++")
    Console.WriteLine("CurrentScrollLocation:   " & e.CurrentScrollLocation.ToString())
    Console.WriteLine("CurrentZoomFactor:       " & e.CurrentZoomFactor.ToString())
    Console.WriteLine("TargetScrollLocation:    " & e.TargetScrollLocation.ToString())
    Console.WriteLine("TargetZoomFactor         " & e.TargetZoomFactor.ToString())
End Sub

void _gcZoom1_AnimationStarting(object sender, AnimationStartingEventArgs e)
{
    if (_customizeDuringChB.Checked)
    {
        e.Duration = e.Duration * 4; // Make the animation slower.

        // e.Cancel = true;  // If it is necessary, cancel the animation by this code.
    }
    Console.WriteLine("+++ _gcZoom1_AnimationStarting +++");
    Console.WriteLine("CurrentScrollLocation:   " + e.CurrentScrollLocation.ToString());
    Console.WriteLine("CurrentZoomFactor:       " + e.CurrentZoomFactor.ToString());
    Console.WriteLine("TargetScrollLocation:    " + e.TargetScrollLocation.ToString());
    Console.WriteLine("TargetZoomFactor         " + e.TargetZoomFactor.ToString());
}


ControlAutoShowing イベント

GcZoom.ControlAutoShowing イベント

GcZoom がターゲットコントロールの表示を開始する前に発生します。

構文
VB
C#
クリップボードにコピー
Public Event ControlAutoShowing As ControlAutoShowingEventArgs

public event ControlAutoShowingEventArgs ControlAutoShowing;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlAutoShowing(sender As Object, e As ControlAutoShowingEventArgs)
    Console.WriteLine(e.ShowingControl.ToString())
    Console.WriteLine(e.ShowingReason.ToString())

    ' Do not auto scroll if a control's most part is shown
    If _gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2 Then
        e.Cancel = True
    End If
End Sub

void _gcZoom1_ControlAutoShowing(object sender, ControlAutoShowingEventArgs e)
{
    Console.WriteLine(e.ShowingControl.ToString());
    Console.WriteLine(e.ShowingReason.ToString());

    // Do not auto scroll if a control's most part is shown
    if (_gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2)
    {
        e.Cancel = true;
    }
}


ControlBoundsZooming イベント

GcZoom.ControlBoundsZooming イベント

GcZoom がターゲットコントロールの境界のズームを開始する前に発生します。

構文
VB
C#
クリップボードにコピー
Public Event ControlBoundsZooming As ControlBoundsZoomingEventArgs

public event ControlBoundsZoomingEventArgs ControlBoundsZooming;
解説

現在のコントロールに対して GcZoom のデフォルトロジックが実行されないようにするには、Handled を設定します。

現在のコントロールの子コントロールに対して GcZoom のデフォルトロジックが実行されないようにするには、ChildrenHandled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlBoundsZooming(sender As Object, e As ControlBoundsZoomingEventArgs)
    Dim info As ZoomBoundsInfo = e.ZoomBoundsInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFactor.ToString())
    Console.WriteLine(info.TargetFactor.ToString())

    ' For complex control, user may want to change the control's inner element's size.
    ' User can use ControlBoundsZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlBoundsZooming(object sender, ControlBoundsZoomingEventArgs e)
{
    ZoomBoundsInfo info = e.ZoomBoundsInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFactor.ToString());
    Console.WriteLine(info.TargetFactor.ToString());

    // For complex control, user may want to change the control's inner element's size.
    // User can use ControlBoundsZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlFontZooming イベント

GcZoom.ControlFontZooming イベント

GcZoom がターゲットコントロールのフォントのズームを開始する前に発生します。

構文
VB
C#
クリップボードにコピー
Public Event ControlFontZooming As ControlFontZoomingEventArgs

public event ControlFontZoomingEventArgs ControlFontZooming;
解説

現在のコントロールに対して GcZoom のデフォルトロジックが実行されないようにするには、Handled を設定します。

現在のコントロールの子コントロールに対して GcZoom のデフォルトロジックが実行されないようにするには、ChildrenHandled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlFontZooming(sender As Object, e As ControlFontZoomingEventArgs)
    Dim info As ZoomFontInfo = e.ZoomFontInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFontSize.ToString())

    ' For complex control, user may want to change the control's inner element's font.
    ' User can use ControlFontZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        e.TargetControl.Font = New Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize)

        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlFontZooming(object sender, ControlFontZoomingEventArgs e)
{
    ZoomFontInfo info = e.ZoomFontInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFontSize.ToString());

    // For complex control, user may want to change the control's inner element's font.
    // User can use ControlFontZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        e.TargetControl.Font = new Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize);

        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ManipulationStarting イベント

GcZoom.ManipulationStarting イベント

マニピュレーションプロセッサが最初に作成されたときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event ManipulationStarting As ZoomManipulationStartingEventArgs

public event ZoomManipulationStartingEventArgs ManipulationStarting;
解説

このイベントはルーティングイベントです。マニピュレーションイベントのソースとなるためには、GcZoom の ManipulationModes が None 以外に設定されている必要があります。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ManipulationStarting(sender As Object, e As ZoomManipulationStartingEventArgs)
    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(e.Position.ToString())

    If TypeOf e.TargetControl Is TextBox Then
        ' Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom
    ElseIf TypeOf e.TargetControl Is Button Then
        ' Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan
    Else
        ' Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All
    End If
End Sub

void _gcZoom1_ManipulationStarting(object sender, ZoomManipulationStartingEventArgs e)
{
    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(e.Position.ToString());

    if (e.TargetControl is TextBox)
    {
        // Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom;
    }
    else if (e.TargetControl is Button)
    {
        // Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan;
    }
    else
    {
        // Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All;
    }
}


ZoomFactorChanged イベント

GcZoom.ZoomFactorChanged イベント

ZoomFactor が変更されたときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event ZoomFactorChanged As EventHandler

public event EventHandler ZoomFactorChanged;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomEventDemo
        Inherits Form
        Private _firstTextBox As TextBox
        Private _secondTextBox As TextBox
        Private _firstButton As Button
        Private _secondTButton As Button

        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me
            _gcZoom1.AutoShowControl = True

            AddHandler _gcZoom1.ZoomFactorChanged, AddressOf _gcZoom1_ZoomFactorChanged
            AddHandler _gcZoom1.ControlBoundsZooming, AddressOf _gcZoom1_ControlBoundsZooming
            AddHandler _gcZoom1.ControlFontZooming, AddressOf _gcZoom1_ControlFontZooming
            AddHandler _gcZoom1.ManipulationStarting, AddressOf _gcZoom1_ManipulationStarting
            AddHandler _gcZoom1.ControlAutoShowing, AddressOf _gcZoom1_ControlAutoShowing
        End Sub

        Private Sub _gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
            Console.WriteLine(_gcZoom1.ZoomFactor.ToString())
        End Sub

        Private Sub _gcZoom1_ControlBoundsZooming(sender As Object, e As ControlBoundsZoomingEventArgs)
            Dim info As ZoomBoundsInfo = e.ZoomBoundsInfo

            Console.WriteLine(e.TargetControl.ToString())
            Console.WriteLine(info.CurrentFactor.ToString())
            Console.WriteLine(info.TargetFactor.ToString())

            ' For complex control, user may want to change the control's inner element's size.
            ' User can use ControlBoundsZooming to support complex control.
            If TypeOf e.TargetControl Is TextBox Then
                ' If set to true, default zoom logic for this control will be canceled.
                e.Handled = True
            End If

            ' If target control has children controls and wan't to use default zoom logic for children
            ' controls, set e.ChildrenHandled property to true.
            ' e.ChildrenHandled = true;
        End Sub

        Private Sub _gcZoom1_ControlFontZooming(sender As Object, e As ControlFontZoomingEventArgs)
            Dim info As ZoomFontInfo = e.ZoomFontInfo

            Console.WriteLine(e.TargetControl.ToString())
            Console.WriteLine(info.CurrentFontSize.ToString())

            ' For complex control, user may want to change the control's inner element's font.
            ' User can use ControlFontZooming to support complex control.
            If TypeOf e.TargetControl Is TextBox Then
                e.TargetControl.Font = New Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize)

                ' If set to true, default zoom logic for this control will be canceled.
                e.Handled = True
            End If

            ' If target control has children controls and wan't to use default zoom logic for children
            ' controls, set e.ChildrenHandled property to true.
            ' e.ChildrenHandled = true;
        End Sub

        Private Sub _gcZoom1_ManipulationStarting(sender As Object, e As ZoomManipulationStartingEventArgs)
            Console.WriteLine(e.TargetControl.ToString())
            Console.WriteLine(e.Position.ToString())

            If TypeOf e.TargetControl Is TextBox Then
                ' Pan gesture send to child control, Zoom gesture send to Form
                e.Mode = ZoomManipulationModes.Zoom
            ElseIf TypeOf e.TargetControl Is Button Then
                ' Zoom gesture send to child control, Pan gesture send to Form
                e.Mode = ZoomManipulationModes.Pan
            Else
                ' Pan and Zoom gesture send to Form
                e.Mode = ZoomManipulationModes.All
            End If
        End Sub

        Private Sub _gcZoom1_ControlAutoShowing(sender As Object, e As ControlAutoShowingEventArgs)
            Console.WriteLine(e.ShowingControl.ToString())
            Console.WriteLine(e.ShowingReason.ToString())

            ' Do not auto scroll if a control's most part is shown
            If _gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2 Then
                e.Cancel = True
            End If
        End Sub

        Private Sub InitializeComponent()
            _firstTextBox = New TextBox()
            _firstTextBox.Text = "First TextBox"
            _firstTextBox.Size = New Size(200, 20)
            _firstTextBox.Location = New Point(50, 40)

            _secondTextBox = New TextBox()
            _secondTextBox.Text = "Second TextBox"
            _secondTextBox.Size = New Size(200, 20)
            _secondTextBox.Location = New Point(50, 70)

            _firstButton = New Button()
            _firstButton.Text = "First Button"
            _firstButton.Size = New Size(200, 25)
            _firstButton.Location = New Point(50, 130)

            _secondTButton = New Button()
            _secondTButton.Text = "Second Button"
            _secondTButton.Size = New Size(200, 20)
            _secondTButton.Location = New Point(50, 160)

            Me.Controls.Add(_firstTextBox)
            Me.Controls.Add(_firstButton)
            Me.Controls.Add(_secondTextBox)
            Me.Controls.Add(_secondTButton)
            Me.Size = New Size(300, 400)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomEventDemo : Form
    {
        private TextBox _firstTextBox;
        private TextBox _secondTextBox;
        private Button _firstButton;
        private Button _secondTButton;

        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomEventDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;
            _gcZoom1.AutoShowControl = true;

            _gcZoom1.ZoomFactorChanged += _gcZoom1_ZoomFactorChanged;
            _gcZoom1.ControlBoundsZooming += _gcZoom1_ControlBoundsZooming;
            _gcZoom1.ControlFontZooming += _gcZoom1_ControlFontZooming;
            _gcZoom1.ManipulationStarting += _gcZoom1_ManipulationStarting;
            _gcZoom1.ControlAutoShowing += _gcZoom1_ControlAutoShowing;
        }

        void _gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
        {
            Console.WriteLine(_gcZoom1.ZoomFactor.ToString());
        }

        void _gcZoom1_ControlBoundsZooming(object sender, ControlBoundsZoomingEventArgs e)
        {
            ZoomBoundsInfo info = e.ZoomBoundsInfo;

            Console.WriteLine(e.TargetControl.ToString());
            Console.WriteLine(info.CurrentFactor.ToString());
            Console.WriteLine(info.TargetFactor.ToString());

            // For complex control, user may want to change the control's inner element's size.
            // User can use ControlBoundsZooming to support complex control.
            if (e.TargetControl is TextBox)
            {
                // If set to true, default zoom logic for this control will be canceled.
                e.Handled = true;
            }

            // If target control has children controls and wan't to use default zoom logic for children
            // controls, set e.ChildrenHandled property to true.
            // e.ChildrenHandled = true;
        }

        void _gcZoom1_ControlFontZooming(object sender, ControlFontZoomingEventArgs e)
        {
            ZoomFontInfo info = e.ZoomFontInfo;

            Console.WriteLine(e.TargetControl.ToString());
            Console.WriteLine(info.CurrentFontSize.ToString());

            // For complex control, user may want to change the control's inner element's font.
            // User can use ControlFontZooming to support complex control.
            if (e.TargetControl is TextBox)
            {
                e.TargetControl.Font = new Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize);

                // If set to true, default zoom logic for this control will be canceled.
                e.Handled = true;
            }

            // If target control has children controls and wan't to use default zoom logic for children
            // controls, set e.ChildrenHandled property to true.
            // e.ChildrenHandled = true;
        }

        void _gcZoom1_ManipulationStarting(object sender, ZoomManipulationStartingEventArgs e)
        {
            Console.WriteLine(e.TargetControl.ToString());
            Console.WriteLine(e.Position.ToString());

            if (e.TargetControl is TextBox)
            {
                // Pan gesture send to child control, Zoom gesture send to Form
                e.Mode = ZoomManipulationModes.Zoom;
            }
            else if (e.TargetControl is Button)
            {
                // Zoom gesture send to child control, Pan gesture send to Form
                e.Mode = ZoomManipulationModes.Pan;
            }
            else
            {
                // Pan and Zoom gesture send to Form
                e.Mode = ZoomManipulationModes.All;
            }
        }

        void _gcZoom1_ControlAutoShowing(object sender, ControlAutoShowingEventArgs e)
        {
            Console.WriteLine(e.ShowingControl.ToString());
            Console.WriteLine(e.ShowingReason.ToString());

            // Do not auto scroll if a control's most part is shown
            if (_gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2)
            {
                e.Cancel = true;
            }
        }

        private void InitializeComponent()
        {
            _firstTextBox = new TextBox();
            _firstTextBox.Text = "First TextBox";
            _firstTextBox.Size = new Size(200, 20);
            _firstTextBox.Location = new Point(50, 40);

            _secondTextBox = new TextBox();
            _secondTextBox.Text = "Second TextBox";
            _secondTextBox.Size = new Size(200, 20);
            _secondTextBox.Location = new Point(50, 70);

            _firstButton = new Button();
            _firstButton.Text = "First Button";
            _firstButton.Size = new Size(200, 25);
            _firstButton.Location = new Point(50, 130);

            _secondTButton = new Button();
            _secondTButton.Text = "Second Button";
            _secondTButton.Size = new Size(200, 20);
            _secondTButton.Location = new Point(50, 160);

            this.Controls.Add(_firstTextBox);
            this.Controls.Add(_firstButton);
            this.Controls.Add(_secondTextBox);
            this.Controls.Add(_secondTButton);
            this.Size = new Size(300, 400);
        }
    }
}


GcZoomAttachedEventArgs クラス

GcZoomAttachedEventArgs クラス

GcApplicationZoom クラスの GcZoomAttached イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.GcZoomAttachedEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcZoomAttachedEventArgs
    Inherits EventArgs

public class GcZoomAttachedEventArgs : EventArgs
使用例

以下のサンプルコードは、GcZoomAttachedEventArgs クラスの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomAttached(sender As Object, e As GcZoomAttachedEventArgs)
    ' If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
    ' GcZoomAttaching or GcZoomAttached event.
    e.GcZoom.MaxZoomFactor = 4.0F

    If TypeOf e.Form Is ZoomForm Then
        AddHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
    End If
End Sub

void _gcApplicationZoom_GcZoomAttached(object sender, GcZoomAttachedEventArgs e)
{
    // If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
    // GcZoomAttaching or GcZoomAttached event.
    e.GcZoom.MaxZoomFactor = 4f;

    if (e.Form is ZoomForm)
    {
        e.GcZoom.ZoomFactorChanged += (e.Form as ZoomForm).ZoomFactorChangeProc;
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcZoomAttachedEventArgs メンバ

GcZoomAttachedEventArgs メンバ

GcZoomAttachedEventArgs クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
GcZoomAttachedEventArgs | GcZoomAttachedEventArgs クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Form | GcZoom コンポーネントがアタッチされた Form を取得します。
パブリック プロパティ | GcZoom | Form にアタッチされた GcZoom コンポーネントを取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


GcZoomAttachedEventArgs コンストラクタ (GrapeCity.Win.MultiTouch)

GcZoomAttachedEventArgs コンストラクタ

GcZoomAttachedEventArgs クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New( _
   ByVal gcZoom As GcZoom, _
   ByVal form As Form _
)

public GcZoomAttachedEventArgs(
   GcZoom gcZoom,
   Form form
);

パラメータ

gcZoom
Form にアタッチされた GcZoom コンポーネント。
form
GcZoom コンポーネントがアタッチされた Form。

戻り値

なし


GcZoomAttachedEventArgs プロパティ

GcZoomAttachedEventArgs プロパティ

GcZoomAttachedEventArgs クラスのプロパティは以下のとおりです。GcZoomAttachedEventArgs クラスの完全なメンバ一覧については、 GcZoomAttachedEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Form | GcZoom コンポーネントがアタッチされた Form を取得します。
パブリック プロパティ | GcZoom | Form にアタッチされた GcZoom コンポーネントを取得します。


GcZoomAttachedEventArgs.Form プロパティ (GrapeCity.Win.MultiTouch)

GcZoomAttachedEventArgs.Form プロパティ

GcZoom コンポーネントがアタッチされた Form を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Form As Form

public Form Form { get; }

プロパティ値

System.Windows.Forms.Form型

GcZoom コンポーネントがアタッチされた Form。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomAttached(sender As Object, e As GcZoomAttachedEventArgs)
    ' If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
    ' GcZoomAttaching or GcZoomAttached event.
    e.GcZoom.MaxZoomFactor = 4.0F

    If TypeOf e.Form Is ZoomForm Then
        AddHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
    End If
End Sub

void _gcApplicationZoom_GcZoomAttached(object sender, GcZoomAttachedEventArgs e)
{
    // If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
    // GcZoomAttaching or GcZoomAttached event.
    e.GcZoom.MaxZoomFactor = 4f;

    if (e.Form is ZoomForm)
    {
        e.GcZoom.ZoomFactorChanged += (e.Form as ZoomForm).ZoomFactorChangeProc;
    }
}


GcZoomAttachedEventArgs.GcZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoomAttachedEventArgs.GcZoom プロパティ

Form にアタッチされた GcZoom コンポーネントを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property GcZoom As GcZoom

public GcZoom GcZoom { get; }

プロパティ値

GrapeCity.Win.MultiTouch.GcZoom型

Form にアタッチされた GcZoom コンポーネント。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomAttached(sender As Object, e As GcZoomAttachedEventArgs)
    ' If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
    ' GcZoomAttaching or GcZoomAttached event.
    e.GcZoom.MaxZoomFactor = 4.0F

    If TypeOf e.Form Is ZoomForm Then
        AddHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
    End If
End Sub

void _gcApplicationZoom_GcZoomAttached(object sender, GcZoomAttachedEventArgs e)
{
    // If you want specific GcZoom's setting different from GcApplicationZoom, You can change it in
    // GcZoomAttaching or GcZoomAttached event.
    e.GcZoom.MaxZoomFactor = 4f;

    if (e.Form is ZoomForm)
    {
        e.GcZoom.ZoomFactorChanged += (e.Form as ZoomForm).ZoomFactorChangeProc;
    }
}


GcZoomAttachingEventArgs クラス

GcZoomAttachingEventArgs クラス

GcApplicationZoom クラスの GcZoomAttaching イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.GcZoomAttachingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcZoomAttachingEventArgs
    Inherits EventArgs

public class GcZoomAttachingEventArgs : EventArgs
使用例

以下のサンプルコードは、GcZoomAttachingEventArgs クラスの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomAttaching(sender As Object, e As GcZoomAttachingEventArgs)
    ' May be some forms should not be zoom.
    If TypeOf e.Form Is NormalForm Then
        e.Cancel = True
    Else
        e.GcZoom.AutoShowControl = True
    End If
End Sub

void _gcApplicationZoom_GcZoomAttaching(object sender, GcZoomAttachingEventArgs e)
{
    // May be some forms should not be zoom.
    if (e.Form is NormalForm)
    {
        e.Cancel = true;
    }
    else
    {
        e.GcZoom.AutoShowControl = true;
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcZoomAttachingEventArgs メンバ

GcZoomAttachingEventArgs メンバ

GcZoomAttachingEventArgs クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
GcZoomAttachingEventArgs | GcZoomAttachingEventArgs クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cancel | この GcZoomAttaching イベントがキャンセルされるかどうかを示す値を取得または設定します。
パブリック プロパティ | Form | GcZoom コンポーネントがアタッチされようとしている Form を取得します。
パブリック プロパティ | GcZoom | Form にアタッチしようとしている GcZoom コンポーネントを取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


GcZoomAttachingEventArgs コンストラクタ (GrapeCity.Win.MultiTouch)

GcZoomAttachingEventArgs コンストラクタ

GcZoomAttachingEventArgs クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New( _
   ByVal gcZoom As GcZoom, _
   ByVal form As Form _
)

public GcZoomAttachingEventArgs(
   GcZoom gcZoom,
   Form form
);

パラメータ

gcZoom
Form にアタッチしようとしている GcZoom コンポーネント。
form
GcZoom コンポーネントがアタッチされようとしている Form。

戻り値

なし


GcZoomAttachingEventArgs プロパティ

GcZoomAttachingEventArgs プロパティ

GcZoomAttachingEventArgs クラスのプロパティは以下のとおりです。GcZoomAttachingEventArgs クラスの完全なメンバ一覧については、 GcZoomAttachingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cancel | この GcZoomAttaching イベントがキャンセルされるかどうかを示す値を取得または設定します。
パブリック プロパティ | Form | GcZoom コンポーネントがアタッチされようとしている Form を取得します。
パブリック プロパティ | GcZoom | Form にアタッチしようとしている GcZoom コンポーネントを取得します。


GcZoomAttachingEventArgs.Cancel プロパティ (GrapeCity.Win.MultiTouch)

GcZoomAttachingEventArgs.Cancel プロパティ

この GcZoomAttaching イベントがキャンセルされるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Cancel As Boolean

public bool Cancel { get; set; }

プロパティ値

System.Boolean型

現在のアタッチ操作がキャンセルされる場合は true。それ以外の場合は false。

解説

ほとんどの場合、このプロパティのデフォルト値は false です。ただし、GrapeCity コンポーネントアセンブリに由来する一部のフォームでは、デフォルト値は true になります。ライセンス用の一部のフォームがこれに該当します。このようなフォームに GcZoom をアタッチする場合は、Cancel プロパティを false に変更してみてください。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomAttaching(sender As Object, e As GcZoomAttachingEventArgs)
    ' May be some forms should not be zoom.
    If TypeOf e.Form Is NormalForm Then
        e.Cancel = True
    Else
        e.GcZoom.AutoShowControl = True
    End If
End Sub

void _gcApplicationZoom_GcZoomAttaching(object sender, GcZoomAttachingEventArgs e)
{
    // May be some forms should not be zoom.
    if (e.Form is NormalForm)
    {
        e.Cancel = true;
    }
    else
    {
        e.GcZoom.AutoShowControl = true;
    }
}


GcZoomAttachingEventArgs.Form プロパティ (GrapeCity.Win.MultiTouch)

GcZoomAttachingEventArgs.Form プロパティ

GcZoom コンポーネントがアタッチされようとしている Form を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Form As Form

public Form Form { get; }

プロパティ値

System.Windows.Forms.Form型

GcZoom コンポーネントがアタッチされようとしている Form。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomAttaching(sender As Object, e As GcZoomAttachingEventArgs)
    ' May be some forms should not be zoom.
    If TypeOf e.Form Is NormalForm Then
        e.Cancel = True
    Else
        e.GcZoom.AutoShowControl = True
    End If
End Sub

void _gcApplicationZoom_GcZoomAttaching(object sender, GcZoomAttachingEventArgs e)
{
    // May be some forms should not be zoom.
    if (e.Form is NormalForm)
    {
        e.Cancel = true;
    }
    else
    {
        e.GcZoom.AutoShowControl = true;
    }
}


GcZoomAttachingEventArgs.GcZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoomAttachingEventArgs.GcZoom プロパティ

Form にアタッチしようとしている GcZoom コンポーネントを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property GcZoom As GcZoom

public GcZoom GcZoom { get; }

プロパティ値

GrapeCity.Win.MultiTouch.GcZoom型

Form にアタッチしようとしている GcZoom コンポーネント。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomAttaching(sender As Object, e As GcZoomAttachingEventArgs)
    ' May be some forms should not be zoom.
    If TypeOf e.Form Is NormalForm Then
        e.Cancel = True
    Else
        e.GcZoom.AutoShowControl = True
    End If
End Sub

void _gcApplicationZoom_GcZoomAttaching(object sender, GcZoomAttachingEventArgs e)
{
    // May be some forms should not be zoom.
    if (e.Form is NormalForm)
    {
        e.Cancel = true;
    }
    else
    {
        e.GcZoom.AutoShowControl = true;
    }
}


GcZoomCommandProvider クラス

GcZoomCommandProvider クラス

任意の既存 UserControl にアタッチすることで、現在の UserControl 上にあるすべての IButtonControl で ZoomCommands を実行できるようにするコンポーネントを表します。

継承階層
System.Object
System.MarshalByRefObject
System.ComponentModel.Component
GrapeCity.Win.MultiTouch.GcZoomCommandProvider

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcZoomCommandProvider
    Inherits Component
    Implements IExtenderProvider

public class GcZoomCommandProvider : Component, IExtenderProvider
解説

現在の UserControl に GcZoomCommandProvider をアタッチすると、すべての IButtonControl コントロールが ZoomCommands 項目を含むスマートタグを追加します。

1 つの UserControl に複数の GcZoomCommandProvider コンポーネントをアタッチすることはできません。

使用例

以下のサンプルコードは、GcZoomCommandProvider コンポーネントの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class ControlBarDemo
        Inherits Form
        Private _controlBarButton As Button
        Private _userControl As New MyUserControl()
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' Create ControlBar
            AddControlBar()
        End Sub

        Private Sub AddControlBar()
            Dim controlBar As New ControlBar()

            ' Content should is a Type of UserControl.
            controlBar.Content = _userControl.[GetType]()

            controlBar.PositionMode = PositionMode.Floating

            ' Only take effect when Position Mode is Dock.
            ' controlBar.DockPosition = ContentAlignment.MiddleCenter;
            ' controlBar.Margin = new System.Windows.Forms.Padding();

            ' Only take effect when Position is Fix or Flowing.
            controlBar.Position = New Point(20, 20)

            controlBar.Opacity = 1.0
            controlBar.TransparentBackground = True

            _gcZoom1.ControlBars.Add(controlBar)
        End Sub

        Private Sub InitializeComponent()
            _controlBarButton = New Button()
            _controlBarButton.Text = "This is a Button"
            _controlBarButton.Location = New Point(100, 100)
            _controlBarButton.Size = New Size(120, 30)

            Me.Controls.Add(_controlBarButton)
        End Sub
    End Class

    Public Class MyUserControl
        Inherits UserControl
        Private commands As New GcZoomCommandProvider()
        Private _zoomInButton As Button
        Private _zoomOutButton As Button
        Private _getButton As Button

        Public Sub New()
            InitializeComponent()

            commands.Target = Me
            commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn)
            Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString())

            commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut)
            Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString())

            AddHandler _getButton.Click, AddressOf _getButton_Click
        End Sub

        Private Sub _getButton_Click(sender As Object, e As EventArgs)
            Console.WriteLine(commands.OwnerForm.ToString())
            Console.WriteLine(commands.OwnerGcZoom.ToString())
        End Sub

        Private Sub InitializeComponent()
            _zoomInButton = New Button()
            _zoomInButton.Text = "+"
            _zoomInButton.Size = New Size(40, 40)
            _zoomInButton.Location = New Point(10, 10)

            _zoomOutButton = New Button()
            _zoomOutButton.Text = "_"
            _zoomOutButton.Size = New Size(40, 40)
            _zoomOutButton.Location = New Point(60, 10)

            _getButton = New Button()
            _getButton.Text = "Get"
            _getButton.Size = New Size(40, 40)
            _getButton.Location = New Point(110, 10)

            Me.Size = New Size(160, 60)
            Me.Controls.Add(_zoomInButton)
            Me.Controls.Add(_zoomOutButton)
            Me.Controls.Add(_getButton)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class ControlBarDemo : Form
    {
        private Button _controlBarButton;
        private MyUserControl _userControl = new MyUserControl();
        private GcZoom _gcZoom1 = new GcZoom();

        public ControlBarDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // Create ControlBar
            AddControlBar();
        }

        private void AddControlBar()
        {
            ControlBar controlBar = new ControlBar();

            // Content should is a Type of UserControl.
            controlBar.Content = _userControl.GetType();

            controlBar.PositionMode = PositionMode.Floating;

            // Only take effect when Position Mode is Dock.
            // controlBar.DockPosition = ContentAlignment.MiddleCenter;
            // controlBar.Margin = new System.Windows.Forms.Padding();

            // Only take effect when Position is Fix or Flowing.
            controlBar.Position = new Point(20, 20);

            controlBar.Opacity = 1d;
            controlBar.TransparentBackground = true;

            _gcZoom1.ControlBars.Add(controlBar);
        }

        private void InitializeComponent()
        {
            _controlBarButton = new Button();
            _controlBarButton.Text = "This is a Button";
            _controlBarButton.Location = new Point(100, 100);
            _controlBarButton.Size = new Size(120, 30);

            this.Controls.Add(_controlBarButton);
        }
    }

    public class MyUserControl : UserControl
    {
        private GcZoomCommandProvider commands = new GcZoomCommandProvider();
        private Button _zoomInButton;
        private Button _zoomOutButton;
        private Button _getButton;

        public MyUserControl()
        {
            InitializeComponent();

            commands.Target = this;
            commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn);
            Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString());

            commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut);
            Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString());

            _getButton.Click += _getButton_Click;
        }

        void _getButton_Click(object sender, EventArgs e)
        {
            Console.WriteLine(commands.OwnerForm.ToString());
            Console.WriteLine(commands.OwnerGcZoom.ToString());
        }

        private void InitializeComponent()
        {
            _zoomInButton = new Button();
            _zoomInButton.Text = "+";
            _zoomInButton.Size = new Size(40, 40);
            _zoomInButton.Location = new Point(10, 10);

            _zoomOutButton = new Button();
            _zoomOutButton.Text = "_";
            _zoomOutButton.Size = new Size(40, 40);
            _zoomOutButton.Location = new Point(60, 10);

            _getButton = new Button();
            _getButton.Text = "Get";
            _getButton.Size = new Size(40, 40);
            _getButton.Location = new Point(110, 10);

            this.Size = new Size(160, 60);
            this.Controls.Add(_zoomInButton);
            this.Controls.Add(_zoomOutButton);
            this.Controls.Add(_getButton);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcZoomCommandProvider メンバ

GcZoomCommandProvider メンバ

GcZoomCommandProvider クラス 概要

コンストラクタ
表示：継承 プロテクト
 | 名前 | 説明
パブリック コンストラクタ | GcZoomCommandProvider | オーバーロード。 GcZoomCommandProvider クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | OwnerForm | この ControlBar を所有するフォームを取得します。
パブリック プロパティ | OwnerGcZoom | この GcZoomCommandProvider を所有する GcZoom を取得します。
パブリック プロパティ | Site | オーバーライド。 Component の ISite を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | CanExtend | このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できるかどうかを示します。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | GetZoomCommands | 指定した IButtonControl に関連付けれらた GcZoomCommandProvider を取得します。
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
パブリック メソッド | SetZoomCommands | 指定した IButtonControl に GcZoomCommandProvider を関連付けます。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)
イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)


GcZoomCommandProvider コンストラクタ (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider コンストラクタ

GcZoomCommandProvider クラスの新しいインスタンスを初期化します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | GcZoomCommandProvider() | GcZoomCommandProvider クラスの新しいインスタンスを初期化します。
パブリック メソッド | GcZoomCommandProvider(IContainer) | GcZoomCommandProvider クラスの新しいインスタンスを初期化します。


GcZoomCommandProvider コンストラクタ () (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider コンストラクタ ()

GcZoomCommandProvider クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public GcZoomCommandProvider();

戻り値

なし


GcZoomCommandProvider コンストラクタ (IContainer) (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider コンストラクタ (IContainer)

GcZoomCommandProvider クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New( _
   ByVal container As IContainer _
)

public GcZoomCommandProvider(
   IContainer container
);

パラメータ

container
GcZoomCommandProvider のコンテナーを表す IContainer。

戻り値

なし


GcZoomCommandProvider プロパティ

GcZoomCommandProvider プロパティ

GcZoomCommandProvider クラスのプロパティは以下のとおりです。GcZoomCommandProvider クラスの完全なメンバ一覧については、 GcZoomCommandProviderメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
プロテクト プロパティ | CanRaiseEvents | コンポーネントがイベントを発生させることがきるかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | OwnerForm | この ControlBar を所有するフォームを取得します。
パブリック プロパティ | OwnerGcZoom | この GcZoomCommandProvider を所有する GcZoom を取得します。
パブリック プロパティ | Site | オーバーライド。 Component の ISite を取得または設定します。


GcZoomCommandProvider.OwnerForm プロパティ (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider.OwnerForm プロパティ

この ControlBar を所有するフォームを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property OwnerForm As Form

public Form OwnerForm { get; }
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoomCommandProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _getButton_Click(sender As Object, e As EventArgs)
    Console.WriteLine(commands.OwnerForm.ToString())
    Console.WriteLine(commands.OwnerGcZoom.ToString())
End Sub

void _getButton_Click(object sender, EventArgs e)
{
    Console.WriteLine(commands.OwnerForm.ToString());
    Console.WriteLine(commands.OwnerGcZoom.ToString());
}


GcZoomCommandProvider.OwnerGcZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider.OwnerGcZoom プロパティ

この GcZoomCommandProvider を所有する GcZoom を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property OwnerGcZoom As GcZoom

public GcZoom OwnerGcZoom { get; }
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoomCommandProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _getButton_Click(sender As Object, e As EventArgs)
    Console.WriteLine(commands.OwnerForm.ToString())
    Console.WriteLine(commands.OwnerGcZoom.ToString())
End Sub

void _getButton_Click(object sender, EventArgs e)
{
    Console.WriteLine(commands.OwnerForm.ToString());
    Console.WriteLine(commands.OwnerGcZoom.ToString());
}


GcZoomCommandProvider.Site プロパティ (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider.Site プロパティ

Component の ISite を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Overrides WriteOnly Property Site As ISite _
    Implements IComponent.Site

public override ISite Site { set; }

プロパティ値

System.ComponentModel.ISite型

Component に関連付けられた ISite。Component が IContainer にカプセル化されていない場合、Component に ISite が関連付けられていない場合、または Component がその IContainer から除去された場合は null。

実装

IComponent.Site
例外
例外の種類 | 条件
System.Exception | このコンポーネントは UserControl にのみ追加できます。


GcZoomCommandProvider メソッド

GcZoomCommandProvider メソッド

GcZoomCommandProvider クラスのメソッドは以下のとおりです。GcZoomCommandProvider クラスの完全なメンバ一覧については、 GcZoomCommandProviderメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
パブリック メソッド | CanExtend | このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できるかどうかを示します。
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | GetZoomCommands | 指定した IButtonControl に関連付けれらた GcZoomCommandProvider を取得します。
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
パブリック メソッド | SetZoomCommands | 指定した IButtonControl に GcZoomCommandProvider を関連付けます。
パブリック メソッド | ToString | オーバーライド。 Component の名前を格納している String を返します。 このメソッドはオーバーライドできません。 (Component から継承されます)


GcZoomCommandProvider.AboutBox メソッド (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider.AboutBox メソッド

製品情報ウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Sub AboutBox()

public void AboutBox();

戻り値

なし
解説

このメソッドが呼び出された後、製品情報を含むウィンドウが表示されます。


GcZoomCommandProvider.CanExtend メソッド (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider.CanExtend メソッド

このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できるかどうかを示します。

構文
VB
C#
クリップボードにコピー
Public Function CanExtend( _
   ByVal extendee As Object _
) _
    Implements IExtenderProvider.CanExtend As Boolean

public bool CanExtend(
   object extendee
);

パラメータ

extendee
エクステンダープロパティを受け取る Object。

戻り値

System.Boolean 型

このオブジェクトが指定したオブジェクトにエクステンダープロパティを提供できる場合は true。それ以外の場合は false。


GcZoomCommandProvider.Dispose メソッド (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider.Dispose メソッド

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | Dispose() | Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
プロテクト メソッド | Dispose(Boolean) | Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。


GcZoomCommandProvider.Dispose メソッド (Boolean) (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider.Dispose メソッド (Boolean)

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

構文
VB
C#
クリップボードにコピー
Protected Overrides Sub Dispose( _
   ByVal disposing As Boolean _
)

protected override void Dispose(
   bool disposing
);

パラメータ

disposing
マネージリソースとアンマネージリソースを両方とも解放する場合は true。アンマネージリソースのみを解放する場合は false。

戻り値

なし


GcZoomCommandProvider.GetZoomCommands メソッド (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider.GetZoomCommands メソッド

指定した IButtonControl に関連付けれらた GcZoomCommandProvider を取得します。

構文
VB
C#
クリップボードにコピー
Public Function GetZoomCommands( _
   ByVal control As IButtonControl _
) As ZoomCommands

public ZoomCommands GetZoomCommands(
   IButtonControl control
);

パラメータ

control
GcZoomCommandProvider を取得する対象の IButtonControl。

戻り値

GrapeCity.Win.MultiTouch.ZoomCommands 型

組み込みコマンドを示す ZoomCommands オブジェクト。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoomCommandProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    commands.Target = Me
    commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn)
    Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString())

    commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut)
    Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString())

    AddHandler _getButton.Click, AddressOf _getButton_Click
End Sub

public MyUserControl()
{
    InitializeComponent();

    commands.Target = this;
    commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn);
    Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString());

    commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut);
    Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString());

    _getButton.Click += _getButton_Click;
}


GcZoomCommandProvider.SetZoomCommands メソッド (GrapeCity.Win.MultiTouch)

GcZoomCommandProvider.SetZoomCommands メソッド

指定した IButtonControl に GcZoomCommandProvider を関連付けます。

構文
VB
C#
クリップボードにコピー
Public Sub SetZoomCommands( _
   ByVal control As IButtonControl, _
   ByVal value As ZoomCommands _
)

public void SetZoomCommands(
   IButtonControl control,
   ZoomCommands value
);

パラメータ

control
GcZoomCommandProvider を関連付ける IButtonControl。
value
ZoomCommands.None 以外の値を指定した場合、指定した IButtonControl に ZoomCommands が関連付けられます。

戻り値

なし
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoomCommandProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    commands.Target = Me
    commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn)
    Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString())

    commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut)
    Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString())

    AddHandler _getButton.Click, AddressOf _getButton_Click
End Sub

public MyUserControl()
{
    InitializeComponent();

    commands.Target = this;
    commands.SetZoomCommands(_zoomInButton, ZoomCommands.ZoomIn);
    Console.WriteLine(commands.GetZoomCommands(_zoomInButton).ToString());

    commands.SetZoomCommands(_zoomOutButton, ZoomCommands.ZoomOut);
    Console.WriteLine(commands.GetZoomCommands(_zoomOutButton).ToString());

    _getButton.Click += _getButton_Click;
}


GcZoomDetachedEventArgs クラス

GcZoomDetachedEventArgs クラス

GcApplicationZoom クラスの GcZoomDetached イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.GcZoomDetachedEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcZoomDetachedEventArgs
    Inherits EventArgs

public class GcZoomDetachedEventArgs : EventArgs
使用例

以下のサンプルコードは、GcZoomDetachedEventArgs クラスの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomDetached(sender As Object, e As GcZoomDetachedEventArgs)
    If TypeOf e.Form Is ZoomForm Then
        RemoveHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
    End If
End Sub

void _gcApplicationZoom_GcZoomDetached(object sender, GcZoomDetachedEventArgs e)
{
    if (e.Form is ZoomForm)
    {
        e.GcZoom.ZoomFactorChanged -= (e.Form as ZoomForm).ZoomFactorChangeProc;
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcZoomDetachedEventArgs メンバ

GcZoomDetachedEventArgs メンバ

GcZoomDetachedEventArgs クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
GcZoomDetachedEventArgs | GcZoomDetachedEventArgs クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Form | GcZoom コンポーネントがデタッチされた Form を取得します。
パブリック プロパティ | GcZoom | Form からデタッチされた GcZoom コンポーネントを取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


GcZoomDetachedEventArgs コンストラクタ (GrapeCity.Win.MultiTouch)

GcZoomDetachedEventArgs コンストラクタ

GcZoomDetachedEventArgs クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New( _
   ByVal gcZoom As GcZoom, _
   ByVal form As Form _
)

public GcZoomDetachedEventArgs(
   GcZoom gcZoom,
   Form form
);

パラメータ

gcZoom
Form からデタッチされた GcZoom コンポーネント。
form
GcZoom コンポーネントがデタッチされた Form。

戻り値

なし


GcZoomDetachedEventArgs プロパティ

GcZoomDetachedEventArgs プロパティ

GcZoomDetachedEventArgs クラスのプロパティは以下のとおりです。GcZoomDetachedEventArgs クラスの完全なメンバ一覧については、 GcZoomDetachedEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Form | GcZoom コンポーネントがデタッチされた Form を取得します。
パブリック プロパティ | GcZoom | Form からデタッチされた GcZoom コンポーネントを取得します。


GcZoomDetachedEventArgs.Form プロパティ (GrapeCity.Win.MultiTouch)

GcZoomDetachedEventArgs.Form プロパティ

GcZoom コンポーネントがデタッチされた Form を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Form As Form

public Form Form { get; }

プロパティ値

System.Windows.Forms.Form型

GcZoom コンポーネントがデタッチされた Form。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomDetached(sender As Object, e As GcZoomDetachedEventArgs)
    If TypeOf e.Form Is ZoomForm Then
        RemoveHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
    End If
End Sub

void _gcApplicationZoom_GcZoomDetached(object sender, GcZoomDetachedEventArgs e)
{
    if (e.Form is ZoomForm)
    {
        e.GcZoom.ZoomFactorChanged -= (e.Form as ZoomForm).ZoomFactorChangeProc;
    }
}


GcZoomDetachedEventArgs.GcZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoomDetachedEventArgs.GcZoom プロパティ

Form からデタッチされた GcZoom コンポーネントを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property GcZoom As GcZoom

public GcZoom GcZoom { get; }

プロパティ値

GrapeCity.Win.MultiTouch.GcZoom型

Form からデタッチされた GcZoom コンポーネント。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcApplicationZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcApplicationZoom_GcZoomDetached(sender As Object, e As GcZoomDetachedEventArgs)
    If TypeOf e.Form Is ZoomForm Then
        RemoveHandler e.GcZoom.ZoomFactorChanged, AddressOf TryCast(e.Form, ZoomForm).ZoomFactorChangeProc
    End If
End Sub

void _gcApplicationZoom_GcZoomDetached(object sender, GcZoomDetachedEventArgs e)
{
    if (e.Form is ZoomForm)
    {
        e.GcZoom.ZoomFactorChanged -= (e.Form as ZoomForm).ZoomFactorChangeProc;
    }
}


GcZoomPanel クラス

GcZoomPanel クラス

コントロールのコレクションをグループ化し、それらのコントロールを 2 本指のタッチでズームできるようにするコンポーネントを表します。

継承階層
System.Object
System.MarshalByRefObject
System.ComponentModel.Component
System.Windows.Forms.Control
System.Windows.Forms.ScrollableControl
System.Windows.Forms.Panel
GrapeCity.Win.MultiTouch.GcZoomPanel

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class GcZoomPanel
    Inherits Panel

public class GcZoomPanel : Panel
解説

GcZoomPanel がロードされると、GcZoomPanel はすべての GcZoomPanel の子コントロールを内部パネルに変更します。実行時には GcZoomPanel.Controls の代わりに GcZoomPanel.InnerControls プロパティを使用してください。

GcZoom と GcZoomPanel を同時に使用することはできません。

GcZoomPanel を別の GcZoomPanel の子にすることはできません。

GcZoomPanel は、ツールチップ、コンテキストメニュー、コモンダイアログのフォントとサイズを変更できません。

使用例

以下のサンプルコードは、GcZoomPanel コンポーネントの使用方法を示します。

このコードを既存の Windows Forms アプリケーションにコピーし、サンプルコード内のフォームを開始フォームとして設定します。

このコードの実行時にライセンスエラーが発生した場合は、GcZoomPanel コンポーネントをツールボックスから任意のフォームにドラッグしてみてください。そうすると、ライセンス情報をこのプロジェクトに生成できます。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomPanelDemo
        Inherits Form
        Private _childTextBox As TextBox
        Private _childButton As Button
        Private _gcZoomPanel As GcZoomPanel

        Public Sub New()
            InitializeComponent()

            ' Set the max zoom factor is 4.0
            _gcZoomPanel.MaxZoomFactor = 4.0F

            ' Set feedback area color

            ' If feedback area want to use image, you showld use FeedbackAreaBackgroundImage and
            ' FeedbackAreaBackgroundImageLayout property.
            '_gcZoomPanel.FeedbackAreaBackgroundImage = Image.FromFile(@"c:\image.jpg");
            '_gcZoomPanel.FeedbackAreaBackgroundImageLayout = ImageLayout.Stretch;
            _gcZoomPanel.FeedbackAreaBackColor = SystemColors.ControlDark
        End Sub

        Private Sub InitializeComponent()
            _childTextBox = New TextBox()
            _childTextBox.Text = "This is TextBox"
            _childTextBox.Location = New Point(225, 150)
            _childTextBox.Size = New Size(150, 25)

            _childButton = New Button()
            _childButton.Text = "This is Button"
            _childButton.Location = New Point(225, 200)
            _childButton.Size = New Size(150, 25)

            _gcZoomPanel = New GcZoomPanel()
            _gcZoomPanel.Location = New Point(100, 100)
            _gcZoomPanel.Size = New Size(600, 400)
            _gcZoomPanel.BackColor = SystemColors.ControlDarkDark

            _gcZoomPanel.Controls.Add(_childTextBox)
            _gcZoomPanel.Controls.Add(_childButton)

            Me.Controls.Add(_gcZoomPanel)
            Me.Size = New Size(800, 600)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomPanelDemo : Form
    {
        private TextBox _childTextBox;
        private Button _childButton;
        private GcZoomPanel _gcZoomPanel;

        public GcZoomPanelDemo()
        {
            InitializeComponent();

            // Set the max zoom factor is 4.0
            _gcZoomPanel.MaxZoomFactor = 4f;

            // Set feedback area color
            _gcZoomPanel.FeedbackAreaBackColor = SystemColors.ControlDark;

            // If feedback area want to use image, you showld use FeedbackAreaBackgroundImage and
            // FeedbackAreaBackgroundImageLayout property.
            //_gcZoomPanel.FeedbackAreaBackgroundImage = Image.FromFile(@"c:\image.jpg");
            //_gcZoomPanel.FeedbackAreaBackgroundImageLayout = ImageLayout.Stretch;
        }

        private void InitializeComponent()
        {
            _childTextBox = new TextBox();
            _childTextBox.Text = "This is TextBox";
            _childTextBox.Location = new Point(225, 150);
            _childTextBox.Size = new Size(150, 25);

            _childButton = new Button();
            _childButton.Text = "This is Button";
            _childButton.Location = new Point(225, 200);
            _childButton.Size = new Size(150, 25);

            _gcZoomPanel = new GcZoomPanel();
            _gcZoomPanel.Location = new Point(100, 100);
            _gcZoomPanel.Size = new Size(600, 400);
            _gcZoomPanel.BackColor = SystemColors.ControlDarkDark;

            _gcZoomPanel.Controls.Add(_childTextBox);
            _gcZoomPanel.Controls.Add(_childButton);

            this.Controls.Add(_gcZoomPanel);
            this.Size = new Size(800, 600);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


GcZoomPanel メンバ

GcZoomPanel メンバ

GcZoomPanel クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
GcZoomPanel | GcZoomPanel クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | AccessibilityObject | コントロールに割り当てられた AccessibleObject を取得します。 (Control から継承されます)
パブリック プロパティ | AccessibleDefaultActionDescription | ユーザー補助クライアント アプリケーションによって使用される、コントロールの既定のアクションの説明を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleDescription | ユーザー補助クライアント アプリケーションによって使用される、コントロールの説明を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleName | ユーザー補助クライアント アプリケーションによって使用されるコントロールの名前を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleRole | コントロールのアクセスできる役割を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AllowDoubleTapZoom | ダブルタップによってズームできるかどうかを示す値を取得または設定します。ダブルタップされる前に ZoomFactor が 2f より小さい場合、ZoomFactor は 2f または MaxZoomFactor に変更されます。それ以外の場合は 1f に変更されます。
パブリック プロパティ | AllowDrop | ユーザーがコントロールにドラッグしたデータを、そのコントロールが受け入れることができるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AllowMouseWheelScroll | 実行できるマウスホイールスクロールのタイプを取得または設定します。
パブリック プロパティ | AllowMouseWheelZoom | ［Ctrl］キーを押しながらマウスホイールを回すことによってズームできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPanScroll | パンジェスチャによってパネルをスクロールできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPinchZoom | パネルがジェスチャズームを実行できるかどうかを示す値を取得または設定します。
パブリック プロパティ | AlternativeContentSettings | ジェスチャズーム中にズーム率を表示する方法を示す設定を取得します。
パブリック プロパティ | Anchor | コントロールがバインドされるコンテナーの端を取得または設定し、親のサイズ変更時に、コントロールのサイズがどのように変化するかを決定します。 (Control から継承されます)
パブリック プロパティ | AutoScroll | コンテナーで、表示されている境界の外にあるコントロールにユーザーがスクロールできるかどうかを示す値を取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | AutoScrollMargin | 自動スクロールのマージンのサイズを取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | AutoScrollMinSize | 自動スクロールの最小サイズを取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | AutoScrollOffset | ScrollControlIntoView でのこのコントロールのスクロール先を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AutoScrollPosition | 自動スクロールの位置を取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | AutoShowControl | フォーカスを取得したとき、またはタッチキーボードがポップアップしたときにコントロールを自動表示するかどうかを示す値を取得または設定します。
パブリック プロパティ | AutoSize | (Panel から継承されます)
パブリック プロパティ | AutoSizeMode | コントロールの自動サイズ変更の動作を示します。 (Panel から継承されます)
パブリック プロパティ | BackColor | コントロールの背景色を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackgroundImage | コントロールに表示される背景イメージを取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackgroundImageLayout | ImageLayout 列挙体で定義される背景イメージのレイアウトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | BindingContext | コントロールの BindingContext を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BorderStyle | コントロールの境界線スタイルを示します。 (Panel から継承されます)
パブリック プロパティ | Bottom | コントロールの下端とコンテナーのクライアント領域の上端の間の距離をピクセルで取得します。 (Control から継承されます)
パブリック プロパティ | BoundaryFeedbackMode | スクロールが終端に達したときの視覚的フィードバックの表示方法を示す値を取得または設定します。
パブリック プロパティ | Bounds | クライアント以外の要素を含むコントロールの、親コントロールに対する相対的なサイズおよび位置をピクセル単位で取得または設定します。 (Control から継承されます)
プロテクト プロパティ | CanEnableIme | ImeMode プロパティをアクティブな値に設定して、IME サポートを有効にできるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | CanFocus | コントロールがフォーカスを受け取ることができるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | CanRaiseEvents | コントロールでイベントが発生するかどうかを決定します。 (Control から継承されます)
パブリック プロパティ | CanSelect | コントロールを選択できるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Capture | コントロールがマウスをキャプチャしたかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | CausesValidation | そのコントロールが原因で、フォーカスを受け取ると検証が必要なコントロールに対して、検証が実行されるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ClientRectangle | コントロールのクライアント領域を表す四角形を取得します。 (Control から継承されます)
パブリック プロパティ | ClientSize | コントロールのクライアント領域の高さと幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | CompanyName | コントロールを含んでいるアプリケーションの会社または作成者の名前を取得します。 (Control から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
パブリック プロパティ | ContainsFocus | コントロール、またはその子コントロールの 1 つに、現在入力フォーカスがあるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | ContextMenu | コントロールに関連付けられたショートカット メニューを取得または設定します。 (Control から継承されます)
パブリック プロパティ | ContextMenuStrip | このコントロールに関連付けられている ContextMenuStrip を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Controls | コントロール内に格納されているコントロールのコレクションを取得します。 (Control から継承されます)
パブリック プロパティ | Created | コントロールが作成されているかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | CreateParams | コントロール ハンドルが作成されるときに必要な作成パラメーターを取得します。 (Panel から継承されます)
パブリック プロパティ | Cursor | マウス ポインターがコントロールの上にあるときに表示されるカーソルを取得または設定します。 (Control から継承されます)
パブリック プロパティ | DataBindings | コントロールのデータ連結を取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultCursor | コントロールの既定のカーソルを取得または設定します。 (Control から継承されます)
プロテクト プロパティ | DefaultImeMode | コントロールがサポートしている既定の IME (Input Method Editor) モードを取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMargin | コントロール間に既定で指定されている空白をピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMaximumSize | コントロールの既定の最大サイズとして指定されている長さおよび高さをピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMinimumSize | コントロールの既定の最小サイズとして指定されている長さおよび高さをピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultPadding | コントロールの内容の内部間隔をピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultSize | (Panel から継承されます)
パブリック プロパティ | DefaultZoomPolicies | デフォルトのズームポリシーを取得します。
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | DisplayRectangle | コントロールの仮想表示領域を表す四角形を取得します。 (ScrollableControl から継承されます)
パブリック プロパティ | Disposing | 基本 Control クラスが破棄処理中かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Dock | コントロールの境界のうち、親コントロールにドッキングする境界を取得または設定します。また、コントロールのサイズが親コントロール内でどのように変化するかを決定します。 (Control から継承されます)
プロテクト プロパティ | DoubleBuffered | ちらつきを軽減または回避するために、2 次バッファーを使用してコントロールの表面を再描画するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Enabled | コントロールがユーザーとの対話に応答できるかどうかを示す値を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | FeedbackAreaBackColor | ズームおよびスクロールするときのパネルの空白領域の背景色を取得または設定します。
パブリック プロパティ | FeedbackAreaBackgroundImage | ズームおよびスクロールするときにパネルの空白領域に表示される背景イメージを取得または設定します。
パブリック プロパティ | FeedbackAreaBackgroundImageLayout | ImageLayout 列挙体で定義された背景イメージレイアウトを取得または設定します。
パブリック プロパティ | Focused | コントロールに入力フォーカスがあるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Font | コントロールによって表示されるテキストのフォントを取得または設定します。 (Control から継承されます)
プロテクト プロパティ | FontHeight | コントロールのフォントの高さを取得または設定します。 (Control から継承されます)
パブリック プロパティ | ForeColor | コントロールの前景色を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Handle | コントロールのバインド先のウィンドウ ハンドルを取得します。 (Control から継承されます)
パブリック プロパティ | HasChildren | コントロールに 1 つ以上の子コントロールが格納されているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Height | コントロールの高さを取得または設定します。 (Control から継承されます)
パブリック プロパティ | HorizontalScroll | 水平スクロール バーに関連付けられた特性を取得します。 (ScrollableControl から継承されます)
プロテクト プロパティ | HScroll | 水平スクロール バーが表示されるかどうかを示す値を、取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | ImeMode | コントロールの IME (Input Method Editor) モードを取得または設定します。 (Control から継承されます)
プロテクト プロパティ | ImeModeBase | コントロールの IME モードを取得または設定します。 (Control から継承されます)
パブリック プロパティ | InnerControls | パネルの子コントロールを取得します。
パブリック プロパティ | InnerPanel | ターゲットフォームの子コントロールを含む内部パネルを取得します。
パブリック プロパティ | InnerPanelLayoutMode | InnerPanel のレイアウトモードを取得または設定します。
パブリック プロパティ | InvokeRequired | 呼び出し元がコントロールの作成されたスレッドと異なるスレッド上にあるため、コントロールに対してメソッドの呼び出しを実行するときに、呼び出し元で invoke メソッドを呼び出す必要があるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsAccessible | コントロールがユーザー補助アプリケーションに表示されるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | IsDisposed | コントロールが破棄されているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsHandleCreated | コントロールにハンドルが関連付けられているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsHorizontalRailEnabled | 水平方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | IsMirrored | コントロールがミラー化されるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsVerticalRailEnabled | 垂直方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | LayoutEngine | コントロールのレイアウト エンジンのキャッシュ インスタンスを取得します。 (Control から継承されます)
パブリック プロパティ | Left | コントロールの左端とコンテナーのクライアント領域の左端の間の距離をピクセルで取得または設定します。 (Control から継承されます)
パブリック プロパティ | Location | コンテナーの左上隅に対する相対座標として、コントロールの左上隅の座標を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Margin | コントロール間の空白を取得または設定します。 (Control から継承されます)
パブリック プロパティ | MaximumSize | GetPreferredSize が指定できる上限のサイズを取得または設定します。 (Control から継承されます)
パブリック プロパティ | MaxZoomFactor | パネルの最大ズーム率を取得または設定します。
パブリック プロパティ | MinimumSize | GetPreferredSize が指定できる下限のサイズを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Name | コントロールの名前を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Padding | コントロールの埋め込みを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Parent | コントロールの親コンテナーを取得または設定します。 (Control から継承されます)
パブリック プロパティ | PreferredSize | コントロールが適合する四角形領域のサイズを取得します。 (Control から継承されます)
パブリック プロパティ | ProductName | コントロールを格納しているアセンブリの製品名を取得します。 (Control から継承されます)
パブリック プロパティ | ProductVersion | コントロールを格納しているアセンブリのバージョンを取得します。 (Control から継承されます)
パブリック プロパティ | RecreatingHandle | コントロールが現在そのコントロールのハンドルを再作成中かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Region | コントロールに関連付けられたウィンドウ領域を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | RenderRightToLeft | Obsolete. このプロパティは使用されなくなりました。 (Control から継承されます)
プロテクト プロパティ | ResizeRedraw | サイズが変更されたときに、コントロールがコントロール自体を再描画するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Right | コントロールの右端とコンテナーのクライアント領域の左端の間の距離をピクセルで取得します。 (Control から継承されます)
パブリック プロパティ | RightToLeft | コントロールの要素が、右から左へ表示されるフォントを使用するロケールをサポートするように配置されているかどうかを示す値を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | ScaleChildren | 子コントロールのスケーリングを決定する値を取得します。 (Control から継承されます)
パブリック プロパティ | ScrollIndicatorMode | 現在のスクロール位置を示すモードを示す値を取得または設定します。
パブリック プロパティ | ScrollLocation | パネルのスクロール位置を取得または設定します。
プロテクト プロパティ | ShowFocusCues | コントロールがフォーカスを示す四角形を表示する必要があるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | ShowKeyboardCues | ユーザー インターフェイスがキーボード アクセラレータを表示または非表示にする適切な状態かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Site | オーバーライド。 Component の ISite を取得または設定します。
パブリック プロパティ | Size | コントロールの高さと幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | TabIndex | コンテナー内のコントロールのタブ オーダーを取得または設定します。 (Control から継承されます)
パブリック プロパティ | TabStop | ユーザーが Tab キーで、このコントロールにフォーカスを移すことができるかどうかを示す値を取得または設定します。 (Panel から継承されます)
パブリック プロパティ | Tag | コントロールに関するデータを格納するオブジェクトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Top | コントロールの上端とコンテナーのクライアント領域の上端の間の距離をピクセル単位で取得または設定します。 (Control から継承されます)
パブリック プロパティ | TopLevelControl | 別の Windows フォーム コントロールを親として持たない親コントロールを取得します。 一般的に、これは、コントロールを格納している、最も外側の Form です。 (Control から継承されます)
パブリック プロパティ | UseWaitCursor | 現在のコントロールおよびすべての子コントロールに待機カーソルを使用するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | VerticalScroll | 垂直スクロール バーに関連付けられた特性を取得します。 (ScrollableControl から継承されます)
パブリック プロパティ | Visible | コントロールとそのすべての子コントロールが表示されているかどうかを示す値を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | VScroll | 垂直スクロール バーが表示されるかどうかを示す値を、取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | Width | コントロールの幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ZoomFactor | パネルのズーム率を取得または設定します。
パブリック プロパティ | ZoomPolicies | カスタムズームポリシーを取得します。GcZoom はこのリストでズームポリシーを検索します。
パブリック プロパティ | ZoomPreviewMode | ジェスチャズーム中にパネルをプレビューする方法を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapDistance | 現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapPoints | ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを取得します。
パブリック プロパティ | ZoomTargets | ズームジェスチャメッセージを受け取ることができるコントロールのコレクションを取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
プロテクト メソッド | AccessibilityNotifyClients | オーバーロード。 指定した子コントロールの指定した AccessibleEvents をユーザー補助クライアント アプリケーションに通知します。 (Control から継承されます)
プロテクト メソッド | AccessibilityNotifyClients | オーバーロード。 指定した子コントロールの指定した AccessibleEvents をユーザー補助クライアント アプリケーションに通知します。 (Control から継承されます)
プロテクト メソッド | AdjustFormScrollbars | 現在のコントロールの位置、および現在選択されているコントロールを基準として、コンテナー上のスクロール バーを調節します。 (ScrollableControl から継承されます)
パブリック メソッド | BeginAddControls | このメソッドは、子コントロールコレクションを変更する前に呼び出します。
パブリック メソッド | BeginInvoke | オーバーロード。 コントロールの基になるハンドルが作成されたスレッド上で、指定したデリゲートを非同期的に実行します。 (Control から継承されます)
パブリック メソッド | BringToFront | コントロールを z オーダーの最前面へ移動します。 (Control から継承されます)
パブリック メソッド | Contains | 指定したコントロールが、コントロールの子かどうかを示す値を取得します。 (Control から継承されます)
プロテクト メソッド | CreateAccessibilityInstance | コントロールの新しいユーザー補助オブジェクトを作成します。 (Control から継承されます)
パブリック メソッド | CreateControl | ハンドルおよび子コントロールの作成を含めて、強制的に表示子コントロールを作成します。 (Control から継承されます)
プロテクト メソッド | CreateControlsInstance | コントロールのコントロール コレクションの新しいインスタンスを作成します。 (Control から継承されます)
パブリック メソッド | CreateGraphics | コントロールの Graphics を作成します。 (Control から継承されます)
プロテクト メソッド | CreateHandle | コントロールのハンドルを作成します。 (Control から継承されます)
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | DefWndProc | 指定したメッセージを既定のウィンドウ プロシージャに送信します。 (Control から継承されます)
プロテクト メソッド | DestroyHandle | コントロールに関連付けられたハンドルを破棄します。 (Control から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | DoDragDrop | ドラッグ アンド ドロップ操作を開始します。 (Control から継承されます)
パブリック メソッド | DrawToBitmap | 指定したビットマップへのレンダリングをサポートします。 (Control から継承されます)
パブリック メソッド | EndAddControls | このメソッドは、子コントロールコレクションを変更した後に呼び出します。
パブリック メソッド | EndInvoke | 渡された IAsyncResult によって表される、非同期操作の戻り値を取得します。 (Control から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | FindForm | コントロールがあるフォームを取得します。 (Control から継承されます)
パブリック メソッド | Focus | コントロールに入力フォーカスを設定します。 (Control から継承されます)
プロテクト メソッド | GetAccessibilityObjectById | 指定した AccessibleObject を取得します。 (Control から継承されます)
プロテクト メソッド | GetAutoSizeMode | AutoSize プロパティが有効なときのコントロールの動作を示す値を取得します。 (Control から継承されます)
パブリック メソッド | GetChildAtPoint | オーバーロード。 特定の種類の子コントロールを無視するかどうかを指定して、指定した座標にある子コントロールを取得します。 (Control から継承されます)
パブリック メソッド | GetContainerControl | コントロールの親チェインの 1 つ上の ContainerControl を返します。 (Control から継承されます)
パブリック メソッド | GetDisplayRectangle | コントロールの表示矩形を取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
パブリック メソッド | GetNextControl | 子コントロールのタブ オーダー内の 1 つ前または 1 つ後ろのコントロールを取得します。 (Control から継承されます)
パブリック メソッド | GetPreferredSize | コントロールが収まる四角形の領域のサイズを取得します。 (Control から継承されます)
プロテクト メソッド | GetScaledBounds | コントロールのスケールが設定される境界を取得します。 (Control から継承されます)
プロテクト メソッド | GetScrollState | 指定したフラグが設定されているかどうかを判断します。 (ScrollableControl から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
プロテクト メソッド | GetStyle | コントロールの指定したコントロール スタイル ビットの値を取得します。 (Control から継承されます)
プロテクト メソッド | GetTopLevel | コントロールがトップレベル コントロールかどうかを判断します。 (Control から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Hide | コントロールをユーザーに対して非表示にします。 (Control から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | InitLayout | コントロールが別のコンテナーに追加された後、呼び出されます。 (Control から継承されます)
パブリック メソッド | Invalidate | オーバーロード。 コントロールの指定した領域を無効にし (そのコントロールの次の描画操作で再描画される領域を示す更新領域に追加し)、描画メッセージがそのコントロールに送信されるようにします。 (Control から継承されます)
パブリック メソッド | Invoke | オーバーロード。 コントロールの基になるウィンドウ ハンドルを所有するスレッド上で、指定したデリゲートを実行します。 (Control から継承されます)
プロテクト メソッド | InvokeGotFocus | 指定したコントロールの GotFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokeLostFocus | 指定したコントロールの LostFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokeOnClick | 指定したコントロールの Click イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokePaint | 指定したコントロールの Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokePaintBackground | 指定したコントロールの PaintBackground イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | IsInputChar | 文字が、コントロールによって認識される入力文字かどうかを判断します。 (Control から継承されます)
プロテクト メソッド | IsInputKey | 指定されているキーが、通常の入力キーであるか、またはプリプロセスを必要とする特殊なキーであるかを確認します。 (Control から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | NotifyInvalidate | 無効化するコントロールの領域を指定して、Invalidated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnAnimationCompleted | AnimationCompleted イベントを発生させます。
プロテクト メソッド | OnAnimationStarting | AnimationStarting イベントを発生させます。
プロテクト メソッド | OnAutoSizeChanged | AutoSizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackColorChanged | BackColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackgroundImageChanged | BackgroundImageChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackgroundImageLayoutChanged | BackgroundImageLayoutChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBindingContextChanged | BindingContextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCausesValidationChanged | CausesValidationChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnChangeUICues | ChangeUICues イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnClick | Click イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnClientSizeChanged | ClientSizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnContextMenuChanged | ContextMenuChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnContextMenuStripChanged | ContextMenuStripChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnControlAdded | ControlAdded イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnControlAutoShowing | ControlAutoShowing イベントを発生させます。
プロテクト メソッド | OnControlBoundsZooming | ControlBoundsZooming イベントを発生させます。
プロテクト メソッド | OnControlFontZooming | ControlFontZooming イベントを発生させます。
プロテクト メソッド | OnControlRemoved | ControlRemoved イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCreateControl | オーバーライド。 CreateControl イベントを発生させます。
プロテクト メソッド | OnCursorChanged | CursorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDockChanged | DockChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDoubleClick | DoubleClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragDrop | DragDrop イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragEnter | DragEnter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragLeave | DragLeave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragOver | DragOver イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnEnabledChanged | EnabledChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnEnter | Enter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnFontChanged | FontChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnForeColorChanged | ForeColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnGiveFeedback | GiveFeedback イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnGotFocus | GotFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnHandleCreated | HandleCreated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnHandleDestroyed | HandleDestroyed イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnHelpRequested | HelpRequested イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnImeModeChanged | ImeModeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnInvalidated | Invalidated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyDown | KeyDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyPress | KeyPress イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyUp | KeyUp イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLayout | オーバーライド。 (ScrollableControl から継承されます)
プロテクト メソッド | OnLeave | Leave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLocationChanged | LocationChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLostFocus | LostFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnManipulationStarting | ManipulationStarting イベントを発生させます。
プロテクト メソッド | OnMarginChanged | MarginChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseCaptureChanged | MouseCaptureChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseClick | MouseClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseDoubleClick | MouseDoubleClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseDown | MouseDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseEnter | MouseEnter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseHover | MouseHover イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseLeave | MouseLeave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseMove | MouseMove イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseUp | MouseUp イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseWheel | オーバーライド。 MouseWheel イベントを発生させます。 (ScrollableControl から継承されます)
プロテクト メソッド | OnMove | Move イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnNotifyMessage | コントロールに Windows メッセージを通知します。 (Control から継承されます)
プロテクト メソッド | OnPaddingChanged | オーバーライド。 PaddingChanged イベントを発生させます。 (ScrollableControl から継承されます)
プロテクト メソッド | OnPaint | Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPaintBackground | オーバーライド。 コントロールの背景を描画します。 (ScrollableControl から継承されます)
プロテクト メソッド | OnParentBackColorChanged | コントロールのコンテナーの BackColor プロパティ値が変更された場合に、BackColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentBackgroundImageChanged | コントロールのコンテナーの BackgroundImage プロパティ値が変更された場合に、BackgroundImageChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentBindingContextChanged | コントロールのコンテナーの BindingContext プロパティ値が変更された場合に、BindingContextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentChanged | オーバーライド。 ParentChanged イベントを発生させます。
プロテクト メソッド | OnParentCursorChanged | CursorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentEnabledChanged | コントロールのコンテナーの Enabled プロパティ値が変更された場合に、EnabledChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentFontChanged | コントロールのコンテナーの Font プロパティ値が変更された場合に、FontChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentForeColorChanged | コントロールのコンテナーの ForeColor プロパティ値が変更された場合に、ForeColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentRightToLeftChanged | コントロールのコンテナーの RightToLeft プロパティ値が変更された場合に、RightToLeftChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentVisibleChanged | コントロールのコンテナーの Visible プロパティ値が変更された場合に、VisibleChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPreviewKeyDown | PreviewKeyDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPrint | Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnQueryContinueDrag | QueryContinueDrag イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnRegionChanged | RegionChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnResize | オーバーライド。 パネルのサイズが変更されたことを示すイベントを発生させます。 継承コントロールでは、イベントの待機を実際に行うためにこれを使用する必要がありますが、外部のリスナーに対してもイベントが発生するように、base.onResize を呼び出す必要があります。 (Panel から継承されます)
プロテクト メソッド | OnRightToLeftChanged | オーバーライド。 (ScrollableControl から継承されます)
プロテクト メソッド | OnScroll | Scroll イベントを発生させます。 (ScrollableControl から継承されます)
プロテクト メソッド | OnSizeChanged | SizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnStyleChanged | StyleChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnSystemColorsChanged | SystemColorsChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTabIndexChanged | TabIndexChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTabStopChanged | TabStopChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTextChanged | TextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnValidated | Validated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnValidating | Validating イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnVisibleChanged | オーバーライド。
プロテクト メソッド | OnZoomFactorChanged | ZoomFactorChanged イベントを発生させます。
パブリック メソッド | PerformLayout | オーバーロード。 コントロールがレイアウト ロジックをすべての子コントロールに適用するように強制します。 (Control から継承されます)
パブリック メソッド | PointToClient | 指定した画面上のポイントを計算してクライアント座標を算出します。 (Control から継承されます)
パブリック メソッド | PointToScreen | 指定したクライアント ポイントを計算して画面座標を算出します。 (Control から継承されます)
パブリック メソッド | PreProcessControlMessage | キーボード メッセージまたは入力メッセージがディスパッチされる前に、メッセージ ループ内の入力メッセージを前処理します。 (Control から継承されます)
パブリック メソッド | PreProcessMessage | キーボード メッセージまたは入力メッセージがディスパッチされる前に、メッセージ ループ内の入力メッセージを前処理します。 (Control から継承されます)
プロテクト メソッド | ProcessCmdKey | コマンド キーを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessDialogChar | ダイアログ文字を処理します。 (Control から継承されます)
プロテクト メソッド | ProcessDialogKey | ダイアログ キーを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyEventArgs | キー メッセージを処理し、適切なコントロール イベントを生成します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyMessage | キーボード メッセージを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyPreview | キーボード メッセージをプレビューします。 (Control から継承されます)
プロテクト メソッド | ProcessMnemonic | ニーモニック文字を処理します。 (Control から継承されます)
プロテクト メソッド | RaiseDragEvent | 適切なドラッグ イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaiseKeyEvent | 適切なキー イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaiseMouseEvent | 適切なマウス イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaisePaintEvent | 適切な描画イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RecreateHandle | 強制的にコントロールのハンドルを再作成します。 (Control から継承されます)
パブリック メソッド | RectangleToClient | 指定した画面上の四角形のサイズと位置をクライアント座標で算出します。 (Control から継承されます)
パブリック メソッド | RectangleToScreen | 指定したクライアント領域の四角形のサイズと位置を画面座標で算出します。 (Control から継承されます)
パブリック メソッド | Refresh | 強制的に、コントロールがクライアント領域を無効化し、直後にそのコントロール自体とその子コントロールを再描画するようにします。 (Control から継承されます)
プロテクト メソッド | ResetMouseEventArgs | MouseLeave イベントを処理するためのコントロールをリセットします。 (Control から継承されます)
パブリック メソッド | ResetText | Text プロパティを既定値にリセットします。 (Control から継承されます)
パブリック メソッド | ResumeLayout | オーバーロード。 通常のレイアウト ロジックを再開します。 (Control から継承されます)
プロテクト メソッド | RtlTranslateAlignment | オーバーロード。 指定した HorizontalAlignment を適切な HorizontalAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateContent | 指定した ContentAlignment を適切な ContentAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateHorizontal | 指定した HorizontalAlignment を適切な HorizontalAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateLeftRight | 指定した LeftRightAlignment を適切な LeftRightAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
パブリック メソッド | Scale | 指定されたスケール ファクターによってコントロールおよびすべての子コントロールのスケールを設定します。 (Control から継承されます)
プロテクト メソッド | ScaleControl | オーバーライド。 (ScrollableControl から継承されます)
パブリック メソッド | ScrollControlIntoView | 自動スクロール機能が有効になっているコントロール上で、指定した子コントロールが表示されるまでスクロールします。 (ScrollableControl から継承されます)
プロテクト メソッド | ScrollToControl | 指定した子コントロールへのスクロールのオフセットを計算します。 (ScrollableControl から継承されます)
パブリック メソッド | Select | オーバーロード。 コントロールをアクティブにします。 (Control から継承されます)
プロテクト メソッド | Select | オーバーロード。 子コントロールをアクティブにします。 オプションとして、タブ オーダーでコントロールを選択するときの方向を指定します。 (Control から継承されます)
パブリック メソッド | SelectNextControl | 次のコントロールをアクティブにします。 (Control から継承されます)
パブリック メソッド | SendToBack | コントロールを z オーダーの背面に移動します。 (Control から継承されます)
パブリック メソッド | SetAutoScrollMargin | 自動スクロールのマージンのサイズを設定します。 (ScrollableControl から継承されます)
プロテクト メソッド | SetAutoSizeMode | AutoSize プロパティが有効なときのコントロールの動作を示す値を設定します。 (Control から継承されます)
パブリック メソッド | SetBounds | オーバーロード。 コントロールの範囲を指定した位置とサイズに設定します。 (Control から継承されます)
プロテクト メソッド | SetBoundsCore | このコントロールの指定した境界を設定する作業を実行します。 (Control から継承されます)
プロテクト メソッド | SetClientSizeCore | コントロールのクライアント領域のサイズを設定します。 (Control から継承されます)
プロテクト メソッド | SetDisplayRectLocation | 表示ウィンドウを指定した値に配置します。 (ScrollableControl から継承されます)
パブリック メソッド | SetScrollLocation | ScrollLocation を設定します。ScrollLocation を変更するときにアニメーションを使用するかどうかを指定できます。
プロテクト メソッド | SetScrollState | 指定したスクロール状態フラグを設定します。 (ScrollableControl から継承されます)
プロテクト メソッド | SetStyle | 指定した ControlStyles フラグを true または false に設定します。 (Control から継承されます)
プロテクト メソッド | SetTopLevel | コントロールをトップレベル コントロールとして設定します。 (Control から継承されます)
プロテクト メソッド | SetVisibleCore | コントロールを指定した表示状態に設定します。 (Control から継承されます)
パブリック メソッド | SetZoomFactor | ZoomFactor を設定します。ZoomFactor を変更するときにアニメーションを使用するかどうかを指定できます。
パブリック メソッド | Show | コントロールをユーザーに対して表示します。 (Control から継承されます)
プロテクト メソッド | SizeFromClientSize | クライアント領域の高さおよび幅からコントロール全体のサイズを決定します。 (Control から継承されます)
パブリック メソッド | SuspendLayout | コントロールのレイアウト ロジックを一時的に中断します。 (Control から継承されます)
パブリック メソッド | ToString | オーバーライド。 このコントロールの文字列形式を返します。 (Panel から継承されます)
パブリック メソッド | Update | コントロールによって、クライアント領域内の無効化された領域が再描画されます。 (Control から継承されます)
プロテクト メソッド | UpdateBounds | オーバーロード。 コントロールの範囲を現在のサイズと位置で更新します。 (Control から継承されます)
プロテクト メソッド | UpdateBounds | オーバーロード。 コントロールの範囲を指定したサイズと位置で更新します。 (Control から継承されます)
プロテクト メソッド | UpdateStyles | 割り当て済みのスタイルを強制的にコントロールに再適用します。 (Control から継承されます)
プロテクト メソッド | UpdateZOrder | コントロールを親の z オーダーで更新します。 (Control から継承されます)
プロテクト メソッド | WndProc | オーバーライド。 (ScrollableControl から継承されます)
イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | AnimationCompleted | アニメーションが完了したときに発生します。
パブリック イベント | AnimationStarting | GcZoomPanel がアニメーションを開始する前に発生します。
パブリック イベント | AutoSizeChanged | AutoSize プロパティの値が変更された場合に発生します。 (Panel から継承されます)
パブリック イベント | BackColorChanged | BackColor プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | BackgroundImageChanged | BackgroundImage プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | BackgroundImageLayoutChanged | BackgroundImageLayout プロパティが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | BindingContextChanged | BindingContext プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | CausesValidationChanged | CausesValidation プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ChangeUICues | フォーカス四角形またはキーボード インターフェイス (UI) キューが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | Click | コントロールがクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | ClientSizeChanged | ClientSize プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ContextMenuChanged | ContextMenu プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ContextMenuStripChanged | ContextMenuStrip プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ControlAdded | 新しいコントロールが ControlCollection に追加されたときに発生します。 (Control から継承されます)
パブリック イベント | ControlAutoShowing | GcZoomPanel がターゲットコントロールの表示を開始する前に発生します。
パブリック イベント | ControlBoundsZooming | GcZoomPanel がターゲットコントロールの境界のズームを開始する前に発生します。
パブリック イベント | ControlFontZooming | GcZoomPanel がターゲットコントロールのフォントのズームを開始する前に発生します。
パブリック イベント | ControlRemoved | ControlCollection からコントロールが削除されたときに発生します。 (Control から継承されます)
パブリック イベント | CursorChanged | Cursor プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | DockChanged | Dock プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | DoubleClick | コントロールがダブルクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | DragDrop | ドラッグ アンド ドロップ操作が完了したときに発生します。 (Control から継承されます)
パブリック イベント | DragEnter | オブジェクトがコントロールの境界内にドラッグされると発生します。 (Control から継承されます)
パブリック イベント | DragLeave | オブジェクトがコントロールの境界の外へドラッグされると発生します。 (Control から継承されます)
パブリック イベント | DragOver | オブジェクトがコントロールの境界を超えてドラッグされると発生します。 (Control から継承されます)
パブリック イベント | EnabledChanged | Enabled プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | Enter | コントロールが入力されると発生します。 (Control から継承されます)
パブリック イベント | FontChanged | Font プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | ForeColorChanged | ForeColor プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | GiveFeedback | ドラッグ操作中に発生します。 (Control から継承されます)
パブリック イベント | GotFocus | コントロールがフォーカスを受け取ると発生します。 (Control から継承されます)
パブリック イベント | HandleCreated | コントロールに対してハンドルが作成されると発生します。 (Control から継承されます)
パブリック イベント | HandleDestroyed | コントロールのハンドルが破棄されているときに発生します。 (Control から継承されます)
パブリック イベント | HelpRequested | ユーザーがコントロールのヘルプを要求すると発生します。 (Control から継承されます)
パブリック イベント | ImeModeChanged | ImeMode プロパティが変更された場合に発生します。 (Control から継承されます)
パブリック イベント | Invalidated | コントロールの表示で再描画が必要なときに発生します。 (Control から継承されます)
パブリック イベント | Layout | コントロールの子コントロールの位置を変更する必要があるときに発生します。 (Control から継承されます)
パブリック イベント | Leave | 入力フォーカスがコントロールを離れると発生します。 (Control から継承されます)
パブリック イベント | LocationChanged | Location プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | LostFocus | コントロールにフォーカスがなくなると発生します。 (Control から継承されます)
パブリック イベント | ManipulationStarting | マニピュレーションプロセッサが最初に作成されたときに発生します。
パブリック イベント | MarginChanged | コントロールのマージンが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | MouseCaptureChanged | コントロールがマウスのキャプチャを失うと発生します。 (Control から継承されます)
パブリック イベント | MouseClick | コントロールがマウスでクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | MouseDoubleClick | コントロールがマウスでダブルクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | MouseDown | マウス ポインターがコントロール上にあり、マウス ボタンがクリックされると発生します。 (Control から継承されます)
パブリック イベント | MouseEnter | マウス ポインターによってコントロールが入力されると発生します。 (Control から継承されます)
パブリック イベント | MouseHover | マウス ポインターをコントロールの上に重ねると発生します。 (Control から継承されます)
パブリック イベント | MouseLeave | マウス ポインターがコントロールを離れると発生します。 (Control から継承されます)
パブリック イベント | MouseMove | マウス ポインターがコントロール上を移動すると発生します。 (Control から継承されます)
パブリック イベント | MouseUp | マウス ポインターがコントロール上にあり、マウス ボタンが離されると発生します。 (Control から継承されます)
パブリック イベント | MouseWheel | コントロールにフォーカスがあるときにマウス ホイールが動くと発生します。 (Control から継承されます)
パブリック イベント | Move | コントロールが移動されると発生します。 (Control から継承されます)
パブリック イベント | PaddingChanged | コントロールの埋め込みが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | Paint | コントロールが再描画されると発生します。 (Control から継承されます)
パブリック イベント | ParentChanged | Parent プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | PreviewKeyDown | このコントロールにフォーカスがあるときにキーが押された場合、KeyDown イベントの前に発生します。 (Control から継承されます)
パブリック イベント | QueryAccessibilityHelp | AccessibleObject がユーザー補助アプリケーションにヘルプを提供したときに発生します。 (Control から継承されます)
パブリック イベント | QueryContinueDrag | ドラッグ アンド ドロップ操作中に発生し、ドラッグ ソースがドラッグ アンド ドロップ操作をキャンセルする必要があるかどうかを決定できるようにします。 (Control から継承されます)
パブリック イベント | RegionChanged | Region プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | Resize | コントロールのサイズが変更されると発生します。 (Control から継承されます)
パブリック イベント | RightToLeftChanged | RightToLeft プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | Scroll | ユーザーまたはコードによってクライアント領域がスクロールされたときに発生します。 (ScrollableControl から継承されます)
パブリック イベント | SizeChanged | Size プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | StyleChanged | コントロール スタイルが変更されると発生します。 (Control から継承されます)
パブリック イベント | SystemColorsChanged | システム カラーが変更されると発生します。 (Control から継承されます)
パブリック イベント | TabIndexChanged | TabIndex プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | TabStopChanged | TabStop プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | Validated | コントロールの検証が終了すると発生します。 (Control から継承されます)
パブリック イベント | Validating | コントロールが検証を行っているときに発生します。 (Control から継承されます)
パブリック イベント | VisibleChanged | Visible プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | ZoomFactorChanged | ZoomFactor が変更されたときに発生します。


GcZoomPanel コンストラクタ (GrapeCity.Win.MultiTouch)

GcZoomPanel コンストラクタ

GcZoomPanel クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public GcZoomPanel();

戻り値

なし


GcZoomPanel プロパティ

GcZoomPanel プロパティ

GcZoomPanel クラスのプロパティは以下のとおりです。GcZoomPanel クラスの完全なメンバ一覧については、 GcZoomPanelメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | AccessibilityObject | コントロールに割り当てられた AccessibleObject を取得します。 (Control から継承されます)
パブリック プロパティ | AccessibleDefaultActionDescription | ユーザー補助クライアント アプリケーションによって使用される、コントロールの既定のアクションの説明を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleDescription | ユーザー補助クライアント アプリケーションによって使用される、コントロールの説明を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleName | ユーザー補助クライアント アプリケーションによって使用されるコントロールの名前を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AccessibleRole | コントロールのアクセスできる役割を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AllowDoubleTapZoom | ダブルタップによってズームできるかどうかを示す値を取得または設定します。ダブルタップされる前に ZoomFactor が 2f より小さい場合、ZoomFactor は 2f または MaxZoomFactor に変更されます。それ以外の場合は 1f に変更されます。
パブリック プロパティ | AllowDrop | ユーザーがコントロールにドラッグしたデータを、そのコントロールが受け入れることができるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AllowMouseWheelScroll | 実行できるマウスホイールスクロールのタイプを取得または設定します。
パブリック プロパティ | AllowMouseWheelZoom | ［Ctrl］キーを押しながらマウスホイールを回すことによってズームできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPanScroll | パンジェスチャによってパネルをスクロールできるかどうかを示す値を取得または設定します。
パブリック プロパティ | AllowPinchZoom | パネルがジェスチャズームを実行できるかどうかを示す値を取得または設定します。
パブリック プロパティ | AlternativeContentSettings | ジェスチャズーム中にズーム率を表示する方法を示す設定を取得します。
パブリック プロパティ | Anchor | コントロールがバインドされるコンテナーの端を取得または設定し、親のサイズ変更時に、コントロールのサイズがどのように変化するかを決定します。 (Control から継承されます)
パブリック プロパティ | AutoScroll | コンテナーで、表示されている境界の外にあるコントロールにユーザーがスクロールできるかどうかを示す値を取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | AutoScrollMargin | 自動スクロールのマージンのサイズを取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | AutoScrollMinSize | 自動スクロールの最小サイズを取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | AutoScrollOffset | ScrollControlIntoView でのこのコントロールのスクロール先を取得または設定します。 (Control から継承されます)
パブリック プロパティ | AutoScrollPosition | 自動スクロールの位置を取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | AutoShowControl | フォーカスを取得したとき、またはタッチキーボードがポップアップしたときにコントロールを自動表示するかどうかを示す値を取得または設定します。
パブリック プロパティ | AutoSize | (Panel から継承されます)
パブリック プロパティ | AutoSizeMode | コントロールの自動サイズ変更の動作を示します。 (Panel から継承されます)
パブリック プロパティ | BackColor | コントロールの背景色を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackgroundImage | コントロールに表示される背景イメージを取得または設定します。 (Control から継承されます)
パブリック プロパティ | BackgroundImageLayout | ImageLayout 列挙体で定義される背景イメージのレイアウトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | BindingContext | コントロールの BindingContext を取得または設定します。 (Control から継承されます)
パブリック プロパティ | BorderStyle | コントロールの境界線スタイルを示します。 (Panel から継承されます)
パブリック プロパティ | Bottom | コントロールの下端とコンテナーのクライアント領域の上端の間の距離をピクセルで取得します。 (Control から継承されます)
パブリック プロパティ | BoundaryFeedbackMode | スクロールが終端に達したときの視覚的フィードバックの表示方法を示す値を取得または設定します。
パブリック プロパティ | Bounds | クライアント以外の要素を含むコントロールの、親コントロールに対する相対的なサイズおよび位置をピクセル単位で取得または設定します。 (Control から継承されます)
プロテクト プロパティ | CanEnableIme | ImeMode プロパティをアクティブな値に設定して、IME サポートを有効にできるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | CanFocus | コントロールがフォーカスを受け取ることができるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | CanRaiseEvents | コントロールでイベントが発生するかどうかを決定します。 (Control から継承されます)
パブリック プロパティ | CanSelect | コントロールを選択できるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Capture | コントロールがマウスをキャプチャしたかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | CausesValidation | そのコントロールが原因で、フォーカスを受け取ると検証が必要なコントロールに対して、検証が実行されるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ClientRectangle | コントロールのクライアント領域を表す四角形を取得します。 (Control から継承されます)
パブリック プロパティ | ClientSize | コントロールのクライアント領域の高さと幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | CompanyName | コントロールを含んでいるアプリケーションの会社または作成者の名前を取得します。 (Control から継承されます)
パブリック プロパティ | Container | Component を格納している IContainer を取得します。 (Component から継承されます)
パブリック プロパティ | ContainsFocus | コントロール、またはその子コントロールの 1 つに、現在入力フォーカスがあるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | ContextMenu | コントロールに関連付けられたショートカット メニューを取得または設定します。 (Control から継承されます)
パブリック プロパティ | ContextMenuStrip | このコントロールに関連付けられている ContextMenuStrip を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Controls | コントロール内に格納されているコントロールのコレクションを取得します。 (Control から継承されます)
パブリック プロパティ | Created | コントロールが作成されているかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | CreateParams | コントロール ハンドルが作成されるときに必要な作成パラメーターを取得します。 (Panel から継承されます)
パブリック プロパティ | Cursor | マウス ポインターがコントロールの上にあるときに表示されるカーソルを取得または設定します。 (Control から継承されます)
パブリック プロパティ | DataBindings | コントロールのデータ連結を取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultCursor | コントロールの既定のカーソルを取得または設定します。 (Control から継承されます)
プロテクト プロパティ | DefaultImeMode | コントロールがサポートしている既定の IME (Input Method Editor) モードを取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMargin | コントロール間に既定で指定されている空白をピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMaximumSize | コントロールの既定の最大サイズとして指定されている長さおよび高さをピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultMinimumSize | コントロールの既定の最小サイズとして指定されている長さおよび高さをピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultPadding | コントロールの内容の内部間隔をピクセル単位で取得します。 (Control から継承されます)
プロテクト プロパティ | DefaultSize | (Panel から継承されます)
パブリック プロパティ | DefaultZoomPolicies | デフォルトのズームポリシーを取得します。
プロテクト プロパティ | DesignMode | Component が現在デザイン モードかどうかを示す値を取得します。 (Component から継承されます)
パブリック プロパティ | DisplayRectangle | コントロールの仮想表示領域を表す四角形を取得します。 (ScrollableControl から継承されます)
パブリック プロパティ | Disposing | 基本 Control クラスが破棄処理中かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Dock | コントロールの境界のうち、親コントロールにドッキングする境界を取得または設定します。また、コントロールのサイズが親コントロール内でどのように変化するかを決定します。 (Control から継承されます)
プロテクト プロパティ | DoubleBuffered | ちらつきを軽減または回避するために、2 次バッファーを使用してコントロールの表面を再描画するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Enabled | コントロールがユーザーとの対話に応答できるかどうかを示す値を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | Events | Component に結び付けられているイベント ハンドラーのリストを取得します。 (Component から継承されます)
パブリック プロパティ | FeedbackAreaBackColor | ズームおよびスクロールするときのパネルの空白領域の背景色を取得または設定します。
パブリック プロパティ | FeedbackAreaBackgroundImage | ズームおよびスクロールするときにパネルの空白領域に表示される背景イメージを取得または設定します。
パブリック プロパティ | FeedbackAreaBackgroundImageLayout | ImageLayout 列挙体で定義された背景イメージレイアウトを取得または設定します。
パブリック プロパティ | Focused | コントロールに入力フォーカスがあるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Font | コントロールによって表示されるテキストのフォントを取得または設定します。 (Control から継承されます)
プロテクト プロパティ | FontHeight | コントロールのフォントの高さを取得または設定します。 (Control から継承されます)
パブリック プロパティ | ForeColor | コントロールの前景色を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Handle | コントロールのバインド先のウィンドウ ハンドルを取得します。 (Control から継承されます)
パブリック プロパティ | HasChildren | コントロールに 1 つ以上の子コントロールが格納されているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Height | コントロールの高さを取得または設定します。 (Control から継承されます)
パブリック プロパティ | HorizontalScroll | 水平スクロール バーに関連付けられた特性を取得します。 (ScrollableControl から継承されます)
プロテクト プロパティ | HScroll | 水平スクロール バーが表示されるかどうかを示す値を、取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | ImeMode | コントロールの IME (Input Method Editor) モードを取得または設定します。 (Control から継承されます)
プロテクト プロパティ | ImeModeBase | コントロールの IME モードを取得または設定します。 (Control から継承されます)
パブリック プロパティ | InnerControls | パネルの子コントロールを取得します。
パブリック プロパティ | InnerPanel | ターゲットフォームの子コントロールを含む内部パネルを取得します。
パブリック プロパティ | InnerPanelLayoutMode | InnerPanel のレイアウトモードを取得または設定します。
パブリック プロパティ | InvokeRequired | 呼び出し元がコントロールの作成されたスレッドと異なるスレッド上にあるため、コントロールに対してメソッドの呼び出しを実行するときに、呼び出し元で invoke メソッドを呼び出す必要があるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsAccessible | コントロールがユーザー補助アプリケーションに表示されるかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | IsDisposed | コントロールが破棄されているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsHandleCreated | コントロールにハンドルが関連付けられているかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsHorizontalRailEnabled | 水平方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | IsMirrored | コントロールがミラー化されるかどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | IsVerticalRailEnabled | 垂直方向のスクロールレールが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | LayoutEngine | コントロールのレイアウト エンジンのキャッシュ インスタンスを取得します。 (Control から継承されます)
パブリック プロパティ | Left | コントロールの左端とコンテナーのクライアント領域の左端の間の距離をピクセルで取得または設定します。 (Control から継承されます)
パブリック プロパティ | Location | コンテナーの左上隅に対する相対座標として、コントロールの左上隅の座標を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Margin | コントロール間の空白を取得または設定します。 (Control から継承されます)
パブリック プロパティ | MaximumSize | GetPreferredSize が指定できる上限のサイズを取得または設定します。 (Control から継承されます)
パブリック プロパティ | MaxZoomFactor | パネルの最大ズーム率を取得または設定します。
パブリック プロパティ | MinimumSize | GetPreferredSize が指定できる下限のサイズを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Name | コントロールの名前を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Padding | コントロールの埋め込みを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Parent | コントロールの親コンテナーを取得または設定します。 (Control から継承されます)
パブリック プロパティ | PreferredSize | コントロールが適合する四角形領域のサイズを取得します。 (Control から継承されます)
パブリック プロパティ | ProductName | コントロールを格納しているアセンブリの製品名を取得します。 (Control から継承されます)
パブリック プロパティ | ProductVersion | コントロールを格納しているアセンブリのバージョンを取得します。 (Control から継承されます)
パブリック プロパティ | RecreatingHandle | コントロールが現在そのコントロールのハンドルを再作成中かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Region | コントロールに関連付けられたウィンドウ領域を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | RenderRightToLeft | Obsolete. このプロパティは使用されなくなりました。 (Control から継承されます)
プロテクト プロパティ | ResizeRedraw | サイズが変更されたときに、コントロールがコントロール自体を再描画するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | Right | コントロールの右端とコンテナーのクライアント領域の左端の間の距離をピクセルで取得します。 (Control から継承されます)
パブリック プロパティ | RightToLeft | コントロールの要素が、右から左へ表示されるフォントを使用するロケールをサポートするように配置されているかどうかを示す値を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | ScaleChildren | 子コントロールのスケーリングを決定する値を取得します。 (Control から継承されます)
パブリック プロパティ | ScrollIndicatorMode | 現在のスクロール位置を示すモードを示す値を取得または設定します。
パブリック プロパティ | ScrollLocation | パネルのスクロール位置を取得または設定します。
プロテクト プロパティ | ShowFocusCues | コントロールがフォーカスを示す四角形を表示する必要があるかどうかを示す値を取得します。 (Control から継承されます)
プロテクト プロパティ | ShowKeyboardCues | ユーザー インターフェイスがキーボード アクセラレータを表示または非表示にする適切な状態かどうかを示す値を取得します。 (Control から継承されます)
パブリック プロパティ | Site | オーバーライド。 Component の ISite を取得または設定します。
パブリック プロパティ | Size | コントロールの高さと幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | TabIndex | コンテナー内のコントロールのタブ オーダーを取得または設定します。 (Control から継承されます)
パブリック プロパティ | TabStop | ユーザーが Tab キーで、このコントロールにフォーカスを移すことができるかどうかを示す値を取得または設定します。 (Panel から継承されます)
パブリック プロパティ | Tag | コントロールに関するデータを格納するオブジェクトを取得または設定します。 (Control から継承されます)
パブリック プロパティ | Top | コントロールの上端とコンテナーのクライアント領域の上端の間の距離をピクセル単位で取得または設定します。 (Control から継承されます)
パブリック プロパティ | TopLevelControl | 別の Windows フォーム コントロールを親として持たない親コントロールを取得します。 一般的に、これは、コントロールを格納している、最も外側の Form です。 (Control から継承されます)
パブリック プロパティ | UseWaitCursor | 現在のコントロールおよびすべての子コントロールに待機カーソルを使用するかどうかを示す値を取得または設定します。 (Control から継承されます)
パブリック プロパティ | VerticalScroll | 垂直スクロール バーに関連付けられた特性を取得します。 (ScrollableControl から継承されます)
パブリック プロパティ | Visible | コントロールとそのすべての子コントロールが表示されているかどうかを示す値を取得または設定します。 (Control から継承されます)
プロテクト プロパティ | VScroll | 垂直スクロール バーが表示されるかどうかを示す値を、取得または設定します。 (ScrollableControl から継承されます)
パブリック プロパティ | Width | コントロールの幅を取得または設定します。 (Control から継承されます)
パブリック プロパティ | ZoomFactor | パネルのズーム率を取得または設定します。
パブリック プロパティ | ZoomPolicies | カスタムズームポリシーを取得します。GcZoom はこのリストでズームポリシーを検索します。
パブリック プロパティ | ZoomPreviewMode | ジェスチャズーム中にパネルをプレビューする方法を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapDistance | 現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を示す値を取得または設定します。
パブリック プロパティ | ZoomSnapPoints | ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを取得します。
パブリック プロパティ | ZoomTargets | ズームジェスチャメッセージを受け取ることができるコントロールのコレクションを取得します。


GcZoomPanel.AllowDoubleTapZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.AllowDoubleTapZoom プロパティ

ダブルタップによってズームできるかどうかを示す値を取得または設定します。ダブルタップされる前に ZoomFactor が 2f より小さい場合、ZoomFactor は 2f または MaxZoomFactor に変更されます。それ以外の場合は 1f に変更されます。

構文
VB
C#
クリップボードにコピー
Public Property AllowDoubleTapZoom As Boolean

public bool AllowDoubleTapZoom { get; set; }

プロパティ値

System.Boolean型

ダブルタップによってズームできる場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowDoubleTapZoomCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowDoubleTapZoom = _allowDoubleTapZoomCheckBox.Checked
End Sub

void _allowDoubleTapZoomCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowDoubleTapZoom = _allowDoubleTapZoomCheckBox.Checked;
}


GcZoomPanel.AllowMouseWheelScroll プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.AllowMouseWheelScroll プロパティ

実行できるマウスホイールスクロールのタイプを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowMouseWheelScroll As MouseWheelScrollMode

public MouseWheelScrollMode AllowMouseWheelScroll { get; set; }


GcZoomPanel.AllowMouseWheelZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.AllowMouseWheelZoom プロパティ

［Ctrl］キーを押しながらマウスホイールを回すことによってズームできるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowMouseWheelZoom As Boolean

public bool AllowMouseWheelZoom { get; set; }

プロパティ値

System.Boolean型

ユーザーがマウスホイールによってズームできる場合は true。それ以外の場合は false。デフォルトは false です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowMouseWheelCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowMouseWheelZoom = _allowMouseWheelCheckBox.Checked
End Sub

void _allowMouseWheelCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowMouseWheelZoom = _allowMouseWheelCheckBox.Checked;
}


GcZoomPanel.AllowPanScroll プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.AllowPanScroll プロパティ

パンジェスチャによってパネルをスクロールできるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowPanScroll As Boolean

public bool AllowPanScroll { get; set; }

プロパティ値

System.Boolean型

パンジェスチャによってパネルをスクロールできる場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ScrollIndicatorMode プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowPanScrollCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowPanScroll = _allowPanScrollCheckBox.Checked
End Sub

void _allowPanScrollCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowPanScroll = _allowPanScrollCheckBox.Checked;
}


GcZoomPanel.AllowPinchZoom プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.AllowPinchZoom プロパティ

パネルがジェスチャズームを実行できるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AllowPinchZoom As Boolean

public bool AllowPinchZoom { get; set; }

プロパティ値

System.Boolean型

パネルがジェスチャズームを実行できる場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、ジェスチャズームを有効または無効にする方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _allowPinchZoomCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AllowPinchZoom = _allowPinchZoomCheckBox.Checked
End Sub

void _allowPinchZoomCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AllowPinchZoom = _allowPinchZoomCheckBox.Checked;
}


GcZoomPanel.AlternativeContentSettings プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.AlternativeContentSettings プロパティ

ジェスチャズーム中にズーム率を表示する方法を示す設定を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property AlternativeContentSettings As AlternativeContentSettings

public AlternativeContentSettings AlternativeContentSettings { get; }

プロパティ値

GrapeCity.Win.MultiTouch.AlternativeContentSettings型

ジェスチャズーム中にズーム率を表示する方法を示す AlternativeContentSettings 型の値。

解説

この設定は、ZoomPreviewMode プロパティの値が ZoomPreviewMode.AlternativeContent のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub previewModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
    Select Case _previewModeComboBox.Text
        Case "Bitmap"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap
            Exit Select

        Case "AlternativeContent"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%"

            Exit Select

        Case "NoPreview"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void previewModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
{
    switch (_previewModeComboBox.Text)
    {
        case "Bitmap":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;
            break;

        case "AlternativeContent":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent;

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark;
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%";

            break;

        case "NoPreview":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview;
            break;

        default:
            break;
    }
}


GcZoomPanel.AutoShowControl プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.AutoShowControl プロパティ

フォーカスを取得したとき、またはタッチキーボードがポップアップしたときにコントロールを自動表示するかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property AutoShowControl As Boolean

public bool AutoShowControl { get; set; }

プロパティ値

System.Boolean型

コントロールを自動表示する場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _autoShowControlCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.AutoShowControl = _autoShowControlCheckBox.Checked
End Sub

void _autoShowControlCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.AutoShowControl = _autoShowControlCheckBox.Checked;
}


GcZoomPanel.BoundaryFeedbackMode プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.BoundaryFeedbackMode プロパティ

スクロールが終端に達したときの視覚的フィードバックの表示方法を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property BoundaryFeedbackMode As BoundaryFeedbackMode

public BoundaryFeedbackMode BoundaryFeedbackMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.BoundaryFeedbackMode型

BoundaryFeedbackMode 値の 1 つ。デフォルトは Split です。

BoundaryFeedbackModeの値 | 説明
0 - Standard | スクロールが終端に達したとき、オーナーフォームが少し移動してからバウンドして元に戻ります。
1 - Split | スクロールが終端に達したとき、コンテンツ領域がさらに少しスクロールしてからバウンドして元に戻ります。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub boundaryFeedbackModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
    Select Case _boundaryFeedbackModeComboBox.Text
        Case "Split"
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Split
            Exit Select

        Case "Standard"
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Standard
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void boundaryFeedbackModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
{
    switch (_boundaryFeedbackModeComboBox.Text)
    {
        case "Split":
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Split;
            break;

        case "Standard":
            _gcZoom1.BoundaryFeedbackMode = BoundaryFeedbackMode.Standard;
            break;

        default:
            break;
    }
}


GcZoomPanel.DefaultZoomPolicies プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.DefaultZoomPolicies プロパティ

デフォルトのズームポリシーを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property DefaultZoomPolicies As ReadOnlyCollection(Of ZoomPolicy)

public ReadOnlyCollection<ZoomPolicy> DefaultZoomPolicies { get; }

プロパティ値

System.Collections.ObjectModel.ReadOnlyCollection<ZoomPolicy>型

デフォルトのズームポリシー。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub GetDefaultZoomPolicy()
    ' Get GcZoom component build in zoompolicy of all
    For Each item As ZoomPolicy In _gcZoom1.DefaultZoomPolicies
        _defaultZoomPolicyListBox.Items.Add(item.ToString())
    Next
End Sub

void GetDefaultZoomPolicy()
{
    // Get GcZoom component build in zoompolicy of all
    foreach (ZoomPolicy item in _gcZoom1.DefaultZoomPolicies)
    {
        _defaultZoomPolicyListBox.Items.Add(item.ToString());
    }
}


GcZoomPanel.FeedbackAreaBackColor プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.FeedbackAreaBackColor プロパティ

ズームおよびスクロールするときのパネルの空白領域の背景色を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property FeedbackAreaBackColor As Color

public Color FeedbackAreaBackColor { get; set; }

プロパティ値

System.Drawing.Color型

ズームおよびスクロールするときのパネルの空白領域の背景色を表す Color 値。デフォルトは Color.Empty で、パネルの背景色を使用することを意味します。

解説

BackColor プロパティでは透明色はサポートされていません。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoomPanel クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Set the max zoom factor is 4.0
    _gcZoomPanel.MaxZoomFactor = 4.0F

    ' Set feedback area color

    ' If feedback area want to use image, you showld use FeedbackAreaBackgroundImage and
    ' FeedbackAreaBackgroundImageLayout property.
    '_gcZoomPanel.FeedbackAreaBackgroundImage = Image.FromFile(@"c:\image.jpg");
    '_gcZoomPanel.FeedbackAreaBackgroundImageLayout = ImageLayout.Stretch;
    _gcZoomPanel.FeedbackAreaBackColor = SystemColors.ControlDark
End Sub

public GcZoomPanelDemo()
{
    InitializeComponent();

    // Set the max zoom factor is 4.0
    _gcZoomPanel.MaxZoomFactor = 4f;

    // Set feedback area color
    _gcZoomPanel.FeedbackAreaBackColor = SystemColors.ControlDark;

    // If feedback area want to use image, you showld use FeedbackAreaBackgroundImage and
    // FeedbackAreaBackgroundImageLayout property.
    //_gcZoomPanel.FeedbackAreaBackgroundImage = Image.FromFile(@"c:\image.jpg");
    //_gcZoomPanel.FeedbackAreaBackgroundImageLayout = ImageLayout.Stretch;
}


GcZoomPanel.FeedbackAreaBackgroundImage プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.FeedbackAreaBackgroundImage プロパティ

ズームおよびスクロールするときにパネルの空白領域に表示される背景イメージを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property FeedbackAreaBackgroundImage As Image

public Image FeedbackAreaBackgroundImage { get; set; }

プロパティ値

System.Drawing.Image型

ズームおよびスクロールするときにパネルの空白領域に表示するイメージを表す Image 値。デフォルトは null 参照 (Visual Basic では Nothing) です。

解説

半透明色または透明色を含むイメージは、Windows パネルコントロールの背景イメージとしてサポートされていません。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoomPanel クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Set the max zoom factor is 4.0
    _gcZoomPanel.MaxZoomFactor = 4.0F

    ' Set feedback area color

    ' If feedback area want to use image, you showld use FeedbackAreaBackgroundImage and
    ' FeedbackAreaBackgroundImageLayout property.
    '_gcZoomPanel.FeedbackAreaBackgroundImage = Image.FromFile(@"c:\image.jpg");
    '_gcZoomPanel.FeedbackAreaBackgroundImageLayout = ImageLayout.Stretch;
    _gcZoomPanel.FeedbackAreaBackColor = SystemColors.ControlDark
End Sub

public GcZoomPanelDemo()
{
    InitializeComponent();

    // Set the max zoom factor is 4.0
    _gcZoomPanel.MaxZoomFactor = 4f;

    // Set feedback area color
    _gcZoomPanel.FeedbackAreaBackColor = SystemColors.ControlDark;

    // If feedback area want to use image, you showld use FeedbackAreaBackgroundImage and
    // FeedbackAreaBackgroundImageLayout property.
    //_gcZoomPanel.FeedbackAreaBackgroundImage = Image.FromFile(@"c:\image.jpg");
    //_gcZoomPanel.FeedbackAreaBackgroundImageLayout = ImageLayout.Stretch;
}


GcZoomPanel.FeedbackAreaBackgroundImageLayout プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.FeedbackAreaBackgroundImageLayout プロパティ

ImageLayout 列挙体で定義された背景イメージレイアウトを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property FeedbackAreaBackgroundImageLayout As ImageLayout

public ImageLayout FeedbackAreaBackgroundImageLayout { get; set; }

プロパティ値

System.Windows.Forms.ImageLayout型

ImageLayout の値の 1 つ（Center、None、Stretch、Tile、Zoom のいずれか）。デフォルト値は Tile です。

FeedbackAreaBackgroundImageLayoutの値 | 説明
0 - None | イメージがコントロールのクライアント領域の四角形の上部で左寄せに配置されます。
1 - Tile | イメージがコントロールのクライアント領域の四角形全体に並べて表示されます。
2 - Center | イメージがコントロールのクライアント領域の四角形の中央に配置されます。
3 - Stretch | イメージがコントロールのクライアント領域の四角形全体に伸縮されます。
4 - Zoom | イメージがコントロールのクライアント領域の四角形内で拡大されます。
解説

BackgroundImageLayout プロパティは、ズームおよびスクロールするときにパネルの空白領域に配置するイメージの位置と動作を指定する場合に使用します。BackgroundImageLayout は、FeedbackAreaBackgroundImage プロパティが設定されている場合にのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoomPanel クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Set the max zoom factor is 4.0
    _gcZoomPanel.MaxZoomFactor = 4.0F

    ' Set feedback area color

    ' If feedback area want to use image, you showld use FeedbackAreaBackgroundImage and
    ' FeedbackAreaBackgroundImageLayout property.
    '_gcZoomPanel.FeedbackAreaBackgroundImage = Image.FromFile(@"c:\image.jpg");
    '_gcZoomPanel.FeedbackAreaBackgroundImageLayout = ImageLayout.Stretch;
    _gcZoomPanel.FeedbackAreaBackColor = SystemColors.ControlDark
End Sub

public GcZoomPanelDemo()
{
    InitializeComponent();

    // Set the max zoom factor is 4.0
    _gcZoomPanel.MaxZoomFactor = 4f;

    // Set feedback area color
    _gcZoomPanel.FeedbackAreaBackColor = SystemColors.ControlDark;

    // If feedback area want to use image, you showld use FeedbackAreaBackgroundImage and
    // FeedbackAreaBackgroundImageLayout property.
    //_gcZoomPanel.FeedbackAreaBackgroundImage = Image.FromFile(@"c:\image.jpg");
    //_gcZoomPanel.FeedbackAreaBackgroundImageLayout = ImageLayout.Stretch;
}


GcZoomPanel.InnerControls プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.InnerControls プロパティ

パネルの子コントロールを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property InnerControls As ControlCollection

public ControlCollection InnerControls { get; }

プロパティ値

System.Windows.Forms.Control.ControlCollection型

パネルの子コントロールを表す ControlCollection 値。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。GcZoom ではすべての子コントロールを取得する際に Controls プロパティを使用しますが、GcZoomPanel では InnerControls を使用します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _controlsButton_Click(sender As Object, e As EventArgs)
    For Each item As Control In _gcZoom1.Controls
        Console.WriteLine(item.ToString())
    Next
End Sub

void _controlsButton_Click(object sender, EventArgs e)
{
    foreach (Control item in _gcZoom1.Controls)
    {
        Console.WriteLine(item.ToString());
    }
}


GcZoomPanel.InnerPanel プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.InnerPanel プロパティ

ターゲットフォームの子コントロールを含む内部パネルを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property InnerPanel As Panel

public Panel InnerPanel { get; }
解説

この内部パネルには、GcZoomPanel が表示された後に GcZoomPanel が格納されます。そのため、GcZoomPanel の Capture プロパティの値は正しくなくなります。代わりにこの内部パネルの Capture プロパティを使用してください。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _innerPanelButton_Click(sender As Object, e As EventArgs)
    Console.WriteLine(_gcZoom1.InnerPanel.ToString())
End Sub

void _innerPanelButton_Click(object sender, EventArgs e)
{
    Console.WriteLine(_gcZoom1.InnerPanel.ToString());
}


GcZoomPanel.InnerPanelLayoutMode プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.InnerPanelLayoutMode プロパティ

InnerPanel のレイアウトモードを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property InnerPanelLayoutMode As InnerPanelLayoutMode

public InnerPanelLayoutMode InnerPanelLayoutMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.InnerPanelLayoutMode型

InnerPanelLayoutMode 値の 1 つ。デフォルトは None です。

InnerPanelLayoutModeの値 | 説明
0 - None | フォームのサイズがコンテンツのサイズより大きい場合、コンテンツを左上に維持します。
1 - MiddleCenter | フォームのサイズがコンテンツのサイズより大きい場合、コンテンツを中央に維持します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _innerPanelLayoutModeComboBox_TextChanged(sender As Object, e As EventArgs)
    If _innerPanelLayoutModeComboBox.Text = "None" Then
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.None
    ElseIf _innerPanelLayoutModeComboBox.Text = "MiddleCenter" Then
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter
    End If
End Sub

void _innerPanelLayoutModeComboBox_TextChanged(object sender, EventArgs e)
{
    if (_innerPanelLayoutModeComboBox.Text == "None")
    {
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.None;
    }
    else if (_innerPanelLayoutModeComboBox.Text == "MiddleCenter")
    {
        _gcZoom1.InnerPanelLayoutMode = InnerPanelLayoutMode.MiddleCenter;
    }
}


GcZoomPanel.IsHorizontalRailEnabled プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.IsHorizontalRailEnabled プロパティ

水平方向のスクロールレールが有効かどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property IsHorizontalRailEnabled As Boolean

public bool IsHorizontalRailEnabled { get; set; }

プロパティ値

System.Boolean型

水平方向のスクロールレールを有効にする場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _isHorizontalRailEnabledCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.IsHorizontalRailEnabled = _isHorizontalRailEnabledCheckBox.Checked
End Sub

void _isHorizontalRailEnabledCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.IsHorizontalRailEnabled = _isHorizontalRailEnabledCheckBox.Checked;
}


GcZoomPanel.IsVerticalRailEnabled プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.IsVerticalRailEnabled プロパティ

垂直方向のスクロールレールが有効かどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property IsVerticalRailEnabled As Boolean

public bool IsVerticalRailEnabled { get; set; }

プロパティ値

System.Boolean型

垂直方向のスクロールレールを有効にする場合は true。それ以外の場合は false。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、AllowPinchZoom プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _isVerticalRailEnabledCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.IsVerticalRailEnabled = _isVerticalRailEnabledCheckBox.Checked
End Sub

void _isVerticalRailEnabledCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.IsVerticalRailEnabled = _isVerticalRailEnabledCheckBox.Checked;
}


GcZoomPanel.MaxZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.MaxZoomFactor プロパティ

パネルの最大ズーム率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property MaxZoomFactor As Single

public float MaxZoomFactor { get; set; }

プロパティ値

System.Single型

パネルの最大ズーム率を表す Single 値。デフォルトは 4f です。

例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | 指定された値が 1f 未満か、4f を超えています。
使用例

以下のサンプルコードは、ズーム率の最大値を設定する方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub maxZoomFactorTextBox_TextChanged(sender As Object, e As EventArgs)
    Dim value As String = _maxZoomFactorTextBox.Text.Trim()

    Try
        Dim maxFactor As Single = CSng(Convert.ToDouble(value))
        _gcZoom1.MaxZoomFactor = maxFactor
    Catch
        _gcZoom1.MaxZoomFactor = 2.0F
    End Try
End Sub

void maxZoomFactorTextBox_TextChanged(object sender, EventArgs e)
{
    string value = _maxZoomFactorTextBox.Text.Trim();

    try
    {
        float maxFactor = (float)Convert.ToDouble(value);
        _gcZoom1.MaxZoomFactor = maxFactor;
    }
    catch
    {
        _gcZoom1.MaxZoomFactor = 2f;
    }
}


GcZoomPanel.ScrollIndicatorMode プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.ScrollIndicatorMode プロパティ

現在のスクロール位置を示すモードを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ScrollIndicatorMode As ScrollIndicatorMode

public ScrollIndicatorMode ScrollIndicatorMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ScrollIndicatorMode型

ScrollIndicatorMode 値の 1 つ。デフォルトは ScrollIndicator です。

ScrollIndicatorModeの値 | 説明
0 - None | 現在のスクロール位置を示すために何も使用しません。
1 - ScrollBar | スクロールバーを使用して現在のスクロール位置を示します。
2 - ScrollIndicator | スクロールインジケーターを使用して現在のスクロール位置を示します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ScrollIndicatorMode プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _scrollIndicatorModeComboBox_TextChanged(sender As Object, e As EventArgs)
    Select Case _scrollIndicatorModeComboBox.Text
        Case "None"
            Me._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.None
            Exit Select

        Case "ScrollBar"
            Me._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollBar
            Exit Select

        Case "ScrollIndicator"
            Me._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollIndicator
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void _scrollIndicatorModeComboBox_TextChanged(object sender, EventArgs e)
{
    switch (_scrollIndicatorModeComboBox.Text)
    {
        case "None":
            this._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.None;
            break;

        case "ScrollBar":
            this._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollBar;
            break;

        case "ScrollIndicator":
            this._gcZoom1.ScrollIndicatorMode = ScrollIndicatorMode.ScrollIndicator;
            break;

        default:
            break;
    }
}


GcZoomPanel.ScrollLocation プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.ScrollLocation プロパティ

パネルのスクロール位置を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ScrollLocation As Point

public Point ScrollLocation { get; set; }

プロパティ値

System.Drawing.Point型

パネルのスクロール位置（ピクセル単位）を表す Point 値。

解説

ScrollLocation プロパティは、パネルの現在画面に表示されている部分の位置を表します。このプロパティを使用して、コントロールの表示されている部分を変更できます。

注意に関するメモ 注意

コントロールがスクロールされて開始位置 (0,0) から離れている場合、取得される X および Y 座標の値は負になります。このプロパティを設定するときは常に、開始位置からのスクロール位置を示す正の X および Y の値を指定する必要があります。たとえば、水平スクロールバーがある場合に x および y を 200 に設定すると、200 ピクセル右にスクロールします。続いて x および y を 100 に設定すると、100 ピクセル左にジャンプしたように見えます。これはスクロール位置を開始位置から 100 ピクセル離れた位置に設定したためです。最初のケースでは、ScrollLocation は {-200, 0} を返し、2 番目のケースでは {-100,0} を返します。

スクロール可能な最大値よりも大きい値を設定した場合、ScrollLocation は自動的に最大値に調整されます。同様に、スクロール可能な最小値よりも小さい値を設定した場合、ScrollLocation は自動的に最小値に調整されます。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ScrollIndicatorMode プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _scrollButton_Click(sender As Object, e As EventArgs)
    _gcZoom1.ScrollLocation = New Point(0, 0)
End Sub

void _scrollButton_Click(object sender, EventArgs e)
{
    _gcZoom1.ScrollLocation = new Point(0, 0);
}


GcZoomPanel.Site プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.Site プロパティ

Component の ISite を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Overrides WriteOnly Property Site As ISite _
    Implements IComponent.Site

public override ISite Site { set; }

プロパティ値

System.ComponentModel.ISite型

Component に関連付けられた ISite。Component が IContainer にカプセル化されていない場合、Component に ISite が関連付けられていない場合、または Component がその IContainer から除去された場合は null。

実装

IComponent.Site
例外
例外の種類 | 条件
System.Exception | 1 つのフォームに複数の GcZoom コンポーネントをアタッチすることはできません。


GcZoomPanel.ZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.ZoomFactor プロパティ

パネルのズーム率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomFactor As Single

public float ZoomFactor { get; set; }

プロパティ値

System.Single型

パネルのズーム率を表す Single 値。デフォルトは 1f です。

例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | 指定された値が 1 未満か、MaxZoomFactor を超えています。
解説

ZoomFactor の範囲は 1 ～ MaxZoomFactor です。

AllowPinchZoom プロパティが true の場合、ユーザーはジェスチャによって ZoomFactor を変更できます。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub zoomFactorTextBox_TextChanged(sender As Object, e As EventArgs)
    Dim value As String = _zoomFactorTextBox.Text.Trim()

    Try
        Dim zoomFactor As Single = CSng(Convert.ToDouble(value))
        _gcZoom1.ZoomFactor = zoomFactor
    Catch
        Console.WriteLine(e.ToString())
        _gcZoom1.ZoomFactor = 1.0F
    End Try
End Sub

Private Sub gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
    _zoomFactor2TextBox.Text = _gcZoom1.ZoomFactor.ToString()
End Sub

void zoomFactorTextBox_TextChanged(object sender, EventArgs e)
{
    string value = _zoomFactorTextBox.Text.Trim();

    try
    {
        float zoomFactor = (float)Convert.ToDouble(value);
        _gcZoom1.ZoomFactor = zoomFactor;
    }
    catch
    {
        Console.WriteLine(e.ToString());
        _gcZoom1.ZoomFactor = 1f;
    }
}

void gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
{
    _zoomFactor2TextBox.Text = _gcZoom1.ZoomFactor.ToString();
}


GcZoomPanel.ZoomPolicies プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.ZoomPolicies プロパティ

カスタムズームポリシーを取得します。GcZoom はこのリストでズームポリシーを検索します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomPolicies As List(Of ZoomPolicy)

public List<ZoomPolicy> ZoomPolicies { get; }

プロパティ値

System.Collections.Generic.List<ZoomPolicy>型

カスタム ZoomPolicy のリスト。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、DataGridViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' DataGridView control should to change default font
    _dataGridView.ColumnHeadersDefaultCellStyle.Font = New Font(Me.Font.FontFamily, Me.Font.Size)
    _dataGridView.RowsDefaultCellStyle.Font = New Font(Me.Font.FontFamily, Me.Font.Size)

    _gcZoom1.Target = Me

    ' Set DataGridView's ZoomPolicy object
    _gcZoom1.ZoomPolicies.Add(_zoomPolicy)

    GetTargetType()
    GetDefaultZoomPolicy()

    AddHandler _enableCheckBox.CheckedChanged, AddressOf _enableCheckBox_CheckedChanged
    AddHandler _fontCheckBox.CheckedChanged, AddressOf _fontCheckBox_CheckedChanged
    AddHandler _columnWidthCheckBox.CheckedChanged, AddressOf _columnWidthCheckBox_CheckedChanged
    AddHandler _rowHeightCheckBox.CheckedChanged, AddressOf _rowHeightCheckBox_CheckedChanged
End Sub

public DataGridViewZoomPolicyDemo()
{
    InitializeComponent();

    // DataGridView control should to change default font
    _dataGridView.ColumnHeadersDefaultCellStyle.Font = new Font(this.Font.FontFamily, this.Font.Size);
    _dataGridView.RowsDefaultCellStyle.Font = new Font(this.Font.FontFamily, this.Font.Size);

    _gcZoom1.Target = this;

    // Set DataGridView's ZoomPolicy object
    _gcZoom1.ZoomPolicies.Add(_zoomPolicy);

    GetTargetType();
    GetDefaultZoomPolicy();

    _enableCheckBox.CheckedChanged += _enableCheckBox_CheckedChanged;
    _fontCheckBox.CheckedChanged += _fontCheckBox_CheckedChanged;
    _columnWidthCheckBox.CheckedChanged += _columnWidthCheckBox_CheckedChanged;
    _rowHeightCheckBox.CheckedChanged += _rowHeightCheckBox_CheckedChanged;
}


GcZoomPanel.ZoomPreviewMode プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.ZoomPreviewMode プロパティ

ジェスチャズーム中にパネルをプレビューする方法を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomPreviewMode As ZoomPreviewMode

public ZoomPreviewMode ZoomPreviewMode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ZoomPreviewMode型

ZoomPreviewMode 値の 1 つ。デフォルトは ZoomPreviewMode.Bitmap です。

ZoomPreviewModeの値 | 説明
0 - Bitmap | ズーム中にビットマッププレビューを使用します。
1 - NoPreview | ズーム中にプレビューを表示しません。
2 - AlternativeContent | ズーム中に代替コンテンツプレビューを使用します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、GcZoom クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub previewModeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs)
    Select Case _previewModeComboBox.Text
        Case "Bitmap"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap
            Exit Select

        Case "AlternativeContent"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%"

            Exit Select

        Case "NoPreview"
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview
            Exit Select
        Case Else

            Exit Select
    End Select
End Sub

void previewModeComboBox_SelectedIndexChanged(object sender, EventArgs e)
{
    switch (_previewModeComboBox.Text)
    {
        case "Bitmap":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;
            break;

        case "AlternativeContent":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.AlternativeContent;

            _gcZoom1.AlternativeContentSettings.ForeColor = SystemColors.ControlDarkDark;
            _gcZoom1.AlternativeContentSettings.Format = "Zooming {Percentage}%";

            break;

        case "NoPreview":
            _gcZoom1.ZoomPreviewMode = ZoomPreviewMode.NoPreview;
            break;

        default:
            break;
    }
}


GcZoomPanel.ZoomSnapDistance プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.ZoomSnapDistance プロパティ

現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomSnapDistance As Single

public float ZoomSnapDistance { get; set; }

プロパティ値

System.Single型

現在のズーム率を ZoomSnapPoints に含まれるいずれかのズーム率にスナップさせる最小の間隔を表す Single 値。

解説

このプロパティは、ZoomPreviewMode プロパティの値が ZoomPreviewMode.Bitmap または ZoomPreviewMode.AlternativeContent のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomSnapPointDemo
        Inherits Form
        Private _zoomSnapTextBox As TextBox
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            ' property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            Me._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap

            _gcZoom1.ZoomSnapPoints.Add(1.0F)
            _gcZoom1.ZoomSnapPoints.Add(1.25F)
            _gcZoom1.ZoomSnapPoints.Add(1.5F)
            _gcZoom1.ZoomSnapPoints.Add(1.75F)
            _gcZoom1.ZoomSnapPoints.Add(2.0F)

            _gcZoom1.ZoomSnapDistance = 0.25F

            AddHandler _gcZoom1.ZoomFactorChanged, AddressOf _gcZoom1_ZoomFactorChanged
        End Sub

        Private Sub _gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString()
        End Sub

        Private Sub InitializeComponent()
            _zoomSnapTextBox = New TextBox()
            _zoomSnapTextBox.Location = New Point(100, 100)
            Me.Controls.Add(_zoomSnapTextBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomSnapPointDemo : Form
    {
        private TextBox _zoomSnapTextBox;
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomSnapPointDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            // property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            this._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;

            _gcZoom1.ZoomSnapPoints.Add(1f);
            _gcZoom1.ZoomSnapPoints.Add(1.25f);
            _gcZoom1.ZoomSnapPoints.Add(1.5f);
            _gcZoom1.ZoomSnapPoints.Add(1.75f);
            _gcZoom1.ZoomSnapPoints.Add(2f);

            _gcZoom1.ZoomSnapDistance = 0.25f;

            _gcZoom1.ZoomFactorChanged += _gcZoom1_ZoomFactorChanged;
        }

        void _gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
        {
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString();
        }

        private void InitializeComponent()
        {
            _zoomSnapTextBox = new TextBox();
            _zoomSnapTextBox.Location = new Point(100, 100);
            this.Controls.Add(_zoomSnapTextBox);
        }
    }
}


GcZoomPanel.ZoomSnapPoints プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.ZoomSnapPoints プロパティ

ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomSnapPoints As List(Of Single)

public List<Single> ZoomSnapPoints { get; }

プロパティ値

System.Collections.Generic.List<Single>型

ズームが終了するときにそのいずれかの値にズーム率がスナップされるズーム率のグループを表す Single 値のリスト。

解説

このプロパティは、ZoomPreviewMode プロパティの値が ZoomPreviewMode.Bitmap または ZoomPreviewMode.AlternativeContent のときにのみ有効です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcZoomSnapPointDemo
        Inherits Form
        Private _zoomSnapTextBox As TextBox
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            ' property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            Me._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap

            _gcZoom1.ZoomSnapPoints.Add(1.0F)
            _gcZoom1.ZoomSnapPoints.Add(1.25F)
            _gcZoom1.ZoomSnapPoints.Add(1.5F)
            _gcZoom1.ZoomSnapPoints.Add(1.75F)
            _gcZoom1.ZoomSnapPoints.Add(2.0F)

            _gcZoom1.ZoomSnapDistance = 0.25F

            AddHandler _gcZoom1.ZoomFactorChanged, AddressOf _gcZoom1_ZoomFactorChanged
        End Sub

        Private Sub _gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString()
        End Sub

        Private Sub InitializeComponent()
            _zoomSnapTextBox = New TextBox()
            _zoomSnapTextBox.Location = New Point(100, 100)
            Me.Controls.Add(_zoomSnapTextBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcZoomSnapPointDemo : Form
    {
        private TextBox _zoomSnapTextBox;
        private GcZoom _gcZoom1 = new GcZoom();

        public GcZoomSnapPointDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // ZoomSnapPoints and ZoomSnapDistance property only take effect when  ZoomPreviewMode
            // property value is ZoomPreviewMode.Bitmap or ZoomPreviewMode.AlternativeContent
            this._gcZoom1.ZoomPreviewMode = ZoomPreviewMode.Bitmap;

            _gcZoom1.ZoomSnapPoints.Add(1f);
            _gcZoom1.ZoomSnapPoints.Add(1.25f);
            _gcZoom1.ZoomSnapPoints.Add(1.5f);
            _gcZoom1.ZoomSnapPoints.Add(1.75f);
            _gcZoom1.ZoomSnapPoints.Add(2f);

            _gcZoom1.ZoomSnapDistance = 0.25f;

            _gcZoom1.ZoomFactorChanged += _gcZoom1_ZoomFactorChanged;
        }

        void _gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
        {
            _zoomSnapTextBox.Text = _gcZoom1.ZoomFactor.ToString();
        }

        private void InitializeComponent()
        {
            _zoomSnapTextBox = new TextBox();
            _zoomSnapTextBox.Location = new Point(100, 100);
            this.Controls.Add(_zoomSnapTextBox);
        }
    }
}


GcZoomPanel.ZoomTargets プロパティ (GrapeCity.Win.MultiTouch)

GcZoomPanel.ZoomTargets プロパティ

ズームジェスチャメッセージを受け取ることができるコントロールのコレクションを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ZoomTargets As List(Of Control)

public List<Control> ZoomTargets { get; }

プロパティ値

System.Collections.Generic.List<Control>型

ズームジェスチャメッセージを受け取ることができるコントロールのコレクション。

解説

ユーザーがこのコレクションのコントロールでズームジェスチャを実行している間、GcZoom は何もしません。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _zoomTargetsButton_Click(sender As Object, e As EventArgs)
    For Each item As Control In _gcZoom1.ZoomTargets
        Console.WriteLine(item.ToString())
    Next
End Sub

void _zoomTargetsButton_Click(object sender, EventArgs e)
{
    foreach (Control item in _gcZoom1.ZoomTargets)
    {
        Console.WriteLine(item.ToString());
    }
}


GcZoomPanel メソッド

GcZoomPanel メソッド

GcZoomPanel クラスのメソッドは以下のとおりです。GcZoomPanel クラスの完全なメンバ一覧については、 GcZoomPanelメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | AboutBox | 製品情報ウィンドウを表示します。
プロテクト メソッド | AccessibilityNotifyClients | オーバーロード。 指定した子コントロールの指定した AccessibleEvents をユーザー補助クライアント アプリケーションに通知します。 (Control から継承されます)
プロテクト メソッド | AccessibilityNotifyClients | オーバーロード。 指定した子コントロールの指定した AccessibleEvents をユーザー補助クライアント アプリケーションに通知します。 (Control から継承されます)
プロテクト メソッド | AdjustFormScrollbars | 現在のコントロールの位置、および現在選択されているコントロールを基準として、コンテナー上のスクロール バーを調節します。 (ScrollableControl から継承されます)
パブリック メソッド | BeginAddControls | このメソッドは、子コントロールコレクションを変更する前に呼び出します。
パブリック メソッド | BeginInvoke | オーバーロード。 コントロールの基になるハンドルが作成されたスレッド上で、指定したデリゲートを非同期的に実行します。 (Control から継承されます)
パブリック メソッド | BringToFront | コントロールを z オーダーの最前面へ移動します。 (Control から継承されます)
パブリック メソッド | Contains | 指定したコントロールが、コントロールの子かどうかを示す値を取得します。 (Control から継承されます)
プロテクト メソッド | CreateAccessibilityInstance | コントロールの新しいユーザー補助オブジェクトを作成します。 (Control から継承されます)
パブリック メソッド | CreateControl | ハンドルおよび子コントロールの作成を含めて、強制的に表示子コントロールを作成します。 (Control から継承されます)
プロテクト メソッド | CreateControlsInstance | コントロールのコントロール コレクションの新しいインスタンスを作成します。 (Control から継承されます)
パブリック メソッド | CreateGraphics | コントロールの Graphics を作成します。 (Control から継承されます)
プロテクト メソッド | CreateHandle | コントロールのハンドルを作成します。 (Control から継承されます)
パブリック メソッド | CreateObjRef | リモート オブジェクトとの通信に使用するプロキシの生成に必要な情報をすべて格納しているオブジェクトを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | DefWndProc | 指定したメッセージを既定のウィンドウ プロシージャに送信します。 (Control から継承されます)
プロテクト メソッド | DestroyHandle | コントロールに関連付けられたハンドルを破棄します。 (Control から継承されます)
プロテクト メソッド | Dispose | オーバーライド。 オーバーロード。 Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。
パブリック メソッド | Dispose | オーバーロード。 Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
パブリック メソッド | DoDragDrop | ドラッグ アンド ドロップ操作を開始します。 (Control から継承されます)
パブリック メソッド | DrawToBitmap | 指定したビットマップへのレンダリングをサポートします。 (Control から継承されます)
パブリック メソッド | EndAddControls | このメソッドは、子コントロールコレクションを変更した後に呼び出します。
パブリック メソッド | EndInvoke | 渡された IAsyncResult によって表される、非同期操作の戻り値を取得します。 (Control から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オーバーライド。 Component がガベージ コレクションによってクリアされる前に、アンマネージ リソースを解放し、その他のクリーンアップ操作を実行します。 (Component から継承されます)
パブリック メソッド | FindForm | コントロールがあるフォームを取得します。 (Control から継承されます)
パブリック メソッド | Focus | コントロールに入力フォーカスを設定します。 (Control から継承されます)
プロテクト メソッド | GetAccessibilityObjectById | 指定した AccessibleObject を取得します。 (Control から継承されます)
プロテクト メソッド | GetAutoSizeMode | AutoSize プロパティが有効なときのコントロールの動作を示す値を取得します。 (Control から継承されます)
パブリック メソッド | GetChildAtPoint | オーバーロード。 特定の種類の子コントロールを無視するかどうかを指定して、指定した座標にある子コントロールを取得します。 (Control から継承されます)
パブリック メソッド | GetContainerControl | コントロールの親チェインの 1 つ上の ContainerControl を返します。 (Control から継承されます)
パブリック メソッド | GetDisplayRectangle | コントロールの表示矩形を取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、現在の有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
パブリック メソッド | GetNextControl | 子コントロールのタブ オーダー内の 1 つ前または 1 つ後ろのコントロールを取得します。 (Control から継承されます)
パブリック メソッド | GetPreferredSize | コントロールが収まる四角形の領域のサイズを取得します。 (Control から継承されます)
プロテクト メソッド | GetScaledBounds | コントロールのスケールが設定される境界を取得します。 (Control から継承されます)
プロテクト メソッド | GetScrollState | 指定したフラグが設定されているかどうかを判断します。 (ScrollableControl から継承されます)
プロテクト メソッド | GetService | Component またはその Container で提供されるサービスを表すオブジェクトを返します。 (Component から継承されます)
プロテクト メソッド | GetStyle | コントロールの指定したコントロール スタイル ビットの値を取得します。 (Control から継承されます)
プロテクト メソッド | GetTopLevel | コントロールがトップレベル コントロールかどうかを判断します。 (Control から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Hide | コントロールをユーザーに対して非表示にします。 (Control から継承されます)
パブリック メソッド | InitializeLifetimeService | 対象のインスタンスの有効期間ポリシーを制御する、有効期間サービス オブジェクトを取得します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | InitLayout | コントロールが別のコンテナーに追加された後、呼び出されます。 (Control から継承されます)
パブリック メソッド | Invalidate | オーバーロード。 コントロールの指定した領域を無効にし (そのコントロールの次の描画操作で再描画される領域を示す更新領域に追加し)、描画メッセージがそのコントロールに送信されるようにします。 (Control から継承されます)
パブリック メソッド | Invoke | オーバーロード。 コントロールの基になるウィンドウ ハンドルを所有するスレッド上で、指定したデリゲートを実行します。 (Control から継承されます)
プロテクト メソッド | InvokeGotFocus | 指定したコントロールの GotFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokeLostFocus | 指定したコントロールの LostFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokeOnClick | 指定したコントロールの Click イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokePaint | 指定したコントロールの Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | InvokePaintBackground | 指定したコントロールの PaintBackground イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | IsInputChar | 文字が、コントロールによって認識される入力文字かどうかを判断します。 (Control から継承されます)
プロテクト メソッド | IsInputKey | 指定されているキーが、通常の入力キーであるか、またはプリプロセスを必要とする特殊なキーであるかを確認します。 (Control から継承されます)
プロテクト メソッド | MemberwiseClone | オーバーロード。 現在の MarshalByRefObject オブジェクトの簡易コピーを作成します。 (MarshalByRefObject から継承されます)
プロテクト メソッド | NotifyInvalidate | 無効化するコントロールの領域を指定して、Invalidated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnAnimationCompleted | AnimationCompleted イベントを発生させます。
プロテクト メソッド | OnAnimationStarting | AnimationStarting イベントを発生させます。
プロテクト メソッド | OnAutoSizeChanged | AutoSizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackColorChanged | BackColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackgroundImageChanged | BackgroundImageChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBackgroundImageLayoutChanged | BackgroundImageLayoutChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnBindingContextChanged | BindingContextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCausesValidationChanged | CausesValidationChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnChangeUICues | ChangeUICues イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnClick | Click イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnClientSizeChanged | ClientSizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnContextMenuChanged | ContextMenuChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnContextMenuStripChanged | ContextMenuStripChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnControlAdded | ControlAdded イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnControlAutoShowing | ControlAutoShowing イベントを発生させます。
プロテクト メソッド | OnControlBoundsZooming | ControlBoundsZooming イベントを発生させます。
プロテクト メソッド | OnControlFontZooming | ControlFontZooming イベントを発生させます。
プロテクト メソッド | OnControlRemoved | ControlRemoved イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnCreateControl | オーバーライド。 CreateControl イベントを発生させます。
プロテクト メソッド | OnCursorChanged | CursorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDockChanged | DockChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDoubleClick | DoubleClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragDrop | DragDrop イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragEnter | DragEnter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragLeave | DragLeave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnDragOver | DragOver イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnEnabledChanged | EnabledChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnEnter | Enter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnFontChanged | FontChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnForeColorChanged | ForeColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnGiveFeedback | GiveFeedback イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnGotFocus | GotFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnHandleCreated | HandleCreated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnHandleDestroyed | HandleDestroyed イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnHelpRequested | HelpRequested イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnImeModeChanged | ImeModeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnInvalidated | Invalidated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyDown | KeyDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyPress | KeyPress イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnKeyUp | KeyUp イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLayout | オーバーライド。 (ScrollableControl から継承されます)
プロテクト メソッド | OnLeave | Leave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLocationChanged | LocationChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnLostFocus | LostFocus イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnManipulationStarting | ManipulationStarting イベントを発生させます。
プロテクト メソッド | OnMarginChanged | MarginChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseCaptureChanged | MouseCaptureChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseClick | MouseClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseDoubleClick | MouseDoubleClick イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseDown | MouseDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseEnter | MouseEnter イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseHover | MouseHover イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseLeave | MouseLeave イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseMove | MouseMove イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseUp | MouseUp イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnMouseWheel | オーバーライド。 MouseWheel イベントを発生させます。 (ScrollableControl から継承されます)
プロテクト メソッド | OnMove | Move イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnNotifyMessage | コントロールに Windows メッセージを通知します。 (Control から継承されます)
プロテクト メソッド | OnPaddingChanged | オーバーライド。 PaddingChanged イベントを発生させます。 (ScrollableControl から継承されます)
プロテクト メソッド | OnPaint | Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPaintBackground | オーバーライド。 コントロールの背景を描画します。 (ScrollableControl から継承されます)
プロテクト メソッド | OnParentBackColorChanged | コントロールのコンテナーの BackColor プロパティ値が変更された場合に、BackColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentBackgroundImageChanged | コントロールのコンテナーの BackgroundImage プロパティ値が変更された場合に、BackgroundImageChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentBindingContextChanged | コントロールのコンテナーの BindingContext プロパティ値が変更された場合に、BindingContextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentChanged | オーバーライド。 ParentChanged イベントを発生させます。
プロテクト メソッド | OnParentCursorChanged | CursorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentEnabledChanged | コントロールのコンテナーの Enabled プロパティ値が変更された場合に、EnabledChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentFontChanged | コントロールのコンテナーの Font プロパティ値が変更された場合に、FontChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentForeColorChanged | コントロールのコンテナーの ForeColor プロパティ値が変更された場合に、ForeColorChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentRightToLeftChanged | コントロールのコンテナーの RightToLeft プロパティ値が変更された場合に、RightToLeftChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnParentVisibleChanged | コントロールのコンテナーの Visible プロパティ値が変更された場合に、VisibleChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPreviewKeyDown | PreviewKeyDown イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnPrint | Paint イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnQueryContinueDrag | QueryContinueDrag イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnRegionChanged | RegionChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnResize | オーバーライド。 パネルのサイズが変更されたことを示すイベントを発生させます。 継承コントロールでは、イベントの待機を実際に行うためにこれを使用する必要がありますが、外部のリスナーに対してもイベントが発生するように、base.onResize を呼び出す必要があります。 (Panel から継承されます)
プロテクト メソッド | OnRightToLeftChanged | オーバーライド。 (ScrollableControl から継承されます)
プロテクト メソッド | OnScroll | Scroll イベントを発生させます。 (ScrollableControl から継承されます)
プロテクト メソッド | OnSizeChanged | SizeChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnStyleChanged | StyleChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnSystemColorsChanged | SystemColorsChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTabIndexChanged | TabIndexChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTabStopChanged | TabStopChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnTextChanged | TextChanged イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnValidated | Validated イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnValidating | Validating イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | OnVisibleChanged | オーバーライド。
プロテクト メソッド | OnZoomFactorChanged | ZoomFactorChanged イベントを発生させます。
パブリック メソッド | PerformLayout | オーバーロード。 コントロールがレイアウト ロジックをすべての子コントロールに適用するように強制します。 (Control から継承されます)
パブリック メソッド | PointToClient | 指定した画面上のポイントを計算してクライアント座標を算出します。 (Control から継承されます)
パブリック メソッド | PointToScreen | 指定したクライアント ポイントを計算して画面座標を算出します。 (Control から継承されます)
パブリック メソッド | PreProcessControlMessage | キーボード メッセージまたは入力メッセージがディスパッチされる前に、メッセージ ループ内の入力メッセージを前処理します。 (Control から継承されます)
パブリック メソッド | PreProcessMessage | キーボード メッセージまたは入力メッセージがディスパッチされる前に、メッセージ ループ内の入力メッセージを前処理します。 (Control から継承されます)
プロテクト メソッド | ProcessCmdKey | コマンド キーを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessDialogChar | ダイアログ文字を処理します。 (Control から継承されます)
プロテクト メソッド | ProcessDialogKey | ダイアログ キーを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyEventArgs | キー メッセージを処理し、適切なコントロール イベントを生成します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyMessage | キーボード メッセージを処理します。 (Control から継承されます)
プロテクト メソッド | ProcessKeyPreview | キーボード メッセージをプレビューします。 (Control から継承されます)
プロテクト メソッド | ProcessMnemonic | ニーモニック文字を処理します。 (Control から継承されます)
プロテクト メソッド | RaiseDragEvent | 適切なドラッグ イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaiseKeyEvent | 適切なキー イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaiseMouseEvent | 適切なマウス イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RaisePaintEvent | 適切な描画イベントを発生させます。 (Control から継承されます)
プロテクト メソッド | RecreateHandle | 強制的にコントロールのハンドルを再作成します。 (Control から継承されます)
パブリック メソッド | RectangleToClient | 指定した画面上の四角形のサイズと位置をクライアント座標で算出します。 (Control から継承されます)
パブリック メソッド | RectangleToScreen | 指定したクライアント領域の四角形のサイズと位置を画面座標で算出します。 (Control から継承されます)
パブリック メソッド | Refresh | 強制的に、コントロールがクライアント領域を無効化し、直後にそのコントロール自体とその子コントロールを再描画するようにします。 (Control から継承されます)
プロテクト メソッド | ResetMouseEventArgs | MouseLeave イベントを処理するためのコントロールをリセットします。 (Control から継承されます)
パブリック メソッド | ResetText | Text プロパティを既定値にリセットします。 (Control から継承されます)
パブリック メソッド | ResumeLayout | オーバーロード。 通常のレイアウト ロジックを再開します。 (Control から継承されます)
プロテクト メソッド | RtlTranslateAlignment | オーバーロード。 指定した HorizontalAlignment を適切な HorizontalAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateContent | 指定した ContentAlignment を適切な ContentAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateHorizontal | 指定した HorizontalAlignment を適切な HorizontalAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
プロテクト メソッド | RtlTranslateLeftRight | 指定した LeftRightAlignment を適切な LeftRightAlignment に変換し、テキストを右から左に表示できるようにします。 (Control から継承されます)
パブリック メソッド | Scale | 指定されたスケール ファクターによってコントロールおよびすべての子コントロールのスケールを設定します。 (Control から継承されます)
プロテクト メソッド | ScaleControl | オーバーライド。 (ScrollableControl から継承されます)
パブリック メソッド | ScrollControlIntoView | 自動スクロール機能が有効になっているコントロール上で、指定した子コントロールが表示されるまでスクロールします。 (ScrollableControl から継承されます)
プロテクト メソッド | ScrollToControl | 指定した子コントロールへのスクロールのオフセットを計算します。 (ScrollableControl から継承されます)
パブリック メソッド | Select | オーバーロード。 コントロールをアクティブにします。 (Control から継承されます)
プロテクト メソッド | Select | オーバーロード。 子コントロールをアクティブにします。 オプションとして、タブ オーダーでコントロールを選択するときの方向を指定します。 (Control から継承されます)
パブリック メソッド | SelectNextControl | 次のコントロールをアクティブにします。 (Control から継承されます)
パブリック メソッド | SendToBack | コントロールを z オーダーの背面に移動します。 (Control から継承されます)
パブリック メソッド | SetAutoScrollMargin | 自動スクロールのマージンのサイズを設定します。 (ScrollableControl から継承されます)
プロテクト メソッド | SetAutoSizeMode | AutoSize プロパティが有効なときのコントロールの動作を示す値を設定します。 (Control から継承されます)
パブリック メソッド | SetBounds | オーバーロード。 コントロールの範囲を指定した位置とサイズに設定します。 (Control から継承されます)
プロテクト メソッド | SetBoundsCore | このコントロールの指定した境界を設定する作業を実行します。 (Control から継承されます)
プロテクト メソッド | SetClientSizeCore | コントロールのクライアント領域のサイズを設定します。 (Control から継承されます)
プロテクト メソッド | SetDisplayRectLocation | 表示ウィンドウを指定した値に配置します。 (ScrollableControl から継承されます)
パブリック メソッド | SetScrollLocation | ScrollLocation を設定します。ScrollLocation を変更するときにアニメーションを使用するかどうかを指定できます。
プロテクト メソッド | SetScrollState | 指定したスクロール状態フラグを設定します。 (ScrollableControl から継承されます)
プロテクト メソッド | SetStyle | 指定した ControlStyles フラグを true または false に設定します。 (Control から継承されます)
プロテクト メソッド | SetTopLevel | コントロールをトップレベル コントロールとして設定します。 (Control から継承されます)
プロテクト メソッド | SetVisibleCore | コントロールを指定した表示状態に設定します。 (Control から継承されます)
パブリック メソッド | SetZoomFactor | ZoomFactor を設定します。ZoomFactor を変更するときにアニメーションを使用するかどうかを指定できます。
パブリック メソッド | Show | コントロールをユーザーに対して表示します。 (Control から継承されます)
プロテクト メソッド | SizeFromClientSize | クライアント領域の高さおよび幅からコントロール全体のサイズを決定します。 (Control から継承されます)
パブリック メソッド | SuspendLayout | コントロールのレイアウト ロジックを一時的に中断します。 (Control から継承されます)
パブリック メソッド | ToString | オーバーライド。 このコントロールの文字列形式を返します。 (Panel から継承されます)
パブリック メソッド | Update | コントロールによって、クライアント領域内の無効化された領域が再描画されます。 (Control から継承されます)
プロテクト メソッド | UpdateBounds | オーバーロード。 コントロールの範囲を現在のサイズと位置で更新します。 (Control から継承されます)
プロテクト メソッド | UpdateBounds | オーバーロード。 コントロールの範囲を指定したサイズと位置で更新します。 (Control から継承されます)
プロテクト メソッド | UpdateStyles | 割り当て済みのスタイルを強制的にコントロールに再適用します。 (Control から継承されます)
プロテクト メソッド | UpdateZOrder | コントロールを親の z オーダーで更新します。 (Control から継承されます)
プロテクト メソッド | WndProc | オーバーライド。 (ScrollableControl から継承されます)


GcZoomPanel.AboutBox メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.AboutBox メソッド

製品情報ウィンドウを表示します。

構文
VB
C#
クリップボードにコピー
Public Sub AboutBox()

public void AboutBox();

戻り値

なし
解説

このメソッドが呼び出された後、製品情報を含むウィンドウが表示されます。


GcZoomPanel.BeginAddControls メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.BeginAddControls メソッド

このメソッドは、子コントロールコレクションを変更する前に呼び出します。

構文
VB
C#
クリップボードにコピー
Public Sub BeginAddControls()

public void BeginAddControls();

戻り値

なし
使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _changeChildControlButton_Click(sender As Object, e As EventArgs)
    Dim newButton As New Button()
    newButton.Text = "New Button"
    newButton.Location = New Point(100, 100)
    newButton.Size = New Size(Me.Size.Width \ 2, Me.Size.Height \ 2)

    _gcZoom1.BeginAddControls()
    _gcZoom1.Controls.Add(newButton)
    _gcZoom1.EndAddControls()
End Sub

void _changeChildControlButton_Click(object sender, EventArgs e)
{
    Button newButton = new Button();
    newButton.Text = "New Button";
    newButton.Location = new Point(100, 100);
    newButton.Size = new Size(this.Size.Width / 2, this.Size.Height / 2);

    _gcZoom1.BeginAddControls();
    _gcZoom1.Controls.Add(newButton);
    _gcZoom1.EndAddControls();
}


GcZoomPanel.Dispose メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.Dispose メソッド

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | Dispose() | Component によって使用されているすべてのリソースを解放します。 (Component から継承されます)
プロテクト メソッド | Dispose(Boolean) | Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。


GcZoomPanel.Dispose メソッド (Boolean) (GrapeCity.Win.MultiTouch)

GcZoomPanel.Dispose メソッド (Boolean)

Component によって使用されているアンマネージリソースを解放し、オプションでマネージリソースも解放します。

構文
VB
C#
クリップボードにコピー
Protected Overrides Sub Dispose( _
   ByVal disposing As Boolean _
)

protected override void Dispose(
   bool disposing
);

パラメータ

disposing
マネージリソースとアンマネージリソースを両方とも解放する場合は true。アンマネージリソースのみを解放する場合は false。

戻り値

なし


GcZoomPanel.EndAddControls メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.EndAddControls メソッド

このメソッドは、子コントロールコレクションを変更した後に呼び出します。

構文
VB
C#
クリップボードにコピー
Public Sub EndAddControls()

public void EndAddControls();

戻り値

なし
使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _changeChildControlButton_Click(sender As Object, e As EventArgs)
    Dim newButton As New Button()
    newButton.Text = "New Button"
    newButton.Location = New Point(100, 100)
    newButton.Size = New Size(Me.Size.Width \ 2, Me.Size.Height \ 2)

    _gcZoom1.BeginAddControls()
    _gcZoom1.Controls.Add(newButton)
    _gcZoom1.EndAddControls()
End Sub

void _changeChildControlButton_Click(object sender, EventArgs e)
{
    Button newButton = new Button();
    newButton.Text = "New Button";
    newButton.Location = new Point(100, 100);
    newButton.Size = new Size(this.Size.Width / 2, this.Size.Height / 2);

    _gcZoom1.BeginAddControls();
    _gcZoom1.Controls.Add(newButton);
    _gcZoom1.EndAddControls();
}


GcZoomPanel.GetDisplayRectangle メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.GetDisplayRectangle メソッド

コントロールの表示矩形を取得します。

構文
VB
C#
クリップボードにコピー
Public Function GetDisplayRectangle( _
   ByVal control As Control _
) As Rectangle

public Rectangle GetDisplayRectangle(
   Control control
);

パラメータ

control
ターゲットコントロール。

戻り値

System.Drawing.Rectangle 型

コントロールの表示矩形を表す Rectangle 値。

使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、Controls プロパティに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _getDisplayRectangleButton_Click(sender As Object, e As EventArgs)
    Console.WriteLine(_gcZoom1.GetDisplayRectangle(_getDisplayRectangleButton).ToString())
End Sub

void _getDisplayRectangleButton_Click(object sender, EventArgs e)
{
    Console.WriteLine(_gcZoom1.GetDisplayRectangle(_getDisplayRectangleButton).ToString());
}


GcZoomPanel.OnAnimationCompleted メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnAnimationCompleted メソッド

AnimationCompleted イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnAnimationCompleted( _
   ByVal e As EventArgs _
)

protected virtual void OnAnimationCompleted(
   EventArgs e
);

パラメータ

e
イベントデータを含む EventArgs インスタンス。

戻り値

なし


GcZoomPanel.OnAnimationStarting メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnAnimationStarting メソッド

AnimationStarting イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnAnimationStarting( _
   ByVal e As AnimationStartingEventArgs _
)

protected virtual void OnAnimationStarting(
   AnimationStartingEventArgs e
);

パラメータ

e
イベントデータを含む AnimationStartingEventArgs インスタンス。

戻り値

なし


GcZoomPanel.OnControlAutoShowing メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnControlAutoShowing メソッド

ControlAutoShowing イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnControlAutoShowing( _
   ByVal e As ControlAutoShowingEventArgs _
)

protected virtual void OnControlAutoShowing(
   ControlAutoShowingEventArgs e
);

パラメータ

e
イベントデータを含む ControlAutoShowingEventArgs インスタンス。

戻り値

なし


GcZoomPanel.OnControlBoundsZooming メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnControlBoundsZooming メソッド

ControlBoundsZooming イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnControlBoundsZooming( _
   ByVal e As ControlBoundsZoomingEventArgs _
)

protected virtual void OnControlBoundsZooming(
   ControlBoundsZoomingEventArgs e
);

パラメータ

e
イベントデータを含む ControlBoundsZoomingEventArgs インスタンス。

戻り値

なし


GcZoomPanel.OnControlFontZooming メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnControlFontZooming メソッド

ControlFontZooming イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnControlFontZooming( _
   ByVal e As ControlFontZoomingEventArgs _
)

protected virtual void OnControlFontZooming(
   ControlFontZoomingEventArgs e
);

パラメータ

e
イベントデータを含む ControlFontZoomingEventArgs インスタンス。

戻り値

なし


GcZoomPanel.OnCreateControl メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnCreateControl メソッド

CreateControl イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overrides Sub OnCreateControl()

protected override void OnCreateControl();

戻り値

なし


GcZoomPanel.OnManipulationStarting メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnManipulationStarting メソッド

ManipulationStarting イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Friend Overridable Sub OnManipulationStarting( _
   ByVal e As ZoomManipulationStartingEventArgs _
)

protected internal virtual void OnManipulationStarting(
   ZoomManipulationStartingEventArgs e
);

パラメータ

e
イベントデータを含む ZoomManipulationStartingEventArgs インスタンス。

戻り値

なし


GcZoomPanel.OnParentChanged メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnParentChanged メソッド

ParentChanged イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overrides Sub OnParentChanged( _
   ByVal e As EventArgs _
)

protected override void OnParentChanged(
   EventArgs e
);

パラメータ

e
イベントデータを含む EventArgs インスタンス。

戻り値

なし
例外
例外の種類 | 条件
System.Exception | GcZoomPanel を別の GcZoomPanel の子にすることはできません。


GcZoomPanel.OnVisibleChanged メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnVisibleChanged メソッド

構文
VB
C#
クリップボードにコピー
Protected Overrides Sub OnVisibleChanged( _
   ByVal e As EventArgs _
)

protected override void OnVisibleChanged(
   EventArgs e
);

パラメータ

e
イベントデータを含む EventArgs インスタンス。

戻り値

なし


GcZoomPanel.OnZoomFactorChanged メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.OnZoomFactorChanged メソッド

ZoomFactorChanged イベントを発生させます。

構文
VB
C#
クリップボードにコピー
Protected Overridable Sub OnZoomFactorChanged( _
   ByVal e As EventArgs _
)

protected virtual void OnZoomFactorChanged(
   EventArgs e
);

パラメータ

e
イベントデータを含む EventArgs インスタンス。

戻り値

なし


GcZoomPanel.SetScrollLocation メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.SetScrollLocation メソッド

ScrollLocation を設定します。ScrollLocation を変更するときにアニメーションを使用するかどうかを指定できます。

構文
VB
C#
クリップボードにコピー
Public Sub SetScrollLocation( _
   ByVal scrollLocation As Point, _
   Optional ByVal useAnimation As Boolean = False _
)

public void SetScrollLocation(
   Point scrollLocation,
   bool useAnimation
);

パラメータ

scrollLocation
スクロール位置。
useAnimation
アニメーションを使用する場合は true。それ以外の場合は false。

戻り値

なし
使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、AnimationStartingEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _zoomOutBtn_Click(sender As Object, e As EventArgs)
    _gcZoom1.SetZoomFactor(1, True)
End Sub

void _zoomOutBtn_Click(object sender, EventArgs e)
{
    _gcZoom1.SetZoomFactor(1, true);
}


GcZoomPanel.SetZoomFactor メソッド (GrapeCity.Win.MultiTouch)

GcZoomPanel.SetZoomFactor メソッド

ZoomFactor を設定します。ZoomFactor を変更するときにアニメーションを使用するかどうかを指定できます。

構文
VB
C#
クリップボードにコピー
Public Sub SetZoomFactor( _
   ByVal zoomFactor As Single, _
   Optional ByVal useAnimation As Boolean = False _
)

public void SetZoomFactor(
   float zoomFactor,
   bool useAnimation
);

パラメータ

zoomFactor
新しいズーム率。
useAnimation
アニメーションを使用する場合は true。それ以外の場合は false。

戻り値

なし
例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | 指定された値が 1 未満か、MaxZoomFactor を超えています。
使用例

以下のサンプルコードは、このメソッドの使用方法を示します。

このサンプルコードは、AnimationStartingEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _zoomOutBtn_Click(sender As Object, e As EventArgs)
    _gcZoom1.SetZoomFactor(1, True)
End Sub

void _zoomOutBtn_Click(object sender, EventArgs e)
{
    _gcZoom1.SetZoomFactor(1, true);
}


GcZoomPanel イベント

GcZoomPanel イベント

GcZoomPanel クラスのイベントは以下のとおりです。GcZoomPanel クラスの完全なメンバ一覧については、 GcZoomPanelメンバのトピックを参照してください。

イベント
表示：継承 プロテクト
 | 名前 | 説明
パブリック イベント | AnimationCompleted | アニメーションが完了したときに発生します。
パブリック イベント | AnimationStarting | GcZoomPanel がアニメーションを開始する前に発生します。
パブリック イベント | AutoSizeChanged | AutoSize プロパティの値が変更された場合に発生します。 (Panel から継承されます)
パブリック イベント | BackColorChanged | BackColor プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | BackgroundImageChanged | BackgroundImage プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | BackgroundImageLayoutChanged | BackgroundImageLayout プロパティが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | BindingContextChanged | BindingContext プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | CausesValidationChanged | CausesValidation プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ChangeUICues | フォーカス四角形またはキーボード インターフェイス (UI) キューが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | Click | コントロールがクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | ClientSizeChanged | ClientSize プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ContextMenuChanged | ContextMenu プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ContextMenuStripChanged | ContextMenuStrip プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | ControlAdded | 新しいコントロールが ControlCollection に追加されたときに発生します。 (Control から継承されます)
パブリック イベント | ControlAutoShowing | GcZoomPanel がターゲットコントロールの表示を開始する前に発生します。
パブリック イベント | ControlBoundsZooming | GcZoomPanel がターゲットコントロールの境界のズームを開始する前に発生します。
パブリック イベント | ControlFontZooming | GcZoomPanel がターゲットコントロールのフォントのズームを開始する前に発生します。
パブリック イベント | ControlRemoved | ControlCollection からコントロールが削除されたときに発生します。 (Control から継承されます)
パブリック イベント | CursorChanged | Cursor プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | Disposed | Dispose メソッドの呼び出しによってコンポーネントが破棄されると発生します。 (Component から継承されます)
パブリック イベント | DockChanged | Dock プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | DoubleClick | コントロールがダブルクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | DragDrop | ドラッグ アンド ドロップ操作が完了したときに発生します。 (Control から継承されます)
パブリック イベント | DragEnter | オブジェクトがコントロールの境界内にドラッグされると発生します。 (Control から継承されます)
パブリック イベント | DragLeave | オブジェクトがコントロールの境界の外へドラッグされると発生します。 (Control から継承されます)
パブリック イベント | DragOver | オブジェクトがコントロールの境界を超えてドラッグされると発生します。 (Control から継承されます)
パブリック イベント | EnabledChanged | Enabled プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | Enter | コントロールが入力されると発生します。 (Control から継承されます)
パブリック イベント | FontChanged | Font プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | ForeColorChanged | ForeColor プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | GiveFeedback | ドラッグ操作中に発生します。 (Control から継承されます)
パブリック イベント | GotFocus | コントロールがフォーカスを受け取ると発生します。 (Control から継承されます)
パブリック イベント | HandleCreated | コントロールに対してハンドルが作成されると発生します。 (Control から継承されます)
パブリック イベント | HandleDestroyed | コントロールのハンドルが破棄されているときに発生します。 (Control から継承されます)
パブリック イベント | HelpRequested | ユーザーがコントロールのヘルプを要求すると発生します。 (Control から継承されます)
パブリック イベント | ImeModeChanged | ImeMode プロパティが変更された場合に発生します。 (Control から継承されます)
パブリック イベント | Invalidated | コントロールの表示で再描画が必要なときに発生します。 (Control から継承されます)
パブリック イベント | Layout | コントロールの子コントロールの位置を変更する必要があるときに発生します。 (Control から継承されます)
パブリック イベント | Leave | 入力フォーカスがコントロールを離れると発生します。 (Control から継承されます)
パブリック イベント | LocationChanged | Location プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | LostFocus | コントロールにフォーカスがなくなると発生します。 (Control から継承されます)
パブリック イベント | ManipulationStarting | マニピュレーションプロセッサが最初に作成されたときに発生します。
パブリック イベント | MarginChanged | コントロールのマージンが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | MouseCaptureChanged | コントロールがマウスのキャプチャを失うと発生します。 (Control から継承されます)
パブリック イベント | MouseClick | コントロールがマウスでクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | MouseDoubleClick | コントロールがマウスでダブルクリックされたときに発生します。 (Control から継承されます)
パブリック イベント | MouseDown | マウス ポインターがコントロール上にあり、マウス ボタンがクリックされると発生します。 (Control から継承されます)
パブリック イベント | MouseEnter | マウス ポインターによってコントロールが入力されると発生します。 (Control から継承されます)
パブリック イベント | MouseHover | マウス ポインターをコントロールの上に重ねると発生します。 (Control から継承されます)
パブリック イベント | MouseLeave | マウス ポインターがコントロールを離れると発生します。 (Control から継承されます)
パブリック イベント | MouseMove | マウス ポインターがコントロール上を移動すると発生します。 (Control から継承されます)
パブリック イベント | MouseUp | マウス ポインターがコントロール上にあり、マウス ボタンが離されると発生します。 (Control から継承されます)
パブリック イベント | MouseWheel | コントロールにフォーカスがあるときにマウス ホイールが動くと発生します。 (Control から継承されます)
パブリック イベント | Move | コントロールが移動されると発生します。 (Control から継承されます)
パブリック イベント | PaddingChanged | コントロールの埋め込みが変更されたときに発生します。 (Control から継承されます)
パブリック イベント | Paint | コントロールが再描画されると発生します。 (Control から継承されます)
パブリック イベント | ParentChanged | Parent プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | PreviewKeyDown | このコントロールにフォーカスがあるときにキーが押された場合、KeyDown イベントの前に発生します。 (Control から継承されます)
パブリック イベント | QueryAccessibilityHelp | AccessibleObject がユーザー補助アプリケーションにヘルプを提供したときに発生します。 (Control から継承されます)
パブリック イベント | QueryContinueDrag | ドラッグ アンド ドロップ操作中に発生し、ドラッグ ソースがドラッグ アンド ドロップ操作をキャンセルする必要があるかどうかを決定できるようにします。 (Control から継承されます)
パブリック イベント | RegionChanged | Region プロパティの値が変化したときに発生します。 (Control から継承されます)
パブリック イベント | Resize | コントロールのサイズが変更されると発生します。 (Control から継承されます)
パブリック イベント | RightToLeftChanged | RightToLeft プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | Scroll | ユーザーまたはコードによってクライアント領域がスクロールされたときに発生します。 (ScrollableControl から継承されます)
パブリック イベント | SizeChanged | Size プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | StyleChanged | コントロール スタイルが変更されると発生します。 (Control から継承されます)
パブリック イベント | SystemColorsChanged | システム カラーが変更されると発生します。 (Control から継承されます)
パブリック イベント | TabIndexChanged | TabIndex プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | TabStopChanged | TabStop プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | Validated | コントロールの検証が終了すると発生します。 (Control から継承されます)
パブリック イベント | Validating | コントロールが検証を行っているときに発生します。 (Control から継承されます)
パブリック イベント | VisibleChanged | Visible プロパティの値が変更された場合に発生します。 (Control から継承されます)
パブリック イベント | ZoomFactorChanged | ZoomFactor が変更されたときに発生します。


AnimationCompleted イベント

GcZoomPanel.AnimationCompleted イベント

アニメーションが完了したときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event AnimationCompleted As EventHandler

public event EventHandler AnimationCompleted;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、AnimationStartingEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_AnimationCompleted(sender As Object, e As EventArgs)
    Console.WriteLine("+++ _gcZoom1_AnimationCompleted +++")
End Sub

void _gcZoom1_AnimationCompleted(object sender, EventArgs e)
{
    Console.WriteLine("+++ _gcZoom1_AnimationCompleted +++");
}


AnimationStarting イベント

GcZoomPanel.AnimationStarting イベント

GcZoomPanel がアニメーションを開始する前に発生します。

構文
VB
C#
クリップボードにコピー
Public Event AnimationStarting As AnimationStartingEventArgs

public event AnimationStartingEventArgs AnimationStarting;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、AnimationStartingEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_AnimationStarting(sender As Object, e As AnimationStartingEventArgs)
    If _customizeDuringChB.Checked Then
        ' Make the animation slower.
        ' e.Cancel = true;  // If it is necessary, cancel the animation by this code.
        e.Duration = e.Duration * 4
    End If
    Console.WriteLine("+++ _gcZoom1_AnimationStarting +++")
    Console.WriteLine("CurrentScrollLocation:   " & e.CurrentScrollLocation.ToString())
    Console.WriteLine("CurrentZoomFactor:       " & e.CurrentZoomFactor.ToString())
    Console.WriteLine("TargetScrollLocation:    " & e.TargetScrollLocation.ToString())
    Console.WriteLine("TargetZoomFactor         " & e.TargetZoomFactor.ToString())
End Sub

void _gcZoom1_AnimationStarting(object sender, AnimationStartingEventArgs e)
{
    if (_customizeDuringChB.Checked)
    {
        e.Duration = e.Duration * 4; // Make the animation slower.

        // e.Cancel = true;  // If it is necessary, cancel the animation by this code.
    }
    Console.WriteLine("+++ _gcZoom1_AnimationStarting +++");
    Console.WriteLine("CurrentScrollLocation:   " + e.CurrentScrollLocation.ToString());
    Console.WriteLine("CurrentZoomFactor:       " + e.CurrentZoomFactor.ToString());
    Console.WriteLine("TargetScrollLocation:    " + e.TargetScrollLocation.ToString());
    Console.WriteLine("TargetZoomFactor         " + e.TargetZoomFactor.ToString());
}


ControlAutoShowing イベント

GcZoomPanel.ControlAutoShowing イベント

GcZoomPanel がターゲットコントロールの表示を開始する前に発生します。

構文
VB
C#
クリップボードにコピー
Public Event ControlAutoShowing As ControlAutoShowingEventArgs

public event ControlAutoShowingEventArgs ControlAutoShowing;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlAutoShowing(sender As Object, e As ControlAutoShowingEventArgs)
    Console.WriteLine(e.ShowingControl.ToString())
    Console.WriteLine(e.ShowingReason.ToString())

    ' Do not auto scroll if a control's most part is shown
    If _gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2 Then
        e.Cancel = True
    End If
End Sub

void _gcZoom1_ControlAutoShowing(object sender, ControlAutoShowingEventArgs e)
{
    Console.WriteLine(e.ShowingControl.ToString());
    Console.WriteLine(e.ShowingReason.ToString());

    // Do not auto scroll if a control's most part is shown
    if (_gcZoom1.GetDisplayRectangle(e.ShowingControl).Width > e.ShowingControl.Size.Width / 2)
    {
        e.Cancel = true;
    }
}


ControlBoundsZooming イベント

GcZoomPanel.ControlBoundsZooming イベント

GcZoomPanel がターゲットコントロールの境界のズームを開始する前に発生します。

構文
VB
C#
クリップボードにコピー
Public Event ControlBoundsZooming As ControlBoundsZoomingEventArgs

public event ControlBoundsZoomingEventArgs ControlBoundsZooming;
解説

現在のコントロールに対して GcZoomPanel のデフォルトロジックが実行されないようにするには、Handled を設定します。

現在のコントロールの子コントロールに対して GcZoomPanel のデフォルトロジックが実行されないようにするには、ChildrenHandled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlBoundsZooming(sender As Object, e As ControlBoundsZoomingEventArgs)
    Dim info As ZoomBoundsInfo = e.ZoomBoundsInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFactor.ToString())
    Console.WriteLine(info.TargetFactor.ToString())

    ' For complex control, user may want to change the control's inner element's size.
    ' User can use ControlBoundsZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlBoundsZooming(object sender, ControlBoundsZoomingEventArgs e)
{
    ZoomBoundsInfo info = e.ZoomBoundsInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFactor.ToString());
    Console.WriteLine(info.TargetFactor.ToString());

    // For complex control, user may want to change the control's inner element's size.
    // User can use ControlBoundsZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ControlFontZooming イベント

GcZoomPanel.ControlFontZooming イベント

GcZoomPanel がターゲットコントロールのフォントのズームを開始する前に発生します。

構文
VB
C#
クリップボードにコピー
Public Event ControlFontZooming As ControlFontZoomingEventArgs

public event ControlFontZoomingEventArgs ControlFontZooming;
解説

現在のコントロールに対して GcZoomPanel のデフォルトロジックが実行されないようにするには、Handled を設定します。

現在のコントロールの子コントロールに対して GcZoomPanel のデフォルトロジックが実行されないようにするには、ChildrenHandled を設定します。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ControlFontZooming(sender As Object, e As ControlFontZoomingEventArgs)
    Dim info As ZoomFontInfo = e.ZoomFontInfo

    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(info.CurrentFontSize.ToString())

    ' For complex control, user may want to change the control's inner element's font.
    ' User can use ControlFontZooming to support complex control.
    If TypeOf e.TargetControl Is TextBox Then
        e.TargetControl.Font = New Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize)

        ' If set to true, default zoom logic for this control will be canceled.
        e.Handled = True
    End If

    ' If target control has children controls and wan't to use default zoom logic for children
    ' controls, set e.ChildrenHandled property to true.
    ' e.ChildrenHandled = true;
End Sub

void _gcZoom1_ControlFontZooming(object sender, ControlFontZoomingEventArgs e)
{
    ZoomFontInfo info = e.ZoomFontInfo;

    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(info.CurrentFontSize.ToString());

    // For complex control, user may want to change the control's inner element's font.
    // User can use ControlFontZooming to support complex control.
    if (e.TargetControl is TextBox)
    {
        e.TargetControl.Font = new Font(e.TargetControl.Font.FontFamily, e.ZoomFontInfo.CurrentFontSize);

        // If set to true, default zoom logic for this control will be canceled.
        e.Handled = true;
    }

    // If target control has children controls and wan't to use default zoom logic for children
    // controls, set e.ChildrenHandled property to true.
    // e.ChildrenHandled = true;
}


ManipulationStarting イベント

GcZoomPanel.ManipulationStarting イベント

マニピュレーションプロセッサが最初に作成されたときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event ManipulationStarting As ZoomManipulationStartingEventArgs

public event ZoomManipulationStartingEventArgs ManipulationStarting;
解説

このイベントはルーティングイベントです。マニピュレーションイベントのソースとなるためには、GcZoom の ManipulationModes が None 以外に設定されている必要があります。

使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ManipulationStarting(sender As Object, e As ZoomManipulationStartingEventArgs)
    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(e.Position.ToString())

    If TypeOf e.TargetControl Is TextBox Then
        ' Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom
    ElseIf TypeOf e.TargetControl Is Button Then
        ' Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan
    Else
        ' Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All
    End If
End Sub

void _gcZoom1_ManipulationStarting(object sender, ZoomManipulationStartingEventArgs e)
{
    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(e.Position.ToString());

    if (e.TargetControl is TextBox)
    {
        // Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom;
    }
    else if (e.TargetControl is Button)
    {
        // Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan;
    }
    else
    {
        // Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All;
    }
}


ZoomFactorChanged イベント

GcZoomPanel.ZoomFactorChanged イベント

ZoomFactor が変更されたときに発生します。

構文
VB
C#
クリップボードにコピー
Public Event ZoomFactorChanged As EventHandler

public event EventHandler ZoomFactorChanged;
使用例

以下のサンプルコードは、このイベントの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ZoomFactorChanged(sender As Object, e As EventArgs)
    Console.WriteLine(_gcZoom1.ZoomFactor.ToString())
End Sub

void _gcZoom1_ZoomFactorChanged(object sender, EventArgs e)
{
    Console.WriteLine(_gcZoom1.ZoomFactor.ToString());
}


HoldingEventArgs クラス

HoldingEventArgs クラス

Holding イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.HoldingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class HoldingEventArgs
    Inherits TouchRoutedEventArgs

public class HoldingEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、HoldingEventArgs クラスの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_Holding(sender As Object, e As HoldingEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: Holding" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_Holding(object sender, HoldingEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: Holding" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


HoldingEventArgs メンバ

HoldingEventArgs メンバ

HoldingEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | HoldingState | 長押し操作の基礎となる HoldingState を取得します。
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | 対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | ポインタ位置の x および y 座標（コントロール座標）を返します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


HoldingEventArgs プロパティ

HoldingEventArgs プロパティ

HoldingEventArgs クラスのプロパティは以下のとおりです。HoldingEventArgs クラスの完全なメンバ一覧については、 HoldingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | HoldingState | 長押し操作の基礎となる HoldingState を取得します。
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | 対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | ポインタ位置の x および y 座標（コントロール座標）を返します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)


HoldingEventArgs.HoldingState プロパティ (GrapeCity.Win.MultiTouch)

HoldingEventArgs.HoldingState プロパティ

長押し操作の基礎となる HoldingState を取得します。

構文
VB
C#
クリップボードにコピー
Public Property HoldingState As HoldingState

public HoldingState HoldingState { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.HoldingState型

HoldingState 値の 1 つ。

HoldingStateの値 | 説明
0 - Started | 単一の接触が検出された後、その接触が離されないまま時間しきい値が経過しました。その間、別の接触は検出されず、別のジェスチャも開始されませんでした。
1 - Completed | 単一の接触が離されました。
2 - Canceled | 追加の接触が検出され、その後に続くジェスチャ（スライドなど）が検出されました。


HoldingEventArgs.PointerDeviceType プロパティ (GrapeCity.Win.MultiTouch)

HoldingEventArgs.PointerDeviceType プロパティ

対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public Property PointerDeviceType As PointerDeviceType

public PointerDeviceType PointerDeviceType { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

PointerDeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


HoldingEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

HoldingEventArgs.Position プロパティ

ポインタ位置の x および y 座標（コントロール座標）を返します。

構文
VB
C#
クリップボードにコピー
Public Property Position As Point

public Point Position { get; set; }

プロパティ値

System.Drawing.Point型

ポインタ位置の x および y 座標（コントロール座標）。


HoldingState 列挙体

HoldingState 列挙体

Holding イベントの状態を指定します。

構文
VB
C#
クリップボードにコピー
Public Enum HoldingState

public enum HoldingState
メンバ
メンバ名 | 説明
0 - Started | 単一の接触が検出された後、その接触が離されないまま時間しきい値が経過しました。その間、別の接触は検出されず、別のジェスチャも開始されませんでした。
1 - Completed | 単一の接触が離されました。
2 - Canceled | 追加の接触が検出され、その後に続くジェスチャ（スライドなど）が検出されました。
参照
GrapeCity.Win.MultiTouch 名前空間


ImageItem クラス

ImageItem クラス

GcMultiScaleImage に表示されるイメージを表します。ZoomFactor がどの程度のときにそのイメージを表示するかを示すプロパティを持ちます。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ImageItem

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ImageItem

public class ImageItem
使用例

以下のサンプルコードは、ImageItem クラスの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcMultiScaleImageDemo
        Inherits Form
        Private _gcZoomObj As GcZoom
        Private _gcmultiScaleImage As GcMultiScaleImage

        Public Sub New()
            InitializeComponent()

            _gcZoomObj = New GcZoom()
            _gcZoomObj.Target = Me
        End Sub

        Private Sub InitializeComponent()
            Dim item1 As New ImageItem()
            item1.Image = Image.FromFile("C:\image1.jpg")
            item1.ZoomFactor = 1.5F

            Dim item2 As New ImageItem()
            item2.Image = Image.FromFile("C:\image2.jpg")
            item2.ZoomFactor = 2.0F

            _gcmultiScaleImage = New GcMultiScaleImage()
            _gcmultiScaleImage.Location = New Point(20, 20)
            _gcmultiScaleImage.Size = New Size(100, 100)
            _gcmultiScaleImage.BackColor = Color.Red

            _gcmultiScaleImage.ZoomFactor = 1.0F
            _gcmultiScaleImage.Image = Image.FromFile("C:\image.jpg")
            _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage

            _gcmultiScaleImage.Images.Add(item1)
            _gcmultiScaleImage.Images.Add(item2)

            Me.Controls.Add(_gcmultiScaleImage)
            Me.Size = New Size(300, 300)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcMultiScaleImageDemo : Form
    {
        private GcZoom _gcZoomObj;
        private GcMultiScaleImage _gcmultiScaleImage;

        public GcMultiScaleImageDemo()
        {
            InitializeComponent();

            _gcZoomObj = new GcZoom();
            _gcZoomObj.Target = this;
        }

        private void InitializeComponent()
        {
            ImageItem item1 = new ImageItem();
            item1.Image = Image.FromFile(@"C:\image1.jpg");
            item1.ZoomFactor = 1.5f;

            ImageItem item2 = new ImageItem();
            item2.Image = Image.FromFile(@"C:\image2.jpg");
            item2.ZoomFactor = 2f;

            _gcmultiScaleImage = new GcMultiScaleImage();
            _gcmultiScaleImage.Location = new Point(20, 20);
            _gcmultiScaleImage.Size = new Size(100, 100);
            _gcmultiScaleImage.BackColor = Color.Red;

            _gcmultiScaleImage.ZoomFactor = 1f;
            _gcmultiScaleImage.Image = Image.FromFile(@"C:\image.jpg");
            _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage;

            _gcmultiScaleImage.Images.Add(item1);
            _gcmultiScaleImage.Images.Add(item2);

            this.Controls.Add(_gcmultiScaleImage);
            this.Size = new Size(300, 300);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ImageItem メンバ

ImageItem メンバ

ImageItem クラス 概要

コンストラクタ
表示：継承 プロテクト
 | 名前 | 説明
パブリック コンストラクタ | ImageItem | オーバーロード。 ImageItem クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Image | ZoomFactor が ZoomFactor と等しいときに GcMultiScaleImage に表示されるイメージを取得または設定します。
パブリック プロパティ | ZoomFactor | ZoomFactor がどの程度のときに Image を表示するかを示す値を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ImageItem コンストラクタ (GrapeCity.Win.MultiTouch)

ImageItem コンストラクタ

ImageItem クラスの新しいインスタンスを初期化します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | ImageItem() | ImageItem クラスの新しいインスタンスを初期化します。
パブリック メソッド | ImageItem(Image, Single) | ImageItem クラスの新しいインスタンスを初期化します。


ImageItem コンストラクタ () (GrapeCity.Win.MultiTouch)

ImageItem コンストラクタ ()

ImageItem クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public ImageItem();

戻り値

なし


ImageItem コンストラクタ (Image, Single) (GrapeCity.Win.MultiTouch)

ImageItem コンストラクタ (Image, Single)

ImageItem クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New( _
   ByVal image As Image, _
   ByVal zoomFactor As Single _
)

public ImageItem(
   Image image,
   float zoomFactor
);

パラメータ

image
GcMultiScaleImage に表示するイメージを表す Image 値。
zoomFactor
ZoomFactor がどの程度のときに Image を表示するかを示す Single 値。

戻り値

なし
例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | zoomFactor に指定された値が 1 以下です。


ImageItem プロパティ

ImageItem プロパティ

ImageItem クラスのプロパティは以下のとおりです。ImageItem クラスの完全なメンバ一覧については、 ImageItemメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Image | ZoomFactor が ZoomFactor と等しいときに GcMultiScaleImage に表示されるイメージを取得または設定します。
パブリック プロパティ | ZoomFactor | ZoomFactor がどの程度のときに Image を表示するかを示す値を取得または設定します。


ImageItem.Image プロパティ (GrapeCity.Win.MultiTouch)

ImageItem.Image プロパティ

ZoomFactor が ZoomFactor と等しいときに GcMultiScaleImage に表示されるイメージを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Image As Image

public Image Image { get; set; }

プロパティ値

System.Drawing.Image型

表示するイメージを表す Image 値。デフォルトは null 参照 (Visual Basic では Nothing) です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ImageItem クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub InitializeComponent()
    Dim item1 As New ImageItem()
    item1.Image = Image.FromFile("C:\image1.jpg")
    item1.ZoomFactor = 1.5F

    Dim item2 As New ImageItem()
    item2.Image = Image.FromFile("C:\image2.jpg")
    item2.ZoomFactor = 2.0F

    _gcmultiScaleImage = New GcMultiScaleImage()
    _gcmultiScaleImage.Location = New Point(20, 20)
    _gcmultiScaleImage.Size = New Size(100, 100)
    _gcmultiScaleImage.BackColor = Color.Red

    _gcmultiScaleImage.ZoomFactor = 1.0F
    _gcmultiScaleImage.Image = Image.FromFile("C:\image.jpg")
    _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage

    _gcmultiScaleImage.Images.Add(item1)
    _gcmultiScaleImage.Images.Add(item2)

    Me.Controls.Add(_gcmultiScaleImage)
    Me.Size = New Size(300, 300)
End Sub

private void InitializeComponent()
{
    ImageItem item1 = new ImageItem();
    item1.Image = Image.FromFile(@"C:\image1.jpg");
    item1.ZoomFactor = 1.5f;

    ImageItem item2 = new ImageItem();
    item2.Image = Image.FromFile(@"C:\image2.jpg");
    item2.ZoomFactor = 2f;

    _gcmultiScaleImage = new GcMultiScaleImage();
    _gcmultiScaleImage.Location = new Point(20, 20);
    _gcmultiScaleImage.Size = new Size(100, 100);
    _gcmultiScaleImage.BackColor = Color.Red;

    _gcmultiScaleImage.ZoomFactor = 1f;
    _gcmultiScaleImage.Image = Image.FromFile(@"C:\image.jpg");
    _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage;

    _gcmultiScaleImage.Images.Add(item1);
    _gcmultiScaleImage.Images.Add(item2);

    this.Controls.Add(_gcmultiScaleImage);
    this.Size = new Size(300, 300);
}


ImageItem.ZoomFactor プロパティ (GrapeCity.Win.MultiTouch)

ImageItem.ZoomFactor プロパティ

ZoomFactor がどの程度のときに Image を表示するかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomFactor As Single

public float ZoomFactor { get; set; }

プロパティ値

System.Single型

ZoomFactor がどの程度のときに Image を表示するかを示す Single 値。デフォルトは 2f です。

例外
例外の種類 | 条件
System.ArgumentOutOfRangeException | 指定された値が 1 以下です。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ImageItem クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub InitializeComponent()
    Dim item1 As New ImageItem()
    item1.Image = Image.FromFile("C:\image1.jpg")
    item1.ZoomFactor = 1.5F

    Dim item2 As New ImageItem()
    item2.Image = Image.FromFile("C:\image2.jpg")
    item2.ZoomFactor = 2.0F

    _gcmultiScaleImage = New GcMultiScaleImage()
    _gcmultiScaleImage.Location = New Point(20, 20)
    _gcmultiScaleImage.Size = New Size(100, 100)
    _gcmultiScaleImage.BackColor = Color.Red

    _gcmultiScaleImage.ZoomFactor = 1.0F
    _gcmultiScaleImage.Image = Image.FromFile("C:\image.jpg")
    _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage

    _gcmultiScaleImage.Images.Add(item1)
    _gcmultiScaleImage.Images.Add(item2)

    Me.Controls.Add(_gcmultiScaleImage)
    Me.Size = New Size(300, 300)
End Sub

private void InitializeComponent()
{
    ImageItem item1 = new ImageItem();
    item1.Image = Image.FromFile(@"C:\image1.jpg");
    item1.ZoomFactor = 1.5f;

    ImageItem item2 = new ImageItem();
    item2.Image = Image.FromFile(@"C:\image2.jpg");
    item2.ZoomFactor = 2f;

    _gcmultiScaleImage = new GcMultiScaleImage();
    _gcmultiScaleImage.Location = new Point(20, 20);
    _gcmultiScaleImage.Size = new Size(100, 100);
    _gcmultiScaleImage.BackColor = Color.Red;

    _gcmultiScaleImage.ZoomFactor = 1f;
    _gcmultiScaleImage.Image = Image.FromFile(@"C:\image.jpg");
    _gcmultiScaleImage.SizeMode = PictureBoxSizeMode.StretchImage;

    _gcmultiScaleImage.Images.Add(item1);
    _gcmultiScaleImage.Images.Add(item2);

    this.Controls.Add(_gcmultiScaleImage);
    this.Size = new Size(300, 300);
}


InertiaExpansionBehavior クラス

InertiaExpansionBehavior クラス

サイズ変更操作の慣性運動中の減速を制御します。このクラスは継承できません。

継承階層
System.Object
GrapeCity.Win.MultiTouch.InertiaExpansionBehavior

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
NotInheritable Public Class InertiaExpansionBehavior

public sealed class InertiaExpansionBehavior
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


InertiaExpansionBehavior メンバ

InertiaExpansionBehavior メンバ

InertiaExpansionBehavior クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | DesiredDeceleration | サイズ変更の減速率を取得または設定します。
パブリック プロパティ | DesiredExpansion | 慣性運動の終了時点でのコントロールのサイズ変更量を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


InertiaExpansionBehavior プロパティ

InertiaExpansionBehavior プロパティ

InertiaExpansionBehavior クラスのプロパティは以下のとおりです。InertiaExpansionBehavior クラスの完全なメンバ一覧については、 InertiaExpansionBehaviorメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | DesiredDeceleration | サイズ変更の減速率を取得または設定します。
パブリック プロパティ | DesiredExpansion | 慣性運動の終了時点でのコントロールのサイズ変更量を取得または設定します。


InertiaExpansionBehavior.DesiredDeceleration プロパティ (GrapeCity.Win.MultiTouch)

InertiaExpansionBehavior.DesiredDeceleration プロパティ

サイズ変更の減速率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property DesiredDeceleration As Single

public float DesiredDeceleration { get; set; }

プロパティ値

System.Single型

サイズ変更の減速率。


InertiaExpansionBehavior.DesiredExpansion プロパティ (GrapeCity.Win.MultiTouch)

InertiaExpansionBehavior.DesiredExpansion プロパティ

慣性運動の終了時点でのコントロールのサイズ変更量を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property DesiredExpansion As Single

public float DesiredExpansion { get; set; }

プロパティ値

System.Single型

慣性運動の終了時点でのコントロールのサイズ変更量。


InertiaRotationBehavior クラス

InertiaRotationBehavior クラス

回転操作の慣性運動中の減速を制御します。このクラスは継承できません。

継承階層
System.Object
GrapeCity.Win.MultiTouch.InertiaRotationBehavior

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
NotInheritable Public Class InertiaRotationBehavior

public sealed class InertiaRotationBehavior
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


InertiaRotationBehavior メンバ

InertiaRotationBehavior メンバ

InertiaRotationBehavior クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | DesiredDeceleration | 回転の減速率（平方ミリ秒あたりの度単位）を取得または設定します。
パブリック プロパティ | DesiredRotation | 慣性運動の終了時点での回転角度を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


InertiaRotationBehavior プロパティ

InertiaRotationBehavior プロパティ

InertiaRotationBehavior クラスのプロパティは以下のとおりです。InertiaRotationBehavior クラスの完全なメンバ一覧については、 InertiaRotationBehaviorメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | DesiredDeceleration | 回転の減速率（平方ミリ秒あたりの度単位）を取得または設定します。
パブリック プロパティ | DesiredRotation | 慣性運動の終了時点での回転角度を取得または設定します。


InertiaRotationBehavior.DesiredDeceleration プロパティ (GrapeCity.Win.MultiTouch)

InertiaRotationBehavior.DesiredDeceleration プロパティ

回転の減速率（平方ミリ秒あたりの度単位）を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property DesiredDeceleration As Single

public float DesiredDeceleration { get; set; }

プロパティ値

System.Single型

回転の減速率（平方ミリ秒あたりの度単位）。


InertiaRotationBehavior.DesiredRotation プロパティ (GrapeCity.Win.MultiTouch)

InertiaRotationBehavior.DesiredRotation プロパティ

慣性運動の終了時点での回転角度を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property DesiredRotation As Single

public float DesiredRotation { get; set; }

プロパティ値

System.Single型

慣性運動の終了時点での回転角度。


InertiaTranslationBehavior クラス

InertiaTranslationBehavior クラス

平行移動操作の慣性運動中の減速を制御します。このクラスは継承できません。

継承階層
System.Object
GrapeCity.Win.MultiTouch.InertiaTranslationBehavior

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
NotInheritable Public Class InertiaTranslationBehavior

public sealed class InertiaTranslationBehavior
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


InertiaTranslationBehavior メンバ

InertiaTranslationBehavior メンバ

InertiaTranslationBehavior クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | DesiredDeceleration | デバイスに依存しない単位（1 単位は 1/96 インチ）で表された、直線運動の平方ミリ秒あたりの減速率を取得または設定します。
パブリック プロパティ | DesiredDisplacement | 慣性運動の終了時点での平行移動量を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


InertiaTranslationBehavior プロパティ

InertiaTranslationBehavior プロパティ

InertiaTranslationBehavior クラスのプロパティは以下のとおりです。InertiaTranslationBehavior クラスの完全なメンバ一覧については、 InertiaTranslationBehaviorメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | DesiredDeceleration | デバイスに依存しない単位（1 単位は 1/96 インチ）で表された、直線運動の平方ミリ秒あたりの減速率を取得または設定します。
パブリック プロパティ | DesiredDisplacement | 慣性運動の終了時点での平行移動量を取得または設定します。


InertiaTranslationBehavior.DesiredDeceleration プロパティ (GrapeCity.Win.MultiTouch)

InertiaTranslationBehavior.DesiredDeceleration プロパティ

デバイスに依存しない単位（1 単位は 1/96 インチ）で表された、直線運動の平方ミリ秒あたりの減速率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property DesiredDeceleration As Single

public float DesiredDeceleration { get; set; }

プロパティ値

System.Single型

デバイスに依存しない単位（1 単位は 1/96 インチ）で表された、直線運動の平方ミリ秒あたりの減速率。


InertiaTranslationBehavior.DesiredDisplacement プロパティ (GrapeCity.Win.MultiTouch)

InertiaTranslationBehavior.DesiredDisplacement プロパティ

慣性運動の終了時点での平行移動量を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property DesiredDisplacement As Single

public float DesiredDisplacement { get; set; }

プロパティ値

System.Single型

慣性運動の終了時点での平行移動量。


InnerPanelLayoutMode 列挙体

InnerPanelLayoutMode 列挙体

内部パネルでのコンテンツのレイアウトを指定します。

構文
VB
C#
クリップボードにコピー
Public Enum InnerPanelLayoutMode

public enum InnerPanelLayoutMode
メンバ
メンバ名 | 説明
0 - None | フォームのサイズがコンテンツのサイズより大きい場合、コンテンツを左上に維持します。
1 - MiddleCenter | フォームのサイズがコンテンツのサイズより大きい場合、コンテンツを中央に維持します。
参照
GrapeCity.Win.MultiTouch 名前空間


ListBoxZoomPolicy クラス

ListBoxZoomPolicy クラス

ListBox 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.ListBoxZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ListBoxZoomPolicy
    Inherits ControlZoomPolicy

public class ListBoxZoomPolicy : ControlZoomPolicy
解説

MultiColumn が true で、なおかつ ColumnWidth が 0 より大きい場合、このズームポリシーは ColumnWidth を変更します。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ListBoxZoomPolicy メンバ

ListBoxZoomPolicy メンバ

ListBoxZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
ListBoxZoomPolicy | ListBoxZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


ListBoxZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

ListBoxZoomPolicy コンストラクタ

ListBoxZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public ListBoxZoomPolicy();

戻り値

なし


ListBoxZoomPolicy プロパティ

ListBoxZoomPolicy プロパティ

ListBoxZoomPolicy クラスのプロパティは以下のとおりです。ListBoxZoomPolicy クラスの完全なメンバ一覧については、 ListBoxZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


ListBoxZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

ListBoxZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


ListBoxZoomPolicy メソッド

ListBoxZoomPolicy メソッド

ListBoxZoomPolicy クラスのメソッドは以下のとおりです。ListBoxZoomPolicy クラスの完全なメンバ一覧については、 ListBoxZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


ListBoxZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

ListBoxZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

詳細については、ListBoxZoomPolicy を参照してください。


ListViewZoomPolicy クラス

ListViewZoomPolicy クラス

ListView 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ListViewZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ListViewZoomPolicy
    Inherits ZoomPolicy

public class ListViewZoomPolicy : ZoomPolicy
解説

このズームポリシーは ListView の列幅をズームし、すべての項目のフォントを変更します。

使用例

以下のサンプルコードは、ListViewZoomPolicy クラスの使用方法を示します。

このコードを既存の Windows Forms アプリケーションにコピーし、サンプルコード内のフォームを開始フォームとして設定します。

このコードの実行時にライセンスエラーが発生した場合は、GcZoom コンポーネントをツールボックスから任意のフォームにドラッグしてみてください。そうすると、ライセンス情報をこのプロジェクトに生成できます。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class ListViewZoomPolicyDemo
        Inherits Form
        Private _listView As ListView
        Private _enableCheckBox As CheckBox
        Private _zoomColumnWidthCheckBox As CheckBox
        Private _zoomItemFont As CheckBox
        Private _targetTypeTextBox As TextBox

        Private _listViewZoomPolicy As New ListViewZoomPolicy()
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' Set ListView's ZoomPolicy object
            _gcZoom1.ZoomPolicies.Add(_listViewZoomPolicy)

            ' DataGridView control should to change default font
            For Each item As ListViewItem In _listView.Items
                item.Font = New Font(Me.Font.FontFamily, Me.Font.Size)
            Next

            GetTargetType()

            AddHandler _enableCheckBox.CheckedChanged, AddressOf _enableCheckBox_CheckedChanged
            AddHandler _zoomColumnWidthCheckBox.CheckedChanged, AddressOf _zoomColumnWidthCheckBox_CheckedChanged
            AddHandler _zoomItemFont.CheckedChanged, AddressOf _zoomItemFont_CheckedChanged
        End Sub

        Private Sub GetTargetType()
            _targetTypeTextBox.Text = _listViewZoomPolicy.TargetType.Name
        End Sub

        Private Sub _enableCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.ZoomFactor = 1.0F
            _listViewZoomPolicy.Enabled = _enableCheckBox.Checked

            _zoomColumnWidthCheckBox.Enabled = _enableCheckBox.Checked
            _zoomItemFont.Enabled = _enableCheckBox.Checked
        End Sub

        Private Sub _zoomColumnWidthCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.ZoomFactor = 1.0F
            _listViewZoomPolicy.ZoomColumnWidth = _zoomColumnWidthCheckBox.Checked
        End Sub

        Private Sub _zoomItemFont_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.ZoomFactor = 1.0F
            _listViewZoomPolicy.ZoomItemFont = _zoomItemFont.Checked
        End Sub

        Private Sub InitializeComponent()
            _listView = New ListView()
            _listView.Location = New Point(20, 20)
            _listView.Size = New Size(400, 300)
            _listView.GridLines = True

            _listView.View = View.Details
            _listView.Columns.Add("", 100, HorizontalAlignment.Center)
            _listView.Columns.Add("", 100, HorizontalAlignment.Center)
            _listView.Columns.Add("", 100, HorizontalAlignment.Center)

            Dim item1 As New ListViewItem(New String() {"Item 1", "Item 2", "Item 3"})
            Dim item2 As New ListViewItem(New String() {"Item 4", "Item 5", "Item 6"})
            _listView.Items.Add(item1)
            _listView.Items.Add(item2)

            _enableCheckBox = New CheckBox()
            _enableCheckBox.Text = "Enabled"
            _enableCheckBox.Size = New Size(120, 20)
            _enableCheckBox.Location = New Point(450, 20)
            _enableCheckBox.Checked = True

            _zoomColumnWidthCheckBox = New CheckBox()
            _zoomColumnWidthCheckBox.Text = "ZoomColumnWidth"
            _zoomColumnWidthCheckBox.Size = New Size(120, 20)
            _zoomColumnWidthCheckBox.Location = New Point(450, 50)
            _zoomColumnWidthCheckBox.Checked = True

            _zoomItemFont = New CheckBox()
            _zoomItemFont.Text = "ZoomItemFont"
            _zoomItemFont.Size = New Size(120, 20)
            _zoomItemFont.Location = New Point(450, 80)
            _zoomItemFont.Checked = True

            _targetTypeTextBox = New TextBox()
            _targetTypeTextBox.[ReadOnly] = True
            _targetTypeTextBox.Size = New Size(120, 20)
            _targetTypeTextBox.Location = New Point(450, 110)

            Me.Controls.Add(_listView)
            Me.Controls.Add(_enableCheckBox)
            Me.Controls.Add(_zoomColumnWidthCheckBox)
            Me.Controls.Add(_zoomItemFont)
            Me.Controls.Add(_targetTypeTextBox)
            Me.Size = New Size(600, 450)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class ListViewZoomPolicyDemo : Form
    {
        private ListView _listView;
        private CheckBox _enableCheckBox;
        private CheckBox _zoomColumnWidthCheckBox;
        private CheckBox _zoomItemFont;
        private TextBox _targetTypeTextBox;

        private ListViewZoomPolicy _listViewZoomPolicy = new ListViewZoomPolicy();
        private GcZoom _gcZoom1 = new GcZoom();

        public ListViewZoomPolicyDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // Set ListView's ZoomPolicy object
            _gcZoom1.ZoomPolicies.Add(_listViewZoomPolicy);

            // DataGridView control should to change default font
            foreach (ListViewItem item in _listView.Items)
            {
                item.Font = new Font(this.Font.FontFamily, this.Font.Size);
            }

            GetTargetType();

            _enableCheckBox.CheckedChanged += _enableCheckBox_CheckedChanged;
            _zoomColumnWidthCheckBox.CheckedChanged += _zoomColumnWidthCheckBox_CheckedChanged;
            _zoomItemFont.CheckedChanged += _zoomItemFont_CheckedChanged;
        }

        void GetTargetType()
        {
            _targetTypeTextBox.Text = _listViewZoomPolicy.TargetType.Name;
        }

        void _enableCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.ZoomFactor = 1f;
            _listViewZoomPolicy.Enabled = _enableCheckBox.Checked;

            _zoomColumnWidthCheckBox.Enabled = _enableCheckBox.Checked;
            _zoomItemFont.Enabled = _enableCheckBox.Checked;
        }

        void _zoomColumnWidthCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.ZoomFactor = 1f;
            _listViewZoomPolicy.ZoomColumnWidth = _zoomColumnWidthCheckBox.Checked;
        }

        void _zoomItemFont_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.ZoomFactor = 1f;
            _listViewZoomPolicy.ZoomItemFont = _zoomItemFont.Checked;
        }

        private void InitializeComponent()
        {
            _listView = new ListView();
            _listView.Location = new Point(20, 20);
            _listView.Size = new Size(400, 300);
            _listView.GridLines = true;

            _listView.View = View.Details;
            _listView.Columns.Add("", 100, HorizontalAlignment.Center);
            _listView.Columns.Add("", 100, HorizontalAlignment.Center);
            _listView.Columns.Add("", 100, HorizontalAlignment.Center);

            ListViewItem item1 = new ListViewItem(new string[] {"Item 1", "Item 2", "Item 3"});
            ListViewItem item2 = new ListViewItem(new string[] { "Item 4", "Item 5", "Item 6" });
            _listView.Items.Add(item1);
            _listView.Items.Add(item2);

            _enableCheckBox = new CheckBox();
            _enableCheckBox.Text = "Enabled";
            _enableCheckBox.Size = new Size(120, 20);
            _enableCheckBox.Location = new Point(450, 20);
            _enableCheckBox.Checked = true;

            _zoomColumnWidthCheckBox = new CheckBox();
            _zoomColumnWidthCheckBox.Text = "ZoomColumnWidth";
            _zoomColumnWidthCheckBox.Size = new Size(120, 20);
            _zoomColumnWidthCheckBox.Location = new Point(450, 50);
            _zoomColumnWidthCheckBox.Checked = true;

            _zoomItemFont = new CheckBox();
            _zoomItemFont.Text = "ZoomItemFont";
            _zoomItemFont.Size = new Size(120, 20);
            _zoomItemFont.Location = new Point(450, 80);
            _zoomItemFont.Checked = true;

            _targetTypeTextBox = new TextBox();
            _targetTypeTextBox.ReadOnly = true;
            _targetTypeTextBox.Size = new Size(120, 20);
            _targetTypeTextBox.Location = new Point(450, 110);

            this.Controls.Add(_listView);
            this.Controls.Add(_enableCheckBox);
            this.Controls.Add(_zoomColumnWidthCheckBox);
            this.Controls.Add(_zoomItemFont);
            this.Controls.Add(_targetTypeTextBox);
            this.Size = new Size(600, 450);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ListViewZoomPolicy メンバ

ListViewZoomPolicy メンバ

ListViewZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
ListViewZoomPolicy | ListViewZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
パブリック プロパティ | ZoomColumnWidth | 列の幅をズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | ZoomIcon | 項目のアイコンをズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | ZoomItemFont | 項目のフォントをズームするかどうかを示す値を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


ListViewZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

ListViewZoomPolicy コンストラクタ

ListViewZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public ListViewZoomPolicy();

戻り値

なし


ListViewZoomPolicy プロパティ

ListViewZoomPolicy プロパティ

ListViewZoomPolicy クラスのプロパティは以下のとおりです。ListViewZoomPolicy クラスの完全なメンバ一覧については、 ListViewZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
パブリック プロパティ | ZoomColumnWidth | 列の幅をズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | ZoomIcon | 項目のアイコンをズームするかどうかを示す値を取得または設定します。
パブリック プロパティ | ZoomItemFont | 項目のフォントをズームするかどうかを示す値を取得または設定します。


ListViewZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

ListViewZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ListViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub GetTargetType()
    _targetTypeTextBox.Text = _listViewZoomPolicy.TargetType.Name
End Sub

void GetTargetType()
{
    _targetTypeTextBox.Text = _listViewZoomPolicy.TargetType.Name;
}


ListViewZoomPolicy.ZoomColumnWidth プロパティ (GrapeCity.Win.MultiTouch)

ListViewZoomPolicy.ZoomColumnWidth プロパティ

列の幅をズームするかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomColumnWidth As Boolean

public bool ZoomColumnWidth { get; set; }

プロパティ値

System.Boolean型

列の幅をズームする場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ListViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _zoomColumnWidthCheckBox_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.ZoomFactor = 1.0F
    _listViewZoomPolicy.ZoomColumnWidth = _zoomColumnWidthCheckBox.Checked
End Sub

void _zoomColumnWidthCheckBox_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.ZoomFactor = 1f;
    _listViewZoomPolicy.ZoomColumnWidth = _zoomColumnWidthCheckBox.Checked;
}


ListViewZoomPolicy.ZoomIcon プロパティ (GrapeCity.Win.MultiTouch)

ListViewZoomPolicy.ZoomIcon プロパティ

項目のアイコンをズームするかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomIcon As Boolean

public bool ZoomIcon { get; set; }

プロパティ値

System.Boolean型

項目のアイコンをズームする場合は true。それ以外の場合は false。デフォルトは true です。

解説

このズームポリシーは、ListView コントロールにアイコンが含まれる場合、項目のアイコンをズームします。

View が Tile の場合、このズームポリシーは項目のアイコンとフォントをズームしますが、行間隔と列間隔はズームできません。


ListViewZoomPolicy.ZoomItemFont プロパティ (GrapeCity.Win.MultiTouch)

ListViewZoomPolicy.ZoomItemFont プロパティ

項目のフォントをズームするかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ZoomItemFont As Boolean

public bool ZoomItemFont { get; set; }

プロパティ値

System.Boolean型

項目のフォントをズームする場合は true。それ以外の場合は false。デフォルトは true です。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ListViewZoomPolicy クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _zoomItemFont_CheckedChanged(sender As Object, e As EventArgs)
    _gcZoom1.ZoomFactor = 1.0F
    _listViewZoomPolicy.ZoomItemFont = _zoomItemFont.Checked
End Sub

void _zoomItemFont_CheckedChanged(object sender, EventArgs e)
{
    _gcZoom1.ZoomFactor = 1f;
    _listViewZoomPolicy.ZoomItemFont = _zoomItemFont.Checked;
}


ListViewZoomPolicy メソッド

ListViewZoomPolicy メソッド

ListViewZoomPolicy クラスのメソッドは以下のとおりです。ListViewZoomPolicy クラスの完全なメンバ一覧については、 ListViewZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


ListViewZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

ListViewZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし


ListViewZoomPolicy.ZoomFont メソッド (GrapeCity.Win.MultiTouch)

ListViewZoomPolicy.ZoomFont メソッド

コントロールのフォントをズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomFont( _
   ByVal control As Control, _
   ByVal infos As ZoomFontInfo _
)

public override void ZoomFont(
   Control control,
   ZoomFontInfo infos
);

パラメータ

control
指定したコントロール。
infos
フォントのズームを支援するために GcZoom によって提供される ZoomFontInfo 型の情報。

戻り値

なし


MagnifierEventArgs クラス

MagnifierEventArgs クラス

Closed および Move イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.MagnifierEventArgs
GrapeCity.Win.MultiTouch.MagnifierShowingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class MagnifierEventArgs
    Inherits EventArgs

public class MagnifierEventArgs : EventArgs
解説

MagnifierEventArgs には、拡大鏡がポップアップする前の位置とターゲットコントロールに関する情報が格納されます。

使用例

以下のサンプルコードは、MagnifierEventArgs クラスの使用方法を示します。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class GcMagnifierEventDemo
        Inherits Form
        Private _magnifierTextBox As TextBox
        Private _gcMagnifierObj As New GcMagnifier()

        Public Sub New()
            InitializeComponent()

            _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, True)
            AddHandler _gcMagnifierObj.Move, AddressOf _gcMagnifierObj_Move
            AddHandler _gcMagnifierObj.Closed, AddressOf _gcMagnifierObj_Closed
            AddHandler _gcMagnifierObj.MagnifierShowing, AddressOf _gcMagnifierObj_MagnifierShowing
        End Sub

        Private Sub _gcMagnifierObj_Move(sender As Object, e As MagnifierEventArgs)
            Console.WriteLine(e.TargetControl.ToString())
            Console.WriteLine(e.Position.ToString())
        End Sub

        Private Sub _gcMagnifierObj_Closed(sender As Object, e As MagnifierEventArgs)
            Console.WriteLine(e.TargetControl.ToString())
            Console.WriteLine(e.Position.ToString())
        End Sub

        Private Sub _gcMagnifierObj_MagnifierShowing(sender As Object, e As MagnifierEventArgs)
            Console.WriteLine(e.TargetControl.ToString())
            Console.WriteLine(e.Position.ToString())
        End Sub

        Private Sub InitializeComponent()
            _magnifierTextBox = New TextBox()
            _magnifierTextBox.Text = "This is a TextBox"
            _magnifierTextBox.Location = New Point(20, 20)
            _magnifierTextBox.Size = New Size(160, 20)

            Me.Controls.Add(_magnifierTextBox)
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class GcMagnifierEventDemo : Form
    {
        private TextBox _magnifierTextBox;
        private GcMagnifier _gcMagnifierObj = new GcMagnifier();

        public GcMagnifierEventDemo()
        {
            InitializeComponent();

            _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, true);
            _gcMagnifierObj.Move += _gcMagnifierObj_Move;
            _gcMagnifierObj.Closed += _gcMagnifierObj_Closed;
            _gcMagnifierObj.MagnifierShowing += _gcMagnifierObj_MagnifierShowing;
        }

        void _gcMagnifierObj_Move(object sender, MagnifierEventArgs e)
        {
            Console.WriteLine(e.TargetControl.ToString());
            Console.WriteLine(e.Position.ToString());
        }

        void _gcMagnifierObj_Closed(object sender, MagnifierEventArgs e)
        {
            Console.WriteLine(e.TargetControl.ToString());
            Console.WriteLine(e.Position.ToString());
        }

        void _gcMagnifierObj_MagnifierShowing(object sender, MagnifierEventArgs e)
        {
            Console.WriteLine(e.TargetControl.ToString());
            Console.WriteLine(e.Position.ToString());
        }

        private void InitializeComponent()
        {
            _magnifierTextBox = new TextBox();
            _magnifierTextBox.Text = "This is a TextBox";
            _magnifierTextBox.Location = new Point(20, 20);
            _magnifierTextBox.Size = new Size(160, 20);

            this.Controls.Add(_magnifierTextBox);
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


MagnifierEventArgs メンバ

MagnifierEventArgs メンバ

MagnifierEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Position | 位置を示す値を取得します。
パブリック プロパティ | TargetControl | 拡大鏡のターゲットコントロールを取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


MagnifierEventArgs プロパティ

MagnifierEventArgs プロパティ

MagnifierEventArgs クラスのプロパティは以下のとおりです。MagnifierEventArgs クラスの完全なメンバ一覧については、 MagnifierEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Position | 位置を示す値を取得します。
パブリック プロパティ | TargetControl | 拡大鏡のターゲットコントロールを取得します。


MagnifierEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

MagnifierEventArgs.Position プロパティ

位置を示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Position As Point

public Point Position { get; }

プロパティ値

System.Drawing.Point型

GcMagnifier の位置を表す Point 値。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、MagnifierEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Enable GcMagnifier component to _firstTextBox.
    _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, True)
    Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString())

    ' Set magnifier property
    SetGcMagnifier()
End Sub

public GcMagnifierDemo()
{
    InitializeComponent();

    // Enable GcMagnifier component to _firstTextBox.
    _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, true);
    Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString());

    // Set magnifier property
    SetGcMagnifier();
}


MagnifierEventArgs.TargetControl プロパティ (GrapeCity.Win.MultiTouch)

MagnifierEventArgs.TargetControl プロパティ

拡大鏡のターゲットコントロールを取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property TargetControl As Control

public Control TargetControl { get; }

プロパティ値

System.Windows.Forms.Control型

拡大鏡のターゲットコントロール。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、MagnifierEventArgs クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Public Sub New()
    InitializeComponent()

    ' Enable GcMagnifier component to _firstTextBox.
    _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, True)
    Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString())

    ' Set magnifier property
    SetGcMagnifier()
End Sub

public GcMagnifierDemo()
{
    InitializeComponent();

    // Enable GcMagnifier component to _firstTextBox.
    _gcMagnifierObj.SetEnableMagnifier(_magnifierTextBox, true);
    Console.WriteLine(_gcMagnifierObj.GetEnableMagnifier(_magnifierTextBox).ToString());

    // Set magnifier property
    SetGcMagnifier();
}


MagnifierShape 列挙体

MagnifierShape 列挙体

拡大鏡の外観を指定します。

構文
VB
C#
クリップボードにコピー
Public Enum MagnifierShape

public enum MagnifierShape
メンバ
メンバ名 | 説明
0 - Circle | 拡大鏡の形状が円形になります。
1 - Rectangle | 拡大鏡の形状が四角形になります。
2 - RoundedRectangle | 拡大鏡の形状が角丸四角形になります。
参照
GrapeCity.Win.MultiTouch 名前空間


MagnifierShowingEventArgs クラス

MagnifierShowingEventArgs クラス

MagnifierShowing イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.MagnifierEventArgs
GrapeCity.Win.MultiTouch.MagnifierShowingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class MagnifierShowingEventArgs
    Inherits MagnifierEventArgs

public class MagnifierShowingEventArgs : MagnifierEventArgs
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


MagnifierShowingEventArgs メンバ

MagnifierShowingEventArgs メンバ

MagnifierShowingEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cancel | この GcMagnifier.MagnifierShowing イベントがキャンセルされるかどうかを示す値を取得または設定します。
パブリック プロパティ | Position | 位置を示す値を取得します。 (MagnifierEventArgs から継承されます)
パブリック プロパティ | TargetControl | 拡大鏡のターゲットコントロールを取得します。 (MagnifierEventArgs から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


MagnifierShowingEventArgs プロパティ

MagnifierShowingEventArgs プロパティ

MagnifierShowingEventArgs クラスのプロパティは以下のとおりです。MagnifierShowingEventArgs クラスの完全なメンバ一覧については、 MagnifierShowingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cancel | この GcMagnifier.MagnifierShowing イベントがキャンセルされるかどうかを示す値を取得または設定します。
パブリック プロパティ | Position | 位置を示す値を取得します。 (MagnifierEventArgs から継承されます)
パブリック プロパティ | TargetControl | 拡大鏡のターゲットコントロールを取得します。 (MagnifierEventArgs から継承されます)


MagnifierShowingEventArgs.Cancel プロパティ (GrapeCity.Win.MultiTouch)

MagnifierShowingEventArgs.Cancel プロパティ

この GcMagnifier.MagnifierShowing イベントがキャンセルされるかどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Cancel As Boolean

public bool Cancel { get; set; }

プロパティ値

System.Boolean型

拡大鏡の表示操作がキャンセルされる場合は true。それ以外の場合は false。


ManipulationCompletedEventArgs クラス

ManipulationCompletedEventArgs クラス

ManipulationCompleted イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.ManipulationCompletedEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ManipulationCompletedEventArgs
    Inherits TouchRoutedEventArgs

public class ManipulationCompletedEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、ManipulationCompletedEventArgs クラスの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationCompleted(sender As Object, e As ManipulationCompletedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationCompleted" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationCompleted(object sender, ManipulationCompletedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationCompleted" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ManipulationCompletedEventArgs メンバ

ManipulationCompletedEventArgs メンバ

ManipulationCompletedEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cumulative | マニピュレーションの開始時点以降の全体的な変更を取得します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | IsInertia |
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | 完了時のタッチ入力の位置を示す x および y 座標（コントロール座標）を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Velocities | マニピュレーションに使用された速度を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ManipulationCompletedEventArgs プロパティ

ManipulationCompletedEventArgs プロパティ

ManipulationCompletedEventArgs クラスのプロパティは以下のとおりです。ManipulationCompletedEventArgs クラスの完全なメンバ一覧については、 ManipulationCompletedEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cumulative | マニピュレーションの開始時点以降の全体的な変更を取得します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | IsInertia |
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | 完了時のタッチ入力の位置を示す x および y 座標（コントロール座標）を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Velocities | マニピュレーションに使用された速度を取得します。


ManipulationCompletedEventArgs.Cumulative プロパティ (GrapeCity.Win.MultiTouch)

ManipulationCompletedEventArgs.Cumulative プロパティ

マニピュレーションの開始時点以降の全体的な変更を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Cumulative As ManipulationDelta

public ManipulationDelta Cumulative { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationDelta型

マニピュレーションの開始時点以降の全体的な変更。


ManipulationCompletedEventArgs.IsInertia プロパティ (GrapeCity.Win.MultiTouch)

ManipulationCompletedEventArgs.IsInertia プロパティ

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsInertia As Boolean

public bool IsInertia { get; }


ManipulationCompletedEventArgs.PointerDeviceType プロパティ (GrapeCity.Win.MultiTouch)

ManipulationCompletedEventArgs.PointerDeviceType プロパティ

マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property PointerDeviceType As PointerDeviceType

public PointerDeviceType PointerDeviceType { get; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

PointerDeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


ManipulationCompletedEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

ManipulationCompletedEventArgs.Position プロパティ

完了時のタッチ入力の位置を示す x および y 座標（コントロール座標）を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Position As Point

public Point Position { get; }

プロパティ値

System.Drawing.Point型

完了時のタッチ入力の位置を示す x および y 座標（コントロール座標）。


ManipulationCompletedEventArgs.Velocities プロパティ (GrapeCity.Win.MultiTouch)

ManipulationCompletedEventArgs.Velocities プロパティ

マニピュレーションに使用された速度を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Velocities As ManipulationVelocities

public ManipulationVelocities Velocities { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationVelocities型

マニピュレーションに使用された速度。


ManipulationDelta 構造体

ManipulationDelta 構造体

現在のマニピュレーションにおける累積された変換を格納します。

継承階層
System.Object
System.ValueType
GrapeCity.Win.MultiTouch.ManipulationDelta

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Structure ManipulationDelta

public struct ManipulationDelta
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ManipulationDelta メンバ

ManipulationDelta メンバ

ManipulationDelta クラス 概要

フィールド
表示：継承 プロテクト
 | 名前 | 説明
パブリック フィールド | Expansion | 2 回のタッチ接触間の距離の変化を DIP で表した値。たとえば、ある操作中に 2 回の接触の距離が 100 DIP から 200 DIP に変わった場合、Expansion の値は 100.0 になります。
パブリック フィールド | Rotation | 回転角度の変化量（度単位）。
パブリック フィールド | Scale | 2 回のタッチ接触間の距離の変化を比率で表した値。たとえば、ある操作中に 2 回の接触の距離が 100 DIP から 200 DIP に変わった場合、Scale の値は 2.0 になります。
パブリック フィールド | Translation | x-y 画面座標の変化量（DIP 単位）。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | オーバーライド。 このインスタンスと指定したオブジェクトが等しいかどうかを示します。 (ValueType から継承されます)
パブリック メソッド | GetHashCode | オーバーライド。 対象のインスタンスのハッシュ コードを返します。 (ValueType から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | ToString | オーバーライド。 このインスタンスの完全修飾型名を返します。 (ValueType から継承されます)


ManipulationDelta フィールド

ManipulationDelta フィールド

ManipulationDelta 構造体のフィールドは以下のとおりです。ManipulationDelta 構造体の完全なメンバ一覧については、 ManipulationDeltaメンバのトピックを参照してください。

フィールド
表示：継承 プロテクト
 | 名前 | 説明
パブリック フィールド | Expansion | 2 回のタッチ接触間の距離の変化を DIP で表した値。たとえば、ある操作中に 2 回の接触の距離が 100 DIP から 200 DIP に変わった場合、Expansion の値は 100.0 になります。
パブリック フィールド | Rotation | 回転角度の変化量（度単位）。
パブリック フィールド | Scale | 2 回のタッチ接触間の距離の変化を比率で表した値。たとえば、ある操作中に 2 回の接触の距離が 100 DIP から 200 DIP に変わった場合、Scale の値は 2.0 になります。
パブリック フィールド | Translation | x-y 画面座標の変化量（DIP 単位）。


Expansion フィールド

ManipulationDelta.Expansion フィールド

2 回のタッチ接触間の距離の変化を DIP で表した値。たとえば、ある操作中に 2 回の接触の距離が 100 DIP から 200 DIP に変わった場合、Expansion の値は 100.0 になります。

構文
VB
C#
クリップボードにコピー
Public Expansion As Single

public float Expansion;


Rotation フィールド

ManipulationDelta.Rotation フィールド

回転角度の変化量（度単位）。

構文
VB
C#
クリップボードにコピー
Public Rotation As Single

public float Rotation;


Scale フィールド

ManipulationDelta.Scale フィールド

2 回のタッチ接触間の距離の変化を比率で表した値。たとえば、ある操作中に 2 回の接触の距離が 100 DIP から 200 DIP に変わった場合、Scale の値は 2.0 になります。

構文
VB
C#
クリップボードにコピー
Public Scale As Single

public float Scale;


Translation フィールド

ManipulationDelta.Translation フィールド

x-y 画面座標の変化量（DIP 単位）。

構文
VB
C#
クリップボードにコピー
Public Translation As Point

public Point Translation;


ManipulationDeltaEventArgs クラス

ManipulationDeltaEventArgs クラス

ManipulationDelta イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.ManipulationDeltaEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ManipulationDeltaEventArgs
    Inherits TouchRoutedEventArgs

public class ManipulationDeltaEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、ManipulationDeltaEventArgs クラスの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationDelta(sender As Object, e As ManipulationDeltaEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationDelta" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationDelta(object sender, ManipulationDeltaEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationDelta" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ManipulationDeltaEventArgs メンバ

ManipulationDeltaEventArgs メンバ

ManipulationDeltaEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cumulative | マニピュレーションの開始時点以降の全体的な変更を取得します。
パブリック プロパティ | Delta | 現在のマニピュレーションの直近の変更を ManipulationDelta として取得します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | IsInertia |
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | マニピュレーションが開始されたときの位置を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Velocities | マニピュレーションの直近の変更の速度を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Complete | マニピュレーションを慣性運動なしで完了します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ManipulationDeltaEventArgs プロパティ

ManipulationDeltaEventArgs プロパティ

ManipulationDeltaEventArgs クラスのプロパティは以下のとおりです。ManipulationDeltaEventArgs クラスの完全なメンバ一覧については、 ManipulationDeltaEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cumulative | マニピュレーションの開始時点以降の全体的な変更を取得します。
パブリック プロパティ | Delta | 現在のマニピュレーションの直近の変更を ManipulationDelta として取得します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | IsInertia |
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | マニピュレーションが開始されたときの位置を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Velocities | マニピュレーションの直近の変更の速度を取得します。


ManipulationDeltaEventArgs.Cumulative プロパティ (GrapeCity.Win.MultiTouch)

ManipulationDeltaEventArgs.Cumulative プロパティ

マニピュレーションの開始時点以降の全体的な変更を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Cumulative As ManipulationDelta

public ManipulationDelta Cumulative { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationDelta型

マニピュレーションの開始時点以降の全体的な変更。


ManipulationDeltaEventArgs.Delta プロパティ (GrapeCity.Win.MultiTouch)

ManipulationDeltaEventArgs.Delta プロパティ

現在のマニピュレーションの直近の変更を ManipulationDelta として取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Delta As ManipulationDelta

public ManipulationDelta Delta { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationDelta型

現在のマニピュレーションの直近の変更。


ManipulationDeltaEventArgs.IsInertia プロパティ (GrapeCity.Win.MultiTouch)

ManipulationDeltaEventArgs.IsInertia プロパティ

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsInertia As Boolean

public bool IsInertia { get; }


ManipulationDeltaEventArgs.PointerDeviceType プロパティ (GrapeCity.Win.MultiTouch)

ManipulationDeltaEventArgs.PointerDeviceType プロパティ

マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property PointerDeviceType As PointerDeviceType

public PointerDeviceType PointerDeviceType { get; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

PointerDeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


ManipulationDeltaEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

ManipulationDeltaEventArgs.Position プロパティ

マニピュレーションが開始されたときの位置を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Position As Point

public Point Position { get; }

プロパティ値

System.Drawing.Point型

マニピュレーションが開始されたときの位置。


ManipulationDeltaEventArgs.Velocities プロパティ (GrapeCity.Win.MultiTouch)

ManipulationDeltaEventArgs.Velocities プロパティ

マニピュレーションの直近の変更の速度を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Velocities As ManipulationVelocities

public ManipulationVelocities Velocities { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationVelocities型

マニピュレーションの直近の変更の速度。


ManipulationDeltaEventArgs メソッド

ManipulationDeltaEventArgs メソッド

ManipulationDeltaEventArgs クラスのメソッドは以下のとおりです。ManipulationDeltaEventArgs クラスの完全なメンバ一覧については、 ManipulationDeltaEventArgsメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Complete | マニピュレーションを慣性運動なしで完了します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ManipulationDeltaEventArgs.Complete メソッド (GrapeCity.Win.MultiTouch)

ManipulationDeltaEventArgs.Complete メソッド

マニピュレーションを慣性運動なしで完了します。

構文
VB
C#
クリップボードにコピー
Public Sub Complete()

public void Complete();

戻り値

なし


ManipulationInertiaStartingEventArgs クラス

ManipulationInertiaStartingEventArgs クラス

ManipulationInertiaStarting イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.ManipulationInertiaStartingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ManipulationInertiaStartingEventArgs
    Inherits TouchRoutedEventArgs

public class ManipulationInertiaStartingEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、ManipulationInertiaStartingEventArgs クラスの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationInertiaStarting(sender As Object, e As ManipulationInertiaStartingEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationInertiaStarting" & "  Velocities: " & e.Velocities.Linear.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationInertiaStarting(object sender, ManipulationInertiaStartingEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationInertiaStarting" + "  Velocities: " + e.Velocities.Linear.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ManipulationInertiaStartingEventArgs メンバ

ManipulationInertiaStartingEventArgs メンバ

ManipulationInertiaStartingEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cumulative | マニピュレーションの開始時点以降の全体的な変更を取得します。
パブリック プロパティ | Delta | 現在のマニピュレーションの直近の変更を ManipulationDelta として取得します。
パブリック プロパティ | ExpansionBehavior | 慣性による膨張運動の減速率を取得または設定します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | RotationBehavior | 慣性による回転運動の減速率を取得または設定します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | TranslationBehavior | 慣性による平行移動運動の減速率を取得または設定します。
パブリック プロパティ | Velocities | マニピュレーションの直近の変更の速度を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ManipulationInertiaStartingEventArgs プロパティ

ManipulationInertiaStartingEventArgs プロパティ

ManipulationInertiaStartingEventArgs クラスのプロパティは以下のとおりです。ManipulationInertiaStartingEventArgs クラスの完全なメンバ一覧については、 ManipulationInertiaStartingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cumulative | マニピュレーションの開始時点以降の全体的な変更を取得します。
パブリック プロパティ | Delta | 現在のマニピュレーションの直近の変更を ManipulationDelta として取得します。
パブリック プロパティ | ExpansionBehavior | 慣性による膨張運動の減速率を取得または設定します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | RotationBehavior | 慣性による回転運動の減速率を取得または設定します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | TranslationBehavior | 慣性による平行移動運動の減速率を取得または設定します。
パブリック プロパティ | Velocities | マニピュレーションの直近の変更の速度を取得します。


ManipulationInertiaStartingEventArgs.Cumulative プロパティ (GrapeCity.Win.MultiTouch)

ManipulationInertiaStartingEventArgs.Cumulative プロパティ

マニピュレーションの開始時点以降の全体的な変更を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Cumulative As ManipulationDelta

public ManipulationDelta Cumulative { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationDelta型

マニピュレーションの開始時点以降の全体的な変更。


ManipulationInertiaStartingEventArgs.Delta プロパティ (GrapeCity.Win.MultiTouch)

ManipulationInertiaStartingEventArgs.Delta プロパティ

現在のマニピュレーションの直近の変更を ManipulationDelta として取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Delta As ManipulationDelta

public ManipulationDelta Delta { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationDelta型

現在のマニピュレーションの直近の変更。


ManipulationInertiaStartingEventArgs.ExpansionBehavior プロパティ (GrapeCity.Win.MultiTouch)

ManipulationInertiaStartingEventArgs.ExpansionBehavior プロパティ

慣性による膨張運動の減速率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property ExpansionBehavior As InertiaExpansionBehavior

public InertiaExpansionBehavior ExpansionBehavior { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.InertiaExpansionBehavior型

慣性による膨張運動の減速率。


ManipulationInertiaStartingEventArgs.PointerDeviceType プロパティ (GrapeCity.Win.MultiTouch)

ManipulationInertiaStartingEventArgs.PointerDeviceType プロパティ

マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property PointerDeviceType As PointerDeviceType

public PointerDeviceType PointerDeviceType { get; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

PointerDeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


ManipulationInertiaStartingEventArgs.RotationBehavior プロパティ (GrapeCity.Win.MultiTouch)

ManipulationInertiaStartingEventArgs.RotationBehavior プロパティ

慣性による回転運動の減速率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property RotationBehavior As InertiaRotationBehavior

public InertiaRotationBehavior RotationBehavior { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.InertiaRotationBehavior型

慣性による回転運動の減速率。


ManipulationInertiaStartingEventArgs.TranslationBehavior プロパティ (GrapeCity.Win.MultiTouch)

ManipulationInertiaStartingEventArgs.TranslationBehavior プロパティ

慣性による平行移動運動の減速率を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property TranslationBehavior As InertiaTranslationBehavior

public InertiaTranslationBehavior TranslationBehavior { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.InertiaTranslationBehavior型

慣性による平行移動運動の減速率。


ManipulationInertiaStartingEventArgs.Velocities プロパティ (GrapeCity.Win.MultiTouch)

ManipulationInertiaStartingEventArgs.Velocities プロパティ

マニピュレーションの直近の変更の速度を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Velocities As ManipulationVelocities

public ManipulationVelocities Velocities { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationVelocities型

マニピュレーションの直近の変更の速度。


ManipulationModes 列挙体

ManipulationModes 列挙体

ターゲットコントロールがマニピュレーションイベントをどのように解釈するかを指定します。この列挙体の値を組み合わせて複数のモードを設定できます。

この列挙体には、メンバ値をビットごとに演算するための FlagsAttribute 属性が含まれています。

構文
VB
C#
クリップボードにコピー
Public Enum ManipulationModes

public enum ManipulationModes
メンバ
メンバ名 | 説明
511 - All | すべてのマニピュレーションモードを有効にします。
0 - None | マニピュレーションイベントによるグラフィック操作を行いません。
1 - TranslateX | ターゲットを X 軸方向に平行移動するマニピュレーションアクションを許可します。
2 - TranslateY | ターゲットを Y 軸方向に平行移動するマニピュレーションアクションを許可します。
4 - TranslateRailsX | レールモードを使用してターゲットを X 軸方向に平行移動するマニピュレーションアクションを許可します。
8 - TranslateRailsY | レールモードを使用してターゲットを Y 軸方向に平行移動するマニピュレーションアクションを許可します。
16 - Rotate | ターゲットを回転させるマニピュレーションアクションを許可します。
32 - Scale | ターゲットを拡大/縮小するマニピュレーションアクションを許可します。
64 - TranslateInertia | 平行移動アクションに慣性を適用します。
128 - RotateInertia | 回転アクションに慣性を適用します。
256 - ScaleInertia | 拡大/縮小アクションに慣性を適用します。
参照
GrapeCity.Win.MultiTouch 名前空間


ManipulationPivot クラス

ManipulationPivot クラス

単一のユーザー入力ポイントで回転がどのように行われるかを指定します。このクラスは継承できません。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ManipulationPivot

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
NotInheritable Public Class ManipulationPivot

public sealed class ManipulationPivot
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ManipulationPivot メンバ

ManipulationPivot メンバ

ManipulationPivot クラス 概要

コンストラクタ
表示：継承 プロテクト
 | 名前 | 説明
パブリック コンストラクタ | ManipulationPivot | オーバーロード。 ManipulationPivot クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Center | 回転操作の中心点を取得または設定します。
パブリック プロパティ | Radius | 回転操作の有効な回転半径を取得または設定します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ManipulationPivot コンストラクタ (GrapeCity.Win.MultiTouch)

ManipulationPivot コンストラクタ

ManipulationPivot クラスの新しいインスタンスを初期化します。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | ManipulationPivot() | ManipulationPivot クラスの新しいインスタンスを初期化します。
パブリック メソッド | ManipulationPivot(Point, Double) | ManipulationPivot クラスの新しいインスタンスを初期化します。


ManipulationPivot コンストラクタ () (GrapeCity.Win.MultiTouch)

ManipulationPivot コンストラクタ ()

ManipulationPivot クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public ManipulationPivot();

戻り値

なし


ManipulationPivot コンストラクタ (Point, Double) (GrapeCity.Win.MultiTouch)

ManipulationPivot コンストラクタ (Point, Double)

ManipulationPivot クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New( _
   ByVal center As Point, _
   ByVal radius As Double _
)

public ManipulationPivot(
   Point center,
   double radius
);

パラメータ

center
中心。
radius
半径。

戻り値

なし


ManipulationPivot プロパティ

ManipulationPivot プロパティ

ManipulationPivot クラスのプロパティは以下のとおりです。ManipulationPivot クラスの完全なメンバ一覧については、 ManipulationPivotメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Center | 回転操作の中心点を取得または設定します。
パブリック プロパティ | Radius | 回転操作の有効な回転半径を取得または設定します。


ManipulationPivot.Center プロパティ (GrapeCity.Win.MultiTouch)

ManipulationPivot.Center プロパティ

回転操作の中心点を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Center As Point

public Point Center { get; set; }

プロパティ値

System.Drawing.Point型

回転操作の中心点。


ManipulationPivot.Radius プロパティ (GrapeCity.Win.MultiTouch)

ManipulationPivot.Radius プロパティ

回転操作の有効な回転半径を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Radius As Single

public float Radius { get; set; }

プロパティ値

System.Single型

ピクセル単位の値。


ManipulationStartedEventArgs クラス

ManipulationStartedEventArgs クラス

ManipulationStarted イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.ManipulationStartedEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ManipulationStartedEventArgs
    Inherits TouchRoutedEventArgs

public class ManipulationStartedEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、ManipulationStartedEventArgs クラスの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationStarted(sender As Object, e As ManipulationStartedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationStarted" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationStarted(object sender, ManipulationStartedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationStarted" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ManipulationStartedEventArgs メンバ

ManipulationStartedEventArgs メンバ

ManipulationStartedEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cumulative | マニピュレーションの開始時点以降の全体的な変更を取得します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerCount | タッチポイントの数を取得します。
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | マニピュレーションが開始されたときの位置を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Complete | マニピュレーションを慣性運動なしで完了します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ManipulationStartedEventArgs プロパティ

ManipulationStartedEventArgs プロパティ

ManipulationStartedEventArgs クラスのプロパティは以下のとおりです。ManipulationStartedEventArgs クラスの完全なメンバ一覧については、 ManipulationStartedEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Cumulative | マニピュレーションの開始時点以降の全体的な変更を取得します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerCount | タッチポイントの数を取得します。
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | マニピュレーションが開始されたときの位置を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)


ManipulationStartedEventArgs.Cumulative プロパティ (GrapeCity.Win.MultiTouch)

ManipulationStartedEventArgs.Cumulative プロパティ

マニピュレーションの開始時点以降の全体的な変更を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Cumulative As ManipulationDelta

public ManipulationDelta Cumulative { get; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationDelta型

マニピュレーションの開始時点以降の全体的な変更。


ManipulationStartedEventArgs.PointerCount プロパティ (GrapeCity.Win.MultiTouch)

ManipulationStartedEventArgs.PointerCount プロパティ

タッチポイントの数を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property PointerCount As Integer

public int PointerCount { get; }

プロパティ値

System.Int32型

タッチポイントの数を表す Int32 値。


ManipulationStartedEventArgs.PointerDeviceType プロパティ (GrapeCity.Win.MultiTouch)

ManipulationStartedEventArgs.PointerDeviceType プロパティ

マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property PointerDeviceType As PointerDeviceType

public PointerDeviceType PointerDeviceType { get; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

PointerDeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


ManipulationStartedEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

ManipulationStartedEventArgs.Position プロパティ

マニピュレーションが開始されたときの位置を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Position As Point

public Point Position { get; }

プロパティ値

System.Drawing.Point型

マニピュレーションが開始されたときの位置。


ManipulationStartedEventArgs メソッド

ManipulationStartedEventArgs メソッド

ManipulationStartedEventArgs クラスのメソッドは以下のとおりです。ManipulationStartedEventArgs クラスの完全なメンバ一覧については、 ManipulationStartedEventArgsメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Complete | マニピュレーションを慣性運動なしで完了します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ManipulationStartedEventArgs.Complete メソッド (GrapeCity.Win.MultiTouch)

ManipulationStartedEventArgs.Complete メソッド

マニピュレーションを慣性運動なしで完了します。

構文
VB
C#
クリップボードにコピー
Public Sub Complete()

public void Complete();

戻り値

なし


ManipulationStartingEventArgs クラス

ManipulationStartingEventArgs クラス

ManipulationStarting イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.ManipulationStartingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ManipulationStartingEventArgs
    Inherits TouchRoutedEventArgs

public class ManipulationStartingEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、ManipulationStartingEventArgs クラスの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_ManipulationStarting(sender As Object, e As ManipulationStartingEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: ManipulationStarting" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_ManipulationStarting(object sender, ManipulationStartingEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: ManipulationStarting" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ManipulationStartingEventArgs メンバ

ManipulationStartingEventArgs メンバ

ManipulationStartingEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Mode | 実行できるマニピュレーションのタイプを取得または設定します。
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Pivot | 単一ポイント操作の中心を表すオブジェクトを取得または設定します。
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | マニピュレーションが開始されたときの位置を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ManipulationStartingEventArgs プロパティ

ManipulationStartingEventArgs プロパティ

ManipulationStartingEventArgs クラスのプロパティは以下のとおりです。ManipulationStartingEventArgs クラスの完全なメンバ一覧については、 ManipulationStartingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Mode | 実行できるマニピュレーションのタイプを取得または設定します。
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Pivot | 単一ポイント操作の中心を表すオブジェクトを取得または設定します。
パブリック プロパティ | PointerDeviceType | マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | マニピュレーションが開始されたときの位置を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)


ManipulationStartingEventArgs.Mode プロパティ (GrapeCity.Win.MultiTouch)

ManipulationStartingEventArgs.Mode プロパティ

実行できるマニピュレーションのタイプを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Mode As ManipulationModes

public ManipulationModes Mode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationModes型

ManipulationModes 値の 1 つ。デフォルトは All です。

Modeの値 | 説明
511 - All | すべてのマニピュレーションモードを有効にします。
0 - None | マニピュレーションイベントによるグラフィック操作を行いません。
1 - TranslateX | ターゲットを X 軸方向に平行移動するマニピュレーションアクションを許可します。
2 - TranslateY | ターゲットを Y 軸方向に平行移動するマニピュレーションアクションを許可します。
4 - TranslateRailsX | レールモードを使用してターゲットを X 軸方向に平行移動するマニピュレーションアクションを許可します。
8 - TranslateRailsY | レールモードを使用してターゲットを Y 軸方向に平行移動するマニピュレーションアクションを許可します。
16 - Rotate | ターゲットを回転させるマニピュレーションアクションを許可します。
32 - Scale | ターゲットを拡大/縮小するマニピュレーションアクションを許可します。
64 - TranslateInertia | 平行移動アクションに慣性を適用します。
128 - RotateInertia | 回転アクションに慣性を適用します。
256 - ScaleInertia | 拡大/縮小アクションに慣性を適用します。


ManipulationStartingEventArgs.Pivot プロパティ (GrapeCity.Win.MultiTouch)

ManipulationStartingEventArgs.Pivot プロパティ

単一ポイント操作の中心を表すオブジェクトを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Pivot As ManipulationPivot

public ManipulationPivot Pivot { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ManipulationPivot型

単一ポイント操作の中心を表すオブジェクト。


ManipulationStartingEventArgs.PointerDeviceType プロパティ (GrapeCity.Win.MultiTouch)

ManipulationStartingEventArgs.PointerDeviceType プロパティ

マニピュレーションに関与したポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property PointerDeviceType As PointerDeviceType

public PointerDeviceType PointerDeviceType { get; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

PointerDeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


ManipulationStartingEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

ManipulationStartingEventArgs.Position プロパティ

マニピュレーションが開始されたときの位置を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Position As Point

public Point Position { get; }

プロパティ値

System.Drawing.Point型

マニピュレーションが開始されたときの位置。


ManipulationVelocities クラス

ManipulationVelocities クラス

現在のマニピュレーションにおける累積された変換の速度を格納します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ManipulationVelocities

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ManipulationVelocities

public class ManipulationVelocities
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ManipulationVelocities メンバ

ManipulationVelocities メンバ

ManipulationVelocities クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Angular | 回転速度（ミリ秒あたりの度単位）を取得します。
パブリック プロパティ | Expansion | 膨張（または拡大/縮小）速度（ミリ秒あたりの DIP 単位）を取得します。
パブリック プロパティ | Linear | 直線速度（ミリ秒あたりの DIP 単位）を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ManipulationVelocities プロパティ

ManipulationVelocities プロパティ

ManipulationVelocities クラスのプロパティは以下のとおりです。ManipulationVelocities クラスの完全なメンバ一覧については、 ManipulationVelocitiesメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Angular | 回転速度（ミリ秒あたりの度単位）を取得します。
パブリック プロパティ | Expansion | 膨張（または拡大/縮小）速度（ミリ秒あたりの DIP 単位）を取得します。
パブリック プロパティ | Linear | 直線速度（ミリ秒あたりの DIP 単位）を取得します。


ManipulationVelocities.Angular プロパティ (GrapeCity.Win.MultiTouch)

ManipulationVelocities.Angular プロパティ

回転速度（ミリ秒あたりの度単位）を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Angular As Single

public float Angular { get; }

プロパティ値

System.Single型

回転速度（ミリ秒あたりの度単位）。


ManipulationVelocities.Expansion プロパティ (GrapeCity.Win.MultiTouch)

ManipulationVelocities.Expansion プロパティ

膨張（または拡大/縮小）速度（ミリ秒あたりの DIP 単位）を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Expansion As Single

public float Expansion { get; }

プロパティ値

System.Single型

膨張（または拡大/縮小）速度（ミリ秒あたりの DIP 単位）。


ManipulationVelocities.Linear プロパティ (GrapeCity.Win.MultiTouch)

ManipulationVelocities.Linear プロパティ

直線速度（ミリ秒あたりの DIP 単位）を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Linear As PointF

public PointF Linear { get; }

プロパティ値

System.Drawing.PointF型

直線速度（ミリ秒あたりの DIP 単位）。


MessageWhenClose 列挙体

MessageWhenClose 列挙体

拡大鏡を閉じるときのアクションを指定します。

構文
VB
C#
クリップボードにコピー
Public Enum MessageWhenClose

public enum MessageWhenClose
メンバ
メンバ名 | 説明
0 - None | 追加メッセージを生成しません。
1 - LeftClick | ターゲットコントロールの左クリックを生成します。
2 - RightClick | ターゲットコントロールの右クリックを生成します。
参照
GrapeCity.Win.MultiTouch 名前空間


MessageWhenMove 列挙体

MessageWhenMove 列挙体

拡大鏡を移動するときのアクションを指定します。

構文
VB
C#
クリップボードにコピー
Public Enum MessageWhenMove

public enum MessageWhenMove
メンバ
メンバ名 | 説明
0 - None | 追加メッセージを生成しません。GcMagnifier はデフォルトの移動メッセージをブロックします。
1 - Move | 指が動いたときにマウス移動メッセージを連続的にコントロールに送信します。
2 - LeftDown | GcMagnifier はデフォルトのマウス移動メッセージをブロックし、マウスダウンメッセージを連続的にターゲットコントロールに送信します。
参照
GrapeCity.Win.MultiTouch 名前空間


MonthCalendarZoomPolicy クラス

MonthCalendarZoomPolicy クラス

MonthCalendar 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.MonthCalendarZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class MonthCalendarZoomPolicy
    Inherits ControlZoomPolicy

public class MonthCalendarZoomPolicy : ControlZoomPolicy
解説

MonthCalendar のフォントと境界を変更することは妥当でないため、このズームポリシーは MonthCalendar の位置を変更するだけです。ズームインした後、MonthCalendar は空白スペースの中央に移動します。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


MonthCalendarZoomPolicy メンバ

MonthCalendarZoomPolicy メンバ

MonthCalendarZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
MonthCalendarZoomPolicy | MonthCalendarZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


MonthCalendarZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

MonthCalendarZoomPolicy コンストラクタ

MonthCalendarZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public MonthCalendarZoomPolicy();

戻り値

なし


MonthCalendarZoomPolicy プロパティ

MonthCalendarZoomPolicy プロパティ

MonthCalendarZoomPolicy クラスのプロパティは以下のとおりです。MonthCalendarZoomPolicy クラスの完全なメンバ一覧については、 MonthCalendarZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


MonthCalendarZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

MonthCalendarZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


MonthCalendarZoomPolicy メソッド

MonthCalendarZoomPolicy メソッド

MonthCalendarZoomPolicy クラスのメソッドは以下のとおりです。MonthCalendarZoomPolicy クラスの完全なメンバ一覧については、 MonthCalendarZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


MonthCalendarZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

MonthCalendarZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

詳細については、MonthCalendarZoomPolicy を参照してください。


MouseWheelScrollMode 列挙体

MouseWheelScrollMode 列挙体

マウスホイールスクロールのタイプを指定します。

この列挙体には、メンバ値をビットごとに演算するための FlagsAttribute 属性が含まれています。

構文
VB
C#
クリップボードにコピー
Public Enum MouseWheelScrollMode

public enum MouseWheelScrollMode
メンバ
メンバ名 | 説明
0 - None | ホイールによってスクロールしません。
1 - VerticalScrollByWheel | ホイールによって垂直方向にスクロールします。
2 - HorizontalScrollByShiftWheel | ［Shift］キーを押しながらホイールを回すことによって水平方向にスクロールします。
参照
GrapeCity.Win.MultiTouch 名前空間


NoZoomFontZoomPolicy クラス

NoZoomFontZoomPolicy クラス

フォントをズームしないコントロールの基本ズームポリシーを表します。このクラスは abstract (Visual Basic では MustInherit) なので、インスタンス化できません。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.NoZoomFontZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
MustInherit Public Class NoZoomFontZoomPolicy
    Inherits ZoomPolicy

public abstract class NoZoomFontZoomPolicy : ZoomPolicy
解説

デフォルトでは、コントロールのフォントは親から継承されるので、親のフォントが変更された場合はその子コントロールのフォントも変更されます。このズームポリシーを使用すると、この継承関係を破棄してコントロールのフォントを維持できます。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


NoZoomFontZoomPolicy メンバ

NoZoomFontZoomPolicy メンバ

NoZoomFontZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
NoZoomFontZoomPolicy | NoZoomFontZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | このポリシーを使用できるコントロール型を示す型を取得します。 (ZoomPolicy から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | コントロールの境界をズームします。 (ZoomPolicy から継承されます)
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


NoZoomFontZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

NoZoomFontZoomPolicy コンストラクタ

NoZoomFontZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Protected Sub New()

protected NoZoomFontZoomPolicy();

戻り値

なし


NoZoomFontZoomPolicy メソッド

NoZoomFontZoomPolicy メソッド

NoZoomFontZoomPolicy クラスのメソッドは以下のとおりです。NoZoomFontZoomPolicy クラスの完全なメンバ一覧については、 NoZoomFontZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | コントロールの境界をズームします。 (ZoomPolicy から継承されます)
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


NoZoomFontZoomPolicy.Initialize メソッド (GrapeCity.Win.MultiTouch)

NoZoomFontZoomPolicy.Initialize メソッド

ズームアクションが開始する前にコントロールを初期化します。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Initialize( _
   ByVal control As Control _
)

public override void Initialize(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

このメソッドは、コントロールがズームされる前に呼び出されます。コントロールの中には、親コントロールが変更されたときに境界/フォントが変更されるものがあります。ユーザーは親を変更する前にこのメソッドでオリジナルの境界/フォントをキャッシュできます。そして、ZoomBounds および ZoomFont メソッドでこのキャッシュされた値を使用します。

注意に関するメモ 注意

必ずしもすべてのコントロールでこのメソッドを処理する必要はありません。


NoZoomFontZoomPolicy.Terminate メソッド (GrapeCity.Win.MultiTouch)

NoZoomFontZoomPolicy.Terminate メソッド

ズームアクションが完了した後にコントロールの終了処理を行います。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Terminate( _
   ByVal control As Control _
)

public override void Terminate(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

すべてのキャッシュをクリアし、Initialize メソッドで設定された個別の設定を復元します。

注意に関するメモ 注意

このメソッドは、コントロールがズームされた後に呼び出されます。


NoZoomFontZoomPolicy.ZoomFont メソッド (GrapeCity.Win.MultiTouch)

NoZoomFontZoomPolicy.ZoomFont メソッド

コントロールのフォントをズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomFont( _
   ByVal control As Control, _
   ByVal infos As ZoomFontInfo _
)

public override void ZoomFont(
   Control control,
   ZoomFontInfo infos
);

パラメータ

control
指定したコントロール。
infos
フォントのズームを支援するために GcZoom によって提供される ZoomFontInfo 型の情報。

戻り値

なし
解説

デフォルトのロジックでは、コントロールのフォントが変更されます。コントロールに変更しなければならない他のフォントがある場合は、このメソッドにロジックを追加できます。


PictureBoxZoomPolicy クラス

PictureBoxZoomPolicy クラス

PictureBox 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.PictureBoxZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class PictureBoxZoomPolicy
    Inherits ControlZoomPolicy

public class PictureBoxZoomPolicy : ControlZoomPolicy
解説

このズームポリシーは、SizeMode が AutoSize、CenterImage、Normal のいずれかである場合、ZoomFactor が 1 より大きいときに SizeMode を Zoom に変更します。ZoomFactor が 1 に変更されると、SizeMode は元に戻ります。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


PictureBoxZoomPolicy メンバ

PictureBoxZoomPolicy メンバ

PictureBoxZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
PictureBoxZoomPolicy | PictureBoxZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


PictureBoxZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

PictureBoxZoomPolicy コンストラクタ

PictureBoxZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public PictureBoxZoomPolicy();

戻り値

なし


PictureBoxZoomPolicy プロパティ

PictureBoxZoomPolicy プロパティ

PictureBoxZoomPolicy クラスのプロパティは以下のとおりです。PictureBoxZoomPolicy クラスの完全なメンバ一覧については、 PictureBoxZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


PictureBoxZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

PictureBoxZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


PictureBoxZoomPolicy メソッド

PictureBoxZoomPolicy メソッド

PictureBoxZoomPolicy クラスのメソッドは以下のとおりです。PictureBoxZoomPolicy クラスの完全なメンバ一覧については、 PictureBoxZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


PictureBoxZoomPolicy.Initialize メソッド (GrapeCity.Win.MultiTouch)

PictureBoxZoomPolicy.Initialize メソッド

ズームアクションが開始する前にコントロールを初期化します。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Initialize( _
   ByVal control As Control _
)

public override void Initialize(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

このメソッドは、コントロールがズームされる前に呼び出されます。コントロールの中には、親コントロールが変更されたときに境界/フォントが変更されるものがあります。ユーザーは親を変更する前にこのメソッドでオリジナルの境界/フォントをキャッシュできます。そして、ZoomBounds および ZoomFont メソッドでこのキャッシュされた値を使用します。

詳細については、PictureBoxZoomPolicy を参照してください。


PictureBoxZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

PictureBoxZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

詳細については、PictureBoxZoomPolicy を参照してください。


PictureBoxZoomPolicy.ZoomFont メソッド (GrapeCity.Win.MultiTouch)

PictureBoxZoomPolicy.ZoomFont メソッド

コントロールのフォントをズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomFont( _
   ByVal control As Control, _
   ByVal infos As ZoomFontInfo _
)

public override void ZoomFont(
   Control control,
   ZoomFontInfo infos
);

パラメータ

control
指定したコントロール。
infos
フォントのズームを支援するために GcZoom によって提供される ZoomFontInfo 型の情報。

戻り値

なし
解説

詳細については、PictureBoxZoomPolicy を参照してください。


PointerDeviceType 列挙体

PointerDeviceType 列挙体

ポインタデバイスのタイプを列挙します。

構文
VB
C#
クリップボードにコピー
Public Enum PointerDeviceType

public enum PointerDeviceType
解説

注意に関するメモ 注意

GcTouchEventProvider はマウスポインタタイプをサポートしておらず、ペンまたはタッチのみがポインタイベントを発生させることができます。

メンバ
メンバ名 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン
参照
GrapeCity.Win.MultiTouch 名前空間


PointerEventArgs クラス

PointerEventArgs クラス

GcTouchEventProvider に関連するポインタメッセージイベント（PointerPressed など）のイベントデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.PointerEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class PointerEventArgs
    Inherits TouchRoutedEventArgs

public class PointerEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、PointerEventArgs クラスの使用方法を示します。

このサンプルコードは、PointerPressed イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_PointerPressed(sender As Object, e As PointerEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: PointerPressed" & "  X: " & e.Position.X.ToString() & " Y: " & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_PointerPressed(object sender, PointerEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: PointerPressed" + "  X: " + e.Position.X.ToString() + " Y: " + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


PointerEventArgs メンバ

PointerEventArgs メンバ

PointerEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | DeviceType | ポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | ID | このポインタ参照用のシステム生成識別子を取得します。
パブリック プロパティ | IsInContact | イベントが報告されたときにポインタデバイスがセンサーまたはデジタイザーに接触していたかどうかを示す値を取得します。
パブリック プロパティ | IsInRange | イベントが報告されたときにポインタデバイスがセンサーまたはデジタイザーの検出範囲内にあったかどうかを示す値を取得します。
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Position | 完了時のタッチ入力の位置を示す x および y 座標（コントロール座標）を取得します。
パブリック プロパティ | Properties | 入力ポインタに関する拡張情報を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


PointerEventArgs プロパティ

PointerEventArgs プロパティ

PointerEventArgs クラスのプロパティは以下のとおりです。PointerEventArgs クラスの完全なメンバ一覧については、 PointerEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | DeviceType | ポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | ID | このポインタ参照用のシステム生成識別子を取得します。
パブリック プロパティ | IsInContact | イベントが報告されたときにポインタデバイスがセンサーまたはデジタイザーに接触していたかどうかを示す値を取得します。
パブリック プロパティ | IsInRange | イベントが報告されたときにポインタデバイスがセンサーまたはデジタイザーの検出範囲内にあったかどうかを示す値を取得します。
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | Position | 完了時のタッチ入力の位置を示す x および y 座標（コントロール座標）を取得します。
パブリック プロパティ | Properties | 入力ポインタに関する拡張情報を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)


PointerEventArgs.DeviceType プロパティ (GrapeCity.Win.MultiTouch)

PointerEventArgs.DeviceType プロパティ

ポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property DeviceType As PointerDeviceType

public PointerDeviceType DeviceType { get; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

DeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


PointerEventArgs.ID プロパティ (GrapeCity.Win.MultiTouch)

PointerEventArgs.ID プロパティ

このポインタ参照用のシステム生成識別子を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ID As UInt32

public uint ID { get; }

プロパティ値

System.UInt32型

システム生成識別子。


PointerEventArgs.IsInContact プロパティ (GrapeCity.Win.MultiTouch)

PointerEventArgs.IsInContact プロパティ

イベントが報告されたときにポインタデバイスがセンサーまたはデジタイザーに接触していたかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsInContact As Boolean

public bool IsInContact { get; }

プロパティ値

System.Boolean型

ポインタデバイスが接触していた場合は true。それ以外の場合は false。


PointerEventArgs.IsInRange プロパティ (GrapeCity.Win.MultiTouch)

PointerEventArgs.IsInRange プロパティ

イベントが報告されたときにポインタデバイスがセンサーまたはデジタイザーの検出範囲内にあったかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsInRange As Boolean

public bool IsInRange { get; }

プロパティ値

System.Boolean型

ポインタデバイスが検出範囲内にあった場合は true。それ以外の場合は false。


PointerEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

PointerEventArgs.Position プロパティ

完了時のタッチ入力の位置を示す x および y 座標（コントロール座標）を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Position As Point

public Point Position { get; }

プロパティ値

System.Drawing.Point型

完了時のタッチ入力の位置を示す x および y 座標（コントロール座標）。


PointerEventArgs.Properties プロパティ (GrapeCity.Win.MultiTouch)

PointerEventArgs.Properties プロパティ

入力ポインタに関する拡張情報を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Properties As PointerPointProperties

public PointerPointProperties Properties { get; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerPointProperties型

入力デバイスによって公開されている拡張プロパティ。


PointerPointProperties クラス

PointerPointProperties クラス

PointerEventArgs オブジェクトの拡張プロパティを提供します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.PointerPointProperties

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class PointerPointProperties

public class PointerPointProperties
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


PointerPointProperties メンバ

PointerPointProperties メンバ

PointerPointProperties クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | ContactRect | （通常はタッチ入力から）接触領域の外接矩形を取得します。
パブリック プロパティ | ContactRectRaw | （通常はタッチ入力から）未処理入力（生データ）の外接矩形を取得します。
パブリック プロパティ | IsBarrelButtonPressed | ペン/スタイラスデバイスのバレルボタンが押されているかどうかを示す値を取得します。
パブリック プロパティ | IsCanceled | 入力がポインタデバイスによってキャンセルされたかどうかを示す値を取得します。
パブリック プロパティ | IsEraser | 入力がデジタイザーの消しゴムからのものかどうかを示す値を取得します。
パブリック プロパティ | IsInRange | 物理エンティティ（指またはペン）がデジタイザーの範囲内にあるかどうかを示す値を取得します。
パブリック プロパティ | IsInverted | デジタイザーペンが逆向きかどうかを示す値を取得します。
パブリック プロパティ | IsPrimary | 複数のポインタが登録されているときに入力がプライマリポインタからのものかどうかを示す値を取得します。
パブリック プロパティ | Orientation | ポインタデバイスの主軸（デジタイザーのサーフェイスに対して垂直な z 軸）を中心とする反時計回りの回転角度を取得します。0.0° の値は、デバイスがデジタイザーの上方を向いていることを示します。
パブリック プロパティ | Pressure | ポインタデバイス（通常はペン/スタイラス）がデジタイザーのサーフェイスに与える力を示す値を取得します。
パブリック プロパティ | TouchConfidence | ポインタデバイスがタッチ接触を拒否したかどうかを示す値を取得します。
パブリック プロパティ | Twist | ペンデバイスの主軸を中心とする時計回りの回転角度を取得します（ユーザーが指でペンを回転させる場合など）。
パブリック プロパティ | XTilt | Y-Z 平面と、Y 軸と入力デバイス（通常はペン/スタイラス）の軸を含む平面との平面角を取得します。
パブリック プロパティ | YTilt | X-Z 平面と、X 軸と入力デバイス（通常はペン/スタイラス）の軸を含む平面との平面角を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


PointerPointProperties プロパティ

PointerPointProperties プロパティ

PointerPointProperties クラスのプロパティは以下のとおりです。PointerPointProperties クラスの完全なメンバ一覧については、 PointerPointPropertiesメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | ContactRect | （通常はタッチ入力から）接触領域の外接矩形を取得します。
パブリック プロパティ | ContactRectRaw | （通常はタッチ入力から）未処理入力（生データ）の外接矩形を取得します。
パブリック プロパティ | IsBarrelButtonPressed | ペン/スタイラスデバイスのバレルボタンが押されているかどうかを示す値を取得します。
パブリック プロパティ | IsCanceled | 入力がポインタデバイスによってキャンセルされたかどうかを示す値を取得します。
パブリック プロパティ | IsEraser | 入力がデジタイザーの消しゴムからのものかどうかを示す値を取得します。
パブリック プロパティ | IsInRange | 物理エンティティ（指またはペン）がデジタイザーの範囲内にあるかどうかを示す値を取得します。
パブリック プロパティ | IsInverted | デジタイザーペンが逆向きかどうかを示す値を取得します。
パブリック プロパティ | IsPrimary | 複数のポインタが登録されているときに入力がプライマリポインタからのものかどうかを示す値を取得します。
パブリック プロパティ | Orientation | ポインタデバイスの主軸（デジタイザーのサーフェイスに対して垂直な z 軸）を中心とする反時計回りの回転角度を取得します。0.0° の値は、デバイスがデジタイザーの上方を向いていることを示します。
パブリック プロパティ | Pressure | ポインタデバイス（通常はペン/スタイラス）がデジタイザーのサーフェイスに与える力を示す値を取得します。
パブリック プロパティ | TouchConfidence | ポインタデバイスがタッチ接触を拒否したかどうかを示す値を取得します。
パブリック プロパティ | Twist | ペンデバイスの主軸を中心とする時計回りの回転角度を取得します（ユーザーが指でペンを回転させる場合など）。
パブリック プロパティ | XTilt | Y-Z 平面と、Y 軸と入力デバイス（通常はペン/スタイラス）の軸を含む平面との平面角を取得します。
パブリック プロパティ | YTilt | X-Z 平面と、X 軸と入力デバイス（通常はペン/スタイラス）の軸を含む平面との平面角を取得します。


PointerPointProperties.ContactRect プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.ContactRect プロパティ

（通常はタッチ入力から）接触領域の外接矩形を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ContactRect As Rectangle

public Rectangle ContactRect { get; }

プロパティ値

System.Drawing.Rectangle型

デバイス非依存ピクセル（DIP）単位で表された、接触領域の外接矩形（クライアントウィンドウ座標）。

解説

ContactRect には、システムによって解釈された接触領域の外接矩形が格納されます。入力予測を行うときなど、状況によっては、デジタイザーでのポインタ位置の検出および処理に固有の遅延が原因で生じるハードウェア遅延またはメッセージ遅延を補正するために、システムがこのデータを変更する場合があります。

未処理入力データの詳細については、ContactRectRaw を参照してください。


PointerPointProperties.ContactRectRaw プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.ContactRectRaw プロパティ

（通常はタッチ入力から）未処理入力（生データ）の外接矩形を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property ContactRectRaw As Rectangle

public Rectangle ContactRectRaw { get; }

プロパティ値

System.Drawing.Rectangle型

デバイス非依存ピクセル（DIP）単位で表された、未処理入力の外接矩形。

解説

ContactRectRaw には、入力デバイスによって報告された未処理入力の外接矩形が格納されます。入力予測を行うときなど、状況によっては、デジタイザーでのポインタ位置の検出および処理に固有の遅延が原因で生じるハードウェア遅延またはメッセージ遅延を補正するために、システムがこのデータを変更する場合があります。

変更された入力データの取り扱いの詳細については、ContactRect を参照してください。


PointerPointProperties.IsBarrelButtonPressed プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.IsBarrelButtonPressed プロパティ

ペン/スタイラスデバイスのバレルボタンが押されているかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsBarrelButtonPressed As Boolean

public bool IsBarrelButtonPressed { get; }

プロパティ値

System.Boolean型

バレルボタンが押されている場合は true。それ以外の場合は false。


PointerPointProperties.IsCanceled プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.IsCanceled プロパティ

入力がポインタデバイスによってキャンセルされたかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsCanceled As Boolean

public bool IsCanceled { get; }

プロパティ値

System.Boolean型

入力がキャンセルされた場合は true。それ以外の場合は false。

解説

ポインタ入力は、以下のようなさまざまな理由でキャンセルされることがあります。

  • パームリジェクション
  • 入力調停（ペン/スタイラスが近接していてタッチ入力が無効になる、など）
  • デバイスの取り外し
  • 無効な状態遷移
  • 画面の回転
  • デスクトップの切り替え


PointerPointProperties.IsEraser プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.IsEraser プロパティ

入力がデジタイザーの消しゴムからのものかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsEraser As Boolean

public bool IsEraser { get; }

プロパティ値

System.Boolean型

デジタイザーの消しゴムからの入力である場合は true。それ以外の場合は false。


PointerPointProperties.IsInRange プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.IsInRange プロパティ

物理エンティティ（指またはペン）がデジタイザーの範囲内にあるかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsInRange As Boolean

public bool IsInRange { get; }

プロパティ値

System.Boolean型

範囲内にある場合は true。それ以外の場合は false。


PointerPointProperties.IsInverted プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.IsInverted プロパティ

デジタイザーペンが逆向きかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsInverted As Boolean

public bool IsInverted { get; }

プロパティ値

System.Boolean型

逆向きの場合は true。それ以外の場合は false。


PointerPointProperties.IsPrimary プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.IsPrimary プロパティ

複数のポインタが登録されているときに入力がプライマリポインタからのものかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property IsPrimary As Boolean

public bool IsPrimary { get; }

プロパティ値

System.Boolean型

プライマリとして指定されたポインタからの入力である場合は true。それ以外の場合は false。

解説

プライマリポインタは、他のポインタでは使用できないアクションを実行できます。たとえば、ウィンドウに接触するときに WM_POINTERACTIVATE メッセージを送信できます。


PointerPointProperties.Orientation プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.Orientation プロパティ

ポインタデバイスの主軸（デジタイザーのサーフェイスに対して垂直な z 軸）を中心とする反時計回りの回転角度を取得します。0.0° の値は、デバイスがデジタイザーの上方を向いていることを示します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Orientation As Single

public float Orientation { get; }

プロパティ値

System.Single型

回転角度を示す 0.0 ～ 359.0 の値。デフォルト値は 0.0 です。

解説

この方向は方位角とも呼ばれます。


PointerPointProperties.Pressure プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.Pressure プロパティ

ポインタデバイス（通常はペン/スタイラス）がデジタイザーのサーフェイスに与える力を示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Pressure As Single

public float Pressure { get; }

プロパティ値

System.Single型

0 ～ 1.0 の値。デフォルト値は 0.5 です。


PointerPointProperties.TouchConfidence プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.TouchConfidence プロパティ

ポインタデバイスがタッチ接触を拒否したかどうかを示す値を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property TouchConfidence As Boolean

public bool TouchConfidence { get; }

プロパティ値

System.Boolean型

タッチ接触が受け入れられた場合は true。それ以外の場合は false。


PointerPointProperties.Twist プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.Twist プロパティ

ペンデバイスの主軸を中心とする時計回りの回転角度を取得します（ユーザーが指でペンを回転させる場合など）。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Twist As Single

public float Twist { get; }

プロパティ値

System.Single型

回転角度を示す 0.0 ～ 359.0 の値。デフォルト値は 0.0 です。


PointerPointProperties.XTilt プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.XTilt プロパティ

Y-Z 平面と、Y 軸と入力デバイス（通常はペン/スタイラス）の軸を含む平面との平面角を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property XTilt As Single

public float XTilt { get; }

プロパティ値

System.Single型

この値は、指またはペンがデジタイザーのサーフェイスに対して垂直なときは 0.0、右に傾いているときは 0.0 ～ 179.0、左に傾いているときは 0.0 ～ -179.0 になります。デフォルト値は 0.0 です。


PointerPointProperties.YTilt プロパティ (GrapeCity.Win.MultiTouch)

PointerPointProperties.YTilt プロパティ

X-Z 平面と、X 軸と入力デバイス（通常はペン/スタイラス）の軸を含む平面との平面角を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property YTilt As Single

public float YTilt { get; }

プロパティ値

System.Single型

この値は、指またはペンがデジタイザーのサーフェイスに対して垂直なときは 0.0、ユーザーに向かって傾いているときは 0.0 ～ 179.0、ユーザーから離れる方向に傾いているときは 0.0 ～ -179.0 になります。デフォルト値は 0.0 です。


PositionMode 列挙体

PositionMode 列挙体

ControlBar ウィンドウの位置モードを指定します。

構文
VB
C#
クリップボードにコピー
Public Enum PositionMode

public enum PositionMode
メンバ
メンバ名 | 説明
0 - Dock | コントロールバーを親フォームにドッキングします。親フォームのサイズを変更すると、コントロールバーの位置が調整されます。
1 - Floating | ユーザーがプログラムコードまたは UI のドラッグ操作によってコントロールバーの位置を変更できます。
2 - Fixed | プログラムコードによってコントロールバーの位置を変更することは可能ですが、UI のドラッグ操作によって位置を変更することはできません。
参照
GrapeCity.Win.MultiTouch 名前空間


PropertyGridZoomPolicy クラス

PropertyGridZoomPolicy クラス

PropertyGrid 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.PropertyGridZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class PropertyGridZoomPolicy
    Inherits ControlZoomPolicy

public class PropertyGridZoomPolicy : ControlZoomPolicy
解説

PropertyGrid は何らかの内部レイアウトロジックを持つため、CanZoomChildren は常に false を返します。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


PropertyGridZoomPolicy メンバ

PropertyGridZoomPolicy メンバ

PropertyGridZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
PropertyGridZoomPolicy | PropertyGridZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。PropertyGridZoomPolicy では常に false を返します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。 (ControlZoomPolicy から継承されます)
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


PropertyGridZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

PropertyGridZoomPolicy コンストラクタ

PropertyGridZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public PropertyGridZoomPolicy();

戻り値

なし


PropertyGridZoomPolicy プロパティ

PropertyGridZoomPolicy プロパティ

PropertyGridZoomPolicy クラスのプロパティは以下のとおりです。PropertyGridZoomPolicy クラスの完全なメンバ一覧については、 PropertyGridZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


PropertyGridZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

PropertyGridZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


PropertyGridZoomPolicy メソッド

PropertyGridZoomPolicy メソッド

PropertyGridZoomPolicy クラスのメソッドは以下のとおりです。PropertyGridZoomPolicy クラスの完全なメンバ一覧については、 PropertyGridZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。PropertyGridZoomPolicy では常に false を返します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。 (ControlZoomPolicy から継承されます)
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


PropertyGridZoomPolicy.CanZoomChildren メソッド (GrapeCity.Win.MultiTouch)

PropertyGridZoomPolicy.CanZoomChildren メソッド

子コントロールをズームできるかどうかを返します。PropertyGridZoomPolicy では常に false を返します。

構文
VB
C#
クリップボードにコピー
Public Overrides Function CanZoomChildren( _
   ByVal control As Control _
) As Boolean

public override bool CanZoomChildren(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

System.Boolean 型

子コントロールをズームできる場合は true。それ以外の場合は false。

解説

PropertyGrid は何らかの内部レイアウトロジックを持つため、このメソッドは常に false を返します。


RightTappedEventArgs クラス

RightTappedEventArgs クラス

RightTapped イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.RightTappedEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class RightTappedEventArgs
    Inherits TouchRoutedEventArgs

public class RightTappedEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、RightTappedEventArgs クラスの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_RightTapped(sender As Object, e As RightTappedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: RightTapped" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_RightTapped(object sender, RightTappedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: RightTapped" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


RightTappedEventArgs メンバ

RightTappedEventArgs メンバ

RightTappedEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | 対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | ポインタ位置の x および y 座標（コントロール座標）を返します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


RightTappedEventArgs プロパティ

RightTappedEventArgs プロパティ

RightTappedEventArgs クラスのプロパティは以下のとおりです。RightTappedEventArgs クラスの完全なメンバ一覧については、 RightTappedEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | 対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | ポインタ位置の x および y 座標（コントロール座標）を返します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)


RightTappedEventArgs.PointerDeviceType プロパティ (GrapeCity.Win.MultiTouch)

RightTappedEventArgs.PointerDeviceType プロパティ

対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public Property PointerDeviceType As PointerDeviceType

public PointerDeviceType PointerDeviceType { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

PointerDeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


RightTappedEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

RightTappedEventArgs.Position プロパティ

ポインタ位置の x および y 座標（コントロール座標）を返します。

構文
VB
C#
クリップボードにコピー
Public Property Position As Point

public Point Position { get; set; }

プロパティ値

System.Drawing.Point型

ポインタ位置の x および y 座標（コントロール座標）。


ScrollIndicatorMode 列挙体

ScrollIndicatorMode 列挙体

現在のスクロール位置を示す方法を指定します。

構文
VB
C#
クリップボードにコピー
Public Enum ScrollIndicatorMode

public enum ScrollIndicatorMode
メンバ
メンバ名 | 説明
0 - None | 現在のスクロール位置を示すために何も使用しません。
1 - ScrollBar | スクロールバーを使用して現在のスクロール位置を示します。
2 - ScrollIndicator | スクロールインジケーターを使用して現在のスクロール位置を示します。
参照
GrapeCity.Win.MultiTouch 名前空間


ShowingReason 列挙体

ShowingReason 列挙体

自動スクロールによっていつコントロールが表示されるかを示す理由を指定します。

構文
VB
C#
クリップボードにコピー
Public Enum ShowingReason

public enum ShowingReason
メンバ
メンバ名 | 説明
0 - FocusChanged | コントロールがフォーカスを取得したときにコントロールを表示します。
1 - ScreenKeyboardShown | システムのタッチキーボードがポップアップしたときにコントロールを表示します。
参照
GrapeCity.Win.MultiTouch 名前空間


SplitContainerZoomPolicy クラス

SplitContainerZoomPolicy クラス

SplitContainer 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.SplitContainerZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class SplitContainerZoomPolicy
    Inherits ControlZoomPolicy

public class SplitContainerZoomPolicy : ControlZoomPolicy
解説

ズームの後、SplitContainerZoomPolicy は基本的な変更に加えて SplitterDistance と SplitterWidth を変更します。

FixedPanel プロパティが Panel1 でない場合、FixedPanel プロパティはズーム前に Panel1 に設定され、ズーム後に元に戻されます。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


SplitContainerZoomPolicy メンバ

SplitContainerZoomPolicy メンバ

SplitContainerZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
SplitContainerZoomPolicy | SplitContainerZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


SplitContainerZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

SplitContainerZoomPolicy コンストラクタ

SplitContainerZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public SplitContainerZoomPolicy();

戻り値

なし


SplitContainerZoomPolicy プロパティ

SplitContainerZoomPolicy プロパティ

SplitContainerZoomPolicy クラスのプロパティは以下のとおりです。SplitContainerZoomPolicy クラスの完全なメンバ一覧については、 SplitContainerZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


SplitContainerZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

SplitContainerZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


SplitContainerZoomPolicy メソッド

SplitContainerZoomPolicy メソッド

SplitContainerZoomPolicy クラスのメソッドは以下のとおりです。SplitContainerZoomPolicy クラスの完全なメンバ一覧については、 SplitContainerZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


SplitContainerZoomPolicy.Initialize メソッド (GrapeCity.Win.MultiTouch)

SplitContainerZoomPolicy.Initialize メソッド

ズームアクションが開始する前にコントロールを初期化します。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Initialize( _
   ByVal control As Control _
)

public override void Initialize(
   Control control
);

パラメータ

control

戻り値

なし


SplitContainerZoomPolicy.Terminate メソッド (GrapeCity.Win.MultiTouch)

SplitContainerZoomPolicy.Terminate メソッド

ズームアクションが完了した後にコントロールの終了処理を行います。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Terminate( _
   ByVal control As Control _
)

public override void Terminate(
   Control control
);

パラメータ

control

戻り値

なし


SplitContainerZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

SplitContainerZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

詳細については、SplitContainerZoomPolicy を参照してください。


TableLayoutPanelZoomPolicy クラス

TableLayoutPanelZoomPolicy クラス

TableLayoutPanel 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.TableLayoutPanelZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class TableLayoutPanelZoomPolicy
    Inherits ControlZoomPolicy

public class TableLayoutPanelZoomPolicy : ControlZoomPolicy
解説

ColumnStyles に項目が設定されていて、それらの項目の SizeType が Absolute の場合、このズームポリシーは Width を変更します。

RowStyles に項目が設定されていて、それらの項目の SizeType が Absolute の場合、このズームポリシーは Height を変更します。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


TableLayoutPanelZoomPolicy メンバ

TableLayoutPanelZoomPolicy メンバ

TableLayoutPanelZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
TableLayoutPanelZoomPolicy | TableLayoutPanelZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


TableLayoutPanelZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

TableLayoutPanelZoomPolicy コンストラクタ

TableLayoutPanelZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public TableLayoutPanelZoomPolicy();

戻り値

なし


TableLayoutPanelZoomPolicy プロパティ

TableLayoutPanelZoomPolicy プロパティ

TableLayoutPanelZoomPolicy クラスのプロパティは以下のとおりです。TableLayoutPanelZoomPolicy クラスの完全なメンバ一覧については、 TableLayoutPanelZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


TableLayoutPanelZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

TableLayoutPanelZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


TableLayoutPanelZoomPolicy メソッド

TableLayoutPanelZoomPolicy メソッド

TableLayoutPanelZoomPolicy クラスのメソッドは以下のとおりです。TableLayoutPanelZoomPolicy クラスの完全なメンバ一覧については、 TableLayoutPanelZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。 (ControlZoomPolicy から継承されます)


TableLayoutPanelZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

TableLayoutPanelZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

詳細については、TableLayoutPanelZoomPolicy を参照してください。


TappedEventArgs クラス

TappedEventArgs クラス

Tapped イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.TappedEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class TappedEventArgs
    Inherits TouchRoutedEventArgs

public class TappedEventArgs : TouchRoutedEventArgs
使用例

以下のサンプルコードは、TappedEventArgs クラスの使用方法を示します。

このサンプルコードは、GcTouchEventProvider クラスに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcTouchEventProvider_Tapped(sender As Object, e As TappedEventArgs)
    Dim log As String = "Target: " & Convert.ToString(e.TargetControl.Name) & " Event: Tapped" & "  X: " & e.Position.X.ToString() & " Y:" & e.Position.Y.ToString()
    _messageListBox.Items.Add(log)
End Sub

private void _gcTouchEventProvider_Tapped(object sender, TappedEventArgs e)
{
    string log = "Target: " + e.TargetControl.Name + " Event: Tapped" + "  X: " + e.Position.X.ToString() + " Y:" + e.Position.Y.ToString();
    _messageListBox.Items.Add(log);
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


TappedEventArgs メンバ

TappedEventArgs メンバ

TappedEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | 対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | ポインタ位置の x および y 座標（コントロール座標）を返します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


TappedEventArgs プロパティ

TappedEventArgs プロパティ

TappedEventArgs クラスのプロパティは以下のとおりです。TappedEventArgs クラスの完全なメンバ一覧については、 TappedEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。 (TouchRoutedEventArgs から継承されます)
パブリック プロパティ | PointerDeviceType | 対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。
パブリック プロパティ | Position | ポインタ位置の x および y 座標（コントロール座標）を返します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。 (TouchRoutedEventArgs から継承されます)


TappedEventArgs.PointerDeviceType プロパティ (GrapeCity.Win.MultiTouch)

TappedEventArgs.PointerDeviceType プロパティ

対応する入力イベントを発生させたポインタデバイスの PointerDeviceType を取得します。

構文
VB
C#
クリップボードにコピー
Public Property PointerDeviceType As PointerDeviceType

public PointerDeviceType PointerDeviceType { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.PointerDeviceType型

PointerDeviceType 値の 1 つ。

PointerDeviceTypeの値 | 説明
0 - Touch | タッチ対応デバイス
1 - Pen | ペン


TappedEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

TappedEventArgs.Position プロパティ

ポインタ位置の x および y 座標（コントロール座標）を返します。

構文
VB
C#
クリップボードにコピー
Public Property Position As Point

public Point Position { get; set; }

プロパティ値

System.Drawing.Point型

ポインタ位置の x および y 座標（コントロール座標）。


ToolStripZoomPolicy クラス

ToolStripZoomPolicy クラス

ToolStrip 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ToolStripZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ToolStripZoomPolicy
    Inherits ZoomPolicy

public class ToolStripZoomPolicy : ZoomPolicy
解説

ToolStripZoomPolicy は、ズーム後に ToolStrip および Items のフォントと境界を変更します。

ToolStripDropDownItem の場合は、DropDown と DropDownItems がズームします。ToolStripSplitButton の場合は、DropDownButtonWidth も変更されます。ToolStripControlHost の場合は、Control が通常のコントロールと同じようにズームします。ToolStripSeparator、ToolStripLabel、および ToolStripButton の場合は、基本的なズームポリシーだけが使用されます。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ToolStripZoomPolicy メンバ

ToolStripZoomPolicy メンバ

ToolStripZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
ToolStripZoomPolicy | ToolStripZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | オーバーライド。 コントロールに含まれるコントロールのコレクションを取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


ToolStripZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

ToolStripZoomPolicy コンストラクタ

ToolStripZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public ToolStripZoomPolicy();

戻り値

なし


ToolStripZoomPolicy プロパティ

ToolStripZoomPolicy プロパティ

ToolStripZoomPolicy クラスのプロパティは以下のとおりです。ToolStripZoomPolicy クラスの完全なメンバ一覧については、 ToolStripZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


ToolStripZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

ToolStripZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


ToolStripZoomPolicy メソッド

ToolStripZoomPolicy メソッド

ToolStripZoomPolicy クラスのメソッドは以下のとおりです。ToolStripZoomPolicy クラスの完全なメンバ一覧については、 ToolStripZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | オーバーライド。 コントロールに含まれるコントロールのコレクションを取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | オーバーライド。 ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | オーバーライド。 ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


ToolStripZoomPolicy.GetChildren メソッド (GrapeCity.Win.MultiTouch)

ToolStripZoomPolicy.GetChildren メソッド

コントロールに含まれるコントロールのコレクションを取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides Function GetChildren( _
   ByVal control As Control _
) As IEnumerable(Of Control)

public override IEnumerable<Control> GetChildren(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

System.Collections.Generic.IEnumerable<Control> 型

子。

解説

このメソッドは DropDown と Control を返します。

詳細については、ToolStripZoomPolicy を参照してください。


ToolStripZoomPolicy.Initialize メソッド (GrapeCity.Win.MultiTouch)

ToolStripZoomPolicy.Initialize メソッド

ズームアクションが開始する前にコントロールを初期化します。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Initialize( _
   ByVal control As Control _
)

public override void Initialize(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

このメソッドは、コントロールがズームされる前に呼び出されます。コントロールの中には、親コントロールが変更されたときに境界/フォントが変更されるものがあります。ユーザーは親を変更する前にこのメソッドでオリジナルの境界/フォントをキャッシュできます。そして、ZoomBounds および ZoomFont メソッドでこのキャッシュされた値を使用します。

注意に関するメモ 注意

このメソッドは SuspendLayout メソッドを呼び出します。

詳細については、ToolStripZoomPolicy を参照してください。


ToolStripZoomPolicy.Terminate メソッド (GrapeCity.Win.MultiTouch)

ToolStripZoomPolicy.Terminate メソッド

ズームアクションが完了した後にコントロールの終了処理を行います。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub Terminate( _
   ByVal control As Control _
)

public override void Terminate(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

このメソッドは ResumeLayout メソッドを呼び出します。

注意に関するメモ 注意

このメソッドは、コントロールがズームされた後に呼び出されます。

詳細については、ToolStripZoomPolicy を参照してください。


ToolStripZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

ToolStripZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

詳細については、ToolStripZoomPolicy を参照してください。


ToolStripZoomPolicy.ZoomFont メソッド (GrapeCity.Win.MultiTouch)

ToolStripZoomPolicy.ZoomFont メソッド

コントロールのフォントをズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomFont( _
   ByVal control As Control, _
   ByVal infos As ZoomFontInfo _
)

public override void ZoomFont(
   Control control,
   ZoomFontInfo infos
);

パラメータ

control
指定したコントロール。
infos
フォントのズームを支援するために GcZoom によって提供される ZoomFontInfo 型の情報。

戻り値

なし
解説

詳細については、ToolStripZoomPolicy を参照してください。


TouchRoutedEventArgs クラス

TouchRoutedEventArgs クラス

すべてのポインタイベントおよびマニピュレーションイベント引数の基本ロジックを提供します。このクラスは abstract (Visual Basic では MustInherit) なので、インスタンス化できません。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.TouchRoutedEventArgs
GrapeCity.Win.MultiTouch.DoubleTappedEventArgs
GrapeCity.Win.MultiTouch.HoldingEventArgs
GrapeCity.Win.MultiTouch.ManipulationCompletedEventArgs
GrapeCity.Win.MultiTouch.ManipulationDeltaEventArgs
GrapeCity.Win.MultiTouch.ManipulationInertiaStartingEventArgs
GrapeCity.Win.MultiTouch.ManipulationStartedEventArgs
GrapeCity.Win.MultiTouch.ManipulationStartingEventArgs
GrapeCity.Win.MultiTouch.PointerEventArgs
GrapeCity.Win.MultiTouch.RightTappedEventArgs
GrapeCity.Win.MultiTouch.TappedEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
MustInherit Public Class TouchRoutedEventArgs
    Inherits EventArgs

public abstract class TouchRoutedEventArgs : EventArgs
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


TouchRoutedEventArgs メンバ

TouchRoutedEventArgs メンバ

TouchRoutedEventArgs クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
TouchRoutedEventArgs | TouchRoutedEventArgs クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


TouchRoutedEventArgs コンストラクタ (GrapeCity.Win.MultiTouch)

TouchRoutedEventArgs コンストラクタ

TouchRoutedEventArgs クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Protected Sub New()

protected TouchRoutedEventArgs();

戻り値

なし


TouchRoutedEventArgs プロパティ

TouchRoutedEventArgs プロパティ

TouchRoutedEventArgs クラスのプロパティは以下のとおりです。TouchRoutedEventArgs クラスの完全なメンバ一覧については、 TouchRoutedEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Handled | ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。
パブリック プロパティ | OriginalSource | イベントを発生させたオブジェクトへの参照を取得します。
パブリック プロパティ | TargetControl | GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。


TouchRoutedEventArgs.Handled プロパティ (GrapeCity.Win.MultiTouch)

TouchRoutedEventArgs.Handled プロパティ

ルーティングイベントを処理済みとしてマークする値を取得または設定します。true に設定すると、同じルート上にあるほとんどのハンドラは同じイベントを再び処理しません。

構文
VB
C#
クリップボードにコピー
Public Property Handled As Boolean

public bool Handled { get; set; }

プロパティ値

System.Boolean型

ルーティングイベントを処理済みとしてマークする場合は true。ルーティングイベントを未処理のままにする場合は false。後者の場合は、同じイベントをさらにルーティングできます。デフォルトは false です。


TouchRoutedEventArgs.OriginalSource プロパティ (GrapeCity.Win.MultiTouch)

TouchRoutedEventArgs.OriginalSource プロパティ

イベントを発生させたオブジェクトへの参照を取得します。

構文
VB
C#
クリップボードにコピー
Public Property OriginalSource As Control

public Control OriginalSource { get; set; }

プロパティ値

System.Windows.Forms.Control型

イベントを発生させたオブジェクト。


TouchRoutedEventArgs.TargetControl プロパティ (GrapeCity.Win.MultiTouch)

TouchRoutedEventArgs.TargetControl プロパティ

GcTouchEventProvider にアタッチされたターゲットコントロールを取得します。

構文
VB
C#
クリップボードにコピー
Public Property TargetControl As Control

public Control TargetControl { get; set; }

プロパティ値

System.Windows.Forms.Control型

GcTouchEventProvider にアタッチされたターゲットコントロール。


TreeViewZoomPolicy クラス

TreeViewZoomPolicy クラス

TreeView 型コントロールのズームポリシーを表します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.TreeViewZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class TreeViewZoomPolicy
    Inherits ControlZoomPolicy

public class TreeViewZoomPolicy : ControlZoomPolicy
解説

このズームポリシーは、Nodes に含まれる各項目のフォントを変更します。

このズームポリシーは Indent を変更します。

いくつかの問題を避けるため、このズームポリシーは ItemHeight の変更時に偶数を使用します。たとえば、ズーム前の ItemHeight が 10 の場合、150% ズームすると ItemHeight は 15 になるはずですが、実際には 16 になります。

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


TreeViewZoomPolicy メンバ

TreeViewZoomPolicy メンバ

TreeViewZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
TreeViewZoomPolicy | TreeViewZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


TreeViewZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

TreeViewZoomPolicy コンストラクタ

TreeViewZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Public Sub New()

public TreeViewZoomPolicy();

戻り値

なし


TreeViewZoomPolicy プロパティ

TreeViewZoomPolicy プロパティ

TreeViewZoomPolicy クラスのプロパティは以下のとおりです。TreeViewZoomPolicy クラスの完全なメンバ一覧については、 TreeViewZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。 (ZoomPolicy から継承されます)
パブリック プロパティ | TargetType | オーバーライド。 このポリシーを使用できるコントロール型を示す型を取得します。


TreeViewZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

TreeViewZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public Overrides ReadOnly Property TargetType As Type

public override Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


TreeViewZoomPolicy メソッド

TreeViewZoomPolicy メソッド

TreeViewZoomPolicy クラスのメソッドは以下のとおりです。TreeViewZoomPolicy クラスの完全なメンバ一覧については、 TreeViewZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。 (ZoomPolicy から継承されます)
パブリック メソッド | CanZoomChildren | オーバーライド。 子コントロールをズームできるかどうかを返します。 (ControlZoomPolicy から継承されます)
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。 (ZoomPolicy から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。 (ZoomPolicy から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。 (ZoomPolicy から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | オーバーライド。 コントロールの境界をズームします。
パブリック メソッド | ZoomFont | オーバーライド。 コントロールのフォントをズームします。


TreeViewZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

TreeViewZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public override void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

詳細については、TreeViewZoomPolicy を参照してください。


TreeViewZoomPolicy.ZoomFont メソッド (GrapeCity.Win.MultiTouch)

TreeViewZoomPolicy.ZoomFont メソッド

コントロールのフォントをズームします。

構文
VB
C#
クリップボードにコピー
Public Overrides Sub ZoomFont( _
   ByVal control As Control, _
   ByVal infos As ZoomFontInfo _
)

public override void ZoomFont(
   Control control,
   ZoomFontInfo infos
);

パラメータ

control
指定したコントロール。
infos
フォントのズームを支援するために GcZoom によって提供される ZoomFontInfo 型の情報。

戻り値

なし
解説

詳細については、TreeViewZoomPolicy を参照してください。


ZoomBoundsInfo クラス

ZoomBoundsInfo クラス

レイアウトをズームするためのヘルパーを表します。位置やサイズに関する情報を提供します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomBoundsInfo

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ZoomBoundsInfo

public class ZoomBoundsInfo
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ZoomBoundsInfo メンバ

ZoomBoundsInfo メンバ

ZoomBoundsInfo クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | CurrentBounds | GcZoom によって提供された現在の境界を取得します。
パブリック プロパティ | CurrentFactor | GcZoom によって提供された現在のズーム率を取得します。
パブリック プロパティ | TargetFactor | GcZoom によって提供された推奨されるズーム率を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | Zoom | オーバーロード。 指定した現在の値をズームします。


ZoomBoundsInfo プロパティ

ZoomBoundsInfo プロパティ

ZoomBoundsInfo クラスのプロパティは以下のとおりです。ZoomBoundsInfo クラスの完全なメンバ一覧については、 ZoomBoundsInfoメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | CurrentBounds | GcZoom によって提供された現在の境界を取得します。
パブリック プロパティ | CurrentFactor | GcZoom によって提供された現在のズーム率を取得します。
パブリック プロパティ | TargetFactor | GcZoom によって提供された推奨されるズーム率を取得します。


ZoomBoundsInfo.CurrentBounds プロパティ (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.CurrentBounds プロパティ

GcZoom によって提供された現在の境界を取得します。

構文
VB
C#
クリップボードにコピー
Public Property CurrentBounds As Rectangle

public Rectangle CurrentBounds { get; set; }

プロパティ値

System.Drawing.Rectangle型

GcZoom によって提供された現在の境界。


ZoomBoundsInfo.CurrentFactor プロパティ (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.CurrentFactor プロパティ

GcZoom によって提供された現在のズーム率を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property CurrentFactor As Single

public float CurrentFactor { get; }

プロパティ値

System.Single型

GcZoom によって提供された現在のズーム率。


ZoomBoundsInfo.TargetFactor プロパティ (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.TargetFactor プロパティ

GcZoom によって提供された推奨されるズーム率を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property TargetFactor As Single

public float TargetFactor { get; }

プロパティ値

System.Single型

GcZoom によって提供された推奨されるズーム率。


ZoomBoundsInfo メソッド

ZoomBoundsInfo メソッド

ZoomBoundsInfo クラスのメソッドは以下のとおりです。ZoomBoundsInfo クラスの完全なメンバ一覧については、 ZoomBoundsInfoメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | Zoom | オーバーロード。 指定した現在の値をズームします。


ZoomBoundsInfo.Zoom メソッド (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド

指定した現在の値をズームします。

オーバーロードの一覧
 | 名前 | 説明
パブリック メソッド | Zoom(Double) | 指定した現在の値をズームします。
パブリック メソッド | Zoom(Point) | 指定した現在のポイントをズームします。
パブリック メソッド | Zoom(PointF) | 指定した現在のポイントをズームします。
パブリック メソッド | Zoom(Rectangle) | 指定した現在の矩形をズームします。
パブリック メソッド | Zoom(RectangleF) | 指定した現在の矩形をズームします。
パブリック メソッド | Zoom(Size) | 指定した現在のサイズをズームします。
パブリック メソッド | Zoom(SizeF) | 指定した現在のサイズをズームします。
パブリック メソッド | Zoom(Int32) | 指定した現在の値をズームします。
パブリック メソッド | Zoom(Single) | 指定した現在の値をズームします。


ZoomBoundsInfo.Zoom メソッド (Double) (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド (Double)

指定した現在の値をズームします。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentValue As Double _
) As Double

public double Zoom(
   double currentValue
);

パラメータ

currentValue
ズームする倍精度値。

戻り値

System.Double 型

ズーム後の値を表す Double 値。


ZoomBoundsInfo.Zoom メソッド (Point) (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド (Point)

指定した現在のポイントをズームします。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentPoint As Point _
) As Point

public Point Zoom(
   Point currentPoint
);

パラメータ

currentPoint
現在のポイント。

戻り値

System.Drawing.Point 型

ズーム結果を表す Point 値。


ZoomBoundsInfo.Zoom メソッド (PointF) (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド (PointF)

指定した現在のポイントをズームします。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentPoint As PointF _
) As PointF

public PointF Zoom(
   PointF currentPoint
);

パラメータ

currentPoint
現在のポイント。

戻り値

System.Drawing.PointF 型

ズーム結果を表す PointF 値。


ZoomBoundsInfo.Zoom メソッド (Rectangle) (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド (Rectangle)

指定した現在の矩形をズームします。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentRectangle As Rectangle _
) As Rectangle

public Rectangle Zoom(
   Rectangle currentRectangle
);

パラメータ

currentRectangle
現在の矩形。

戻り値

System.Drawing.Rectangle 型

ズーム結果を表す Rectangle 値。


ZoomBoundsInfo.Zoom メソッド (RectangleF) (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド (RectangleF)

指定した現在の矩形をズームします。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentRectangle As RectangleF _
) As RectangleF

public RectangleF Zoom(
   RectangleF currentRectangle
);

パラメータ

currentRectangle
現在の矩形。

戻り値

System.Drawing.RectangleF 型

ズーム結果を表す RectangleF 値。


ZoomBoundsInfo.Zoom メソッド (Size) (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド (Size)

指定した現在のサイズをズームします。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentSize As Size _
) As Size

public Size Zoom(
   Size currentSize
);

パラメータ

currentSize
現在のサイズ。

戻り値

System.Drawing.Size 型

ズーム結果を表す Size 値。


ZoomBoundsInfo.Zoom メソッド (SizeF) (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド (SizeF)

指定した現在のサイズをズームします。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentSize As SizeF _
) As SizeF

public SizeF Zoom(
   SizeF currentSize
);

パラメータ

currentSize
現在のサイズ。

戻り値

System.Drawing.SizeF 型

ズーム結果を表す SizeF 値。


ZoomBoundsInfo.Zoom メソッド (Int32) (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド (Int32)

指定した現在の値をズームします。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentValue As Integer _
) As Integer

public int Zoom(
   int currentValue
);

パラメータ

currentValue
ズームする Int32 値。

戻り値

System.Int32 型

ズーム後の値を表す Int32 値。


ZoomBoundsInfo.Zoom メソッド (Single) (GrapeCity.Win.MultiTouch)

ZoomBoundsInfo.Zoom メソッド (Single)

指定した現在の値をズームします。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentValue As Single _
) As Single

public float Zoom(
   float currentValue
);

パラメータ

currentValue
現在の値。

戻り値

System.Single 型

ズーム後の値を表す Single 値。


ZoomCommands 列挙体

ZoomCommands 列挙体

GcZoomCommandProvider コンポーネントの組み込みコマンドを指定します。

構文
VB
C#
クリップボードにコピー
Public Enum ZoomCommands

public enum ZoomCommands
メンバ
メンバ名 | 説明
0 - None | どのコマンドも実行しません（デフォルト値）。
1 - ZoomIn | このコマンドを実行すると、10% ズームインします。現在のズーム率が最大ズーム率に達している場合は何もしません。
2 - ZoomOut | このコマンドを実行すると、10% ズームアウトします。現在のズーム率が最小ズーム率に達している場合は何もしません。
3 - ResetZoom | Change zoom factor to 100%.
4 - ScrollLeft | フォームコンテンツの幅の 1/3 だけ左にスクロールします。フォームがスクロールの終端に達している場合は何もしません。
5 - ScrollRight | フォームコンテンツの幅の 1/3 だけ右にスクロールします。フォームがスクロールの終端に達している場合は何もしません。
6 - ScrollUp | フォームコンテンツの高さの 1/3 だけ上にスクロールします。フォームがスクロールの終端に達している場合は何もしません。
7 - ScrollDown | フォームコンテンツの高さの 1/3 だけ下にスクロールします。フォームがスクロールの終端に達している場合は何もしません。
8 - SwitchFullScreen | フォームをフルスクリーンに変更します。フォームがすでにフルスクリーンになっている場合は、元に戻します。
9 - ShowOrHidePreviewWindow | パンウィンドウを表示します。パンウィンドウがすでに表示されている場合は、パンウィンドウを閉じます。
10 - SelectNextControl | アクティブなコントロールを次に移動します。
11 - SelectPreviousControl | アクティブなコントロールを前に移動します。
参照
GrapeCity.Win.MultiTouch 名前空間


ZoomFontInfo クラス

ZoomFontInfo クラス

フォントをサイズ変更するためのヘルパーを表します。フォントに関する情報を提供します。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomFontInfo

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ZoomFontInfo

public class ZoomFontInfo
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ZoomFontInfo メンバ

ZoomFontInfo メンバ

ZoomFontInfo クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | CurrentFontSize | 現在のコントロールの現在のフォントサイズを取得します。
パブリック プロパティ | DeltaFactor | GcZoom によって計算された現在のフォントサイズのズーム率を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | Zoom | 現在のフォントを拡大/縮小します。


ZoomFontInfo プロパティ

ZoomFontInfo プロパティ

ZoomFontInfo クラスのプロパティは以下のとおりです。ZoomFontInfo クラスの完全なメンバ一覧については、 ZoomFontInfoメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | CurrentFontSize | 現在のコントロールの現在のフォントサイズを取得します。
パブリック プロパティ | DeltaFactor | GcZoom によって計算された現在のフォントサイズのズーム率を取得します。


ZoomFontInfo.CurrentFontSize プロパティ (GrapeCity.Win.MultiTouch)

ZoomFontInfo.CurrentFontSize プロパティ

現在のコントロールの現在のフォントサイズを取得します。

構文
VB
C#
クリップボードにコピー
Public Property CurrentFontSize As Single

public float CurrentFontSize { get; set; }

プロパティ値

System.Single型

現在のコントロールの現在のフォントサイズ。


ZoomFontInfo.DeltaFactor プロパティ (GrapeCity.Win.MultiTouch)

ZoomFontInfo.DeltaFactor プロパティ

GcZoom によって計算された現在のフォントサイズのズーム率を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property DeltaFactor As Single

public float DeltaFactor { get; }

プロパティ値

System.Single型

GcZoom によって計算された現在のフォントサイズのズーム率。


ZoomFontInfo メソッド

ZoomFontInfo メソッド

ZoomFontInfo クラスのメソッドは以下のとおりです。ZoomFontInfo クラスの完全なメンバ一覧については、 ZoomFontInfoメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | Zoom | 現在のフォントを拡大/縮小します。


ZoomFontInfo.Zoom メソッド (GrapeCity.Win.MultiTouch)

ZoomFontInfo.Zoom メソッド

現在のフォントを拡大/縮小します。

構文
VB
C#
クリップボードにコピー
Public Function Zoom( _
   ByVal currentFont As Font _
) As Font

public Font Zoom(
   Font currentFont
);

パラメータ

currentFont
現在のフォント。

戻り値

System.Drawing.Font 型

ZoomFontInfo によって拡大/縮小されたフォント。


ZoomManipulationModes 列挙体

ZoomManipulationModes 列挙体

ターゲットコントロールがマニピュレーションイベントをどのように解釈するかを指定します。この列挙体の値を組み合わせて複数のモードを設定できます。

この列挙体には、メンバ値をビットごとに演算するための FlagsAttribute 属性が含まれています。

構文
VB
C#
クリップボードにコピー
Public Enum ZoomManipulationModes

public enum ZoomManipulationModes
メンバ
メンバ名 | 説明
3 - All | すべてのマニピュレーションモードを有効にします。
0 - None | マニピュレーションイベントによるグラフィック操作を行いません。
1 - Pan | ターゲットを平行移動するマニピュレーションアクションを許可します。
2 - Zoom | ターゲットをズームするマニピュレーションアクションを許可します。
参照
GrapeCity.Win.MultiTouch 名前空間


ZoomManipulationStartingEventArgs クラス

ZoomManipulationStartingEventArgs クラス

ManipulationStarting イベントのデータを提供します。

継承階層
System.Object
System.EventArgs
GrapeCity.Win.MultiTouch.ZoomManipulationStartingEventArgs

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
Public Class ZoomManipulationStartingEventArgs
    Inherits EventArgs

public class ZoomManipulationStartingEventArgs : EventArgs
スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ZoomManipulationStartingEventArgs メンバ

ZoomManipulationStartingEventArgs メンバ

ZoomManipulationStartingEventArgs クラス 概要

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Mode | 実行できるマニピュレーションのタイプを取得または設定します。
パブリック プロパティ | Position | マニピュレーションが開始されたときの位置を取得します。
パブリック プロパティ | TargetControl | イベントを発生させたコントロールへの参照を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)


ZoomManipulationStartingEventArgs プロパティ

ZoomManipulationStartingEventArgs プロパティ

ZoomManipulationStartingEventArgs クラスのプロパティは以下のとおりです。ZoomManipulationStartingEventArgs クラスの完全なメンバ一覧については、 ZoomManipulationStartingEventArgsメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Mode | 実行できるマニピュレーションのタイプを取得または設定します。
パブリック プロパティ | Position | マニピュレーションが開始されたときの位置を取得します。
パブリック プロパティ | TargetControl | イベントを発生させたコントロールへの参照を取得します。


ZoomManipulationStartingEventArgs.Mode プロパティ (GrapeCity.Win.MultiTouch)

ZoomManipulationStartingEventArgs.Mode プロパティ

実行できるマニピュレーションのタイプを取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Mode As ZoomManipulationModes

public ZoomManipulationModes Mode { get; set; }

プロパティ値

GrapeCity.Win.MultiTouch.ZoomManipulationModes型

ManipulationModes 値の 1 つ。デフォルトは All です。

Modeの値 | 説明
3 - All | すべてのマニピュレーションモードを有効にします。
0 - None | マニピュレーションイベントによるグラフィック操作を行いません。
1 - Pan | ターゲットを平行移動するマニピュレーションアクションを許可します。
2 - Zoom | ターゲットをズームするマニピュレーションアクションを許可します。
使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ManipulationStarting(sender As Object, e As ZoomManipulationStartingEventArgs)
    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(e.Position.ToString())

    If TypeOf e.TargetControl Is TextBox Then
        ' Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom
    ElseIf TypeOf e.TargetControl Is Button Then
        ' Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan
    Else
        ' Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All
    End If
End Sub

void _gcZoom1_ManipulationStarting(object sender, ZoomManipulationStartingEventArgs e)
{
    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(e.Position.ToString());

    if (e.TargetControl is TextBox)
    {
        // Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom;
    }
    else if (e.TargetControl is Button)
    {
        // Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan;
    }
    else
    {
        // Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All;
    }
}


ZoomManipulationStartingEventArgs.Position プロパティ (GrapeCity.Win.MultiTouch)

ZoomManipulationStartingEventArgs.Position プロパティ

マニピュレーションが開始されたときの位置を取得します。

構文
VB
C#
クリップボードにコピー
Public ReadOnly Property Position As Point

public Point Position { get; }

プロパティ値

System.Drawing.Point型

マニピュレーションが開始されたときの位置。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ManipulationStarting(sender As Object, e As ZoomManipulationStartingEventArgs)
    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(e.Position.ToString())

    If TypeOf e.TargetControl Is TextBox Then
        ' Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom
    ElseIf TypeOf e.TargetControl Is Button Then
        ' Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan
    Else
        ' Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All
    End If
End Sub

void _gcZoom1_ManipulationStarting(object sender, ZoomManipulationStartingEventArgs e)
{
    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(e.Position.ToString());

    if (e.TargetControl is TextBox)
    {
        // Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom;
    }
    else if (e.TargetControl is Button)
    {
        // Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan;
    }
    else
    {
        // Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All;
    }
}


ZoomManipulationStartingEventArgs.TargetControl プロパティ (GrapeCity.Win.MultiTouch)

ZoomManipulationStartingEventArgs.TargetControl プロパティ

イベントを発生させたコントロールへの参照を取得します。

構文
VB
C#
クリップボードにコピー
Public Property TargetControl As Control

public Control TargetControl { get; set; }

プロパティ値

System.Windows.Forms.Control型

イベントを発生させたコントロール。

使用例

以下のサンプルコードは、このプロパティの使用方法を示します。

このサンプルコードは、ZoomFactorChanged イベントに示されている詳細なコード例の一部を抜粋したものです。

VB
C#
クリップボードにコピー
Private Sub _gcZoom1_ManipulationStarting(sender As Object, e As ZoomManipulationStartingEventArgs)
    Console.WriteLine(e.TargetControl.ToString())
    Console.WriteLine(e.Position.ToString())

    If TypeOf e.TargetControl Is TextBox Then
        ' Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom
    ElseIf TypeOf e.TargetControl Is Button Then
        ' Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan
    Else
        ' Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All
    End If
End Sub

void _gcZoom1_ManipulationStarting(object sender, ZoomManipulationStartingEventArgs e)
{
    Console.WriteLine(e.TargetControl.ToString());
    Console.WriteLine(e.Position.ToString());

    if (e.TargetControl is TextBox)
    {
        // Pan gesture send to child control, Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.Zoom;
    }
    else if (e.TargetControl is Button)
    {
        // Zoom gesture send to child control, Pan gesture send to Form
        e.Mode = ZoomManipulationModes.Pan;
    }
    else
    {
        // Pan and Zoom gesture send to Form
        e.Mode = ZoomManipulationModes.All;
    }
}


ZoomPolicy クラス

ZoomPolicy クラス

ズームポリシーの基本クラスを実装します。このクラスは abstract (Visual Basic では MustInherit) なので、インスタンス化できません。

継承階層
System.Object
GrapeCity.Win.MultiTouch.ZoomPolicy
GrapeCity.Win.MultiTouch.ControlZoomPolicy
GrapeCity.Win.MultiTouch.DataGridViewZoomPolicy
GrapeCity.Win.MultiTouch.ListViewZoomPolicy
GrapeCity.Win.MultiTouch.NoZoomFontZoomPolicy
GrapeCity.Win.MultiTouch.ToolStripZoomPolicy

名前空間: GrapeCity.Win.MultiTouch
アセンブリ: GrapeCity.Win.MultiTouch.v10 (GrapeCity.Win.MultiTouch.v10.dll 内)

構文
VB
C#
クリップボードにコピー
MustInherit Public Class ZoomPolicy

public abstract class ZoomPolicy
解説

ZoomPolicy は、ユーザーが複合コントロールのズームロジックをカスタマイズする際に使用できる抽象クラスです。ZoomPolicy を継承して特定のコントロールに関するズームロジックを記述します。

使用例

以下のサンプルコードは、ZoomPolicy クラスを使用してカスタムコントロールのズームポリシーをカスタマイズする方法を示します。

このコードを既存の Windows Forms アプリケーションにコピーし、サンプルコード内のフォームを開始フォームとして設定します。

このコードの実行時にライセンスエラーが発生した場合は、GcZoom コンポーネントをツールボックスから任意のフォームにドラッグしてみてください。そうすると、ライセンス情報をこのプロジェクトに生成できます。

VB
C#
クリップボードにコピー
Imports System.Drawing
Imports System.Windows.Forms

Namespace GrapeCity.Win.MultiTouch.SampleCode
    Public Class UserControlZoomPolicyDemo
        Inherits Form
        Private _zoomItemBoundsCheckBox As CheckBox
        Private _myControl As MyControl

        Private _myControlZoomPolicy As New MyControlZoomPolicy()
        Private _gcZoom1 As New GcZoom()

        Public Sub New()
            InitializeComponent()

            _gcZoom1.Target = Me

            ' Add MyControl's ZoomPolicy object to GcZoom
            _gcZoom1.ZoomPolicies.Add(_myControlZoomPolicy)

            AddHandler _zoomItemBoundsCheckBox.CheckedChanged, AddressOf _zoomItemBoundsCheckBox_CheckedChanged
        End Sub

        Private Sub _zoomItemBoundsCheckBox_CheckedChanged(sender As Object, e As EventArgs)
            _gcZoom1.ZoomFactor = 1.0F
            _myControlZoomPolicy.ZoomItemBounds = _zoomItemBoundsCheckBox.Checked
        End Sub

        Private Sub InitializeComponent()
            _zoomItemBoundsCheckBox = New CheckBox()
            _zoomItemBoundsCheckBox.Text = "ZoomItemBounds"
            _zoomItemBoundsCheckBox.Location = New Point(20, 20)
            _zoomItemBoundsCheckBox.Size = New Size(120, 20)
            _zoomItemBoundsCheckBox.Checked = True

            _myControl = New MyControl()
            _myControl.Location = New Point(200, 20)

            Me.Controls.Add(_zoomItemBoundsCheckBox)
            Me.Controls.Add(_myControl)
            Me.Size = New Size(600, 400)
        End Sub
    End Class

    ' Implements a zoom policy for MyControl
    Friend Class MyControlZoomPolicy
        Inherits ZoomPolicy
        Private _zoomItemBounds As Boolean = True

        Public Sub New()
        End Sub

        Public Property ZoomItemBounds() As Boolean
            Get
                Return _zoomItemBounds
            End Get
            Set(value As Boolean)
                _zoomItemBounds = value
            End Set
        End Property

        ' Gets the type indicates which control type can use this policy.
        Public Overrides ReadOnly Property TargetType() As Type
            Get
                Return GetType(MyControl)
            End Get
        End Property

        ' Zoom the control bounds
        Public Overrides Sub ZoomBounds(control As Control, infos As ZoomBoundsInfo)
            If ZoomItemBounds Then
                Dim myControl As MyControl = TryCast(control, MyControl)

                myControl.ColumnWidth = infos.Zoom(myControl.ColumnWidth)
                myControl.RowHeight = infos.Zoom(myControl.RowHeight)
            End If

            MyBase.ZoomBounds(control, infos)
        End Sub

        ' Zoom the control font
        Public Overrides Sub ZoomFont(control As Control, infos As ZoomFontInfo)
            MyBase.ZoomFont(control, infos)
        End Sub
    End Class

    ' MyControl component
    Friend Class MyControl
        Inherits UserControl
        Private _columnWidth As Integer
        Private _rowHeight As Integer
        Private _brushes As Brush(,) = {{Brushes.AliceBlue, Brushes.Aqua}, {Brushes.Beige, Brushes.BlanchedAlmond}, {Brushes.BurlyWood, Brushes.Chocolate}, {Brushes.Crimson, Brushes.DarkGoldenrod}, {Brushes.DarkMagenta, Brushes.DarkRed}, {Brushes.DarkSlateGray, Brushes.DeepSkyBlue}, _
            {Brushes.Firebrick, Brushes.GhostWhite}}

        Public Sub New()
            InitializeComponent()

            Me.ColumnWidth = 40
            Me.RowHeight = 40
        End Sub

        Public Property ColumnWidth() As Integer
            Get
                Return _columnWidth
            End Get
            Set(value As Integer)
                _columnWidth = value
            End Set
        End Property

        Public Property RowHeight() As Integer
            Get
                Return _rowHeight
            End Get
            Set(value As Integer)
                _rowHeight = value
            End Set
        End Property

        Private Sub InitializeComponent()
            Me.BackColor = SystemColors.Control
            Me.Size = New Size(80, 280)
        End Sub

        Protected Overrides Sub OnPaint(e As PaintEventArgs)
            Draw(e.Graphics)
            MyBase.OnPaint(e)
        End Sub

        Private Sub Draw(gObj As Graphics)
            gObj.DrawRectangle(SystemPens.ControlDark, 0, 0, Me.Width - 1, Me.Height - 1)

            For i As Integer = 0 To 1
                For j As Integer = 0 To 6
                    Dim rect As New Rectangle(i * _columnWidth, j * _rowHeight, _columnWidth, _rowHeight)
                    rect.Inflate(-6, -6)

                    gObj.DrawRectangle(SystemPens.ControlDark, rect)
                    gObj.DrawLine(SystemPens.ControlDarkDark, rect.Left, rect.Top + 1, rect.Right, rect.Top + 1)
                    gObj.DrawLine(SystemPens.ControlDarkDark, rect.Left + 1, rect.Top, rect.Left + 1, rect.Bottom)
                    gObj.DrawLine(SystemPens.ControlLightLight, rect.Right + 1, rect.Top, rect.Right + 1, rect.Bottom)
                    gObj.DrawLine(SystemPens.ControlLightLight, rect.Left, rect.Bottom + 1, rect.Right, rect.Bottom + 1)

                    rect.Inflate(-1, -1)
                    rect.Offset(1, 1)
                    gObj.FillRectangle(_brushes(j, i), rect)
                Next
            Next
        End Sub
    End Class
End Namespace

using System;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Win.MultiTouch.SampleCode
{
    public class UserControlZoomPolicyDemo : Form
    {
        private CheckBox _zoomItemBoundsCheckBox;
        private MyControl _myControl;

        private MyControlZoomPolicy _myControlZoomPolicy = new MyControlZoomPolicy();
        private GcZoom _gcZoom1 = new GcZoom();

        public UserControlZoomPolicyDemo()
        {
            InitializeComponent();

            _gcZoom1.Target = this;

            // Add MyControl's ZoomPolicy object to GcZoom
            _gcZoom1.ZoomPolicies.Add(_myControlZoomPolicy);

            _zoomItemBoundsCheckBox.CheckedChanged += _zoomItemBoundsCheckBox_CheckedChanged;
        }

        void _zoomItemBoundsCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            _gcZoom1.ZoomFactor = 1f;
            _myControlZoomPolicy.ZoomItemBounds = _zoomItemBoundsCheckBox.Checked;
        }

        private void InitializeComponent()
        {
            _zoomItemBoundsCheckBox = new CheckBox();
            _zoomItemBoundsCheckBox.Text = "ZoomItemBounds";
            _zoomItemBoundsCheckBox.Location = new Point(20, 20);
            _zoomItemBoundsCheckBox.Size = new Size(120, 20);
            _zoomItemBoundsCheckBox.Checked = true;

            _myControl = new MyControl();
            _myControl.Location = new Point(200, 20);

            this.Controls.Add(_zoomItemBoundsCheckBox);
            this.Controls.Add(_myControl);
            this.Size = new Size(600, 400);
        }
    }

    // Implements a zoom policy for MyControl
    internal class MyControlZoomPolicy : ZoomPolicy
    {
        private bool _zoomItemBounds = true;

        public MyControlZoomPolicy()
        {
        }

        public bool ZoomItemBounds
        {
            get { return _zoomItemBounds; }
            set { _zoomItemBounds = value; }
        }

        // Gets the type indicates which control type can use this policy.
        public override Type TargetType
        {
            get { return typeof(MyControl); }
        }

        // Zoom the control bounds
        public override void ZoomBounds(Control control, ZoomBoundsInfo infos)
        {
            if (ZoomItemBounds)
            {
                MyControl myControl = control as MyControl;

                myControl.ColumnWidth = infos.Zoom(myControl.ColumnWidth);
                myControl.RowHeight = infos.Zoom(myControl.RowHeight);
            }

            base.ZoomBounds(control, infos);
        }

        // Zoom the control font
        public override void ZoomFont(Control control, ZoomFontInfo infos)
        {
            base.ZoomFont(control, infos);
        }
    }

    // MyControl component
    internal class MyControl : UserControl
    {
        private int _columnWidth;
        private int _rowHeight;
        private Brush[,] _brushes = {
            {Brushes.AliceBlue, Brushes.Aqua},
            {Brushes.Beige, Brushes.BlanchedAlmond},
            {Brushes.BurlyWood, Brushes.Chocolate},
            {Brushes.Crimson, Brushes.DarkGoldenrod},
            {Brushes.DarkMagenta, Brushes.DarkRed},
            {Brushes.DarkSlateGray, Brushes.DeepSkyBlue},
            {Brushes.Firebrick, Brushes.GhostWhite}
        };

        public MyControl()
        {
            InitializeComponent();

            this.ColumnWidth = 40;
            this.RowHeight = 40;
        }

        public int ColumnWidth
        {
            get { return _columnWidth; }
            set { _columnWidth = value; }
        }

        public int RowHeight
        {
            get { return _rowHeight; }
            set { _rowHeight = value; }
        }

        private void InitializeComponent()
        {
            this.BackColor = SystemColors.Control;
            this.Size = new Size(80, 280);
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            Draw(e.Graphics);
            base.OnPaint(e);
        }

        private void Draw(Graphics gObj)
        {
            gObj.DrawRectangle(SystemPens.ControlDark, 0, 0, this.Width - 1, this.Height - 1);

            for (int i = 0; i < 2; ++i)
            {
                for (int j = 0; j < 7; ++j)
                {
                    Rectangle rect = new Rectangle(i * _columnWidth, j * _rowHeight, _columnWidth, _rowHeight);
                    rect.Inflate(-6, -6);

                    gObj.DrawRectangle(SystemPens.ControlDark, rect);
                    gObj.DrawLine(SystemPens.ControlDarkDark, rect.Left, rect.Top + 1, rect.Right, rect.Top + 1);
                    gObj.DrawLine(SystemPens.ControlDarkDark, rect.Left + 1, rect.Top, rect.Left + 1, rect.Bottom);
                    gObj.DrawLine(SystemPens.ControlLightLight, rect.Right + 1, rect.Top, rect.Right + 1, rect.Bottom);
                    gObj.DrawLine(SystemPens.ControlLightLight, rect.Left, rect.Bottom + 1, rect.Right, rect.Bottom + 1);

                    rect.Inflate(-1, -1);
                    rect.Offset(1, 1);
                    gObj.FillRectangle(_brushes[j,i], rect);
                }
            }
        }
    }
}

スレッド セーフ

この型のすべてのパブリック static (Visual Basic では Shared) メンバは、スレッド セーフです。インスタンス メンバの場合は、スレッド セーフであるとは限りません。


ZoomPolicy メンバ

ZoomPolicy メンバ

ZoomPolicy クラス 概要

コンストラクタ
表示：継承 プロテクト
名前 | 説明
ZoomPolicy | ZoomPolicy クラスの新しいインスタンスを初期化します。
プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | TargetType | このポリシーを使用できるコントロール型を示す型を取得します。
メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
 | ShouldSerializeValue | 指定したオブジェクトの指定したプロパティの値を永続化する必要があるかどうかを示す値を返します。
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | コントロールの境界をズームします。
パブリック メソッド | ZoomFont | コントロールのフォントをズームします。


ZoomPolicy コンストラクタ (GrapeCity.Win.MultiTouch)

ZoomPolicy コンストラクタ

ZoomPolicy クラスの新しいインスタンスを初期化します。

構文
VB
C#
クリップボードにコピー
Protected Sub New()

protected ZoomPolicy();

戻り値

なし


ZoomPolicy プロパティ

ZoomPolicy プロパティ

ZoomPolicy クラスのプロパティは以下のとおりです。ZoomPolicy クラスの完全なメンバ一覧については、 ZoomPolicyメンバのトピックを参照してください。

プロパティ
表示：継承 プロテクト
 | 名前 | 説明
パブリック プロパティ | Enabled | このポリシーが有効かどうかを示す値を取得または設定します。
パブリック プロパティ | TargetType | このポリシーを使用できるコントロール型を示す型を取得します。


ZoomPolicy.Enabled プロパティ (GrapeCity.Win.MultiTouch)

ZoomPolicy.Enabled プロパティ

このポリシーが有効かどうかを示す値を取得または設定します。

構文
VB
C#
クリップボードにコピー
Public Property Enabled As Boolean

public bool Enabled { get; set; }

プロパティ値

System.Boolean型

このポリシーが有効な場合は true。それ以外の場合は false。


ZoomPolicy.TargetType プロパティ (GrapeCity.Win.MultiTouch)

ZoomPolicy.TargetType プロパティ

このポリシーを使用できるコントロール型を示す型を取得します。

構文
VB
C#
クリップボードにコピー
Public MustOverride ReadOnly Property TargetType As Type

public abstract Type TargetType { get; }

プロパティ値

System.Type型

このポリシーを使用できるコントロール型を示す Type 型。


ZoomPolicy メソッド

ZoomPolicy メソッド

ZoomPolicy クラスのメソッドは以下のとおりです。ZoomPolicy クラスの完全なメンバ一覧については、 ZoomPolicyメンバのトピックを参照してください。

メソッド
表示：継承 プロテクト
 | 名前 | 説明
パブリック メソッド | CanZoom | このインスタンスが指定したコントロールをズームできるかどうかを返します。
パブリック メソッド | CanZoomChildren | 子コントロールをズームできるかどうかを返します。
パブリック メソッド | Equals | 指定した Object が、現在の Object と等しいかどうかを判断します。 (Object から継承されます)
プロテクト メソッド | Finalize | オブジェクトがガベージ コレクションにより収集される前に、そのオブジェクトがリソースを解放し、その他のクリーンアップ操作を実行できるようにします。 (Object から継承されます)
パブリック メソッド | GetChildren | コントロールに含まれるコントロールのコレクションを取得します。
パブリック メソッド | GetHashCode | 特定の型のハッシュ関数として機能します。 (Object から継承されます)
パブリック メソッド | GetType | 現在のインスタンスの Type を取得します。 (Object から継承されます)
パブリック メソッド | Initialize | ズームアクションが開始する前にコントロールを初期化します。
プロテクト メソッド | MemberwiseClone | 現在の Object の簡易コピーを作成します。 (Object から継承されます)
 | ShouldSerializeValue | 指定したオブジェクトの指定したプロパティの値を永続化する必要があるかどうかを示す値を返します。
パブリック メソッド | Terminate | ズームアクションが完了した後にコントロールの終了処理を行います。
パブリック メソッド | ToString | 現在のオブジェクトを表す文字列を返します。 (Object から継承されます)
パブリック メソッド | ZoomBounds | コントロールの境界をズームします。
パブリック メソッド | ZoomFont | コントロールのフォントをズームします。


ZoomPolicy.CanZoom メソッド (GrapeCity.Win.MultiTouch)

ZoomPolicy.CanZoom メソッド

このインスタンスが指定したコントロールをズームできるかどうかを返します。

構文
VB
C#
クリップボードにコピー
Public Overridable Function CanZoom( _
   ByVal control As Control _
) As Boolean

public virtual bool CanZoom(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

System.Boolean 型

このインスタンスが指定したコントロールをズームできる場合は true。それ以外の場合は false。


ZoomPolicy.CanZoomChildren メソッド (GrapeCity.Win.MultiTouch)

ZoomPolicy.CanZoomChildren メソッド

子コントロールをズームできるかどうかを返します。

構文
VB
C#
クリップボードにコピー
Public Overridable Function CanZoomChildren( _
   ByVal control As Control _
) As Boolean

public virtual bool CanZoomChildren(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

System.Boolean 型

子コントロールをズームできる場合は true。それ以外の場合は false。


ZoomPolicy.GetChildren メソッド (GrapeCity.Win.MultiTouch)

ZoomPolicy.GetChildren メソッド

コントロールに含まれるコントロールのコレクションを取得します。

構文
VB
C#
クリップボードにコピー
Public Overridable Function GetChildren( _
   ByVal control As Control _
) As IEnumerable(Of Control)

public virtual IEnumerable<Control> GetChildren(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

デフォルトのロジックでは、Controls が返されます。コントロールに変更しなければならない他の子要素がある場合は、それをこのコレクションに追加できます。


ZoomPolicy.Initialize メソッド (GrapeCity.Win.MultiTouch)

ZoomPolicy.Initialize メソッド

ズームアクションが開始する前にコントロールを初期化します。

構文
VB
C#
クリップボードにコピー
Public Overridable Sub Initialize( _
   ByVal control As Control _
)

public virtual void Initialize(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

このメソッドは、コントロールがズームされる前に呼び出されます。コントロールの中には、親コントロールが変更されたときに境界/フォントが変更されるものがあります。ユーザーは親を変更する前にこのメソッドでオリジナルの境界/フォントをキャッシュできます。そして、ZoomBounds および ZoomFont メソッドでこのキャッシュされた値を使用します。

注意に関するメモ 注意

必ずしもすべてのコントロールでこのメソッドを処理する必要はありません。


ZoomPolicy.ShouldSerializeValue メソッド (GrapeCity.Win.MultiTouch)

ZoomPolicy.ShouldSerializeValue メソッド

指定したオブジェクトの指定したプロパティの値を永続化する必要があるかどうかを示す値を返します。

構文
VB
C#
クリップボードにコピー
Public Shared Function ShouldSerializeValue( _
   ByVal obj As Object, _
   ByVal propertyName As String _
) As Boolean

public static bool ShouldSerializeValue(
   object obj,
   string propertyName
);

パラメータ

obj
指定したオブジェクト。
propertyName
指定したプロパティの名前。

戻り値

System.Boolean 型

プロパティの現在の値がそのデフォルト値と異なる場合は true。それ以外の場合は false。


ZoomPolicy.Terminate メソッド (GrapeCity.Win.MultiTouch)

ZoomPolicy.Terminate メソッド

ズームアクションが完了した後にコントロールの終了処理を行います。

構文
VB
C#
クリップボードにコピー
Public Overridable Sub Terminate( _
   ByVal control As Control _
)

public virtual void Terminate(
   Control control
);

パラメータ

control
指定したコントロール。

戻り値

なし
解説

すべてのキャッシュをクリアし、Initialize メソッドで設定された個別の設定を復元します。

注意に関するメモ 注意

このメソッドは、コントロールがズームされた後に呼び出されます。


ZoomPolicy.ZoomBounds メソッド (GrapeCity.Win.MultiTouch)

ZoomPolicy.ZoomBounds メソッド

コントロールの境界をズームします。

構文
VB
C#
クリップボードにコピー
Public Overridable Sub ZoomBounds( _
   ByVal control As Control, _
   ByVal infos As ZoomBoundsInfo _
)

public virtual void ZoomBounds(
   Control control,
   ZoomBoundsInfo infos
);

パラメータ

control
指定したコントロール。
infos
レイアウトのズームを支援するために GcZoom によって提供される ZoomBoundsInfo 型の情報。

戻り値

なし
解説

デフォルトのロジックでは、コントロールの境界が変更されます。コントロールに変更しなければならない他の子要素がある場合は、このメソッドにロジックを追加できます。


ZoomPolicy.ZoomFont メソッド (GrapeCity.Win.MultiTouch)

ZoomPolicy.ZoomFont メソッド

コントロールのフォントをズームします。

構文
VB
C#
クリップボードにコピー
Public Overridable Sub ZoomFont( _
   ByVal control As Control, _
   ByVal infos As ZoomFontInfo _
)

public virtual void ZoomFont(
   Control control,
   ZoomFontInfo infos
);

パラメータ

control
指定したコントロール。
infos
フォントのズームを支援するために GcZoom によって提供される ZoomFontInfo 型の情報。

戻り値

なし
解説

デフォルトのロジックでは、コントロールのフォントが変更されます。コントロールに変更しなければならない他のフォントがある場合は、このメソッドにロジックを追加できます。


ZoomPreviewMode 列挙体

ZoomPreviewMode 列挙体

ジェスチャズーム中にフォームを表示する方法を指定します。

構文
VB
C#
クリップボードにコピー
Public Enum ZoomPreviewMode

public enum ZoomPreviewMode
メンバ
メンバ名 | 説明
0 - Bitmap | ズーム中にビットマッププレビューを使用します。
1 - NoPreview | ズーム中にプレビューを表示しません。
2 - AlternativeContent | ズーム中に代替コンテンツプレビューを使用します。
参照
GrapeCity.Win.MultiTouch 名前空間


よくある質問と回答

よくある質問と回答

ここでは、MultiTouchを使用する上でのよくある質問についてまとめています。

Windows 7のマルチタッチ環境でもズームできますか？
MultiTouchのタッチ操作はWindows 8またはWindows Server 2012で有効です。これら以外の環境ではタッチ操作は動作しません。
これは、MultiTouchがWindows 8から提供される新しい機能に依存するためです。
Ctrlキーとマウスホイールの組み合わせでズームできますか？
可能です。MultiTouchは既定でこの操作に対応しています。
Visual Studio Expressで使用できますか？
使用できます。
拡大鏡ツールとの違いは何ですか？
Windowsの拡大鏡（magnify.exe）はスクリーン全体やスクリーンの一部を拡大します。MultiTouchは任意のプロジェクトに含まれる画面だけを拡大できます。
タッチ用のスクリーンキーボードを制御できますか？
MultiTouchでスクリーンキーボードを制御することはできませんが、AutoShowControlプロパティがTrueのとき、アクティブなコントロールにスクリーンキーボードが重ならないように自動的にスクロールさせることができます。スクリーンキーボードの表示／非表示やキーボードの種類を変更するには、 [image] InputMan for Windows Forms 7.0Jのご利用を検討してください。
ズームできないコントロールはありますか？
コントロールがサイズ変更（Control.Sizeプロパティの変更）に対応していない場合、そのコントロールはズームできません。ズームできないコントロールと対処方法の詳細は「ズームポリシー」を参照してください。
慣性プロセッサは提供されますか？
提供されません。.NET Framework 4ではSystem.Windows.Input.Manipulations.dllが提供されるため、このモジュールで提供されるクラスのご利用を検討してください。
プロジェクトに追加したズームポリシーがZoomPolicyコレクションエディターに表示されないのはなぜですか？
ズームポリシーがビルドされていない状態では、GcZoom.ZoomPoliciesプロパティから起動されるZoomPolicy コレクション エディターから利用可能なオブジェクトとして認識されません。プロジェクトを一度ビルドしてください。


制限事項と注意点

制限事項と注意点

本製品の制限事項と注意点については、付属のリリースノート（ReleaseNote_xxx.htm）に記載されていますので、そちらをご覧ください。

注意
  • リリースノートのファイル名（xxxの部分）は、製品のリリース時期によって変化します。
  • リリースノートは、製品をインストールしたフォルダ内にあり、スタートメニューの[PowerTools MultiTouch for Windows Froms 1.0J]－[MultiTouch for Windows Froms 1.0J リリースノート]からも起動できます。
  • Windows 8以降のスタート画面上にリリースノートのショートカットを表示するには、画面下部のアプリバーで [すべてのアプリ] ボタンをクリックしてください。


ヘルプファイルの変更履歴

ヘルプファイルの変更履歴

MultiTouch担当チームでは、お客様により良く製品をご利用いただけるよう、継続的にドキュメントを修正・加筆しています。ドキュメントに関するご意見、お問い合わせなどがありましたら、 [image] 弊社サポートサービスまでご送付いただければ幸いです。

MultiTouch for Windows Forms 1.0J の最新版は次のURLでご確認いただけます。 http://www.grapecity.com/tools/downloads/update/dotnet

以下は、このヘルプファイルの変更履歴です。

2013/07/31 初版
  • なし